<?php
// $Id: AddClient.php,v 1.11 2006/06/13 13:53:46 mgarrett Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This class is a child class of MB_Action. It displays a form to add a new client record.
 *
 * @author  modernbill
 */
class AddClient extends MB_Action {

	function AddClient() {
		parent::MB_Action();
		$this->stringRep = "AddClient";
	}

	function execute() {
		global $CONF;
		parent::execute();

		$this->smartyVars["paymentList"] = $CONF["types"]["payments"];
		$this->mergeCountryData($CONF["user"]["locale"]->country);
		$this->mergeLanguageData($CONF["user"]["locale"]->language);
		$this->mergeThemeData();
		
		$formDefaults = array(
			'clientActive' => 1,
			'countriesID' => $this->smartyVars["selectedCountry"],
			'languageID'  => $this->smartyVars["selectedLanguage"]
		);
		$this->mergeFormState($formDefaults);
		$this->addTemplate("clients/AddClient", $this->smartyVars);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	} // execute

} // MB_Action
?>