<?php
// $Id: EditEncryptionConfigsResponse.php,v 1.1 2006/07/25 23:08:13 kbailey Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/".str_repeat("../",4)."lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This class gets the info for encryption settings and displays it for editing.
 *
 * @author  Kris Bailey
 */
class EditEncryptionConfigsResponse extends MB_Action {

	function EditEncryptionConfigsResponse() {
		parent::MB_Action();
		$this->stringRep = "EditEncryptionConfigsResponse";
	}

	function execute() {
		global $CONF;
		parent::execute();

		loadConfigs("system", "encryption");

		if ($_REQUEST["lekPinConfirm"]==$_REQUEST["lekPin"] && $_REQUEST["lekPin"]!=""){
			$results = dispatchMBAPI(toXML(array(
				"mbapi" => array(
					"command" => "GetEncryptedText",
					"params" => array(
						"text" => stripslashes($_REQUEST["lekPin"]),
					),
				),
			)), 1);
			$CONF["system"]["encryption"]["lek_pin"] = ($results["mbapi"] && $results["mbapi"][0] && $results["mbapi"][0]["results"] && $results["mbapi"][0]["results"][0] && $results["mbapi"][0]["results"][0]["text"])?$results["mbapi"][0]["results"][0]["text"][0]:"";
		}

		$CONF["system"]["encryption"]["encryption_agree"] = stripslashes($_REQUEST["encryptionAgree"]);
		$CONF["system"]["encryption"]["encryption_hash"] = stripslashes($_REQUEST["encryptionHash"]);

		storeConfigs("system", "encryption");

		redirect("configs.php?sid=".$_REQUEST["sid"]."&action=".getActionID("EditEncryptionConfigs")."&saved=1");

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	} // execute
} // EditEncryptionConfigsResponse
?>