<?php
// $Id: ExecuteEvents.php,v 1.4 2006/03/22 20:41:10 kbailey Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This Action object collects displays the system events menu.
 *
 * @author  Michael Fountain
 */
class ExecuteEvents extends MB_Action {
	/**
	 * The constructor for a ExecuteEvents action object. This merely calls the parent constructor,
	 * and sets the string representation of this object. This method also sets up $this->params and
	 * $this->sortColumns for use in $this->getMBAPIQuery().
	 */
	function ExecuteEvents() {
		parent::MB_Action();
		$this->stringRep = "ExecuteEvents";
		$this->params = array("systemQueueID","counter");
		$this->sortColumns = array();
	}

	/**
	 * The main method of this class that executes the ExecuteEvents action, and returns success or failure.
	 *
	 * @return  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();

        for($i=1;$i<=4;$i++){
			usleep(5000000);

			$mypid = getmypid();

			$myval = sqrt(3.14);
            for($j=1;$j<=50;$j++){
				$myval = sqrt($myval);
			}

			mail("michael@modernbill.com","PID: $mypid - You ran me remotely...$i.".$_REQUEST["counter"]." times",date("Y/m/d: h:i:s"));
			//mail("vic@modernbill.com","You ran me remotely...$i.".$_REQUEST["counter"]." times",date("Y/m/d: h:i:s"));

			if ($i==4 && $_REQUEST["counter"]<20) {
				$counter = $_REQUEST["counter"]+$i;

				$url = parse_url($CONF["standardURL"]);

				$t = mktime();
				$fp = fsockopen("tcp://".$url["host"], 9000);
				if(!$fp) {
				        echo "Failed to connect.<br />";
				}

				$file = $url["path"]."admin/events.php?action=".getActionID("ExecuteEvents")."&sid=".$_REQUEST["sid"]."&systemQueueID=".$_REQUEST["systemQueueID"]."&counter=$counter";

				// You WILL have to change this:
				$out  = "GET $file HTTP/1.1\r\n";
				$out .= "Host: ".$url["host"]."\r\n";
				$out .= "Connection: Close\r\n\r\n";
				fwrite($fp, $out);
				fclose($fp);

				break;
			}

		}
		echo "done";

	}
} // ExecuteEvents
?>