<?php
// $Id: AddFAQ.php,v 1.6 2006/07/06 19:37:35 mgarrett Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This action displays the template with which a new FAQ is added.
 *
 * @author  Mark Garrett
 * @author  Vic Fryzel
 */
class AddFAQ extends MB_Action {
	/**
	 * The constructor for an AddFAQ action object. This merely calls the parent constructor,
	 * and sets the string representation of this object. This method also sets up $this->params and
	 * $this->sortColumns for use in $this->getMBAPIQuery().
	 */
	function AddFAQ() {
		parent::MB_Action();
		$this->stringRep = "AddFAQ";
	}

	/**
	 * The main method of this class that executes the AddFAQ action, and returns success or failure.
	 *
	 * @return  int  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();

		$smartyVars = array();
		// Set the templete for output
		$cats = $this->getMBAPIData("GetFAQCategories", "faqCategories", "faqCategory");
		for($i=0; $i<count($cats); $i++) {
			$smartyVars["faqCategories"][$i] = correctArray($cats[$i]);
		}
		$this->addTemplate("faqs/AddFAQ", correctArray($smartyVars), 1);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // AddFAQ
?>