<?php
// $Id: InvoiceStats.php,v 1.5 2006/04/24 21:45:20 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

function getInvoiceStatsData($args) {
	global $CONF;

	$graphData = array();

	$xmlParams = array
	(
		"getInvoiceStats" => 1,
	);
	$query = getMBAPIQuery("GetInvoices", "", $xmlParams);
	$CONF["debug"]->add("ShowGraph::getGraphData", htmlentities($query), __FILE__, __LINE__);
	$data = dispatchMBAPI($query, 1);
	$CONF["debug"]->add("ShowGraph::getGraphData", $data, __FILE__, __LINE__);

	$results =& $data["mbapi"][0]["results"][0];

	if ($data["mbapi"][0]["header"][0]["errorCount"][0] == 0 && $data["mbapi"][0]["header"][0]["numResults"][0] > 0) {
	 	$num = $data["mbapi"][0]["header"][0]["numResults"][0] / 2;
	 	$results =& $data["mbapi"][0]["results"][0]["invoices"][0]["invoice"];
        for($i=0;$i<=$num;$i++) {
         	$statusID = $results[$i]["invoiceStatus"][0];
         	$statusCount = $results[$i]["numInvoices"][0];
			$invoiceStatus[$statusID] = $statusCount;
		}
	}

	$invoiceStatuses = getStatuses("invoice");
	foreach($invoiceStatuses as $statusID => $statusName) {
		$graphData["pPlots"][0][] = ($invoiceStatus[$statusID]>0) ? $invoiceStatus[$statusID] : 0 ;
		$graphData["pPlotLabels"][] = $statusName;
	}

	return $graphData;

}
?>
