<?php
// $Id: ShowSystemLibraryInfo.php,v 1.1 2006/05/15 20:08:59 mfountain Exp $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This will pull system info and push it to a template
 */
class ShowSystemLibraryInfo extends MB_Action {

	function ShowSystemLibraryInfo() {
		parent::MB_Action();
		$this->stringRep = "ShowSystemLibraryInfo";
	}

	function execute() {
		global $CONF;

		$this->smartyVars["libraries"] = mb_list_libs("app-modernbill5");
		$this->smartyVars["version_details"] = mb_check_lib_version_details($this->smartyVars["libraries"]);
		ksort($this->smartyVars["libraries"]);
		foreach ($this->smartyVars["version_details"] as $row){
			foreach ($row["dependencies"] as $dep){
			 	if ((int)$dep["result"]){
				} else {
			 	 	$this->smartyVars["checkmod"][$dep["lib"]] = "highlight";
				}
			}
		}

		$this->addTemplate("modules/ShowSystemLibraryInfo", $this->smartyVars);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}
} // ShowSystemLibraryInfo
?>