<?php
// $Id: ShowAttributes.php,v 1.14 2006/08/02 17:41:30 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/genericactions.php");
require_once mb_path("/lib-action/include/wizard/questions.php");

class ShowAttributes extends ShowAction {
	var $panelOptions;
	function ShowAttributes() {
		parent::ShowAction();
		$this->stringRep = "ShowAttributes";
		$this->setDataSource(
			new DataSource(
				"attributes",
				array(
					"question" => array(
						"questionParams" => array(
							"questionParamValues" => array(),
						),
					),
					
					"questionValueMap" => array(
						"questionValueMappings" => array(
							"attributeMap" => array(
								"attributeMappings" => array(
									"attribute" => array(),
								),
							),
						),
					),
					
				)
			)
		);
		// We have to clear the system-tab-provided configGroupID by checking to see if the configGroupID specified is actually a panel.
		$configGroupID = $_REQUEST["configGroupID"];
		$this->panelOptions = $this->getConfigOptionsByParentName("panel");
		if(!isset($this->panelOptions[$configGroupID])) {
			unset($_REQUEST["configGroupID"]);
		}
		unset($_REQUEST["configGroupID"]);
	}

	function showHandler() {
		$s =& $this->d->getSubject();
		$attrs = $s->getEssential();
		
		// add names back in
		$t =& $this->d->getTable();
		$attrNames = $t->getTable();
		foreach($attrNames as $i => $attrName) {
			$attrs[$i] += $attrName;
		}
		$this->smartyVars["attributes"] = $attrs;
		
		$questions = array();
		$valueMaps = array();
		foreach($attrs as $attribute) {
			if(isset($attribute["question"][0])) {
				$question = $attribute["question"][0];
				$q =& new Questions(array($question));
				$questions[$question["questionID"]] = $q->getHTML();
			}
			if(isset($attribute["questionValueMap"][0])) {
				$valueMap = $attribute["questionValueMap"][0];
				$valueMaps[$valueMap["valueMapID"]] = $valueMap;
			}
		}
		
		$d =& new DataSource("attributes");
		$this->smartyVars["attributeOptions"] = $d->getOptions();
		
		$d =& new DataSource("attributeMaps");
		$this->smartyVars["attributeMapOptions"] = $d->getOptions();

		$this->smartyVars["panelOptions"] = $this->panelOptions;

		$this->smartyVars["questionHTML"] = $questions;
		$this->smartyVars["valueMapDetails"] = $valueMaps;
		
		$this->mergeSystemNavData();
	}

}
?>
