<?php
// $Id: RemoveTLDResponse.php,v 1.1 2006/06/23 19:16:17 bsmith Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");
require_once mb_path("/lib-modernbill/include/config/internal/types.php");

/**
 * This class is a child class of MB_Action. It takes $_REQUEST["tldID"] and displays all
 * the TLD detail information for editing.
 *
 * @author  Brian Smith
 */
class RemoveTLDResponse extends MB_Action {

	function RemoveTLDResponse() {
		parent::MB_Action();
		$this->stringRep = "RemoveTLDResponse";
		$this->params = array("tldID");
	}

	function execute() {
		global $CONF;
		parent::execute();

		$tldID = getParam('tldID');
		if(!$tldID) {
			$this->addError(TRANS_ACTIONERROR, "No TLD ID given.");
		} else {

			$query = $this->getMBAPIQuery("SetTLDs", "delete");
			$data = dispatchMBAPI($query, 1);

			
			if($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				redirect("products.php", "ShowTLDs", array("removedTLD" => 1));
			} else {
				$this->addError(TRANS_ACTIONERROR, "Failed to Remove TLD.");
			}

		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // MB_Action
?>
