<?php
// $Id: ShowProductDetails.php,v 1.24 2006/07/05 17:49:53 kbailey Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/app-modernbill-admin/include/lib-action/products/ShowProductDetailsAction.php");

class ShowProductDetails extends ShowProductDetailsAction {
	function ShowProductDetails() {
		parent::ShowProductDetailsAction("details");
		$this->stringRep = "ShowProductDetails";
		$this->setDataSource(new DataSource("products", array("getServerGroupGhostData" => 1, "getProductAttributeData"=>1)));
	}

	function showDetailsHandler() {

		$this->smartyVars["product"]["productAddonGroupID"] = (int)$this->smartyVars["product"]["productAddonGroupID"];
		$product = $this->smartyVars['product'];

		$sub = $this->d->getSubject();
		$sub = $sub->getEssential();
		$serverGroups = $sub[0]["ghostServerGroups"];
		$attribute = $sub[0]["productAttributes"][0];
		dbg($sub);

		if($product["productStopNumCycles"] == 0) {
			$billingPlan = 1;
		} else if($product["productStopNumCycles"] == 1) {
			$billingPlan = 2;
		} else {
			$billingPlan = 3;
		}
		$billingPlans = array(
			"1" => TRANS_FOREVER,
			"2" => TRANS_ONE_TIME_ONLY,
			"3" => TRANS_FIXED_DURATION,
		);


		$this->smartyVars["addonGroups"] = correctArray(grabResultsFromMBAPIArray(array(
			"mbapi" => array(
				"command" => "GetProductAddonGroups",
				"params" => array()
			)
		)));
		$this->smartyVars["chooseGroups"] = array(0=>TRANS_NONE);
		$this->smartyVars["chooseGroups"] += grabHTMLOpsFromArray($this->smartyVars["addonGroups"], "productAddonGroupID", "productAddonGroupName");

		$this->smartyVars["chooseAttributes"] = array();

		foreach ((array)$serverGroups as $sg){
			$rawAttributes = $this->getAttributesForServerGroupID($sg["serverGroupID"], NULL, true);
			$attributes = array();
			foreach ((array)$rawAttributes as $k=>$v){
				if (!$attributes[$v]){
					$this->smartyVars["chooseAttributes"][$sg["serverGroupID"]."|".$k] = $sg["serverGroupName"]." >> ".$v;
					$attributes[$v] = 1;
				}
			}
		}

		$this->smartyVars["selectedAttribute"] = $attribute["serverGroupID"]."|".$product["productAddonAttributeName"];
		$this->smartyVars["billingPlan"] = $billingPlan;
		$this->smartyVars["billingPlans"] = $billingPlans;
		$this->smartyVars["advanced"] = (int)$_REQUEST["advanced"];
		$this->smartyVars["productdependencyrules"] = getStatuses("productdependencyrules");
		$this->smartyVars["productCancellationRules"] = getTypes("cancellation");
		$this->smartyVars["productTypes"] = getTypes("products");
		$this->smartyVars["loadActionFile"] = $_REQUEST["loadActionFile"];
		$this->smartyVars["loadActionID"] = (INT) $_REQUEST["loadActionID"];
		
				
		
		$this->setupTypeButtons($product["productType"]);
		$this->smartyVars["productButtons"] = $this->productButtons->getButtons();

		$this->mergeFormState();
		return true;
	}
}
?>
