<?php
// $Id: ShowProductVariants.php,v 1.11 2006/03/22 20:40:52 kbailey Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");
require_once mb_path("/lib-tk/toolkit.php");
require_once mb_path("/lib-modernbill/include/config/internal/datasources.php");
/**
 * Show product variants
 *
 * @author  Ben Woolley
 */
class ShowProductVariants extends ShowAction {
	function ShowProductVariants() {
		parent::ShowAction();
		$this->stringRep = "ShowProductVariants";
		$this->setDataSource(new DataSource("productVariants"));
	}

	function showHandler() {
		$productVariantIDs = array();
		foreach ($this->smartyVars["productVariants"] as $row){
			$productVariantIDs[] = $row["productVariantID"];
		}

		$q =& new MBQuery("GetLedgerGroups", "", array("productVariantID" => $productVariantIDs));
		$query = $q->getXMLQuery();

		dbg("query: ".$query);

		$results = dispatchMBAPI($query, 1);
		$results = collapseArrayElements($results["mbapi"][0]["results"][0]["groups"][0]["group"]);
		if ((int)$results["productVariantID"]){
			$results = array($results);
		}
		$results = (array)$results;
		dbg("Results: ");
		dbg($results);
		dbg("");

		$groupsByVariant = array();
		foreach ($results as $k=>$row){
			$groupsByVariant[$row["productVariantID"]][] =& $results[$k];
		}

		foreach ($this->smartyVars["productVariants"] as $k=>$row){
			$this->smartyVars["productVariants"][$k]["ledgerGroups"] = $groupsByVariant[$row["productVariantID"]];
		}
		dbg($this->smartyVars);
	}
}
?>