<?php

// we need to split up the registry into multiple columns
// due to 4000 char oracle column limits
$regParts = str_split($registry,2000);

$licArray = array(array("license", $license));
$c = count($regParts);
for($r=0;$r<$c;$r++){
    $licArray[] = array("registry_".str_pad($r,4,"0",STR_PAD_LEFT),$regParts[$r]);
}

$LOAD_CONF = array(

// ---------------------------------------------------
// ROOT: system
// ---------------------------------------------------
array("","system","040.gif","TRANS_SYSTEM_SETTINGS",1,1),
    array("system","internal","","",0,1,"","",$licArray),
#    array("system","internal","","",-1,1,"","",array
#        (
#            array("license", $license),
#            array("registry", $registry)
#        )),
    array("system","main","","TRANS_MAIN_SYSTEM_SETTINGS",1,1,"","",array
        (
            array("helpdesk_enabled", "1", "", "TRANS_ENABLE_INTERNAL_HELPDESK", "TRANS_ENABLE_INTERNAL_HELPDESK_DESC", "r", 1,1,0,array
                (
                    array("0","TRANS_NO",1),
                    array("1","TRANS_YES",2)
                ))
        )),
    array("system","encryption","","TRANS_ENCRYPTION_SETTINGS",2,1,"configs.php","EditEncryptionConfigs", array
			(
            array("encryption_agree", "", "", "TRANS_ENCRYPTION_AGREE", "TRANS_ENCRYPTION_AGREE_DESC", "t", 2,1,0),
            array("encryption_hash", "", "", "TRANS_ENCRYPTION_HASH", "TRANS_ENCRYPTION_HASH_DESC", "a", 3,1,0),
            array("lek_pin", "", "", "TRANS_ENCRYPTION_LEK_PEN", "TRANS_ENCRYPTION_LEK_PEN_DESC", "p", 4,1,0))),
    array("system","admin","","TRANS_ADMIN_SETTINGS",3,1,"admins.php","ShowAdmins"),
    array("system","migration","","TRANS_MIGRATION_SETTINGS",4,1,"migrate.php","MigrateIntro"),
    array("system","company","","TRANS_COMPANY_SETTINGS",5,1,"companies.php","EditCompany"),
    array("system","versions","","TRANS_VERSIONS",6,1,"","",
		array(
            array("installVersion", "5.0.3", "", "TRANS_INSTALL_VERSION", "TRANS_INSTALL_VERSION_DESC", "t", 2,1,0),
		)
	),

// ---------------------------------------------------
// ROOT: payment
// ---------------------------------------------------
array("","payment","041.gif","TRANS_PAYMENT_SETTINGS",2,1),
	array("payment","paymentGroups","","TRANS_PAYMENT_GROUPS",2,1,"paymentgroups.php","ShowPaymentGroups"),
		array("paymentGroups","gateway","","TRANS_GATEWAY_MODULES",2,1,"",""),
	array("payment","paymentQueue","","TRANS_PAYMENT_QUEUE",3,1,"","", array
		(
		array("transactionAction", "charge", "", "TRANS_PAYMENT_QUEUE_ACTION", "TRANS_PAYMENT_QUEUE_ACTION_DESC", "s", 1,1,0,array
			(array("charge","TRANS_CHARGE",1),
			array("auth","TRANS_AUTH_ONLY",2))),
		array("generateNew", "1", "", "TRANS_PAYMENT_QUEUE_NEW", "", "r", 1,1,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("generateDeclined", "0", "", "TRANS_PAYMENT_QUEUE_DECLINED", "", "r", 1,2,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("generateError", "0", "", "TRANS_PAYMENT_QUEUE_ERROR", "", "r", 1,3,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("generateDueDateOnly", "1", "", "TRANS_PAYMENT_QUEUE_DUE_DATE_ONLY", "", "r", 1,4,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("clearPaymentQueue", "1", "", "TRANS_PAYMENT_QUEUE_CLEAR", "TRANS_PAYMENT_QUEUE_CLEAR_DESC", "r", 1,5,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("try_lesser_amounts", "0", "", "TRANS_PAYMENT_QUEUE_TRY_LESSER_AMOUNTS", "TRANS_PAYMENT_QUEUE_TRY_LESSER_AMOUNTS_DESC", "r", 1,6,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("batch_run_offset", "1", "", "TRANS_PAYMENT_QUEUE_BATCH_DAYS_BEFORE_DUE", "TRANS_PAYMENT_QUEUE_BATCH_DAYS_BEFORE_DUE_DESC", "t",1,7,0),
		)),
	array("payment","virtualTerminal","","TRANS_VIRTUAL_TERMINALS",2,1,"paymentgroups.php","ShowVirtualTerminals"),

// ---------------------------------------------------
// ROOT: order
// ---------------------------------------------------
array("","order","045.gif","TRANS_ORDER_SETTINGS",6,1),
    array("order","orderforms","","TRANS_ORDER_FORM_SETTINGS",1,1,"orderforms.php","ShowOrderForms"),
		array("orderforms","0","","TRANS_ORDER_FORM",1,1,"orderforms.php","ShowOrderForms"),
			array("order","fraudsets","","TRANS_MANAGE_FRAUD_SETTINGS",2,1,"fraudsets.php","ShowFraudSets"),
			array("order","ppcsets","","TRANS_PPC_SETTINGS",2,1,"modules.php","EditPPCFactoryConfig"),
			array("order","attributes","","TRANS_CUSTOM_ATTRIBUTES",2,1,"orderforms.php","ShowAttributes"),

// ---------------------------------------------------
// ROOT: server
// ---------------------------------------------------
array("","server","043.gif","TRANS_SERVER_SETTINGS",4,1),
	array("server","serverGroups","","TRANS_SERVER_GROUP_SETTINGS",2,1,"servergroups.php","ShowServerGroups"),
		array("serverGroups","panel","","TRANS_SERVER_MODULES",2,1,"",""),
			array("panel","generic","","TRANS_PANEL_GENERIC",1,1),
			array("panel","directadmin","","TRANS_PANEL_DIRECTADMIN",2,1),
			array("panel","plesk","","TRANS_PANEL_PLESK",3,1),
			array("panel","cpanel","","TRANS_PANEL_CPANEL",4,1),
			array("panel","helm","","TRANS_PANEL_HELM",5,1),
			array("panel","ensim","","TRANS_PANEL_ENSIM",6,1),
			array("panel","tcadmin","","TRANS_PANEL_TCADMIN",7,1),
			array("panel","freeradius","","TRANS_PANEL_FREERADIUS",8,1),
			array("panel","hostopia","","TRANS_PANEL_HOSTOPIA",9,1),
			array("panel","interworx","","TRANS_PANEL_INTERWORX",10,1),

// ---------------------------------------------------
// ROOT: product
// ---------------------------------------------------
array("","product","047.gif","TRANS_PRODUCT_SETTINGS_CONFIGURATION",8,1),
	array("product","generic","","TRANS_PRODUCT_SETTINGS",1,1,"products.php","ShowProducts"),
	array("product","managementrules","","TRANS_PRODUCT_MANAGEMENT_SETTINGS",1,1,"","",array
		(
		array("allowClientUpgrade", "1", "", "TRANS_ALLOW_CLIENT_INITIATED_UPGRADES", "", "r", 1,1,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("whenUpgrade", "1", "", "TRANS_WHEN_SHOULD_CLIENT_INITIATED_UPGRADES_OCCUR", "", "r", 1,2,0,array
			(array("0","TRANS_NOW",1),
			array("1","TRANS_END_OF_CYCLE",2))),
		array("applyUpgradeCredits", "1", "", "TRANS_APPLY_CREDITS_FOR_IMMEDIATE_UPGRADES", "", "r", 1,2,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("provisionUpgrades", "1", "", "TRANS_PROVISION_UPGRADES", "", "r", 1,2,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("generateUpgradeInvoice", "1", "", "TRANS_GENERATE_INVOICE_FOR_IMMEDIATE_UPGRADES", "", "r", 1,2,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("allowClientDowngrade", "1", "", "TRANS_ALLOW_CLIENT_INITIATED_DOWNGRADES", "", "r", 1,2,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("whenDowngrade", "1", "", "TRANS_WHEN_SHOULD_CLIENT_INITIATED_DOWNGRADES_OCCUR", "", "r", 1,2,0,array
			(array("0","TRANS_NOW",1),
			array("1","TRANS_END_OF_CYCLE",2))),
		array("applyDowngradeCredits", "1", "", "TRANS_APPLY_CREDITS_FOR_IMMEDIATE_DOWNGRADES", "", "r", 1,2,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("provisionDowngrades", "1", "", "TRANS_PROVISION_DOWNGRADES", "", "r", 1,2,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("generateDowngradeInvoice", "1", "", "TRANS_GENERATE_INVOICE_FOR_IMMEDIATE_DOWNGRADES", "", "r", 1,2,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("allowClientAddonManagement", "1", "", "TRANS_ALLOW_CLIENT_INITIATED_ADDON_MANAGEMENT", "", "r", 1,3,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		)),
    array("product","cycles","","TRANS_CYCLE_SETTINGS",1,1,"products.php","ShowCycles"),
//    array("product","certs","","TRANS_SSLCERT_SETTINGS",2,1,"products.php","ShowProducts"),

// ---------------------------------------------------
// ROOT: domain
// ---------------------------------------------------
array("","domain","042.gif","TRANS_DOMAIN_SETTINGS",3,1),
	array("domain","tlds","","TRANS_DOMAIN_TLD_SETTINGS",1,1,"products.php","ShowTLDs"),
	array("domain", "sync", "", "TRANS_DOMAIN_SYNC_SETTINGS", 2, 1, "", "",array(
		array("count", 100, "", "TRANS_DOMAIN_SYNC_COUNT", "TRANS_DOMAIN_SYNC_COUNT_DESC", "t")
			)),

	array("domain","registrar","","TRANS_REGISTRAR_MODULES",3,1,"registrars.php","ShowRegistrars"),
		array("registrar","generic","","TRANS_REGISTRAR_GENERIC",1,1),
		array("registrar","enom","","TRANS_REGISTRAR_ENOM",2,1, "modules.php", "EditRegistrarConfig",array
			(
			array("moduleEnabled", "0", "TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENABLE_ENOM", "", "r", 1,1,0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleDisplayName", "", "TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_DISPLAY_NAME", "", "t", 0,2,0),
			array("moduleUsername", "", "TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_USERNAME", "", "t", 0,3,0),
			array("modulePassword", "", "TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_PASSWORD", "", "p", 0,4,0),
			array("moduleTestMode", "1", "TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_ENABLE_TEST_MODE", "", "r", 0,5,0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowDomainPassword", "0","TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENOM_ALLOW_DOMAIN_PASSWORD", "TRANS_REGISTRAR_ENOM_ALLOW_DOMAIN_PASSWORD_DESC", "r", 0,6, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowRegistrarLock", "0", "TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENOM_ALLOW_REGISTRAR_LOCK", "TRANS_REGISTRAR_ENOM_ALLOW_REGISTRAR_LOCK_DESC", "r", 0,7, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowAutorenew", "2","TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENOM_ALLOW_AUTORENEW", "TRANS_REGISTRAR_ENOM_ALLOW_AUTORENEW_DESC", "r", 0,8, 0,array
				(array("0","TRANS_DISABLED",1),
				array("1","TRANS_REGISTRAR_AUTORENEW",2),
				array("2","TRANS_MODERNBILL_RENEW",3))),
			array("moduleAllowNameserverOverride", "0","TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENOM_ALLOW_NAMESERVER_OVERRIDE", "TRANS_REGISTRAR_ENOM_ALLOW_NAMESERVER_OVERRIDE_DESC", "r", 0,9, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleUseCustomNameserver", "0","TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENOM_USE_CUSTOM_NAMESERVER", "TRANS_REGISTRAR_ENOM_USE_CUSTOM_NAMESERVER_DESC", "r", 0,10, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowRenew", "1","TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENOM_ALLOW_RENEW", "TRANS_REGISTRAR_ENOM_ALLOW_RENEW_DESC", "r", 0,11, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowTransfer", "1","TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENOM_ALLOW_TRANSFER", "TRANS_REGISTRAR_ENOM_ALLOW_TRANSFER_DESC", "r", 0,12, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeDNS", "0","TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_DNS", "TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_DNS_DESC", "r", 0,13, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeContactInfo", "0", "TRANS_ENOM_ADMIN_ACCOUNT","TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_CONTACT_INFO", "TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_CONTACT_INFO_DESC", "r", 0,14, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeRegistrarLock", "0","TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENOM_ALLOW_CHAGE_REGISTRAR_LOCK", "TRANS_REGISTRAR_ENOM_ALLOW_CHAGE_REGISTRAR_LOCK_DESC", "r", 0,15, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeAutorenew", "0","TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_AUTORENEW", "TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_AUTORENEW_DESC", "r", 0,16, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeUpdateDomainPassword", "0","TRANS_ENOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD", "TRANS_REGISTRAR_ENOM_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD_DESC", "r", 0,17, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowRegisterNameServer", "0", "TRANS_ENOM_ADMIN_ACCOUNT","TRANS_REGISTRAR_ENOM_ALLOW_REGISTER_NAME_SERVER", "TRANS_REGISTRAR_ENOM_ALLOW_REGISTER_NAME_SERVER_DESC", "r", 10,18, 1,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("adminFirstName", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_FIRST_NAME", "", "t", 0,19,0),
			array("adminLastName", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_LAST_NAME", "", "t", 0,20,0),
			array("adminCompany", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_COMPANY", "", "t", 0,21,0),
			array("adminEmail", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_EMAIL", "", "t", 0,22,0),
			array("adminAddress1", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_ADDRESS1", "", "t", 0,23,0),
			array("adminAddress2", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_ADDRESS2", "", "t", 0,24,0),
			array("adminCity", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_CITY", "", "t", 0,25,0),
			array("adminState", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_STATE", "", "t", 0,26,0),
			array("adminPostalCode", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_ZIP", "", "t", 0,27,0),
			array("adminCountry", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_COUNTRY", "", "t", 0,28,0),
			array("adminPhone", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_PHONE", "", "t", 0,29,0),
			array("adminFax", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_FAX", "", "t", 0,30,0),

			array("techFirstName", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_FIRST_NAME", "", "t", 0,31,0),
			array("techLastName", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_LAST_NAME", "", "t", 0,32,0),
			array("techCompany", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_COMPANY", "", "t", 0,33,0),
			array("techEmail", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_EMAIL", "", "t", 0,34,0),
			array("techAddress1", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_ADDRESS1", "", "t", 0,35,0),
			array("techAddress2", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_ADDRESS2", "", "t", 0,36,0),
			array("techCity", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_CITY", "", "t", 0,37,0),
			array("techState", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_STATE", "", "t", 0,38,0),
			array("techPostalCode", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_ZIP", "", "t", 0,39,0),
			array("techCountry", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_COUNTRY", "", "t", 0,40,0),
			array("techPhone", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_PHONE", "", "t", 0,41,0),
			array("techFax", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_FAX", "", "t", 0,42,0),

			array("auxBillingFirstName", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_FIRST_NAME", "", "t", 0,43,0),
			array("auxBillingLastName", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_LAST_NAME", "", "t", 0,44,0),
			array("auxBillingCompany", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_COMPANY", "", "t", 0,45,0),
			array("auxBillingEmail", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_EMAIL", "", "t", 0,46,0),
			array("auxBillingAddress1", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_ADDRESS1", "", "t", 0,47,0),
			array("auxBillingAddress2", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_ADDRESS2", "", "t", 0,48,0),
			array("auxBillingCity", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_CITY", "", "t", 0,49,0),
			array("auxBillingState", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_STATE", "", "t", 0,50,0),
			array("auxBillingPostalCode", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_ZIP", "", "t", 0,51,0),
			array("auxBillingCountry", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_COUNTRY", "", "t", 0,52,0),
			array("auxBillingPhone", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_PHONE", "", "t", 0,53,0),
			array("auxBillingFax", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_FAX", "", "t", 0,54,0),
			array("domainNameserver1", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS1", "", "t", 0,55,0),
			array("domainNameserver2", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS2", "", "t", 0,56,0),
			array("domainNameserver3", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS3", "", "t", 0,57,0),
			array("domainNameserver4", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS4", "", "t", 0,58,0),
)),
		array("registrar","registercom","","TRANS_REGISTRAR_REGISTERCOM",2,1, "modules.php", "EditRegistrarConfig",array
			(
			array("moduleEnabled", "0", "TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENABLE_REGISTERCOM", "", "r", 1,1,0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleDisplayName", "", "TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_DISPLAY_NAME", "", "t", 0,2,0),
			array("moduleUsername", "", "TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_USERNAME", "", "t", 0,3,0),
			array("modulePassword", "", "TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_PASSWORD", "", "p", 0,4,0),
			array("moduleTestMode", "1", "TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_ENABLE_TEST_MODE", "", "r", 0,5,0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowDomainPassword", "0","TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_DOMAIN_PASSWORD", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_DOMAIN_PASSWORD_DESC", "r", 0,6, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowRegistrarLock", "0", "TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_REGISTRAR_LOCK", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_REGISTRAR_LOCK_DESC", "r", 0,7, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowAutorenew", "2","TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_AUTORENEW", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_AUTORENEW_DESC", "r", 0,8, 0,array
				(array("0","TRANS_DISABLED",1),
				array("1","TRANS_REGISTRAR_AUTORENEW",2),
				array("2","TRANS_MODERNBILL_RENEW",3))),
			array("moduleAllowNameserverOverride", "0","TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_NAMESERVER_OVERRIDE", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_NAMESERVER_OVERRIDE_DESC", "r", 0,9, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleUseCustomNameserver", "0","TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_REGISTERCOM_USE_CUSTOM_NAMESERVER", "TRANS_REGISTRAR_REGISTERCOM_USE_CUSTOM_NAMESERVER_DESC", "r", 0,10, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowRenew", "1","TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_RENEW", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_RENEW_DESC", "r", 0,11, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowTransfer", "1","TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_TRANSFER", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_TRANSFER_DESC", "r", 0,12, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeDNS", "0","TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_DNS", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_DNS_DESC", "r", 0,13, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeContactInfo", "0", "TRANS_REGISTERCOM_ADMIN_ACCOUNT","TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_CONTACT_INFO", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_CONTACT_INFO_DESC", "r", 0,14, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeRegistrarLock", "0","TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHAGE_REGISTRAR_LOCK", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHAGE_REGISTRAR_LOCK_DESC", "r", 0,15, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeAutorenew", "0","TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_AUTORENEW", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_AUTORENEW_DESC", "r", 0,16, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeUpdateDomainPassword", "0","TRANS_REGISTERCOM_ADMIN_ACCOUNT", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD_DESC", "r", 0,17, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowRegisterNameServer", "0", "TRANS_REGISTERCOM_ADMIN_ACCOUNT","TRANS_REGISTRAR_REGISTERCOM_ALLOW_REGISTER_NAME_SERVER", "TRANS_REGISTRAR_REGISTERCOM_ALLOW_REGISTER_NAME_SERVER_DESC", "r", 10,18, 1,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("adminFirstName", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_FIRST_NAME", "", "t", 0,19,0),
			array("adminLastName", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_LAST_NAME", "", "t", 0,20,0),
			array("adminCompany", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_COMPANY", "", "t", 0,21,0),
			array("adminEmail", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_EMAIL", "", "t", 0,22,0),
			array("adminAddress1", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_ADDRESS1", "", "t", 0,23,0),
			array("adminAddress2", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_ADDRESS2", "", "t", 0,24,0),
			array("adminCity", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_CITY", "", "t", 0,25,0),
			array("adminState", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_STATE", "", "t", 0,26,0),
			array("adminPostalCode", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_ZIP", "", "t", 0,27,0),
			array("adminCountry", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_COUNTRY", "", "t", 0,28,0),
			array("adminPhone", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_PHONE", "", "t", 0,29,0),
			array("adminFax", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_FAX", "", "t", 0,30,0),

			array("techFirstName", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_FIRST_NAME", "", "t", 0,31,0),
			array("techLastName", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_LAST_NAME", "", "t", 0,32,0),
			array("techCompany", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_COMPANY", "", "t", 0,33,0),
			array("techEmail", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_EMAIL", "", "t", 0,34,0),
			array("techAddress1", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_ADDRESS1", "", "t", 0,35,0),
			array("techAddress2", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_ADDRESS2", "", "t", 0,36,0),
			array("techCity", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_CITY", "", "t", 0,37,0),
			array("techState", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_STATE", "", "t", 0,38,0),
			array("techPostalCode", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_ZIP", "", "t", 0,39,0),
			array("techCountry", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_COUNTRY", "", "t", 0,40,0),
			array("techPhone", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_PHONE", "", "t", 0,41,0),
			array("techFax", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_FAX", "", "t", 0,42,0),

			array("auxBillingFirstName", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_FIRST_NAME", "", "t", 0,43,0),
			array("auxBillingLastName", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_LAST_NAME", "", "t", 0,44,0),
			array("auxBillingCompany", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_COMPANY", "", "t", 0,45,0),
			array("auxBillingEmail", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_EMAIL", "", "t", 0,46,0),
			array("auxBillingAddress1", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_ADDRESS1", "", "t", 0,47,0),
			array("auxBillingAddress2", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_ADDRESS2", "", "t", 0,48,0),
			array("auxBillingCity", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_CITY", "", "t", 0,49,0),
			array("auxBillingState", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_STATE", "", "t", 0,50,0),
			array("auxBillingPostalCode", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_ZIP", "", "t", 0,51,0),
			array("auxBillingCountry", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_COUNTRY", "", "t", 0,52,0),
			array("auxBillingPhone", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_PHONE", "", "t", 0,53,0),
			array("auxBillingFax", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_FAX", "", "t", 0,54,0),
			array("domainNameserver1", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS1", "", "t", 0,55,0),
			array("domainNameserver2", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS2", "", "t", 0,56,0),
			array("domainNameserver3", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS3", "", "t", 0,57,0),
			array("domainNameserver4", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS4", "", "t", 0,58,0),

)),
		array("registrar","opensrs","","TRANS_REGISTRAR_OPENSRS",2,1, "modules.php", "EditRegistrarConfig",array
			(
			array("moduleEnabled", "0", "TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_ENABLE_OPENSRS", "", "r", 1,1,0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleDisplayName", "", "TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_DISPLAY_NAME", "", "t", 0,2,0),
			array("moduleUsername", "", "TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_USERNAME", "", "t", 0,3,0),
			array("modulePassword", "", "TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_PRIVATE_KEY", "", "p", 0,4,0),
			array("moduleTestMode", "1", "TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_ENABLE_TEST_MODE", "", "r", 0,6,0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowDomainPassword", "0","TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_OPENSRS_ALLOW_DOMAIN_PASSWORD", "TRANS_REGISTRAR_OPENSRS_ALLOW_DOMAIN_PASSWORD_DESC", "r", 0,7, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowRegistrarLock", "0", "TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_OPENSRS_ALLOW_REGISTRAR_LOCK", "TRANS_REGISTRAR_OPENSRS_ALLOW_REGISTRAR_LOCK_DESC", "r", 0,8, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowAutorenew", "0","TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_OPENSRS_ALLOW_AUTORENEW", "TRANS_REGISTRAR_OPENSRS_ALLOW_AUTORENEW_DESC", "r", 0,9, 0,array
				(array("0","TRANS_DISABLED",1),
				array("1","TRANS_REGISTRAR_AUTORENEW",2),
				array("2","TRANS_MODERNBILL_RENEW",3))),
			array("moduleAllowNameserverOverride", "0","TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_OPENSRS_ALLOW_NAMESERVER_OVERRIDE", "TRANS_REGISTRAR_OPENSRS_ALLOW_NAMESERVER_OVERRIDE_DESC", "r", 0,10, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleUseCustomNameserver", "0","TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_OPENSRS_USE_CUSTOM_NAMESERVER", "TRANS_REGISTRAR_OPENSRS_USE_CUSTOM_NAMESERVER_DESC", "r", 0,11, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowRenew", "1","TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_OPENSRS_ALLOW_RENEW", "TRANS_REGISTRAR_OPENSRS_ALLOW_RENEW_DESC", "r", 0,12, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowTransfer", "1","TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_OPENSRS_ALLOW_TRANSFER", "TRANS_REGISTRAR_OPENSRS_ALLOW_TRANSFER_DESC", "r", 0,13, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeDNS", "0","TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_DNS", "TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_DNS_DESC", "r", 0,14, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeContactInfo", "0", "TRANS_OPENSRS_ADMIN_ACCOUNT","TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_CONTACT_INFO", "TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_CONTACT_INFO_DESC", "r", 0,15, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeRegistrarLock", "0","TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_OPENSRS_ALLOW_CHAGE_REGISTRAR_LOCK", "TRANS_REGISTRAR_OPENSRS_ALLOW_CHAGE_REGISTRAR_LOCK_DESC", "r", 0,16, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeAutorenew", "0","TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_AUTORENEW", "TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_AUTORENEW_DESC", "r", 0,17, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowChangeUpdateDomainPassword", "0","TRANS_OPENSRS_ADMIN_ACCOUNT", "TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD", "TRANS_REGISTRAR_OPENSRS_ALLOW_CHANGE_UPDATE_DOMAIN_PASSWORD_DESC", "r", 0,18, 0,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("moduleAllowRegisterNameServer", "0", "TRANS_OPENSRS_ADMIN_ACCOUNT","TRANS_REGISTRAR_OPENSRS_ALLOW_REGISTER_NAME_SERVER", "TRANS_REGISTRAR_OPENSRS_ALLOW_REGISTER_NAME_SERVER_DESC", "r", 10,19, 1,array
				(array("0","TRANS_NO",1),
				array("1","TRANS_YES",2))),
			array("adminFirstName", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_FIRST_NAME", "", "t", 0,19,0),
			array("adminLastName", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_LAST_NAME", "", "t", 0,21,0),
			array("adminCompany", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_COMPANY", "", "t", 0,22,0),
			array("adminEmail", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_EMAIL", "", "t", 0,23,0),
			array("adminAddress1", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_ADDRESS1", "", "t", 0,24,0),
			array("adminAddress2", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_ADDRESS2", "", "t", 0,25,0),
			array("adminCity", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_CITY", "", "t", 0,26,0),
			array("adminStaten", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_STATE", "", "t", 0,27,0),
			array("adminPostalCode", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_ZIP", "", "t", 0,28,0),
			array("adminCountry", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_COUNTRY", "", "t", 0,28,0),
			array("adminPhone", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_PHONE", "", "t", 0,30,0),
			array("adminFax", "", "TRANS_REGISTRAR_ADMIN_CONTACT", "TRANS_REGISTRAR_FAX", "", "t", 0,31,0),

			array("techFirstName", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_FIRST_NAME", "", "t", 0,32,0),
			array("techLastName", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_LAST_NAME", "", "t", 0,33,0),
			array("techCompany", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_COMPANY", "", "t", 0,34,0),
			array("techEmail", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_EMAIL", "", "t", 0,35,0),
			array("techAddress1", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_ADDRESS1", "", "t", 0,36,0),
			array("techAddress2", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_ADDRESS2", "", "t", 0,37,0),
			array("techCity", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_CITY", "", "t", 0,38,0),
			array("techState", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_STATE", "", "t", 0,39,0),
			array("techPostalCode", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_ZIP", "", "t", 0,40,0),
			array("techCountry", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_COUNTRY", "", "t", 0,41,0),
			array("techPhone", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_PHONE", "", "t", 0,42,0),
			array("techFax", "", "TRANS_REGISTRAR_TECH_CONTACT", "TRANS_REGISTRAR_FAX", "", "t", 0,43,0),

			array("auxBillingFirstName", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_FIRST_NAME", "", "t", 0,44,0),
			array("auxBillingLastName", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_LAST_NAME", "", "t", 0,45,0),
			array("auxBillingCompany", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_COMPANY", "", "t", 0,46,0),
			array("auxBillingEmail", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_EMAIL", "", "t", 0,47,0),
			array("auxBillingAddress1", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_ADDRESS1", "", "t", 0,48,0),
			array("auxBillingAddress2", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_ADDRESS2", "", "t", 0,49,0),
			array("auxBillingCity", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_CITY", "", "t", 0,50,0),
			array("auxBillingState", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_STATE", "", "t", 0,51,0),
			array("auxBillingPostalCode", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_ZIP", "", "t", 0,52,0),
			array("auxBillingCountry", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_COUNTRY", "", "t", 0,53,0),
			array("auxBillingPhone", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_PHONE", "", "t", 0,54,0),
			array("auxBillingFax", "", "TRANS_REGISTRAR_AUXBILLING_CONTACT", "TRANS_REGISTRAR_FAX", "", "t", 0,55,0),
			array("domainNameserver1", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS1", "", "t", 0,56,0),
			array("domainNameserver2", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS2", "", "t", 0,57,0),
			array("domainNameserver3", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS3", "", "t", 0,58,0),
			array("domainNameserver4", "", "TRANS_REGISTRAR_NS", "TRANS_REGISTRAR_NS4", "", "t", 0,59,0),

)),
/*
        array("registrar","stargate","","TRANS_REGISTRAR_STARGATE",4,1,array
			(
            array("enableStargate", "0", "", "TRANS_REGISTRAR_ENABLE_STARGATE", "TRANS_REGISTRAR_ENABLE_STARGATE_DESC", "r", 1,1,0,array
                (array("0","TRANS_NO",1),
                array("1","TRANS_YES",2))),
            array("stargateUsername", "", "", "TRANS_REGISTRAR_STARGATE_USERNAME", "TRANS_REGISTRAR_STARGATE_USERNAME_DESC", "t", 2,1,0),
            array("stargatePassword", "", "", "TRANS_REGISTRAR_STARGATE_PASSWORD", "TRANS_REGISTRAR_STARGATE_PASSWORD_DESC", "t", 3,1,0))),
        array("registrar","directi","","TRANS_REGISTRAR_DIRECTI",5,1,array
			(
            array("directiDirecti", "0", "", "TRANS_REGISTRAR_ENABLE_DIRECTI", "TRANS_REGISTRAR_ENABLE_DIRECTI_DESC", "r", 1,1,0,array
                (array("0","TRANS_NO",1),
                array("1","TRANS_YES",2))),
            array("directiUsername", "", "", "TRANS_REGISTRAR_DIRECTI_USERNAME", "TRANS_REGISTRAR_DIRECTI_USERNAME_DESC", "t", 2,1,0),
            array("directiPassword", "", "", "TRANS_REGISTRAR_DIRECTI_PASSWORD", "TRANS_REGISTRAR_DIRECTI_PASSWORD_DESC", "t", 3,1,0))),
*/

// ---------------------------------------------------
// ROOT: billing
// ---------------------------------------------------
array("","billing","044.gif","TRANS_BILLING_SETTINGS",5,1),
	array("billing","invoice","","TRANS_INVOICE_SETTINGS",3,1,"","",array(
		array("billingMode", "anniversary", "", "TRANS_BILLING_MODE", "", "r", 1,1,0,array
			(array("anniversary","TRANS_ANNIVERSARY",1),
			array("monthly","TRANS_MONTHLY",2))),
		array("billingDayOfMonth", "1", "", "TRANS_MONTHLY_BILLING_DAY", "TRANS_MONTHLY_BILLING_DAY_DESC", "s",1,2,0,array
			(array("1","1",1),
			array("2","2",2),
			array("3","3",3),
			array("4","4",4),
			array("5","5",5),
			array("6","6",6),
			array("7","7",7),
			array("8","8",8),
			array("9","9",9),
			array("10","10",10),
			array("11","11",11),
			array("12","12",12),
			array("13","13",13),
			array("14","14",14),
			array("15","15",15),
			array("16","16",16),
			array("17","17",17),
			array("18","18",18),
			array("19","19",19),
			array("20","20",20),
			array("21","21",21),
			array("22","22",22),
			array("23","23",23),
			array("24","24",24),
			array("25","25",25),
			array("26","26",26),
			array("27","27",27),
			array("28","28",28))),
		array("billingProrationThreshold", "15", "", "TRANS_MONTHLY_PRORATION_THRESHOLD", "TRANS_MONTHLY_PRORATION_THRESHOLD_DESC", "s",1,2,0,array
			(array("1","1",1),
			array("2","2",2),
			array("3","3",3),
			array("4","4",4),
			array("5","5",5),
			array("6","6",6),
			array("7","7",7),
			array("8","8",8),
			array("9","9",9),
			array("10","10",10),
			array("11","11",11),
			array("12","12",12),
			array("13","13",13),
			array("14","14",14),
			array("15","15",15),
			array("16","16",16),
			array("17","17",17),
			array("18","18",18),
			array("19","19",19),
			array("20","20",20),
			array("21","21",21),
			array("22","22",22),
			array("23","23",23),
			array("24","24",24),
			array("25","25",25),
			array("26","26",26),
			array("27","27",27),
			array("28","28",28))),
		array("getActiveClients", "1", "", "TRANS_INVOICE_ACTIVE_CLIENTS", "", "r", 1,2,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("getSuspendedClients", "0", "", "TRANS_INVOICE_SUSPENDED_CLIENTS", "", "r", 1,2,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("getActivePackages", "1", "", "TRANS_INVOICE_ACTIVE_PACKAGES", "", "r", 1,3,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("getSuspendedPackages", "0", "", "TRANS_INVOICE_SUSPENDED_PACKAGES", "", "r", 1,4,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("getActiveDomains", "1", "", "TRANS_INVOICE_ACTIVE_DOMAINS", "", "r", 1,5,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("sendInvoiceEmail", "1", "", "TRANS_INVOICE_SEND_EMAIL", "", "r", 1,6,0,array
			(array("0","TRANS_NO",1),
			array("1","TRANS_YES",2))),
		array("invoice_number_template", "1", "", "TRANS_INVOICE_NUMBER_TEMPLATE", "", "s", 1,7,0,array
			(array("%%ID%%","ID",1),
			array("%%CURYEAR%%-%%ID%%","YEAR-ID, example: 01-2006-12345",2),
			array("%%CURMONTH%%-%%CURYEAR%%-%%ID%%","MONTH-YEAR-ID, example: 01-2006-12345",3),
			array("%%VATYEAR%%-%%ID%%","VATYEAR-ID, example: 10-2006-12345",4),
			array("%%VATMONTH%%-%%VATYEAR%%-%%ID%%","VATMONTH-VATYEAR-ID, , example: 10-2006-12345",5),
			array("%%CURYEAR%%-%%SEQ%%","YEAR-SEQ, example: 2006-1",6),
			array("%%CURMONTH%%-%%CURYEAR%%-%%SEQ%%","MONTH-YEAR-SEQ, example: 01-2006-1",7),
			array("%%VATYEAR%%-%%SEQ%%","VATYEAR-SEQ, example: 2006-1",8),
			array("%%VATMONTH%%-%%VATYEAR%%-%%SEQ%%","VATMONTH-VATYEAR-SEQ, example: 10-2006-1",9))),
		array("invoice_sequence", "1", "", "TRANS_INVOICE_SEQUENCE", "TRANS_INVOICE_SEQUENCE_DESC", "t",1,8,0),
		array("invoice_generate_offset", "10", "", "TRANS_INVOICE_GENERATE_DAYS_BEFORE_RENEW_DATE", "TRANS_INVOICE_GENERATE_DAYS_BEFORE_RENEW_DATE_DESC", "t",1,9,0),
		array("invoice_due_offset", "9", "", "TRANS_INVOICE_DUE_DAYS_AFTER_GENERATION", "TRANS_INVOICE_DUE_DAYS_AFTER_GENERATION_DESC", "t",1,10,0),
		)),

    array("billing","tax","","TRANS_TAX_SETTINGS",2,1,"taxes.php","ShowTaxZones"),
//    array("billing","accounting","","TRANS_ACCOUNTING_SETTINGS",3,1,"accounting.php","ShowAccountingMenu"),

// ---------------------------------------------------
// ROOT: email
// ---------------------------------------------------
array("","email","046.gif","TRANS_EMAIL_SETTINGS",7,1),
	array("email", "emailSettings", "", "TRANS_EMAIL_SETTINGS", 4,1,"modules.php", "EditEmailConfig", array(
		array("emailMethod", "php", "", "TRANS_EMAIL_METHOD"),
		array("emailSendmailLocation", "/usr/sbin/sendmail", "", "TRANS_EMAIL_SENDMAIL_LOCATION"),
		array("emailSMTPServer", "", "", "TRANS_EMAIL_SMTP_SERVER_LOCATION"),
		array("emailSMTPAuth", "", "", "TRANS_EMAIL_SMTP_REQUIRE_AUTHENTICATION"),
		array("emailSMTPUsername", "", "", "TRANS_EMAIL_SMTP_USERNAME"),
		array("emailSMTPPassword", "", "", "TRANS_EMAIL_SMTP_PASSWORD"))),
    array("email","templates","","TRANS_EMAIL_TEMPLATE_GROUPS",2,1,"emails.php","ShowEmailTemplateGroups"),

// ---------------------------------------------------
// ROOT: automation
// ---------------------------------------------------
array("","automation","048.gif","TRANS_AUTOMATION_SETTINGS",9,1),
	array("automation","systemQueue","","TRANS_SYSTEM_QUEUE_SETTINGS",1,1,"","",array
		(
			array("max_system_queue_events", "3", "", "TRANS_MAX_SYSTEM_QUEUE_EVENTS", "TRANS_MAX_SYSTEM_QUEUE_DESC", "t", 1,1,0),
			array("run_queue_active_client_type", "0", "", "TRANS_RUN_SYSTEM_QUEUE_ACTIVE_CLIENT_TYPE", "TRANS_RUN_SYSTEM_QUEUE_ACTIVE_CLIENT_TYPE_DESC", "s", 1,2,0,array
				(array("0","TRANS_RUN_NO",1),
				array("1","TRANS_RUN_NO_BALANCE",2),
				array("2","TRANS_RUN_PAID",3),
				array("3","TRANS_RUN_NOT_PAID",4))),
			array("run_queue_new_client_type", "0", "", "TRANS_RUN_SYSTEM_QUEUE_NEW_CLIENT_TYPE", "TRANS_RUN_SYSTEM_QUEUE_NEW_CLIENT_TYPE_DESC", "s", 1,3,0,array
				(array("0","TRANS_RUN_NO",1),
				array("1","TRANS_RUN_NO_BALANCE",2),
				array("2","TRANS_RUN_PAID",3),
				array("3","TRANS_RUN_NOT_PAID",4))),
			array("run_queue_domain_new_type", "0", "", "TRANS_RUN_SYSTEM_QUEUE_DOMAIN_NEW_TYPE", "TRANS_RUN_SYSTEM_QUEUE_DOMAIN_NEW_TYPE_DESC", "s", 1,4,0,array
				(array("0","TRANS_RUN_NO",1),
				array("1","TRANS_RUN_NO_BALANCE",2),
				array("2","TRANS_RUN_PAID",3),
				array("3","TRANS_RUN_NOT_PAID",4))),
			array("run_queue_domain_active_type", "0", "", "TRANS_RUN_SYSTEM_QUEUE_DOMAIN_ACTIVE_TYPE", "TRANS_RUN_SYSTEM_QUEUE_DOMAIN_ACTIVE_TYPE_DESC", "s", 1,5,0,array
				(array("0","TRANS_RUN_NO",1),
				array("1","TRANS_RUN_NO_BALANCE",2),
				array("2","TRANS_RUN_PAID",3),
				array("3","TRANS_RUN_NOT_PAID",4))),
			array("run_queue_domain_renewal_type", "0", "", "TRANS_RUN_SYSTEM_QUEUE_DOMAIN_RENEWAL_TYPE", "TRANS_RUN_SYSTEM_QUEUE_DOMAIN_RENEWAL_TYPE_DESC", "s", 1,6,0,array
				(array("0","TRANS_RUN_NO",1),
				array("1","TRANS_RUN_NO_BALANCE",2),
				array("2","TRANS_RUN_PAID",3),
				array("3","TRANS_RUN_NOT_PAID",4))),
			array("run_queue_domain_new_sync", "0", "", "TRANS_RUN_SYSTEM_QUEUE_DOMAIN_NEW_SYNC", "TRANS_RUN_SYSTEM_QUEUE_DOMAIN_NEW_SYNC_DESC", "s", 1,7,0,array
				(array("0","TRANS_RUN_AFTER_PANEL",1),
				array("1","TRANS_RUN_AFTER_PANEL_FAILURE",2),
				array("2","TRANS_RUN_IGNORE_PANEL",3))),
			array("system_queue_push_time", "15", "", "TRANS_SYSTEM_QUEUE_PUSH_MINUTES", "TRANS_SYSTEM_QUEUE_PUSH_MINUTES_DESC", "t", 1,8,0),

		)),
	array("automation","ipqueue","","TRANS_IP_QUEUE_SETTINGS",2,1,"servers.php","ShowIPLog"),
//    array("automation","cron","","TRANS_CRON_SETTINGS",3,1,"",""),
	array("automation","autoSuspension","","TRANS_AUTOSUSPEND_SETTINGS",4,1,"","",array(
			array("enableAutoSuspend", "0", "", "TRANS_AUTOMATION_AUTOSUSPEND_ENABLED", "TRANS_AUTOMATION_AUTOSUSPEND_ENABLED_DESC", "r", 1,1,0,array
				(
					array("0","TRANS_NO",1),
					array("1","TRANS_YES",2)
				)),
			array("autoSuspendFirstNotice", "15", "", "TRANS_AUTOMATION_AUTOSUSPEND_FIRST_NOTICE", "TRANS_AUTOMATION_AUTOSUSPEND_FIRST_NOTICE_DESC", "t",1,2,0),
			array("autoSuspendSecondNotice", "20", "", "TRANS_AUTOMATION_AUTOSUSPEND_SECOND_NOTICE", "TRANS_AUTOMATION_AUTOSUSPEND_SECOND_NOTICE_DESC", "t",1,3,0),
			array("autoSuspendThirdNotice", "30", "", "TRANS_AUTOMATION_AUTOSUSPEND_THIRD_NOTICE", "TRANS_AUTOMATION_AUTOSUSPEND_THIRD_NOTICE_DESC", "t",1,4,0),
			array("autoSuspendClean", "730", "", "TRANS_AUTOMATION_AUTOSUSPEND_CLEAN_NOTICE", "TRANS_AUTOMATION_AUTOSUSPEND_CLEAN_NOTICE_DESC", "t",1,4,0),
			array("sendSuspensionEmails", "1", "", "TRANS_AUTOMATION_AUTOSUSPEND_SEND_EMAIL", "TRANS_AUTOMATION_AUTOSUSPEND_SEND_EMAIL_DESC", "r", 1,6,0,array
				(
					array("0","TRANS_NO",1),
					array("1","TRANS_YES",2)
				)))),

//   array("automation","mbalert","","TRANS_MBALERT_MODULE",5,1,"",""),

// ---------------------------------------------------
// ROOT: user
// ---------------------------------------------------
array("","user","049.gif","TRANS_USER_SETTINGS",10,1),
	array("user","display","","TRANS_USER_SETTINGS",1,1,"",""),
	array("user","forums","","TRANS_FORUMS_SETTINGS",3,1,"",""),
	array("user","themes","","TRANS_THEME_SETTINGS",4,1,"themes.php","ShowThemes"),

// ---------------------------------------------------
// ROOT: other
// ---------------------------------------------------
array("","other","050.gif","TRANS_OTHER_SETTINGS",11,1),
	array("other","faq","","TRANS_FAQ_SETTINGS",1,1,"",""),
	array("other","news","","TRANS_NEWS_SETTINGS",2,1,"",""),
	array("other","affiliates","","TRANS_AFFILIATE_MODULES",3,1,"",""),
/*        array("affiliates","ultimateaffiliate","","TRANS_AFFILIATE_MODULES_ULTIMATEAFFILIATE",1,1, "modules.php", "EditUltimateAffiliateConfig"),
			array("ultimateaffiliate","0","","TRANS_AFFILIATE_MODULES_ULTIMATEAFFILIATE",1,1, "modules.php", "EditUltimateAffiliateConfig", array
					(array("enableUltimateAffiliate", "", "", "TRANS_AFFILIATE_MODULES_ENABLEULTIMATEAFFILIATE"),
					array("secretUltimateAffiliate", "", "", "TRANS_AFFILIATE_MODULES_SECRETULTIMATEAFFILIATE"),
					array("pathUltimateAffiliate", "secure.yourdoman.com/cgi-bin/affiliates/", "", "TRANS_AFFILIATE_MODULES_PATHTOULTIMATEAFFILIATE"),
					array("useSSLUltimateAffiliate", "", "", "TRANS_AFFILIATE_MODULES_USESSLULTIMATEAFFILIATE"),
					array("recurringCommissionUltimateAffiliate", "", "", "TRANS_AFFILIATE_MODULES_RECURRINGCOMMISSIONSULTIMATEAFFILIATE"),
					array("versionUltimateAffiliate", "", "", "TRANS_AFFILIATE_MODULES_VERSIONULTIMATEAFFILIATE"))), 
		array("affiliates","idevaffiliate","","TRANS_AFFILIATE_MODULES_IDEVAFFILIATE",2,1, "modules.php", "EditiDevAffiliateConfig"),
			array("idevaffiliate","0","","TRANS_AFFILIATE_MODULES_IDEVAFFILIATE",2,1, "modules.php", "EditiDevAffiliateConfig", array
					(array("enableiDevAffiliate", 0, "", "TRANS_AFFILIATE_MODULES_ENABLEIDEVAFFILIATE"),
					array("pathiDevAffiliate" ,$CONF["secureURLProtocol"]."://yoursite.com/idevaffiliate/", "","TRANS_AFFILIATE_MODULES_PATHTOIDEVAFFILIATE"))),
*/
	array("other","fraud","","TRANS_FRAUD_MODULES",4,1),
		array("fraud","fraudguardian","","TRANS_OTHER_MODULES_FRAUDGUARDIAN",1,1, "modules.php", "EditFraudGuardianConfig"),
			array("fraudguardian","0","","FraudGuardian",1,0, "modules.php", "EditFraudCallConfig", array
					(array("enableFraudGuardian", "", "", "TRANS_FRAUD_MODULES_ENABLEFRAUDGUARDIAN"),
					array("usernameFraudGuardian", "", "", "TRANS_FRAUD_MODULES_USERNAMEFRAUDGUARDIAN"),
					array("passwordFraudGuardian", "", "", "TRANS_FRAUD_MODULES_PASSWORDFRAUDGUARDIAN"))),

	array("other","ppc","","TRANS_PPC_MODULES",5,1),
		array("ppc","ppcfactory","","TRANS_PPC_MODULES_PPCFACTORY",1,1, "modules.php", "EditPPCFactoryConfig"),
			array("ppcfactory","0","","PPCfactory",1,0, "modules.php", "EditPPCFactoryConfig", array
					(array("enablePPCfactory", "", "", "TRANS_PPC_MODULES_ENABLEPPCFACTORY"),
					array("testmodePPCfactory", "", "", "TRANS_PPC_MODULES_TESTMODEPPCFACTORY"),
					array("usernamePPCfactory", "", "", "TRANS_PPC_MODULES_USERNAMEPPCFACTORY"),
					array("passwordPPCfactory", "", "", "TRANS_PPC_MODULES_PASSWORDPPCFACTORY"))),

		/*
		array("fraud","fraudcall","","TRANS_FRAUD_MODULES_FRAUDCALL",2,1, "modules.php", "EditFraudCallConfig"),
			array("fraudcall","0","","FraudCall",1,0, "modules.php", "EditFraudCallConfig", array
					(array("enableFraudCall", "", "", "TRANS_FRAUD_MODULES_ENABLEFRAUDCALL"),
					array("usernameFruadCall", "", "", "TRANS_FRAUD_MODULES_USERNAMEFRAUDCALL"),
					array("passwordFraudCall", "", "", "TRANS_FRAUD_MODULES_PASSWORDFRAUDCALL"),
					array("serviceNameFraudCall", "", "", "TRANS_FRAUD_MODULES_SERVICEFRAUDCALL"),
					array("completedCallCallerApproved", "", "", "TRANS_FRAUD_MODULES_COMPLETECALLCALLERAPPROVEDFRAUDCALL"),
					array("completedCallCallerDeclined", "", "", "TRANS_FRAUD_MODULES_COMPLETECALLCALLERDECLINEDFRAUDCALL"),
					array("incompleteCallTollFree", "", "", "TRANS_FRAUD_MODULES_INCOMPLETECALLTOLLFREEFRAUDCALL"))),
		*/

	
	array("other","ssl","","TRANS_SSL_MODULES",6,1),
		array("ssl","sslfactory","","TRANS_SSL_MODULES_SSLFACTORY",1,1, "modules.php", "EditSSLFactoryConfig", array
					(array("enableSSLFactory", "", "", "TRANS_SSL_MODULES_ENABLESSLFACTORY"),
					array("usernameSSLFactory", "", "", "TRANS_SSL_MODULES_USERNAMESSLFACTORY"),
					array("accessCodeSSLFactory", "", "", "TRANS_SSL_MODULES_ACCESSCODESSLFACTORY"))),
	
);

?>
