<?php $languages = array(
"aa" => array('aar', 'Qafar', NULL),
"af" => array('afr', 'Afrikaans', 1),
"am" => array('amh', 'አማርኛ', NULL),
"ar" => array('ara', '‎العربية‎', 1),
"as" => array('asm', 'অসমিয়া', 1),
"az_Cyrl" => array('aze', 'Азәрбајҹан - Cyrl', 1),
"az_Latn" => array('aze', 'azərbaycanca - Latn', 1),
"be" => array('bel', 'Беларускі', 1),
"bg" => array('bul', 'Български', 1),
"bn" => array('ben', 'বাংলা', 1),
"bs" => array('bos', 'Bosanski', 1),
"byn" => array('byn', 'ብሊን', NULL),
"ca" => array('cat', 'català', 1),
"cs" => array('cze', 'Čeština', NULL),
"cy" => array('wel', 'Cymraeg', 1),
"da" => array('dan', 'Dansk', 1),
"de" => array('ger', 'Deutsch', 1),
"dv" => array('div', '‎ދިވެހިބަސް‎', 1),
"dz" => array('dzo', 'རྫོང་ཁ', NULL),
"el" => array('gre', 'Ελληνικά', 1),
"en" => array('eng', 'English', 1),
"eo" => array('epo', 'Esperanto', NULL),
"es" => array('spa', 'español', 1),
"et" => array('est', 'Eesti', 1),
"eu" => array('baq', 'euskara', 1),
"fa" => array('per', '‎فارسی‎', 1),
"fi" => array('fin', 'suomi', 1),
"fo" => array('fao', 'føroyskt', 1),
"fr" => array('fre', 'français', 1),
"ga" => array('gla', 'Gaeilge', 1),
"gez" => array('gez', 'ግዕዝኛ', NULL),
"gl" => array('glg', 'galego', NULL),
"gu" => array('guj', 'ગુજરાતી', 1),
"gv" => array('glv', 'Gaelg', NULL),
"haw" => array('haw', 'ʻōlelo Hawaiʻi', NULL),
"he" => array('heb', '‎עברית‎', 1),
"hi" => array('hin', 'हिंदी', 1),
"hr" => array('scr', 'hrvatski', 1),
"hu" => array('hun', 'magyar', 1),
"hy" => array('arm', 'Հայերէն', 1),
"id" => array('ind', 'Bahasa Indonesia', 1),
"is" => array('ice', 'Íslenska', 1),
"it" => array('ita', 'italiano', 1),
"iu" => array('ike', 'ᐃᓄᒃᑎᑐᑦ ᑎᑎᕋᐅᓯᖅ', NULL),
"ja" => array('jpn', '日本語', 1),
"ka" => array('geo', 'ქართული', 1),
"kk" => array('kaz', 'Қазақ', 1),
"kl" => array('kal', 'Kalaallisut', NULL),
"km" => array('khm', 'ភាសាខ្មែរ', 1),
"kn" => array('kan', 'ಕನ್ನಡ', NULL),
"ko" => array('kor', '한국어', 1),
"kok" => array('knn', 'कोंकणी', NULL),
"kw" => array('cor', 'kernewek', NULL),
"ky" => array('kir', 'Кыргыз', 1),
"lo" => array('lao', 'ລາວ', 1),
"lt" => array('lit', 'Lietuvių', 1),
"lv" => array('lav', 'latviešu', 1),
"mk" => array('mac', 'македонски', 1),
"ml" => array('mal', 'മലയാളം', 1),
"mn" => array('mon', 'Монгол хэл', 1),
"mr" => array('mar', 'मराठी', NULL),
"ms" => array('may', 'Bahasa Melayu', 1),
"mt" => array('mlt', 'Malti', 1),
"nb" => array('nor', 'norsk bokmål', 1),
"nl" => array('dut', 'Nederlands', 1),
"nn" => array('nor', 'norsk nynorsk', 1),
"om" => array('orm', 'Oromoo', NULL),
"or" => array('ori', 'ଓଡ଼ିଆ', 1),
"pa" => array('pan', 'ਪੰਜਾਬੀ', 1),
"pl" => array('pol', 'polski', 1),
"ps" => array('pus', '‎پښتو‎', 1),
"pt" => array('por', 'português', 1),
"ro" => array('rum', 'Română', 1),
"ru" => array('rus', 'русский', 1),
"sa" => array('san', 'संस्कृत', 1),
"sid" => array('sid', 'Sidaamu Afo', NULL),
"sk" => array('slo', 'slovenský', 1),
"sl" => array('slv', 'Slovenščina', 1),
"so" => array('som', 'Soomaali', 1),
"sq" => array('alb', 'shqipe', 1),
"sr_Cyrl" => array('scc', 'Српски - Ћирилица', 1),
"sr_Latn" => array('scc', 'Srpski - Latinica', 1),
"sv" => array('swe', 'svenska', 1),
"sw" => array('swa', 'Kiswahili', 1),
"syr" => array('syr', '‎ܣܘܪܝܝܐ‎', 1),
"ta" => array('tam', 'தமிழ்', 1),
"te" => array('tel', 'తెలుగు', 1),
"th" => array('tha', 'ไทย', 1),
"ti" => array('tir', 'ትግርኛ', NULL),
"tig" => array('tig', 'ትግረ', NULL),
"tr" => array('tur', 'Türkçe', 1),
"tt" => array('tat', 'Татар', NULL),
"uk" => array('ukr', 'Українська', 1),
"ur" => array('urd', '‎اردو‎', 1),
"uz_Arab" => array('uzb', '‎اۉزبېک - Араб‎', 1),
"uz_Cyrl" => array('uzb', 'Ўзбек - Кирил', 1),
"uz_Latn" => array('uzb', 'oʿzbek - Lotin', 1),
"vi" => array('vie', 'Tiếng Việt', 1),
"wal" => array('wal', 'ወላይታቱ', NULL),
"zh_Hans" => array('chi', '中文 - 简体汉语', 1),
"zh_Hant" => array('chi', '中文 - 繁體漢語', 1),
"ak" => array('aka', 'Akan', NULL),
"ee" => array('ewe', 'Ewe', NULL),
"fur" => array('fur', 'furlan'),
"gaa" => array('gaa', 'Ga'),
"ha_Arab" => array('hau', 'هَوُسَ - Arab', NULL),
"ha_Latn" => array('hau', 'Hausa - Latn', NULL),
"ig" => array('ibo', 'Igbo', NULL),
"ia" => array('ina', 'Interlingua', NULL),
"kam" => array('kam', 'Kamba'),
"rw" => array('kin', 'Kinyarwanda', NULL),
"ku_Arab" => array('kur', 'کوردی - Arab', NULL),
"ku_Latn" => array('kur', 'kurdî - Latn', NULL),
"ln" => array('lin', 'lingála', NULL),
"ne" => array('nep', 'नेपाली', NULL),
"se" => array('sme', 'davvisámegiella', NULL),
"nso" => array('nso', 'Sesotho sa Leboa'),
"ny" => array('nya', 'Nyanja', NULL),
"ps" => array('pus', '‎پښتو‎', NULL),
"pa_Arab" => array('pan', 'پنجابی - گُرمُکھی', NULL),
"pa_Guru" => array('pan', 'ਪੰਜਾਬੀ - ਗੁਰਮੁਖੀ', NULL),
"nr" => array('nbl', 'Nrebele', NULL),
"st" => array('sot', 'Sesotho', NULL),
"ss" => array('ssw', 'Swati', NULL),
"tg" => array('tgk', 'тоҷикӣ', NULL),
"ts" => array('tso', 'XiTsonga', NULL),
"tn" => array('tsn', 'Setswana', NULL),
"ve" => array('ven', 'Tshivenda', NULL),
"xh" => array('xho', 'isiXhosa', NULL),
"yo" => array('yor', 'ede Yorùbá', NULL),
"zu" => array('zul', 'isiZulu', NULL),
); ?>