<?php

$processInvoices = "
<mbapi>
	<command>ProcessInvoices</command>
	<params>
		<numInvoicesToGenerate>-1</numInvoicesToGenerate>
		<setBillingMode>-1</setBillingMode> 
		<setSendInvoiceEmails>-1</setSendInvoiceEmails>
		<packageDateNextRenewalLessThan>-1</packageDateNextRenewalLessThan>
		<domainDateNextRenewalLessThan>-1</domainDateNextRenewalLessThan>
		<getActiveClients>-1</getActiveClients>
		<getSuspendedClients>-1</getSuspendedClients>
		<getActivePackages>-1</getActivePackages>
		<getSuspendedPackages>-1</getSuspendedPackages>
		<getActiveDomains>-1</getActiveDomains>
	</params>
</mbapi>";

$processPaymentQueue = "
<mbapi>
	<command>ProcessPaymentQueue</command>
	<params>
		<generateNew>-1</generateNew>
		<generateDeclined>-1</generateDeclined>
		<generateError>-1</generateError>
		<generateDueDateOnly>-1</generateDueDateOnly>
		<dueDateTimestamp>-1</dueDateTimestamp>
		<numInvoicesToQueue>-1</numInvoicesToQueue>
		<numInvoicesToCharge>-1</numInvoicesToCharge>
		<chargeLesserAmounts>-1</chargeLesserAmounts>
		<createRunEvents>1</createRunEvents>
		<clearPaymentQueue>-1</clearPaymentQueue>
</params>
</mbapi>";

$processSuspensions = "
<mbapi>
	<command>ProcessSuspensions</command>
	<params>
		<setSendSuspensionEmails></setSendSuspensionEmails>
		<suspensionLevel1Day>-1</suspensionLevel1Day>
		<suspensionLevel2Day>-1</suspensionLevel2Day>
		<suspensionLevel3Day>-1</suspensionLevel3Day>
		<suspensionCleanDay>-1</suspensionCleanDay>
		<limitClientGroups>
			<clientGroupID></clientGroupID>
		</limitClientGroups>
		<excludeClientGroups>
			<clientGroupID></clientGroupID>
		</excludeClientGroups>
		<limitClients>
			<clientID></clientID>
		</limitClients>
		<excludeClients>
			<clientID></clientID>
		</excludeClients>
		<limitPackages>
			<packageID></packageID>
		</limitPackages>
		<excludePackages>
			<packageID></packageID>
		</excludePackages>
		<limitDomains>
			<domainPackageID></domainPackageID>
		</limitDomains>
		<excludeDomains>
			<domainPackageID></domainPackageID>
		</excludeDomains>
	</params>
</mbapi>";

$processUnsuspensions = "
<mbapi>
	<command>ProcessUnsuspensions</command>
	<params>
		<setSendSuspensionEmails></setSendSuspensionEmails>
		<suspensionLevel1Day>-1</suspensionLevel1Day>
		<suspensionLevel2Day>-1</suspensionLevel2Day>
		<suspensionLevel3Day>-1</suspensionLevel3Day>
		<suspensionCleanDay>-1</suspensionCleanDay>
		<limitClientGroups>
			<clientGroupID></clientGroupID>
		</limitClientGroups>
		<excludeClientGroups>
			<clientGroupID></clientGroupID>
		</excludeClientGroups>
		<limitClients>
			<clientID></clientID>
		</limitClients>
		<excludeClients>
			<clientID></clientID>
		</excludeClients>
		<limitPackages>
			<packageID></packageID>
		</limitPackages>
		<excludePackages>
			<packageID></packageID>
		</excludePackages>
		<limitDomains>
			<domainPackageID></domainPackageID>
		</limitDomains>
		<excludeDomains>
			<domainPackageID></domainPackageID>
		</excludeDomains>
	</params>
</mbapi>";

$processUsage = "
<mbapi>
	<command>ProcessUsage</command>
	<params>
	</params>
</mbapi>";

$processCancellation = "
<mbapi>
	<command>ProcessCancellation</command>
	<params>
	</params>
</mbapi>";

$processExpiredCreditCards = "
<mbapi>
	<command>ProcessExpiredCreditCards</command>
	<params>
	</params>
</mbapi>";

$processDomainSynchronization = "
<mbapi>
	<command>ProcessDomainSynchronization</command>
	<params>
	</params>
</mbapi>";

list($m, $d, $y, $h, $mi, $s) = explode("/", date("m/d/Y/g/i/s"));

$systemQueueItems = array(
"INSERT INTO system_queue (system_queue_command, system_queue_command_input, system_queue_minute, system_queue_hour, system_queue_day, system_queue_month, system_queue_year, system_queue_is_recurring, system_queue_date_created, system_queue_date_finished, system_queue_date_to_run) values (
'ProcessInvoices', '".htmlentities($processInvoices)."', 0, 0, 1, 0, 0, 1, ".mktime($h, $mi, $s, $m, $d, $y).", 0, ".mktime(4, $mi, $s, $m, $d, $y).")",

"INSERT INTO system_queue (system_queue_command, system_queue_command_input, system_queue_minute, system_queue_hour, system_queue_day, system_queue_month, system_queue_year, system_queue_is_recurring, system_queue_date_created, system_queue_date_finished, system_queue_date_to_run) values (
'ProcessPaymentQueue', '".htmlentities($processPaymentQueue)."', 0, 0, 1, 0, 0, 1, ".mktime($h, $mi, $s, $m, $d, $y).", 0, ".mktime(20, $mi, $s, $m, $d, $y).")",

"INSERT INTO system_queue (system_queue_command, system_queue_command_input, system_queue_minute, system_queue_hour, system_queue_day, system_queue_month, system_queue_year, system_queue_is_recurring, system_queue_date_created, system_queue_date_finished, system_queue_date_to_run) values (
'ProcessSuspensions', '".htmlentities($processSuspensions)."', 0, 0, 1, 0, 0, 1, ".mktime($h, $mi, $s, $m, $d, $y).", 0, ".mktime(23, $mi, $s, $m, $d, $y).")",

"INSERT INTO system_queue (system_queue_command, system_queue_command_input, system_queue_minute, system_queue_hour, system_queue_day, system_queue_month, system_queue_year, system_queue_is_recurring, system_queue_date_created, system_queue_date_finished, system_queue_date_to_run) values (
'ProcessUnsuspensions', '".htmlentities($processUnsuspensions)."', 20, 0, 0, 0, 0, 1, ".mktime($h, $mi, $s, $m, $d, $y).", 0, ".mktime(2, $mi, $s, $m, $d, $y).")",

"INSERT INTO system_queue (system_queue_command, system_queue_command_input, system_queue_minute, system_queue_hour, system_queue_day, system_queue_month, system_queue_year, system_queue_is_recurring, system_queue_date_created, system_queue_date_finished, system_queue_date_to_run) values (
'ProcessUsage', '".htmlentities($processUsage)."', 0, 0, 1, 0, 0, 1, ".mktime($h, $mi, $s, $m, $d, $y).", 0, ".mktime(05, $mi, $s, $m, $d, $y).")",

"INSERT INTO system_queue (system_queue_command, system_queue_command_input, system_queue_minute, system_queue_hour, system_queue_day, system_queue_month, system_queue_year, system_queue_is_recurring, system_queue_date_created, system_queue_date_finished, system_queue_date_to_run) values (
'ProcessCancellation', '".htmlentities($processCancellation)."', 0, 0, 1, 0, 0, 1, ".mktime($h, $mi, $s, $m, $d, $y).", 0, ".mktime(1, 20, $s, $m, $d, $y).")",

"INSERT INTO system_queue (system_queue_command, system_queue_command_input, system_queue_minute, system_queue_hour, system_queue_day, system_queue_month, system_queue_year, system_queue_is_recurring, system_queue_date_created, system_queue_date_finished, system_queue_date_to_run) values (
'ProcessExpiredCreditCards', '".htmlentities($processExpiredCreditCards)."', 0, 0, 7, 0, 0, 1, ".mktime($h, $mi, $s, $m, $d, $y).", 0, ".mktime(08, $mi, $s, $m, $d, $y).")",

"INSERT INTO system_queue (system_queue_command, system_queue_command_input, system_queue_minute, system_queue_hour, system_queue_day, system_queue_month, system_queue_year, system_queue_is_recurring, system_queue_date_created, system_queue_date_finished, system_queue_date_to_run) values (
'ProcessDomainSynchronization', '".htmlentities($processDomainSynchronization)."', 0, 0, 7, 0, 0, 1, ".mktime($h, $mi, $s, $m, $d, $y).", 0, ".mktime(08, $mi, $s, $m, $d, $y).")");

?>
