<?php
// $Id: EditBillingAccount.php,v 1.9 2006/07/04 07:15:55 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");

class EditBillingAccount extends EditAction {
	function EditBillingAccount() {
		global $CONF;
		$clientContactID = $CONF["user"]["clientContactID"];
		$_REQUEST["clientContactID"] = $clientContactID;
		
		$this->d =& new DataSource("billingAccounts", array("clientContactID" => $clientContactID));
		$description = $this->d->getDescription();
		$description["names"]["file"] = "profile";
		$description["display"]["editTemplate"] = "profile/EditBillingAccount";
		$this->d->setDescription($description);
		parent::EditAction();
	}
	
	function editParamHandler() {
		global $CONF;
		$clientID = $CONF["user"]["id"];
		$clientContactID = $CONF["user"]["clientContactID"];
		$billingAccountID = (int) $_REQUEST["billingAccountID"];
		
		$this->smartyVars["billingAccountTypes"] = getTypes("billingAccount");
		$this->smartyVars["bankAccountTypes"] = getTypes("bankAccount");
		$this->smartyVars["cardTypes"] = getTypes("card");
		$this->smartyVars["cardExtraTypes"] = getTypes("cardExtraIDs");
		$this->smartyVars["selectedPackages"] = grabHTMLOpsFromArray(grabResultsFromMBAPIArray(array(
			"mbapi" => array(
				"command" => "GetBillingAccountShares",
				"params" => array(
					"billingAccountID" => $billingAccountID,
					"getPackageData" => 1,
				),
			),
		)), "packageID", "packageName");
		$this->smartyVars["selectablePackages"] = grabHTMLOpsFromArray(grabResultsFromMBAPIArray(array(
			"mbapi" => array(
				"command" => "GetPackages",
				"params" => array(
					"clientID" => $clientID,
				),
			),
		)), "packageID", "packageName", array_keys($this->smartyVars["selectedPackages"]));
		
		return true;
	}
}

?>
