// $Id: main.js,v 1.15 2006/07/27 21:06:09 bsmith Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2002 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


var XKsliderTargets = new Array();
var XKsliders = new Array();
var XKselectedSlider = false;
var XKmouseDown = false;
var XKmouseXOffset = 0;
var XKmouseYOffset = 0;
var XKeditingField = '';
var ns6=document.getElementById && !document.all;
var XKpixelCorrection = 0.01;

	
function XKregisterSliderTarget(slidingobj, targettype, targetobj){
    dbg('registering slider target'+targettype);
    var tar = new Array();
    tar['slidingobj'] = slidingobj;
    tar['targettype'] = targettype;
    tar['targetobj'] = targetobj;
    XKsliderTargets[XKsliderTargets.length] = tar;
    dbg('registration successful.');
}

function XKsetSliderTargetValues(value){
    for (sst=0; sst<XKsliderTargets.length; sst++){
        if (XKsliderTargets[sst]['slidingobj']==XKselectedSlider['slidingobj']){
            if (XKsliderTargets[sst]['targetobj']!=XKeditingField){
                if (XKsliderTargets[sst]['targettype']=='div'){
                    XKsliderTargets[sst]['targetobj'].innerHTML = value;
                }
                if (XKsliderTargets[sst]['targettype']=='formtext'){
                    XKsliderTargets[sst]['targetobj'].value = value;
                }
            }
        }
    }
}

function XKregisterSlider(parentobj, slidingobj, orientation, min, max, setvalue){
    if (orientation=='vertical'){
        var usex = false;
        var usey = true;
    } else {
        var usex = true;
        var usey = false;
    }
    var tar = new Array();

    if (typeof parentobj=='undefined'){
        dbg('parent object not found');
    }

    tar['slidingobj'] = slidingobj;
    tar['parentobj'] = parentobj;
    tar['orientation'] = orientation;
    tar['usex'] = usex;
    tar['usey'] = usey;
    tar['min'] = min;
    tar['max'] = max;

    XKremoveSlider(slidingobj);
    XKaddSlider(tar);
    XKselectedSlider = tar;
    XKsliderSetValue(setvalue);

}

function XKsliderSetValue(value){

    dbg("value: "+value);
    value = parseFloat(value)+XKpixelCorrection;

    var sliderinfo = XKselectedSlider;

    if (value<sliderinfo['min'])return;

    dbg("min: "+sliderinfo['min']);
    dbg("max: "+sliderinfo['max']);
    dbg("beforeval: "+value);

    if (value>sliderinfo['max']){
        value = sliderinfo['max'];
    }
    if (value<sliderinfo['min']){
        value = sliderinfo['min'];
    }

    dbg("afterval: "+value);

    value -= sliderinfo['min'];
    dbg("afterval: "+value);

    var range = sliderinfo['max']-sliderinfo['min'];
    var ratio = value/range;

    var minx = findPosX(XKselectedSlider['parentobj'])+1;
    var maxx = findPosX(XKselectedSlider['parentobj'])+parseInt(XKselectedSlider['parentobj'].style.width)-(parseInt(XKselectedSlider['slidingobj'].style.width)/1)-1;
    var miny = findPosY(XKselectedSlider['parentobj'])+1;
    var maxy = findPosY(XKselectedSlider['parentobj'])+parseInt(XKselectedSlider['parentobj'].style.height)-(parseInt(XKselectedSlider['slidingobj'].style.height)/1)-1;

    var xrange = maxx-minx;
    dbg("xrange: "+xrange);
    var xpos = (xrange*ratio)+minx;

    var yrange = maxy-miny;
    var ypos = (yrange*ratio)+miny;

    XKmoveSlider(xpos-XKmouseXOffset, ypos-XKmouseYOffset);

}

function XKsetSemanticValue(ratio){
    var range = XKselectedSlider['max']-XKselectedSlider['min'];
    var amount = Math.floor(((range*ratio)+XKselectedSlider['min'])*10)/10;
    if (amount!=amount*1)amount = 0;
    XKsetSliderTargetValues(amount);
}


function XKregisterMove(e){
	if(!e)e=window.event;
    var curX = (ns6)?e.pageX : e.x+document.body.scrollLeft;
    var curY = (ns6)?e.pageY : e.y+document.body.scrollTop;

    if (XKmouseDown==true){
        XKmoveSlider(curX, curY);
    }

}


function XKmoveSlider(x, y){
    var mx = x+XKmouseXOffset;
    var my = y+XKmouseYOffset;

    var minx = findPosX(XKselectedSlider['parentobj'])+1; //-(parseInt(XKselectedSlider['slidingobj'].style.width)/2);
    var maxx = findPosX(XKselectedSlider['parentobj'])+parseInt(XKselectedSlider['parentobj'].style.width)-(parseInt(XKselectedSlider['slidingobj'].style.width)/1)-1;
    var miny = findPosY(XKselectedSlider['parentobj'])+1; //-(parseInt(XKselectedSlider['slidingobj'].style.top)/2);
    var maxy = findPosY(XKselectedSlider['parentobj'])+parseInt(XKselectedSlider['parentobj'].style.height)-(parseInt(XKselectedSlider['slidingobj'].style.height)/1)-1;

    if (mx<minx){
        mx = minx;
    }
    if (mx>maxx){
        mx = maxx;
    }
    if (my<miny){
        my = miny;
    }
    if (my>maxy){
        my = maxy;
    }

    dbg("x: "+mx+" y: "+my);

    var range = 0;
    var ratio = 0;

    if (XKselectedSlider['usex']==true){
        range = maxx-minx;
        ratio = (mx-minx)/range;
        XKsliderMoveLeft(mx);
        dbg("SETTING X: "+mx);
        XKsetSemanticValue(ratio);
    }
    if (XKselectedSlider['usey']==true){
        range = maxy-miny;
        ratio = (my-miny)/range;
        XKsliderMoveTop(my);
        XKsetSemanticValue(ratio);
    }
}

function XKsliderMoveLeft(x){
	if (typeof XKselectedSlider['slidingobj'].style.left == 'string'){
		XKselectedSlider['slidingobj'].style.left = x+"px";
	} else if (XKselectedSlider['slidingobj'].style.pixelLeft){
		XKselectedSlider['slidingobj'].style.pixelLeft = x;
	}
}

function XKsliderMoveTop(y){
	if (typeof XKselectedSlider['slidingobj'].style.top == 'string'){
		XKselectedSlider['slidingobj'].style.top = y+"px";
	} else if (XKselectedSlider['slidingobj'].style.pixelTop){
		XKselectedSlider['slidingobj'].style.pixelTop = y;
	}
}

function XKsliderSetDown(e, slidingobj){
    dbg("setting slider.");
    XKmouseDown = true;
    XKmouseXOffset = -parseInt(slidingobj.style.width)/2;
    XKmouseYOffset = -parseInt(slidingobj.style.height)/2;
    XKselectedSlider = XKgetSliderInfo(slidingobj);
}

function XKsliderRelease(){
    dbg('removing slider');
    XKmouseDown = false;
}



/// supporting functions

function XKgetSliderInfo(slidingobj){
    var ret = new Array();
    for (gsi=0; gsi<XKsliders.length; gsi++){
        if (XKsliders[gsi]['slidingobj']==slidingobj){
            dbg("found sliding obj");
            ret = XKsliders[gsi];
        }
    }
    return ret;
}

function XKremoveSlider(slidingobj){
    for (gsi=0; gsi<XKsliders.length; gsi++){
        if (XKsliders[gsi]['slidingobj']==slidingobj){
            XKsliders[gsi] = null;
        }
    }
}

function XKaddSlider(tar){
    XKsliders[XKsliders.length] = tar;
}


function XKsliderEditTextField(e, textfield, slidername){
    XKsliderSetDown(e, document.getElementById(slidername));
    XKsliderRelease();
    XKsliderSetValue(textfield.value);
}


function XKsetSliderValueQuick(name, value){
	XKselectedSlider = XKgetSliderInfo(document.getElementById(name+'sliderobj'));
	XKsliderSetValue(value);
}

document.onmouseup = XKsliderRelease;
document.onmousemove = XKregisterMove;

function dbg(x){
    //document.getElementById('debugdiv').innerHTML = x+"<br />\n"+document.getElementById('debugdiv').innerHTML;
}


function findPosX(obj){ // ripped from a free script post somewhere
    var curleft = 0;
    if (obj.offsetParent){
        while (obj.offsetParent){
            curleft += obj.offsetLeft;
            obj = obj.offsetParent;
        }
    } else if (obj.x) {
        curleft += obj.x;
    }
    return curleft;
}

function findPosY(obj){ // ripped from a free script post somewhere
    var curtop = 0;
    if (obj.offsetParent){
        while (obj.offsetParent){
            curtop += obj.offsetTop;
            obj = obj.offsetParent;
        }
    } else if (obj.y) {
        curtop += obj.y;
    }
    return curtop;
}


function highlightOff(id, defaultclassname) {
	if (document.getElementById) {
		var elementID = document.getElementById(id);
		if (elementID && typeof elementID.className == 'string') {
			elementID.className = defaultclassname;
		}
	}
}

function highlightOn(id, defaultclassname) {
	if (document.getElementById) {
		var elementID = document.getElementById(id);
		if (elementID && typeof elementID.className == 'string') {
			elementID.className = defaultclassname+' highlight';
		}
	}
}

function highlightOnChecked(x, target, defaultclassname){
	x = document.getElementById(x);
	if (x.checked){
		highlightOn(target, defaultclassname);
	} else {
		highlightOff(target, defaultclassname);
	}
}

function checkCheckedInAMoment(x, target, defaultclassname){
	setTimeout("highlightOnChecked('"+x+"', '"+target+"', '"+defaultclassname+"');", 100);
}

function XKtoggleFormCheckboxes(f, fieldname){
    var tmp = '';
    for (xxi = 0; xxi < f.elements.length; xxi++){
        tmp = f.elements[xxi].type;
        if (tmp=="checkbox"){
            tmp = f.elements[xxi].name.toString();
            tmp = tmp.substring(0,fieldname.length);
            if (tmp.toString()==fieldname.toString()){
				if (f.elements[xxi].checked){
					f.elements[xxi].checked = false;
				} else {
					f.elements[xxi].checked = true;
				}
				f.elements[xxi].focus();
				f.elements[xxi].blur();
            }
        }
    }
    return total;
}

function XKcheckFormCheckboxes(f, fieldname){
    var tmp = '';
    for (xxi = 0; xxi < f.elements.length; xxi++){
        tmp = f.elements[xxi].type;
        if (tmp=="checkbox"){
            tmp = f.elements[xxi].name.toString();
            tmp = tmp.substring(0,fieldname.length);
            if (tmp.toString()==fieldname.toString()){
				f.elements[xxi].checked = true;
            }
			f.elements[xxi].focus();
			f.elements[xxi].blur();
        }
    }
    return total;
}

function XKuncheckFormCheckboxes(f, fieldname){
    var tmp = '';
    for (xxi = 0; xxi < f.elements.length; xxi++){
        tmp = f.elements[xxi].type;
        if (tmp=="checkbox"){
            tmp = f.elements[xxi].name.toString();
            tmp = tmp.substring(0,fieldname.length);
            if (tmp.toString()==fieldname.toString()){
				f.elements[xxi].checked = false;
            }
			f.elements[xxi].focus();
			f.elements[xxi].blur();

        }
    }
    return total;
}


/////////////////////////////////////////////////////////////////////////////////////
////////// smooth div sizing scripting below:
/////////////////////////////////////////////////////////////////////////////////////

var XKsizeObj;
var XKsizeToFitObj;
var XKsizeIncrement = 8;
var XKsizeChangeDelay = 1;
var XKstartSize = 0;
var XKendSize = 0;
var XKdelayedContent = "";
var XKsizeObjName = "";
var XKsizeToFitObjName = "";
var XKsmoothCallback = "";

function XKgetIncrement(){
	if (XKstartSize<XKendSize){
		diff = XKendSize-XKstartSize;
	} else {
		diff = XKstartSize-XKendSize;
	}
	diff = Math.floor(diff/7);
	if (diff < XKsizeIncrement){
		return XKsizeIncrement;
	} else {
		return diff;
	}
}

function XKgetHeight(obj){
	var x = Element.getDimensions(obj);
	return x.height;
}

function XKsmoothSize(sizeObjName, sizeToFitObjName){
	XKsizeObjName = sizeObjName;
	XKsizeToFitObjName = sizeToFitObjName;
	XKsizeObj = document.getElementById(sizeObjName);
	XKsizeToFitObj = document.getElementById(sizeToFitObjName);
	XKstartSize = parseInt(XKsizeObj.style.height);
	XKendSize = XKgetHeight(XKsizeToFitObj)+(2*parseInt(XKsizeObj.style.padding));
	dbg("start size: "+XKstartSize);
	dbg("end size: "+XKendSize);
	if (XKstartSize>XKendSize){
		XKsmoothSizeDown();
	} else {
		XKsmoothSizeUp();
	}
}

function XKsmoothSizeUp(){
	XKendSize = XKgetHeight(XKsizeToFitObj)+(2*parseInt(XKsizeObj.style.padding));
	var currentsize = parseInt(XKsizeObj.style.height);
	XKstartSize = currentsize;
	var thischange = XKgetIncrement();
	if (currentsize+thischange>XKendSize){
		dbg("changing height to: "+XKendSize);
		XKsizeObj.style.height = XKendSize+"px";
		if (XKsmoothCallback!=""){
			setTimeout(XKsmoothCallback, 100);
			XKsmoothCallback = "";
		}
	} else {
		dbg("changing height to: "+(currentsize+thischange));
		XKsizeObj.style.height = (currentsize+thischange)+"px";
		setTimeout("XKsmoothSizeUp();", XKsizeChangeDelay);
	}
}

function XKsmoothSizeDown(){
	XKendSize = XKgetHeight(XKsizeToFitObj)+(2*parseInt(XKsizeObj.style.padding));
	var currentsize = parseInt(XKsizeObj.style.height);
	XKstartSize = currentsize;
	var thischange = XKgetIncrement();
	if (currentsize-thischange<XKendSize){
		dbg("changing height to: "+XKendSize);
		XKsizeObj.style.height = XKendSize+"px";
		if (XKdelayedContent!=""){
			XKsizeToFitObj.innerHTML = XKdelayedContent;
			XKdelayedContent = "";
			XKsmoothSize(XKsizeObjName, XKsizeToFitObjName);
		} else {
			if (XKsmoothCallback!=""){
				setTimeout(XKsmoothCallback, 100);
				XKsmoothCallback = "";
			}
		}
	} else {
		dbg("changing height to: "+(currentsize-thischange));
		XKsizeObj.style.height = (currentsize-thischange)+"px";
		setTimeout("XKsmoothSizeDown();", XKsizeChangeDelay);
	}
}


// example usage:
/*

have your div that you will be populating with overflow: hidden; and a height set by default (0 maybe?)
<div id="outerdiv" style="border: 1px solid black; padding: 5px; width: 400px; height: 20px; overflow: hidden;">

	<div id="innerdiv"></div>

</div>

the javascript functions you might want to write to trigger the filling and sizing of these divs would be

// sizes down to one line thick then fills and sizes to fit fill.
function fillone(){
	XKdelayedContent = "asdf<br>asdf<br>asdf<br>asdf<br>asdf<br>asdf<br>asdf<br>asdf<br>";
	document.getElementById('innerdiv').innerHTML = "&nbsp;";
	XKsmoothSize('outerdiv', 'innerdiv');
}

// sizes from whatever the current size is to whatever the new fill size is
function filltwo(){
	document.getElementById('innerdiv').innerHTML = "asdf<br>asdf<br>asdf<br>asdf";
	XKsmoothSize('outerdiv', 'innerdiv');
}



*/

function XKsmoothToggle(id, content){
	if (document.getElementById) {
		var elementID = document.getElementById(id);
		if (elementID && typeof elementID.className == 'string'){
			if (elementID.className == 'off') {
				//alert("rolling out");
				elementID.className = 'on';
				document.getElementById("inner"+id).innerHTML = unescape(content);
				XKsmoothSize('outer'+id, 'inner'+id);
			} else {
				//alert("rolling in");
				XKsmoothCallback = "toggle('"+id+"');";
				document.getElementById("inner"+id).innerHTML = "<span style='font-size: 1pt;'>&nbsp;</span>";
				XKsmoothSize('outer'+id, 'inner'+id);
			}
		}
	}
}



///////////// previously in toggle.js content:

function toggle(id) {
	if (document.getElementById) {
		var elementID = document.getElementById(id);
		if (elementID && typeof elementID.className == 'string') {
			if (elementID.className == 'off') {
				elementID.className = 'on';
			} else {
				elementID.className = 'off';
			}
		}
	}
}

function toggleOff(id) {
	if (document.getElementById) {
		var elementID = document.getElementById(id);
		if (elementID && typeof elementID.className == 'string') {
			if (elementID.className == 'off') {
				elementID.className = 'off';
			} else {
				elementID.className = 'off';
			}
		}
	}
}

function toggleOn(id) {
	if (document.getElementById) {
		var elementID = document.getElementById(id);
		if (elementID && typeof elementID.className == 'string') {
			if (elementID.className == 'off') {
				elementID.className = 'on';
			} else {
				elementID.className = 'on';
			}
		}
	}
}

/*
 * ussage: <input type="button" onClick="XKmoveUp(LISTOBJECT)" value=" &uarr; "><br>
 *         <input type="button" onClick="XKmoveDown(LISTOBJECT)" value=" &darr; "><br>
 */


// get the location in a form that an element is
function getIndex(input) {
    var index = -1, i = 0;
    while (i < input.form.length && index == -1){
        if (input.form[i] == input){
            index = i;
        } else {
            i++;
        }
    }
    return index;
}

// swap 2 indexes in a select box
function XKswap(obj, in1, in2){
    if (!obj)return false;
    if (in1==in2)return true;
    if (in1>obj.options.length || in2>obj.options.length)return false;
    var opar = new Array();
    for (i=0; i<obj.options.length; i++){
        if (i==in1){
            opar[in2] = obj.options[i];
        } else if (i==in2){
            opar[in1] = obj.options[i];
        } else {
            opar[i] = obj.options[i];
        }
    }
    for (i=0; i<opar.length; i++)obj.options[i]=opar[i];
}


function XKmoveUp(obj){
    moveLast = true;
    for (xi=0; xi<obj.options.length; xi++){
        if (moveLast==false && xi==obj.options.length-1)return;
        if (obj.options[xi].selected==true && xi>0){
            XKswap(obj, xi, xi-1);
        } else if (obj.options[xi].selected==true && !(xi>0)){
            return false;
        }
    }
}

function XKmoveDown(obj){
    var moveZero = true;
    for (xi=obj.options.length-1; xi>-1; xi--){
        if (moveZero==false && xi==0)return;
        if (obj.options[xi].selected==true && xi+1<obj.options.length){
            XKswap(obj, xi, xi+1);
        } else if (obj.options[xi].selected==true && !(xi+1<obj.options.length)){
            return false;
        }
    }
}

// function for filtering a string with allowedchars

// example usage: <input type="text" name="phonenumber" onkeyup="this.value=XKfilterString(this.value, '1234567890-');">
// this would allow only numbers and hyphens

function XKfilterString(str, allowchars){

    var ret = '';
    for (var i = 0; i < str.length; i++){
        if (allowchars.indexOf(str.charAt(i))!=-1){
            ret = ret+''+str.charAt(i);
        }
    }
    return ret;

}


function XKstripWhitespace(str){

    var ret = '';
    for (var xhi = 0; xhi < str.length; xhi++){
        if (str.charAt(xhi)==" " || str.charAt(xhi)=="	" || str.charAt(xhi)=="\n"){} else {
            ret = ret+''+str.charAt(xhi);
        }
    }
    return ret;

}


// function that will take a form and a string as input, then go through the form and get the input
// from any field whos name matches the string and add it up for a total.  ONLY uses decimal point
// for currency decimal notation.

function XKgetFormFieldTotals(f, fieldname){

    var total = 0;
    var stringnum = '';
    var tmp = '';
    for (xxi = 0; xxi < f.elements.length; xxi++){
        tmp = f.elements[xxi].type;
        if (tmp=="text"){
            tmp = f.elements[xxi].name.toString();
            tmp = tmp.substring(0,fieldname.length);
            if (tmp.toString()==fieldname.toString()){
                stringnum = XKfilterString(f.elements[xxi].value.toString(), '1234567890.-');
                total = total + XKround(stringnum, 2);
            }
        }
    }

    return total;

}


// function that will take a form and a string as input, then go through the form and get the input
// from any field whos name matches the string and add it up for a total.  ONLY uses decimal point
// for currency decimal notation.

function XKcheckDebitCredit(f, fieldname){

    var stringnum = '';
    var tmp = '';
    var amount = 0;
    var amount2 = 0;
    var alerted = false;
    var ret = true;
    for (xxi = 0; xxi < f.elements.length; xxi++){
        tmp = f.elements[xxi].type;
        if (tmp=="text"){
            tmp = f.elements[xxi].name.toString();
            tmp = tmp.substring(0,fieldname.length);
            if (tmp.toString()==fieldname.toString()){
                stringnum = XKfilterString(f.elements[xxi].value.toString(), '1234567890.-');
                amount = XKround(stringnum, 2);
                stringnum = XKfilterString(f.elements[xxi+1].value.toString(), '1234567890.-');
                amount2 = XKround(stringnum, 2);
                if (amount*1>0 && amount2*1>0){
                    f.elements[xxi].style.backgroundColor = 'red';
                    f.elements[xxi+1].style.backgroundColor = 'red';
                    f.elements[xxi].style.color = 'white';
                    f.elements[xxi+1].style.color = 'white';
                    ret = false;
                    if (alerted==false){
                        alerted = true;
                        alert("You cannot have a debit and a credit in the same entry.\nPlease create separate entries.");
                    }
                } else {
                    f.elements[xxi].style.backgroundColor = '';
                    f.elements[xxi+1].style.backgroundColor = '';
                    f.elements[xxi].style.color = '';
                    f.elements[xxi+1].style.color = '';
                }
            }
        }
    }

    return ret;

}


// function for formatting a currency number on the fly in javascript similar to our locale array.
// uses: ANYTHING#,##0.00ANYTHING;NEGANYTHING#,##0.00NEGANYTHING style format string
// and gets the comma length by getting       ^---  (number of characters between the comma and decimal)
// gets the number of decimals by checking how many zeros are after the decimal

function XKformatNumber(formatstring, number, decSep, groupSep){

    if (decSep==""){ // get the decimal separator if not passed
        decSep = ".";
    }
    if (groupSep==""){  // get the grouping separator if not passed
        groupSep = ",";
    }
	//groupSep = groupSep.replace("", "");
	//decSep = decSep.replace("", "");
	//groupSep = groupSep.replace("", "");
	//decSep = decSep.replace("", "");
	//formatstring = formatstring.replace("", "");
	//formatstring = formatstring.replace("", "");
	number = number.toString(); // set the number as a string
    var neg = (number.indexOf("-")==-1)?0:1; // index of the format string to use, 1 = second one, which is the negative number format string
    var fmtStrs = formatstring.split(";"); // array of format strings
    formatstring = fmtStrs[neg]; // choose the negative or positive format string and filter it for special characters
	if (formatstring==""){
		formatstring = fmtStrs[0];
	}
	while (formatstring.indexOf("0")!=-1){
        formatstring = formatstring.replace("0", "#");
    }


    stringparts = formatstring.split("#");
    numfirst = stringparts[0];
    numlast = stringparts[stringparts.length-1];
    firstpos = numfirst.length;
    lastpos = formatstring.length;

    if (numlast!=""){
        lastpos = formatstring.indexOf(numlast);
    }

    if (lastpos==firstpos){
        lastpos = formatstring.length-1;
    }

    var innerformatstring = formatstring.substring(firstpos, lastpos);

    innerformatstring = innerformatstring.split(decSep);
    var decimals = (innerformatstring[1])?innerformatstring[1].length:0;
    innerformatstring[0] = innerformatstring[0].split(groupSep);
    var commadigits = innerformatstring[0][innerformatstring[0].length-1].length;

	number = number.replace(groupSep, "X");
	number = number.replace(decSep, ".");
	number = number.replace("X", ",");
	number = XKfilterString(number, "1234567890.");
	number = parseFloat(number);
    number = XKround(number, decimals);
    number = number.toString();
    number = number.split(".");
	if (!number[1]){
        number[1] = "";
    }
    while (number[1].length<decimals){
        number[1] = number[1]+""+"0";
    }

    numdefault = 1/Math.pow(10, decimals+1);
    numdefault = numdefault.toString().split(".");
    numdefault = numdefault[1].substring(0, decimals);
    if (!numdefault){
        numdefault = "";
    }
    while (numdefault.length<decimals){
        numdefault = numdefault+"0";
    }

    if (numfirst==numlast){
        numlast = 0;
    }

    if (parseInt(number[0])>0){

        var assume = (number[0].length % commadigits);
        if (assume>0)assume = commadigits-assume;

        var numberparts = XKchunkSplit(number[0], commadigits, assume);
        var endnumber = numfirst+''+numberparts[0];
        for (i = 1; i < numberparts.length; i++){
            endnumber = endnumber+groupSep+numberparts[i];
        }

    } else {
        var endnumber = numfirst+'0';
    }

    if (number[1]!=""){
        endnumber = endnumber+''+decSep+number[1]+''+numlast;
    } else {
        endnumber = endnumber+''+decSep+numdefault+''+numlast;
    }

    return endnumber;

}

function mydbg(x){
	if (typeof x=="Array"){
		for (key in x){
			mydbg("key: "+key);
			mydbg(x[key]);
			mydbg("end");
		}
	} else {
		document.getElementById('xdbg').innerHTML += x+"<br />";
	}
}

// splits a given string into an array of given chunk sizes

function XKchunkSplit(str, size, assume){

    var retarray = new Array();
    for (i = 0; i < str.length/size; i++){
        retarray[i] = '';
        for (x = 0; x < size; x++){
            if ((i*size)+x-assume<str.length && (i*size)+x-assume>-1){
                retarray[i] = retarray[i]+''+str.charAt((i*size)+x-assume);
            }
        }
    }

    return retarray;

}

// rounding function for decimal places in javascript

function XKround(number, decimals){

    number = parseFloat(number); // get float
    number = number * Math.pow(10, decimals); // multiply times 10 to the power of "decimals"
    number = Math.round(number); // round to whole number
    number = number / Math.pow(10, decimals); // divide by 10 to the power of "decimals"
    return number; // return number

}


// functions to copy text from one field to another on the fly with a conditional arguments

var XKfieldCopyFields = new Array();
var XKfieldCopyToFields = new Array();
var XKconditionalFields = new Array();
var XKconditionalUpdateData = new Array();

function XKcopyRegisterConditionalField(conditionaltype, conditionalfield){
    db('registering conditional field');
    if (typeof conditionalfield=='undefined')return false;
    db('got past test for conditional validity');
    XKconditionalFields[conditionalfield.name] = new Array(conditionaltype, conditionalfield);
    return true;
}

function XKcopyRegisterCopyField(copyfield){
    db("trying to register a copy field");
    if (typeof copyfield=='undefined')return false;
    db("copy field is an actual field, registering");
    XKfieldCopyFields[copyfield.name] = copyfield;
    //copyfield.onkeyup = XKcopyCheckUpdate(copyfield.name);
    //db("adding onkeyup action to copy field");
}

function XKcopyRegisterCopyToField(copyfieldname, copytofield, conditionalfieldname){
    db('trying to register copy to field');
    if (typeof copytofield=='undefined')return false;
    db('copy to field is a valid field');
    if (typeof XKfieldCopyToFields[copyfieldname]=='undefined'){
        db('created copyfieldname item in copy to fields array');
        XKfieldCopyToFields[copyfieldname] = new Array();
    }
    XKfieldCopyToFields[copyfieldname][XKfieldCopyToFields[copyfieldname].length] = new Array(copytofield, conditionalfieldname);
    XKconditionalUpdateData[XKconditionalUpdateData.length] = new Array(copytofield, conditionalfieldname, copyfieldname);
    db('done registering copy to field');
}

function XKcopyCheckMe(copyfield){
    return XKcopyCheckUpdate(copyfield.name);
}

function XKcopyCheckUpdate(copyfieldname){
    db('checking an update');
    if (typeof XKfieldCopyFields[copyfieldname]=='undefined')return false;
    db('there is a field object');
    var copyfield = XKfieldCopyFields[copyfieldname];
    db('got copy field object');
    var updateFields = XKfieldCopyToFields[copyfield.name];
    db('got updatefields');
    var thisField = new Array();

    if (typeof updateFields!='undefined'){
        db("there are fields to update");
        for (xi=0; xi<updateFields.length; xi++){

            thisField = updateFields[xi];
            db('got '+xi+' numbered field to check');
            if (XKcopyCheckConditional(thisField[1])){
                db('checked conditional and now initiating copy');
                XKcopyCopyValue(copyfield, thisField[0]);

            }

        }
    }

}


function XKcopyCheckConditional(conditionalname){
    db('checking if conditional exists');
    if (typeof XKconditionalFields[conditionalname]=='undefined')return false;

    var thisConditional = XKconditionalFields[conditionalname];
    if (thisConditional[0]=='checkbox'){
        db('conditional was checkbox returning:'+thisConditional[1].checked);
        return thisConditional[1].checked;
    }

}


function XKcopyCopyValue(copyfield, copytofield){
    db('copying values...');
    if (copyfield.type=="text"){
        copytofield.value = copyfield.value;
    } else if (copyfield.type.toString().indexOf('select') != -1) {
        copytofield.selectedIndex = copyfield.selectedIndex;
    }
}

function XKcopyUpdateConditional(conditionalfieldname){
    if (typeof XKconditionalFields[conditionalfieldname]=='undefined')return false;
    var conditionalfield = XKconditionalFields[conditionalfieldname][1];

    var updateFields = XKconditionalUpdateData;
    var thisField = new Array();

    for (xi=0; xi<updateFields.length; xi++){

        thisField = updateFields[xi];
        if (XKcopyCheckConditional(thisField[1])){
            if (typeof XKfieldCopyFields[thisField[2]]!='undefined'){
                XKcopyCopyValue(XKfieldCopyFields[thisField[2]], thisField[0]);
            }

        }

    }

}

function db(x){
    if (typeof XKdebugBox=='undefined')return true;
    XKdebugBox.value = XKdebugBox.value+"\n"+x;
    return true;
}

/*****************************

sample usage:
in your checkbox:  onmouseup="setTimeout('XKcopyUpdateConditional(\'checkboxname\');', 10);"
in your copy fields:  onkeyup="XKcopyCheckMe(this);"
<script language=javascript>
<!--

    var tf = document.tf;
    XKcopyRegisterConditionalField('checkbox', tf.conditional);

    XKcopyRegisterCopyField(tf.text1);
    XKcopyRegisterCopyToField('text1', tf.text1copy, 'conditional');


//-->
</script>

<p id="bentag">
sadf
</p>

document.getElementById('bentag').onclick = hideobjbyid('bentag');
******************************/


function showobj(x){
    x.style.display = '';
    x.style.visibility = 'visible';
}

function hideobj(x){
    x.style.display = 'none';
    x.style.visibility = 'hidden';
}

function showobjbyid(x){
    showobj(document.getElementById(x));
}

function hideobjbyid(x){
    hideobj(document.getElementById(x));
}



function radioSelectedValue( form, name ) {
	for (i=0; i<form.elements.length; i++){
		if (form.elements[i].type=="radio" && form.elements[i].name==name) {
			if (form.elements[i].checked) {
				return form.elements[i].value;
			}
		}
	}
}


// function to repopulate a select menu given its object and an array of values and display values

function repopulateSelect(field, values){

    for (i=0; i<field.options.length; i++){
        field.options[i] = null;
    }

    for (i=0; i<values.length; i++){
        field.options[i] = new Option(unescape(values[i][0]), unescape(values[i][1]));
    }

}

/***********************
example:

<script language="javascript">
<!--

var info = new Array(

    new Array(new Array('3one', '3onename'), new Array('3two', '3twoname')),

    new Array(new Array('4one', '4onename'), new Array('4two', '4twoname'), new Array('4three', '4threename'))

);

function updateSelect(val){
    repopulateSelect(document.tform.otherfield, info[val]);
}

//-->
</script>

<form name="tform">

<select name="name" onchange="updateSelect(this.selectedIndex);">
    <option value="3">3333</option>
    <option value="4">4444</option>
</select>
<select name="otherfield">
</select>

</form>


***********************/
