<?php
// $Id: TLDs.php,v 1.5 2006/05/03 22:30:33 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['TLDs'] = array(
	"names" => array(
		"singular" => "TLD",
		"plural" => "TLDs",
		"file" => "products",
	),
	"request" => array(
		'command' => "GetTLDs",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("TLDs", "TLD"),
	),
	"insert" => array(
		"command" => "GetTLDs",
		"subCommand" => "insert",
		"params" => $allParamsRoot,
	),
	"update" => array(
		"command" => "GetTLDs",
		"subCommand" => "update",
		"params" => $allParamsRoot,
	),
	"delete" => array(
		"command" => "GetTLDs",
		"subCommand" => "delete",
		"params" => new Params(new Param("tldID")),
	),
	"columns" => array(
		"tldID" => COLUMN_PRIMARY_KEY,
		"tldName" => COLUMN_PRIMARY_NAME,
		"tldActive" => COLUMN_BOOL,
		"tldAutoSearch" => COLUMN_BOOL,
		"tldTransferMinimumCycleID" => COLUMN_NULL,
		"tldMinimumCycleID" => COLUMN_ID,
		"tldMaximumCycleID" => COLUMN_ID,
		"tldRenewType" => COLUMN_TYPE,
		"tldIsTransferable" => COLUMN_BOOL,
		"tldTransferType" => COLUMN_TYPE,
		"tldIDNSupport" => COLUMN_BOOL,
		"tldIDNType" => COLUMN_TYPE,
		"tldRemoteLockEnabled" => COLUMN_BOOL,
		"registrarID" => COLUMN_ID,
		"tldExtension" => COLUMN_TEXT,
		"tldWhoisServer" => COLUMN_TEXT,
		"tldWhoisResp" => COLUMN_TEXT,
	),
	"display" => array(
		'showTemplate' => "products/ShowTLDs",
	),
);

?>
