<?php
// $Id: attributes.php,v 1.14 2006/08/02 17:51:07 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['attributes'] = array(
	"names" => array(
		"singular" => "attribute",
		"plural" => "attributes",
		"file" => "orderforms",
	),
	"request" => array(
		'command' => "GetAttributes",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("attributes", "attribute"),
	),
	"insert" => array(
		"command" => "SetAttributes",
		"subCommand" => "insert",
		"params" => array(),//$allParamsRoot,
	),
	"update" => array(
		"command" => "SetAttributes",
		"subCommand" => "update",
		"params" => array(),//$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetAttributes",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeID")),
	),
	"table" => "attributes",
	"columns" => array(
		"attributeID" => COLUMN_PRIMARY_KEY,
		"attributeName" => COLUMN_PRIMARY_NAME,
		"attributeType" => COLUMN_TYPE,
		"attributeSubtype" => COLUMN_TYPE,
		"questionID" => COLUMN_ID,
		"valueMapID" => COLUMN_ID,
		"productID" => COLUMN_ID,
		"orderFormID" => COLUMN_ID,
		"configGroupID" => COLUMN_ID,
	),
	"types" => array(
		"attributeType" => "attribute",
		"attributeSubtype" => "customAttribute",
	),
	//"refColumnGenerator" => "NameColumnGenerator",
	"display" => array(
		/*
		"showDetailsParams" => array(
			"question" => array(
				"questionParams" => array(
					"questionParamValues" => array(),
				),
			),
			"questionValueMap" => array(
				"questionValueMappings" => array(
					"attributeMap" => array(
						"attributeMappings" => array(
							"attribute" => array(),
						),
					),
				),
			),
		),
		*/
		"showTemplate" => "orderforms/ShowAttributes",
		"addTemplate" => "orderforms/AddAttribute",
		"editTemplate" => "orderforms/EditAttribute",
		"removeTemplate" => "orderforms/RemoveAttribute",
		"options" => array("products", "orderForms", "questions"),
		//"options" => array("questionValueMaps", "products", "orderForms", "questions"),
		"context" => array(
			"valueMapID" => "questionValueMaps",
			"productID" => "products",
			"orderFormID" => "orderForms",
			"questionID" => "questions",
			"configGroupID" => "configGroups",
		),
	),
);
