<?php
// $Id: clientBillingAccounts.php,v 1.2 2006/05/03 22:30:33 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

require_once mb_path("/lib-modernbill/include/config/internal/mbapimap/billingAccounts.php");

$CONF['sources']['clientBillingAccounts'] = array(
	"names" => array(
		"singular" => "clientBillingAccount",
		"plural" => "clientBillingAccounts",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetClients",
		'subCommand' => "",
		'params' => array("getBillingData" => 1),
	),
	"response" => array(
		'path' => array("clients", "client", "billingAccounts", "billingAccount"),
	),
) + $CONF["sources"]["billingAccounts"];
// Inherit from billing accounts.

?>
