<?php
// $Id: clientContacts.php,v 1.1 2006/05/05 17:50:29 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['clientContacts'] = array(
	"names" => array(
		"singular" => "clientContact",
		"plural" => "clientContacts",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetClients",
		'subCommand' => "",
		'params' => array("getContactData" => 1),
	),
	"response" => array(
		'path' => array("clients", "client", "contacts", "contact"),
	),
	"table" => "client_contacts",
	"columns" => array(
		"clientContactID" => COLUMN_PRIMARY_KEY,
		"clientID" => COLUMN_ID,
		"contactUsername" => COLUMN_PRIMARY_NAME,
		"contactPassword" => COLUMN_TEXT|COLUMN_PASSWORD,
		"contactFirstName" => COLUMN_TEXT,
		"contactLastName" => COLUMN_TEXT,
		"contactEmail" => COLUMN_TEXT,
		"contactEmailFormat" => COLUMN_BOOL,
		"contactCompany" => COLUMN_TEXT,
		"contactAddress1" => COLUMN_TEXT,
		"contactAddress2" => COLUMN_TEXT,
		"contactCity" => COLUMN_TEXT,
		"contactState" => COLUMN_TEXT,
		"contactZip" => COLUMN_TEXT,
		"languageID" => COLUMN_ID,
		"countriesID" => COLUMN_ID,
		"contactPhone1" => COLUMN_TEXT,
		"contactPhone2" => COLUMN_TEXT,
		"contactFax" => COLUMN_TEXT,
		"contactDateCreated" => COLUMN_DATE,
		"contactPrimary" => COLUMN_BOOL,
		"contactActive" => COLUMN_BOOL,
	),
);

?>
