<?php
// $Id: clients.php,v 1.5 2006/06/18 05:59:12 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['clients'] = array(
	"names" => array(
		"singular" => "client",
		"plural" => "clients",
		"file" => "clients",
	),
	"request" => array(
		'command' => "GetClients",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("clients", "client"),
	),
	"insert" => array(
		'command' => "SetClients",
		'subCommand' => "insert",
		'params' => array(),
	),
	"update" => array(
		'command' => "SetClients",
		'subCommand' => "update",
		'params' => array(),
	),
	"delete" => array(
		'command' => "SetClients",
		'subCommand' => "delete",
		'params' => array(),
	),
	"table" => "clients",
	"columns" => array(
		"clientID" => COLUMN_PRIMARY_KEY,
		"companyID" => COLUMN_ID,
		"clientCompany" => COLUMN_TEXT,
		"clientStatus" => COLUMN_STATUS,
		"applyTax" => COLUMN_BOOL,
		"taxIDNumber" => COLUMN_TEXT,
		"themeID" => COLUMN_ID,
		"countriesID" => COLUMN_ID,
		"clientActive" => COLUMN_BOOL,
		"clientDateCreated" => COLUMN_DATE,
	),
	"statuses" => array(
		"clientStatus" => "client",
	),
);

?>
