<?php
// $Id: orderForms.php,v 1.7 2006/07/28 16:44:23 kbailey Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['orderForms'] = array(
	"names" => array(
		"singular" => "orderForm",
		"plural" => "orderForms",
		"file" => "system",
	),
	"request" => array(
		'command' => "GetOrderForms",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("orderForms", "orderForm"),
	),
	"insert" => array(
		"command" => "SetOrderForms",
		"subCommand" => "insert",
		"params" => $allParamsRoot,
	),
	"update" => array(
		"command" => "SetOrderForms",
		"subCommand" => "update",
		"params" => $allParamsRoot,
	),
	"delete" => array(
		"command" => "SetOrderForms",
		"subCommand" => "delete",
		"params" => new Params(new Param("orderFormID")),
	),
	"table" => "order_forms",
	"columns" => array(
		"orderFormID" => COLUMN_PRIMARY_KEY,
		"orderFormName" => COLUMN_PRIMARY_NAME,
		"paymentGroupID" => COLUMN_ID,
		"companyID" => COLUMN_ID,
		"languageID" => COLUMN_ID,
		"countriesID" => COLUMN_ID,
		"orderFormVerifyVat" => COLUMN_BOOL,
	),
	"display" => array(
		'showTemplate' => "orderforms/ShowOrderForms",
		"options" => array("languages", "countries"),
		'context' => array(
			"companyID" => "companies",
			"languageID" => "languages",
		),
		'system' => true,
	),
);

?>
