<?php
// $Id: questionValueMaps.php,v 1.2 2006/05/31 04:46:14 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['questionValueMaps'] = array(
	"names" => array(
		"singular" => "questionValueMap",
		"plural" => "questionValueMaps",
		"file" => "orderforms",
	),
	"request" => array(
		'command' => "GetQuestionValueMaps",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("questionValueMaps", "questionValueMap"),
	),
	"insert" => array(
		"command" => "SetQuestionValueMaps",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetQuestionValueMaps",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetQuestionValueMaps",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMapID")),
	),
	"table" => "question_value_maps",
	"columns" => array(
		"valueMapID" => COLUMN_PRIMARY_KEY,
		"valueMapName" => COLUMN_PRIMARY_NAME,
	),
	"relations" => array(
		"questionValueMappings" => array("question_value_map_mapping_rel", "valueMappingIDs", "valueMappingID"),
	),
	"display" => array(
		"showTemplate" => "orderforms/ShowQuestionValueMaps",
		"addTemplate" => "orderforms/AddQuestionValueMap",
		"editTemplate" => "orderforms/EditQuestionValueMap",
		"removeTemplate" => "orderforms/RemoveQuestionValueMap",
		"revContext" => array(
			"attributes" => "valueMapID",
		),
	),
);
