<?php
// $Id: themes.php,v 1.5 2006/05/03 22:30:33 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['themes'] = array(
	"names" => array(
		"singular" => "theme",
		"plural" => "themes",
		"file" => "system",
	),
	"request" => array(
		"command" => "GetThemes",
		"subCommand" => "",
		"params" => array(),
	),
	"response" => array(
		"path" => array("themes", "theme"),
	),
	"insert" => array(
		"command" => "SetThemes",
		"subCommand" => "insert",
		"params" => $allParamsRoot,
	),
	"update" => array(
		"command" => "SetThemes",
		"subCommand" => "update",
		"params" => $allParamsRoot,
	),
	"delete" => array(
		"command" => "SetThemes",
		"subCommand" => "delete",
		"params" => new Params(new Param("themeID")),
	),
	"columns" => array(
		"themeID" => COLUMN_PRIMARY_KEY,
		"themeName" => COLUMN_TEXT,
		"themeDisplayName" => COLUMN_PRIMARY_NAME,
		"themeActive" => COLUMN_BOOL,
	),
	"display" => array(
		"showTemplate" => "themes/ShowThemes",
	),
);

?>
