{* $Id: RemoveHelpdeskDepartment.tpl,v 1.9 2006/06/05 19:25:33 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays a form to remove an existing helpdesk department from the database. The form must
 * post the hdDepartmentID to the RemoveHelpdeskDepartmentResponse action in order to remove the
 * department, or return the user to the ShowHelpdeskDepartments action.
 *
 * Smarty Variables:
 *	$helpdeskDepartment - An array of helpdesk department information, which is structured as follows:
 *	                         hdDepartmentID -- The ID of the helpdesk department.
 *	                         hdDepartmentName -- The name of the helpdesk department.
 *	                         hdDepartmentDescription -- The description of the helpdesk department.
 *}

{t c="TRANS_REMOVE_HELPDESK_DEPT" d="Remove helpdesk department with ID"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_DEPARTMENTS"
	grandchildName="TRANS_REMOVE"

	sideNavMajor="helpdesk"
	sideNavMinor="helpdesksetup"}

{$smarty.const.TRANS_REMOVE_HELPDESK_DEPT}: "{$helpdeskDepartment.hdDepartmentID}"?

<table border="0" cellpadding="0" cellspacing="0">
<tr>
	<td>
		<form method="post" action="helpdesk.php">
		<input type="hidden" name="action" value="{getActionID action="RemoveHelpdeskDepartmentResponse"}">
		<input type="hidden" name="sid" value="{$sid}" />
		<input type="hidden" name="hdDepartmentID" value="{$helpdeskDepartment.hdDepartmentID}">
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_YES}">
		</form>
	</td>
	<td>
		&nbsp;
	</td>
	<td>
		<form method="post" action="helpdesk.php">
		<input type="hidden" name="action" value="{getActionID action="ShowHelpdeskDepartments"}">
		<input type="hidden" name="sid" value="{$sid}" />
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_NO}"><br />
		</form>
	</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}