{* $Id: RemoveHelpdeskTicket.tpl,v 1.7 2006/04/18 20:45:08 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to remove an existing helpdesk ticket from the database. The form must 
 * post the hdTicketID to the RemoveHelpdeskTicketResponse action in order to remove the ticket, or 
 * return the user to the ShowHelpdeskTickets action.
 *
 * Smarty Variables:
 *	$helpdeskTicket - An array of helpdesk ticket information, which is structured as follows:
 *	                         hdTicketID -- The ID of the helpdesk ticket.
 *	                         hdTicketSubject -- The name of the helpdesk ticket.
 *	                         hdTicketBody -- The body of the helpdesk ticket.
 *	                         hdTicketPriorityID -- The priority ID of the helpdesk ticket.
 *	                         hdTicketStatusID -- The helpdeskTicket status ID of the helpdesk ticket.
 *}
{include file="$tplDirectory/header.tpl"}

Remove helpdesk ticket with ID: "{$helpdeskTicket.hdTicketID}"?<br />
<form method="post" action="helpdesk.php">
<input type="hidden" name="action" value="{getActionID action="RemoveHelpdeskTicketResponse"}">
<input type="hidden" name="hdTicketID" value="{$helpdeskTicket.hdTicketID}">
<input class="submit" type="submit" name="submit" value="Yes">
</form>
<form method="post" action="helpdesk.php">
<input type="hidden" name="action" value="{getActionID action="ShowHelpdeskTickets"}">
<input type="hidden" name="hdTicketID" value="{$helpdeskTicket.hdTicketID}">
<input class="submit" type="submit" name="submit" value="No"><br />
</form>

{include file="$tplDirectory/footer.tpl"}