{* $Id: AddGeneralJournalEntry.tpl,v 1.5 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$entries (array of journal entries data)
 *		generalJournalID
 *		generalDateCreated
 *		generalDescription
 * 		generalDebitAmount
 *		generalCreditAmount
 *      currencyID
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}
{t c="TRANS_LEDGER_ACCOUNT_DETAILS" d="Ledger Account Details"}
{t c="TRANS_NO_LEDGER_ACCOUNTS_FOUUND" d="No ledger accounts found."}
{t c="TRANS_ACCOUNTING" d="Accounting"}
{t c="TRANS_ACCOUNTS_RECEIVABLE" d="Accounts Receivable"}
{t c="TRANS_ACCOUNTS_PAYABLE" d="Accounts Payable"}
{t c="TRANS_CERTS_PAYABLE" d="Certs Payable"}
{t c="TRANS_CASH" d="Cash 1"}
{t c="TRANS_CASH_1" d="Cash 2"}
{t c="TRANS_CASH_2" d="Cash 3"}
{t c="TRANS_HARDWARE_ASSETS" d="Hardware Assets"}
{t c="TRANS_EQUITY" d="Owner Equity"}
{t c="TRANS_REVENUE" d="Revenue"}
{t c="TRANS_DOMAINS_PAYABLE" d="Domains Payable"}
{t c="TRANS_GL_NUMBER" d="GL Number"}
{t c="TRANS_LEDGER_ACCOUNTS" d="Ledger Accounts"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_TAXES_PAYABLE" d="Taxes Payable"}
{t c="TRANS_ACTIONS" d="Actions"}

{t c="TRANS_COGS" d="Misc Cost of Goods Sold"}
{t c="TRANS_DOMAIN_COGS" d="Domain COGS"}
{t c="TRANS_CERTS_COGS" d="Certificates COGS"}
{t c="TRANS_SETUP_COGS" d="Setup COGS"}
{t c="TRANS_USAGE_COGS" d="Usage COGS"}
{t c="TRANS_CUSTOMER_CREDITS" d="Client Credits"}

{t c="TRANS_EXPENSE" d="Misc Expense"}
{t c="TRANS_REFUND_EXPENSE" d="Refund Expense"}
{t c="TRANS_CUSTOMER_EXPENSE" d="Customer Relations Expense"}
{t c="TRANS_WAGES_EXPENSE" d="Wages Expense"}
{t c="TRANS_ENTERTAINMENT_EXPENSE" d="Entertainment/Meals Expense"}
{t c="TRANS_RENT_EXPENSE" d="Rent/Lease Expense"}
{t c="TRANS_TRAVEL_EXPENSE" d="Travel Expense"}
{t c="TRANS_COMMISSIONS_EXPENSE" d="Commissions Expense"}
{t c="TRANS_INCOME_TAX_EXPENSE" d="Income Tax Expense"}
{t c="TRANS_DEPRECIATION_EXPENSE" d="Depreciation Expense"}
{t c="TRANS_HARDWARE_LEASE_EXPENSE" d="Hardware Lease Expense"}
{t c="TRANS_COLOCATION_EXPENSE" d="Colocation Expense"}



{t c="TRANS_ASSET_ACCOUNTS" d="Asset Accounts"}
{t c="TRANS_LIABILITY_ACCOUNTS" d="Liability Accounts"}
{t c="TRANS_EQUITY_ACCOUNTS" d="Equity Accounts"}
{t c="TRANS_REVENUE_ACCOUNTS" d="Revenue Accounts"}
{t c="TRANS_COGS_ACCOUNTS" d="Cost of Goods Sold Accounts"}
{t c="TRANS_EXPENSE_ACCOUNTS" d="Expense Accounts"}
{t c="TRANS_OTHER_REVENUE_ACCOUNTS" d="Other Revenue Accounts"}
{t c="TRANS_OTHER_EXPENSE_ACCOUNTS" d="Other Expense Accounts"}

{t c="TRANS_BALANCE_SHEET_ACCOUNTS" d="Balance Sheet Accounts"}
{t c="TRANS_GL_TYPE" d="Account Group"}
{t c="TRANS_FINANCIAL_STATEMENT_ACCOUNTS" d="Financial Statement Accounts"}

{t c="TRANS_CLIENT_NAME" d="Client"}
{t c="TRANS_DATE" d="Date"}
{t c="TRANS_INVOICE_NUMBER" d="Inv. #"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_DEBITS" d="Debits"}
{t c="TRANS_CREDITS" d="Credits"}
{t c="TRANS_CURRENCY_SHORT" d="Curr."}
{t c="TRANS_GL_TRANSACTIONS" d="Ledger Transactions"}
{t c="TRANS_NO_TRANSACTIONS" d="No transaction returned for this query."}
{t c="TRANS_EDIT" d="Edit"}

{t c="TRANS_GENERAL_JOURNAL_ENTRIES" d="General Journal Entries"}
{t c="TRANS_GENERAL_JOURNAL" d="General Journal"}
{t c="TRANS_CREATE_GENERAL_JOURNAL_ENTRY" d="Create New General Journal Entry"}

{t c="TRANS_GENERAL_JOURNAL_ID" d="ID"}
{t c="TRANS_GENERAL_JOURNAL_DESCRIPTION" d="Description"}
{t c="TRANS_LEDGER_ENTRY" d="Ledger Entries"}
{t c="TRANS_CREATE" d="Create"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_CREATE_GENERAL_JOURNAL_ENTRY"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

<form name="generalform" method="post" action="accounting.php">
    <input type="hidden" name="sid" value="{$sid}">
    <input type="hidden" name="action" value="{getActionID action="AddGeneralJournalEntryResponse"}">
{section name=i loop=$failreason}
{include
    file="$tplDirectory/widgets/showInvalidCustom.tpl"
    message=$failreason[i]
    identifier=$smarty.section.i.index
    class="highlight"}

{/section}
    <table border="0" width="770" class="tab01">
        <tr>
            <td colspan="2"><h2>{$smarty.const.TRANS_CREATE_GENERAL_JOURNAL_ENTRY}</h2></td>
        </tr>
        <tr>
            <th align="right">{$smarty.const.TRANS_DATE}</th>
            <td align="left">{html_select_locale_date time="`$generalDateCreatedYear`-`$generalDateCreatedMonth`-`$generalDateCreatedDay`" start_year=1993 end_year=2029 prefix="general" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" value=" ... " id="general" />
                    <script type="text/javascript">
                    {literal}
                        function updateGeneralSelect(cal) {
                            var date = cal.date;
                            var selectMonth = document.getElementById("generalMonth");
                            selectMonth.selectedIndex = date.getMonth();
                            var selectDay = document.getElementById("generalDay");
                            selectDay.selectedIndex = (date.getDate() - 1);
                            var selectYear = document.getElementById("generalYear");
                            selectYear.selectedIndex = (date.getFullYear() - 1993);
                        }
                        Zapatec.Calendar.setup({
                            button         :    "general",
                            onUpdate       :     updateGeneralSelect,
                            showsTime      :     false
                        });
                    {/literal}
                    </script></td>
        </tr>
        <tr>
            <th align="right">{$smarty.const.TRANS_GENERAL_JOURNAL_DESCRIPTION}</th>
            <td align="left"><input type="text" size="50" name="generalDescription" value="{$generalDescription}"></td>
        </tr>
        <tr>
            <th align="right">{$smarty.const.TRANS_CURRENCY_ID}</th>
            <td align="left"><input type="text" size="3" maxlength="3" name="currencyID" value="{$currencyID}" onkeyup="this.value=XKfilterString(this.value, 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ');"></td>
        </tr>
   </table>

   <h2>{$smarty.const.TRANS_LEDGER_ENTRY}</h2>

{include file="$tplDirectory/widgets/ledgerForm.tpl"
      containerClass="box01"
      containerName="leDiv"
      fieldPrefix="addGeneral"
      printScript=1
      currency=""
      formname="generalform"
      existingEntries=$existingEntries
      ledgerAccounts=$ledgerAccounts
      ledgerTypes=$ledgerTypes}

<div style="margin-left: 489px;"><input class="submit" type="submit" name="save" value="{$smarty.const.TRANS_CREATE}"></div>

</form>


{include file="$tplDirectory/footer.tpl"}