{* $Id: ShowAccountingReportsMenu.tpl,v 1.4 2006/06/14 20:33:31 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a the accounting journals menu.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACCOUNTING" d="Accounting"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_DATE" d="Date"}
{t c="TRANS_DAILY_JOURNALS" d="Daily Journals"}
{t c="TRANS_FINANCES" d="Finances"}

{t c="TRANS_BALANCE_SHEET_EXPLAINATION" d="This is a summary of your assets, liabilities, and equity accounts' balances."}
{t c="TRANS_PROFIT_AND_LOSS_EXPLAINATION" d="This is a summary of your revenue, cogs, and expense accounts' balances."}

{t c="TRANS_BALANCE_SHEET" d="Balance Sheet"}
{t c="TRANS_PROFIT_AND_LOSS" d="Profit and Loss Statement"}

{t c="TRANS_SELECT_BALANCE_SHEET_DATE" d="<strong>Or...</strong> Select earlier date"}
{t c="TRANS_SELECT_PROFIT_AND_LOSS_DATE" d="<strong>Or...</strong> Select date range below"}

{t c="TRANS_SHOW_BALANCE_SHEET" d="Go"}
{t c="TRANS_BALANCE_SHEET_TODAY" d="Generate through today"}

{t c="TRANS_SHOW_PROFIT_AND_LOSS" d="Go"}
{t c="TRANS_PROFIT_AND_LOSS_TODAY" d="Generate for this month"}

{t c="TRANS_THROUGH" d="Through"}

{t c="TRANS_GENERATE_REPORT" d="Generate Report"}
{t c="TRANS_AR_AGING_REPORT" d="AR Aging Report"}
{t c="TRANS_AR_AGING_EXPLAINATION" d="This is an accounts receivable aging report that shows what is owed to you and how long it has been owed."}

{t c="TRANS_SHOW_AGING_REPORT" d="Go"}
{t c="TRANS_AGING_REPORT_TODAY" d="Generate for today"}
{t c="TRANS_SELECT_AGING_REPORT_DATE" d="<strong>Or...</strong> Select date"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_DAILY_JOURNALS"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

<table width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
<tr>
	<td>
		<table  width="100%" border="0" cellpadding="0" cellspacing="3" class="tab07">
		<tr class="althover">
			<th width="50%">{$smarty.const.TRANS_BALANCE_SHEET}</th>
			<th width="50%">{$smarty.const.TRANS_PROFIT_AND_LOSS}</th>
		</tr>
		<tr class="alt2">
			<td valign="top">{$smarty.const.TRANS_BALANCE_SHEET_EXPLAINATION}</td>
			<td valign="top">{$smarty.const.TRANS_PROFIT_AND_LOSS_EXPLAINATION}</td>
		</tr>
		<tr class="alt1">
			<td align="center" valign="top">
				<form>
				<table border="0" cellpadding="3">
					<tr>
						<td>
						{$smarty.const.TRANS_BALANCE_SHEET_TODAY} <input class="button" type="button" id="balanceSheetToday" value="{$smarty.const.TRANS_SHOW_BALANCE_SHEET}"
							onclick="document.location.href='accounting.php?action={getActionID action="ShowBalanceSheet"}&dateQuery[]={$nowDate}&sid={$sid}';" />
						</td>
					</tr>
					<tr>
						<td>
							{$smarty.const.TRANS_SELECT_BALANCE_SHEET_DATE} <input class="button" type="button" id="balanceSheetCal" value=" ... " />
						</td>
					</tr>
				</table>
				</form>
				<br />
			</td>
			<td align="center" valign="top">
				<form method="post" action="accounting.php">
					<input type="hidden" name="sid" value="{$sid}">
					<input type="hidden" name="action" value="{getActionID action="ShowProfitAndLoss"}">
					<table border="0" cellpadding="3">
						<tr>
							<td>
								{$smarty.const.TRANS_PROFIT_AND_LOSS_TODAY} <input class="button" type="button" id="profitAndLossToday" value="{$smarty.const.TRANS_SHOW_PROFIT_AND_LOSS}"
									onclick="document.location.href='accounting.php?action={getActionID action="ShowProfitAndLoss"}&profitAndLossBeginMonth={$nowDateParts.0}&profitAndLossBeginDay=1&profitAndLossBeginYear={$nowDateParts.2}&profitAndLossEndMonth={$nowDateParts.0}&profitAndLossEndDay={$nowDateParts.1}&profitAndLossEndYear={$nowDateParts.2}&sid={$sid}';" /> 
							</td>
						</tr>
						<tr>
							<td>
								{$smarty.const.TRANS_SELECT_PROFIT_AND_LOSS_DATE}
							</td>
						</tr>
						<tr>
							<td>
								{html_select_locale_date start_year=1993 end_year=2029 prefix="profitAndLossBegin" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="profitAndLossBegin" value=" ... " />
								<script type="text/javascript">
								{literal}
								function updateProfitAndLossBeginSelect(cal) {
									var date = cal.date;
									var selectMonth = document.getElementById("profitAndLossBeginMonth");
									selectMonth.selectedIndex = date.getMonth();
									var selectDay = document.getElementById("profitAndLossBeginDay");
									selectDay.selectedIndex = (date.getDate() - 1);
									var selectYear = document.getElementById("profitAndLossBeginYear");
									selectYear.value = date.getFullYear();
								}
								Zapatec.Calendar.setup({
									button         :    "profitAndLossBegin",
									onUpdate       :     updateProfitAndLossBeginSelect,
									showsTime      :     false
								});
								{/literal}
							</script></td>
						</tr>
						<tr>
							<td>{$smarty.const.TRANS_THROUGH}</td>
						</tr>
						<tr>
							<td>{html_select_locale_date start_year=1993 end_year=2029 prefix="profitAndLossEnd" setID="true" fieldOrder=$localeData.locale_date_order} <input class="button" type="button" id="profitAndLossEnd" value=" ... " />
                    <script type="text/javascript">
                    {literal}
                        function updateProfitAndLossEndSelect(cal) {
                            var date = cal.date;
                            var selectMonth = document.getElementById("profitAndLossEndMonth");
                            selectMonth.selectedIndex = date.getMonth();
                            var selectDay = document.getElementById("profitAndLossEndDay");
                            selectDay.selectedIndex = (date.getDate() - 1);
                            var selectYear = document.getElementById("profitAndLossEndYear");
                            selectYear.value = date.getFullYear();
                        }
                        Zapatec.Calendar.setup({
                            button         :    "profitAndLossEnd",
                            onUpdate       :     updateProfitAndLossEndSelect,
                            showsTime      :     false
                        });
                    {/literal}
                    </script></td>
                        </tr>
                        <tr>
                            <td><input class="submit" type="submit" value="{$smarty.const.TRANS_GENERATE_REPORT}">
                        </tr>
                    </table>
				</form>
				<br />
			</td>
		</tr>
		
		
		<tr class="althover">
			<th width="50%">{$smarty.const.TRANS_AR_AGING_REPORT}</th>
			<th width="50%">{* $smarty.const.TRANS_PROFIT_AND_LOSS *}</th>
		</tr>
		<tr class="alt2">
			<td valign="top">{$smarty.const.TRANS_AR_AGING_EXPLAINATION}</td>
			<td valign="top">{* $smarty.const.TRANS_PROFIT_AND_LOSS_EXPLAINATION *}</td>
		</tr>
		<tr class="alt1">
			<td align="center" valign="top">
				{$smarty.const.TRANS_AGING_REPORT_TODAY} <input class="button" type="button" id="agingReportToday" value="{$smarty.const.TRANS_SHOW_AGING_REPORT}"
					onclick="document.location.href='accounting.php?action={getActionID action="ShowAgingReport"}&dateQuery[]={$nowDate}&sid={$sid}';" />
				<br /><br />{$smarty.const.TRANS_SELECT_AGING_REPORT_DATE} <input class="button" type="button" id="agingReportCal" value=" ... " />
				<br /><br />
			</td>
			<td></td>
		</tr>
		
		
		
		
		</table>
	</td>
</tr>
</table>

<script type="text/javascript">//<![CDATA[
{literal}
var startDate;
var endDate;
var callbacks = 0;

function resetDates() {
	startDate = endDate = null;
}

/*
* Given two dates (in seconds) find out if date1 is bigger, date2 is bigger or
* they're the same, taking only the dates, not the time into account.
* In other words, different times on the same date returns equal.
* returns -1 for date1 bigger, 1 for date2 is bigger 0 for equal
*/

function compareDatesOnly(date1, date2) {
	var year1 = date1.getYear();
	var year2 = date2.getYear();
	var month1 = date1.getMonth();
	var month2 = date2.getMonth();
	var day1 = date1.getDate();
	var day2 = date2.getDate();
	if (year1 > year2) {
		return -1;
	}
	if (year2 > year1) {
		return 1;
	}
	//years are equal
	if (month1 > month2) {
		return -1;
	}
	if (month2 > month1) {
		return 1;
	}
	//years and months are equal
	if (day1 > day2) {
		return -1;
	}
	if (day2 > day1) {
		return 1;
	}
	//days are equal
	return 0;
}

function disableDates(date) {
	var now = new Date();
	if (compareDatesOnly(now, date) > 0) {
		return (true);
	}
	//all other days are enabled
	return false;
}

function goBalanceSheet(cal) {
	if (cal.dateClicked) {
		{/literal}
		var url = "accounting.php?action={getActionID action="ShowBalanceSheet"}&dateQuery[]=" + cal.date.print("%m/%d/%Y") + "&sid={$sid}";
		{literal}
		window.location = url;
	}
}

function goAgingReport(cal) {
	if (cal.dateClicked) {
		{/literal}
		var url = "accounting.php?action={getActionID action="ShowAgingReport"}&dateQuery[]=" + cal.date.print("%m/%d/%Y") + "&sid={$sid}";
		{literal}
		window.location = url;
	}
}

Zapatec.Calendar.setup({
	weekNumbers       : false,
	showOthers        : false,
	showsTime         : false,
	timeFormat        : "12",
	step              : 2,
	range             : [1993.01, 2029.12],
	dateStatusFunc	  : disableDates,
	button            : "balanceSheetCal",
	onSelect          : goBalanceSheet
});

Zapatec.Calendar.setup({
	weekNumbers       : false,
	showOthers        : false,
	showsTime         : false,
	timeFormat        : "12",
	step              : 2,
	range             : [1993.01, 2029.12],
	button            : "agingReportCal",
	onSelect          : goAgingReport
});


{/literal}
//]]></script>


{include file="$tplDirectory/footer.tpl"}
