{* $Id: ShowAdminGroupDetails.tpl,v 1.14 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a single admin group details.
 *
 * Smarty Variables:
 *	$adminGroup (array of this adminGroup data)
 *		adminGroupID
 *		adminGroupName
 *		admins (array of admins in this froup)
 *  $actionID			The unique action ID for this page view
 *  $actionName			The action name for this action ID
 *  $imageDirectory		The image directory for this theme
 *  $tplDirectory		The template directory for this theme
 *  $sid					The current sessionID
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ADD_GROUP" d="Add New Group"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_ADMIN_GROUPS" d="Admin Groups"}
{t c="TRANS_ADMIN_GROUP_NAME" d="Admin Group Name"}
{t c="TRANS_ALLOW" d="Allow"}
{t c="TRANS_ASSIGNED_ADMINS" d="Assigned Admins"}
{t c="TRANS_CATEGORY" d="Category"}
{t c="TRANS_CLICK_TO_RECORD_ACTIONS" d="Click to record actions."}
{t c="TRANS_DENY" d="Deny"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_MANAGE_SYSTEM" d="Manage System"}
{t c="TRANS_MANAGE_ADMIN_GROUPS" d="Manage Admin Groups"}
{t c="TRANS_NO_ADMINS_ASSIGNED_GROUP" d="No admins are assigned to this group."}
{t c="TRANS_NO_ACTIONS_ASSIGNED_GROUP" d="No actions are assigned to this group."}
{t c="TRANS_UNASSIGNED_ADMINS" d="Unassigned Admins"}
{t c="TRANS_UPDATE_ADMIN_ASSIGNMENTS" d="Update Admin Assignments"}
{t c="TRANS_UPDATE_ACTION_ASSIGNMENTS" d="Update Action Assignments"}
{t c="TRANS_SELECT_ADMINS_ASSIGNED" d="Select admin users to be assigned to this group."}
{t c="TRANS_SELECT_ACTIONS_ASSIGNED" d="Select the actions that all admins in this group can perform."}
{t c="TRANS_SELECT_ALL" d="Select All"}
{t c="TRANS_STOP_RECORDING" d="Stop Recording"}
{t c="TRANS_GRAPH_ACTIONS" d="Graph Actions"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_MANAGE_ADMIN_GROUPS"
	grandchildName="TRANS_DETAILS"
	sideNavMajor="system"
	sideNavMinor="admins"
	includeAjaxJS=1}

<script language="javascript">
	{literal}
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);

	var slURL = '';
		function startRecord() {

			document.getElementById("recordAdminActions").innerHTML = "{/literal}<img src=\"{$imageDirectory}/loadingcr.gif\" width=\"13\" height=\"13\" alt=\"\" /> {$smarty.const.TRANS_STOP_RECORDING}{literal}";
			cp.call(slURL, 'startRecord');
			return false;
		}

	{/literal}
</script>
<table width="97%" border="0" cellspacing="0" cellpadding="0" class="tab07">
<tr>
	<td>
		<strong>{$smarty.const.TRANS_ADMIN_GROUP_NAME}: {$adminGroup.adminGroupName}</strong>
	</td>
</tr>
</table>

<br />

<table width="97%" border="0" cellspacing="0" cellpadding="0" class="tab07">
<tr>
	<td align="center">
		<form action="admins.php" method="post" name="adminID_combo_box">
		<input type="hidden" name="action" value="{getActionID action="EditAdminGroupResponse"}" />
		<input type="hidden" name="adminGroupID" value="{$adminGroup.adminGroupID}" />
		<input type="hidden" name="redirectURL" value="{$fileName}" />
		<input type="hidden" name="redirectAction" value="{$actionName}" />
		<input type="hidden" name="redirectArgs" value="{$bookmarkArgs}" />
		<input type="hidden" name="sid" value="{$sid}" />
		{* this relation key is required here so we can have multiple forms post to the same actions *}
		<input type="hidden" name="relKey" value="adminID" />
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tab01">
		<tr>
			<td style="border:1px solid #7a878c; background:#FFF5EE; padding:3px 4px; text-align:center">
				<strong>{$smarty.const.TRANS_SELECT_ADMINS_ASSIGNED}</strong>
			</td>
		</tr>
		<tr class="alt1">
			<td align="center">
	 		{include file="$tplDirectory/widgets/comboBox.tpl"
				comboTitleLeft="TRANS_ASSIGNED_ADMINS"
				comboNameLeft="addAdminIDs"
				comboOptionsLeft=$adminInOptions
				comboTitleRight="TRANS_UNASSIGNED_ADMINS"
				comboNameRight="removeAdminIDs"
				comboOptionsRight=$adminNotInOptions
				formName="adminID_combo_box"
				submitName="TRANS_UPDATE_ADMIN_ASSIGNMENTS" }
			</td>
		</tr>
		</table>
		</form>
	</td>
</tr>
</table>

<div class="box03"><img src="{$imageDirectory}/spacer.gif" width="1" height="4" alt="" title="" /></div>

<table width="97%" border="0" cellspacing="0" cellpadding="0" class="tab07">
<tr>
	<td>
		<form action="admins.php" method="post" name="actionName_combo_box">
		<input type="hidden" name="action" value="{getActionID action="EditAdminGroupResponse"}" />
		<input type="hidden" name="adminGroupID" value="{$adminGroup.adminGroupID}" />
		<input type="hidden" name="redirectURL" value="{$fileName}" />
		<input type="hidden" name="redirectAction" value="{$actionName}" />
		<input type="hidden" name="redirectArgs" value="{$bookmarkArgs}" />
		<input type="hidden" name="sid" value="{$sid}" />
		{* this relation key is required here so we can have multiple forms post to the same actions *}
		<input type="hidden" name="relKey" value="actionName" />
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td colspan="2" style="border:1px solid #7a878c; background:#FFF5EE; padding:3px 4px; text-align:center">
				<strong>{$smarty.const.TRANS_SELECT_ACTIONS_ASSIGNED}</strong>
				<a href="javascript:void(0);" onclick="{strip}
					{section name=iter start=0 loop=$numActionCategories}
						toggle('combo_{$smarty.section.iter.index}');
					{/section}
					{/strip}return false;">
					+/-
				</a>
                <br />
                {if $canRecordActions}
                    {assign var="id" value=$adminGroup.adminGroupID}
                        <a href="#" onclick="slURL='{getHREF page="admins.php" actionName="RecordAdminActions" args="adminGroupID=$id"}';startRecord();">
                        {$smarty.const.TRANS_CLICK_TO_RECORD_ACTIONS}
                        </a>
                {/if}
			</td>
		</tr>
		<tr>
			{* left column *}
			<td width="50%" valign="top" align="center">
				{assign var="i" value="0"}
				{foreach from=$actionCategoriesEven key=category item=actions}
					<table width="100%" class="tab01">
					<tr class="alt1">
						<td>
							<strong>{$smarty.const.TRANS_CATEGORY}:</strong>
							<a href="javascript:void(0);" onclick="toggle('combo_{$i}');return false;">
								{$smarty.const.$category}
							</a>
						</td>
					</tr>
					<tbody id="combo_{$i}">
					<tr class="alt1">
						<td align="center">
				 		{include file="$tplDirectory/widgets/comboBox.tpl"
							comboTitleLeft="TRANS_ALLOW"
							comboNameLeft="comboAdd_$category"
							comboOptionsLeft=$actions.comboAdd
							comboTitleRight="TRANS_DENY"
							comboNameRight="comboRemove_$category"
							comboOptionsRight=$actions.comboRemove
							useOptionValues=1
							formName="actionName_combo_box"
							submitName="suppress"}
						</td>
					</tr>
					</tbody>
					</table>
					<script type="text/JavaScript">toggle('combo_{$i}');</script>
				{math equation="x + y" x=$i y=1 assign="i"}
				{/foreach}
			</td>

			{* right column *}
			<td width="50%" valign="top" align="center">
				{foreach from=$actionCategoriesOdd key=category item=actions}
					<table width="100%" class="tab01">
					<tr class="alt1">
						<td>
							<strong>{$smarty.const.TRANS_CATEGORY}:</strong>
							<a href="javascript:void(0);" onclick="toggle('combo_{$i}');return false;">
								{$smarty.const.$category}
							</a>
						</td>
					</tr>
					<tbody id="combo_{$i}">
					<tr class="alt1">
						<td align="center">
				 		{include file="$tplDirectory/widgets/comboBox.tpl"
							comboTitleLeft="TRANS_ALLOW"
							comboNameLeft="comboAdd_$category"
							comboOptionsLeft=$actions.comboAdd
							comboTitleRight="TRANS_DENY"
							comboNameRight="comboRemove_$category"
							comboOptionsRight=$actions.comboRemove
							useOptionValues=1
							formName="actionName_combo_box"
							submitName="suppress"}
						</td>
					</tr>
					</tbody>
					</table>
					<script type="text/JavaScript">toggle('combo_{$i}');</script>
				{math equation="x + y" x=$i y=1 assign="i"}
				{/foreach}
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center">
				<br />
       			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_UPDATE_ACTION_ASSIGNMENTS}" onClick="{strip}
					{section name=i loop=$formElements}
						selectAll(document.actionName_combo_box.elements['{$formElements[i]}[]']);
					{/section}
					{/strip}">
			</td>
		</tr>
		</table>
		</form>

	</td>
</tr>

<tr><td>&nbsp;</td></tr>

</table>

{include file="$tplDirectory/footer.tpl"}