{* $Id: AddBookmark.tpl,v 1.6 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to add a new bookmark. The form must post to bookmarks.php, 
 * with the action ID for the AddBookmarkResponse action, so that the POST data can 
 * be handled by the server. This template takes the $targets smarty variables, used to display
 * the options for where the bookmark will display once clicked - a new window, or the current one.
 *
 * Smarty Variables:
 *	$targets	Array of targets for the bookmark to be launched in.
 *}
{include file="$tplDirectory/header.tpl"}

<form method="post" action="bookmarks.php">
<input type="hidden" name="action" value="{getActionID action="AddBookmarkResponse"}">
bookmarkUrl: <input type="text" name="bookmarkURL" value=""><br />
bookmarkName: <input type="text" name="bookmarkName" value=""><br />
bookmarkTarget: <select name="bookmarkTarget">
	{html_options options=$targets}
</select><br />
bookmarkWindowWidth: <input type="text" name="bookmarkWindowWidth" value="640"><br />
bookmarkWindowHeight: <input type="text" name="bookmarkWindowHeight" value="480"><br />
bookmarkCount: <input type="text" name="bookmarkCount" value="1"><br />
<input class="submit" type="submit" name="submit" value="Add Bookmark"><br />
</form>

{include file="$tplDirectory/footer.tpl"}