{* $Id: EditBookmark.tpl,v 1.6 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a bookmark. Using the given smarty variable 
 * $bookmark, the form is prepopulated with the bookmark's current information. The 
 * form should post to bookmarks.php, with the action ID for the EditBookmarkResponse action.
 *
 * Smarty Variables:
 *	$bookmark  An array of this bookmark data. Every element in this array can be considered
 *			   to be one bookmark, and as such, every element is an array. Every bookmark
 *			   has the following keys:
 *				bookmarkID  -- The ID of the bookmark.
 *				bookmarkURL  -- The full URL of the bookmark including any GET variables.
 *				bookmarkTarget -- Whether to open the bookmark in a new window or not.
 *				bookmarkWindowWidth -- If the bookmark opens in a new window, the width of that window
 *				bookmarkWindowHeight -- If the bookmark opens in a new window, the height of that window
 *				bookmarkCount -- The number of times that a bookmark has been clicked on. This can also
 *								 be set arbitrarily to "arrange" the display order. Default sort column.
 *  $targets	Array of targets for the bookmark to be launched in.
 *}
{include file="$tplDirectory/header.tpl"}

<form method="post" action="bookmarks.php">
<input type="hidden" name="action" value="{getActionID action="EditBookmarkResponse"}">
<input type="hidden" name="bookmarkID" value="{$bookmark.bookmarkID}">
bookmarkUrl: <input type="text" name="bookmarkURL" value="{$bookmark.bookmarkURL}"><br />
bookmarkName: <input type="text" name="bookmarkName" value="{$bookmark.bookmarkName}"><br />
bookmarkTarget: <select name="bookmarkTarget">
{html_options options=$targets selected=$bookmark.bookmarkTarget}</select><br />
bookmarkWindowWidth: <input type="text" name="bookmarkWindowWidth" value="{$bookmark.bookmarkWindowWidth}"><br />
bookmarkWindowHeight: <input type="text" name="bookmarkWindowHeight" value="{$bookmark.bookmarkWindowHeight}"><br />
bookmarkCount: <input type="text" name="bookmarkCount" value="{$bookmark.bookmarkCount}"><br />
<input class="submit" type="submit" name="submit" value="submit"><br />
</form>

{include file="$tplDirectory/footer.tpl"}