{* $Id: ShowBookmarks.tpl,v 1.6 2006/07/10 16:10:11 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays all bookmark records the admin.
 *
 * Smarty Variables:
 *	$bookmarks An array of this bookmark data. Every element in this array can be considered
 *			   to be one bookmark, and as such, every element is an array. Every bookmark
 *			   has the following keys:
 *				bookmarkID  -- The ID of the bookmark.
 *				bookmarkURL  -- The full URL of the bookmark including any GET variables.
 *				bookmarkTarget -- Whether to open the bookmark in a new window or not.
 *				bookmarkWindowWidth -- If the bookmark opens in a new window, the width of that window
 *				bookmarkWindowHeight -- If the bookmark opens in a new window, the height of that window
 *				bookmarkCount -- The number of times that a bookmark has been clicked on. This can also
 *								 be set arbitrarily to "arrange" the display order. Default sort column.
 *}
{strip}
{t c="TRANS_LOAD_BOOKMARK_MAIN_PAGE" d="Load Bookmark in main page"}
{t c="TRANS_LOAD_BOOKMARK_NEW_PAGE" d="Load Bookmark in new page"}
{t c="TRANS_MANAGE_BOOKMARKS" d="Manage Bookmarks"}
{t c="TRANS_LINK" d="Link"}
{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_ADMINS"
	childName="TRANS_MANAGE_BOOKMARKS"

	sideNavMajor="system"
	sideNavMinor="bookmarks"}
<table border="0" cellpadding="0" cellspacing="0" width="500" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_LINK" headerClass="firstTD"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_OPEN"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ACTIONS" headerClass="lastTD"}
</tr>
</thead>

<tbody>
{foreach from=$bookmarkList item=bookmark}
	<tr class="{cycle values="alt1,alt2"}">
		<td>
			<a href="{getHREF page=$bookmark.bookmarkURL actionName=$bookmark.bookmarkAction args=$bookmark.bookmarkArgs}" target="{$bookmark.bookmarkTarget}">
				{$bookmark.bookmarkName}
			</a>
		</td>
		<td>
			{strip}
			{if $bookmark.bookmarkTarget == "_top"}
				{assign var=transValue value=$bookmark.bookmarkTarget}
			{else}
				{assign var=transValue value="_blank"}
			{/if}

			{assign var=transValue value=$targets.$transValue}
			{$smarty.const.$transValue}
			{/strip}
		</td>
		<td>
			
		</td>
	</tr>
{foreachelse}
	<tr class="{cycle values="alt1,alt2"}">
		<td colspan="3">{$smarty.const.TRANS_NORESULTS}</td>
	</tr>
{/foreach}
</tbody>
</table>
{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}