{* $Id: OrderCertOrderSummary.tpl,v 1.6 2006/06/19 21:48:57 mgarrett Exp $
 * --------------------------------------------------------------
 * This template
 *
 * Smarty Variables:
 *	$certProducts (array of product IDs to select)
 *
 *}
{t c="TRANS_QUICKSSL" d="QuickSSL"}
{t c="TRANS_QUICKSSL_PREMIUM" d="QuickSSL Premium"}
{t c="TRANS_TRUEBIZID" d="True Business ID"}
{t c="TRANS_RAPIDSSL" d="RapidSSL"}

{t c="TRANS_QUICKSSL_TITLE" d="QuickSSL Enrollment Order Summary"}
{t c="TRANS_QUICKSSL_PREMIUM_TITLE" d="QuickSSL Premium Enrollment Order Summary"}
{t c="TRANS_TRUEBIZID_TITLE" d="True Business ID Enrollment"}
{t c="TRANS_RAPIDSSL_TITLE" d="RapidSSL Enrollment Order Summary"}

{t c="TRANS_QUICKSSL_AGREENAME" d="QuickSSL Subscriber Agreement"}
{t c="TRANS_QUICKSSL_PREMIUM_AGREENAME" d="QuickSSL Premium Subscriber Agreement"}
{t c="TRANS_TRUEBIZID_AGREENAME" d="True Business ID Subscriber Agreement"}
{t c="TRANS_RAPIDSSL_AGREENAME" d="RapidSSL Subscriber Agreement"}

{t c="TRANS_SUBSCRIBER_NOTICE" d="Please review the information on this page and agree to the subscriber agreement. When you have completed this review, please submit your order for processing."}
{t c="TRANS_ORDER_INFORMATION" d="Order Information"}
{t c="TRANS_VALIDITY_PERIOD" d="Validity Period"}
{t c="TRANS_RENEWAL" d="Renewal"}
{t c="TRANS_ADDITIONAL_MONTHS" d="Additional Months"}

{t c="TRANS_SERVER_LICENSES" d="Server Licenses"}
{t c="TRANS_SPECIAL_INSTRUCTIONS" d="Special Instructions"}

{t c="TRANS_CSRINFORMATION" d="CSR Information"}
{t c="TRANS_COMMON_NAME" d="Common Name"}
{t c="TRANS_ORGANIZATION_INFO" d="Organization Information"}
{t c="TRANS_ORGANIZATION" d="Organization"}
{t c="TRANS_ORIG_UNIT" d="Org. Unit"}
{t c="TRANS_LOCALITY" d="Locality"}

{t c="TRANS_LEGAL_ORGANIZATION_NAME" d="Legal Organization Name"}
{t c="TRANS_MAILING_ADDR" d="Mailing Address"}
{t c="TRANS_MAIN_PHONE" d="Main Phone"}
{t c="TRANS_DUNS_ABBR" d="D-U-N-S"}
{t c="TRANS_SITE_CONTACTS" d="Site Contacts"}
{t c="TRANS_TECHNICAL" d="Technical"}
{t c="TRANS_BILLING" d="Billing"}

{t c="TRANS_APPROVER_INFO" d="Approver Information"}
{t c="TRANS_APPROVER_EMAIL" d="Approver e-mail"}

{t c="TRANS_COMMON_NAME_NOTE" d="<b>Note:</b> The value for Common Name must exactly match the server you plan to secure."}
{t c="TRANS_EMAIL_SUBMIT_NOTICE" d="Upon submission of this order, an e-mail will be sent to the following e-mail address. This e-mail account must be active and ready to receive e-mail."}
{t c="TRANS_AGREE_NOTICE" d="Please carefully read the following agreement, and mark the checkbox below."}
{t c="TRANS_FINAL_EDIT_NOTICE" d="Click the Submit Order button (below) to finalize this order information and to enter the Telephone Authentication phase of this order.  You may not change any of this order information after this point.  Please submit only once as this process could take a few seconds."}

{t c="TRANS_SUBMIT_ORDER" d="Submit Order"}
{t c="TRANS_FORM_NOTICE" d="Your SSL Certificate request will be submitted when you click OK.\\n\\nThis may take a few minutes. Do not click the submit button twice.\\n\\nThank you for your order."}
{t c="TRANS_AGREE_SUBSCRIBER" d="I agree to this Subscriber Agreement."}

{t c="TRANS_CERTSUMMARY" d="Order Summary"}
{include
	file="$tplDirectory/header.tpl"
	parentName=TRANS_SSLCERTS
	childName=TRANS_CERTSUMMARY
	sideNavMajor="products"}

<h4>{$pageTitle}</h4>

<p>{$smarty.const.TRANS_SUBSCRIBER_NOTICE}</p>

{if $show_order_info == "true"}
	<form name="firstpage" method="post" action="certs.php">
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="certID" value="{$cert.certID}" />
	<input type="hidden" name="action" value="{getActionID action="OrderCertCSRRequest"}" />
	
	<table class="tab01" width="50%">
	<tr class="{cycle values="alt1,alt2"}">
 		<td><h4>{$smarty.const.TRANS_ORDER_INFORMATION}&nbsp;&nbsp;</h4></td>
 		<td align="right"><input class="submit" type="submit" name="editOrderInfo" value="{$smarty.const.TRANS_EDIT}"></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_VALIDITY_PERIOD}:</b></p></td>
 		<td><p><font color="#0000FF">{$cert.ODValidityPeriod} {$smarty.const.TRANS_MONTHS}</font></p></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_RENEWAL}:</b></p></td>
		<td><p><font color="#0000FF">{if $cert.RIRenewalIndicator == 'true'}Yes{else}No{/if}</font></p></td>
	</tr>

	{if $cert.RIRenewalIndicator == "true"}
		<tr class="{cycle values="alt1,alt2"}">
 			<td><p><b>{$smarty.const.TRANS_ADDITIONAL_MONTHS}:</b></p></td>
 			<td><p><font color="#0000FF">{$cert.RIRenewalMonths}</font></p></td>
		</tr>
	{/if}

	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_UPGRADE}:</b></p></td>
 		<td><p><font color="#0000FF">{if $cert.UPGCUIndicator == 'true'}Yes{else}No{/if}</font></p></td>
	</tr>

	{if $cert.UPGCUIndicator == 'true'}
		<tr class="{cycle values="alt1,alt2"}">
 			<td><p><b>{$smarty.const.TRANS_ADDITIONAL_MONTHS}:</b></p></td>
 			<td><p><font color="#0000FF">{$cert.UPGCUmonths}</font></p></td>
		</tr>
	{/if}

	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_SERVER_LICENSES}:</b></p></td>
 		<td><p><font color="#0000FF">{$cert.ODServerCount}</font></p></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_SPECIAL_INSTRUCTIONS}:</b></p></td>
 		<td><p><font color="#0000FF">{if $cert.ODSpecialInstructions != ''}{$cert.ODSpecialInstructions}{else}none{/if}</font></p></td>
	</tr>
	</table>
	<br clear="all" />
	<br clear="all" />
{/if}{** $show_order_info **}

{if $show_csr_info == 'true'}
	<form name="csrinfo" method="post" action="certs.php">
	<input type="hidden" name="certID" value="{$cert.certID}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="action" value="{getActionID action="OrderCSRRequest"}" />

	<table class="tab01" width="50%">
	<tr class="{cycle values="alt1,alt2"}">
 		<td width="200"><h4>{$smarty.const.TRANS_CSRINFORMATION}&nbsp;&nbsp;</h4></td>
 		<td align="right"><input class="submit" type="submit" name="editCSRInfo" value="{$smarty.const.TRANS_EDIT}"></td>
	</tr>
	</form>
	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_COMMON_NAME}:</b></p></td>
 		<td><p><font color="#0000FF">{$cert.CSRDomainName}</font></p></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_ORGANIZATION}:</b></p></td>
 		<td><p><font color="#0000FF">{$cert.CSROrganization}</font></p></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_ORIG_UNIT}:</b></p></td>
 		<td><p><font color="#0000FF">{$cert.CSROrganizationUnit}</font></p></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_LOCALITY}:</b></p></td>
 		<td><p><font color="#0000FF">{$cert.CSRLocality}</font></p></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_STATE}:</b></p></td>
 		<td><p><font color="#0000FF">{$cert.CSRState}</font></p></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_COUNTRY}:</b></p></td>
 		<td><p><font color="#0000FF">{$cert.CSRCountry}</font></p></td>
	</tr>
	</table>
	<br clear="all" />
	
	<p>{$smarty.const.TRANS_COMMON_NAME_NOTE}</p>
	<br clear="all" />
{/if}{** $show_csr_info **}

{if $show_org_info == 'true'}
	<form name="contactinfo" method="post" action="certs.php">
	<input type="hidden" name="certID" value="{$cert.certID}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="action" value="{getActionID action="OrderCertContactRequest"}" />

	<table class="tab01" width="50%">
	<tr class="{cycle values="alt1,alt2"}">
 		<td width="200"><h4>{$smarty.const.TRANS_ORGANIZATION_INFO}&nbsp;&nbsp;</h4></td>
		<td align="right"><input class="submit" type="submit" name="editOrderInfo" value="{$smarty.const.TRANS_EDIT}"></td>
	</tr>
	</form>
	<tr class="{cycle values="alt1,alt2"}">
		<td><p><b>{$smarty.const.TRANS_LEGAL_ORGANIZATION_NAME}:</b></p></td>
		<td><p><font color="#0000FF">{$cert.ORGOrganizationName}</font></p></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<td><p><b>{$smarty.const.TRANS_MAILING_ADDR}:</b></p></td>
		<td><p><font color="#0000FF">
			{$cert.ORGAddressLine1}
    			{if $cert.ORGAddressLine2 != ''}
        			<br/>{$cert.ORGAddressLine2}
    			{/if}
    			{if $cert.ORGAddressLine3 != ''}
				<br/>{$cert.ORGAddressLine3}
    			{/if}
    			<br/>{$cert.ORGCity}
    			&nbsp;{$cert.ORGRegion}&nbsp;{$cert.ORGPostalCode}
			<br/>{$cert.ORGCountry}
		</font></p></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<td><p><b>{$smarty.const.TRANS_MAIN_PHONE}:</b></p></td>
		<td><p><font color="#0000FF">{$cert.ORGPhone}</font></p></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<td><p><b>{$smarty.const.TRANS_FAX_NUMBER}:</b></p></td>
		<td><p><font color="#0000FF">{if $this_order.ORGFax != ''}{$cert.ORGFax}{else}n/a{/if}</font></p></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<td><p><b>{$smarty.const.TRANS_DUNS_ABBR}:</b></p></td>
		<td><p><font color="#0000FF">{if $cert.ORGDUNS != ''}{$cert.ORGDUNS}{else}n/a{/if}</font></p></td>
	</tr>
	</table>
	<br clear="all" />
	<br clear="all" />
{/if}{** $show_org_info **}

<form name="contactinfo" method="post" action="certs.php">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="OrderCertContactRequest"}" />
<input type="hidden" name="certID" value="{$cert.certID}" />
<table class="tab01" width="50%">
<tr class="{cycle values="alt1,alt2"}">
	<td colspan="3"><h4>{$smarty.const.TRANS_SITE_CONTACTS}&nbsp;&nbsp;</h4></td>
	<td align="right"><input class="submit" type="submit" name="editAdmin" value="{$smarty.const.TRANS_EDIT}" /></td>
</tr>
</form>
<tr class="{cycle values="alt1,alt2"}">
	<td><p><b><u>{$smarty.const.TRANS_ROLE}</u></p></b></td>
	<td><p><b><u>{$smarty.const.TRANS_NAME}</u></p></b></td>
	<td><p><b><u>{$smarty.const.TRANS_PHONE}</u></p></b></td>
	<td><p><b><u>{$smarty.const.TRANS_EMAIL}</u></p></b></td>
</tr>
{if $show_admin_info == 'true'}
	<tr class="{cycle values="alt1,alt2"}">
		<td><p><b>{$smarty.const.TRANS_ADMIN}</b></p></td>
		<td><p><font color="#0000FF">{$cert.ACFirstName} {$cert.ACLastName}</font></p></td>
		<td><p><font color="#0000FF">{$cert.ACPhone}</font></p></td>
 		<td><p><font color="#0000FF">{$cert.ACEmail}</font></p></td>
	</tr>
{/if}

{if $show_tech_info == 'true'}
	<tr class="{cycle values="alt1,alt2"}">
		<td><p><b>{$smarty.const.TRANS_TECHNICAL}</b></p></td>
		<td><p><font color="#0000FF">{$cert.TCFirstName} {$cert.TCLastName}</font></p></td>
 		<td><p><font color="#0000FF">{$cert.TCPhone}</font></p></td>
 		<td><p><font color="#0000FF">{$cert.TCEmail}</font></p></td>
	</tr>
{/if}

{if $show_billing_info == 'true'}
	<tr class="{cycle values="alt1,alt2"}">
		<td><p><b>{$smarty.const.TRANS_BILLING}</b></p></td>
		<td><p><font color="#0000FF">{$cert.BCFirstName} {$cert.BCLastName}</font></p></td>
 		<td><p><font color="#0000FF">{$cert.BCPhone}</font></p></td>
 		<td><p><font color="#0000FF">{$cert.BCEmail}</font></p></td>
	</tr>
{/if}
</table>
<br clear="all" />
<br clear="all" />

{if $show_apvr_info == 'true'}
	
	<form name="approverinfo" method="post" action="certs.php">
	<input type="hidden" name="certID" value="{$cert.certID}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="action" value="{getActionID action="OrderCertGetApproverEula"}" />

	<table class="tab01" width="50%">
	<tr class="{cycle values="alt1,alt2"}">
		<td><h4>{$smarty.const.TRANS_APPROVER_INFO}&nbsp;&nbsp;</h4></td>
 		<td align="right"><input class="submit" type="submit" name="editApproverInfo" value="{$smarty.const.TRANS_EDIT}" /></td>
	</tr>
	</form>
	<tr class="{cycle values="alt1,alt2"}">
 		<td><p><b>{$smarty.const.TRANS_APPROVER_EMAIL}:</b></p></td>
		<td><p><font color="#0000FF">{$cert.ODApproverEmailAddress}</font></p></td>
	</tr>
	</table>
	<br clear="all" />
	<p>{$smarty.const.TRANS_EMAIL_SUBMIT_NOTICE}</p>
	<br clear="all" />
{/if}

<hr size="1" color="#EEEEEE">

<h4>{$agreement_name}</h4>

<p>
<b>{$smarty.const.TRANS_AGREE_NOTICE}</b>
</p>

<form method = "get" action = "dummy">
	<textarea readonly onfocus="this.blur()" name="agreementText" rows="20" cols="115" wrap="soft">{$cert.getUseragreement}</textarea>
</form>

<form name="confirm" method="post" action="certs.php" onSubmit="confirm("{$smarty.const.TRANS_FORM_NOTICE}");">
<input type="hidden" name="certID" value="{$cert.certID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="OrderCertOrderResponse"}" />

<input type="checkbox" name="iagree" value="checked"> {$smarty.const.TRANS_AGREE_NOTICE}

<p>{$smarty.const.TRANS_FINAL_EDIT_NOTICE}</p>

<input class="submit" type="submit" name="submitConfirm" value="{$smarty.const.TRANS_SUBMIT_ORDER}" />

</form>

{include file="$tplDirectory/footer.tpl"}