{* $Id: EditBillingAccount.tpl,v 1.11 2006/06/19 17:40:36 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a billing account.
 *
 * Smarty Variables:
 *	$client (array of this client's data)
 * $contact (array of this contact's data)
 * $billingAccount (array of this billing account's data)
 *
 *}
 
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_BILLING_ACCOUNT" d="Billing Account"}
{t c="TRANS_BILLING_ACCOUNTS" d="Billing Accounts"}
{t c="TRANS_EDIT_BILLING_ACCOUNT" d="Edit Billing Account"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_ADD_BILLING_ACCOUNT" d="Add Billing Account"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_ORDER" d="Order"}
{t c="TRANS_PERCENT" d="Percent"}
{t c="TRANS_BILLING_ACCOUNT_DETAILS" d="Billing Account Details"}
{t c="TRANS_NAME_ON_CARD" d="Name On Card"}
{t c="TRANS_CREDIT_CARD_ACCOUNT" d="TRANS_CREDIT_CARD_ACCOUNT"}
{t c="TRANS_BANK_ACCOUNT" d="Bank Account"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_EXPIRES" d="Expires"}
{t c="TRANS_ISSUE_NUMBER" d="Issue Number"}
{t c="TRANS_START_DATE" d="Start Date"}
{t c="TRANS_BANK_NAME" d="Bank Name"}
{t c="TRANS_BANK_STATE" d="Bank State"}
{t c="TRANS_ROUTING_NUMBER" d="Routing Number"}
{t c="TRANS_ACCOUNT_NUMBER" d="Account Number"}
{t c="TRANS_LICENSE_NUMBER" d="License/ID Number"}
{t c="TRANS_LICENSE_STATE" d="License/ID State"}
{t c="TRANS_DOB" d="Date of Birth"}
{t c="TRANS_EXPIRY_MONTH" d="Expiry Month"}
{t c="TRANS_EXPIRY_YEAR" d="Expiry Year"}
{t c="TRANS_CARD_NUMBER" d="Card Number"}
{t c="TRANS_EQUAL_PERCENT" d="Equal Percent"}
{t c="TRANS_ORDER_MESG" d="The ascending order of precedence in which this account is charged for the bill. Lower numbers are attempted first. Billing accounts with the same order of precedence are charged as a group according to the specified percentage."}
{t c="TRANS_PERCENT_MESG" d="Percentage of the bill to pay with this billing account. All percentages of the billing accounts in the specified order of precedence must add up to 100%."}
{t c="TRANS_EQUAL_MESG" d="Apply an equal percentage to all billing accounts within the specified order of precedence."}
{t c="TRANS_ENCRYPTION_PASSPHRASE" d="Encryption Passphrase"}
{t c="TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR" d="Packages this billing account pays for"}


{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_BILLING_ACCOUNTS"
	grandchildName="TRANS_EDIT"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client}
{include file="$tplDirectory/widgets/context/contact.tpl" client=$client contact=$contact}
{include file="$tplDirectory/widgets/context/billingAccount.tpl" client=$client contact=$contact billingAccount=$billingAccount billingAccountTypes=$billingAccountTypes}

<form method="post" name="billing" id="billing" action="clients.php" onsubmit="XKselectAllOptionsInMultiSelects(this);" >
<input type="hidden" name="action" value="{getActionID action="EditBillingAccountResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="clientID" value="{$client.clientID}" />
<input type="hidden" name="clientContactID" value="{$contact.clientContactID}" />
<input type="hidden" name="billingAccountID" value="{$billingAccount.billingAccountID}" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr>
	<th scope="col" colspan="2">{$smarty.const.TRANS_BILLING_ACCOUNT}</th>
</tr>
<tr class="{if $invalid.billingAccountType}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row">{$smarty.const.TRANS_TYPE}</th>
	<td width="100%">
		{section name=billing loop=$billingAccountTypes}
			{assign var="thisBillingAccountType" value=$billingAccountTypes[billing]}
			{assign var="thisBillingAccountTypeIndex" value=$smarty.section.billing.index}
			<label for="type_{$thisBillingAccountTypeIndex}"><input onclick="updateTypeEnableState()" id="type_{$thisBillingAccountTypeIndex}" type="radio" name="billingAccountType" value="{$thisBillingAccountTypeIndex}" {if $thisBillingAccountTypeIndex == $formValues.billingAccountType}checked="checked"{/if} /> {$thisBillingAccountType}</label>
			<br />
		{/section}
		
		{* {html_radios name="billingAccountType" separator="<br />" options=$billingAccountTypes selected=$formValues.billingAccountType} *}
		{$invalid.billingAccountType}
	</td>
</tr>
</table>

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr>
	<td width="50%" valign="top">
		<table border="0" cellpadding="0" cellspacing="3" class="tab01" >
		<tr>
			<th scope="col" colspan="2" width="50%">{$smarty.const.TRANS_CREDIT_CARD_ACCOUNT}</th>
		</tr>
		<tr class="{if $invalid.billingCardNameOnCard}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingCardNameOnCard">{$smarty.const.TRANS_NAME_ON_CARD}</label></th>
			<td width="100%"><input size="25" maxlength="75" type="text" id="billingCardNameOnCard" name="billingCardNameOnCard" value="{$formValues.billingCardNameOnCard}" /> {$invalid.billingCardNameOnCard}</td>
		</tr>
		<tr class="{if $invalid.billingCardType}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingCardType">{$smarty.const.TRANS_TYPE}</label></th>
			<td width="100%"><select id="billingCardType" name="billingCardType" onchange="updateCardExtraEnableState()"> {html_options options=$cardTypes selected=$formValues.billingCardType} </select> {$invalid.billingCardType}</td>
		</tr>
		<tr class="{if $invalid.billingCardNum}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingCardNum">{$smarty.const.TRANS_CARD_NUMBER}</label></th>
			<td width="100%"><input size="16" maxlength="16" type="text" id="billingCardNum" name="billingCardNum" value="" /> {$invalid.billingCardNum}</td>
		</tr>
		<tr class="{if $invalid.billingCardExpMonth}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingCardExpMonth">{$smarty.const.TRANS_EXPIRY_MONTH}</label></th>
			<td width="100%"><input size="2" maxlength="2" type="text" id="billingCardExpMonth" name="billingCardExpMonth" value="{$formValues.billingCardExpMonth}" /> {$invalid.billingCardExpMonth}</td>
		</tr>
		<tr class="{if $invalid.billingCardExpYear}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingCardExpYear">{$smarty.const.TRANS_EXPIRY_YEAR}</label></th>
			<td width="100%"><input size="4" maxlength="4" type="text" id="billingCardExpYear" name="billingCardExpYear" value="{$formValues.billingCardExpYear}" /> {$invalid.billingCardExpYear}</td>
		</tr>
		<tr class="{if $invalid.billingCardIssueNum}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingCardIssueNum">{$smarty.const.TRANS_ISSUE_NUMBER}</label></th>
			<td width="100%"><input size="3" maxlength="3" type="text" id="billingCardIssueNum" name="billingCardIssueNum" value="{$formValues.billingCardIssueNum}" /> {$invalid.billingCardIssueNum}</td>
		</tr>
		<tr class="{if $invalid.billingCardStartDate}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingCardStartDate">{$smarty.const.TRANS_START_DATE}</label></th>
			<td width="100%"><input size="25" maxlength="50" type="text" id="billingCardStartDate" name="billingCardStartDate" value="{$formValues.billingCardStartDate}" /> {$invalid.billingCardStartDate}</td>
		</tr>
		{if $needKey>0}
		<tr>
			<th class="nowrap" scope="row"><label for="encKey">{$smarty.const.TRANS_ENCRYPTION_PASSPHRASE}</label></th>
			<td width="100%"><input size="15" type="password" id="encKey" name="encKey" value="{$formValues.billingCardStartDate}" /> {$invalid.encKey}</td>
		</tr>
		{/if}
		</table>
	</td>
	<td width="50%" valign="top">
		<table border="0" cellpadding="0" cellspacing="3" class="tab01" >
		<tr>
			<th scope="col" colspan="2" width="50%">{$smarty.const.TRANS_BANK_ACCOUNT}</th>
		</tr>
		<tr class="{if $invalid.billingBankName}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingBankName">{$smarty.const.TRANS_BANK_NAME}</label></th>
			<td width="100%"><input size="25" maxlength="50" type="text" id="billingBankName" name="billingBankName" value="{$formValues.billingBankName}" /> {$invalid.billingBankName}</td>
		</tr>
		<tr class="{if $invalid.billingBankState}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingBankState">{$smarty.const.TRANS_BANK_STATE}</label></th>
			<td width="100%"><input size="25" maxlength="50" type="text" id="billingBankState" name="billingBankState" value="{$formValues.billingBankState}" /> {$invalid.billingBankState}</td>
		</tr>
		<tr class="{if $invalid.billingBankType}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingBankType">{$smarty.const.TRANS_TYPE}</label></th>
			<td width="100%"><select id="billingBankType" name="billingBankType"> {html_options options=$bankAccountTypes selected=$formValues.billingBankType} </select> {$invalid.billingBankType}</td>
		</tr>
		<tr class="{if $invalid.billingBankAbaCode}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingBankAbaCode">{$smarty.const.TRANS_ROUTING_NUMBER}</label></th>
			<td width="100%"><input size="20" maxlength="20" type="text" id="billingBankAbaCode" name="billingBankAbaCode" value="{$formValues.billingBankAbaCode}" /> {$invalid.billingBankAbaCode}</td>
		</tr>
		<tr class="{if $invalid.billingBankAccountNum}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingBankAccountNum">{$smarty.const.TRANS_ACCOUNT_NUMBER}</label></th>
			<td width="100%"><input size="20" maxlength="20" type="text" id="billingBankAccountNum" name="billingBankAccountNum" value="" /> {$invalid.billingBankAccountNum}</td>
		</tr>
		<tr class="{if $invalid.billingBankLicenseNum}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingBankLicenseNum">{$smarty.const.TRANS_LICENSE_NUMBER}</label></th>
			<td width="100%"><input size="20" maxlength="20" type="text" id="billingBankLicenseNum" name="billingBankLicenseNum" value="{$formValues.billingBankLicenseNum}" /> {$invalid.billingBankLicenseNum}</td>
		</tr>
		<tr class="{if $invalid.billingBankLicenseState}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingBankLicenseState">{$smarty.const.TRANS_LICENSE_STATE}</label></th>
			<td width="100%"><input size="25" maxlength="50" type="text" id="billingBankLicenseState" name="billingBankLicenseState" value="{$formValues.billingBankLicenseState}" /> {$invalid.billingBankLicenseState}</td>
		</tr>
		<tr class="{if $invalid.billingBankDob}highlight{else}{cycle values="alt1,alt2"}{/if}">
			<th class="nowrap" scope="row"><label for="billingBankDob">{$smarty.const.TRANS_DOB}</label></th>
			<td width="100%"><input size="25" maxlength="25" type="text" id="billingBankDob" name="billingBankDob" value="{$formValues.billingBankDob}" /> {$invalid.billingBankDob}</td>
		</tr>
		</table>
	</td>

</tr>
<tr>
	<th colspan="2">{$smarty.const.TRANS_PACKAGES_THIS_BILLING_ACCOUNT_PAYS_FOR}: </th>
</tr>
<tr>
	<td colspan="2" align="center">
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="packages"
			comboOptionsLeft=$selectedPackages

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectablePackages"
			comboOptionsRight=$selectablePackages
			formName="billing"
			submitName="suppress"
		}
	</th>
</tr>
<tr>
	<td colspan="2">
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" />
{* 		<input class="reset" type="reset" value="{$smarty.const.TRANS_RESET}" onclick="updateTypeEnableState()" /> *}
	</td>
</tr>
</tbody>
</table>
</form>

<script type="text/javascript">
	{literal}
	function updateTypeEnableState() {
		if(document.getElementById('type_0').checked && !(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {
			document.getElementById('billingCardNameOnCard').disabled=false;
			document.getElementById('billingCardType').disabled=false;
			document.getElementById('billingCardNum').disabled=false;
			document.getElementById('billingCardExpMonth').disabled=false;
			document.getElementById('billingCardExpYear').disabled=false;
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;
			
			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;

			//document.getElementById('billingBankName').value="";
			//document.getElementById('billingBankState').value="";
			//document.getElementById('billingBankType').selectedIndex="0";
			//document.getElementById('billingBankAbaCode').value="";
			//document.getElementById('billingBankAccountNum').value="";
			//document.getElementById('billingBankLicenseNum').value="";
			//document.getElementById('billingBankLicenseState').value="";
			//document.getElementById('billingBankDob').value="";

			updateCardExtraEnableState();
		}
		if(!document.getElementById('type_0').checked && !(document.getElementById('type_3').checked || document.getElementById('type_4').checked)) {
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;

			//document.getElementById('billingCardNameOnCard').value="";
			//document.getElementById('billingCardType').selectedIndex="0";
			//document.getElementById('billingCardNum').value="";
			//document.getElementById('billingCardExpMonth').value="";
			//document.getElementById('billingCardExpYear').value="";
			//document.getElementById('billingCardIssueNum').value="";
			//document.getElementById('billingCardStartDate').value="";
			
			document.getElementById('billingBankName').disabled=false;
			document.getElementById('billingBankState').disabled=false;
			document.getElementById('billingBankType').disabled=false;
			document.getElementById('billingBankAbaCode').disabled=false;
			document.getElementById('billingBankAccountNum').disabled=false;
			document.getElementById('billingBankLicenseNum').disabled=false;
			document.getElementById('billingBankLicenseState').disabled=false;
			document.getElementById('billingBankDob').disabled=false;
		}
		
		if(document.getElementById('type_3').checked || document.getElementById('type_4').checked) {
			document.getElementById('billingCardNameOnCard').disabled=true;
			document.getElementById('billingCardType').disabled=true;
			document.getElementById('billingCardNum').disabled=true;
			document.getElementById('billingCardExpMonth').disabled=true;
			document.getElementById('billingCardExpYear').disabled=true;
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;

			document.getElementById('billingBankName').disabled=true;
			document.getElementById('billingBankState').disabled=true;
			document.getElementById('billingBankType').disabled=true;
			document.getElementById('billingBankAbaCode').disabled=true;
			document.getElementById('billingBankAccountNum').disabled=true;
			document.getElementById('billingBankLicenseNum').disabled=true;
			document.getElementById('billingBankLicenseState').disabled=true;
			document.getElementById('billingBankDob').disabled=true;
		}
	}
	updateTypeEnableState();

	function updateCardExtraEnableState() {
		cardExtraTypes = Array({/literal}{strip}
			{assign var="comma" value=0}
			{section name=iter loop=$cardExtraTypes}
				{if $comma}, {/if}
				{$cardExtraTypes[iter]}
				{assign var="comma" value=1}
			{/section}
		{/strip}{literal})
		
		selected = document.getElementById('billingCardType').selectedIndex;
		c = cardExtraTypes.length;
		cardExtraTypeSelected = false;
		for(i = 0; i < c; i++) {
			cardExtraType = cardExtraTypes[i];
			if(cardExtraType == selected) {
				cardExtraTypeSelected = true;
			}
		}
		if(cardExtraTypeSelected) {
			document.getElementById('billingCardIssueNum').disabled=false;
			document.getElementById('billingCardStartDate').disabled=false;
		} else {
			document.getElementById('billingCardIssueNum').disabled=true;
			document.getElementById('billingCardStartDate').disabled=true;
		}
	}
	updateCardExtraEnableState();
	{/literal}
</script>

{include file="$tplDirectory/footer.tpl"}
