{* $Id: SendClientEmail.tpl,v 1.2 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to e-mail a client.
 *
 * Smarty Variables:
 *	$clientID				The unique action ID for this page view
 *  $contacts
 *
 * Author: Andy Christ
 *}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_CONTACTS" d="Contacts"}
{t c="TRANS_CONTACTS_TO" d="Client Contacts To Send"}
{t c="TRANS_CONTACTS_AVAILABLE" d="Client Contacts Available"}
{t c="TRANS_EMAIL_CC" d="CC:"}
{t c="TRANS_EMAIL_BCC" d="BCC:"}
{t c="TRANS_EMAIL_SEPARATE_DESC" d="Separate each with a ,"}
{t c="TRANS_EMAIL_SEND" d="Send"}
{t c="TRANS_EMAIL_MESSAGE_SUBJECT" d="Subject"}
{t c="TRANS_EMAIL_MESSAGE_BODY" d="Message Body"}



{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_EMAIL_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_EMAIL"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="clients.php" name="clientEmail">
<input type="hidden" name="action" value="{getActionID action="SendClientEmailResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="clientID" value="{$clientID}" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>

<tr class="alt1">
	<th class="nowrap" scope="row"><label for="clientContacts">{$smarty.const.TRANS_CONTACTS}</label></th>
	<td align="center">
	{include file="$tplDirectory/widgets/comboBox.tpl"
		comboTitleLeft="TRANS_CONTACTS_TO"
		comboNameLeft="addClientContactIDs"
		comboOptionsLeft=$contactPrimary
		comboTitleRight="TRANS_CONTACTS_AVAILABLE"
		comboNameRight="removeClientContactIDs"
		comboOptionsRight=$contacts
		formName="clientEmail"
		submitName="suppress"
		positionButtons = "no" }
	</td>
</tr>

<tr class="{if $invalid.emailCC}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th  scope="row" valign="top"><label for="emailCC">{include file="$tplDirectory/widgets/showTips.tpl"
        title="TRANS_EMAIL_CC"
        msg="TRANS_EMAIL_SEPARATE_DESC"
        width="100%"
        align="center"}</label></th>
	<td width="100%"><input size="100" maxlength="500" type="text" id="emailCC" name="emailCC" value="{$formValues.emailCC}" /> {$invalid.emailCC} </td>
</tr>
<tr class="{if $invalid.emailTo}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th  scope="row" valign="top"><label for="emailTo">{include file="$tplDirectory/widgets/showTips.tpl"
        title="TRANS_EMAIL_BCC"
        msg="TRANS_EMAIL_SEPARATE_DESC"
        width="100%"
        align="center"}</label></th>
	<td width="100%"><input size="100" maxlength="500" type="text" id="emailBCC" name="emailBCC" value="{$formValues.emailBCC}" /> {$invalid.emailBCC} </td>
</tr>

<tr class="{if $invalid.emailSubject}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th  scope="row" valign="top"><label for="emailSubject">{$smarty.const.TRANS_EMAIL_MESSAGE_SUBJECT}</label></th>
	<td width="100%"><input size="100" maxlength="500" type="text" id="emailSubject" name="emailSubject" value="{$formValues.emailSubject}" /> {$invalid.emailSubject} </td>
</tr>

<tr class="{if $invalid.clientLastName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th  scope="row" valign="top"><label for="emailBody">{$smarty.const.TRANS_EMAIL_MESSAGE_BODY}</label></th>
	<td width="100%"><textarea name="emailBody" style="width:90%" rows="10">{$event.systemQueueCommandInput}</textarea> {$invalid.emailBody} </td>
</tr>



<tr>
	<td colspan="2">
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EMAIL_SEND}" 
								 onclick="selectAllOptions(document.clientEmail.elements['addClientContactIDs[]']);" />
{*		<input class="reset" type="reset" value="{$smarty.const.TRANS_EMAIL_SEND}" /> *}
	</td>
</tr>
</tbody>
</table>
</form>

{include file="$tplDirectory/footer.tpl"}