{* $Id: ShowBillingAccounts.tpl,v 1.18 2006/06/19 17:40:36 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a single client billing account details record.
 *
 * Smarty Variables:
 * $client					Array of client information
 * $contacts				Array of client contacts or the specified client contact
 *	$billingAccounts (array of this contact's data)
 *
 *}

{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_BILLING_ACCOUNTS" d="Billing Accounts"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_ADD_BILLING_ACCOUNT" d="Add Billing Account"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_ORDER" d="Order"}
{t c="TRANS_PERCENT" d="Percent"}
{t c="TRANS_BILLING_ACCOUNT_DETAILS" d="Billing Account Details"}
{t c="TRANS_NAME_ON_CARD" d="Name On Card"}
{t c="TRANS_CREDIT_CARD_ACCOUNT" d="TRANS_CREDIT_CARD_ACCOUNT"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_EXPIRES" d="Expires"}
{t c="TRANS_ISSUE_NUMBER" d="Issue Number"}
{t c="TRANS_START_DATE" d="Start Date"}
{t c="TRANS_BANK_NAME" d="Bank Name"}
{t c="TRANS_BANK_STATE" d="Bank State"}
{t c="TRANS_ROUTING_NUMBER" d="Routing Number"}
{t c="TRANS_LICENSE_NUMBER" d="License/ID Number"}
{t c="TRANS_LICENSE_STATE" d="License/ID State"}
{t c="TRANS_DOB" d="Date of Birth"}
{t c="TRANS_ALL_BILLING_ACCOUNTS" d="All Billing Accounts"}
{t c="TRANS_ACCOUNT_LAST_FOUR" d="Account Last Four"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_BILLING_ACCOUNTS"
	grandchildName="TRANS_SHOW_ALL"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client}
{assign var="clientID" value=$client.clientID}

{section name="j" loop="$contacts"}

{if $smarty.section.j.index>0}
<hr />
{/if}

{assign var="contact" value=$contacts[j]}
{include file="$tplDirectory/widgets/context/contact.tpl" client=$client contact=$contact}
{assign var="clientContactID" value=$contact.clientContactID}
{assign var="contactBillingAccounts" value=$billingAccountsByContact.$clientContactID}

{if $displayAll}
<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
{/if}

		<table border="0" cellpadding="0" cellspacing="3" {if $displayAll}class="indented" width="738"{else}class="tab01" width="770"{/if} >
		<thead>
		<tr>
			<td colspan="5">
				<div class="rm" style="float: right;"><a href="{getHREF page="clients.php" actionName="AddBillingAccount" args="clientID=$clientID&clientContactID=$clientContactID"}">{$smarty.const.TRANS_ADD_BILLING_ACCOUNT}</a></div>
				<h6>{$smarty.const.TRANS_ALL_BILLING_ACCOUNTS}</h6>
			</td>
		</tr>
		<tr>
		{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
			<td colspan="5" style="cursor: pointer;" onclick="{strip} {section name=iter loop=$contactBillingAccounts}
				toggle('row_{$contactBillingAccounts[iter].billingAccountID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
			</td>
		</tr>
		<tr>
			<th scope="col" colspan="7">{$smarty.const.TRANS_BILLING_ACCOUNTS}</th>
		</tr>
		<tr>
			<th scope="col">{$smarty.const.TRANS_ID}</th>
			<th scope="col">{$smarty.const.TRANS_TYPE}</th>
			<th scope="col">{$smarty.const.TRANS_ACTIONS}</th>
		</tr>
		</thead>
		{section name="i" loop="$contactBillingAccounts"}
		{assign var="contactBillingAccount" value=$contactBillingAccounts[i]}
		{assign var="billingAccountID" value=$contactBillingAccount.billingAccountID}
		
		{if $className=="alt1"}
		    {assign var="className" value="alt2"}
		{else}
		    {assign var="className" value="alt1"}
		{/if}
		<tbody>
		<tr class="{cycle values="alt1,alt2"}"
			onmouseover="this.className='althover';"
			onmouseout="this.className='{$className}';">
			<td onmouseover="this.style.cursor='hand'" onclick="return toggle('row_{$billingAccountID}');">
				<a name="c{$billingAccountID}"></a> <a href="#c{$billingAccountID}">{$billingAccountID}</a>
			</td>
			<td>
				{assign var="thisBillingAccountType" value=$contactBillingAccount.billingAccountType}
				{assign var="thisBillingAccountTypeName" value=$billingAccountTypes.$thisBillingAccountType}
				{$thisBillingAccountTypeName}
				{include
					file="$tplDirectory/widgets/quickEditSelectLink.tpl"
					editID=$billingAccountID
					editKey="billingAccountID"
					editActionName="EditBillingAccountResponse"
					editName="TRANS_BILLING_ACCOUNT_TYPE"
					editColumn="billingAccountType"
					editOptions=$billingAccountTypes
					editSelected=$contactBillingAccount.billingAccountType}
			</td>
			<td align="center" class="nowrap">
				{strip}
				<a href="#c{$billingAccountID}" onclick="return toggle('row_{$billingAccountID}');">
					<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
				</a>
				&nbsp;
				<a href="{getHREF page="clients.php" actionName="EditBillingAccount" args="clientID=$clientID&clientContactID=$clientContactID&billingAccountID=$billingAccountID"}">
					<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
				</a>
				&nbsp;
				<a href="{getHREF page="clients.php" actionName="RemoveBillingAccount" args="clientID=$clientID&clientContactID=$clientContactID&billingAccountID=$billingAccountID"}">
					<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
				</a>
				{/strip}
			</td>
		</tr>
		</tbody>
		
		<tbody id="row_{$billingAccountID}" class="off">
		<tr class="comments">
			<td colspan="5">
				<table summary="{$smarty.const.TRANS_BILLING_ACCOUNT_DETAILS}" width="100%" class="small">
					{if $thisBillingAccountTypeName == $smarty.const.TRANS_CREDIT_CARD_ACCOUNT}
					<tr>
						<th scope="col">{$smarty.const.TRANS_NAME_ON_CARD}</th>
						<th scope="col">{$smarty.const.TRANS_TYPE}</th>
						<th scope="col">{$smarty.const.TRANS_EXPIRES}</th>
						<th scope="col">{$smarty.const.TRANS_ACCOUNT_LAST_FOUR}</th>
						{if $contactBillingAccount.billingCardIssueNum}<th scope="col">{$smarty.const.TRANS_ISSUE_NUMBER}</th>{/if}
						{if $contactBillingAccount.billingCardStartDate}<th scope="col">{$smarty.const.TRANS_START_DATE}</th>{/if}
					</tr>
					<tr class="alt1">
						<td>
							{$contactBillingAccount.billingCardNameOnCard}
							{include
								file="$tplDirectory/widgets/quickEditLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_NAME_ON_CARD"
								editColumn="billingCardNameOnCard"
								editValue=$contactBillingAccount.billingCardNameOnCard}
						</td>
						<td>
							{assign var=thisCardType value=$contactBillingAccount.billingCardType}
							{$cardTypes.$thisCardType}
						</td>
						<td>
							{$contactBillingAccount.billingCardExpMonth}
							{include
								file="$tplDirectory/widgets/quickEditLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_EXPIRES"
								editColumn="billingCardExpMonth"
								editValue=$contactBillingAccount.billingCardExpMonth}
							
							/
							
							{$contactBillingAccount.billingCardExpYear}
							{include
								file="$tplDirectory/widgets/quickEditLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_EXPIRES"
								editColumn="billingCardExpYear"
								editValue=$contactBillingAccount.billingCardExpYear}
						</td>
						<td>
							{$contactBillingAccount.billingAccountNumLastFour}
						</td>
						{if $contactBillingAccount.billingCardIssueNum}
						<td>
							{$contactBillingAccount.billingCardIssueNum}
							{include
								file="$tplDirectory/widgets/quickEditLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_ISSUE_NUMBER"
								editColumn="billingCardIssueNum"
								editValue=$contactBillingAccount.billingCardIssueNum}
						</td>
						{/if}
						{if $contactBillingAccount.billingCardStartDate}
						<td>
							{$contactBillingAccount.billingCardStartDate}
							{include
								file="$tplDirectory/widgets/quickEditLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_START_DATE"
								editColumn="billingCardStartDate"
								editValue=$contactBillingAccount.billingCardStartDate}
						</td>
						{/if}
					</tr>
					{else}
					<tr>
						<th scope="col">{$smarty.const.TRANS_BANK_NAME}</th>
						<th scope="col">{$smarty.const.TRANS_BANK_STATE}</th>
						<th scope="col">{$smarty.const.TRANS_TYPE}</th>
						<th scope="col">{$smarty.const.TRANS_ROUTING_NUMBER}</th>
						<th scope="col">{$smarty.const.TRANS_LICENSE_NUMBER}</th>
						<th scope="col">{$smarty.const.TRANS_LICENSE_STATE}</th>
						<th scope="col">{$smarty.const.TRANS_DOB}</th>
					</tr>
					<tr class="alt1">
						<td>
							{$contactBillingAccount.billingBankName}
							{include
								file="$tplDirectory/widgets/quickEditLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_BANK_NAME"
								editColumn="billingBankName"
								editValue=$contactBillingAccount.billingBankName}
						</td>
						<td>
							{$contactBillingAccount.billingBankState}
							{include
								file="$tplDirectory/widgets/quickEditLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_BANK_STATE"
								editColumn="billingBankState"
								editValue=$contactBillingAccount.billingBankState}
						</td>
						<td>
							{assign var="thisBillingBankType" value=$contactBillingAccount.billingBankType}
							{$bankAccountTypes.$thisBillingBankType}
							{include
								file="$tplDirectory/widgets/quickEditSelectLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_TYPE"
								editColumn="billingBankType"
								editOptions=$bankAccountTypes
								editSelected=$contactBillingAccount.billingBankType}
						</td>
						<td>
							{$contactBillingAccount.billingBankAbaCode}
							{include
								file="$tplDirectory/widgets/quickEditLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_ROUTING_NUMBER"
								editColumn="billingBankAbaCode"
								editValue=$contactBillingAccount.billingBankAbaCode}
						</td>
						<td>
							{$contactBillingAccount.billingBankLicenseNum}
							{include
								file="$tplDirectory/widgets/quickEditLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_LICENSE_NUMBER"
								editColumn="billingBankLicenseNum"
								editValue=$contactBillingAccount.billingBankLicenseNum}
						</td>
						<td>
							{$contactBillingAccount.billingBankLicenseState}
							{include
								file="$tplDirectory/widgets/quickEditLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_LICENSE_STATE"
								editColumn="billingBankLicenseState"
								editValue=$contactBillingAccount.billingBankLicenseState}
						</td>
						<td>
							{$contactBillingAccount.billingBankDob}
							{include
								file="$tplDirectory/widgets/quickEditLink.tpl"
								editID=$billingAccountID
								editKey="billingAccountID"
								editActionName="EditBillingAccountResponse"
								editName="TRANS_DOB"
								editColumn="billingBankDob"
								editValue=$contactBillingAccount.billingBankDob}
						</td>
					</tr>
					{/if}
				</table>

			</td>
		</tr>
		</tbody>
		{sectionelse}
		<tr class="alt1">
			<td colspan="5">{$smarty.const.TRANS_NORESULTS}</td>
		</tr>
		{/section}{* i *}
		</table>

{if $displayAll}
	</td>
</tr>
</table>
{/if}
{/section}{* j *}

{include file="$tplDirectory/footer.tpl"}
