{* $Id: ShowClients.tpl,v 1.61 2006/06/23 18:45:21 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays a list of client records.
 *
 * Smarty Variables:
 *	$clients (array of clients that match input criteria)
 *		clientID			A unique client ID
 *		contactFirstName		A client's first name
 *		contactLastName		A client's last name
 *		contactEmail			A client's email address
 *		clientCompany		A client's company name
 *		clientActive		The active state of a client
 *	$clientActive			The $_REQUEST value of clientActive filter option
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *  $sid					The current sessionID
 *
 * Author: Michael Fountain
 * Author: Ben Woolley
 *}
{t c="TRANS_ACCOUNT_BALANCE" d="Account Balance"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_ADD_NEW_CONTACT" d="Add new contact"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_CLIENT_ID" d="Client ID"}
{t c="TRANS_LAST_NOTE" d="Last Note"}
{t c="TRANS_NOTE" d="Note"}
{t c="TRANS_NO_NOTES" d="No Notes"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_PRIMARY_CONTACT" d="Primary Contact"}
{t c="TRANS_PHONE" d="Phone"}
{t c="TRANS_LAST_ACCESS" d="Last Access"}
{t c="TRANS_LAST_TICKET" d="Last Ticket"}
{t c="TRANS_ONLINE" d="Online"}
{t c="TRANS_OFFLINE" d="Offline"}
{t c="TRANS_SHOW_ALL_ADD_NEW" d="Show All/Add New"}
{t c="TRANS_ADD_NEW" d="Add New"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_ADDITIONAL_INFORMATION" d="Additional Information"}
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}

{assign var="filterArgs" value="clientActive=$clientActive&clientStatus=$clientStatus"}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_SHOW_ALL"
	sideNavMajor="clients"
	sideNavMinor="clients"}

<table  width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr>
	<td colspan="13" style="cursor: pointer;" onclick="{strip} {section name=iter loop=$clients}
		toggle('row_{$clients[iter].clientID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/up_down.gif" width="13" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerClass="firstTD" headerName="TRANS_ID" sortColumn="clientID"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerName="TRANS_COMPANY" sortColumn="clientCompany"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerName="TRANS_CONTACT" sortColumn="contactLastName"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerName="TRANS_EMAIL" sortColumn="contactEmail"}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" addEmptyTD=1 filterName="TRANS_STATE" filterColumn="clientActive" filterOptions="$activeInactive"}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" addEmptyTD=1 filterName="TRANS_STATUS" filterColumn="clientStatus" filterOptions="$clientStatusList"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$clients"}
{assign var="clientID" value=$clients[i].clientID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}"
	onmouseover="this.className='althover';"
	onmouseout="this.className='{$className}';">
	<td onmouseover="this.style.cursor='hand'" onclick="return toggle('row_{$clientID}');">
        <img src="{$imageDirectory}/ico/arrow_down_blue.gif" width="13" height="16" alt="" title="" border="0" />
		{$clientID}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" /></td>
	<td>
		{$clients[i].clientCompany|default:$smarty.const.TRANS_EMPTY|stripslashes|mb_truncate:15}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" /></td>
	<td>
		{$clients[i].contactLastName|stripslashes|mb_truncate:10}, {$clients[i].contactFirstName|stripslashes|mb_truncate:10}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" /></td>
	<td>
		<a href="mailto:{$clients[i].contactEmail}">{$clients[i].contactEmail|mb_truncate:20}</a>
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" /></td>
	<td align="center">
		{$clients[i].clientActive|getArrayValueByID:$activeInactive}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" /></td>
	<td align="center">
		{$clients[i].clientStatus|getStatusName:"client"}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" /></td>
	<td align="center" class="nowrap">
		{strip}
		<a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=$clientID"}">
			<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		</a>
		&nbsp;
		<a href="{getHREF page="clients.php" actionName="EditClient" args="clientID=$clientID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		&nbsp;
		<a href="{getHREF page="clients.php" actionName="RemoveClient" args="clientID=$clientID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$clientID}" class="off">
<tr>
	<td colspan="13"  class="comments altinner">
		{strip}
		<a href="javascript:void(0);" onclick="return toggle('row_{$clientID}');">
			<img src="{$imageDirectory}/ico/arrow_up_blue.gif" width="13" height="16" alt="" title="" border="0" align="left" />
		</a>
		&nbsp;
		<b>{$smarty.const.TRANS_CLIENT_ID}: {$clientID} ({$smarty.const.TRANS_ADDITIONAL_INFORMATION})</b>
		{/strip}
		<br clear="all" />
        <table width="100%" border="0" cellpadding="0" cellspacing="5">
        <tr>
            {************************** COLUMN 1 **************************}
            <td width="33%" valign="top">
                <table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
                <tr>
                    <th colspan="2">
                        <strong>{$smarty.const.TRANS_PRIMARY_CONTACT}</strong>
                        &nbsp;
                        {assign var="contactID" value =$clients[i].contacts.contact.clientContactID}
		                <a href="{getHREF page="clients.php" actionName="ShowClientContacts" args="clientID=$clientID"}">
			                <img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		                </a>
                        &nbsp;
		                <a href="{getHREF page="clients.php" actionName="EditClientContact" args="clientContactID=$contactID"}">
			                <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		                </a>
                    </th>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_NAME}:</strong></td>
                    <td>{$clients[i].contactLastName|stripslashes}, {$clients[i].contactFirstName|stripslashes}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_EMAIL}:</strong></td>
                    <td>{mailto address=$clients[i].contactEmail}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_PHONE}:</strong></td>
                    <td>{$clients[i].contactPhone1}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_USERNAME}:</strong></td>
                    <td>{$clients[i].contactUsername}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_LAST_ACCESS}:</strong></td>
                    <td>{$clients[i].sessions.0.sessionDateAccessed|getDateTime} ({if $clients[i].sessions.0.sessionActive}{$smarty.const.TRANS_ONLINE}{else}{$smarty.const.TRANS_OFFLINE}{/if})</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_LAST_TICKET}:</strong></td>
                    {assign var="ticketID" value=$clients[i].helpdeskTicket.hdTicketID}
                    <td><a href="{getHREF page="helpdesk.php" actionName="ShowHelpdeskTicketDetails" args="hdTicketID=$ticketID"}">{$clients[i].helpdeskTicket.hdTicketSubject}</a></td>
                </tr>
                </table>
            </td>
            {************************** COLUMN 2 **************************}
            <td width="33%" valign="top">
                <table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
                <tr>
                    <th colspan="2">
                        <strong>{$smarty.const.TRANS_CLIENT_DETAILS}</strong>
                        &nbsp;
		                <a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=$clientID"}">
			                <img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		                </a>
                        &nbsp;
		                <a href="{getHREF page="clients.php" actionName="EditClient" args="clientID=$clientID"}">
			                <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		                </a>
                    </th>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_DATE_CREATED}:</strong></td>
                    <td>{$clients[i].clientDateCreated|getDateTime}</td>
                </tr>
				<tr>
					<td><strong>{$smarty.const.TRANS_COUNTRY}</strong></td>
					<td>{$clients[i].countriesISO2}</td>
				</tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_TAX}:</strong></td>
                    <td>{if $clients[i].applyTax}{$smarty.const.TRANS_APPLIED}{else}{$smarty.const.TRANS_NOT_APPLIED}{/if}</td>
                </tr>
				{if $clients[i].taxIDNumber}
				<tr>
					<td><strong>{$smarty.const.TRANS_TAX_ID_NUMBER}</strong></td>
					<td>{$clients[i].taxIDNumber}</td>
				</tr>
				{/if}
                </table>
            </td>
            {************************** COLUMN 3 **************************}
            <td width="33%" valign="top">
                <table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
                <tr>
                    <th colspan="2">
                        <strong>{$smarty.const.TRANS_LAST_NOTE}</strong>
                        &nbsp;
		                <a href="{getHREF page="clients.php" actionName="ManageClientNotes" args="clientID=$clientID"}">
			                <img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_SHOW_ALL_ADD_NEW}" title="{$smarty.const.TRANS_SHOW_ALL_ADD_NEW}" />
		                </a>
                        &nbsp;
				        {include
					        file="$tplDirectory/widgets/quickAddLink.tpl"
                            useEditIcon=1
					        addActionName="ManageClientNotesResponse"
					        addName="TRANS_NOTE"
					        addColumn="clientNoteText"
					        addValue=""
					        extraparam="clientID"
					        extravalue=$clientID}
                    </th>
                </tr>
                <tr>
                    <td>
				    {assign var="clientNotes" value=$noteList.$clientID}
				    {section name="j" loop=$clientNotes}
					    <div class="note">
						    <div class="floatright">
							    {assign var="noteAdminID" value=$clientNotes[j].adminID}
							    <a href="{getHREF page="admins.php" actionName="ShowAdminDetails" args="adminID=$noteAdminID"}">
								    {$clientNotes[j].adminUsername}
							    </a>
						    </div>
						    {$clientNotes[j].clientNoteText|nl2br}
					    </div>
				    {sectionelse}
                        {$smarty.const.TRANS_NONE}
				    {/section}
				    </td>
                </tr>
                </table>
            </td>
        </tr>
        </table>
	</td>
</tr>
<tr>
	<td colspan="13">&nbsp;</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="13">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}