{* $Id: ShowConfigMenu.tpl,v 1.6 2006/03/22 00:48:07 kbailey Exp $
* --------------------------------------------------------------
* This template displays the main system configuration menu.
*
* Smarty Variables:
* 	$navConfigGroups (array of root config groups and the level one children groups)
*		configGroupID
*		parentConfigGroupID
*		configGroupName
*		configGroupIcon
*		configGroupTransKey
*		configGroupOrder
*		configGroupLocked
*		$levelOneConfigGroups (array of level one groups)
*			$levelOneConfigGroup (array of each level one groups data)
*				configGroupID
*				parentConfigGroupID
*				configGroupName
*				configGroupIcon
*				configGroupTransKey
*				configGroupOrder
*				configGroupLocked
*  $navNumDisplayRows	The number of <tr>'s to display
*  $navNumDisplayResults The number of <td>'s to display per <tr>
*  $actionID			The unique action ID for this page view
*  $actionName			The action name for this action ID
*  $imageDirectory		The image directory for this theme
*  $tplDirectory		The template directory for this theme
*  $sid					The current sessionID
*
* Author: Michael Fountain
*}
{t c="TRANS_MANAGE_SYSTEM" d="Manage System"}
{t c="TRANS_SETTINGS" d="Settings"}

{t c="TRANS_SYSTEM_SETTINGS" d="System Settings"}
{t c="TRANS_MAIN_SYSTEM_SETTINGS" d="Main System Settings"}
{t c="TRANS_ENCRYPTION_SETTINGS" d="Encryption Settings"}
{t c="TRANS_THEME_SETTINGS" d="Theme Settings"}
{t c="TRANS_ADMIN_SETTINGS" d="Admin Settings"}

{t c="TRANS_PAYMENT_SETTINGS" d="Payment Settings"}
{t c="TRANS_PAYMENT_GROUPS" d="Payment Groups"}
{t c="TRANS_CREDITCARD_SETTINGS" d="Credit Card Settings"}
{t c="TRANS_GATEWAY_MODULES" d="Gateway Modules"}

{t c="TRANS_DOMAIN_SETTINGS" d="Domain Settings"}
{t c="TRANS_DOMAIN_TLD_SETTINGS" d="Domain TLD Settings"}
{t c="TRANS_REGISTRAR_MODULES" d="Registrar Modules"}

{t c="TRANS_SERVER_SETTINGS" d="Server Settings"}
{t c="TRANS_SERVER_GROUP_SETTINGS" d="Server Group Settings"}
{t c="TRANS_SERVER_MODULES" d="Server Modules"}

{t c="TRANS_BILLING_SETTINGS" d="Invoice &amp; Billing Settings"}
{t c="TRANS_INVOICE_SETTINGS" d="Invoice Settings"}
{t c="TRANS_BILLING_SETTINGS" d="Billing Settings"}
{t c="TRANS_TAX_SETTINGS" d="Tax Settings"}
{t c="TRANS_ACCOUNTING_SETTINGS" d="Accounting Settings"}

{t c="TRANS_ORDER_SETTINGS" d="Order Settings"}
{t c="TRANS_ORDER_FORM_SETTINGS" d="Order Form Settings"}
{t c="TRANS_FRAUD_PREVENTION_SETTINGS" d="Fraud Prevention Settings"}
{t c="TRANS_MANAGE_FRAUD_SETTINGS" d="Manage Fraud Settings"}

{t c="TRANS_EMAIL_SETTINGS" d="Email Settings"}
{t c="TRANS_EMAIL_SETTINGS" d="Email Settings"}
{t c="TRANS_EMAIL_TEMPLATES" d="Email Templates"}

{t c="TRANS_PRODUCT_SETTINGS_CONFIGURATION" d="Product Settings"}
{t c="TRANS_PRODUCT_SETTINGS" d="Product Settings"}
{t c="TRANS_SSLCERT_SETTINGS" d="SSL Cert Setttings"}

{t c="TRANS_AUTOMATION_SETTINGS" d="Automation Settings"}
{t c="TRANS_SYSTEM_QUEUE_SETTINGS" d="System Queue Settings"}
{t c="TRANS_IP_QUEUE_SETTINGS" d="IP Queue Settings"}
{t c="TRANS_CRON_SETTINGS" d="Cron Settings"}
{t c="TRANS_AUTOSUSPEND_SETTINGS" d="Auto-suspend Settings"}
{t c="TRANS_MBALERT_MODULE" d="MBAlert Module"}

{t c="TRANS_USER_SETTINGS" d="User Settings"}
{t c="TRANS_USER_SETTINGS" d="User Settings"}
{t c="TRANS_EXTRA_USER_VARIABLES" d="Extra User Variables"}
{t c="TRANS_FORUMS_SETTINGS" d="Forum Settings"}
{t c="TRANS_PPC_MODULES" d="PPC Modules"}

{t c="TRANS_OTHER_SETTINGS" d="Other Settings"}
{t c="TRANS_FAQ_SETTINGS" d="FAQ Settings"}
{t c="TRANS_NEWS_SETTINGS" d="News Settings"}
{t c="TRANS_AFFILIATE_SETTINGS" d="Affiliate Settings"}
{t c="TRANS_AFFILIATE_MODULES" d="Affiliate Modules"}

{t c="TRANS_MODERNBILL_SUPPORT" d="ModernBill Support"}
{t c="TRANS_SUPPORT_MANUAL" d="Support Manual"}
{t c="TRANS_SUPPORT_FAQ" d="Support FAQ"}
{t c="TRANS_HELPDESK" d="Helpdesk"}
{t c="TRANS_DOWNLOADS" d="Downloads"}
{t c="TRANS_NONSUPPORT_FORUMS" d="Non-Support Forums"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	sideNavMajor="system"}

<table width="97%" border="0" cellspacing="0" cellpadding="0" class="tab07">

{assign var="start" value=0}
{section name=row start=0 loop=$navNumDisplayRows}

	<tr class="td01">
	{section name=col start=$start loop=$navNumDisplayResults max=4}
		<td><div class="box08">
			{if $smarty.section.col.index==($navNumDisplayResults-1)}
				<img src="{$imageDirectory}/ico/051.gif" width="19" height="19" alt="" title="" />
			{else}
				<img src="{$imageDirectory}/ico/{$navConfigGroups[$smarty.section.col.index].configGroupIcon}" width="19" height="19" alt="" title="" />
			{/if}
		</div></td>
		{if $smarty.section.col.iteration<4}
			<td rowspan="3" width="10" class="td03"><img src="{$imageDirectory}/spacer.gif" width="10" height="1" alt="" title="" /></td>
		{/if}
	{/section}
	</tr>

	<tr class="td02">
	{section name=col start=$start loop=$navNumDisplayResults max=4}
		{if $smarty.section.col.index!=($navNumDisplayResults-1)}
			{assign var="configGroupTransKey" value=$navConfigGroups[$smarty.section.col.index].configGroupTransKey}
			{assign var="configGroupID" value=$navConfigGroups[$smarty.section.col.index].configGroupID}
			<td width="186">
				<h1>
					{if $configGroupTransKey!="" && defined($configGroupTransKey)}
						{$smarty.const.$configGroupTransKey}
					{else}
						{$configGroupTransKey}
					{/if}
				</h1>
				<ul>
					{section name=link loop=$navConfigGroups[$smarty.section.col.index].levelOneConfigGroups.levelOneConfigGroup}
						{assign var="configChildGroupTransKey" value=$navConfigGroups[$smarty.section.col.index].levelOneConfigGroups.levelOneConfigGroup[link].configGroupTransKey}
						{assign var="configChildGroupID" value=$navConfigGroups[$smarty.section.col.index].levelOneConfigGroups.levelOneConfigGroup[link].configGroupID}
						{assign var="configChildGroupActionFile" value=$navConfigGroups[$smarty.section.col.index].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionFile}
						{assign var="configChildGroupActionName" value=$navConfigGroups[$smarty.section.col.index].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionName}
						<li>
							{if $configChildGroupTransKey!="" && defined($configChildGroupTransKey)}
								{assign var="linkTitle" value=$smarty.const.$configChildGroupTransKey}
							{else}
								{assign var="linkTitle" value=$configChildGroupTransKey}
							{/if}
							{if $configChildGroupActionFile!="" && $configChildGroupActionName!=""}
								<a href="{getHREF page=$configChildGroupActionFile actionName=$configChildGroupActionName args="configGroupID=$configChildGroupID"}">
								{$linkTitle}
								</a>
							{else}
								<a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$configChildGroupID"}">
								{$linkTitle}
								</a>
							{/if}
						</li>
					{/section}
				</ul>
			</td>
		{else}
			<td width="186"><h1>{$smarty.const.TRANS_MODERNBILL_SUPPORT}</h1>
				<ul>
					<li><a href="http://manual.modernbill.com" target="_blank">{$smarty.const.TRANS_SUPPORT_MANUAL}</a></li>
					<li><a href="http://faq.modernbill.com" target="_blank">{$smarty.const.TRANS_SUPPORT_FAQ}</a></li>
					<li><a href="http://helpdesk.modernbill.com" target="_blank">{$smarty.const.TRANS_HELPDESK}</a></li>
					<li><a href="http://downloads.modernbill.com" target="_blank">{$smarty.const.TRANS_DOWNLOADS}</a></li>
					<li><a href="http://forums.modernbill.com" target="_blank">{$smarty.const.TRANS_NONSUPPORT_FORUMS}</a></li>
				</ul>
			</td>
		{/if}
	{/section}
	</tr>

	<tr>
		<td colspan="7"><div class="box03"><img src="{$imageDirectory}/spacer.gif" width="1" height="4" alt="" title="" /></div></td>
	</tr>

	{* set the next $start number to continue from this index number *}
	{assign var="start" value=$smarty.section.col.index}

{/section}

</table>

{include file="$tplDirectory/footer.tpl"}