{* $Id: EditDomainAccessPassword.tpl,v 1.4 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a single domain's access password for editing.
 * This data is fetched from the registrar DIRECTLY! ModernBill does not store
 * this data!
 *
 * Smarty Variables:
 *	$domain (array of this domain's data in ModernBill)
 *	$domainAccessPassword
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACCESS_PASSWORD_MSG" d="If you set a password here, a user can log in and modify this domain by going to the address: access.enom.com. You can also brand this site by adding a 'CNAME' record that points to 'access.enom.com' for your domain."}
{t c="TRANS_CONFIRM_PASSWORD" d="Confirm Password"}
{t c="TRANS_DOMAIN_ACCESS_PASSWORD" d="Domain Access Password"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_DOMAIN_DETAILS" d="Domain Details"}
{t c="TRANS_EMAIL_ADDRESS" d="Email Address"}
{t c="TRANS_FIRST" d="First"}
{t c="TRANS_LAST" d="Last"}
{t c="TRANS_MANAGE_DOMAINS" d="Manage Domains"}
{t c="TRANS_SAVE_CHANGES" d="Save Changes"}
{t c="TRANS_USER_PASSWORD" d="User Password"}

{assign var="domainID" value=$domain.domainID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_ACCESS_PASSWORD"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{include file="$tplDirectory/widgets/context/client.tpl" client=$domain}
<hr size="1" color="#CCCCCC" />

<h2><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domain.domainSLD}.{$domain.domainTLD}</a></h2>

<form method="post" action="domains.php" name="EditDomainAccessPassword">
<input type="hidden" name="action" value="{getActionID action="EditDomainAccessPasswordResponse"}" />
<input type="hidden" name="domainID" value="{$domainID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="770" border="0" cellpadding="3" cellspacing="3" bgcolor="#FFFFFF">
<tr bgcolor="#3A6CA2">
	<td colspan="2" align="center">
		<hr size="1" color="#CCCCCC" />
		<h1><font color="#FFFFFF">{$smarty.const.TRANS_DOMAIN_ACCESS_PASSWORD}</font></h1>
		<hr size="1" color="#CCCCCC" />
	</td>
</tr>
<tr>
	<td colspan="2">&nbsp;</td>
</tr>
<tr>
	<td width="45%" align="right"><strong>{$smarty.const.TRANS_USER_PASSWORD}</strong></td>
	<td><input type="password" name="domainAccessPassword1" value="{$domainAccessPassword}" /></td>
</tr>
<tr>
	<td width="45%" align="right"><strong>{$smarty.const.TRANS_CONFIRM_PASSWORD}</strong></td>
	<td><input type="password" name="domainAccessPassword2" value="{$domainAccessPassword}" /></td>
</tr>
<tr>
	<td colspan="2">&nbsp;</td>
</tr>
</table>

<br /><br />
{$smarty.const.TRANS_ACCESS_PASSWORD_MSG}
<br /><br />

<center>
<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" />
</center>

<br />

</form>

{include file="$tplDirectory/footer.tpl"}