{* $Id: ShowTransferDomainForm.tpl,v 1.5 2006/06/19 21:48:58 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a domain transfer form.
 *
 * Smarty Variables:
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ALLOW_DASHES" d="Allow dashes in recommended domains."}
{t c="TRANS_AUTO_VERIFICATION" d="Auto Verification"}
{t c="TRANS_AUTO_VERIFICATION_MSG" d="This is a paperless transfer system. For EACH domain on the request, the new registrar will e-mail the current domain registrant contacts for authorization using the standard Form of Authorization (FOA) required by ICANN."}
{t c="TRANS_CHECK" d="Check"}
{t c="TRANS_CHECK_ALL_TLDS" d="Check all TLDs"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_DOMAIN_DETAILS" d="Domain Details"}
{t c="TRANS_FAX_VERIFICATION" d="Fax Verification"}
{t c="TRANS_FAX_VERIFICATION_MSG" d="This transfer type requires that you fax the new registrar a SIGNED Form of Authorization (FOA) and reliable evidence regarding your identity (see below). The FOA will be available for you to print upon order submission. <strong>This option is not available for .uk domain names.</strong><br /><br /><strong>Reliable Evidence Includes:</strong> A government issued identification card (such as a birth certificate, passport, driver's license, or military ID), a notarized statement, or corporation or partnership formation documents."}
{t c="TRANS_KEYWORDS" d="Keywords"}
{t c="TRANS_MANAGE_DOMAINS" d="Manage Domains"}
{t c="TRANS_PLEASE_ENTER_VALID_DOMAIN_NAME" d="Please enter a valid domain name."}
{t c="TRANS_PLEASE_WAIT_WHILE_RESEARCHING" d="Please wait while we research this domain."}
{t c="TRANS_RESEARCHING" d="Researching"}
{t c="TRANS_NOTE" d="Note"}
{t c="TRANS_TRANSFER_EXISTING_DOMAIN" d="Transfer Existing Domain"}

{assign var="domainID" value=$domain.domainID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_TRANSFER_EXISTING_DOMAIN"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1
	includeAjaxJS=1}

<script type="text/javascript">
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);
	{literal}
	function checkDomainTransferAvailability() {
		domainSLD = document.CheckDomainTransferAvailability.domainSLD.value;
		domainTLD = document.CheckDomainTransferAvailability.domainTLD.value;

		if (domainSLD=="") {
			alert('{/literal}{$smarty.const.TRANS_PLEASE_ENTER_VALID_DOMAIN_NAME}{literal}');
			return false;
		} else {
			document.CheckDomainTransferAvailability.checkButton.disabled=true;
			document.CheckDomainTransferAvailability.checkButton.value={/literal}"{$smarty.const.TRANS_RESEARCHING} . . ."{literal};
			document.getElementById("CheckDomainTransferAvailabilityResponse").innerHTML = "{/literal}<center><table style=\"border-style:solid;color:red;border-width:1px\" cellpadding=\"3\" bgcolor=\"#FFFFFF\"><tr><td><img src=\"{$imageDirectory}/loading.gif\" style=\"vertical-align:middle\" />&nbsp;&nbsp;{$smarty.const.TRANS_PLEASE_WAIT_WHILE_RESEARCHING}</td></tr></table></center>{literal}";
			cp.call('{/literal}domains.php?action={getActionID action="CheckDomainTransferAvailability"}'+
				'&domainSLD='+domainSLD+
				'&domainTLD='+domainTLD+
				'&ajax=1&sid={$sid}{literal}', 'checkDomainTransferAvailability', checkDomainTransferAvailabilityResponse);
			return false;
		}
	}
	function checkDomainTransferAvailabilityResponse(result) {
		if (result) {
			document.getElementById("CheckDomainTransferAvailabilityResponse").innerHTML = result;
		} else {
			document.getElementById("CheckDomainTransferAvailabilityResponse").innerHTML = {/literal}"unable to lookup domain"{literal};
		}
		document.CheckDomainTransferAvailability.checkButton.disabled=false;
		document.CheckDomainTransferAvailability.checkButton.value={/literal}"{$smarty.const.TRANS_CHECK}"{literal};
	}
	{/literal}
</script>

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form action="domains.php" method="post" name="CheckDomainTransferAvailability" onsubmit="return checkDomainTransferAvailability();">
<input type="hidden" name="action" value="{getActionID action="CheckDomainTransferAvailability"}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="770" border="0" cellpadding="3" cellspacing="3" bgcolor="#FFFFFF">
<tr bgcolor="#3A6CA2">
	<td colspan="2" align="center">
		<hr size="1" color="#CCCCCC" />
		<h1><font color="#FFFFFF">{$smarty.const.TRANS_TRANSFER_EXISTING_DOMAIN}</font></h1>
		<hr size="1" color="#CCCCCC" />
	</td>
</tr>
<tr>
	<td colspan="2">&nbsp;</td>
</tr>
<tr>
	<td width="5%" align="right"><strong>WWW.</strong></td>
	<td align="left">
		<input type="text" name="domainSLD" value="" />
		&nbsp;
		<select name="domainTLD" style="width:50px">
			<option value="com">.com</option>
		</select>
		&nbsp;
		<input class="submit" type="submit" name="checkButton" value="{$smarty.const.TRANS_CHECK}" />
	</td>
</tr>
<tr>
	<td colspan="2"><hr size="1" color="#EEEEEE" /></td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td align="left">
		<input type="radio" name="domainTransferType" value="auto" checked />
		&nbsp;
		<strong>{$smarty.const.TRANS_AUTO_VERIFICATION}</strong>
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td align="left">{$smarty.const.TRANS_AUTO_VERIFICATION_MSG}</td>
</tr>
<tr>
	<td colspan="2">&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td align="left">
		<input type="radio" name="domainTransferType" value="fax" />
		&nbsp;
		<strong>{$smarty.const.TRANS_FAX_VERIFICATION}</strong>
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td align="left">{$smarty.const.TRANS_FAX_VERIFICATION_MSG}</td>
</tr>
<tr>
	<td colspan="2">&nbsp;</td>
</tr>
</table>
</form>

<br /><br />
<div id="CheckDomainTransferAvailabilityResponse"></div>

{include file="$tplDirectory/footer.tpl"}