{* $Id: AddEmailTemplateGroup.tpl,v 1.3 2006/04/18 03:13:17 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit an email template.
 *
 * Smarty Variables:
 *	$emailTplGroup  --  An array of data found for the given email template ID.
 *
 *}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_EMAILS"
	childName="TRANS_EMAIL_TEMPLATE_GROUPS"
	sideNavMajor="events"
	sideNavMinor="emails"}

<table width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ADD_EMAIL_TPL_GROUP" headerAlign="left"}
</tr>

<tbody>
<tr>
<td>

<form method="post" action="emails.php">
	<input type="hidden" name="action" value="{getActionID action="AddEmailTemplateGroupResponse"}" />
	<input type="hidden" name="sid" value="{$sid}" />
	<table summary="{$smarty.const.TRANS_ADD_EMAIL_TPL_GROUP}" width="100%">
		<tr class="{cycle name="respond" values="alt1,alt2"}">
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_ACTION}</th>
			<td colspan="3"><select id="emailActionID" name="emailActionID" size="1">
					{html_options options=$emailActions selected=$emailActionID}
				</select></td>
		</tr>
		<tr class="{cycle name="respond" values="alt1,alt2"}">
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_TPL_GROUP_NAME}</th>
			<td><input type="text" name="emailTplGroupName" size="30" value="" /></td>
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_TPL_GROUP_PRIORITY}</th>
			<td><select id="emailTplGroupPriority" name="emailTplGroupPriority" size="1" style="width: 40px;">
					<option label="1" value="1">1</option>
					<option label="2" value="2">2</option>
					<option label="3" value="3" selected="selected">3</option>
					<option label="4" value="4">4</option>
					<option label="5" value="5">5</option>
				</select> {$smarty.const.TRANS_EMAIL_PRIORITY_DESC}
			</td>
		</tr>
		<tr class="{cycle name="respond" values="alt1,alt2"}">
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_FROM_NAME}</th>
			<td><input name="emailTplGroupFromName" type="text" size="20" maxlength="255" value="" /></td>
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_FROM_ADDRESS}</th>
			<td><input name="emailTplGroupFromAddress" type="text" size="30" maxlength="255" value="" /></td>
		</tr>
		<tr class="{cycle name="respond" values="alt1,alt2"}">
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_REPLY_NAME}</th>
			<td><input name="emailTplGroupReplyName" type="text" size="20" maxlength="255" value="" /></td>
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_REPLY_ADDRESS}</th>
			<td><input name="emailTplGroupReplyAddress" type="text" size="30" maxlength="255" value="" /></td>
		</tr>
		<tr class="{cycle name="respond" values="alt1,alt2"}">
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_CC_ADDRESS}</th>
			<td><input name="emailTplGroupCCAddress" type="text" size="20" maxlength="255" value="" /></td>
			<th nowrap="nowrap"scope="row">{$smarty.const.TRANS_EMAIL_BCC_ADDRESS}</th>
			<td><input name="emailTplGroupBCCAddress" type="text" size="30" maxlength="255" value="" /></td>
		</tr>
		<tr>
			<td colspan="4" align="center">
				<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_EMAIL_TPL_GROUP_DATA}" />
				<input class="reset" type="reset" name="reset" value="{$smarty.const.TRANS_CLEAR}" />
			</td>
		</tr>
	</table>
</form>

</td>
</tr>
</tbody>
</table>

{include file="$tplDirectory/footer.tpl"}