{* $Id: ShowEmailTemplateGroups.tpl,v 1.3 2006/04/18 19:55:35 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a list of Email Template Groups in the system, and provides links with
 * which to manage those Email Template Groups.
 *
 * Smarty Variables:
 *	$emailTplGroups  --  An array of email template data found for the given criteria.
 *
 *}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_EMAILS"
	childName="TRANS_EMAIL_TEMPLATE_GROUPS"
	sideNavMajor="events"
	sideNavMinor="emails"}

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
<thead>
<tr>
	<td colspan="3">
		<h6>{$smarty.const.TRANS_EMAIL_TEMPLATE_GROUPS}</h6>
	</td>
</tr>
<tr>
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
	<td colspan="3" style="cursor: pointer;" onclick="{strip} {section name="i" loop="$emailActions"}
		toggle('tp{$smarty.section.i.index}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
</thead>
{foreach key=key item=action from=$emailActions}
<tbody>
<tr class="alt1"
	onmouseover="this.className='althover';"
	onmouseout="this.className='alt1';">
	<th colspan="3" class="cursor: pointer;" onclick="toggle('tp{$key}');">
		<div class="rm" style="float: right;"><a href="{getHREF page="emails.php" actionName="AddEmailTemplateGroup" args="emailActionID=$key"}">{$smarty.const.TRANS_ADD}</a></div>
		{$action|constant}</td>
</tr>
</tbody>
<tbody id="tp{$key}" class="on">
<tr>
	<td colspan="3">
		<table border="0" cellpadding="0" cellspacing="3" class="tab01" width="90%">
{assign var="tplGroup" value=$assocTplGroup[$key]}
{section name="tg" loop="$tplGroup"}
{assign var="etgid" value=$tplGroup[tg].emailTplGroupID}
			<tr class="{cycle values="alt1,alt2"}">
				<td width="20">{$etgid}</td>
				<td>{$tplGroup[tg].emailTplGroupName}</td>
				<td width="50"><a href="{getHREF page="emails.php" actionName="EditEmailTemplateGroup"
					args="emailTplGroupID=$etgid"}"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" /></a>
				<a href="{getHREF page="emails.php" actionName="RemoveEmailTemplateGroup"
					args="emailTplGroupID=$etgid"}"><img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" /></a></td>
			</tr>
{/section}
		</table>
	</td>
</tr>
</tbody>
{/foreach}
</table>


{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}