{* $Id: RemoveEmail.tpl,v 1.5 2006/03/22 00:48:07 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to remove an email from the email queue.
 *
 * Smarty Variables:
 *	$email (array of this email's data)
 *	  emailID  -  The ID of this email
 *	  emailSubject  -  The subject of this email
 *	  emailFromAddress  -  The address of the email's sender
 *	  emailFromName  -  The name of the sender (if this is empty, no name was given)
 *    emailTextBody  -  text body
 *    emailSent  -  1 if this email has been sent, or 0 if otherwise
 *    emailFailed  -  1 if this email failed to send, or 0 if otherwise
 *    emailToAddresses  -  An array of recipients for this email
 *    emailCCAddresses  -  An array of carbon copied recipients for this email
 *    emailBCCAddresses  -  An array of blind carbon copied recipients for this email
 *    emailReplyToAddresses  -  An array of addresses to have the recipient reply to
 *    emailAttachments  -  An array of filenames that were attached to this email
 *    emailHeaders  -  An array of additional headers applied to this email
 *	  dateCreated  -  The timestamp representing when this queue item was created
 *	  dateSent  -  The timestamp representing when this queue item was sent, this is 0 if this item was never sent
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Vic Fryzel
 *}
{t c="TRANS_EMAILS" d="Emails"}
{t c="TRANS_MANAGE_EMAILS" d="Manage Emails"}
{t c="TRANS_REMOVE" d="Remove"}

{include file="$tplDirectory/header.tpl" parentName="TRANS_MANAGE_EMAILS" childName="TRANS_SHOW_EMAILS"
	sideNavMajor="events"}

<table width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
<tr>
	<td>
		<h1 class="st01">{$smarty.const.TRANS_REMOVE}</h1>

		.. this form needs to be updated ..

		Remove email #{$email.emailID}?
		<form method="post" action="events.php">
			<input type="hidden" name="action" value="{getActionID action="RemoveEmailResponse"}" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="emailID" value="{$email.emailID}" />
			<input class="submit" type="submit" name="submit" value="Yes" />
		</form>
		<form method="get" action="events.php">
			<input type="hidden" name="action" value="{getActionID action="ShowEmailDetails"}" />
			<input type="hidden" name="sid" value="{$sid}" />
			<input type="hidden" name="emailID" value="{$email.emailID}" />
			<input class="submit" type="submit" name="submit" value="No"><br />
		</form>

	</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}