{* $Id: EditFAQ.tpl,v 1.5 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a FAQ. The form must post to faqs.php,
 * with the action ID for the EditFAQQuestionResponse action, so that the POST data can
 * be handled by the server. This template takes the $categories smarty variable, used to display
 * the FAQ categories by name.
 *
 * Smarty Variables:
 *	$faqCategories -- array of this FAQ category names and with IDs
 *
 *}

{t c="TRANS_MANAGE_HELPDESK" d="Manage Helpdesk"}
{t c="TRANS_EDIT_FAQ" d="Edit FAQ"}
{t c="TRANS_CATEGORY" d="Category"}
{t c="TRANS_QUESTION" d="Question"}
{t c="TRANS_ANSWER" d="Answer"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_EDIT_FAQ"
	sideNavMajor="helpdesk"
	sideNavMinor="faqs"}

<form method="post" action="faqs.php">
<input type="hidden" name="action" value="{getActionID action="EditFAQResponse"}" />
<input type="hidden" name="faqID" value="{$faq.faqID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
	<tr>
		<th scope="col" colspan="2">{$smarty.const.TRANS_EDIT_FAQ}</th>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row">{$smarty.const.TRANS_CATEGORY}:</th>
		<td width="100%">
			<select id="faqCategoryID" name="faqCategoryID">
			{foreach from=$faqCategories item="cat"}
				<option value="{$cat.faqCategoryID}" {strip}
				{if $faq.faqCategoryID == $cat.faqCategoryID}
					selected
				{/if}{/strip}>{$cat.faqCategoryName}</option>
			{/foreach}
		</select>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row">{$smarty.const.TRANS_QUESTION}:</th>
		<td width="100%"><input type="text" name="faqQuestion" size="100" value="{$faq.faqQuestion}"></td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row">{$smarty.const.TRANS_ANSWER}:</th>
		<td width="100%"><textarea name="faqAnswer" cols="100" rows="10">{$faq.faqAnswer}</textarea></td>
	</tr>
	<tr>
		<td colspan="2">
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EDIT_FAQ}">
		</td>
	</tr>
</tbody>
</table>
</form>

{include file="$tplDirectory/footer.tpl"}