{* $Id: ConfirmCreditNote.tpl,v 1.7 2006/06/19 21:48:58 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a form to confirm the creation of a credit note
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_FINANCES"
    childName="TRANS_MANAGE_INVOICES"
    grandchildName="TRANS_CREATE_CREDIT_NOTE"
    sideNavMajor="finances"
    sideNavMinor="invoices"
    useMenu="finances"}

<form method="post" action="invoices.php">
<input type="hidden" name="action" value="{getActionID action="ConfirmCreditNoteResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="invoiceID" value="{$invoice.invoiceID}" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
    <tbody>
        <tr>
            <td align="center">

                <table border="0" class="tab01">
                    <tr>
                        <td colspan="2">{$smarty.const.TRANS_CREDIT_NOTE_CONFIRM_QUESTION}</td>
                    </tr>

                    <tr>
                        <td align="right">{$smarty.const.TRANS_INVOICE_NUMBER}</td>
                        <td>{$invoice.invoiceNumber}</td>
                    </tr>

                    <tr>
                        <td align="right">{$smarty.const.TRANS_INVOICE_AMOUNT}</td>
                        <td>{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
                    </tr>

                    <tr>
                        <td></td>
                        <td><input class="submit" type="submit" value="{$smarty.const.TRANS_YES_CREATE_CREDIT_NOTE}">
                        <input class="button" type="button" onclick="history.go(-1);" value="{$smarty.const.TRANS_NO_DO_NOT_CREATE_CREDIT_NOTE}"></td>
                    </tr>

                </table>

            </td>
        </tr>
    </tbody>
</table>

</form>




{include file="$tplDirectory/footer.tpl"}