{* $Id: EditInvoice.tpl,v 1.13 2006/06/19 21:48:58 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Invoice.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

 {t c="TRANS_SAVE" d="Save"}
 {t c="TRANS_EDIT_INVOICE" d="Edit Invoice"}
 {t c="TRANS_MANAGE_INVOICES" d="Manage Invoices"}
 {t c="TRANS_INVOICE_DATE_DUE" d="Invoice Due Date"}
 {t c="TRANS_INVOICE_COMMENTS" d="Invoice Comments"}
 {t c="TRANS_INVOICE_STATUS" d="Invoice Status"}

{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_FINANCES"
    childName="TRANS_MANAGE_INVOICES"
    grandchildName="TRANS_EDIT_INVOICE"
    sideNavMajor="finances"
    sideNavMinor="invoices"
    useMenu="finances"}


<form method="post" action="invoices.php">
<input type="hidden" name="action" value="{getActionID action="EditInvoiceResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="invoiceID" value="{$invoice.invoiceID}" />
<input type="hidden" name="redirectURL" value="invoices.php" />
<input type="hidden" name="redirectAction" value="ShowInvoiceDetails" />
<input type="hidden" name="redirectArgs" value="invoiceID={$invoice.invoiceID}" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
    <tbody>
        <tr>
            <td align="right">{$smarty.const.TRANS_INVOICE_DATE_DUE}</td>
            <td> {html_select_locale_date time=$invoice.invoiceDateDueX prefix="invoiceDateDue" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" id="invoiceDueDateCal" value=" ... " />
                    <script type="text/javascript">
                    {literal}
                        function doInvoiceDueDateSelect(cal) {
                            var date = cal.date;
                            var selectMonth = document.getElementById("invoiceDateDueMonth");
                            selectMonth.selectedIndex = date.getMonth();
                            var selectDay = document.getElementById("invoiceDateDueDay");
                            selectDay.selectedIndex = (date.getDate() - 1);
                            var selectYear = document.getElementById("invoiceDateDueYear");
                            selectYear.value = date.getFullYear();
                        }
                        Zapatec.Calendar.setup({
                            button         :    "invoiceDueDateCal",
                            onUpdate       :     doInvoiceDueDateSelect,
                            showsTime      :     false
                        });
                    {/literal}
                    </script>

            </td>
        </tr>
        <tr>
            <td align="right">{$smarty.const.TRANS_INVOICE_COMMENTS}</td>
            <td><textarea id="invoiceComments" name="invoiceComments" rows="10" cols="70">
					{$invoice.invoiceComments}
				</textarea>
			</td>
        </tr>
        <tr>
            <td align="right">{$smarty.const.TRANS_INVOICE_STATUS}</td>
            <td><select name="invoiceStatus">{html_options options=$statuses selected=$invoice.invoiceStatus}</select></td>
        </tr>
        <tr>
            <td></td>
            <td><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE}"></td>
        </tr>
    </tbody>
</table>

</form>




{include file="$tplDirectory/footer.tpl"}
