{* $Id: RemoveInvoice.tpl,v 1.7 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing invoice record.
 *
 * Smarty Variables:
 *	$Invoice (array of this Invoice's data)
 *
 *}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_INVOICEID" d="Invoice ID"}
{t c="TRANS_REMOVE_INVOICE" d="Remove This Invoice?"}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DUE" d="Due"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_ENTERED" d="Entered"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_MANAGE_INVOICES" d="Manage Invoices"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_INVOICES" d="Show Invoices"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_YES" d="Yes"}
{t c="TRANS_NO" d="No"}



{t c="TRANS_QUANTITY" d="Quantity"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_BEGIN" d="Begin"}
{t c="TRANS_CURRENT" d="Current"}
{t c="TRANS_NEXT" d="Next"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_TOTALS" d="Totals"}


{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_FINANCES"
    childName="TRANS_MANAGE_INVOICES"
    grandchildName="TRANS_REMOVE_INVOICE"
    sideNavMajor="finances"
    sideNavMinor="invoices"
    useMenu="finances"}

{assign var="extendeddata" value=$invoice.lineItems.lineItem.0}

<table width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
    <tbody>
        <tr>
            <td colspan="2" align="center"><strong>{$smarty.const.TRANS_REMOVE_INVOICE}</strong></td>
        </tr>
        <tr>
            <td width="50%" align="right">{$smarty.const.TRANS_INVOICEID} </td>
            <td width="50%">{$invoice.invoiceID}</td>
        </tr>
        <tr>
            <td align="right">{$smarty.const.TRANS_INVOICE_NUMBER} </td>
            <td>{$invoice.invoiceNumber}</td>
        </tr>
        <tr>
            <td align="right">{$smarty.const.TRANS_CLIENT} </td>
            <td>{$extendeddata.clientLastName}, {$extendeddata.clientFirstName}</td>
        </tr>
        <tr>
            <td align="right">{$smarty.const.TRANS_AMOUNT} </td>
            <td>{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
        </tr>
        <tr>
            <td align="right">{$smarty.const.TRANS_ENTERED} </td>
            <td>{$invoice.invoiceDateEntered|getDate}</td>
        </tr>
        <tr>
            <td align="right">{$smarty.const.TRANS_DUE} </td>
            <td>{$invoice.invoiceDateDue|getDate}</td>
        </tr>

        <tr>
            <td align="center" colspan="2">
                <table cellpadding="3" border="0" cellspacing="0" align="center">
                    <tbody>
                        <tr>
                            <td>
<form method="post" action="invoices.php">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="RemoveInvoiceResponse"}" />
<input type="hidden" name="invoiceID" value="{$invoice.invoiceID}" />
<input type="hidden" name="redirectURL" value="invoices.php" />
<input type="hidden" name="redirectAction" value="ShowInvoices" />
<input type="hidden" name="redirectArgs" value="{$redirectArgsX}" />
<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_YES}" />
</form>
                            </td>
                            <td>
<form method="post" action="invoices.php">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="ShowInvoiceDetails"}" />
<input type="hidden" name="invoiceID" value="{$invoice.invoiceID}" />
<input type="hidden" name="redirectURL" value="invoices.php" />
<input type="hidden" name="redirectAction" value="ShowInvoices" />
<input type="hidden" name="redirectArgs" value="{$redirectArgsX}" />
<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_NO}" /><br />
</form>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>

    </tbody>
</table>

{include file="$tplDirectory/footer.tpl"}