{* $Id: ShowGenerateInvoiceEvents.tpl,v 1.4 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the menu for generating invoices.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_CLIENT_OPTIONS" d="Client Options"}
{t c="TRANS_CONTINUE" d="Continue"}
{t c="TRANS_DOMAIN_OPTIONS" d="Domain Options"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_GENERATE_INVOICE_OPTIONS" d="Generate Invoice Options"}
{t c="TRANS_INCLUDE_ALL_CLIENTS_THAT_ARE" d="Include all clients that are"}
{t c="TRANS_INCLUDE_ALL_DOMAINS_THAT_ARE" d="Include all domains that are"}
{t c="TRANS_INCLUDE_ALL_DOMAINS_THAT_EXPIRE_ON_OR_BEFORE" d="Include all domains that <b>expire on or before</b>"}
{t c="TRANS_INCLUDE_ALL_PACKAGES_THAT_ARE" d="Include all packages that are"}
{t c="TRANS_INCLUDE_ALL_PACKAGES_THAT_RENEW_ON_OR_BEFORE" d="Include all packages that <b>renew on or before</b>"}
{t c="TRANS_INVOICES" d="Invoices"}
{t c="TRANS_INVOICE_STATS" d="Invoice Stats"}
{t c="TRANS_PACKAGE_OPTIONS" d="Package Options"}
{t c="TRANS_SCHEDULE_INVOICES_ON" d="Schedule invoices to <b>generate on or after</b>"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SUSPENDED" d="Suspended"}
{t c="TRANS_INVOICES_TO_BE_GENERATED" d="Invoices to be generated"}
{t c="TRANS_INITIATING" d="Initiating invoice generation ... <strong>success.</strong>"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_INVOICES"
	grandchildName="TRANS_GENERATE_INVOICE_OPTIONS"
	sideNavMajor="finances"
	sideNavMinor="invoices"}

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
		<br />
        {$smarty.const.TRANS_INITIATING}
        <br />
		{$smarty.const.TRANS_INVOICES_TO_BE_GENERATED}: <strong>{$numInovicesToBeGenerated}</strong>
	</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}