{* $Id: ShowGenerateInvoiceMenu.tpl,v 1.10 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the menu for generating invoices.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_CLIENT_OPTIONS" d="Client Options"}
{t c="TRANS_CONTINUE" d="Continue"}
{t c="TRANS_DOMAIN_OPTIONS" d="Domain Options"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_GENERATE_INVOICE_OPTIONS" d="Generate Invoice Options"}
{t c="TRANS_INCLUDE_ALL_CLIENTS_THAT_ARE" d="Include all clients that are"}
{t c="TRANS_INCLUDE_ALL_DOMAINS_THAT_ARE" d="Include all domains that are"}
{t c="TRANS_INCLUDE_ALL_DOMAINS_THAT_EXPIRE_ON_OR_BEFORE" d="Include all domains that <b>expire on or before</b>"}
{t c="TRANS_INCLUDE_ALL_PACKAGES_THAT_ARE" d="Include all packages that are"}
{t c="TRANS_INCLUDE_ALL_PACKAGES_THAT_RENEW_ON_OR_BEFORE" d="Include all packages that <b>renew on or before</b>"}
{t c="TRANS_INVOICES" d="Invoices"}
{t c="TRANS_INVOICE_STATS" d="Invoice Stats"}
{t c="TRANS_PACKAGE_OPTIONS" d="Package Options"}
{t c="TRANS_SCHEDULE_INVOICES_ON" d="Schedule invoices to <b>generate on or after</b>"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SUSPENDED" d="Suspended"}
{t c="TRANS_YES" d="Yes"}
{t c="TRANS_NO" d="No"}
{t c="TRANS_WALK_PACKAGES_FORWARD" d="Walk packages forward:"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_INVOICES"
	grandchildName="TRANS_GENERATE_INVOICE_OPTIONS"
	sideNavMajor="finances"
	sideNavMinor="invoices"}

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
		<br />
		<form method="get" action="invoices.php">
		<input type="hidden" name="action" value="{getActionID action="GenerateInvoiceEvents"}" />
		<input type="hidden" name="sid" value="{$sid}" />

		<fieldset>
			<legend><strong>{$smarty.const.TRANS_CLIENT_OPTIONS}</strong></legend>
			<table width="100%">
			<tr>
				<td width="33%">{$smarty.const.TRANS_INCLUDE_ALL_CLIENTS_THAT_ARE}:</td>
				<td>
					<input type="checkbox" name="getActiveClients" value="1" checked /> {$smarty.const.TRANS_ACTIVE}
					&nbsp;&nbsp;
					<input type="checkbox" name="getSuspendedClients" value="0" /> {$smarty.const.TRANS_SUSPENDED}
				</td>
			</tr>
			</table>
		</fieldset>

		<br />

		<fieldset>
			<legend><strong>{$smarty.const.TRANS_PACKAGE_OPTIONS}</strong></legend>
			<table width="100%">
			<tr>
				<td width="33%">{$smarty.const.TRANS_INCLUDE_ALL_PACKAGES_THAT_ARE}:</td>
				<td>
					<input type="checkbox" name="getActivePackages" value="1" checked /> {$smarty.const.TRANS_ACTIVE}
					&nbsp;&nbsp;
					<input type="checkbox" name="getSuspendedPackages" value="0" /> {$smarty.const.TRANS_SUSPENDED}
				</td>
			</tr>
			<tr>
				<td>{$smarty.const.TRANS_INCLUDE_ALL_PACKAGES_THAT_RENEW_ON_OR_BEFORE}:</td>
				<td>
					{html_select_locale_date start_year=1993 end_year=2029 prefix="packageRenew" hour="23" minute="59" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" value=" ... " id="packageRenew" />
					<script type="text/javascript">
					{literal}
		            	function updatePackageRenewSelect(cal) {
							var date = cal.date;
							var selectMonth = document.getElementById("packageRenewMonth");
							selectMonth.selectedIndex = date.getMonth();
							var selectDay = document.getElementById("packageRenewDay");
							selectDay.selectedIndex = (date.getDate() - 1);
							var selectYear = document.getElementById("packageRenewYear");
							selectYear.selectedIndex = (date.getFullYear() - 1993);
						}
						Zapatec.Calendar.setup({
							button         :    "packageRenew",
							onUpdate       :     updatePackageRenewSelect,
							showsTime      :     false
						});
					{/literal}
					</script>
				</td>
			</tr>
            <tr>
                <td>{$smarty.const.TRANS_WALK_PACKAGES_FORWARD}</td>
                <td><input type="radio" name="disableWalkMode" value="0" checked="checked" /> {$smarty.const.TRANS_YES}
                &nbsp;&nbsp;<input type="radio" name="disableWalkMode" value="1" /> {$smarty.const.TRANS_NO}</td>
            </tr>
			</table>
		</fieldset>

		<br />

		<fieldset>
			<legend><strong>{$smarty.const.TRANS_DOMAIN_OPTIONS}</strong></legend>
			<table width="100%">
			<tr>
				<td width="33%">{$smarty.const.TRANS_INCLUDE_ALL_DOMAINS_THAT_ARE}:</td>
				<td>
					<input type="checkbox" name="getActiveDomains" value="1" checked /> {$smarty.const.TRANS_ACTIVE}
				</td>
			</tr>
			<tr>
				<td>{$smarty.const.TRANS_INCLUDE_ALL_DOMAINS_THAT_EXPIRE_ON_OR_BEFORE}:</td>
				<td>
					{html_select_locale_date start_year=1993 end_year=2029 prefix="domainRenew" hour="23" minute="59" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" value=" ... " id="domainRenew" />
					<script type="text/javascript">
					{literal}
		            	function updateDomainRenewSelect(cal) {
							var date = cal.date;
							var selectMonth = document.getElementById("domainRenewMonth");
							selectMonth.selectedIndex = date.getMonth();
							var selectDay = document.getElementById("domainRenewDay");
							selectDay.selectedIndex = (date.getDate() - 1);
							var selectYear = document.getElementById("domainRenewYear");
							selectYear.selectedIndex = (date.getFullYear() - 1993);
						}
						Zapatec.Calendar.setup({
							button         :    "domainRenew",
							onUpdate       :     updateDomainRenewSelect,
							showsTime      :     false
						});
					{/literal}
					</script>
				</td>
			</tr>
			</table>
		</fieldset>

		<br />

		<fieldset>
			<legend><strong>{$smarty.const.TRANS_GENERATE_INVOICE_OPTIONS}</strong></legend>
			<table width="100%">
			<tr>
				<td width="33%">{$smarty.const.TRANS_SCHEDULE_INVOICES_ON}:</td>
				<td>
					{html_select_locale_date start_year=1993 end_year=2029 prefix="scheduleTime" display_time="true" setID="true" fieldOrder=$localeData.locale_date_order} <input class="reset" type="reset" value=" ... " id="scheduleTime" />
					<script type="text/javascript">
					{literal}
		            	function updateScheduleTimeSelect(cal) {
							var date = cal.date;
							var selectMonth = document.getElementById("scheduleTimeMonth");
							selectMonth.selectedIndex = date.getMonth();
							var selectDay = document.getElementById("scheduleTimeDay");
							selectDay.selectedIndex = (date.getDate() - 1);
							var selectYear = document.getElementById("scheduleTimeYear");
							selectYear.selectedIndex = (date.getFullYear() - 1993);
						}
						Zapatec.Calendar.setup({
							button         : "scheduleTime",
							onUpdate       : updateScheduleTimeSelect,
					        showsTime      : false,
						});
					{/literal}
					</script>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_CONTINUE}" /></td>
			</tr>
			</table>
		</fieldset>

		</form>

	</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}