{* $Id: EditFraudGuardianConfig.tpl,v 1.8 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit the FraudGuardian module.
 *
 * Smarty Variables:
 *	$configParams
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_FRAUDGUARDIAN" d="FraudGuardian"}
{t c="TRANS_FRAUDSETS" d="Fraud Sets"}
{t c="TRANS_FRAUDGUARDIAN_POWERED_BY_TAG" d="Powered by MaxMind ... Controlled by You!"}

{t c="TRANS_FRAUDGUARDIAN_TIPS" d="FraudGuardian Tips"}
{t c="TRANS_FRAUDGUARDIAN_TIPS_MSG" d="FraudGuardian is tightly integrated with ModernBill's Fraud Sets, together bringing you unparalleled fraud protection. Once you enable FraudGuardian, you will need to define your custom Fraud Sets.<br /><br />ModernBill supports an unlimited number of Fraud Sets. You can customize each Fraud Set by Order Form, Countries, Regions, and even fine tune the actual Fraud Score to better match your target market!"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MODULES"
	childName="TRANS_FRAUDGUARDIAN"
	sideNavMajor="modules"}

{if $saved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	duration="4"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}

<form method="post" action="modules.php">
<input type="hidden" name="action" value="{getActionID action="EditFraudGuardianConfigResponse"}">
<input type="hidden" name="configGroupID" value="{$configParams.configGroupID}">
<input type="hidden" name="sid" value="{$sid}" />

<table width="97%" border="0" cellspacing="0" cellpadding="0" class="tab01">
{******************* HEADER ROW *******************}
<tr>
	<th bgcolor="#CFCDC7">
        {strip}
		<a href="{getHREF page="configs.php" actionName="ShowConfigs" args="parentConfigGroupID=0"}" class="inner">
			<img src="{$imageDirectory}/ico/nav_left_blue.gif" width="16" height="16" style="vertical-align:middle;" alt="" title="" align="middle" />
		</a>
        {/strip}
		&nbsp;
		<strong>
		{$smarty.const.TRANS_FRAUDGUARDIAN}
		</strong>
	</th>
</tr>
<tr bgcolor="#FFFFFF">
    <td>
        <center>
        <img src="{$imageDirectory}/logos/FraudGuardian.gif" width="143" height="50" alt="{$smarty.const.TRANS_FRAUDGUARDIAN}" title="{$smarty.const.TRANS_FRAUDGUARDIAN}" align="absmiddle" />
        <br />
        <i>{$smarty.const.TRANS_FRAUDGUARDIAN_POWERED_BY_TAG}</i>
        </center>
        <br />
    </td>
</tr>
<tr bgcolor="#FFFFFF">
    <td valign="top" align="center">
        <table width="50%" border="0" cellspacing="1" cellpadding="0" class="tab01">
        <tr bgcolor="#EEEEEE">
            <td align="right"><strong>{$smarty.const.TRANS_ENABLED}:</strong></td>
            <td>{html_radios name="enableFraudGuardian" options=$yesNo selected=$configParams.enableFraudGuardian separator=" "}</td>
        </tr>
        <tr bgcolor="#EEEEEE">
            <td align="right"><strong>{$smarty.const.TRANS_USERNAME}:</strong></td>
            <td><input type="text" name="usernameFraudGuardian" value="{$configParams.usernameFraudGuardian}" /></td>
        </tr>
        <tr bgcolor="#EEEEEE">
            <td align="right"><strong>{$smarty.const.TRANS_PASSWORD}:</strong></td>
            <td><input type="password" name="passwordFraudGuardian" value="{$configParams.passwordFraudGuardian}" /></td>
        </tr>
        <tr bgcolor="#EEEEEE">
            <td align="right"><strong>{$smarty.const.TRANS_SUBMIT}:</strong></td>
            <td><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SUBMIT}" /></td>
        </tr>
        <tr bgcolor="#EEEEEE">
            <td align="right"><strong>{$smarty.const.TRANS_FRAUDSETS}:</strong></td>
            <td>{include file="$tplDirectory/widgets/actionLink.tpl"
                        page="fraudsets.php"
                        actionName="ShowFraudSets"
                        icoImage="view"
                        altText="TRANS_MANAGE"
                        linkText="TRANS_MANAGE"}</td>
        </tr>
        </table>
        <br />
        {include file="$tplDirectory/widgets/showTips.tpl"
            title="TRANS_FRAUDGUARDIAN_TIPS"
            msg="TRANS_FRAUDGUARDIAN_TIPS_MSG"
            width="50%"}
        <br />
        <br />
    </td>
</tr>
</table>

</form>

{include file="$tplDirectory/footer.tpl"}