{* $Id: EditRegistrarConfig.tpl,v 1.11 2006/06/18 20:26:34 achrist Exp $
 * --------------------------------------------------------------
 * This template displays a list of config groups
 *
 * Smarty Variables:
 *	$configParams (array of config group data)
 *
 *}
{t c="TRANS_SAVE" d="Save"}
{t c="TRANS_REGISTRARS" d="Registrars"}
{t c="TRANS_REGISTRAR_OPTIONS" d="Edit Registrar Options"}
{t c="TRANS_REGISTRARS_LIST" d="Registrars List"}
{t c="TRANS_REGISTRAR_NS" d="Domain Name Servers"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_REGISTRARS"
	grandchildName="TRANS_REGISTRAR_OPTIONS"
	sideNavMajor="system"
	parentConfigGroupID=$configGroups[0].parentConfigGroupID}


{if $displaySaved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}
<div style="float: right; margin-right: 30px;" class="rm"><a class="st01" href="registrars.php?action={getActionID action="ShowRegistrars"}&sid={$sid}">{$smarty.const.TRANS_REGISTRARS_LIST}</a></div>
<h2>{$smarty.const.TRANS_REGISTRAR_OPTIONS}</h2>
		<form method="post" action="modules.php">
		<input type="hidden" name="action" value="{getActionID action="EditRegistrarConfig"}" />
		<input type="hidden" name="configGroupID" value="{$configGroupID}" />
		<input type="hidden" name="redirectURL" value="{$fileName}" />
		<input type="hidden" name="redirectAction" value="{$actionName}" />
		<input type="hidden" name="redirectArgs" value="{$bookmarkArgs}" />
		<input type="hidden" name="sid" value="{$sid}" />

			<table width="97%" border="0" cellspacing="3" cellpadding="3" class="tab01">
			{assign var="tbodyid" value=""}
			{assign var="oldtbodyid" value=""}
			{section name="i" loop="$configParams"}
			{assign var="configParamID" value=$configParams[i].configParamID}
			{assign var="configParamName" value=$configParams[i].configParamName}
			{assign var="configParamTransKey" value=$configParams[i].configParamTransKey}

			{assign var="configParamGroupTransKey" value=$configParams[i].configParamGroupTransKey}

			{if $configParamGroupTransKey != $configParamGroupTransKeyNew}
				{assign var="configParamGroupTransKeyNew" value=$configParamGroupTransKey}
				{assign var="oldtbodyid" value=$tbodyid}
				{assign var="tbodyid" value=$smarty.section.i.index}
				{assign var="switch" value="true"}
			{else}
				{assign var="switch" value="false"}
			{/if}
			{assign var="configParamDescription" value=$configParams[i].configParamDescription}
			{assign var="configParamOptions" value=$configParams[i].paramValues.paramValue}


			{if $className=="alt1"}
			    {assign var="className" value="alt2"}
			{else}
			    {assign var="className" value="alt1"}
			{/if}
			{if $switch == "true"}
				{if $smarty.section.i.index>0}
				</tbody>
				{/if}
			<tr>
				<th colspan="3" scope="col" style="cursor: pointer;" onclick="toggle('collapsestuff{$tbodyid}');"><strong>{$smarty.const.$configParamGroupTransKey}</strong></th>
			</tr>
				<tbody id="collapsestuff{$tbodyid}"{if $smarty.section.i.index>0} class="off"{/if}>
			{/if}
			<tr class="{cycle values="alt1,alt2"}">
				{if $configParams[i].configParamInputType=="h"}
					<th colspan="3">
						{$configParamTransKey}
					</th>
				{else}
					<th scope="row">
						{if $configParamTransKey!="" && defined($configParamTransKey) && $configParams[i].configParamInputType!="h"}
							{$smarty.const.$configParamTransKey}
						{else}
							{$configParamTransKey}
						{/if}
					</th>
					<td>
						{* the ID must be passed as well! *}
						<input type="hidden" name="configParams[{$configParamName}][configParamID]" value="{$configParams[i].configParamID}" />
						{if !$configParams[i].configParamInputType || $configParams[i].configParamInputType=="t"}
							<input type="text" name="configParams[{$configParamName}][configParamValue]" value="{$configParams[i].configParamValue}" />
						{elseif $configParams[i].configParamInputType=="p"}
							<input type="password" name="configParams[{$configParamName}][configParamValue]" value="{$configParams[i].configParamValue}" />
						{elseif $configParams[i].configParamInputType=="a"}
							<textarea name="configParams[{$configParamName}][configParamValue]" cols="40" rows="10">{$configParams[i].configParamValue}</textarea>
						{elseif $configParams[i].configParamInputType=="s"}
							<select name="configParams[{$configParamName}][configParamValue]">
								{html_options options=$configParamValues[$configParamID] selected=$configParams[i].configParamValue}
							</select>
						{elseif $configParams[i].configParamInputType=="m"}
							<select name="configParams[{$configParamName}][configParamValue]" multiple="multiple">
								{html_options options=$configParamValues[$configParamID] selected=$configParams[i].configParamValue}
							</select>
						{elseif $configParams[i].configParamInputType=="c"}
							{html_checkboxes
								name="configParams[$configParamName][configParamValue]"
								options=$configParamValues[$configParamID]
								selected=$configParams[i].configParamValue
								separator="<br />"}
						{elseif $configParams[i].configParamInputType=="r"}
							{html_radios
								name="configParams[$configParamName][configParamValue]"
								options=$configParamValues[$configParamID]
								selected=$configParams[i].configParamValue
								separator="<br />"}
						{else}
							<input type="text" name="configParam[{$configParamName}][configParamValue]" value="{$configParams[i].configParamValue}" />
						{/if}
					</td>
					<td>
						{if $configParamDescription!="" && defined($configParamDescription)}
							{$smarty.const.$configParamDescription}
						{else}
							{$configParamDescription}
						{/if}
					</td>
				{/if}
			</tr>
			{sectionelse}
				{assign var="results" value=0}
				<tr>
					<td>&nbsp;</td>
					<td>{$smarty.const.TRANS_NO_CONFIG_PARAMS_FOUND}</td>
					<td>&nbsp;</td>
				</tr>
			{/section}
				{if $oldtbodyid!=""}
				</tbody>
				{/if}
			{if $results==1}
								<tr>
					<td>&nbsp;</td>
					<td></td>
					<td>&nbsp;</td>
				</tr>

			{/if}


				<tr>
					<td>&nbsp;</td>
					<td><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SUBMIT}" /></td>
					<td>&nbsp;</td>
				</tr>


			</table>


		</form>

{include file="$tplDirectory/footer.tpl"}