{* $Id: ShowPaymentGroups.tpl,v 1.15 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a list of paymentgroups.
 *
 * Smarty Variables:
 *	$paymentgroups (array of paymentgroups that match criteria)
 *
 *}
{t c="TRANS_PAYMENTGROUPID" d="Payment Group ID"}
{t c="TRANS_PAYMENTGROUPNAME" d="Payment Group Name"}
{t c="TRANS_PAYMENTGROUPCURRENCY" d="Payment Group Currency"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_PRIMARYGATEWAY" d="Primary Gateway"}
{t c="TRANS_SECONDARYGATEWAY" d="Secondary Gateway"}
{t c="TRANS_NOGATEWAYS" d="No Gateways for this Payment Group. Edit the Payment Group to Add a Gateway."}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_MERGE" d="Merge"}
{t c="TRANS_MANAGE_PAYMENTGROUPS" d="Manage Payment Groups"}
{t c="TRANS_SHOW_PAYMENTGROUPS" d="Show Payment Groups"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_ADD_PAYMENT_GROUP" d="Add Payment Group"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PAYMENTGROUPS"
	childName="TRANS_SHOW_PAYMENTGROUPS"
	sideNavMajor="system"
	parentConfigGroupID=0}

<table width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<thead>
<tr>
	<td colspan="4">
		<div class="rm" style="float: right; margin-right: 15px;"><a href="{getHREF page="paymentgroups.php" actionName="AddPaymentGroup"}">{$smarty.const.TRANS_ADD_PAYMENT_GROUP}</a></div>
		<h6>{$smarty.const.TRANS_PAYMENT_GROUPS}</h6>
	</td>
</tr>
<tr>
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
	<td colspan="4" style="cursor: pointer;" onclick="{strip} {section name=iter loop=$paymentgroups}
		toggle('row_{$paymentgroups[iter].paymentGroupID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);">
		<img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
<tr>
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PAYMENTGROUPID" sortColumn="paymentGroupID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PAYMENTGROUPNAME" sortColumn="paymentGroupName"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PAYMENTGROUPCURRENCY" sortColumn="paymentGroupCurrencyID"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$paymentgroups"}
{assign var="paymentGroupID" value=$paymentgroups[i].paymentGroupID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}"
	onmouseover="this.className='althover';"
	onmouseout="this.className='{$className}';">
	<td onmouseover="this.style.cursor='hand'" onclick="return toggle('row_{$paymentGroupID}');">
		<a name="p{$paymentGroupID}"></a> <a href="#p{$paymentGroupID}">{$paymentGroupID}</a>
	</td>
	<td>
		{$paymentgroups[i].paymentGroupName}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$paymentGroupID
			editKey="paymentGroupID"
			editActionName="EditPaymentGroupResponse"
			editName="TRANS_PAYMENTGROUPNAME"
			editColumn="paymentGroupName"
			editValue=$paymentgroups[i].paymentGroupName}
	</td>
	<td>
		{$paymentgroups[i].paymentGroupCurrencyID}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$paymentGroupID
			editKey="paymentGroupID"
			editActionName="EditPaymentGroupResponse"
			editName="TRANS_PAYMENTGROUPCURRENCY"
			editColumn="paymentGroupCurrencyID"
			editValue=$paymentgroups[i].paymentGroupCurrencyID}
	</td>
	<td align="center" class="nowrap">
		{strip}
		<a href="{getHREF page="paymentgroups.php" actionName="EditPaymentGroup" args="paymentGroupID=$paymentGroupID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		<a href="{getHREF page="paymentgroups.php" actionName="RemovePaymentGroup" args="paymentGroupID=$paymentGroupID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$paymentGroupID}" class="off">
        {assign var="gateways" value=$paymentgroups[i].gateways}
		{section name="j" loop=$gateways}
		<tr>
			<td colspan="2"></td>
				<td class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}">{if $gateways[j].gatewayType == 1}
						{$smarty.const.TRANS_PRIMARYGATEWAY}
					{else}
						{$smarty.const.TRANS_SECONDARYGATEWAY}
					{/if}
					: <strong>{$paymentgroups[i].gateways[j].configGroupTransKey}</strong></td>
				<td align="center" class="{if $smarty.section.j.index%2==0}alt1{else}alt2{/if}">
				{assign var="configGroupID" value=$gateways[j].configGroupID}
				<a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$configGroupID"}">
					<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
				</a>
				<a href="{getHREF page="paymentgroups.php" actionName="RemovePaymentGroupGateway" args="configGroupID=$configGroupID"}">
					<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
				</a>
				</td>
			</tr>
		{sectionelse}
			<tr>
				<td colspan="2"></td>
				<td colspan="2">{$smarty.const.TRANS_NOGATEWAYS}</td>
			</tr>
		{/section}
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="7">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}