{* $Id: ShowSystemLibraryInfo.tpl,v 1.1 2006/05/15 20:12:27 mfountain Exp $
 * --------------------------------------------------------------
 * This template displays system library info.
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_MODULES" d="Modules"}
{t c="TRANS_SYSTEM_INFO" d="System Info"}
{t c="TRANS_DATABASE_INFORMATION" d="Database Information"}
{t c="TRANS_PHP_INFORMATION" d="PHP Information"}
{t c="TRANS_CURL_INFORMATION" d="cURL Information"}
{t c="TRANS_SERVER_INFORMATION" d="Server Information"}
{t c="TRANS_MODERNBILL_LICENSE_INFORMATION" d="ModernBill License Information"}
{t c="TRANS_VERSION" d="Version"}
{t c="TRANS_REGISTERED_TO" d="Registered to"}
{t c="TRANS_LICENSE" d="License"}
{t c="TRANS_EXPIRES_ON" d="Expires on"}
{t c="TRANS_RENEWS_ON" d="Renews on"}
{t c="TRANS_MODERNBILL_LIBRARY_INFORMATION" d="Modernbill 5 Library Information"}
{t c="TRANS_LIBRARY" d="Library"}
{t c="TRANS_REQUIRED_VERSION" d="Required Version"}
{t c="TRANS_CURRENT_VERSION" d="Current Version"}
{t c="TRANS_NOT_UP_TO_DATE" d="library not up to date!"}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MODULES"
	childName="TRANS_MODERNBILL_LIBRARY_INFO"
	sideNavMajor="modules"}

<img src="{$imageDirectory}/ico/product.gif" width="16" height="16" alt="" title="" border="0" style="vertical-align:middle;" />
&nbsp;
<b>{$smarty.const.TRANS_MODERNBILL_LIBRARY_INFO}</b>
<br clear="all" />
<br clear="all" />

<table width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" addEmptyTD=1 headerClass="firstTD" headerName="TRANS_LIBRARY"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" addEmptyTD=1 headerName="TRANS_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" addEmptyTD=1 headerName="TRANS_REQUIRED_VERSION"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD" headerName="TRANS_CURRENT_VERSION"}
</tr>

{assign var="appname" value="Application Name"}
{assign var="pname" value="Print Name"}
{assign var="classname" value="alt2"}

{foreach key="k" item="v" from=$libraries}
	{if !$v.minversion}
		<tr class="althover">
			<td><strong>{$k}:</strong></td>
			<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
			<td>{$v.meta.$appname}</td>
			<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
			<td align="center">-</td>
			<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
			<td align="center">{$v.version}</td>
  	    </tr>
		<tr>
			<td colspan="7" class="comments altinner"> |-- <i>{$v.meta.Description}</i></td>
		</tr>
		<tr>
			<td colspan="7"><img src="{$imageDirectory}/spacer.gif" width="100%" height="1" /></td>
		</tr>
	{/if}
{/foreach}

{foreach key="k" item="v" from=$libraries}
	{if $v.minversion}
		{if $classname=="alt2"}
			{assign var="classname" value="alt1"}
		{else}
			{assign var="classname" value="alt2"}
		{/if}
		<tr class="{$classname}">
			<td class="{$checkmod.$k}"><strong>{$k}:</strong></td>
			<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
			<td class="{$checkmod.$k}">{$v.meta.$pname}</td>
			<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
			<td class="{$checkmod.$k}" align="center">{$v.minversion}</td>
			<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
			<td class="{$checkmod.$k}" align="center">{$v.version}</td>
		</tr>
		<tr>
			<td colspan="7" class="comments altinner"> |-- <i>{$v.meta.Description}</i></td>
		</tr>
		<tr>
			<td colspan="7"><img src="{$imageDirectory}/spacer.gif" width="100%" height="1" /></td>
		</tr>
	{/if}
{/foreach}

</table>

<br clear="all" />

{include file="$tplDirectory/footer.tpl"}