{* $Id: ShowSystemModuleInfo.tpl,v 1.2 2006/07/06 02:14:20 mfountain Exp $
 * --------------------------------------------------------------
 * This template displays a the main modules menu.
 *
 * Smarty Variables:
 *   $panels
 *   $registrars
 *   $gateways
 *   $others (other is nested with ssl, fraud, etc.)
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_MANAGE_MODULES" d="Manage Modules"}
{t c="TRANS_MENU" d="Menu"}
{t c="TRANS_MODULE_NAME" d="Module Name"}
{t c="TRANS_MODULE_TYPE" d="Module Type"}

{t c="TRANS_MODULE_TYPE_PANEL" d="Panel Modules"}
{t c="TRANS_MODULE_TYPE_REGISTRAR" d="Registrar Modules"}
{t c="TRANS_MODULE_TYPE_GATEWAY" d="Gateway Modules"}
{t c="TRANS_MODULE_TYPE_OTHER" d="Other Modules"}
{t c="TRANS_AUTHOR" d="Author"}
{t c="TRANS_DRM" d="DRM"}
{t c="TRANS_DRM_KEY" d="DRM Key"}

{t c="TRANS_ALLOWED" d="Allowed"}
{t c="TRANS_NOT_ALLOWED" d="Not Allowed"}
{t c="TRANS_UNKNOWN" d="Unknown"}

{t c="TRANS_IN_DEVELOPMENT" d="In Development"}
{t c="TRANS_STABLE" d="Stable"}
{t c="TRANS_TESTING" d="Testing"}

{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MODULES"
    childName="TRANS_MODERNBILL_MODULE_INFO"
    sideNavMajor="modules"
    sideNavMinor="modules"}

<br />

<center>
    <strong>{$smarty.const.TRANS_DRM_KEY}:</strong>
    &nbsp;
	<img src="{$imageDirectory}/ico/drm_1.gif" width="16" height="16" style="vertical-align:middle;border-style:none;" alt="{$smarty.const.TRANS_ALLOWED}" title="{$smarty.const.TRANS_ALLOWED}" />
    {$smarty.const.TRANS_ALLOWED}
    &nbsp;&nbsp;
	<img src="{$imageDirectory}/ico/drm_-1.gif" width="16" height="16" style="vertical-align:middle;border-style:none;" alt="{$smarty.const.TRANS_UNKNOWN}" title="{$smarty.const.TRANS_UNKNOWN}" />
    {$smarty.const.TRANS_UNKNOWN}
</center>

<img src="{$imageDirectory}/ico/cubes_blue.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
&nbsp;
<strong>{$smarty.const.TRANS_MODULE_TYPE_PANEL}</strong>

<table width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" addEmptyTD=1 headerClass="firstTD" headerName="TRANS_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" addEmptyTD=1 headerName="TRANS_STATUS"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" addEmptyTD=1 headerName="TRANS_VERSION"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" addEmptyTD=1 headerName="TRANS_AUTHOR"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerClass="lastTD" headerName="TRANS_DRM"}
</tr>
{foreach from=$panel item=module}
    <tr class="{cycle values="alt1,alt2"}">
        <td><strong>{$module.displayName}</strong></td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        {assign var="transKey" value=$module.status}
        <td align="center">{$smarty.const.$transKey}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">{$module.version}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">{$module.author}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">
            {include file="$tplDirectory/widgets/drmIcon.tpl"
                drm=$module.drm}
        </td>
    </tr>
{foreachelse}
    <tr>
        <td colspan="9"><i>{$smarty.const.TRANS_NONE}</i></td>
    </tr>
{/foreach}
</table>

<br />
<br />

<img src="{$imageDirectory}/ico/cubes_green.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
&nbsp;
<strong>{$smarty.const.TRANS_MODULE_TYPE_GATEWAY}</strong>
<table width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" addEmptyTD=1 headerClass="firstTD" headerName="TRANS_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" addEmptyTD=1 headerName="TRANS_STATUS"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" addEmptyTD=1 headerName="TRANS_VERSION"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" addEmptyTD=1 headerName="TRANS_AUTHOR"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerClass="lastTD" headerName="TRANS_DRM"}
</tr>
    {foreach from=$gateway item=module}
    <tr class="{cycle values="alt1,alt2"}">
        <td><strong>{$module.displayName}</strong></td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        {assign var="transKey" value=$module.status}
        <td align="center">{$smarty.const.$transKey}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">{$module.version}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">{$module.author}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">
            {include file="$tplDirectory/widgets/drmIcon.tpl"
                drm=$module.drm}
        </td>
    </tr>
{foreachelse}
    <tr>
        <td colspan="9"><i>{$smarty.const.TRANS_NONE}</i></td>
    </tr>
{/foreach}
</table>

<br />
<br />

<img src="{$imageDirectory}/ico/cubes_yellow.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
&nbsp;
<strong>{$smarty.const.TRANS_MODULE_TYPE_REGISTRAR}</strong>
<table width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" addEmptyTD=1 headerClass="firstTD" headerName="TRANS_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" addEmptyTD=1 headerName="TRANS_STATUS"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" addEmptyTD=1 headerName="TRANS_VERSION"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" addEmptyTD=1 headerName="TRANS_AUTHOR"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerClass="lastTD" headerName="TRANS_DRM"}
</tr>
{foreach from=$registrar item=module}
    <tr class="{cycle values="alt1,alt2"}">
        <td><strong>{$module.displayName}</strong></td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        {assign var="transKey" value=$module.status}
        <td align="center">{$smarty.const.$transKey}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">{$module.version}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">{$module.author}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">
            {include file="$tplDirectory/widgets/drmIcon.tpl"
                drm=$module.drm}
        </td>
    </tr>
{foreachelse}
    <tr>
        <td colspan="9"><i>{$smarty.const.TRANS_NONE}</i></td>
    </tr>
{/foreach}
</table>

<br />
<br />

<img src="{$imageDirectory}/ico/cubes_other.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
&nbsp;
<strong>{$smarty.const.TRANS_MODULE_TYPE_OTHER}</strong>
<table width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" addEmptyTD=1 headerClass="firstTD" headerName="TRANS_NAME"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="15%" addEmptyTD=1 headerName="TRANS_STATUS"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" addEmptyTD=1 headerName="TRANS_VERSION"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="25%" addEmptyTD=1 headerName="TRANS_AUTHOR"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerClass="lastTD" headerName="TRANS_DRM"}
</tr>
{foreach from=$other item=module}
    <tr class="{cycle values="alt1,alt2"}">
        <td><strong>{$module.displayName}</strong></td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        {assign var="transKey" value=$module.status}
        <td align="center">{$smarty.const.$transKey}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">{$module.version}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">{$module.author}</td>
        <td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
        <td align="center">
            {include file="$tplDirectory/widgets/drmIcon.tpl"
                drm=$module.drm}
        </td>
    </tr>
{foreachelse}
    <tr>
        <td colspan="9"><i>{$smarty.const.TRANS_NONE}</i></td>
    </tr>
{/foreach}
</table>

<br clear="all" />

{include file="$tplDirectory/footer.tpl"}