{* $Id: ShowSystemServerInfo.tpl,v 1.2 2006/07/06 02:14:20 mfountain Exp $
 * --------------------------------------------------------------
 * This template displays system info.
 *
 * Smarty Variables:
 *	$system (array of this system's info)
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_MODULES" d="Modules"}
{t c="TRANS_SYSTEM_INFO" d="System Info"}
{t c="TRANS_DATABASE_INFORMATION" d="Database Information"}
{t c="TRANS_PHP_INFORMATION" d="PHP Information"}
{t c="TRANS_CURL_INFORMATION" d="cURL Information"}
{t c="TRANS_SERVER_INFORMATION" d="Server Information"}
{t c="TRANS_MODERNBILL_LICENSE_INFORMATION" d="ModernBill License Information"}
{t c="TRANS_VERSION" d="Version"}
{t c="TRANS_REGISTERED_TO" d="Registered to"}
{t c="TRANS_LICENSE" d="License"}
{t c="TRANS_EXPIRES_ON" d="Expires on"}
{t c="TRANS_RENEWS_ON" d="Renews on"}
{t c="TRANS_MODERNBILL_LIBRARY_INFORMATION" d="Modernbill 5 Library Information"}
{t c="TRANS_LIBRARY" d="Library"}
{t c="TRANS_REQUIRED_VERSION" d="Required Version"}
{t c="TRANS_CURRENT_VERSION" d="Current Version"}
{t c="TRANS_NOT_UP_TO_DATE" d="library not up to date!"}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MODULES"
	childName="TRANS_SERVER_INFO"
	sideNavMajor="modules"}

<table width="97%" border="0" cellspacing="0" cellpadding="0" class="tab01">
<tr>
	{* left column *}
	<td valign="top">
		<img src="{$imageDirectory}/ico/cpu.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
		&nbsp;
		<b>{$smarty.const.TRANS_SERVER_INFO}</b>
		<br clear="all" />
		<br clear="all" />
		<table width="770" border="0" cellpadding="0" cellspacing="2" class="list">
		<tr class="{cycle values="alt1,alt2"}">
			<td align="right" width="20%"><strong>{$smarty.const.TRANS_SERVER_INFORMATION}:</strong></td>
			<td>{$system.server.server}{$system.server.uname} {$system.server.version}</td>
		</tr>
		<tr class="{cycle values="alt1,alt2"}">
			<td align="right"><strong>{$smarty.const.TRANS_PHP_INFORMATION}:</strong></td>
			<td>{$smarty.const.TRANS_VERSION}: {$system.php.version}</td>
		</tr>
		<tr class="{cycle values="alt1,alt2"}">
			<td align="right"><strong>{$smarty.const.TRANS_DATABASE_INFORMATION}:</strong></td>
			<td>{$system.db.description}</td>
		</tr>
		<tr class="{cycle values="alt1,alt2"}">
			<td align="right"><strong>{$smarty.const.TRANS_CURL_INFORMATION}:</strong></td>
			<td>{$smarty.const.TRANS_VERSION}: {$system.curl.version}</td>
		</tr>
		</table>
	</td>
</tr>
</table>

<br clear="all" />
{include file="$tplDirectory/footer.tpl"}