{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_SUBTYPE" d="Subtype"}
{t c="TRANS_MANAGE_ATTRIBUTES" d="Manage Attributes"}
{t c="TRANS_SHOW_ATTRIBUTES" d="Show Attributes"}
{t c="TRANS_ATTRIBUTE" d="Attribute"}
{t c="TRANS_ATTRIBUTE_ID" d="Attribute ID"}
{t c="TRANS_VALUE_MAP" d="Value Map"}
{t c="TRANS_ATTRIBUTE_MAP" d="Attribute Map"}
{t c="TRANS_MATCH_VALUE" d="Match Value"}
{t c="TRANS_NOMATCH_VALUE" d="No Match Value"}
{t c="TRANS_NULL" d="Null"}
{t c="TRANS_ASSOCIATION" d="Association"}

{t c="TRANS_ATTRIBUTE_INFO" d='<p><strong>Note:</strong> This is a raw interface to advanced features. Please see <a href="http://manual.modernbill.com/v5co/index.php?article=61">the Configurations Manual article "Creation Custom Questions and Attributes"</a> for an in-depth explanation.</p>'}
{t c="TRANS_ATTRIBUTE_SANITY" d="<p><strong>Attribute Sanity:</strong> An attribute should be assigned a question unless it is only referred to in a Value Map. Value Maps are optional, for dealing with multiple answers to multi-option questions.</p>"}

{assign var="sortArgs" value="action=$actionID&query=$query&queryColumn=$queryColumn&offset=$offset"}
{assign var="configGroupID" value=$smarty.request.configGroupID}
{assign var="filterArgs" value="configGroupID=$configGroupID"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_ATTRIBUTES"
	childName="TRANS_SHOW_ATTRIBUTES"
	sideNavMajor="system"
	sideNavMinor="attributes"}

{$smarty.const.TRANS_ATTRIBUTE_INFO}
{$smarty.const.TRANS_ATTRIBUTE_SANITY}

<table  width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr>
	<td colspan="13" style="cursor: pointer;" onclick="{strip} {section name=iter loop=$attributes}
		toggle('row_{$attributes[iter].attributeID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/up_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerClass="firstTD" headerName="TRANS_ID" sortColumn="attributeID"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerName="TRANS_NAME" sortColumn="attributeName"}
	{assign var="attributeTypes" value=$types.attributeType}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" addEmptyTD=1 filterName="TRANS_TYPE" sortColumn="attributeType" filterOptions="$attributeTypes"}
	{assign var="attributeSubtypes" value=$types.attributeSubtype}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" addEmptyTD=1 filterName="TRANS_SUBTYPE" sortColumn="attributeSubtype" filterOptions="$attributeSubtypes"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" addEmptyTD=1 headerName="TRANS_ASSOCIATION"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerName="TRANS_QUESTION" sortColumn="questionID"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" addEmptyTD=1 headerName="TRANS_VALUE_MAP" sortColumn="valueMapName"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
</thead>

<tbody>
	<tr class="alt1">
		<th scope="col" colspan="5">
			{$smarty.const.TRANS_ATTRIBUTE}
		</th>
		<td class="spacer"></td>
		<th scope="col" colspan="3">
			{$smarty.const.TRANS_SUBTYPE}
		</th>
		<td class="spacer"></td>
		<th scope="col" colspan="3">
			{$smarty.const.TRANS_QUESTION}
		</th>
		<td class="spacer"></td>
	</tr>
	<tr class="alt2">
		<td>
			<div class="rm">
				{include
					file="$tplDirectory/widgets/quickAddLink.tpl"
					addActionName="AddAttributeResponse"
					addName="TRANS_NAME"
					addColumn="attributeName"
					addValue="unnamed"
					extraparam="attributeType"
					extravalue="0"
					addMessage="TRANS_NEW"
				}
			</div>
		</td>
		<td class="spacer"></td>
		<td></td>
		<td class="spacer"></td>
		<td></td>
		<td class="spacer"></td>
		<td></td>
		<td class="spacer"></td>
		<td></td>
		<td class="spacer"></td>
		<td><div class="rm"><a href="{getHREF page="orderforms.php" actionName="ShowWizardQuestions"}">{$smarty.const.TRANS_MANAGE}</a></div></td>
		<td class="spacer"></td>
		<td>
			<!-- <div class="rm"><a href="{getHREF page="orderforms.php" actionName="ShowValueMaps"}">{$smarty.const.TRANS_MANAGE}</a></div> -->
			<div class="rm">
				{include
					file="$tplDirectory/widgets/quickAddLink.tpl"
					addActionName="AddQuestionValueMapResponse"
					addName="TRANS_NAME"
					addColumn="valueMapName"
					addValue="unnamed"
					addMessage="TRANS_NEW"
				}
			</div>
		</td>
		<td class="spacer"></td>
		<td>&nbsp;</td>
	</tr>
</tbody>

{section name=i loop=$attributes}
{assign var="attributeID" value=$attributes[i].attributeID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{$className}"
	onmouseover="this.className='althover';"
	onmouseout="this.className='{$className}';">
	<td style="cursor: pointer;" onclick="return toggle('row_{$attributes[i].attributeID}');">
        <img src="{$imageDirectory}/ico/arrow_down_blue.gif" width="13" height="16" alt="" title="" border="0" />
	    {$attributeID}
	</td>
 	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td>
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			useEditIcon=1
			editID=$attributeID
			editActionName="EditAttributeResponse"
			editKey="attributeID"
			editName="TRANS_NAME"
			editColumn="attributeName"
			editValue=$attributes[i].attributeName}
		{$attributes[i].attributeName}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td>
		{include
			file="$tplDirectory/widgets/quickEditSelectLink.tpl"
			useEditIcon=1
			editID=$attributeID
			editActionName="EditAttributeResponse"
			editKey="attributeID"
			editName="TRANS_TYPE"
			editColumn="attributeType"
			editOptions=$attributeTypes
			editSelected=$attributes[i].attributeType}
		{assign var="attributeType" value=$attributes[i].attributeType}
		{$attributeTypes.$attributeType}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td>
		{assign var="attributeSubtype" value=$attributes[i].attributeSubtype}
		{if $attributeSubtypes.$attributeSubtype == $smarty.const.TRANS_PRODUCT}
			{if $attributes[i].productID}
				{assign var="switchable" value=0}
			{else}
				{assign var="switchable" value=1}
			{/if}
		{elseif $attributeSubtypes.$attributeSubtype == $smarty.const.TRANS_ORDERFORM}
			{if $attributes[i].orderFormID}
				{assign var="switchable" value=0}
			{else}
				{assign var="switchable" value=1}
			{/if}
		{elseif $attributeSubtypes.$attributeSubtype == $smarty.const.TRANS_PANEL}
			{if $attributes[i].configGroupID}
				{assign var="switchable" value=0}
			{else}
				{assign var="switchable" value=1}
			{/if}
		{else}
			{assign var="switchable" value=1}
		{/if}

		{if $switchable}
			{include
				file="$tplDirectory/widgets/quickEditSelectLink.tpl"
				useEditIcon=1
				editID=$attributeID
				editActionName="EditAttributeResponse"
				editKey="attributeID"
				editName="TRANS_SUBTYPE"
				editColumn="attributeSubtype"
				editOptions=$attributeSubtypes
				editSelected=$attributes[i].attributeSubtype}
		{/if}
		{if $attributeSubtypes.$attributeSubtype}
			{$attributeSubtypes.$attributeSubtype}
		{else}
			{$smarty.const.TRANS_NULL}
		{/if}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td>
		{if $attributeSubtypes.$attributeSubtype == $smarty.const.TRANS_PRODUCT}
			{include
				file="$tplDirectory/widgets/quickEditSelectLink.tpl"
				useEditIcon=1
				editID=$attributeID
				editActionName="EditAttributeResponse"
				editKey="attributeID"
				editName="TRANS_PRODUCT"
				editColumn="productID"
				editOptions=$products
				editSelected=$attributes[i].productID
				allowNull=1}
			{if $attributes[i].productID}
				{assign var="pid" value=$attributes[i].productID}
				{$products.$pid}
			{else}
				{$smarty.const.TRANS_NONE}
			{/if}
		{elseif $attributeSubtypes.$attributeSubtype == $smarty.const.TRANS_ORDERFORM}
			{include
				file="$tplDirectory/widgets/quickEditSelectLink.tpl"
				useEditIcon=1
				editID=$attributeID
				editActionName="EditAttributeResponse"
				editKey="attributeID"
				editName="TRANS_ORDER_FORM"
				editColumn="orderFormID"
				editOptions=$orderForms
				editSelected=$attributes[i].orderFormID
				allowNull=1}
			{if $attributes[i].orderFormID}
				{assign var="oid" value=$attributes[i].orderFormID}
				{$orderForms.$oid}
			{else}
				{$smarty.const.TRANS_NONE}
			{/if}
		{elseif $attributeSubtypes.$attributeSubtype == $smarty.const.TRANS_PANEL}
			{include
				file="$tplDirectory/widgets/quickEditSelectLink.tpl"
				useEditIcon=1
				editID=$attributeID
				editActionName="EditAttributeResponse"
				editKey="attributeID"
				editName="TRANS_PANEL"
				editColumn="configGroupID"
				editOptions=$panelOptions
				editSelected=$attributes[i].configGroupID
				allowNull=1}
			{if $attributes[i].configGroupID}
				{assign var="cgid" value=$attributes[i].configGroupID}
				{$panelOptions.$cgid}
			{else}
				{$smarty.const.TRANS_NONE}
			{/if}
		{/if}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td>
		{include
			file="$tplDirectory/widgets/quickEditSelectLink.tpl"
			useEditIcon=1
			editID=$attributeID
			editActionName="EditAttributeResponse"
			editKey="attributeID"
			editName="TRANS_QUESTION"
			editColumn="questionID"
			editOptions=$questions
			editSelected=$attributes[i].questionID
			allowNull=1}
		{if $attributes[i].questionID}
			{assign var="qid" value=$attributes[i].questionID}
			{$questions.$qid}
		{else}
			{$smarty.const.TRANS_NONE}
		{/if}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>

	<td>
		{include
			file="$tplDirectory/widgets/quickEditSelectLink.tpl"
			useEditIcon=1
			editID=$attributeID
			editActionName="EditAttributeResponse"
			editKey="attributeID"
			editName="TRANS_VALUE_MAP"
			editColumn="valueMapID"
			editOptions=$questionValueMaps
			editSelected=$attributes[i].valueMapID
			allowNull=1}
		{if $attributes[i].valueMapName}
			{$attributes[i].valueMapName}
		{else}
			{$smarty.const.TRANS_NONE}
		{/if}
	</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
	<td align="center">
		{strip}
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="orderforms.php"
		    actionName="RemoveAttribute"
		    args="attributeID=$attributeID"
		    icoImage="remove"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_REMOVE"
		    titleText=""
		    linkText="TRANS_REMOVE"
		    noSpace="1"
		}
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$attributes[i].attributeID}" class="off">
<tr>
	<td colspan="17" class="comments altinner">
		{strip}
		<a href="javascript:void(0);" onclick="return toggle('row_{$attributeID}');">
			<img src="{$imageDirectory}/ico/arrow_up_blue.gif" width="13" height="16" alt="" title="" border="0" align="left" />
		</a>
		&nbsp;
		<b>{$smarty.const.TRANS_ATTRIBUTE_ID}: {$attributeID} ({$smarty.const.TRANS_ADDITIONAL_INFORMATION})</b>
		{/strip}
		<br clear="all" />
        <table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
		{assign var="questionID" value=$attributes[i].questionID}
        {if $questionHTML.$questionID}
			<tr>
				<th scope="row">{$smarty.const.TRANS_QUESTION}</th>
				<td>
					<table>
						{$questionHTML.$questionID}
					</table>
				</td>
			</tr>
		{/if}
		{assign var="valueMapID" value=$attributes[i].valueMapID}
        {if $valueMapDetails.$valueMapID}
			{assign var="valueMap" value=$valueMapDetails.$valueMapID}
			<tr>
				<th scope="row">{$smarty.const.TRANS_VALUE_MAP}</th>
				<td>
					<table>
						<caption>
							{include
								file="$tplDirectory/widgets/quickEditSelectLink.tpl"
								useEditIcon=1
								editID=$attributeID
								editActionName="EditAttributeResponse"
            					editKey="attributeID"
            					editName="TRANS_VALUE_MAP"
								editColumn="valueMapID"
								editOptions=$questionValueMaps
								editSelected=$attributes[i].valueMapID
								allowNull=1}
							{$valueMap.valueMapName} ({$valueMap.valueMapID})
						</caption>
						<tr>
							<th scope="col">{$smarty.const.TRANS_ID}</th>
							<th scope="col">{$smarty.const.TRANS_VALUE}</th>
							<th scope="col">{$smarty.const.TRANS_ATTRIBUTE_MAP}</th>
							<th scope="col">{$smarty.const.TRANS_ACTIONS}</th>
						</tr>
						{assign var="valueMappings" value=$valueMap.questionValueMappings}
						{section name="mapping" loop=$valueMappings}
							{assign var="valueMapping" value=$valueMappings[mapping]}
							<tr>
								<th scope="row">
									{$valueMapping.valueMappingID}
								</th>
								<td>
									{include
										file="$tplDirectory/widgets/quickEditLink.tpl"
										useEditIcon=1
										editID=$valueMapping.valueMappingID
										editActionName="EditQuestionValueMappingResponse"
            							editKey="valueMappingID"
            							editName="TRANS_VALUE"
										editColumn="valueMappingValue"
										editValue=$valueMapping.valueMappingValue}
									{$valueMapping.valueMappingValue}
								</td>
								<td>
									{assign var="attributeMap" value=$valueMapping.attributeMap.0}
									<table>
										<caption>
											<div class="rm floatright">
												{include
													file="$tplDirectory/widgets/quickAddLink.tpl"
													addActionName="AddAttributeMapResponse"
													addName="TRANS_VALUE"
													addColumn="attributeMapName"
													addValue="unnamed"
													addMessage="TRANS_ADD_NEW"
													extraparam="valueMappingID"
													extravalue=$valueMapping.valueMappingID
												}
											</div>
											{include
												file="$tplDirectory/widgets/quickEditSelectLink.tpl"
												useEditIcon=1
												editID=$valueMapping.valueMappingID
												editActionName="EditQuestionValueMappingResponse"
            									editKey="valueMappingID"
            									editName="TRANS_VALUE_MAP"
												editColumn="attributeMapID"
												editOptions=$attributeMapOptions
												editSelected=$valueMapping.attributeMapID
												allowNull=1}
											{$attributeMap.attributeMapName} ({$attributeMap.attributeMapID})
										</caption>
										<tr>
											<th scope="col">{$smarty.const.TRANS_ID}</th>
											<th scope="col">{$smarty.const.TRANS_ATTRIBUTE}</th>
											<th scope="col">{$smarty.const.TRANS_MATCH_VALUE}</th>
											<th scope="col">{$smarty.const.TRANS_NOMATCH_VALUE}</th>
											<th scope="col">{$smarty.const.TRANS_ACTIONS}</th>
										</tr>
										{if $attributeMap.attributeMapID}
											{assign var="attributeMappings" value=$attributeMap.attributeMappings}
											{section name="attrMapping" loop=$attributeMappings}
												{assign var="attributeMapping" value=$attributeMappings[attrMapping]}
												{assign var="mappedAttribute" value=$attributeMapping.attribute.0}
												<tr>
													<th scope="row">
														{$attributeMapping.attributeMappingID}
													</th>
													<td>
														{include
															file="$tplDirectory/widgets/quickEditSelectLink.tpl"
															useEditIcon=1
															editID=$attributeMapping.attributeMappingID
															editActionName="EditAttributeMappingResponse"
            												editKey="attributeMappingID"
            												editName="TRANS_ATTRIBUTE"
															editColumn="attributeID"
															editOptions=$attributeOptions
															editSelected=$attributeMapping.attributeID}
														{$mappedAttribute.attributeName}
													</th>
													<td>
														{include
															file="$tplDirectory/widgets/quickEditLink.tpl"
															useEditIcon=1
															editID=$attributeMapping.attributeMappingID
															editActionName="EditAttributeMappingResponse"
            												editKey="attributeMappingID"
            												editName="TRANS_MATCH_VALUE"
															editColumn="attributeMatchValue"
															editValue=$attributeMapping.attributeMatchValue}
														{$attributeMapping.attributeMatchValue}
													</td>
													<td>
														{include
															file="$tplDirectory/widgets/quickEditLink.tpl"
															useEditIcon=1
															editID=$attributeMapping.attributeMappingID
															editActionName="EditAttributeMappingResponse"
            												editKey="attributeMappingID"
            												editName="TRANS_NOMATCH_VALUE"
															editColumn="attributeNomatchValue"
															editValue=$attributeMapping.attributeNomatchValue}
														{$attributeMapping.attributeNomatchValue}
													</td>
													<td align="center" class="nowrap">
														{assign var="attributeMappingID" value=$attributeMapping.attributeMappingID}
														{strip}
												        {include file="$tplDirectory/widgets/actionLink.tpl"
														    page="orderforms.php"
														    actionName="RemoveAttributeMapping"
														    args="attributeMappingID=$attributeMappingID"
														    icoImage="remove"
														    icoWidth=""
														    icoHeight=""
														    icoStyle=""
														    altText="TRANS_REMOVE"
														    titleText=""
														    linkText="TRANS_REMOVE"
														    noSpace="1"
														}
														&nbsp;
														{/strip}
													</td>
												</tr>
											{/section}
										{/if}
									</table>
									{if $attributeMap.attributeMapID}
										<div class="rm floatleft">
											{include
												file="$tplDirectory/widgets/quickAddSelectLink.tpl"
												addActionName="AddAttributeMappingResponse"
												addName="TRANS_ATTRIBUTE"
												addColumn="attributeID"
												addOptions=$attributeOptions
												addSelected=""
												addMessage="TRANS_ADD_NEW"
												extraparam="attributeMapID"
												extravalue=$attributeMap.attributeMapID
											}
										</div>
									{/if}
								</td>
								<td>
									{strip}
									{assign var="valueMappingID" value=$valueMapping.valueMappingID}
									<a href="{getHREF page="orderforms.php" actionName="RemoveQuestionValueMapping" args="valueMappingID=$valueMappingID"}">
										<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
									</a>
									{/strip}
								</td>
							</tr>
						{/section}
					</table>
					<div class="rm floatleft">
						{include
							file="$tplDirectory/widgets/quickAddLink.tpl"
							addActionName="AddQuestionValueMappingResponse"
							addName="TRANS_VALUE"
							addColumn="valueMappingValue"
							addValue="unnamed"
							addMessage="TRANS_ADD_NEW"
							extraparam="valueMapID"
							extravalue=$valueMap.valueMapID
						}
					</div>
				</td>
			</tr>
		{/if}
		</table>
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="19">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}
