{* $Id: DowngradePackage.tpl,v 1.4 2006/06/30 22:09:27 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_DOWNGRADE_PACKAGE" d="Downgrade Package"}
{t c="TRANS_COUPON_CYCLES" d="Coupon Cycles"}
{t c="TRANS_DOWNGRADE_AT_END_OF_CYCLE" d="End of current cycle"}
{t c="TRANS_DOWNGRADE_NOW" d="Now"}
{t c="TRANS_PROVISION_THE_CHANGES" d="Provision to the Panel"}
{t c="TRANS_PACKAGE_DOWNGRADE_TIME" d="When should this downgrade take place"}
{t c="TRANS_PERFORM_DOWNGRADE" d="Perform Downgrade"}
{t c="TRANS_DOWNGRADED_FROM" d="Downgraded From"}
{t c="TRANS_DOWNGRADE_NOW_WITH_PRORATION_CREDITS" d="Downgrade now and apply proration credits"}
{t c="TRANS_DOWNGRADE_NOW_WITHOUT_PRORATION_CREDITS" d="Downgrade now and DO NOT apply proration credits"}
{t c="TRANS_UPGRADE_DOWNGRADE_PACKAGES" d="Upgrade/Downgrade Packages"}
{t c="TRANS_GENERATE_INVOICE_IF_APPROPRIATE" d="Generage invoice if appropriate"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PACKAGES"
	childName="TRANS_UPGRADE_DOWNGRADE_PACKAGES"
	grandchildName="TRANS_DOWNGRADE_PACKAGE"
	sideNavMajor="clients"
	sideNavMinor="packages"}

{include file="$tplDirectory/widgets/context/package.tpl" package=$packageInfo}

{assign var="currencyID" value=$packageInfo.paymentGroupCurrencyID}

<br />
<h6>{$smarty.const.TRANS_DOWNGRADE_PACKAGE}</h6>
<br />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="list">

	<tr>
		<th> </th>
		<th align="left">{$smarty.const.TRANS_PRODUCT}</th>
		<th align="left">{$smarty.const.TRANS_PRICE}</th>
		<th align="left">{$smarty.const.TRANS_SETUP_PRICE}</th>
		<th align="left">{$smarty.const.TRANS_COUPON_PRICE}</th>
		<th align="left" colspan="2">{$smarty.const.TRANS_COUPON_CYCLES}</th>
	</tr>


	{foreach key="id" item="product" from=$downgradeProducts}

	<form method="post" action="packages.php">
	<input type="hidden" name="sid" value="{$sid}">
	<input type="hidden" name="action" value="{getActionID action="DowngradePackageResponse"}">
	<input type="hidden" name="packageID" value="{$packageInfo.packageID}">
	<input type="hidden" name="productID" value="{$product.productID}" />
	<input type="hidden" name="productVariantID" value="{$product.productVariantID}" />


	<tr class="{cycle values="alt1,alt2"}">
		<td><input class="button" type="button" name="configure" value="{$smarty.const.TRANS_CONFIGURE}" onclick="toggle('configureRow{$product.productID}');" /></td>
		<td>{$product.productName}{if $product.productVariantName}<br /><strong>{$product.productVariantName}</strong>{/if}</td>
		<td><input type="hidden" name="packagePrices[original]" value="{$product.prices.0.productVariantPriceAmount}" /><input type="text" size="10" name="packagePrices[general]" value="{$product.prices.0.productVariantPriceAmount|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
		<td><input type="text" size="7" name="packagePrices[setup]" value="{$product.prices.1.productVariantPriceAmount|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
		<td><input type="text" size="10" name="packagePrices[coupon]" value="{0|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
		<td><input type="text" size="3" name="packagePrices[couponcycles]" value="0" onchange="this.value=this.value*1;" /></td>
		<td align="right"><input type="submit" class="submit" value="{$smarty.const.TRANS_PERFORM_DOWNGRADE}" /></td>
	</tr>
	<tbody class="off" id="configureRow{$product.productID}">
		<tr>
			<td></td>
			<td colspan="6">
				<table width="100%">
					<tr class="alt1">
						<th>{$smarty.const.TRANS_PACKAGE_DOWNGRADE_TIME}</th>
						<td><select name="packageDowngradeType">
							<option value="0">{$smarty.const.TRANS_DOWNGRADE_NOW_WITH_PRORATION_CREDITS}</option>
							<option value="1">{$smarty.const.TRANS_DOWNGRADE_NOW_WITHOUT_PRORATION_CREDITS}</option>
							<option value="2">{$smarty.const.TRANS_DOWNGRADE_AT_END_OF_CYCLE}</option>
						</select></td>
					</tr>
					<tr class="alt2">
						<th>{$smarty.const.TRANS_PROVISION_THE_CHANGES}</th>
						<td><input type="checkbox" name="packageProvision" checked="checked" value="1" /></td>
					</tr>
					<tr class="alt2">
						<th>{$smarty.const.TRANS_GENERATE_INVOICE_IF_APPROPRIATE}</th>
						<td><input type="checkbox" name="generateInvoice" checked="checked" value="1" /></td>
					</tr>
					<tr class="alt1">
						<th>{$smarty.const.TRANS_COMMENTS}</th>
						<td><textarea name="packageComments" rows="3" cols="35">{$smarty.const.TRANS_DOWNGRADED_FROM}: {$packageInfo.packageName}</textarea></td>
					</tr>
				</table>
				
				<table width="100%">
				
				{*****************************************************************************}

				{assign var="firsttime" value="1"}
				{foreach key="id" item="addons" from=$product.addons}
					<tr>
						<td colspan="2"><br /> </td>
					</tr>
					<tr class="alt1">
						<td class="td05" colspan="2"><h1>{assign var="group" value=$product.addonGroups.$id}{$group.productAddonGroupName}</h1></td>
					</tr>
					{assign var="firsttime" value=0}
					{if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r" || $group.productAddonGroupInputType=="s"}
						{section name="i" loop=$addons}
							{assign var="pid" value=$addons[i].productID}
							<tr class="alt2">
								<td class="td05"><input type="radio" name="addons[{$id}][]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}</td>
								<td class="td05">
									<table>
										<tr>
											<td><strong>{$smarty.const.TRANS_PRICE}: </strong></td>
											<td><input type="text" name="prices[{$pid}][general]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
											<td><strong>{$smarty.const.TRANS_COUPON_PRICE}: </strong></td>
											<td><input type="text" name="prices[{$pid}][coupon]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
										</tr>
										<tr>
											<td><strong>{$smarty.const.TRANS_PLUS_SETUP}: </strong></td>
											<td><input type="text" name="prices[{$pid}][setup]" value="{$addons[i].prices.1.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
											<td><strong>{$smarty.const.TRANS_COUPON_NUM_CYCLES}: </strong></td>
											<td><input type="text" name="prices[{$pid}][couponcycles]" value="0" /></td>
										</tr>
									</table>
								</td>
							</tr>
						{/section}
							<tr class="alt2">
								<td class="td05" colspan="2"><input type="radio" name="addons[{$id}][]" value="0" />&nbsp; - {$smarty.const.TRANS_NONE}</td>
							</tr>
					{elseif $group.productAddonGroupInputType=="c"}
						{section name="i" loop=$addons}
							{assign var="pid" value=$addons[i].productID}
							<tr class="alt2">
								<td class="td05"><input type="checkbox" name="addons[{$id}][]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}</td>
								<td class="td05">
									<table>
										<tr>
											<td><strong>{$smarty.const.TRANS_PRICE}: </strong></td>
											<td><input type="text" name="prices[{$pid}][general]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
											<td><strong>{$smarty.const.TRANS_COUPON_PRICE}: </strong></td>
											<td><input type="text" name="prices[{$pid}][coupon]" value="{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
										</tr>
										<tr>
											<td><strong>{$smarty.const.TRANS_PLUS_SETUP}: </strong></td>
											<td><input type="text" name="prices[{$pid}][setup]" value="{$addons[i].prices.1.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$paymentGroupCurrencyID:true:true};{1000|getAmount:$paymentGroupCurrencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" /></td>
											<td><strong>{$smarty.const.TRANS_COUPON_NUM_CYCLES}: </strong></td>
											<td><input type="text" name="prices[{$pid}][couponcycles]" value="0" /></td>
										</tr>
									</table>
								</td>
							</tr>
						{/section}

					{/if}
				{foreachelse}
					<tr class="alt2">
						<th class="td05">{$smarty.const.TRANS_NO_ADDONS}</th>
					</tr>
				{/foreach}
					<tr class="alt1">
						<th colspan="2" align="right"><input type="submit" class="submit" value="{$smarty.const.TRANS_ORDER_DOWNGRADE}" /></th>
					</tr>
				</table><br />

				{*****************************************************************************}
			</td>
		</tr>
	</tbody>


	</form>

	{/foreach}


</table>




{include file="$tplDirectory/footer.tpl"}



