{* $Id: EditPackage.tpl,v 1.15 2006/06/14 20:56:18 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_EDIT_PACKAGE" d="Edit Package"}
{t c="TRANS_PACKAGE_DATE_NEXT_RENEWAL" d="Next Renewal Date"}
{t c="TRANS_PACKAGE_DETAILS" d="Package Details"}
{t c="TRANS_PACKAGE_DATE_LAST_RENEWAL" d="Last Renewal Date"}
{t c="TRANS_PACKAGE_DATE_STOP_RENEWAL" d="Date to Stop Renewal"}
{t c="TRANS_USAGE_DATE_NEXT_RENEWAL" d="Usage Date Next Renewal"}
{t c="TRANS_USAGE_DATE_LAST_RENEWAL" d="Usage Date Last Renewal"}
{t c="TRANS_PACKAGE_QUANTITY" d="Quantity"}
{t c="TRANS_PACKAGE_PRORATABLE" d="Proratable"}
{t c="TRANS_PACKAGE_ACTIVE" d="Active"}
{t c="TRANS_PACKAGE_STATUS" d="Status"}
{t c="TRANS_PACKAGE_COMMENTS" d="Comments"}
{t c="TRANS_PACKAGE_TYPE" d="Type"}
{t c="TRANS_PACKAGE_ORIGINAL_PRICE" d="Original Price"}
{t c="TRANS_PACKAGE_PRICE" d="Price"}
{t c="TRANS_PACKAGE_SETUP_PRICE" d="Setup Price"}
{t c="TRANS_PACKAGE_PRICE_LOCK" d="Price Lock"}
{t c="TRANS_USAGE_CYCLE" d="Usage Cycle"}
{t c="TRANS_USAGE_CALCULATE_ONLY" d="Usage Calculate Only"}
{t c="TRANS_PACKAGE_CANCELLATION_TYPE" d="Cancellation Type"}
{t c="TRANS_PACKAGE_PENDING_CANCELLATION" d="Cancel Package"}
{t c="TRANS_LEAVE_ACTIVE" d="Leave Active"}
{t c="TRANS_CLIENT_INITIATED_CANCELLATION" d="Cancel On Next Renewal - Client Initialted"}
{t c="TRANS_ADMIN_INITIATED_CANCELLATION" d="Cancel On Next Renewal - Admin Initialted"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PACKAGES"
	childName="TRANS_EDIT_PACKAGE"
	grandchildName="TRANS_EDIT"
	sideNavMajor="clients"
	sideNavMinor="packages"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/package.tpl" package=$package}


<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
<tbody>
<tr>
	<th scope="col" colspan="5">{$smarty.const.TRANS_SERVERS}</th>
</tr>
<tr>
	<th scope="col">{$smarty.const.TRANS_SERVER_NAME}</th>
	<th scope="col">{$smarty.const.TRANS_PANEL}</th>
	<th scope="col">{$smarty.const.TRANS_STATUS}</th>
	<th scope="col">{$smarty.const.TRANS_ACTIONS}</th>
</tr>

{section loop=$panelDetails name="i"}
	<tr class={cycle values="alt1,alt2"}">
		<td>{$panelDetails[i].servername}</td>
		<td>{$panelDetails[i].panel}</td>
		<td>{$panelDetails[i].status}</td>
		<td>
		    {include
			file="$tplDirectory/widgets/quickEditSelectLink.tpl"
			useEditIcon=1
			editID=$package.packageID
			editKey="packageID"
			editActionName="EditPackageResponse"
			editName="TRANS_STATUS"
			editColumn="packageStatus"
			editOptions=$panelStatuses
			editSelected=`$panelDetails[i].statusID`
			extraparam="configGroupID"
			extravalue=`$panelDetails[i].configGroupID`}

		</td>
	</tr>
{/section}

</tbody>
</table>


<br />
<h6>{$smarty.const.TRANS_PACKAGE_DETAILS}</h6>


{include file="$tplDirectory/widgets/forms/autoEditForm.tpl" getDataFrom=$editForm}

{include file="$tplDirectory/footer.tpl"}



