{* $Id: ShowPackages.tpl,v 1.35 2006/07/26 14:00:49 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a list of package records.
 *
 * Smarty Variables:
 *	$packages (array of packages that match input criteria)
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *  $sid					The current sessionID
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_ADDITIONAL_INFORMATION" d="Additional Information"}
{t c="TRANS_PACKAGE_ID" d="Package ID"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_CLIENT_ID" d="Client ID"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_CREATED_ON" d="Created On"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_RENEWAL_ON" d="First Renewal On"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_MANAGE_PACKAGES" d="Manage Packages"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_NEXT_RENEWAL_ON" d="Next Renewal On"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_PACKAGE" d="Package"}
{t c="TRANS_PRODUCT_ID" d="Product ID"}
{t c="TRANS_PACKAGE_RENEWAL_DATES" d="Package Renewal Dates"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PACKAGES" d="Show Packages"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_DATE_NEXT_RENEWAL" d="Renew Date"}
{t c="TRANS_LAST_RENEWAL_ON" d="Last Renewal On"}
{t c="TRANS_END_RENEWAL_ON" d="End Renewal On"}
{t c="TRANS_PACKAGE_PRICE_DETAILS" d="Package Price Details"}
{t c="TRANS_QUANTITY" d="Quantity"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_COGS" d="COGS (cost)"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_SETUP_COGS" d="Setup COGS (cost)"}
{t c="TRANS_PRICE_LOCKED" d="Price Locked"}
{t c="TRANS_COUPON_PRICE" d="Coupon Price"}
{t c="TRANS_COUPON_NUM_CYCLES" d="Coupon Num Cycles"}
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
{t c="TRANS_RENEWAL_CYCLE" d="Renewal Cycle"}
{t c="TRANS_EVENT_QUEUE_DETAILS" d="Event Queue Details"}

{assign var="filterArgs" value="packageStatus=$packageStatus&cycleID=$cycleID"}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PACKAGES"
	childName="TRANS_SHOW_PACKAGES"
	sideNavMajor="clients"
	sideNavMinor="packages"}

<table  width="770" border="0" cellpadding="0" cellspacing="0" class="list" >
<thead>
<tr>
	<td colspan="7" style="cursor: pointer;" onclick="{strip} {section name=iter loop=$packages}
		toggle('row_{$packages[iter].packageID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerClass="firstTD" headerName="TRANS_ID" sortColumn="packageID"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_CLIENT" sortColumn="clientLastName"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_PACKAGE" sortColumn="productName"}
{*
	{include file="$tplDirectory/widgets/table/tableSortAmountHeader.tpl" headerName="TRANS_PRICE" sortColumn="packagePrice"}
	{include file="$tplDirectory/widgets/table/tableSortDateHeader.tpl" headerName="TRANS_DATE_NEXT_RENEWAL" sortColumn="packageDateNextRenewal"}
*}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" filterName="TRANS_CYCLE" filterColumn="cycleID" filterOptions="$cycles"}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" filterName="TRANS_STATUS" filterColumn="packageStatus" filterOptions="$packageStatuses"}
	{include file="$tplDirectory/widgets/table/listHeaderFilter.tpl" filterName="TRANS_ACTIVE" filterColumn="packageActive" filterOptions="$activeInactive"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$packages"}
{assign var="packageID" value=$packages[i].packageID}
{assign var="events" value=$packages[i].systemQueueItems}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}"
	onmouseover="this.className='althover';"
	onmouseout="this.className='{$className}';">
	<td style="cursor: pointer;" onclick="return toggle('row_{$packageID}');">
        <img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" />
        &nbsp;
        {$packageID}
	</td>
	<td>
		<a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=`$packages[i].clientID`"}">{$packages[i].contactLastName}, {$packages[i].contactFirstName}</a>
	</td>
	<td>
		{$packages[i].packageName|stripslashes}
	</td>
{*
	<td align="center">
		{$packages[i].packagePrice|getAmount:$packages[i].paymentGroupCurrencyID}
	</td>
	<td align="center">
		{$packages[i].packageDateNextRenewal|getDate}
	</td>
*}
	<td align="center">
		{$packages[i].cycleID|getArrayValueByID:$cycles}
	</td>
	<td align="center">
		{$packages[i].packageStatus|getStatusName:"package"}
        {include
            file="$tplDirectory/widgets/quickEditSelectLink.tpl"
			editID=$packageID
			editKey="packageID"
			editActionName="EditPackageResponse"
			editName="TRANS_STATUS"
			editColumn="packageStatus"
            editOptions=$packageStatuses
            editSelected=$packages[i].packageStatus}
	</td>
	<td align="center">
		{assign var="act" value=$packages[i].packageActive}
		{$activeInactive.$act}
        {include
            file="$tplDirectory/widgets/quickEditSelectLink.tpl"
			editID=$packageID
			editKey="packageID"
			editActionName="EditPackageResponse"
			editName="TRANS_IS_ACTIVE"
			editColumn="packageActive"
            editOptions=$yesNo
            editSelected=$packages[i].packageActive}
	</td>
	<td align="center">
		{strip}
		<a href="javascript:toggle('row_{$packageID}');">
			<img src="{$imageDirectory}/ico/view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		</a>
		&nbsp;
		<a href="{getHREF page="packages.php" actionName="EditPackage" args="packageID=$packageID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		&nbsp;
		<a href="{getHREF page="packages.php" actionName="ShowPackageAttributes" args="packageID=$packageID"}">
			<img src="{$imageDirectory}/ico/cube_molecule.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_SHOW_ATTRIBUTES}" title="{$smarty.const.TRANS_SHOW_ATTRIBUTES}" />
		</a>
		&nbsp;
		<a href="{getHREF page="packages.php" actionName="UpgradePackage" args="packageID=$packageID"}">
			<img src="{$imageDirectory}/ico/arrow_up_blue.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_UPGRADE}" title="{$smarty.const.TRANS_UPGRADE}" />
		</a>
		&nbsp;
		<a href="{getHREF page="packages.php" actionName="DowngradePackage" args="packageID=$packageID"}">
			<img src="{$imageDirectory}/ico/arrow_down_blue.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DOWNGRADE}" title="{$smarty.const.TRANS_DOWNGRADE}" />
		</a>
		&nbsp;
		<a href="{getHREF page="packages.php" actionName="ShowPackageAddons" args="packageID=$packageID"}">
			<img src="{$imageDirectory}/ico/cubes_other.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT_ADDONS}" title="{$smarty.const.TRANS_EDIT_ADDONS}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$packageID}" class="off">
<tr>
	<td colspan="8" class="solid">
        <center>
            <a href="javascript:void(0);" onclick="return toggle('row_{$packageID}');">
                <img src="{$imageDirectory}/ico/data_up.gif" width="16" height="16" alt="" title="" border="0" align="left" />
            </a>
            <strong>
                {$smarty.const.TRANS_PACKAGE_ID}: {$packageID} ({$smarty.const.TRANS_ADDITIONAL_INFORMATION})
            </strong>
        </center>
    </td>
</tr>
<tr>
	<td colspan="8" class="dashed">
        <table width="100%" cellpadding="0" cellspacing="5">
        <tr>
            <td width="33%" valign="top">
                <table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
                <tr>
                    <th colspan="2">
                        <strong>{$smarty.const.TRANS_CLIENT_ID}: {$packages[i].clientID}</strong>
                        &nbsp;
		                <a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=`$packages[i].clientID`"}">
			                <img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		                </a>
                    </th>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_COMPANY}:</strong></td>
                    <td>{$packages[i].clientCompany|default:$smarty.const.TRANS_EMPTY}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_NAME}:</strong></td>
                    <td>{$packages[i].contactLastName}, {$packages[i].contactFirstName}</td>
                </tr>

                </table>
                <br />
                <table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
                <tr>
                    <th colspan="2">
                        <strong>{$smarty.const.TRANS_PRODUCT_ID}: {$packages[i].productID}</strong>
                        &nbsp;
		                <a href="{getHREF page="products.php" actionName="ShowProductDetails" args="productID=`$packages[i].productID`"}">
			                <img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		                </a>
                    </th>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_NAME}:</strong></td>
                    <td>{$packages[i].productName|stripslashes}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_COMMENTS}:</strong></td>
                    <td>{$packages[i].productComments|stripslashes}</td>
                </tr>
		{if $packages[i].domains.0.domainSLD}
			{assign var="domain" value=$domains.$packageID}
		<tr>
			<td><strong>{$smarty.const.TRANS_DOMAIN_NAME}</strong></td>
			<td>{$packages[i].domains.0.domainSLD}.{$packages[i].domains.0.domainTLD}</td>
		</tr>
		{/if}
                </table>
            </td>
            <td width="33%" valign="top">
                <table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
                <tr>
                    <th colspan="2">
                        <strong>
                            {$smarty.const.TRANS_PACKAGE_RENEWAL_DATES}
                        </strong>
                        &nbsp;
		                <a href="{getHREF page="packages.php" actionName="EditPackage" args="packageID=$packageID"}">
			                <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		                </a>
                    </th>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_RENEWAL_CYCLE}:</strong></td>
                    <td>{$packages[i].cycleID|getArrayValueByID:$cycles}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_CREATED_ON}:</strong></td>
                    <td>{$packages[i].packageDateCreated|getDateTime}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_FIRST_RENEWAL_ON}:</strong></td>
                    <td>{$packages[i].packageDateBeginRenewal|getDateTime}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_NEXT_RENEWAL_ON}:</strong></td>
                    <td>{$packages[i].packageDateNextRenewal|getDateTime}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_LAST_RENEWAL_ON}:</strong></td>
                    <td>{$packages[i].packageDateLastRenewal|getDateTime}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_END_RENEWAL_ON}:</strong></td>
                    <td>{$packages[i].packageDateStopRenewal|getDateTime}</td>
                </tr>
                </table>
            </td>
            <td width="33%" valign="top">
                <table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
                <tr>
                    <th colspan="2">
                        <strong>
                            {$smarty.const.TRANS_PACKAGE_PRICE_DETAILS}
                        </strong>
                        &nbsp;
		                <a href="{getHREF page="packages.php" actionName="EditPackage" args="packageID=$packageID"}">
			                <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		                </a>
                    </th>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_QUANTITY}:</strong></td>
                    <td>{$packages[i].packageQuantity}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_DISCOUNT}:</strong></td>
                    <td>{$packages[i].packageDiscount|getAmount}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_PRICE}:</strong></td>
                    <td>{$packages[i].packagePrice|getAmount}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_SETUP}:</strong></td>
                    <td>{$packages[i].packageSetup|getAmount}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_PRICE_LOCKED}:</strong></td>
                    <td>{$packages[i].packagePriceLock|getArrayValueByID:$yesNo}</td>
                </tr>
                {if $packages[i].couponID}
                <tr>
                    <td><strong>{$smarty.const.TRANS_COUPON_PRICE}:</strong></td>
                    <td>{$packages[i].couponPrice|getAmount}</td>
                </tr>
                <tr>
                    <td><strong>{$smarty.const.TRANS_COUPON_NUM_CYCLES}:</strong></td>
                    <td>{$packages[i].couponNumCycles}</td>
                </tr>
                {/if}
                </table>

				{if $events}
                <br />
                <table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
                <tr>
                    <th colspan="2">
                        <strong>
                            {$smarty.const.TRANS_EVENT_QUEUE_DETAILS}
                        </strong>
                    </th>
                </tr>
				{foreach key=key item=item from=$events}
                <tr>
                    <td><strong>{$item.systemQueueStatus}:</strong></td>
                    <td>{$item.systemQueueCommand}&nbsp;
						<a href="{getHREF page="events.php" actionName="ShowEvents" args="systemQueueID=$key"}">
							<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
						</a>
					</td>
                </tr>
				{/foreach}
                </table>
				{/if} <!-- end events array -->
            </td>

        </tr>
        </table>
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="8">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}
