{* $Id: CheckRunPaymentQueue.tpl,v 1.12 2006/03/22 00:48:07 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_INVOICEID" d="Invoice ID"}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DUE" d="Due"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_ENTERED" d="Entered"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_MANAGE_BILLING" d="Manage Billing"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PAYMENT_QUEUE" d="Show Payment Queue"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_PAYMENT_ID" d="Queue ID"}
{t c="TRANS_BILLING_ACCOUNT_ID" d="Bill Acct."}
{t c="TRANS_PACKAGE_NAME" d="Package Name"}
{t c="TRANS_PACKAGE_ID" d="ID"}
{t c="TRANS_PAYMENT_DESCRIPTION" d="Description"}
{t c="TRANS_DATE_CREATED" d="Date Created"}


{t c="TRANS_QUANTITY" d="Quantity"}
{t c="TRANS_PACKAGE_ID" d="Package ID"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_BEGIN" d="Begin"}
{t c="TRANS_CURRENT" d="Current"}
{t c="TRANS_NEXT" d="Next"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_TOTALS" d="Totals"}

{t c="TRANS_PAYMENT_QUEUE_FINISHED" d="The payment queue has finished its tasks."}
{t c="TRANS_CONNECTING_TO_STATUS" d="Connecting to payment queue status..."}
{t c="TRANS_NOTHING_TO_RUN" d="The payment queue was empty."}
{t c="TRANS_BATCH_PROGRESS" d="Batch Progress"}
{t c="TRANS_SUCCESSFUL_CHARGES" d="Successful Invoices"}
{t c="TRANS_DECLINED_CHARGES" d="Declined Invoices"}
{t c="TRANS_AUTOFAILED_CHARGES" d="Autofailed Invoices"}
{t c="TRANS_ERRORED_CHARGES" d="Errored Invoices"}
{t c="TRANS_QUEUE_COMMAND_RUNNING" d="Queue Command Currently Running"}
{t c="TRANS_WAITING_FOR_IT" d="Once the ProcessPaymentQueue command starts running the charging progress will be displayed."}
{t c="TRANS_WAITING_FOR_QUEUE_RUN" d="Waiting for the System Queue to start running..."}
{t c="TRANS_CURRENCIES" d="Currencies:"}
{t c="TRANS_NO_CURRENCIES_DATA" d="No successful charges available."}
{t c="TRANS_START_EVENT_QUEUE" d="Click here to start the event queue now."}
{t c="TRANS_CURRENCIES_AND_GATEWAYS" d="Currencies/Gateways"}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-basic.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$htmlLang}" lang="{$htmlLang}" dir="{$smarty.const.TRANS_TEXTDIRECTION}">
<head>
<title>{strip}
    {if $htmlTitle}
        {$htmlTitle}
    {else}
        {if $parentName}
            {$smarty.const.$parentName}
        {/if}
        {if $childName}
            &nbsp;&raquo; {$smarty.const.$childName}
        {/if}
        {if $grandchildName}
            &nbsp;&raquo; {$smarty.const.$grandchildName}
        {/if}
    {/if}
{/strip}</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />

<link rel="stylesheet" type="text/css" href="{$cssDirectory}/style.css" />

</head>
<body style="background: #eeede9;">
<div style="background: #eeede9;">

{if $hadQueueItems==true || $hadTransactions==true}

<script language="javascript">
<!--
{literal}
    function reloadme(){
        //alert("reloading");
        if (document.location.search.indexOf('XRAN')!=-1){
            document.location.href = document.location.search.substring(0, document.location.search.indexOf('XRAN'))+'XRAN'+Math.random();
        } else {
            document.location.href = document.location.search+'&XRAN'+Math.random();
        }
    }
{/literal}
{if $stop!='yes'}
    setTimeout("reloadme();", 10*1000);
{else}
    setTimeout('alert("{$smarty.const.TRANS_PAYMENT_QUEUE_FINISHED}");', 100);
{/if}

//-->
</script>
<br />
<table border="0" width="100%" cellpadding="0" cellspacing="3">
    <tr>
        <td valign="top" align="left">
<table  width="100%" border="0" cellpadding="0" cellspacing="3">
<tbody>
<tr>
    <td><h2>{$smarty.const.TRANS_BATCH_PROGRESS}</h2></td>
    <td></td>
  </tr>
  <tr>
    <td width="{$barWidth+10}">
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$batchBarWidth
        leftPercentage=$batchLeftPercentage
        rightPercentage=$batchRightPercentage}
    </td>
    <td align="left">{$doneCharges} of {$totalCharges}</td>
  </tr>
<!--  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$batchDollarBarWidth
        leftPercentage=$batchDollarLeftPercentage
        rightPercentage=$batchDollarRightPercentage}
    </td>
    <td align="left">{$doneChargesAmount} of {$totalChargesAmount}</td>
  </tr>-->
  <tr>
    <td>
    <h2>{$smarty.const.TRANS_SUCCESSFUL_CHARGES} </h2>
    </td>
    <td></td>
  </tr>
  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$successBarWidth
        leftPercentage=$successLeftPercentage
        rightPercentage=$successRightPercentage}
    </td>
    <td align="left">{$totalSuccesses} of {$totalCharges}</td>
  </tr>
<!--  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$successDollarBarWidth
        leftPercentage=$successDollarLeftPercentage
        rightPercentage=$successDollarRightPercentage}
    </td>
    <td align="left">{$totalSuccessesAmount} of {$totalChargesAmount}</td>
  </tr> -->
  <tr>
    <td>
    <h2>{$smarty.const.TRANS_DECLINED_CHARGES} </h2>
    </td>
    <td></td>
  </tr>
  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$declinedBarWidth
        leftPercentage=$declinedLeftPercentage
        rightPercentage=$declinedRightPercentage}
    </td>
    <td align="left">{$totalDeclines} of {$totalCharges}</td>
  </tr>
<!--  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$declinedDollarBarWidth
        leftPercentage=$declinedDollarLeftPercentage
        rightPercentage=$declinedDollarRightPercentage}
    </td>
    <td align="left">{$totalDeclinesAmount} of {$totalChargesAmount}</td>
  </tr> -->
  <tr>
    <td>
    <h2>{$smarty.const.TRANS_AUTOFAILED_CHARGES}</h2>
    </td>
    <td></td>
  </tr>
  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$autofailedBarWidth
        leftPercentage=$autofailedLeftPercentage
        rightPercentage=$autofailedRightPercentage}
    </td>
    <td align="left">{$totalAutofails} of {$totalCharges}</td>
  </tr>
<!--  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$autofailedDollarBarWidth
        leftPercentage=$autofailedDollarLeftPercentage
        rightPercentage=$autofailedDollarRightPercentage}
    </td>
    <td align="left">{$totalAutofailsAmount} of {$totalChargesAmount}</td>
  </tr> -->
  <tr>
    <td>
    <h2>{$smarty.const.TRANS_ERRORED_CHARGES}</h2>
    </td>
    <td></td>
  </tr>
  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$erroredBarWidth
        leftPercentage=$erroredLeftPercentage
        rightPercentage=$erroredRightPercentage}
    </td>
    <td align="left">{$totalErrors} of {$totalCharges}</td>
  </tr>
<!--  <tr>
    <td>
    {include file="$tplDirectory/widgets/progressBar.tpl"
        containerWidth=$barWidth
        containerColor="#CCCCCC"
        barWidth=$erroredDollarBarWidth
        leftPercentage=$erroredDollarLeftPercentage
        rightPercentage=$erroredDollarRightPercentage}
    </td>
    <td align="left">{$totalErrorsAmount} of {$totalChargesAmount}</td>
</tr>
 -->

</tbody>
</table>
        </td>
        <td align="left" valign="top">

        <h2>{$smarty.const.TRANS_CURRENCIES_AND_GATEWAYS}:</h2>

        {section name="i" loop=$currenciesData}

        {$currenciesData[i].gatewayName}<br />{$currenciesData[i].amount|getAmount:$currenciesData[i].currencyID}<br />
        {include file="$tplDirectory/widgets/miniProgressBar.tpl"
            containerWidth=$miniBarWidth
            containerColor="#CCCCCC"
            barWidth=$currenciesData[i].barWidth}<br />

        {sectionelse}
            {$smarty.const.TRANS_NO_CURRENCIES_DATA}
        {/section}

        </td>
    </tr>
</table>
{else}


    {* if $noConfigData=='true' *}
<script language="javascript">
<!--
{literal}
    function reloadme(){
        document.location.href = document.location.search.substring(0, document.location.search.indexOf('XRAN'))+'XRAN'+Math.random();
    }
{/literal}
setTimeout("reloadme();", 5*1000);

//-->
</script>
<br />

<img src="{$imageDirectory}/loadingc.gif" height="13" align="center" width="13" alt="{$smarty.const.TRANS_CONNECTING_TO_STATUS}" title="{$smarty.const.TRANS_CONNECTING_TO_STATUS}">
 &nbsp;{$smarty.const.TRANS_CONNECTING_TO_STATUS}
<br /><br />
{if $systemQueue.systemQueueRunning}
{$smarty.const.TRANS_QUEUE_COMMAND_RUNNING}: {$systemQueue.systemQueueCommand}<br />
{$smarty.const.TRANS_WAITING_FOR_IT}
{else}
    {$smarty.const.TRANS_WAITING_FOR_QUEUE_RUN}
<br /><br />
<small><a id="runlink" href="{getHREF page="events.php" actionName="RunEvents" args="redirectURL=paymentqueue.php&redirectAction=CheckRunPaymentQueue"}">{$smarty.const.TRANS_START_EVENT_QUEUE}</a></small>
{/if}

{/if}
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
{$count1} -- {$count2}
</div>
</body>
</html>