{* $Id: GeneratePaymentQueueResponse.tpl,v 1.1 2006/05/08 21:39:16 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the menu for generating payment queue items.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_INVOICE_OPTIONS" d="Invoice Options"}
{t c="TRANS_CONTINUE" d="Continue"}
{t c="TRANS_DOMAIN_OPTIONS" d="Domain Options"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_GENERATED_QUEUE" d="Queue Generated"}
{t c="TRANS_GENERATE_QUEUE_OPTIONS" d="Generate Payment Queue Options"}
{t c="TRANS_INCLUDE_ALL_CLIENTS_THAT_ARE" d="Include all clients that are"}
{t c="TRANS_INCLUDE_ALL_DOMAINS_THAT_ARE" d="Include all domains that are"}
{t c="TRANS_INCLUDE_ALL_DOMAINS_THAT_EXPIRE_ON_OR_BEFORE" d="Include all domains that <b>expire on or before</b>"}
{t c="TRANS_INCLUDE_ALL_PACKAGES_THAT_ARE" d="Include all packages that are"}
{t c="TRANS_INCLUDE_ALL_PACKAGES_THAT_RENEW_ON_OR_BEFORE" d="Include all packages that <b>renew on or before</b>"}
{t c="TRANS_BILLING" d="Manage Billing"}
{t c="TRANS_INVOICE_STATS" d="Invoice Stats"}
{t c="TRANS_PACKAGE_OPTIONS" d="Package Options"}
{t c="TRANS_SCHEDULE_INVOICES_ON" d="Schedule invoices to <b>generate on or after</b>"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SUSPENDED" d="Suspended"}
{t c="TRANS_YES" d="Yes"}
{t c="TRANS_NO" d="No"}
{t c="TRANS_GENERATE" d="Generate"}
{t c="TRANS_NEW" d="New"}
{t c="TRANS_DECLINED" d="Declined"}
{t c="TRANS_ERROR" d="Errored"}
{t c="TRANS_GENERATE_DUE_DATE_ONLY" d="Generate Due Date Only"}
{t c="TRANS_DUE_ON_OR_BEFORE" d="Due <b>on or before</b>"}
{t c="TRANS_RUN_OPTIONS" d="Run Options"}
{t c="TRANS_RUN_WHEN" d="Run Payment Queue"}
{t c="TRANS_DONT_RUN" d="Don't Run"}
{t c="TRANS_RUN_NOW" d="Run Now"}
{t c="TRANS_RUN_LATER" d="Run at a later date/time"}
{t c="TRANS_LATER_DATE" d="Date to run Payment Queue"}
{t c="TRANS_CHARGE_LESSER_AMOUNTS" d="Try charging lesser amounts on failed accounts"}
{t c="TRANS_CLEAR_PAYMENT_QUEUE" d="Clear all items in currently in Payment Queue"}
{t c="TRANS_ENCRYPTION_KEY" d="Key formerly known as LEKey"}
{t c="TRANS_MAXIMUM_INVOICES" d="Number of invoices to generate payments for"}
{t c="TRANS_ZERO_EQUALS_ALL" d="(set as '0' to generate for all)"}

{t c="TRANS_PAYMENT_QUEUE_ITEMS_GENERATED" d="Payment Queue Items Generated Per Currency"}
{t c="TRANS_CURRENCY_ID" d="Currency"}
{t c="TRANS_NUMBER" d="Number"}
{t c="TRANS_AMOUNT" d="Amount"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_BILLING"
	grandchildName="TRANS_GENERATED_QUEUE"
	sideNavMajor="finances"
	sideNavMinor="billing"}

<table width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
    <tr>
	    <td>

            <h1 class="st01">{$smarty.const.TRANS_PAYMENT_QUEUE_ITEMS_GENERATED}:</h1><br />
            <table border="0" cellspacing="3">
                <tbody>
                <tr>
                    <th>{$smarty.const.TRANS_CURRENCY_ID}</th>
                    <th>{$smarty.const.TRANS_NUMBER}</th>
                    <th>{$smarty.const.TRANS_AMOUNT}</th>
                </tr>
{section name="i" loop=$currencies}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
                <tr class="{cycle values="alt1,alt2"}"
    onmouseover="this.className='althover';"
    onmouseout="this.className='{$className}';">
                    <td>{$currencies[i].id}</td>
                    <td>{$currencies[i].number}</td>
                    <td>{$currencies[i].amount|getAmount:$currencies[i].id}</td>
                </tr>
{/section}
                </tbody>
            </table>


	    </td>
    </tr>
</table>

{include file="$tplDirectory/footer.tpl"}
