{* $Id: ShowUncapturedFunds.tpl,v 1.3 2006/03/22 00:48:07 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$invoices (array of invoices that match input criteria)
 *		invoiceID			A unique invoice ID
 *		invoiceNumber		An invoice's number
 *		invoiceAmount		An invoice's amount
 *		invoiceDateEntered	An invoice's generation date
 *		invoiceDateDue		An invoice's due date
 *		invoiceStatus		The status of an invoice
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_INVOICEID" d="Invoice ID"}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DUE" d="Due"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_ENTERED" d="Entered"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_MANAGE_BILLING" d="Manage Billing"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PAYMENT_QUEUE" d="Show Payment Queue"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_PAYMENT_ID" d="Queue ID"}
{t c="TRANS_BILLING_ACCOUNT_ID" d="Bill Acct."}
{t c="TRANS_PACKAGE_NAME" d="Package Name"}
{t c="TRANS_PACKAGE_ID" d="ID"}
{t c="TRANS_PAYMENT_DESCRIPTION" d="Description"}
{t c="TRANS_DATE_CREATED" d="Date Created"}


{t c="TRANS_QUANTITY" d="Quantity"}
{t c="TRANS_PACKAGE_ID" d="Package ID"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_BEGIN" d="Begin"}
{t c="TRANS_CURRENT" d="Current"}
{t c="TRANS_NEXT" d="Next"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_TOTALS" d="Totals"}
{t c="TRANS_SHOW_UNCAPTURED_FUNDS" d="Uncaptured Funds"}
{t c="TRANS_UNCAPTURED_FUNDS" d="Uncaptured Funds"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_CREATED" d="Created"}
{t c="TRANS_TID" d="TID"}
{t c="TRANS_CLIENT_STATUS" d="Client Status"}
{t c="TRANS_GATEWAY" d="Gateway"}
{t c="TRANS_CAPTURE_FUNDS" d="Capture Funds"}
{t c="TRANS_ENTER_PASSPHRASE_FOR_DECRYPTION" d="Enter Passphrase for Decryption"}

{* assign var="filterArgs" value="invoiceStatus=$invoiceStatus" *}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_MANAGE_BILLING"
	grandchildName="TRANS_SHOW_UNCAPTURED_FUNDS"
	sideNavMajor="finances"
	sideNavMinor="billing"
	useMenu="finances"}

<form method="post" action="paymentqueue.php" name="captureform">
<input type="hidden" name="action" value="{getActionID action="CaptureFunds"}">
<input type="hidden" name="sid" value="{$sid}" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
<thead>
{*<tr>
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
	<td colspan="7" style="cursor: pointer;" onclick="{strip} {section name=iter loop=$paymentqueue}
		toggle('row_{$paymentqueue[iter].paymentID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>*}
<tr>
	<th align="center"><a href="javascript:XKtoggleFormCheckboxes(document.captureform, 'captureIDs');">[T]</a></th>
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_TID" sortColumn="transactionID"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_TRANSACTION_CODE" sortColumn="transactionCode"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_GATEWAY" sortColumn="configGroupID"}
	{include file="$tplDirectory/widgets/table/tableSortDateHeader.tpl" headerName="TRANS_CREATED" sortColumn="transactionDateCreated"}
    {include file="$tplDirectory/widgets/table/tableSortAmountHeader.tpl" headerName="TRANS_AMOUNT" sortColumn="transactionAmount"}
    {include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_CURRENCY" sortColumn="currencyID"}
    {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_CLIENT"}
    {include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_CLIENT_STATUS"}
</tr>
</thead>
{section name="i" loop=$transactions}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr id="transrow{$transactions[i].transactionID}" class="{$className}">
	<td>{if $transactions[i].transactionDateCreated < $invalidpoint}I{else}<input type="checkbox" name="captureIDs[{$transactions[i].transactionID}]" value="y" id="transchbx{$transactions[i].transactionID}" onblur="checkCheckedInAMoment('transchbx{$transactions[i].transactionID}', 'transrow{$transactions[i].transactionID}', '{$className}');" onkeyup="checkCheckedInAMoment('transchbx{$transactions[i].transactionID}', 'transrow{$transactions[i].transactionID}', '{$className}');" onmouseup="checkCheckedInAMoment('transchbx{$transactions[i].transactionID}', 'transrow{$transactions[i].transactionID}', '{$className}');">{/if}</td>
	<td>{$transactions[i].transactionID}</td>
	<td>{$transactions[i].transactionCode}</td>
	<td><a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=`$transactions[i].configGroupID`"}">{$transactions[i].configGroupTransKey}</a></td>
    <td>{$transactions[i].transactionDateCreated|getDate:short}</td>
    <td>{$transactions[i].transactionAmount|getAmount:$transactions[i].currencyID}
    <td>{$transactions[i].currencyID}</td>
    <td>
        {strip}
        <a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=`$transactions[i].clientID`&clientID=`$transactions[i].clientID`"}">
        {$transactions[i].clientLastName}, {$transactions[i].clientFirstName}
        </a>
        {/strip}
    </td>
    <td>
        {$transactions[i].clientStatus|getStatusName:"client"}
    </td>

</tr>
</tbody>

{sectionelse}
<tr class="alt1">
	<td colspan="9">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}

{if $showPassword>0}
<tr>
	<td colspan="9" style="text-align: right;">{$smarty.const.TRANS_ENTER_PASSPHRASE_FOR_DECRYPTION}: <input type="text" size="10" name="key"></td>
</tr>
{/if}

<tr>
	<td colspan="9" style="text-align: right;"><input class="submit" type="submit" value="{$smarty.const.TRANS_CAPTURE_FUNDS}"></td>
</tr>

</table>
<form>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{* include file="$tplDirectory/widgets/advancedDisplayOptions.tpl" filterName="TRANS_STATUS" filterColumn="invoiceStatus" filterOptions="$activeInactive" *}
{include file="$tplDirectory/footer.tpl"}