{* $Id: AddProduct.tpl,v 1.12 2006/06/19 21:48:58 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a form to add a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_ADD_PRODUCT" d="Add Product"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_ADD" d="Add"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_ADD_PRODUCT" d="Add Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_ADD_PRODUCT"
	sideNavMajor="products"
	sideNavMinor="products"}

{*
	
{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form name="wizard_{$wizardID}" id="wizard_{$wizardID}" method="post" action="products.php">
<input type="hidden" name="action" value="{getActionID action="AddProductResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr class="{if $invalid.productName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="productName">{$smarty.const.TRANS_NAME}</label></th>
	<td width="100%"><input size="100" maxlength="100" type="text" type="text" id="productName" name="productName" value="{$formValues.productName}" />  {$invalid.productName}</td>
</tr>
<tr class="{if $invalid.productType}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="productType">{$smarty.const.TRANS_TYPE}</label></th>
	<td width="100%"><select id="productType" name="productType">{html_options options=$types selected=$formValues.productType}</select> {$invalid.productType}</td>
</tr>
<tr class="{if $invalid.productComments}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="productComments">{$smarty.const.TRANS_COMMENTS}</label></th>
	<td width="100%"><textarea cols="80" rows="4" id="productComments" name="productComments">{$formValues.productComments}</textarea> {$invalid.productComments}</td>
</tr>
<tr class="{if $invalid.productActive}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="productActive">{$smarty.const.TRANS_ACTIVE}</label></th>
	<td width="100%">
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="productActive" value="0">
		<input type="checkbox" id="productActive" name="productActive" value="1" {if $formValues.productActive}checked="checked" {/if}/> <label for="productActive">{$smarty.const.TRANS_ACTIVE}</label>
 		{$invalid.productActive}
	</td>
</tr>

</tbody>
</table>

<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_ADD_PRODUCT}" />
</form>

{include file="$tplDirectory/footer.tpl"}
*}