{* $Id: ShowProductAddons.tpl,v 1.9 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a list of products.
 *
 * Smarty Variables:
 *	$products (array of products that match criteria)
 *
 *}

{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_SHOW_PRODUCT_ADDONS" d="Show Product Add-ons"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_UPGRADE" d="Upgrade"}
{t c="TRANS_UPGRADABLE" d="Upgradable"}
{t c="TRANS_NOT_UPGRADABLE" d="Not Upgradable"}
{t c="TRANS_ORDER" d="Order"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_INACTIVE" d="Inactive"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_SERVER_GROUP" d="Server Group"}
{t c="TRANS_SERVER_GROUP_NAME" d="Server Group Name"}
{t c="TRANS_STEP" d="Step"}
{t c="TRANS_STEP_NAME" d="Step Name"}
{t c="TRANS_ATTRIBUTES" d="Attributes"}


{assign var="filterArgs" value="productAddonActive=$productAddonActive"}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_SHOW_PRODUCT_ADDONS"
	sideNavMajor="products"
	sideNavMinor="addons"}
 
 <table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<thead>
<tr>
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
	<td colspan="7" onmouseover="this.style.cursor='hand'" onclick="{strip} {section name=iter loop=$productAddons} 
		toggle('row_{$productAddons[iter].productAddonID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
<tr>
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_ID" sortColumn="productAddonID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_NAME" sortColumn="productAddonName"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_UPGRADE" sortColumn="productAddonUpgrade"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_ORDER" sortColumn="productAddonOrder"}
	{include file="$tplDirectory/widgets/table/tableFilterHeader.tpl" filterName="TRANS_ACTIVE" filterColumn="productAddonActive" filterOptions="$activeInactive"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$productAddons"}
{assign var="productAddonID" value=$productAddons[i].productAddonID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}"
	onmouseover="this.className='althover';"
	onmouseout="this.className='{$className}';">
	<td onmouseover="this.style.cursor='hand'" onclick="return toggle('row_{$productAddonID}');">
		<a name="c{$productAddonID}"></a> <a href="#c{$productAddonID}">{$productAddonID}</a>
	</td>
	<td>
		{$productAddons[i].productAddonName}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$productAddonID
			editKey="productAddonID"
			editActionName="AddProductAddon"
			editName="TRANS_NAME"
			editColumn="productAddonName"
			editValue=$productAddons[i].productAddonName}
	</td>
	<td>
		{if $productAddons[i].productAddonUpgrade}{$smarty.const.TRANS_UPGRADABLE}{else}{$smarty.const.TRANS_NOT_UPGRADABLE}{/if}
	</td>
	<td>
		{$productAddons[i].productAddonOrder}
	</td>
	<td align="center">
		{if $productAddons[i].productAddonActive}{$smarty.const.TRANS_ACTIVE}{else}{$smarty.const.TRANS_INACTIVE}{/if}
	</td>
	<td align="center" class="nowrap">
		{strip}
		<a href="{getHREF page="products.php" actionName="RemoveProductAddon" args="productAddonID=$productAddonID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$productAddonID}">
<tr class="comments">
	<td colspan="7">
		<table summary="{$smarty.const.TRANS_ATTRIBUTES}" width="100%" class="small">
			<caption>{$smarty.const.TRANS_ATTRIBUTES}</caption>
		{if $productAddons[i].serverGroupID}
		{assign var="serverGroup" value=$productAddons[i].serverGroup}
			<tr class="{cycle name="addon$productAddonID" values="alt1,alt2"}">
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_SERVER_GROUP_NAME}</th>
				<td width="100%">{$serverGroup.serverGroupName}</td>
			</tr>
		{/if}

		{if $productAddons[i].stepID}
		{assign var="step" value=$productAddons[i].step}
			<tr class="{cycle name="addon$productAddonID" values="alt1,alt2"}">
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_STEP_NAME}</th>
				<td width="100%">{$step.stepName}</td>
			</tr>
		{/if}

		</table>
		
		<script type="text/javascript">toggle('row_{$productAddons[i].productAddonID}');</script>
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="7">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>
 
 
{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}