{* $Id: RemovePanel.tpl,v 1.7 2006/05/11 16:05:15 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a confirmation on deletion of a panel.
 *
 * Smarty Variables:
 *	$panel (array of this admin's data)
 *
 *}

{t c="TRANS_REMOVE_PANEL" d="Remove Panel"}
{t c="TRANS_CONFIRM_REMOVE_PANEL" d="Yes, remove this panel"}
{t c="TRANS_CONFIRM_REMOVE_PANEL_DESCRIPTION" d="Are you sure you wish to remove this panel?"}
{t c="TRANS_CANCEL" d="Cancel"}
{t c="TRANS_PANEL_TYPE" d="Type"}
{t c="TRANS_PANEL_NAME" d="Name"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_SERVERS"
	childName="TRANS_MANAGE_SERVER_GROUPS"
	grandchildName="TRANS_REMOVE_PANEL"
	useMenu="system"}

<h2>{$smarty.const.TRANS_REMOVE_PANEL}</h2>

<form method="post" action="servergroups.php">
<input type="hidden" name="action" value="{getActionID action="RemovePanelResponse"}">
<input type="hidden" name="configGroupID" value="{$panel.configGroupID}">
<input type="hidden" name="sid" value="{$sid}">
<table border="0" cellpadding="3" cellspacing="3" class="tab01">

	<tr>
		<td colspan="2">{$smarty.const.TRANS_CONFIRM_REMOVE_PANEL_DESCRIPTION}</td>
	</tr>

	<tr>
		<th align="right" scope="row">{$smarty.const.TRANS_PANEL_TYPE}</th>
		<td>{$panel.panelType}</td>
	</tr>

	<tr>
		<th align="right" scope="row">{$smarty.const.TRANS_PANEL_NAME}</th>
		<td>{$panel.panelName}</td>
	</tr>

	<tr>
		<td colspan="2"><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_CONFIRM_REMOVE_PANEL}"> <input class="button" type="button" value="{$smarty.const.TRANS_CANCEL}" onclick="history.go(-1);"></td>
	</tr>
</table>
</form>

{include file="$tplDirectory/footer.tpl"}
