{* $Id: RemoveTaxZoneGroup.tpl,v 1.3 2006/05/11 15:52:23 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to remove an existing tax zone. The form should be 
 * prepopulated with the given data as to identify which tax zone is being removed.
 *
 *	$taxzone - The array representation of the current tax zone. This array is 
 *	               structured as follows:
 *                   taxZoneID --  The ID of the tax zone
 *      	         taxZoneName -- The zones within the country to apply taxes to
 *					 countriesISO2 -- The tax zone country
 *	                 taxZoneAmount -- The tax percentage. Allows a tax up to 999.999%
 *	                 taxZoneDescription -- Description of the tax used in invoices
 *      	         taxZoneActive -- 1 if the tax is active, or 0 if otherwise
 *}
{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_SYSTEM"
    childName="TRANS_MANAGE_TAXES"
    grandchildName="TRANS_MANAGE_TAX_ZONES"
    sideNavMajor="system"
   	sideNavMinor="taxes"
    parentConfigGroupID=0}
{t c="TRANS_ARE_YOU_SURE_TAX_ZONE_GROUP_REMOVE" d="Are you sure you wish to remove the following tax zone group?"}
{t c="TRANS_REMOVE_TAX_ZONE_GROUP" d="Remove Tax Zone Group"}
{t c="TRANS_TAX_ZONE_GROUP_NAME" d="Tax Zone Group Name"}
{t c="TRANS_YES_REMOVE_THIS_TAX_ZONE_GROUP" d="Yes, Remove This Tax Zone Group"}

<h2>{$smarty.const.TRANS_REMOVE_TAX_ZONE_GROUP}</h2>
<form method="post" action="taxes.php">
<input type="hidden" name="action" value="{getActionID action="RemoveTaxZoneGroupResponse"}">
<input type="hidden" name="taxZoneGroupID" value="{$taxzone.taxZoneGroupID}">
<input type="hidden" name="sid" value="{$sid}">

	<table border="0" class="tab01">
		<tr>
			<td colspan="2" align="center">{$smarty.const.TRANS_ARE_YOU_SURE_TAX_ZONE_GROUP_REMOVE}</td>
		</tr>
		<tr>
			<th>{$smarty.const.TRANS_TAX_ZONE_GROUP_NAME}: </th>
			<td>{$taxzone.taxZoneGroupName}</td>
		</tr>
		<tr>
			<td></td>
			<td><input class="submit" type="submit" value="{$smarty.const.TRANS_YES_REMOVE_THIS_TAX_ZONE_GROUP}"> <input class="button" type="button" value="{$smarty.const.TRANS_NO}" onclick="history.go(-1);"></td>
		</tr>
	</table>

</form>

{include file="$tplDirectory/footer.tpl"}
