{* $Id: AddTheme.tpl,v 1.7 2006/05/31 20:40:40 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays a form to add a new Theme.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_ADD_NEW_THEME" d="Add New Theme"}
{t c="TRANS_THEME_NAME" d="Theme Name"}
{t c="TRANS_THEME_ACTIVE" d="Theme Active"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_THEMES"
	childName="TRANS_ADD_NEW_THEME"
	sideNavMajor="system"
	sideNavMinor="themes"}


<form method="post" action="themes.php">
<input type="hidden" name="action" value="{getActionID action="AddThemeResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<table width="770" cellpadding="0" cellspacing="0" border="0" class="list">
<thead>
<tr class="headerRow">
	<td colspan="2">{$smarty.const.TRANS_ADD_NEW_THEME}</td>
</tr>
</thead>

<tbody>
<tr class="{if $invalid.themeName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td>{$smarty.const.TRANS_THEME_NAME}:</td>
	<td><input type="text" name="themeName" value="{$formValues.themeName}" /> {$invalid.themeName}</td>
</tr>
<tr class="{if $invalid.themeDisplayName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td>{$smarty.const.TRANS_DISPLAY_NAME}:</td>
	<td><input type="text" name="themeDisplayName" value="{$formValues.themeDisplayName}" /> {$invalid.themeDisplayName}</td>
</tr>
<tr class="{if $invalid.themeActive}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td>{$smarty.const.TRANS_THEME_ACTIVE}:</td>
	<td>{html_radios name="themeActive" options=$yesNo selected=$formValues.themeActive} {$invalid.themeActive}</td>
</tr>
<tr>
	<td colspan="2"><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SUBMIT}"></td>
</tr>
</tbody>
</table>

</form>

{include file="$tplDirectory/footer.tpl"}