{* $Id: accountingLedgerSelect.tpl,v 1.4 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template is a widget that displays the pagination links for a list of results.
 *
 * Smarty Variables:
 *  $selectedLedgerID       The id of the selected option
 *  $ledgerAccounts         The background color of the containing div (nothing if not set)
 *  $accountTypes           The pixel width of the bar NOT INCLUDING THE 10px FOR THE SIDES
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/accountingLedgerSelect.tpl"
 *      selectedLedgerID="20"
 *      ledgerAccounts=$ledgerAccounts
 *      accountTypes=$accountTypes}
 *
 * heres what you need in your action to have this data in smarty:

        $this->smartyVars["accountTypes"] = $CONF["ledgerCategories"];

        $query = $this->getMBAPIQuery("GetAccountingLedgerAccounts");
        $CONF["debug"]->add("Action Command (ShowLedgerAccounts:GetAccountingLedgerAccounts)", htmlentities($query));
        $data = dispatchMBAPI($query, 1);
        $CONF["debug"]->add("Action Result (ShowLedgerAccounts:GetAccountingLedgerAccounts)", $data);

        $results =& $data["mbapi"][0]["results"][0];
        $this->smartyVars["ledgerAccounts"] = collapseArrayElements($results["ledger_accounts"][0]["account"]);
        if($data["mbapi"][0]["header"][0]["numResults"][0] == 1) {
            $this->smartyVars["ledgerAccounts"] = array(0 => collapseArrayElements($results["ledger_accounts"][0]["account"]));
        }

 * assuming you use $this->smartyVars to pass your variables into smarty.
 *}


        {section name=i loop=$ledgerAccounts}
            {assign var="ledgerAccountID" value=$ledgerAccounts[i].ledgerAccountID}

                {if $ledgerAccounts[i].ledgerAccountType != $ledgerAccountType}
{if $notFirstTime}</optgroup>{/if}
                        {assign var="ledgerAccountType" value=$ledgerAccounts[i].ledgerAccountType}
                        {assign var="transkey" value=$accountTypes.$ledgerAccountType.1}
<optgroup label="{$smarty.const.$transkey|default:$transkey}">
                        {assign var="notFirstTime" value="1"}
                {/if}
{assign var="ledgerAccountTransKey" value=$ledgerAccounts[i].ledgerAccountTransKey}
<option value="{$ledgerAccounts[i].ledgerAccountID}"{if $selectedLedgerID == $ledgerAccounts[i].ledgerAccountID} selected="selected"{/if}>
    {$ledgerAccounts[i].ledgerAccountNumber} - {$smarty.const.$ledgerAccountTransKey|default:$ledgerAccountTransKey}
</option>

        {sectionelse}

        {/section}
                        </optgroup>