{* $Id: billingAccount.tpl,v 1.6 2006/03/22 00:48:07 kbailey Exp $
 * --------------------------------------------------------------
 * This widget template is used to display the billing account context bar.
 *
 * Smarty Variables:
 * $client		array of client information
 * $contact		array of contact information
 * $billingAccount	array of billing account information
 * $billingAccountTypes	array of billing account types for display
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/billingAccount.tpl" client=$client contact=$contact billingAccount=$billingAccount billingAccountTypes=$billingAccountTypes}
 *}
{t c="TRANS_BILLING_ACCOUNTID" d="Billing Account ID"}
{t c="TRANS_BILLING_ACCOUNT_TYPE" d="Billing Account Type"}
{t c="TRANS_ORDER" d="Order"}
{t c="TRANS_PERCENT" d="Percent"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr>
	<th scope="col">{$smarty.const.TRANS_BILLING_ACCOUNTID}</th>
	<th scope="col">{$smarty.const.TRANS_BILLING_ACCOUNT_TYPE}</th>
	<th scope="col">{$smarty.const.TRANS_ACTIONS}</th>
</tr>
<tr class="alt1"}">
	<td>{$billingAccount.billingAccountID}</td>
	<td>{assign var="thisBillingAccountType" value=$billingAccount.billingAccountType} {$billingAccountTypes.$thisBillingAccountType}</td>
	<td align="center" class="nowrap">
		{assign var="clientID" value=$client.clientID}
		{assign var="clientContactID" value=$contact.clientContactID}
		{assign var="billingAccountID" value=$billingAccount.billingAccountID}
		{strip}
		<a href="{getHREF page="clients.php" actionName="ShowBillingAccounts" args="clientID=$clientID&clientContactID=$clientContactID"}#c{$billingAccountID}">
			<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		</a>
		&nbsp;
		<a href="{getHREF page="clients.php" actionName="EditBillingAccount" args="clientID=$clientID&clientContactID=$clientContactID&billingAccountID=$billingAccountID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		&nbsp;
		<a href="{getHREF page="clients.php" actionName="RemoveBillingAccount" args="clientID=$clientID&clientContactID=$clientContactID&billingAccountID=$billingAccountID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</table>