{* $Id: client.tpl,v 1.8 2006/05/16 19:40:19 mfountain Exp $
 * --------------------------------------------------------------
 * This widget template is used to display the client context bar.
 *
 * Smarty Variables:
 *	$client		array of client information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/client.tpl" client=$client}
 *}
{t c="TRANS_CLIENTID" d="Client ID"}
{t c="TRANS_CLIENT_USERNAME" d="Client Username"}
{t c="TRANS_CLIENT_FIRSTNAME" d="Client First Name"}
{t c="TRANS_CLIENT_LASTNAME" d="Client Last Name"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}

<table  width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" addEmptyTD=1 headerClass="firstTD" headerName="TRANS_CLIENTID"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="20%" addEmptyTD=1 headerName="TRANS_COMPANY"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="20%" addEmptyTD=1 headerName="TRANS_CONTACT"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="20%" addEmptyTD=1 headerName="TRANS_EMAIL"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="10%" headerClass="lastTD" headerName="TRANS_ACTIONS"}
</tr>
</thead>
<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td align="center"><strong>{$client.clientID}</strong></td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" /></td>
	<td>{$client.clientCompany|default:$smarty.const.TRANS_EMPTY|stripslashes|mb_truncate:20}</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" /></td>
	<td>{$client.contactLastName|stripslashes|mb_truncate:25}, {$client.contactFirstName|stripslashes|mb_truncate:25}</td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" /></td>
	<td><a href="mailto:{$client.contactEmail}">{$client.contactEmail|mb_truncate:45}</a></td>
	<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" /></td>
	<td align="center" class="nowrap">
		{assign var="clientID" value=$client.clientID}
		{strip}
		<a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=$clientID"}">
			<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		</a>
		&nbsp;
		<a href="{getHREF page="clients.php" actionName="EditClient" args="clientID=$clientID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		&nbsp;
		<a href="{getHREF page="clients.php" actionName="RemoveClient" args="clientID=$clientID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
</table>