{* $Id: genericTemplate.tpl,v 1.7 2006/07/27 15:52:27 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_PRODUCT_ADDON_INPUT_TYPE" d="Addon Input Type"}
{t c="TRANS_ARE_YOU_SURE_YOU_WISH_TO_DELETE_THE_FOLLOWING" d="Are you sure you wish to delete the following?"}
{t c="TRANS_YES_REALLY_REMOVE" d="Yes, really remove"}
{t c="TRANS_PRODUCT_ADDON_ID" d="Product Addon ID"}
{t c="TRANS_PACKAGE_ADDON_ID" d="ID"}
{t c="TRANS_ATTRIBUTE_ID" d="Attribute ID"}
{t c="TRANS_PACKAGE" d="Package"}
{t c="TRANS_SERVER_GROUP" d="Server Group"}
{t c="TRANS_SERVER" d="Server ID"}
{t c="TRANS_ATTRIBUTE_NAME" d="Attribute Name"}
{t c="TRANS_ATTRIBUTE_VALUE" d="Attribute Value"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_TEMPLATING_ERROR" d="There has been a templating error."}
{t c="TRANS_TEMPLATE_NOT_FOUND_FOR" d="Template not found for"}
{t c="TRANS_CONFIRM_TRANSACTION_REMOVE" d="Are you really sure you wish to remove this transaction?  This will DELETE it from the database and also delete all accounting data for it.  The invoice it applies to will also be marked as due again."}

{include file="$tplDirectory/header.tpl"
	parentName=$parentName
	childName=$childName
	grandchildName=$grandchildName
	sideNavMajor=$sideNavMajor
	sideNavMinor=$sideNavMinor}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}


{if $genericType=="edit"}

	<h6>{$smarty.const.$grandchildName|default:$grandchildName}</h6>

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_SAVE_CHANGES"
		formAction=$SCRIPT_NAME
		actionName=$editResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		}

{elseif $genericType=="editobject"}

	{if $saved}
		{include
			file="$tplDirectory/widgets/showInvalidCustom.tpl"
			duration="4"
			message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
	{/if}

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl" getDataFrom=$editForm}

{elseif $genericType=="showdetails"}

	<h6>{$smarty.const.$grandchildName|default:$grandchildName}</h6>

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm="yes"
		suppressInputValidation="yes"
		submitLabel=""
		formAction=""
		actionName=""
		hiddenFields=""
		fields=$editFields
		}

{elseif $genericType=="add"}

	<h6>{$smarty.const.$grandchildName|default:$grandchildName}</h6>

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="editForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_ADD"
		formAction=$SCRIPT_NAME
		actionName=$addResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		}

{elseif $genericType=="remove"}


	<h6>{$smarty.const.$grandchildName|default:$grandchildName}</h6>

	
	{if $headerMessage}
		<h1 style="text-align: center;">{$smarty.const.$headerMessage|default:$headerMessage}</h1>
		<br />
	{/if}

	<h1 style="text-align: center;">{$smarty.const.TRANS_ARE_YOU_SURE_YOU_WISH_TO_DELETE_THE_FOLLOWING}</h1>

	{include file="$tplDirectory/widgets/forms/autoEditForm.tpl"
		formName="removeForm"
		inForm=$inForm
		suppressInputValidation="no"
		submitLabel="TRANS_YES_REALLY_REMOVE"
		backLabel="TRANS_CANCEL"
		formAction=$SCRIPT_NAME
		actionName=$removeResponseAction
		hiddenFields=$hiddenFields
		fields=$editFields
		}

{elseif $genericType=="show"}
	
	{if $showAddButton}
		<div style="float: right; margin-right: 7px; margin-bottom: 2px;" class="rm"><a href="{getHREF actionName=$addAction}">{$smarty.const.TRANS_ADD_NEW}</a></div>
	{/if}
	<h6>{$smarty.const.$grandchildName|default:$grandchildName}</h6>

	{include file="$tplDirectory/widgets/table/autoShowTable.tpl"
		rowActions=$rowActions
		tableFields=$showFields
		tableData=$showData
		queryArgs=$pagesArgs
		}

{else}

<h2>{$smarty.const.TRANS_TEMPLATING_ERROR}</h2>
{$smarty.const.TRANS_TEMPLATE_NOT_FOUND_FOR}: <strong>{$actionName}</strong>

{/if}

{include file="$tplDirectory/footer.tpl"}



