{* $Id: sideMenuMajor_events.tpl,v 1.16 2006/05/19 17:19:30 mfountain Exp $
 * --------------------------------------------------------------
 * This template displays the side navigation when the an action related to an event has been selected. It displays 
 * blocks for both system events and the email queue.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMajor_events.tpl.tpl"}
 *
 * Author: Vic Fryzel
 * Author: Brian Smith
 *}
{t c="TRANS_EVENTS" d="Events"}
{t c="TRANS_EMAILS" d="Emails"}
{t c="TRANS_TODOS" d="Todos"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}

{* events major side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_EVENTS}</h1>
	<div class="lbox01b">
		<div class="lbox01c">
			<a href="javascript:void(0);" onclick="{strip}
					toggle('TRANS_EVENTS');
					toggle('TRANS_EMAILS');
					toggle('TRANS_TODOS');
					return false;{/strip}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_EXPAND_ALL}</a>
		</div>{* lbox01c *}
		<a href="javascript:void(0);" onclick="return toggle('TRANS_EVENTS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_EVENTS}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_EMAILS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_EMAILS}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_TODOS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_TODOS}
		</a>
	</div>{* lbox01b *}
</div>{* lbox01 *}

{* events side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_events.tpl"}

{* emails side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_emails.tpl"}

{* todos side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_todos.tpl"}

{* calendar side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_calendar.tpl"}
