{* $Id: sideMenuMajor_finances.tpl,v 1.2 2006/03/22 23:31:05 kbailey Exp $
 * --------------------------------------------------------------
 * This template widget displays the side navigation when the finance menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMajor_finance.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_INVOICING" d="Invoicing"}
{t c="TRANS_BILLING" d="Billing"}
{t c="TRANS_ACCOUNTING" d="Accounting"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}
{t c="TRANS_FINANCES" d="Finances"}

{* system side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_FINANCES}</h1>
	<div class="lbox01b">
		<div class="lbox01c">
			<a href="javascript:void(0);" onclick="{strip}
					toggle('TRANS_ACCOUNTING');
					toggle('TRANS_BILLING');
					toggle('TRANS_INVOICES');
					return false;{/strip}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_EXPAND_ALL}</a>
		</div>{* lbox01c *}
		<a href="javascript:void(0);" onclick="return toggle('TRANS_ACCOUNTING');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ACCOUNTING}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_BILLING');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_BILLING}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_INVOICES');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_INVOICING}
		</a>
	</div>{* lbox01b *}
</div>{* lbox01 *}

{* accounting side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_accounting.tpl"}

{* billing side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_billing.tpl"}

{* invoicing side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_invoicing.tpl"}

{* calendar side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_calendar.tpl"}