{* $Id: sideMenuMajor_system.tpl,v 1.19 2006/07/03 01:46:30 mfountain Exp $
 * --------------------------------------------------------------
 * This template displays the side navigation when the client's menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/header.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_MANAGE_SYSTEM" d="Manage System"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}

{t c="TRANS_SYSTEM_SETTINGS" d="System Settings"}
{t c="TRANS_MAIN_SYSTEM_SETTINGS" d="Main System Settings"}
{t c="TRANS_THEME_SETTINGS" d="Theme Settings"}
{t c="TRANS_ADMIN_SETTINGS" d="Admin Settings"}

{t c="TRANS_PAYMENT_SETTINGS" d="Payment Settings"}
{t c="TRANS_PAYMENT_SETTINGS" d="Payment Settings"}
{t c="TRANS_ENCRYPTION_SETTINGS" d="Encryption Settings"}
{t c="TRANS_GATEWAY_MODULES" d="Gateway Modules"}

{t c="TRANS_DOMAIN_SETTINGS" d="Domain Settings"}
{t c="TRANS_DOMAIN_TLD_SETTINGS" d="Domain TLD Settings"}
{t c="TRANS_REGISTRAR_MODULES" d="Registrar Modules"}

{t c="TRANS_SERVER_SETTINGS" d="Server Settings"}
{t c="TRANS_SERVER_SETTINGS" d="Server Settings"}
{t c="TRANS_SERVER_MODULES" d="Server Modules"}

{t c="TRANS_BILLING_SETTINGS" d="Invoice &amp; Billing Settings"}
{t c="TRANS_INVOICE_SETTINGS" d="Invoice Settings"}
{t c="TRANS_BILLING_SETTINGS" d="Billing Settings"}
{t c="TRANS_TAX_SETTINGS" d="Tax Settings"}
{t c="TRANS_ACCOUNTING_SETTINGS" d="Accounting Settings"}

{t c="TRANS_ORDER_SETTINGS" d="Order Settings"}
{t c="TRANS_ORDER_FORM_SETTINGS" d="Order Form Settings"}
{t c="TRANS_FRAUD_PREVENTION_SETTINGS" d="Fraud Prevention Settings"}

{t c="TRANS_EMAIL_SETTINGS" d="Email Settings"}
{t c="TRANS_EMAIL_SETTINGS" d="Email Settings"}
{t c="TRANS_EMAIL_TEMPLATES" d="Email Templates"}

{t c="TRANS_PRODUCT_SETTINGS_CONFIGURATION" d="Product Settings"}
{t c="TRANS_PRODUCT_SETTINGS" d="Product Settings"}
{t c="TRANS_SSLCERT_SETTINGS" d="SSL Cert Setttings"}

{t c="TRANS_AUTOMATION_SETTINGS" d="Automation Settings"}
{t c="TRANS_SYSTEM_QUEUE_SETTINGS" d="System Queue Settings"}
{t c="TRANS_IP_QUEUE_SETTINGS" d="IP Queue Settings"}
{t c="TRANS_CRON_SETTINGS" d="Cron Settings"}
{t c="TRANS_AUTOSUSPEND_SETTINGS" d="Auto-suspend Settings"}
{t c="TRANS_MBALERT_MODULE" d="MBAlert Module"}

{t c="TRANS_USER_SETTINGS" d="User Settings"}
{t c="TRANS_USER_SETTINGS" d="User Settings"}
{t c="TRANS_EXTRA_USER_VARIABLES" d="Extra User Variables"}
{t c="TRANS_FORUMS_SETTINGS" d="Forum Settings"}
{t c="TRANS_PPC_MODULES" d="PPC Modules"}

{t c="TRANS_OTHER_SETTINGS" d="Other Settings"}
{t c="TRANS_FAQ_SETTINGS" d="FAQ Settings"}
{t c="TRANS_NEWS_SETTINGS" d="News Settings"}
{t c="TRANS_AFFILIATE_SETTINGS" d="Affiliate Settings"}
{t c="TRANS_AFFILIATE_MODULES" d="Affiliate Modules"}

{t c="TRANS_MODERNBILL_SUPPORT" d="ModernBill Support"}
{t c="TRANS_SUPPORT_MANUAL" d="Support Manual"}
{t c="TRANS_SUPPORT_FAQ" d="Support FAQ"}
{t c="TRANS_HELPDESK" d="Helpdesk"}
{t c="TRANS_DOWNLOADS" d="Downloads"}
{t c="TRANS_NONSUPPORT_FORUMS" d="Non-Support Forums"}

{* system side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_MANAGE_SYSTEM}</h1>
	<div class="lbox01b">
		<div class="lbox01c">
			<a href="javascript:void(0);" onclick="{strip}
				{section name=iter loop=$navConfigGroups}
					toggle('{$navConfigGroups[iter].configGroupTransKey}');
				{/section}
				return false;{/strip}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_EXPAND_ALL}</a>
		</div>{* lbox01c *}

	{section name=i loop=$navConfigGroups}
  		{assign var="configGroupID" value=$navConfigGroups[i].configGroupID}
  		{assign var="configGroupTransKey" value=$navConfigGroups[i].configGroupTransKey}
		<a href="javascript:void(0);" onclick="return toggle('{$configGroupTransKey}');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.$configGroupTransKey}
		</a>
		<table style="width:167px" bgcolor="#FFFFFF">
		<tbody id="{$configGroupTransKey}">
		<tr>
			<td>
				{section name=link loop=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup}
					{assign var="configChildGroupTransKey" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupTransKey}
					{assign var="configChildGroupID" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupID}
					{assign var="configChildGroupActionFile" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionFile}
					{assign var="configChildGroupActionName" value=$navConfigGroups[i].levelOneConfigGroups.levelOneConfigGroup[link].configGroupActionName}

					{if $configChildGroupTransKey!=""}
						{assign var="linkTitle" value=$smarty.const.$configChildGroupTransKey}
					{else}
						{assign var="linkTitle" value=$configChildGroupTransKey}
					{/if}
					{if $configChildGroupActionFile!="" && $configChildGroupActionName!=""}
						<a href="{getHREF page=$configChildGroupActionFile actionName=$configChildGroupActionName args="configGroupID=$configChildGroupID"}" class="inner">
							{$linkTitle}
						</a>
					{else}
						<a href="{getHREF page="configs.php" actionName="ShowConfigs" args="configGroupID=$configChildGroupID"}" class="inner">
							{$linkTitle}
						</a>
					{/if}
				{/section}
			</td>
		</tr>
		</tbody>
		</table>
		{if $parentConfigGroupID!=$configGroupID}
		<script type="text/JavaScript">toggle('{$configGroupTransKey}');</script>
		{/if}
	{/section}

	{* TRANS_MODERNBILL_SUPPORT *}
		<a href="javascript:void(0);" onclick="return toggle('TRANS_MODERNBILL_SUPPORT');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_MODERNBILL_SUPPORT}
		</a>
		<table style="width:167px" bgcolor="#FFFFFF">
		<tbody id="TRANS_MODERNBILL_SUPPORT">
		<tr>
			<td>
				<a href="http://manual.modernbill.com" target="_blank" class="inner">{$smarty.const.TRANS_SUPPORT_MANUAL}</a>
				<a href="http://faq.modernbill.com" target="_blank" class="inner">{$smarty.const.TRANS_SUPPORT_FAQ}</a>
				<a href="http://helpdesk.modernbill.com" target="_blank" class="inner">{$smarty.const.TRANS_HELPDESK}</a>
				<a href="http://downloads.modernbill.com" target="_blank" class="inner">{$smarty.const.TRANS_DOWNLOADS}</a>
				<a href="http://forums.modernbill.com" target="_blank" class="inner">{$smarty.const.TRANS_NONSUPPORT_FORUMS}</a>
			</td>
		</tr>
		</tbody>
		</table>
		<script type="text/JavaScript">toggle('TRANS_MODERNBILL_SUPPORT');</script>

	</div>{* lbox01b *}

</div>{* lbox01 *}

{if $sideNavMinor=="admins"}
	{include file="$tplDirectory/widgets/menus/sideMenuMinor_admins.tpl"}
{/if}
{if $sideNavMinor=="taxes"}
	{include file="$tplDirectory/widgets/menus/sideMenuMinor_taxes.tpl"}
{/if}
{if $sideNavMinor=="themes"}
	{include file="$tplDirectory/widgets/menus/sideMenuMinor_themes.tpl"}
{/if}
{if $sideNavMinor=="attributes"}
	{include file="$tplDirectory/widgets/menus/sideMenuMinor_attributes.tpl"}
{/if}