{* $Id: sideMenuMinor_accounting.tpl,v 1.2 2006/03/22 23:31:05 kbailey Exp $
 * --------------------------------------------------------------
 * This template widget displays the minor side navigation for invoicing.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMinor_accounting.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACCOUNTING" d="Accounting"}
{t c="TRANS_CHART_OF_ACCOUNTS" d="Chart of Accounts"}
{t c="TRANS_DAILY_JOURNALS" d="Daily Journals"}
{t c="TRANS_FILTER_BY" d="Filter By"}
{t c="TRANS_FIND" d="Find"}
{t c="TRANS_GENERAL_LEDGERS" d="General Ledgers"}
{t c="TRANS_PURCHASES_JOURNAL" d="Purchases Journal"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SALES_AND_RECEIPTS_JOURNAL" d="Sales & Receipts Journal"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_ACCOUNTING_REPORTS" d="Reports"}
{t c="TRANS_GENERAL_JOURNAL" d="General Journal"}

<div id="TRANS_ACCOUNTING">
	<div class="lbox01">
		<h1><a href="javascript:void(0);" onclick="return toggle('TRANS_ACCOUNTING');">X</a> - {$smarty.const.TRANS_ACCOUNTING}</h1>
		<div class="lbox01a">
			<a href="{getHREF page="accounting.php" actionName="ShowAccountingStats"}"><img src="{$imageDirectory}/ico/line_chart.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_QUICK_STATS}</a>
            <a href="{getHREF page="accounting.php" actionName="ShowAccountingReportsMenu"}"><img src="{$imageDirectory}/ico/line_chart.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_ACCOUNTING_REPORTS}</a>
            <a href="{getHREF page="accounting.php" actionName="ShowJournalsMenu"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_DAILY_JOURNALS}</a>
            <a href="{getHREF page="accounting.php" actionName="ShowGeneralJournal"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_GENERAL_JOURNAL}</a>
			<a href="{getHREF page="accounting.php" actionName="ShowLedgersMenu"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_GENERAL_LEDGERS}</a>
			<a href="{getHREF page="accounting.php" actionName="ShowLedgerAccounts"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_CHART_OF_ACCOUNTS}</a>
		</div>{* lbox01a *}
	</div>{* lbox01 *}
</div>{* TRANS_ACCOUNTING *}
{toggleDiv id="TRANS_ACCOUNTING" var="accounting" value=$sideNavMinor}