{* $Id: sideMenuMinor_addons.tpl,v 1.15 2006/03/22 23:31:05 kbailey Exp $
 * --------------------------------------------------------------
 * This template widget displays the minor side navigation for addons.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMinor_addons.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ADDONS" d="Add-ons"}
{t c="TRANS_FILTER_BY" d="Filter By"}
{t c="TRANS_FIND" d="Find"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_ADD_NEW_PRODUCT_ADDON" d="Add New Product Add-on"}
{t c="TRANS_ADD_NEW_WIZARD_STEP" d="Add New Wizard Step"}
{t c="TRANS_ADD_NEW_WIZARD_QUESTION" d="Add New Wizard Question"}
{t c="TRANS_SHOW_WIZARD_STEPS" d="Show Wizard Steps"}
{t c="TRANS_KEYWORD_OR_ID" d="Keyword/ID"}
{t c="TRANS_SEARCH_BY" d="Search By"}

<div id="TRANS_ADDONS">
	<div class="lbox01">
		<h1><a href="javascript:void(0);" onclick="return toggle('TRANS_ADDONS');">X</a> - {$smarty.const.TRANS_ADDONS}</h1>
		<div class="lbox01a">
			<a href="{getHREF page="products.php" actionName="ShowProductAddons"}"><img src="{$imageDirectory}/ico/line_chart.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_QUICK_STATS}</a>
			<a href="{getHREF page="products.php" actionName="ShowWizardSteps"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_SHOW_WIZARD_STEPS}</a>
			<a href="{getHREF page="products.php" actionName="AddProductAddon"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_ADD_NEW_PRODUCT_ADDON}</a>
			<a href="{getHREF page="products.php" actionName="AddWizardStep"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_ADD_NEW_WIZARD_STEP}</a>
			<a href="{getHREF page="products.php" actionName="AddWizardQuestion"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_ADD_NEW_WIZARD_QUESTION}</a>
			<div>
				<form method="get" action="products.php">
				<input type="hidden" name="action" value="{getActionID action="ShowProductAddons"}" />
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_STATUS}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td>
					    <select name="addonActive" class="select">
					    <optgroup label="{$smarty.const.TRANS_STATUS}">
					        <option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
					    </optgroup>
					    <optgroup label="{$smarty.const.TRANS_FILTER_BY}">
							{html_options options=$activeInactive selected=$smarty.request.addonActive}
					    </optgroup>
					    </select>
					</td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>{* null *}
			<div>
				<form method="get" action="products.php">
				<input type="hidden" name="action" value="{getActionID action="ShowProductAddons"}" />
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td><img src="{$imageDirectory}/ico/data_find.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_SEARCH_BY}: {$smarty.const.TRANS_KEYWORD_OR_ID}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td><input type="text" name="query" value="" class="input" /></td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>{* null *}
		</div>{* lbox01a *}
	</div>{* lbox01 *}
</div>{* TRANS_ADDONS *}
{toggleDiv id="TRANS_ADDONS" var="addons" value=$sideNavMinor}