{* $Id: sideMenuMinor_admins.tpl,v 1.15 2006/05/16 03:49:26 mfountain Exp $
 * --------------------------------------------------------------
 * This template displays the minor side navigation for admins.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/header.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_MANAGE_ADMINS" d="Manage Admins"}
{t c="TRANS_ADD_NEW_ADMIN" d="Add New Admin"}
{t c="TRANS_CALENDAR" d="Calendar"}
{t c="TRANS_FILTER_BY" d="Filter By"}
{t c="TRANS_FIND" d="Find"}
{t c="TRANS_MANAGE_ADMINS" d="Manage Admins"}
{t c="TRANS_MANAGE_ADMIN_GROUPS" d="Manage Admin Groups"}
{t c="TRANS_MYPROFILE" d="My Profile"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_VIEW" d="View"}

{* admins side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_MANAGE_ADMINS}</h1>
	<div class="lbox01a">
		<a href="{getHREF page="admins.php" actionName="EditMyProfile"}"><img src="{$imageDirectory}/ico/id_card.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_MYPROFILE}</a>
		<a href="{getHREF page="admins.php" actionName="AddAdmin"}"><img src="{$imageDirectory}/ico/businessman_add.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_ADD_NEW_ADMIN}</a>
		<a href="{getHREF page="admins.php" actionName="ShowAdminGroups"}"><img src="{$imageDirectory}/ico/businessmen.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_MANAGE_ADMIN_GROUPS}</a>
		<div>
			<form method="get" action="admins.php">
			<input type="hidden" name="action" value="{getActionID action="ShowAdmins"}" />
			<table border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td><img src="{$imageDirectory}/ico/funnel.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                <td colspan="2">
                    &nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_ACTIVE}</strong>
                </td>
            </tr>
			<tr>
                <td>&nbsp;</td>
				<td>
				    <select name="adminActive" class="select">
				    <optgroup label="{$smarty.const.TRANS_STATUS}">
				        <option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
				    </optgroup>
				    <optgroup label="{$smarty.const.TRANS_FILTER_BY}">
						{html_options options=$activeInactive selected=$smarty.request.adminActive}
				    </optgroup>
				    </select>
				</td>
				<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
			</tr>
			</table>
			<input type="hidden" name="sid" value="{$sid}" />
			</form>
		</div>
		<div>
			<form method="get" action="admins.php">
			<input type="hidden" name="action" value="{getActionID action="ShowAdmins"}" />
			<table border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td><img src="{$imageDirectory}/ico/data_find.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                <td colspan="2">
                    &nbsp;&nbsp;<strong>{$smarty.const.TRANS_SEARCH_BY}: {$smarty.const.TRANS_KEYWORD_OR_ID}</strong>
                </td>
            </tr>
			<tr>
                <td>&nbsp;</td>
				<td><input type="text" name="query" value="" class="input" /></td>
				<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
			</tr>
			</table>
			<input type="hidden" name="sid" value="{$sid}" />
			</form>
		</div>
	</div>{* lbox01a *}
</div>{* lbox01 *}