{* $Id: sideMenuMinor_calendar.tpl,v 1.2 2006/03/22 23:31:05 kbailey Exp $
 * --------------------------------------------------------------
 * This template widget displays the minor side navigation for the calendar.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMinor_calendar.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_CALENDAR" d="Calendar"}

<div class="lbox01">
	<h1>{$smarty.const.TRANS_CALENDAR}</h1>
	<div id="calendar"></div>
</div>{* lbox01 *}

{literal}
<script type="text/javascript">//<![CDATA[
  function flatCalendarCallback(cal) {
    if (cal.dateClicked) {
        if (d) {
			document.DateEdit.year.value = cal.date.print("%Y");
			document.DateEdit.month.value = cal.date.print("%m");
			document.DateEdit.day.value = cal.date.print("%d");
    	}
    	
    	if (document.DateSort) {
    		document.DateSort.dateQuery.value = cal.date.print("%Y/%m/%d");
    	}
    }
  };
//]]></script>
<script type="text/javascript">//<![CDATA[
  Zapatec.Calendar.setup({
    weekNumbers       : false,
    showOthers        : false,
    showsTime         : false,
    timeFormat        : "12",
    step              : 2,
    range             : [1990.01, 2020.12],
    flat              : "calendar",
    flatCallback      : flatCalendarCallback
  });
//]]></script>
{/literal}