{* $Id: sideMenuMinor_emails.tpl,v 1.14 2006/03/29 23:26:48 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays the minor side navigation for the email queue. It contains some quick shortcuts allowing for easy
 * access to common email queue management functions. This tab is usually displayed by major side menus.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMinor_emails.tpl"}
 *
 * Author: Vic Fryzel
 *}
{t c="TRANS_MANAGE_EMAILS" d="Manage Emails"}
{t c="TRANS_ADD_NEW_EMAIL" d="Add New Email"}
{t c="TRANS_FILTER_BY" d="Filter By"}
{t c="TRANS_FIND" d="Find"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_VIEW" d="View"}
{t c="TRANS_SENT" d="Sent"}
{t c="TRANS_UNSENT" d="Unsent"}
{t c="TRANS_SEND_EMAILS" d="Send Emails"}
{t c="TRANS_EMAIL_TEMPLATES" d="Email Templates"}
{t c="TRANS_EMAIL_ACTION_GROUPS" d="Email Action Groups"}
{t c="TRANS_KEYWORD_OR_ID" d="Keyword/ID"}
{t c="TRANS_SEARCH_BY" d="Search By"}

{* emails side menu *}
<div id="TRANS_EMAILS">
	<div class="lbox01">
		<h1><a href="javascript:void(0);" onclick="return toggle('TRANS_EMAILS');">X</a> - {$smarty.const.TRANS_MANAGE_EMAILS}</h1>
		<div class="lbox01a">
<!--
			<a href="{getHREF page="events.php" actionName="SendEmails"}"><img src="{$imageDirectory}/ico/data_new.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_SEND_EMAILS}</a>
			<a href="{getHREF page="emails.php" actionName="ShowEmailTemplates"}"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_EMAIL_TEMPLATES}</a>
-->
			<a href="{getHREF page="events.php" actionName="ShowEmailQueue"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_MANAGE_EMAILS}</a>

			<a href="{getHREF page="emails.php" actionName="ShowEmailTemplateGroups"}"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_EMAIL_TPL_GROUPS}</a>

			<div>
				<form method="get" action="events.php">
				<input type="hidden" name="action" value="{getActionID action="ShowEmailQueue"}" />
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
                    <td><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_STATUS}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td>
						<select name="emailActive" class="select">
						<optgroup label="{$smarty.const.TRANS_STATUS}">
							<option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
						</optgroup>
						<optgroup label="{$smarty.const.TRANS_FILTER_BY}">
							{html_options options=$activeInactive selected=$smarty.request.emailActive}
						</optgroup>
						</select>
					</td>
					<td width="13" rowspan="2"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13"
						alt="" /></td>
				</tr>
				<tr>
					<td></td>
					<td>
						<select name="emailSent" class="select">
						<optgroup label="{$smarty.const.TRANS_FILTER_BY}">
							{html_options options=$sentUnsent selected=$smarty.request.emailSent}
						</optgroup>
						</select>
					</td>
					<td></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>
			<div>
				<form method="get" action="events.php">
				<input type="hidden" name="action" value="{getActionID action="ShowEmails"}" />
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td><img src="{$imageDirectory}/ico/data_find.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_SEARCH_BY}: {$smarty.const.TRANS_KEYWORD_OR_ID}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td><input type="text" name="query" value="" class="input" /></td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>
		</div>{* lbox01a *}
	</div>{* lbox01 *}
</div>{* TRANS_EMAILS *}
{toggleDiv id="TRANS_EMAILS" var="emails" value=$sideNavMinor}
