{* $Id: sideMenuMinor_faqs.tpl,v 1.7 2006/06/23 23:05:39 bsmith Exp $
 * --------------------------------------------------------------
 * This template widget displays the minor side navigation for FAQs. This is, at this time,
 * generally displayed by the helpdesk sidenav major widget.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMinor_faqs.tpl"}
 *
 * Author: Vic Fryzel
 *}
{t c="TRANS_FAQS" d="FAQs"}
{t c="TRANS_SHOW_FAQS" d="Show FAQs"}

<div id="TRANS_FAQS">
	<div class="lbox01">
		<h1><a href="javascript:void(0);" onclick="return toggle('TRANS_FAQS');">X</a> - {$smarty.const.TRANS_FAQS}</h1>

		<div class="lbox01a">
			<a href="{getHREF page="faqs.php" actionName="ShowFAQs"}">
				<img src="{$imageDirectory}/ico/note_edit.gif" width="16" height="16" alt="" title="" />
				{$smarty.const.TRANS_SHOW_FAQS}
			</a>
		</div>

		<div class="lbox01a">
			<a href="{getHREF page="faqs.php" actionName="AddFAQCategory"}">
				<img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" />
				{$smarty.const.TRANS_ADD_FAQ_CATEGORY}
			</a>
			
			<a href="{getHREF page="faqs.php" actionName="AddFAQ"}">
				<img src="{$imageDirectory}/ico/note_add.gif" width="16" height="16" alt="" title="" />
				{$smarty.const.TRANS_ADD_FAQ}
			</a>
		</div>{* lbox01a *}
	</div>{* lbox01 *}
</div>{* TRANS_FAQs *}
{toggleDiv id="TRANS_FAQS" var="faqs" value=$sideNavMinor}