{* $Id: sideMenuMinor_helpdesk_buckets.tpl,v 1.1 2006/06/09 21:49:02 bsmith Exp $
 * --------------------------------------------------------------
 * This template widget displays the minor side navigation for domains.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMinor_domains.tpl"}
 *
 * Author: Brian Smith
 *}
{t c="TRANS_HELPDESK" d="Helpdesk"}
{t c="TRANS_LIST_BUCKETS" d="List Buckets"}
{t c="TRANS_VIEW_BUCKET" d="View Bucket"}
{t c="TRANS_REMOVE_BUCKET" d="Remove Bucket"}

<div id="TRANS_HELPDESK_BUCKETS">
	<div class="lbox01">
		<h1><a href="javascript:void(0);" onclick="return toggle('TRANS_HELPDESK_BUCKETS');">X</a> - {$smarty.const.TRANS_HELPDESK_BUCKETS}</h1>
		<div class="lbox01a">
			<a href="{getHREF page="helpdesk.php" actionName="ShowHelpdeskBuckets"}">
				<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" />
				{$smarty.const.TRANS_LIST_BUCKETS}
			</a>
		</div>{* lbox01a *}
	{if $smarty.request.hdBucketID != "" || $hdBucketID != ""}
		{if $hdBucketID == ""}
			{assign var=hdBucketID value=$smarty.request.hdBucketID}
		{/if}
		<div class="lbox01a">
			<a href="{getHREF page="helpdesk.php" actionName="ShowHelpdeskBucketDetails" args="hdBucketID=$hdBucketID"}">
				<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" />
				{$smarty.const.TRANS_VIEW_BUCKET}
			</a>
			<a href="{getHREF page="helpdesk.php" actionName="EditHelpdeskBucket" args="hdBucketID=$hdBucketID"}">
				<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" />
				{$smarty.const.TRANS_EDIT_BUCKET}
			</a>
			<a href="{getHREF page="helpdesk.php" actionName="RemoveHelpdeskBucket" args="hdBucketID=$hdBucketID"}">
				<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" />
				{$smarty.const.TRANS_REMOVE_BUCKET}
			</a>
		</div>{* lbox01a *}
	{/if}
	</div>{* lbox01 *}
</div>{* TRANS_HELPDESK_BUCKETS *}
{toggleDiv id="TRANS_HELPDESK_BUCKETS" var="helpdesk_buckets" value=$sideNavMinor}