{* $Id: sideMenuMinor_products.tpl,v 1.3 2006/06/13 21:15:38 bsmith Exp $
 * --------------------------------------------------------------
 * This template widget displays the minor side navigation for products.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMinor_products.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ADD_PRODUCT_WIZARD" d="Add Product Wizard"}
{t c="TRANS_ADD_SKELETON_PRODUCT" d="Add Skeleton Product"}
{t c="TRANS_PRODUCTS" d="Products"}
{t c="TRANS_FILTER_BY" d="Filter By"}
{t c="TRANS_FIND" d="Find"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_KEYWORD_OR_ID" d="Keyword/ID"}
{t c="TRANS_SEARCH_BY" d="Search By"}

<div id="TRANS_PRODUCTS">
	<div class="lbox01">
		<h1><a href="javascript:void(0);" onclick="return toggle('TRANS_PRODUCTS');">X</a> - {$smarty.const.TRANS_PRODUCTS}</h1>
		<div class="lbox01a">
			<!-- <a href="{getHREF page="products.php" actionName="AddProduct"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_ADD_PRODUCT_WIZARD}</a> -->
			<a href="{getHREF page="products.php" actionName="AddSkeletonProduct"}"><img src="{$imageDirectory}/ico/data_add.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_ADD_SKELETON_PRODUCT}</a>
			<div>
				<form method="get" action="products.php">
				<input type="hidden" name="action" value="{getActionID action="ShowProducts"}" />
				<input type="hidden" name="productType" value="{$productType}" />
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
					<td colspan="2">
						&nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_ACTIVE}</strong>
					</td>
				</tr>
				<tr>
                    			<td>&nbsp;</td>
					<td>
					    <select name="productActive" class="select">
					    <optgroup label="{$smarty.const.TRANS_STATUS}">
					        <option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
					    </optgroup>
					    <optgroup label="{$smarty.const.TRANS_FILTER_BY}">
							{html_options options=$activeInactive selected=$smarty.request.productActive}
					    </optgroup>
					    </select>
					</td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>{* null *}
			<div>
				<form method="get" action="products.php">
				<input type="hidden" name="action" value="{getActionID action="ShowProducts"}" />
				<input type="hidden" name="productActive" value="{$productActive}" />
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
					<td colspan="2">
						&nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_TYPE}</strong>
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td>
					    <select name="productType" class="select">
					    <optgroup label="{$smarty.const.TRANS_STATUS}">
					        <option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
					    </optgroup>
					    <optgroup label="{$smarty.const.TRANS_FILTER_BY}">
					    		{if $productTypes != ""}
								{html_options options=$productTypes selected=$smarty.request.productType}
							{else}
								{html_options options=$types.productType selected=$smarty.request.productType}
							{/if}
					    </optgroup>
					    </select>
					</td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>{* null *}
			<div>
				<form method="get" action="products.php">
				<input type="hidden" name="action" value="{getActionID action="ShowProducts"}" />
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td><img src="{$imageDirectory}/ico/data_find.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
					<td colspan="2">
						&nbsp;&nbsp;<strong>{$smarty.const.TRANS_SEARCH_BY}: {$smarty.const.TRANS_KEYWORD_OR_ID}</strong>
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td><input type="text" name="query" value="" class="input" /></td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>{* null *}
		</div>{* lbox01a *}
	</div>{* lbox01 *}
</div>{* TRANS_PRODUCTS *}
{toggleDiv id="TRANS_PRODUCTS" var="products" value=$sideNavMinor}