{* $Id: EditProductCycles.tpl,v 1.10 2006/06/19 22:16:40 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_EDIT_PRODUCT_CYCLES" d="Edit Product Cycles"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}
{t c="TRANS_STOP_NUM_CYCLES" d="Last Cycle"}
{t c="TRANS_PRORATABLE" d="Proratable"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_SIGNUP_EMAIL" d="Signup Email"}
{t c="TRANS_WELCOME_EMAIL" d="Welcome Email"}
{t c="TRANS_CHILDREN" d="Children"}
{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_CYCLES" d="Cycles"}
{t c="TRANS_TLDS" d="TLDs"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}
{t c="TRANS_EXPLAIN_CYCLES" d="Explain Cycles"}
{t c="TRANS_CYCLES_EXPLANATION_RELATING" d="<p>Selecting a <dfn>cycle</dfn> allows people to order this product for the selected cycle as long as there is a price set for the order's cycle and currency. The price editor will ask for prices for all combinations of cycles and currencies. Therefore, the cycles should be set before editing pricing.</p><p>Note that on TLDs, the cycles allowed by individual TLD variants are only allowed the cycles within the cycle range specified for the TLD of the variant.</p>"}

{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="products.php">
<input type="hidden" name="action" value="{getActionID action="EditProductCyclesResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="750" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr class="{if $invalid.cycles}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="orderForms">{$smarty.const.TRANS_CYCLES}</label></th>
	<td valign="top">
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="cycles"
			comboOptionsLeft=$selectedCycles

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableCycles"
			comboOptionsRight=$selectableCycles
			formName="EditProduct"
			submitName="suppress"
		}
		{$invalid.orderForms}
	</td>
	<td width="100%" valign="top">
    	{include file="$tplDirectory/widgets/showTips.tpl"
        	title="TRANS_EXPLAIN_CYCLES"
        	msg="TRANS_CYCLES_EXPLANATION_RELATING"
        	width="100%"
        	align="center"
			show="yes"}		
	</td>
</tr>
</tbody>
</table>

<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EDIT_PRODUCT_CYCLES}" onclick="selectAllOptions(document.EditProduct.elements['cycles[]']);" />
</form>

{include file="$tplDirectory/widgets/products/footer.tpl"}
