{* $Id: quickAddSelectLink.tpl,v 1.1 2006/06/04 21:25:32 bwoolley Exp $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> that allows sorting of that column.
 * We only want to allow sort options if the column has infinite values.
 *
 * This widget also builds a special search box for amount columns, that when you click on
 * the header name, will only search this column using amounts!
 *
 * Smarty Variables:
 *	$addActionName	The action name to get the action id for.
 *	$addID  		The id of the record to add.
 *	$addKey		The primary key column name of the record to add.
 *  $addColumn		The the column to add.
 *	$sortArgs		The sort arguments to pass to the sortLinks widget.
 *	$recordOffset	The current record offset value
 *	$imageDirectory	The image directory for this theme.
 * $extraparam	Extra parameter, if necessary
 * $extravalue	Extra param value, if necessary
 *  $sid			The current sessionID
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/quickAddLink.tpl" useEditIcon=0 addActionName="addAdminGroupResponse" addName="TRANS_FIRST_NAME" addColumn="clientCompany" addValue="$clients[i].clientCompany"}
 *}
{t c="TRANS_CLOSE" d="Close"}
{t c="TRANS_ADD" d="Add"}
{t c="TRANS_QUICK_ADD" d="Quick Add"}

{strip}
<a href="javascript:void(0);" onclick="return overlib('&lt;div style=\'white-space: nowrap\'&gt;
&lt;form method=\'post\' action=\'{$fileName}\'&gt;
&lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="$addActionName"}\' /&gt;
&lt;input type=\'hidden\' name=\'redirectURL\' value=\'{$fileName}\' /&gt;
&lt;input type=\'hidden\' name=\'redirectAction\' value=\'{$actionName}\' /&gt;
&lt;input type=\'hidden\' name=\'redirectArgs\' value=\'{$bookmarkArgs}\' /&gt;
&lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\' /&gt;
{if $extraparam}
&lt;input type=\'hidden\' name=\'{$extraparam}\' value=\'{$extravalue}\' /&gt;
{/if}
{$smarty.const.$addName}:&nbsp;
{escape type="html"}
<select name="{$addColumn}">
{escape type="quotes" strip=1}
{if $allowNull}<option value="">{$smarty.const.TRANS_NONE}</option>{/if}
{html_options options=$addOptions selected=$addSelected}
{/escape}
</select>
{/escape}
&lt;input type=\'submit\' name=\'submit\' value=\'{$smarty.const.TRANS_ADD}\' /&gt;
&lt;/form&gt;&lt;/div&gt;', BGCLASS, 'popupBG', FGCLASS, 'popupFG', CENTER, STICKY, CAPTION, '{$smarty.const.TRANS_QUICK_ADD}', CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=13 height=13 border=0 /&gt;');" onmouseout="return nd();">
{if $useEditIcon}
<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" alt="{$smarty.const.TRANS_QUICK_ADD}" title="{$smarty.const.TRANS_QUICK_ADD}" />
{elseif $addMessage}
{$smarty.const.$addMessage}
{else}
<img src="{$imageDirectory}/spacer.gif" width="10" height="10" alt="{$smarty.const.TRANS_QUICK_ADD}" title="{$smarty.const.TRANS_QUICK_ADD}" />
{/if}
</a>
{/strip}
