{* $Id: quickApplyPayment.tpl,v 1.5 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This widget template is used to display the quick manual payment popup div.
 *
 *
 * Smarty Variables:
 *	$actionName     The action name to get the action id for.
 *	$invoiceID 	    The primary key column name of the record to add.
 *  $sid            The current sessionID
 *  $lineItems      The line items they can pay for in an array
 *  $redirectURL    The php script to redirect to
 *  $redirectAction The action name for the redirect
 *  $redirectArgs   The args to send through the url to the redirectURL BESIDES the sid and actionID
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/quickApplyPayment.tpl"
 *            actionName="ProcessManualPayment"
 *            formName="quickpaymentform"
 *            lineItems=$lineItemsArray
 *            sid=$sid
 *            billingAccounts=$billingAccountOptions
 *            invoiceID=$invoiceID
 *            defaultAmount=$defaultAmount
 *            localeArray=$localeArray
 *            currencyID=$currencyID
 *            paymentTypes=$typesArray
 *            redirectURL="invoice.php"
 *            redirectAction="ShowInvoiceDetails"
 *            redirectArgs=""}
 *}

{t c="TRANS_CLOSE" d="Close"}
{t c="TRANS_QUICK_APPLY_PAYMENT" d="Quick Manual Payment"}
{t c="TRANS_APPLY_MANUAL_PAYMENT_LEGEND" d="Apply Manual Payment"}
{t c="TRANS_MANUAL_PAYMENT_APPLY" d="Apply Payment"}
{t c="TRANS_MANUAL_METHOD_OF_PAYMENT" d="Payment Method"}
{t c="TRANS_APPLY_MANUAL_PAYMENT_TO" d="Apply Payment To"}
{t c="TRANS_MANUAL_PAYMENT_ENTIRE_INVOICE" d="Entire Invoice"}
{t c="TRANS_MANUAL_PAYMENT_SELECTED_LINEITEMS" d="Selected Line Items"}
{t c="TRANS_ADDON_PREFIX" d=" &rarr; "}
{t c="TRANS_LINEITEM_ADDUP_TOTAL" d="Total"}
{t c="TRANS_LINE_ITEM_BALANCE" d="Balance Due"}
{t c="TRANS_QUICKPAYMENT_INVOICE_AMOUNT" d="Amount Of Payment"}
{t c="TRANS_LINE_ITEM_TOTAL" d="Total"}
{t c="TRANS_AMOUNT_TO_PAY" d="Amount to Pay"}
{t c="TRANS_CHECK_NUMBER" d="Check Number"}
{t c="TRANS_THIS_TRANSACTION_CODE" d="Transaction Code"}
{t c="TRANS_MANUAL_PAYMENT_COMMENT" d="Manual Payment Applied"}
{t c="TRANS_QUICKPAYMENT_COMMENTS" d="Payment Comments"}
{t c="TRANS_CHOOSE_BILLING_ACCOUNT" d="Choose Billing Account"}
{t c="TRANS_GENERAL_MANUAL_PAYMENT_ACCOUNT" d="General Manual Payment"}

<script language="javascript">
<!--
{literal}
    function XKhandlePaymentMethod(x){

        if (x==3){
            // check
            document.getElementById('paymentExtra').className = 'on';
            document.getElementById('paymentCheck').className = 'on';
            document.getElementById('paymentCard').className = 'off';
        } else if (x==1 || x==2 || x==4 || x==5){
            // card (or echeck, bank draft)
            document.getElementById('paymentExtra').className = 'on';
            document.getElementById('paymentCheck').className = 'off';
            document.getElementById('paymentCard').className = 'on';
        } else {
            document.getElementById('paymentExtra').className = 'off';
        }
    }
{/literal}

//-->
</script>

<a style="text-decoration: none;" href="javascript:void(0);"
{strip}
onclick="return overlib('&lt;form method=\'post\' action=\'invoices.php\' name=\'{$formName}\' id=\'{$formName}\'&gt;
                        &lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action="ProcessManualPayment"}\' /&gt;
                        &lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\'&gt;
                        &lt;input type=\'hidden\' name=\'subaction\' value=\'applypayment\'&gt;
                        &lt;input type=\'hidden\' name=\'invoiceID\' value=\'{$invoiceID}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectURL\' value=\'{$redirectURL}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectAction\' value=\'{$redirectAction}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectArgs\' value=\'{$redirectArgs}\'&gt;

                        &lt;fieldset&gt;
                            &lt;legend&gt;{$smarty.const.TRANS_APPLY_MANUAL_PAYMENT_LEGEND}&lt;/legend&gt;
                            &lt;table width=\'350\'&gt;
                            &lt;tr&gt;

                                &lt;td style=\&quot;white-space: nowrap;\&quot; align=\&quot;right\&quot;&gt;{$smarty.const.TRANS_CHOOSE_BILLING_ACCOUNT}&lt;/td&gt;
                                &lt;td&gt;
                                    &lt;select name=\'billingAccountID\'&gt;
                                        {mb_html_options encodeoutput="yes" options=$billingAccounts}
                                        &lt;option value=&quot;0&quot; &gt;{$smarty.const.TRANS_GENERAL_MANUAL_PAYMENT_ACCOUNT}&lt;/option&gt;
                                    &lt;/select&gt;
                                &lt;/td&gt;

                            &lt;/tr&gt;
                            &lt;tr&gt;

                                &lt;td style=\&quot;white-space: nowrap;\&quot; align=\&quot;right\&quot;&gt;{$smarty.const.TRANS_MANUAL_METHOD_OF_PAYMENT}&lt;/td&gt;
                                &lt;td&gt;
                                    &lt;select name=\'paymentMethod\' onchange=\&quot;XKhandlePaymentMethod(this.options[this.selectedIndex].value);\&quot;&gt;
                                        {mb_html_options encodeoutput="yes" options=$paymentTypes selected=3}
                                    &lt;/select&gt;
                                &lt;/td&gt;

                            &lt;/tr&gt;

                            &lt;tbody id=\&quot;paymentExtra\&quot;&gt;
                            &lt;tr&gt;
                                &lt;td align=\&quot;right\&quot;&gt; &lt;div id=\&quot;paymentCheck\&quot;&gt;{$smarty.const.TRANS_CHECK_NUMBER}&lt;/div&gt; &lt;div id=\&quot;paymentCard\&quot; class=\&quot;off\&quot;&gt;{$smarty.const.TRANS_THIS_TRANSACTION_CODE}&lt;/div&gt; &lt;/td&gt;
                                &lt;td&gt;

                                    &lt;input type=&quot;text&quot; name=\&quot;transactionCode\&quot; size=\&quot;25\&quot; value=\&quot;\&quot; /&gt;

                                &lt;/td&gt;

                            &lt;/tr&gt;
                            &lt;/tbody&gt;

                            &lt;tr&gt;
                                &lt;td style=\&quot;white-space: nowrap;\&quot; align=\&quot;right\&quot;&gt;{$smarty.const.TRANS_APPLY_MANUAL_PAYMENT_TO}&lt;/td&gt;
                                &lt;td style=\&quot;white-space: nowrap;\&quot;&gt;&lt;input type=\&quot;radio\&quot; name=\&quot;applyPaymentTo\&quot; checked=&quot;checked&quot; value=\&quot;invoice\&quot; onmouseup=\&quot;toggleOff(\'{$formName}_lineitems\');toggleOn(\'{$formName}_amount\');\&quot; /&gt; {$smarty.const.TRANS_MANUAL_PAYMENT_ENTIRE_INVOICE} &amp;nbsp;&amp;nbsp;&amp;nbsp;
                                &lt;input type=\&quot;radio\&quot; name=\&quot;applyPaymentTo\&quot; value=\&quot;lineitems\&quot; onmouseup=\&quot;toggleOn(\'{$formName}_lineitems\');toggleOff(\'{$formName}_amount\');\&quot; /&gt; {$smarty.const.TRANS_MANUAL_PAYMENT_SELECTED_LINEITEMS}&lt;/td&gt;

                            &lt;/tr&gt;
                            &lt;tbody id=\'{$formName}_lineitems\' class=\'off\'&gt;
                            &lt;tr&gt;
                                &lt;td&gt;&lt;/td&gt;
                                &lt;td&gt;

                                    &lt;table cellpadding=&quot;3&quot; cellspacing=&quot;2&quot; class=&quot;ledger&quot; border=&quot;0&quot;&gt;

                                        &lt;tr&gt;
                                             &lt;th class=&quot;green&quot; &gt; {$smarty.const.TRANS_PACKAGE_ID} &lt;/th&gt;
                                             &lt;th class=&quot;green&quot; &gt; {$smarty.const.TRANS_DESCRIPTION} &lt;/th&gt;
                                             &lt;th class=&quot;green&quot; &gt; {$smarty.const.TRANS_LINE_ITEM_BALANCE} &lt;/th&gt;
                                             &lt;th &gt; {$smarty.const.TRANS_AMOUNT_TO_PAY} &lt;/th&gt;
                                        &lt;/tr&gt;

        {section name="j" loop=$lineItems}
                 &lt;tr class=\&quot;{cycle values="alt1,alt2"}{if $didfirst==''}{assign var="didfirst" value="yes"} total{/if}\&quot;&gt;
                {if $lineItems[j].packageAddonID>0}
                     &lt;td style=\&quot;white-space: nowrap;\&quot; valign=&quot;top&quot;&gt;{$smarty.const.TRANS_ADDON_PREFIX}{$lineItems[j].packageAddonID}&lt;/td&gt;
                {else}
                     &lt;td valign=&quot;top&quot;&gt;{$lineItems[j].packageID}&lt;/td&gt;
                {/if}
                     &lt;td valign=&quot;top&quot;&gt;{$lineItems[j].lineItemDescription}&lt;/td&gt;
                     &lt;td align=&quot;right&quot; valign=&quot;top&quot;&gt;{$lineItems[j].lineItemAmountDue|getAmount:$currencyID|escape:html}&lt;/td&gt;
                     &lt;td valign=&quot;top&quot;&gt;&lt;input type=text onkeyup=&quot;document.getElementById(\'{$formName}_totaldiv\').innerHTML=XKformatNumber(\'{$currencyID} {$localeArray.locale_pattern_currency}\', XKgetFormFieldTotals(document.{$formName}, \'lineItemPayments\'), \'{$localeArray.locale_separator_decimal}\', \'{$localeArray.locale_separator_grouping}\');&quot; onblur=&quot;this.value=XKformatNumber(\'{$currencyID} {$localeArray.locale_pattern_currency}\', this.value, \'{$localeArray.locale_separator_decimal}\', \'{$localeArray.locale_separator_grouping}\');&quot; size=\&quot;13\&quot; name=\&quot;lineItemPayments[{$lineItems[j].lineItemID}]\&quot; value=\&quot;0.00\&quot; /&gt;&lt;/td&gt;

                &lt;/tr&gt;
        {/section}

                &lt;tr class=&quot;total&quot;&gt;
                     &lt;td&gt; &lt;/td&gt;
                     &lt;td&gt; &lt;/td&gt;
                     &lt;td align=&quot;right&quot;&gt; &lt;strong&gt;{$smarty.const.TRANS_LINEITEM_ADDUP_TOTAL}: &lt;/strong&gt;&lt;/td&gt;
                     &lt;td&gt;&lt;div id=&quot;{$formName}_totaldiv&quot;&gt; &lt;/div&gt; &lt;/td&gt;

                &lt;/tr&gt;


                                    &lt;/table&gt;

                                &lt;/td&gt;

                            &lt;/tr&gt;
                            &lt;/tbody&gt;

                            &lt;tbody id=\'{$formName}_amount\'&gt;
                            &lt;tr&gt;
                                &lt;td align=\&quot;right\&quot;&gt; {$smarty.const.TRANS_QUICKPAYMENT_INVOICE_AMOUNT} &lt;/td&gt;
                                &lt;td&gt;

                                    &lt;input type=&quot;text&quot; onblur=&quot;this.value=XKformatNumber(\'{$currencyID} {$localeArray.locale_pattern_currency}\', this.value, \'{$localeArray.locale_separator_decimal}\', \'{$localeArray.locale_separator_grouping}\');&quot; name=&quot;paymentAmount&quot; size=&quot;9&quot; value=&quot;{$defaultAmount|getAmount:$currencyID|escape:html}&quot; /&gt;

                                &lt;/td&gt;

                            &lt;/tr&gt;
                            &lt;/tbody&gt;

                            &lt;tr&gt;
                                &lt;td align=\&quot;right\&quot;&gt; {$smarty.const.TRANS_QUICKPAYMENT_COMMENTS} &lt;/td&gt;
                                &lt;td&gt;

                                    &lt;input type=&quot;text&quot; name=&quot;paymentComments&quot; size=&quot;25&quot; value=&quot;{$smarty.const.TRANS_MANUAL_PAYMENT_COMMENT}&quot; /&gt;

                                &lt;/td&gt;

                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; &lt;/td&gt;
                                &lt;td&gt;&lt;input type=\'submit\' value=\'{$smarty.const.TRANS_MANUAL_PAYMENT_APPLY}\' /&gt;&lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;/table&gt;
                        &lt;/fieldset&gt;
                    &lt;/form&gt;',
                        BGCLASS,
                        'popupBG',
                        FGCLASS,
                        'popupFG',
                        CENTER,
                        STICKY,
                        CAPTION,
                        '{$smarty.const.TRANS_QUICK_APPLY_PAYMENT}',
                        CLOSECLICK,
                        CLOSETEXT,
                        '&lt;img src={$imageDirectory}/ico/remove.gif width=13 height=13 border=0 /&gt;');"
                        onmouseout="return nd();"> {/strip}
                        <img align="middle" src="{$imageDirectory}/ico/055.gif" width="13" height="13" alt="{$smarty.const.TRANS_QUICK_APPLY_PAYMENT}" title="{$smarty.const.TRANS_QUICK_APPLY_PAYMENT}" />
                          {$smarty.const.TRANS_QUICK_APPLY_PAYMENT}</a>