{* $Id: showEventStatus.tpl,v 1.4 2006/04/18 21:34:54 achrist Exp $
 * --------------------------------------------------------------
 * This widget displays the status bar for running system events.
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_NONE" d="none"}
{t c="TRANS_FETCHING_DATA" d="Fetching data, please wait . . ."}
{t c="TRANS_TOTAL_EVENTS_RUNNING" d="Total events running"}
{t c="TRANS_STOP" d="stop"}
{t c="TRANS_STOPPING" d="stopping"}

<script type="text/javascript" src="../include/ajax/core/ajax.inc.js"></script>
<script type="text/javascript">
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);

	{literal}
	function checkSystemEventStatus() {
		cp.call('{/literal}events.php?action={getActionID action="ShowEventStatusBar"}&ajax=1&sid={$sid}{literal}', 'checkSystemEventStatus', checkSystemEventStatusResponse);
		return false;
	}

	function checkSystemEventStatusResponse(result) {
		if (result) {
			document.getElementById("xmlhttpoutput").innerHTML = result;
		} else {
			eventStatusBar.togglePause();
			eventStatusBar.hideBar();
			document.getElementById("xmlhttpoutput").innerHTML = {/literal}"<table width=\"100%\"><tr><td align=\"left\"><strong>{$smarty.const.TRANS_TOTAL_EVENTS_RUNNING}</strong>: <i>{$smarty.const.TRANS_NONE}</i></td></tr></table>"{literal};
		}
	}
	{/literal}
</script>
<center>
	<div style="border:0px solid #CFCDC7; height:30px; width:400px;overflow:hidden" id="xmlhttpoutput">
		<table width="100%">
		<tr>
			<td align="left">
				<strong>{$smarty.const.TRANS_TOTAL_EVENTS_RUNNING}</strong>: <i>{$smarty.const.TRANS_FETCHING_DATA}</i>
			</td>
			<td align="right">
				<a href="{getHREF page="events.php" actionName="StopEvents" args=""}"><img src="{$imageDirectory}/ico/clock_stop.gif" width="16" height="16" align="middle" alt="{$smarty.const.TRANS_STOP}" title="{$smarty.const.TRANS_STOP}" /></a>
			</td>
		</tr>
		</table>
	</div>
	<script language="javascript">
	var eventStatusBar=createBar(400,4,'#EFEFEF',1,'#EFEFEF','#396DA5',20,20,1,'checkSystemEventStatus()');
	</script>
</center>
<br />

{*
There are ten different parameters which controls how each bar looks and acts:
var xyz = createBar( width, height, background_color, border_width, border_color, block_color, scroll_speed, block_count, action_count, action_string )

    * xyz - An arbitrary variable name to store the bar reference and must be unique. This variable will have a few different methods (explained later) which can be used to control some of each bar's behavior. This variable IS REQUIRED if you wish to use these methods. However, if you do not plan to use the methods, then the variable assignment is not necessary, but it won't hurt to use it anyway.
    * width - Total width of the entire bar in pixels.
    * height - Total height of the entire bar in pixels.
    * background_color - Background color of the bar. Use valid CSS color or HEX color code value.
    * border_width - The width of the border around the bar, in pixels.
    * border_color - The color of the border around the bar. Use valid CSS color or HEX color code value.
    * block_color - The darkest color of the individual blocks. The color will progressively become more transparent. Use valid CSS color or HEX color code value.
    * scroll_speed - The delay, in milliseconds, between each scroll step. Use smaller values for faster scoll speeds.
    * block_count - The total number of blocks to use.
    * action_count - The number of times the bar is to scroll before action_string is performed.
    * action_string - The javascript function, in string form, to execute once the bar has scrolled action_count times. Set this to an empty string to do nothing. If doing nothing, you can use any number as action_count.
*}
