{* $Id: keyValueOutput.tpl,v 1.1 2006/07/24 22:19:43 bsmith Exp $
 * --------------------------------------------------------------
 * This bookmark template displays the admin's bookmarks.
 *
 * Smarty Variables:
 *	$title			The title of the ouput
 *	$message		The main body of the element
 *	$actionName		The current action name
 *  $sid			The current sessionID
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/showBookmarks.tpl"}
 *
 * Author: Brian Smith
 *}
{strip}
{if $title==""}
	{assign var=title value=$data.title}
{/if}

{if $message==""}
	{assign var=message value=$data.message}
{/if}
{/strip}

<div style="border:1px solid black;width:600px;padding:5px;margin:5px;" class="alt2">
	{if $title}
		{strip}
		<h2>
			{if $smarty.const.$title}
				{$smarty.const.$title}
			{else}
				{$title}
			{/if}
		</h2>
		{/strip}
	{/if}

	{if count($message)>1}
		{foreach from=$message item=msg}
			{assign var=label value=$msg.label}
			<div>
				{strip}
				<label>
					{if $smarty.const.$label}
						{$smarty.const.$label}
					{else}
						{$label}
					{/if}
				</label>
				{/strip}
				{$msg.message}
			</div>
		{/foreach}
	{else}
		{$message|nl2br}
	{/if}
</div>
