{* $Id: PayInvoices.tpl,v 1.10 2006/06/09 20:36:41 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the client dashboard.
 *
 * Smarty Variables:
 *  $invoices (array of invoice data)
 *  $packages (array of package data)
 *
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *	$tplDirectory	The relative path to the theme's template directory
 *
 * Author: Michael Fountain
 * Author: Kris Bailey
 *}
{t c="TRANS_ACCOUNT_SUMMARY" d="Account Summary"}
{t c="TRANS_PACKAGE_SUMMARY" d="Package Summary"}
{t c="TRANS_DOMAIN_SUMMARY" d="Domain Summary"}
{t c="TRANS_SSLCERT_SUMMARY" d="SSL Certificate Summary"}
{t c="TRANS_NONE" d="None"}
{t c="TRANS_ACCOUNTING_ACCOUNTS_LABEL" d="Account"}
{t c="TRANS_ACCOUNT_BALANCE" d="Account Balance"}
{t c="TRANS_AVAILABLE_CREDIT" d="Available Credits"}
{t c="TRANS_BALANCE" d="Balance"}
{t c="TRANS_OPEN_TICKETS" d="Open Tickets"}
{t c="TRANS_INVOICES_DUE" d="Invoices Due"}
{t c="TRANS_ACTIVE_BILLABLE_PACKAGES" d="Active & Billable Packages"}
{t c="TRANS_NEWS_AND_ANNOUNCMENTS" d="News & Announcements"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_PRODUCT" d="Product"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_BILLING_CYCLE" d="Billing Cycle"}
{t c="TRANS_NEXT_RENEWAL" d="Next Renewal"}
{t c="TRANS_MANAGE" d="Manage"}
{t c="TRANS_ACTION" d="Action"}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_AMOUNT_PAID" d="Amount Paid"}
{t c="TRANS_DATE_GENERATED" d="Date Generated"}
{t c="TRANS_DATE_DUE" d="Date Due"}
{t c="TRANS_PAY_NOW" d="Pay Now"}
{t c="TRANS_TOTAL_TO_PAY" d="Total Amount Due: "}
{t c="TRANS_AMOUNT_DUE" d="Amount Due"}

{t c="TRANS_INVOICE_PAYMENT_METHOD" d="Payment Method: "}
{t c="TRANS_EXISTING_BILLING_ACCOUNT" d="Existing Billing Account"}
{t c="TRANS_NEW_BILLING_ACCOUNT" d="New Billing Account Information"}

{t c="TRANS_CHOOSE_BILLING_ACCOUNT" d="Choose Billing Account: "}

{t c="TRANS_PAY_AMOUNT_DUE" d="Confirm Payment Of: "}
{t c="TRANS_NAME_ON_CARD" d="Name On Card"}
{t c="TRANS_BILLING_ACCOUNT_TYPE" d="Account Type"}
{t c="TRANS_CARD_TYPE" d="Card Type"}
{t c="TRANS_BILLING_CARD_NUM" d="Card Number"}
{t c="TRANS_BILLING_CC_EXP_DATE" d="Expiration Date"}
{t c="TRANS_BILLING_CARD_START_DATE" d="Card Start Date"}
{t c="TRANS_BILLING_CARD_ISSUE_NUM" d="Card Issue Number"}
{t c="TRANS_NEW_BILLING_ACCOUNT" d="New Billing Account"}

{t c="TRANS_PROCESSING_TRANSACTION_PLEASE_WAIT" d="Processing Transaction, Please Wait..."}
{t c="TRANS_BILLING_CARD_CVV2" d="CVV2 Number: "}

{t c="TRANS_MUST_HAVE_CC_NUM" d="You must provide a credit card number in order to proceed unless you use an existing billing account."}

{include file="$tplDirectory/header.tpl" tabMajor="dashboard"}

{foreach key="paymentGroupID" item="item" from=$invoiceGroups}

        {assign var="invoices" value=$item.invoices}

        <form method="post" action="invoices.php" onsubmit="{literal}if (this.billingCardNum.value==''&&this.billingAccountID.selectedIndex==0){alert('{/literal}{$smarty.const.TRANS_MUST_HAVE_CC_NUM}{literal}');return false;}else{this.sub.disabled=true; this.sub.value='{/literal}{$smarty.const.TRANS_PROCESSING_TRANSACTION_PLEASE_WAIT}{literal}';}{/literal}">
        <input type="hidden" name="paymentGroupID" value="{$paymentGroupID}">
        <input type="hidden" name="sid" value="{$sid}">
        <input type="hidden" name="action" value="{getActionID action="PayInvoicesResponse"}">
        <input type="hidden" name="payTotal" value="{$item.payTotal}">

		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_INVOICES_DUE}: {$invoices.0.currencyID}</h1></div>
			<table width="100%"  border="0" cellspacing="2" cellpadding="0" class="list">
				<tr class="subHeaderRow" bgcolor="#CCCCCC">
					<td class="firstTD" style="text-align: center;">
						{$smarty.const.TRANS_INVOICE_NUMBER}
					</td>
					<td style="text-align: center;">
						{$smarty.const.TRANS_AMOUNT}
					</td>
					<td style="text-align: center;">
						{$smarty.const.TRANS_AMOUNT_PAID}
					</td>
					<td style="text-align: center;">
						{$smarty.const.TRANS_DATE_GENERATED}
					</td>
					<td style="text-align: center;">
						{$smarty.const.TRANS_DATE_DUE}
					</td>
					<td style="text-align: center;">
						{$smarty.const.TRANS_STATUS}
					</td>
					<td style="text-align: center;">
						{$smarty.const.TRANS_AMOUNT_DUE}
					</td>
				</tr>
			{section name=i loop=$invoices}
				<tr>
					<td style="text-align: center;">
						<input type="hidden" name="invoiceIDs[]" value="{$invoices[i].invoiceID}">
						{$invoices[i].invoiceNumber}
					</td>
					<td style="text-align: right;">
						{$invoices[i].invoiceAmount|getAmount:$invoices[i].currencyID}
					</td>
					<td style="text-align: right;">
						{$invoices[i].invoiceAmountPaid|getAmount:$invoices[i].currencyID}
					</td>
					<td style="text-align: center;">
						{$invoices[i].invoiceDateEntered|getDate}
					</td>
					<td style="text-align: center;">
						{$invoices[i].invoiceDateDue|getDate}
					</td>
					<td style="text-align: center;">
						{$invoices[i].invoiceStatus|getStatusName:"invoice"}
					</td>
					<td style="text-align: right;">
						{$invoices[i].invoiceAmountDue|getAmount:$invoices[i].currencyID}
					</td>
				</tr>
			{sectionelse}
				<tr>
					<td style="text-align: left;" colspan="7"><i>{$smarty.const.TRANS_NONE}</i></td>
				</tr>
			{/section}

				<tr>
					<td colspan="6" style="text-align: right;">{$smarty.const.TRANS_TOTAL_TO_PAY}</td>
					<td style="text-align: right;"><strong>{$item.payTotal|getAmount:$invoices.0.currencyID}</strong></td>
				</tr>

			</table>

			<table border="0" width="100%" class="tab06">
				<tr>
					<td align="right">{$smarty.const.TRANS_CHOOSE_BILLING_ACCOUNT} </td>
					<td style="text-align: left;"><select style="width: 300px;" name="billingAccountID" onchange="{literal}if (this.selectedIndex>0){hideobjbyid('newaccount{/literal}{$paymentGroupID}{literal}');}else{showobjbyid('newaccount{/literal}{$paymentGroupID}{literal}');}{/literal}">
						<option value="0">{$smarty.const.TRANS_NEW_BILLING_ACCOUNT}</option>
						{html_options options=$billingAccounts}
					</select></td>
				</tr>
				<tr>
					<td></td>
					<td style="text-align: left;"><hr /></td>
				</tr>
				<tr id="newaccount{$paymentGroupID}">
					<td align="right" valign="top">{$smarty.const.TRANS_NEW_BILLING_ACCOUNT}: </td>
					<td style="text-align: left;">
						<table border="0" width="100%">
							<tr>
								<td align="right">{$smarty.const.TRANS_NAME_ON_CARD}</td>
								<td style="text-align: left;"><input type="text" name="billingCardNameOnCard"></td>
							</tr>
							<tr>
								<td align="right">{$smarty.const.TRANS_BILLING_ACCOUNT_TYPE}</td>
								<td style="text-align: left;"><select name="billingAccountType">
									<option value="0">{$smarty.const.TRANS_CREDIT_CARD}</option>
									<!-- <option value="1">{$smarty.const.TRANS_ECHECK}</option> -->
								</select></td>
							</tr>
							<tr>
								<td align="right">{$smarty.const.TRANS_CARD_TYPE}</td>
								<td style="text-align: left;"><select name="billingCardType">{html_options options=$item.cardTypes}</select></td>
							</tr>

							<tr>
								<td align="right">{$smarty.const.TRANS_BILLING_CARD_NUM}</td>
								<td style="text-align: left;"><input type="text" name="billingCardNum"></td>
							</tr>

							<tr>
								<td align="right">{$smarty.const.TRANS_BILLING_CARD_CVV2}</td>
								<td style="text-align: left;"><input type="text" name="cardCVV2" size="4"></td>
							</tr>

							<tr>
								<td align="right">{$smarty.const.TRANS_BILLING_CC_EXP_DATE}</td>
								<td style="text-align: left;"><select style="width: 45px;" name="billingCardExpMonth">
									<option label="01" value="01">01</option>
									<option label="02" value="02">02</option>
									<option label="03" value="03">03</option>
									<option label="04" value="04">04</option>
									<option label="05" value="05">05</option>
									<option label="06" value="06">06</option>
									<option label="07" value="07">07</option>
									<option label="08" value="08">08</option>
									<option label="09" value="09">09</option>
									<option label="10" value="10">10</option>
									<option label="11" value="11">11</option>
									<option label="12" value="12">12</option>
									</select>
									<select style="width: 65px;" name="billingCardExpYear">
										{html_options options=$cardYears}
									</select></td>
							</tr>

							<tr>
								<td align="right">{$smarty.const.TRANS_BILLING_CARD_START_DATE}</td>
								<td style="text-align: left;"><input type="text" name="billingCardStartDate"></td>
							</tr>

							<tr>
								<td align="right">{$smarty.const.TRANS_BILLING_CARD_ISSUE_NUM}</td>
								<td style="text-align: left;"><input type="text" name="billingCardIssueNum"></td>
							</tr>

						</table>
					</td>
				</tr>

				<tr>
					<td></td>
					<td><input class="submit" type="submit" name="sub" value="{$smarty.const.TRANS_PAY_AMOUNT_DUE} {$item.payTotal|getAmount:$invoices.0.currencyID}"></td>
				</tr>

			</table>



		</div>{* box07 *}
		</form>
	<br />

{/foreach}

{include file="$tplDirectory/footer.tpl"}
