{* $Id: ShowBillingAccounts.tpl,v 1.8 2006/07/04 07:14:38 bwoolley Exp $
 * --------------------------------------------------------------
 * This template displays a list of billingaccounts.
 *
 * Smarty Variables:
 *	$billingaccounts (array of billingaccounts that match criteria)
 *
 *}
 {t c="TRANS_MANAGE_BILLING_ACCOUNTS" d="Manage Billing Accounts"}
 {t c="TRANS_ADD_BILLING_ACCOUNT" d="Add Billing Account"}
 {t c="TRANS_ACCOUNT" d="Account"}
 {t c="TRANS_TYPE" d="Type"}
{include file="$tplDirectory/header.tpl" tabMajor="profile" tabMinor="billing"}

<div class="box07">
	<div class="st01"><h1>{$smarty.const.TRANS_MANAGE_BILLING_ACCOUNTS}</h1></div>

	<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">

	<tr>
		<th colspan="5">
			<span class="floatright">
				<a href="{getHREF page="profile.php" actionName="AddBillingAccount"}">
					{$smarty.const.TRANS_ADD_BILLING_ACCOUNT}
					<img src="{$imageDirectory}/ico/011.gif" width="13" height="13" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a>
			</span>
		</th>
	</tr>

	<tr class="subHeaderRow" bgcolor="#CCCCCC">
		<td class="firstTD" style="text-align: center;">
			{$smarty.const.TRANS_ACCOUNT}
		</td>
		<td  style="text-align: center;">
			{$smarty.const.TRANS_TYPE}
		</td>
		<td  style="text-align: center;">
			{$smarty.const.TRANS_STATUS}
		</td>
		<td  style="text-align: center;">
		</td>
	</tr>

	{section name=i loop=$billingAccounts}
		{assign var=billingAccountID value=$billingAccounts[i].billingAccountID}

		<tr>
			<td style="text-align: left;">
				{$billingAccounts[i].billingAccountDisplayName}
			</td>
			<td style="text-align: left;">
				{$billingAccounts[i].billingAccountType|getTypeName:"billingAccount"}
			</td>
			<td style="text-align: left;">
				{$billingAccounts[i].billingAccountStatus|getStatusName:"billingAccount"}
			</td>
			<td style="text-align: left;">
				<a href="{getHREF page="profile.php"
							actionName="EditBillingAccount"
							args="billingAccountID=$billingAccountID"}">
					<img src="{$imageDirectory}/ico/edit.gif" width="13" height="13" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a>
				&nbsp;
				<a href="{getHREF page="profile.php"
							actionName="RemoveBillingAccount"
							args="clientContactID=$clientContactID"}">
					<img src="{$imageDirectory}/ico/remove.gif" width="13" height="13" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a>
			</td>
		</tr>
	
	{sectionelse}
		<tr>
			<td style="text-align: left;" colspan="5"><i>{$smarty.const.TRANS_NONE}</i></td>
		</tr>
	{/section}
	</table>
</div>{* box07 *}
<br />

{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}
