{* $Id: ShowClientContacts.tpl,v 1.15 2006/07/04 07:14:38 bwoolley Exp $
 * --------------------------------------------------------------
 * This template displays the domains.
 *
 * Smarty Variables:
 *  $client (array of client data if this is the primary contact)
 *  $contacts (array of contact data)
 *
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *	$tplDirectory	The relative path to the theme's template directory
 *
 * Author: Andy Christ
 * Author: Brian Smith
 *}

{t c="TRANS_MANAGE_CONTACTS" d="Manage Contacts"}

{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_EMAIL" d="e-mail"}
{t c="TRANS_EMAIL_HTML" d="HTLM"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_ADDRESS_1" d="Address 1"}
{t c="TRANS_ADDRESS_2" d="Address 2"}
{t c="TRANS_CITY" d="City"}
{t c="TRANS_STATE" d="State"}
{t c="TRANS_ZIP" d="Zip"}
{t c="TRANS_PHONE_1" d="Phone 1"}
{t c="TRANS_PHONE_2" d="LastName"}
{t c="TRANS_FAX" d="Fax"}
{t c="TRANS_PRIMARY" d="Primary"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_LANGUAGE" d="Language"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_ADD_CONTACT" d="Add Contact"}

{include file="$tplDirectory/header.tpl" tabMajor="profile" tabMinor="contacts"}

<div class="box07">
	<div class="st01"><h1>{$smarty.const.TRANS_MANAGE_CONTACTS}</h1></div>

	<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="list">
	{if $isPrimary}
	<tr>
		<th colspan="5">
			<span class="floatright">
				<a href="{getHREF page="profile.php" actionName="AddClientContact" args="clientID=`$client.clientID`&clientContactID=$clientContactID"}">
					{$smarty.const.TRANS_ADD_CONTACT}
					<img src="{$imageDirectory}/ico/011.gif" width="13" height="13" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a>
			</span>
		</th>
	</tr>
	{/if}
	<tr class="subHeaderRow" bgcolor="#CCCCCC">
		<td class="firstTD" style="text-align: center;">
			{$smarty.const.TRANS_FIRST_NAME}
		</td>
		<td  style="text-align: center;">
			{$smarty.const.TRANS_LAST_NAME}
		</td>
		<td  style="text-align: center;">
			{$smarty.const.TRANS_USERNAME}
		</td>
		<td  style="text-align: center;">
			{$smarty.const.TRANS_EMAIL}
		</td>
		<td  style="text-align: center;">
		</td>
	</tr>
	{section name=i loop=$contacts}
		{assign var=clientContactID value=$contacts[i].clientContactID}
		<tr>
			<td style="text-align: left;">
				{$contacts[i].contactFirstName}
			</td>
			<td style="text-align: left;">
				{$contacts[i].contactLastName}
			</td>
			<td style="text-align: left;">
				{$contacts[i].contactUsername}
			</td>
			<td style="text-align: left;">
				{$contacts[i].contactEmail}
			</td>
			<td style="text-align: left;">
				<a href="{getHREF page="profile.php"
							actionName="EditClientContact"
							args="clientContactID=$clientContactID"}">
					<img src="{$imageDirectory}/ico/edit.gif" width="13" height="13" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a>
				&nbsp;
				<a href="{getHREF page="profile.php"
							actionName="ShowBillingAccounts"
							args="clientContactID=$clientContactID"}">
					<img src="{$imageDirectory}/ico/data.gif" width="13" height="13" align="middle" alt="" title=""  style="vertical-align:middle;border-style:none;" />
				</a>
			</td>
		</tr>
	{sectionelse}
		<tr>
			<td style="text-align: left;" colspan="5"><i>{$smarty.const.TRANS_NONE}</i></td>
		</tr>
	{/section}
	</table>
</div>{* box07 *}
<br />

{include file="$tplDirectory/footer.tpl"}
