{* $Id: NewOrder.tpl,v 1.21 2006/04/19 17:13:46 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Mark Garrett
 *}

{include
	file="$tplDirectory/$ofDir/header.tpl"}


{literal}
<script type="text/javascript" language="javascript" charset="utf-8">
	var USStateCodeDelimiter = "|";
	var USStateCodes = "AL|AK|AS|AZ|AR|CA|CO|CT|DE|DC|FM|FL|GA|GU|HI|ID|IL|IN|IA|KS|KY|LA|ME|MH|MD|MA|MI|MN|MS|MO|MT|NE|NV|NH|NJ|NM|NY|NC|ND|MP|OH|OK|OR|PW|PA|PR|RI|SC|SD|TN|TX|UT|VT|VI|VA|WA|WV|WI|WY|AE|AA|AE|AE|AP|AB|BC|MB|NB|NL|NT|NS|NU|ON|PE|QC|SK|YT";			
	function checkState(orderform) {
		if (orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '37' || orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '224'){
		   if (orderform.contactState.value == ''){
				alert({/literal}"{$smarty.const.TRANS_ORDER_STATE_REQUIRED}"{literal});
				return false;
			}else{
				if (orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '37' || orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '224'){
					orderform.contactState.value = orderform.contactState.value.toUpperCase();
					if ( (USStateCodes.indexOf(orderform.contactState.value) != -1) && (orderform.contactState.value.indexOf(USStateCodeDelimiter) == -1) && (orderform.contactState.value.length == 2) ){
						return true;
					}else{
						alert({/literal}"{$smarty.const.TRANS_ORDER_STATE_REQUIRED}"{literal}); 
					}
			   }
			}
		}else{
			return true;
		}
	} 

	var cango1 = false;
	var cango2 = false;

	function checkpassword(min, max, field1, field2, div){
		if (field1.value!=field2.value){
			div.innerHTML = "{/literal}<span style=\"color: red;\">{$smarty.const.TRANS_PASSWORDS_DONT_MATCH}</span>{literal}";
			cango1 = false;
		} else {
			if (field1.value.length<min || field1.value.length>max){
				div.innerHTML = "{/literal}<span style=\"color: red;\">{$smarty.const.TRANS_PASSWORD_LENGTH_NOT_ALLOWED}</span>{literal}";
				cango1 = false;
			} else {
				cango1 = true;
				div.innerHTML = "{/literal}<span style=\"color: green;\">{$smarty.const.TRANS_PASSWORD_ACCEPTED}</span>{literal}";
			}
		}
	}

	function minmax(min, max, field, div){
			if (field.value.length<min || field.value.length>max){
				div.innerHTML = "{/literal}<span style=\"color: red;\">{$smarty.const.TRANS_USERNAME_LENGTH_NOT_ALLOWED}</span>{literal}";
				cango2 = false;
			} else {
				cango2 = true;
				div.innerHTML = "{/literal}<span style=\"color: green;\">{$smarty.const.TRANS_USERNAME_ACCEPTED}</span>{literal}";
			}
	}
{/literal}
</script>

<script type="text/javascript" language="javascript" charset="utf-8">
	var cp = new cpaint();
	cp.set_transfer_mode('get');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);
	//cp.set_debug(2);

	var locale = "{$set_locale}";
	var slURL1 = '{getHREF page="checkwhois.php"}';

	{literal}
	function checkDomAvail(xtld, xsld, trans, idn) {
		var idnvalue = 0;

		for (idni=0; idni<idn.length; idni++){
			if (idn[idni][0]==xtld){
				idnvalue = idn[idni][1];
			}
		}

		var slURL = slURL1+"&sld="+xsld+"&tld="+xtld+"&trans="+trans+"&idn="+idnvalue+"&set_locale="+locale+"&ajax=1";
		document.getElementById('whoisCheck').innerHTML = "{/literal}<img src='{$imageDirectory}/spacer.gif' height='14' width='340' alt='' /><img src='{$imageDirectory}/loading.gif' height='14' width='14' alt='{$smarty.const.TRANS_ORDER_CHECKING_DOMAIN}' /> <b>{$smarty.const.TRANS_ORDER_CHECKING_DOMAIN}</b>{literal}";
		cp.call(slURL, 'checkDomAvail', checkDomAvailResponse);
		return false;
	}

	function checkDomAvailResponse(result) {
		if (result) {
			document.getElementById('whoisCheck').innerHTML = result;
		} else {
			{/literal}
			alert("{$smarty.const.TRANS_ORDER_DOM_CHECK_FAIL}");
			{literal}
		}
	}
	{/literal}
</script>

<script type="text/javascript" language="javascript" charset="utf-8">
	var cp2 = new cpaint();
	cp2.set_transfer_mode('get');
	cp2.set_response_type('text');
	cp2.set_use_cpaint_api(false);
	//cp2.set_debug(2);

	var locale2 = "{$set_locale}";
	var slURL2 = '{getHREF page="addorderproduct.php"}';

	{literal}
	function addDomainProduct(cpid, domain) {
		var exploded = cpid.split("|");
		if (document.domainform.domainLanguage){
		 var lang = document.domainform.domainLanguage.options[document.domainform.domainLanguage.selectedIndex].value;
		}else{
		 var lang = '';
		}
		var slURLb = slURL2+"&cycleID="+exploded[0]+"&productID="+exploded[1]+"&domainName="+domain+"&domainLanguage="+lang+"&set_locale="+locale2+"&ajax=1";
		document.getElementById('productDisplay').innerHTML = "{/literal}<img src='{$imageDirectory}/loading.gif' height='14' width='14' alt='{$smarty.const.TRANS_ORDER_ADDING_PRODUCT}' /> <b>{$smarty.const.TRANS_ORDER_ADDING_PRODUCT}</b>{literal}";
		cp2.call(slURLb, 'addDomainProduct', addDomainProductResponse);
		return false;
	}

	function initCopy(){
		var tf = document.productform;
		XKcopyRegisterConditionalField('checkbox', tf.useContactInfo);

		XKcopyRegisterCopyField(tf.clientFirstName);
		XKcopyRegisterCopyToField('clientFirstName', tf.registrantFirstName, 'useContactInfo');
		XKcopyRegisterCopyField(tf.clientLastName);
		XKcopyRegisterCopyToField('clientLastName', tf.registrantLastName, 'useContactInfo');
		XKcopyRegisterCopyField(tf.clientCompany);
		XKcopyRegisterCopyToField('clientCompany', tf.registrantOrganizationName, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactAddress1);
		XKcopyRegisterCopyToField('contactAddress1', tf.registrantAddress1, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactAddress2);
		XKcopyRegisterCopyToField('contactAddress2', tf.registrantAddress2, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactCity);
		XKcopyRegisterCopyToField('contactCity', tf.registrantCity, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactState);
		XKcopyRegisterCopyToField('contactState', tf.registrantStateProvince, 'useContactInfo');
		XKcopyRegisterCopyField(tf.countriesID);
		XKcopyRegisterCopyToField('countriesID', tf.registrantCountry, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactZip);
		XKcopyRegisterCopyToField('contactZip', tf.registrantPostalCode, 'useContactInfo');
		XKcopyRegisterCopyField(tf.clientEmail);
		XKcopyRegisterCopyToField('clientEmail', tf.registrantEmail, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactPhone1);
		XKcopyRegisterCopyToField('contactPhone1', tf.registrantPhone, 'useContactInfo');
		XKcopyRegisterCopyField(tf.contactFax);
		XKcopyRegisterCopyToField('contactFax', tf.registrantFax, 'useContactInfo');
	}

	function showProducts() {
		var slURLb = slURL2+"&set_locale="+locale2+"&ajax=1";
		document.getElementById('productDisplay').innerHTML = "{/literal}<img src='{$imageDirectory}/loading.gif' height='14' width='14' alt='{$smarty.const.TRANS_ORDERFROM_SHOWING_PRODUCTS}' /> <b>{$smarty.const.TRANS_ORDERFROM_SHOWING_PRODUCTS}</b>{literal}";
		cp2.call(slURLb, 'showProduct', addDomainProductResponse);
		return false;
	}

	function addDomainProductResponse(result) {
		if (result) {
			document.getElementById('productDisplay').innerHTML = result;
			initCopy();
		} else {
			{/literal}
			alert("{$smarty.const.TRANS_ORDER_DOM_CHECK_FAIL}");
			{literal}
		}
	}
	{/literal}
</script>

<script type="text/javascript" language="javascript" charset="utf-8">
	var cp3 = new cpaint();
	cp3.set_transfer_mode('get');
	cp3.set_response_type('text');
	cp3.set_use_cpaint_api(false);
//	cp3.set_debug(2);

	var locale3 = "{$set_locale}";
	var slURL3 = '{getHREF page="addorderproduct.php"}';

	{literal}
	function addProduct(product, cycle, domain, coupon) {
		var slURLc = slURL3+"&cycleID="+cycle+"&productID="+product+"&domainName="+domain+"&couponCode="+coupon+"&set_locale="+locale3+"&ajax=1&ordOnly=1";
		document.getElementById('yourOrder').innerHTML = "{/literal}<img src='{$imageDirectory}/loading.gif' height='14' width='14' alt='{$smarty.const.TRANS_ORDER_ADDING_PRODUCT}' /> <b>{$smarty.const.TRANS_ORDER_ADDING_PRODUCT}</b>{literal}";
		cp3.call(slURLc, 'addProduct', addProductResponse);
		return false;
	}

	function addProductResponse(result) {
		if (result) {
			document.getElementById('yourOrder').innerHTML = result;
		}
	}
	{/literal}
</script>

<script type="text/javascript" language="javascript" charset="utf-8">
	var cp4 = new cpaint();
	cp4.set_transfer_mode('get');
	cp4.set_response_type('text');
	cp4.set_use_cpaint_api(false);
	//cp4.set_debug(2);

	var locale4 = "{$set_locale}";
	var slURL4 = '{getHREF page="removeorderproduct.php"}';

	{literal}
	function removeProduct(product, cycle, domain) {

		var slURLd = slURL4+"&cycleID="+cycle+"&productID="+product+"&domainName="+domain+"&set_locale="+locale4+"&ajax=1";
		document.getElementById('yourOrder').innerHTML = "{/literal}<img src='{$imageDirectory}/loading.gif' height='14' width='14' alt='{$smarty.const.TRANS_ORDER_REMOVING_PRODUCT}' /> <b>{$smarty.const.TRANS_ORDER_REMOVING_PRODUCT}</b>{literal}";
		cp4.call(slURLd, 'removeProduct', removeProductResponse);
		return false;
	}

	function removeProductResponse(result) {
		if (result) {
			document.getElementById('yourOrder').innerHTML = result;
		}
	}
	{/literal}
</script>


<table  width="750" border="0" cellpadding="0" cellspacing="3" class="tab01">
<tr>
	<th scope="row">{$orderForm.orderFormName}</th>
</tr>
</table>

{if $domainInfo.optionsNumber}
	{include file="$tplDirectory/order/widgets/addDomain.tpl"}
{/if}

<div id="productDisplay">
</div>
{if $showProducts || !$domainInfo.optionsNumber}
	<script type="text/javascript" language="javascript" charset="utf-8">
	<!--
	showProducts();
	//-->
	</script>
{/if}


{include file="$tplDirectory/order/footer.tpl"}
