{* $Id: displayFinalOrder.tpl,v 1.16 2006/03/24 16:51:41 bwoolley Exp $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 * $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Mark Garrett
 *}

{include
	file="$tplDirectory/$ofDir/header.tpl"}

<script type="text/javascript" language="javascript" charset="utf-8">
	var cp = new cpaint();
	cp.set_transfer_mode('post');
	cp.set_response_type('text');
	cp.set_use_cpaint_api(false);
	//cp.set_debug(2);
	
	var locale3 = "{$set_locale}";
	var slURL3 = '{getHREF page="processorder.php"}';

	{literal}
	function processOrder() {
		var f = document.billingform;
		var tval = '';
		var slURLc = slURL3;
		var rad = '';

		for (uix=0; uix<f.elements.length; uix++){

			if (typeof f.elements[uix]!="undefined"){

				if (f.elements[uix].type=="text" || f.elements[uix].type=="hidden"){

					slURLc = slURLc + "&" + f.elements[uix].name + "=" + f.elements[uix].value;

				} else if (f.elements[uix].type.indexOf("select")!=-1){

					if (f.elements[uix].selectedIndex<0){
						f.elements[uix].selectedIndex = 0;
					}
					if (parseInt(f.elements[uix].selectedIndex+' ')<0){}else{
						slURLc = slURLc + "&" + f.elements[uix].name + "=" + f.elements[uix].options[f.elements[uix].selectedIndex].value;
					}

				} else if (f.elements[uix].type=="radio"){

					if (typeof f.elements[f.elements[uix].name]!="undefined" && typeof f.elements[f.elements[uix].name].length!="undefined"){
						rad = f.elements[f.elements[uix].name];
						for (iiu=0; iiu<rad.length; iiu++){
							if (typeof rad[iiu]!="undefined"){
								if (rad[iiu].checked==true){
									tval = rad[iiu].value;
								}
							}
						}
						slURLc = slURLc + "&" + f.elements[uix].name + "=" + tval;
					}
				}
			}
		}
		
		document.getElementById('billInfo').innerHTML = "{/literal}<img src='{$imageDirectory}/loading.gif' height='14' width='14' alt='{$smarty.const.TRANS_ORDER_PROCESSING_ORDER}' /> <b>{$smarty.const.TRANS_ORDER_PROCESSING_ORDER}</b>{literal}";
		cp.call(slURLc, 'processOrder', processOrderResponse);
		return false;
	}

	function processOrderResponse(result) {
		if (result) {
			document.getElementById('billInfo').innerHTML = result;
		}
	}
	{/literal}
</script>
<center>
<table width="750" border="0" cellspacing="0" cellpadding="0" class="tab00">
	<tr>
		<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_VERIFY_INFO}:</h1></td>
	</tr>
	<tr>
		<td class="box010">
			<table width="100%" border="0" cellspacing="5" cellpadding="0">
				<tr class="w230">
					<td><h3>{$smarty.const.TRANS_ORDERFORM_FIRST_NAME}</h3>{$clientInfo.clientFirstName}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_LAST_NAME}</h3>{$clientInfo.clientLastName}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_COMPANY_NAME}</h3>{$clientInfo.clientCompany}</td>
				</tr>
			</table>

			<table width="100%" border="0" cellspacing="5" cellpadding="0">
				<tr class="w350">
					<td><h3>{$smarty.const.TRANS_ORDERFORM_ADDRESS1}</h3>{$clientInfo.contactAddress1}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_ADDRESS2}</h3>{$clientInfo.contactAddress2}</td>
				</tr>
			</table>	
			<table width="100%" border="0" cellspacing="5" cellpadding="0">
				<tr>
					<td class="w167"><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_CITY}</h3>{$clientInfo.contactCity}</td>
					<td class="w100"><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_STATE}</h3>{$clientInfo.contactState}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_COUNTRY}</h3>{$orderResponse.countriesISO2}</td>
					<td class="w100"><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_ZIP}</h3>{$clientInfo.contactZip}</td>
					<td class="w100"><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_TAXID}</h3>{$clientInfo.taxIDNumber}</td>

				</tr>
			</table>	
			<table width="100%" border="0" cellspacing="5" cellpadding="0">
				<tr class="w167">
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_EMAIL}</h3>{$clientInfo.clientEmail}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE1}</h3>{$clientInfo.contactPhone1}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE2}</h3>{$clientInfo.contactPhone2}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_FAX}</h3>{$clientInfo.contactFax}</td>
				</tr>
			</table>	
		</td>
	</tr>
	<tr>
		<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_VERIFY_DOMAIN_INFO}:</h1></td>
	</tr>
	<tr>
		<td class="box010">
			<table width="100%" border="0" cellspacing="5" cellpadding="0">
				<tr class="w330">
					<td><h3>{$smarty.const.TRANS_ORDERFORM_FIRST_NAME}</h3>{$clientInfo.registrantFirstName}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_LAST_NAME}</h3>{$clientInfo.registrantLastName}</td>
				</tr>
			</table>

			<table width="100%" border="0" cellspacing="5" cellpadding="0">
				<tr class="w330">
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_EMAIL}</h3>{$clientInfo.registrantEmail}</td>
				</tr>
			</table>

			<table width="100%" border="0" cellspacing="5" cellpadding="0">
				<tr class="w330">
					<td><h3>{$smarty.const.TRANS_ORDERFORM_COMPANY_NAME}</h3>{$clientInfo.registrantOrganizationName}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_DOMAIN_JOB_TITLE}</h3>{$clientInfo.registrantJobTitle}</td>
				</tr>
			</table>

			<table width="100%" border="0" cellspacing="5" cellpadding="0">
				<tr class="w330">
					<td><h3>{$smarty.const.TRANS_ORDERFORM_ADDRESS1}</h3>{$clientInfo.registrantAddress1}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_ADDRESS2}</h3>{$clientInfo.registrantAddress2}</td>
				</tr>
			</table>

			<table width="100%" border="0" cellspacing="5" cellpadding="0">
				<tr class="w160">
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_CITY}</h3>{$clientInfo.registrantCity}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_STATE}</h3>{$clientInfo.registrantStateProvince}</td>
				</tr>
			</table>

			<table width="100%" border="0" cellspacing="5" cellpadding="0">
				<tr class="w160">
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_ZIP}</h3>{$clientInfo.registrantPostalCode}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_COUNTRY}</h3>{$orderResponse.countriesISO2}</td>
				</tr>
			</table>

			<table width="100%" border="0" cellspacing="5" cellpadding="0">
				<tr class="w160">
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_PHONE1}</h3>{$clientInfo.registrantPhone}</td>
					<td><h3>{$smarty.const.TRANS_ORDERFORM_CONTACT_FAX}</h3>{$clientInfo.registrantFax}</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
	<tr>
		<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_ORDER_DETAILS}:</h1></td>
	</tr>
	<tr>
		<td  class="box010">
			<table width="100%"  border="0" cellspacing="2" cellpadding="0" class="tab09">
				<tbody>
				<tr>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_ITEM_NAME}</strong></td>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_CYCLE_NAME}</strong></td>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_PRODUCT_PRICE}</strong></td>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_SETUP}</strong></td>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_TAX}</strong></td>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_PRODUCT_TOTAL}</strong></td>
				</tr>
				</tbody>
				{assign var="currency" value=$orderResponse.currencyID}
				{section name=i loop=$orderResponse.packages.package}
				<tbody>
				<tr class="{cycle values="alt1,alt2"}">
					<td>{$orderResponse.packages.package[i].packageName}</td>
					<td>{$orderResponse.packages.package[i].billingCycleName|constant}</td>
					<td>{$orderResponse.packages.package[i].packagePrice|getAmount:$currency}</td>
					<td>{$orderResponse.packages.package[i].packageSetupAmount|getAmount:$currency}</td>
					<td>{$orderResponse.packages.package[i].packageTaxAmount|getAmount:$currency}</td>
					<td>{$orderResponse.packages.package[i].packageTotalAmount|getAmount:$currency}</td>
				</tr>
				</tbody>
					{/section}
				<tbody>
				<tr>
					<td colspan="5" align="right"><strong>{$smarty.const.TRANS_ORDERFORM_SUBTOTAL}:</strong></td>
					<td class="td09"><strong>{$orderResponse.invoiceSubTotalAmount|getAmount:$currency}</strong></td>
				</tr>
				<tr>
					<td colspan="5" align="right"><strong>{$smarty.const.TRANS_ORDERFORM_TAX_TOTAL}</strong>
					{section name="j" loop=$orderResponse.taxZones.taxZone}
						 - {$orderResponse.taxZones.taxZone[j].invoiceTaxDescription}
					{/section}
					<strong>:</strong></td>
					<td class="td09"><strong>{$orderResponse.invoiceTax|getAmount:$currency}</strong></td>
				</tr>
				<tr>
					<td colspan="5" align="right"><strong>{$smarty.const.TRANS_ORDERFORM_GRAND_TOTAL}:</strong></td>
					<td class="td09"><strong>{$orderResponse.invoiceDueAmount|getAmount:$currency}</strong></td>
				</tr>
				</tbody>					
			</table>
		</td>
	</tr>
</table>
<div id="billInfo">
{include file="$tplDirectory/order/widgets/billInfo.tpl"}
</div>
{include file="$tplDirectory/order/footer.tpl"}
</center>
