{* $Id: AddDomainCart.tpl,v 1.3 2006/05/11 16:56:43 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Mark Garrett
 *}

{t c="TRANS_DOMAINS_ALREADY_IN_ORDER" d="Domains Already In Order"}
{t c="TRANS_CHECK" d="Check"}
{t c="TRANS_CHECKING" d="Checking..."}
{t c="TRANS_CHECK_DOMAIN" d="Check Domain"}
{t c="TRANS_ADDING_DOMAIN_TO_ORDER" d="Adding Domain To Order..."}

{if $widgetCall==2}
<link rel="stylesheet" type="text/css" href="{$baseURL}{$cssDirectory}/shoppingstyle.css" />

<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/lib/prototype.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/src/scriptaculous.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/src/unittest.js"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/toggle.js" charset="utf-8"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/main.js" charset="utf-8"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/../ajax/core/ajax.inc.js" charset="utf-8"></script>


<script language="JavaScript" type="text/javascript" charset="utf-8">

	var currentdomainform = "";

	var cp2 = new cpaint();
	cp2.set_transfer_mode('get');
	cp2.set_response_type('text');

	var locale = "{$set_locale}";
	var slURL2 = '{$cartURL}&checkwhois=1&whoisWidget=2';

	{literal}
	function checkDomAvail(xtld, xsld, trans, idn, itemid) {
		domainformitemid = itemid;
		var idnvalue = 0;

		for (idni=0; idni<idn.length; idni++){
			if (idn[idni][0]==xtld){
				idnvalue = idn[idni][1];
			}
		}

		xsld = xsld.toLowerCase();

		var slURL2a = slURL2+"&sld="+xsld+"&tld="+xtld+"&trans="+trans+"&idn="+idnvalue+"&set_locale="+locale+"&ajax=1&shoppingItemID="+itemid+"&"+Math.random();
		setLoading(document.getElementById('whoisCheckContent'+itemid), "{/literal}{$smarty.const.TRANS_CHECKING}{literal}");
		toggleOn('whoisCheck'+itemid);
		cp2.call(slURL2a, 'checkDomAvail', checkDomAvailResponse);
		return false;
	}

	function checkDomAvailResponse(result) {
		if (result) {
			document.getElementById('whoisCheckContent'+domainformitemid).innerHTML = result;
		} else {
			{/literal}
			alert("{$smarty.const.TRANS_ORDER_DOM_CHECK_FAIL}");
			document.getElementById('whoisCheckContent'+domainformitemid).innerHTML = "";
			toggleOff('whoisCheck'+domainformitemid);;
			{literal}
		}
	}


	function addDomainProduct(cpid, domain) {
		var exploded = cpid.split("|");

		if (typeof currentdomainform.domainLanguage!="undefined"){
			var domainLanguage = currentdomainform.domainLanguage.options[currentdomainform.domainLanguage.selectedIndex].value;
		} else {
			var domainLanguage = "";
		}

		var addURL = "{/literal}{$cartURL}&action={getActionID action="AddCartProductResponse"}{literal}&parentShoppingItemID="+exploded[3]+"&addType=domain&domainLanguage="+domainLanguage+"&";
		if (exploded[0]==""){
			var domaininfo = domain.split("|");
			addURL += "existsld="+domaininfo[0]+"&existtld="+domaininfo[1];
		} else if (exploded[0]=="-2"){
			addURL += "domain="+domain+"&productID="+exploded[1]+"&productVariantID="+exploded[2]+"&cycleID=-2&"+Math.random();
		} else {
			addURL += "domain="+domain+"&productID="+exploded[1]+"&productVariantID="+exploded[2]+"&cycleID="+exploded[0]+"&"+Math.random();
		}

		
		setLoading(document.getElementById('whoisCheckContent'+exploded[3]), "{/literal}{$smarty.const.TRANS_ADDING_DOMAIN_TO_ORDER}{literal}");

		document.location.href = addURL;

	}

	function addCartDomain(siid, psiid, sld, tld){
		var addURL = "{/literal}{$cartURL}&action={getActionID action="AddCartProductResponse"}{literal}&parentShoppingItemID="+psiid+"&addType=associateDomain&domainShoppingItemID="+siid+"&domainSLD="+sld+"&domainTLD="+tld+"&";
		document.location.href = addURL;
	}

{/literal}



{literal}
function setLoading(divobj, message){
	if (typeof message=="undefined"){
		message = "{/literal}{$smarty.const.TRANS_LOADING}{literal}";
	}
	divobj.innerHTML = "<img src='{/literal}{$baseURL}{$imageDirectory}{literal}/loading2.gif' align='left' height='16' width='16' alt='"+message+"' /> &nbsp;&nbsp;<b>"+message+"</b>";
}


{/literal}





</script>



<div align="left">
<form method="post" name="domainform{$shoppingItemID}" accept-charset="utf-8" action="cart.php" xstyle="margin: 0px 0px 0px 0px;">
<input name="regsecondary" onblur="this.value=this.value.toLowerCase();" type="text" size="18" />
<b>.</b>
<select name="regtld" style="width: 70px;">
{html_options options=$domainInfo.tld}
</select>
<input type="button" class="button" onclick="checkDomAvail(this.form.regtld.options[this.form.regtld.selectedIndex].value, this.form.regsecondary.value, 0, {$IDN}, '{$shoppingItemID}');" value="{$smarty.const.TRANS_CHECK}" />
<br />

<div id="whoisCheck{$shoppingItemID}" class="box07 off" style="background-color: #fff; position: absolute;">

<div class="st01 st03 box09" id="whoisCheckDrag{$shoppingItemID}">
<div style="text-align: left; margin-bottom: 2px;">
<h1 style="cursor: pointer;"><a href="javascript:toggleOff('whoisCheck{$shoppingItemID}');">X</a> - {$smarty.const.TRANS_CHECK_DOMAIN}</h1>
<div style="padding: 5px; background-color: #fff; text-align: left; cursor: pointer;" id="whoisCheckContent{$shoppingItemID}">

</div>
</div>
</div>

</div>
</form>
</div>

<script type="text/javascript" language="javascript" charset="utf-8">
// <![CDATA[
  new Draggable('whoisCheck{$shoppingItemID}',{literal}{{/literal}handle:'whoisCheckDrag{$shoppingItemID}'{literal}}{/literal});
// ]]>
</script>



{else}


{if $widgetCall==1}
<link rel="stylesheet" type="text/css" href="{$baseURL}{$cssDirectory}/shoppingstyle.css" />

<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/lib/prototype.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/src/scriptaculous.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$baseURL}{$jsDirectory}/scriptaculous/src/unittest.js"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/toggle.js" charset="utf-8"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/main.js" charset="utf-8"></script>
<script language="JavaScript" type="text/javascript" src="{$baseURL}{$jsDirectory}/../ajax/core/ajax.inc.js" charset="utf-8"></script>


<script language="JavaScript" type="text/javascript" charset="utf-8">

	var currentdomainform = "";

	var cp2 = new cpaint();
	cp2.set_transfer_mode('get');
	cp2.set_response_type('text');

	var locale = "{$set_locale}";
	var slURL2 = '{$cartURL}&checkwhois=1';

	{literal}
	function checkDomAvail(xtld, xsld, trans, idn, itemid) {
		domainformitemid = itemid;
		var idnvalue = 0;

		for (idni=0; idni<idn.length; idni++){
			if (idn[idni][0]==xtld){
				idnvalue = idn[idni][1];
			}
		}

		xsld = xsld.toLowerCase();

		var slURL2a = slURL2+"&sld="+xsld+"&tld="+xtld+"&trans="+trans+"&idn="+idnvalue+"&set_locale="+locale+"&ajax=1&shoppingItemID="+itemid+"&"+Math.random();
		setLoading(document.getElementById('whoisCheck'+itemid), "{/literal}{$smarty.const.TRANS_LOADING}{literal}");
		cp2.call(slURL2a, 'checkDomAvail', checkDomAvailResponse);
		return false;
	}

	function checkDomAvailResponse(result) {
		if (result) {
			document.getElementById('whoisCheck'+domainformitemid).innerHTML = result;
			XKsmoothSize('itemouterdiv'+domainformitemid, 'iteminnerdiv'+domainformitemid);
		} else {
			{/literal}
			alert("{$smarty.const.TRANS_ORDER_DOM_CHECK_FAIL}");
			{literal}
		}
	}


	function addDomainProduct(cpid, domain) {
		var exploded = cpid.split("|");

		if (typeof currentdomainform.domainLanguage!="undefined"){
			var domainLanguage = currentdomainform.domainLanguage.options[currentdomainform.domainLanguage.selectedIndex].value;
		} else {
			var domainLanguage = "";
		}

		var addURL = "{/literal}{$cartURL}&action={getActionID action="AddCartProductResponse"}{literal}&parentShoppingItemID="+exploded[3]+"&addType=domain&domainLanguage="+domainLanguage+"&";
		if (exploded[0]==""){
			var domaininfo = domain.split("|");
			addURL += "existsld="+domaininfo[0]+"&existtld="+domaininfo[1];
		} else if (exploded[0]=="-2"){
			addURL += "domain="+domain+"&productID="+exploded[1]+"&productVariantID="+exploded[2]+"&cycleID=-2&"+Math.random();
		} else {
			addURL += "domain="+domain+"&productID="+exploded[1]+"&productVariantID="+exploded[2]+"&cycleID="+exploded[0]+"&"+Math.random();
		}

		document.location.href = addURL;

	}

	function addCartDomain(siid, psiid, sld, tld){
		var addURL = "{/literal}{$cartURL}&action={getActionID action="AddCartProductResponse"}{literal}&parentShoppingItemID="+psiid+"&addType=associateDomain&domainShoppingItemID="+siid+"&domainSLD="+sld+"&domainTLD="+tld+"&";
		document.location.href = addURL;
	}

{/literal}



{literal}
function setLoading(divobj, message){
	if (typeof message=="undefined"){
		message = "{/literal}{$smarty.const.TRANS_LOADING}{literal}";
	}
	divobj.innerHTML = "<img src='{/literal}{$baseURL}{$imageDirectory}{literal}/loading2.gif' align='left' height='16' width='16' alt='"+message+"' /> &nbsp;&nbsp;<b>"+message+"</b>";
}


function addDomain(itemid){

	XKdelayedContent = ""; // = document.getElementById('adddomaintemplate').innerHTML;
	document.getElementById('iteminnerdiv'+itemid).innerHTML = document.getElementById('adddomaintemplate').innerHTML;
	XKsmoothSize('itemouterdiv'+itemid, 'iteminnerdiv'+itemid);

}

{/literal}





</script>


{/if}


<form method="post" name="domainform{$shoppingItemID}" accept-charset="utf-8" action="{$cartURL}">

<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab00">
		<tr>
			<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_DOMAIN_OPTION}</h1></td>
		</tr>
		{if $availableDomains.0.id>0 && !$suppressAvailable}
		<tr>
			<td class="box010 td05">
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tab08">
					<tr>
						<td class="td05">{$smarty.const.TRANS_DOMAINS_ALREADY_IN_ORDER}</td>
					</tr>
					{section name="i" loop=$availableDomains}
					<tr>
						<td><input class="button" type="button" value="{$availableDomains[i].sld}.{$availableDomains[i].tld}" onclick="addCartDomain('{$availableDomains[i].id}', '{$shoppingItemID}', '{$availableDomains[i].sld}', '{$availableDomains[i].tld}');"></td>
					</tr>
					{/section}
				</table>
			</td>
		</tr>
		{/if}
		<tr>
			<td  class="box010">
				<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab08">
					<tr>
					{if $domainInfo.domOptions.dom_reg}
						<td class="td05"><input name="domainType" checked="checked" type="radio" value="domReg" onclick="toggleOn('domReg'); toggleOff('domTrans'); toggleOff('domExist');toggleOff('domNone'); XKsmoothSize('itemouterdiv{$shoppingItemID}', 'iteminnerdiv{$shoppingItemID}');" /></td>
						<td class="td05">{$smarty.const.TRANS_ORDERFORM_DOMAIN_REGISTRATION}</td>
					{else}
						<td class="td05">&nbsp;</td>
						<td class="td05">&nbsp;</td>
					{/if}
						<td valign="top" rowspan="{$domainInfo.optionsNumber}" class="td06">
							<table summary="TLD Entry Fields">
								<tbody id="domReg">
									<tr>
										<td colspan="3" valign="top" class="td06"><h3>{$smarty.const.TRANS_ORDERFORM_DOMAIN_REGISTRATION}</h3></td>
									</tr>
									<tr>
										<td valign="top" class="td06"><input name="regsecondary" onblur="this.value=this.value.toLowerCase();" type="text" size="18" /></td>
										<td valign="top" class="nowrap"><b>.</b>&nbsp;
										    <select name="regtld" style="width: 70px;">
												{html_options options=$domainInfo.tld}
											</select>
										</td>
										<td nowrap="nowrap"><input type="button" class="button" onclick="checkDomAvail(this.form.regtld.options[this.form.regtld.selectedIndex].value, this.form.regsecondary.value, 0, {$IDN}, '{$shoppingItemID}');" value="{$smarty.const.TRANS_ORDER_CHECK_DOMAIN}" />
										</td>
									</tr>
								</tbody>
								<tbody id="domTrans" class="off">
									<tr>
										<td colspan="3" valign="top" class="td06"><h3>{$smarty.const.TRANS_ORDERFORM_TRANSFER_DOMAIN}</h3></td>
									</tr>
									<tr>
										<td valign="top" class="td06"><input name="transsecondary" onblur="this.value=this.value.toLowerCase();" type="text" size="18" /></td>
										<td valign="top" class="nowrap"><b>.</b>&nbsp;
										    <select name="transtld" style="width: 70px;">
												{html_options options=$domainInfo.tld}
											</select>
										</td>
										<td nowrap="nowrap"><input class="button" type="button" onclick="checkDomAvail(this.form.transtld.options[this.form.transtld.selectedIndex].value, this.form.transsecondary.value, 1, {$IDN}, '{$shoppingItemID}');" value="{$smarty.const.TRANS_ORDER_CHECK_DOMAIN}">
										</td>
									</tr>
								</tbody>
								<tbody id="domExist" class="off">
									<tr>
										<td colspan="3" valign="top" class="td06"><h3>{$smarty.const.TRANS_ORDERFORM_EXISTING_DOMAIN}</h3></td>
									</tr>
									<tr>
										<td colspan="2" valign="top" class="td06" nowrap="nowrap">
											<input name="existsld" onblur="this.value=this.value.toLowerCase();" type="text" size="18" />.<input name="existtld" type="text" size="7" style="width: 70px;" />
										</td>
										<td nowrap="nowrap"><input class="button" type="button" onclick="addDomainProduct('|||{$shoppingItemID}', this.form.existsld.value+'|'+this.form.existtld.value);" value="{$smarty.const.TRANS_ORDER_ADD_DOMAIN_TO_ORDER}">
										</td>
									</tr>
								</tbody>
								<tbody id="domNone" class="off">
									<tr>
										<td colspan="3" valign="top" class="td06">
										<td nowrap="nowrap"><input class="button" type="button" onclick="addDomainProduct('|||{$shoppingItemID}', '');" value="{$smarty.const.TRANS_ORDER_NO_DOMAIN}">
										</td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
				{if $domainInfo.domOptions.dom_transfer}
					<tr>
						<td  class="td05"><input name="domainType" type="radio" value="domTrans" onclick="toggleOn('domTrans'); toggleOff('domReg'); toggleOff('domExist'); toggleOff('domNone'); XKsmoothSize('itemouterdiv{$shoppingItemID}', 'iteminnerdiv{$shoppingItemID}');" /></td>
						<td  class="td05">{$smarty.const.TRANS_ORDERFORM_TRANSFER_DOMAIN}</td>
					</tr>
				{/if}
				{if $domainInfo.domOptions.dom_existing && $widgetCall<1 && $shoppingItemID>0}
					<tr>
						<td  class="td05"><input name="domainType" type="radio" value="domExisting" onclick="toggleOn('domExist'); toggleOff('domReg'); toggleOff('domTrans'); toggleOff('domNone'); XKsmoothSize('itemouterdiv{$shoppingItemID}', 'iteminnerdiv{$shoppingItemID}');" /></td>
						<td  class="td05">{$smarty.const.TRANS_ORDERFORM_EXISTING_DOMAIN}</td>
					</tr>
				{/if}
				{if $domainInfo.domOptions.dom_skip}
					<tr>
						<td><input name="domainType" type="radio" value="domNone" onclick="toggleOff('domExist'); toggleOff('domReg'); toggleOff('domTrans'); toggleOn('domNone'); XKsmoothSize('itemouterdiv{$shoppingItemID}', 'iteminnerdiv{$shoppingItemID}');" /></td>
						<td>{$smarty.const.TRANS_ORDER_NO_DOMAIN}</td>								
					</tr>
				{/if}
					<tr>
						<td colspan="3">
							<div id="whoisCheck{$shoppingItemID}">
							</div>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>

<input name="sid" type="hidden" value="{$sid}" />
<input name="set_locale" type="hidden" value="{$set_locale}" />
</form>

{/if}


