{* $Id: addDomain.tpl,v 1.15 2006/04/12 21:04:33 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Mark Garrett
 *}

<form method="post" name="domainform" accept-charset="utf-8" action="ezorder.php" id="domainform">

<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
		<tr>
			<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_DOMAIN_OPTION}</h1></td>
		</tr>
		<tr>
			<td  class="box010">
				<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab08">
					<tr>
					{if $domainInfo.domOptions.dom_reg}
						<td class="td05"><input name="domainType" type="radio" value="domReg" onclick="toggleOn('domReg'); toggleOff('domTrans'); toggleOff('domExist');toggleOff('domNone');" /></td>
						<td class="td05">{$smarty.const.TRANS_ORDERFORM_DOMAIN_REGISTRATION}</td>
					{else}
						<td class="td05">&nbsp;</td>
						<td class="td05">&nbsp;</td>
					{/if}
						<td valign="top" rowspan="{$domainInfo.optionsNumber}" class="td06">
							<table summary="TLD Entry Fields">
								<tbody id="domReg">
									<tr>
										<td colspan="3" valign="top" class="td06"><h3>{$smarty.const.TRANS_ORDERFORM_DOMAIN_REGISTRATION}</h3></td>
									</tr>
									<tr>
										<td valign="top" class="td06"><input name="regsecondary" type="text" onblur="this.value=this.value.toLowerCase();" size="25" /></td>
										<td valign="top" class="nowrap"><b>.</b>&nbsp;
										    <select name="regtld">
												{html_options options=$domainInfo.tld}
											</select>
										</td>
										<td nowrap="nowrap"><div class="rm04"><a style="cursor:pointer;" onclick="checkDomAvail(document.domainform.regtld.options[document.domainform.regtld.selectedIndex].value, document.domainform.regsecondary.value, 0, {$IDN});"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ORDER_CHECK_DOMAIN}</a></div>										
											<script type="text/javascript">toggle('domReg');</script>
										</td>
									</tr>
								</tbody>
								<tbody id="domTrans">
									<tr>
										<td colspan="3" valign="top" class="td06"><h3>{$smarty.const.TRANS_ORDERFORM_TRANSFER_DOMAIN}</h3></td>
									</tr>
									<tr>
										<td valign="top" class="td06"><input name="transsecondary" onblur="this.value=this.value.toLowerCase();" type="text" size="25" /></td>
										<td valign="top" class="nowrap"><b>.</b>&nbsp;
										    <select name="transtld">
												{html_options options=$domainInfo.tld}
											</select>
										</td>
										<td nowrap="nowrap"><div class="rm04"><a style="cursor:pointer;" onclick="checkDomAvail(document.domainform.transtld.options[document.domainform.transtld.selectedIndex].value, document.domainform.transsecondary.value, 1, {$IDN});"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ORDER_CHECK_DOMAIN}</a></div>
											<script type="text/javascript">toggle('domTrans');</script>
										</td>
									</tr>
								</tbody>
								<tbody id="domExist">
									<tr>
										<td colspan="3" valign="top" class="td06"><h3>{$smarty.const.TRANS_ORDERFORM_EXISTING_DOMAIN}</h3></td>
									</tr>
									<tr>
										<td colspan="2" valign="top" class="td06" nowrap="nowrap">
											<input name="existsld" onblur="this.value=this.value.toLowerCase();" type="text" size="30" />.<input name="existtld" type="text" size="7" />
										</td>
										<td nowrap="nowrap"><div class="rm04"><a style="cursor:pointer;" onclick="addDomainProduct('|', document.domainform.existsld.value+'.'+document.domainform.existtld.value);"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ORDER_ADD_DOMAIN_TO_ORDER}</a></div>
											<script type="text/javascript">toggle('domExist');</script></td>
									</tr>
								</tbody>
								<tbody id="domNone">
									<tr>
										<td colspan="3" valign="top" class="td06">
										<td nowrap="nowrap"><div class="rm04"><a style="cursor:pointer;" onclick="addDomainProduct('|', '');"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ORDER_NO_DOMAIN}</a></div>
											<script type="text/javascript">toggle('domNone');</script>
										</td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
				{if $domainInfo.domOptions.dom_transfer}
					<tr>
						<td  class="td05"><input name="domainType" type="radio" value="domTrans" onclick="toggleOn('domTrans'); toggleOff('domReg'); toggleOff('domExist'); toggleOff('domNone');" /></td>
						<td  class="td05">{$smarty.const.TRANS_ORDERFORM_TRANSFER_DOMAIN}</td>
					</tr>
				{/if}
				{if $domainInfo.domOptions.dom_existing}
					<tr>
						<td  class="td05"><input name="domainType" type="radio" value="domExisting" onclick="toggleOn('domExist'); toggleOff('domReg'); toggleOff('domTrans'); toggleOff('domNone');" /></td>
						<td  class="td05">{$smarty.const.TRANS_ORDERFORM_EXISTING_DOMAIN}</td>								
					</tr>
				{/if}
				{if $domainInfo.domOptions.dom_skip}
					<tr>
						<td><input name="domainType" type="radio" value="domNone" onclick="toggleOff('domExist'); toggleOff('domReg'); toggleOff('domTrans'); toggleOn('domNone');" /></td>
						<td>{$smarty.const.TRANS_ORDER_NO_DOMAIN}</td>								
					</tr>
				{/if}
					<tr>
						<td colspan="3">
							<div id="whoisCheck">
							</div>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>

<input name="sid" type="hidden" value="{$sid}" />
<input name="set_locale" type="hidden" value="{$set_locale}" />
</form>