{* $Id: checkWhois.tpl,v 1.15 2006/04/26 20:34:12 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Mark Garret
 * Author: Kris Bailey
 *}

{t c="TRANS_ORDERFORM_PURCHASE" d="Purchase"}
{t c="TRANS_ORDERFORM_TRANSFER" d="Transfer"}

{if $whoisCall==2}

{if $whoisCheck.available && !$domainTransfer}

	<h6 style="color: green;">{$domainName} {if $PUNYcode} - <small>{$PUNYcode}</small>{/if} <br /> {$smarty.const.TRANS_ORDERFORM_DOMAIN_AVAILABLE}</h6>
	{if $PUNYcode}
	{$smarty.const.TRANS_ORDERFORM_SELECT_DOMAIN_LANGUAGE}:<br />
		<select name="domainLanguage">
			{html_options options=$idnLanguageList selected=$selectedLanguage}
		</select>
	{/if}
	<select name="domainCycle">
		{html_options options=$priceSelectArray}
	</select>
	<input class="button" type="button" onclick="currentdomainform=this.form;addDomainProduct(this.form.domainCycle.options[this.form.domainCycle.selectedIndex].value, '{$domainName}');" value="{$smarty.const.TRANS_ORDERFORM_PURCHASE}">

{elseif $whoisCheck.available && $domainTransfer}

	<h6 style="color: green;">{$domainName} {if $PUNYcode} - <small>{$PUNYcode}</small>{/if} <br /> {$smarty.const.TRANS_ORDERFORM_DOMAIN_TRANSFER_AVAILABLE}</h6>
	{$domainTransfer}<br />
	<input class="button" type="button"
	onclick="currentdomainform=this.form;addDomainProduct('-2|{$domainProdID}|{$productVariantID}|{$shoppingItemID}','{$domainName}');" value="{$smarty.const.TRANS_ORDERFORM_TRANSFER}">

{elseif !$whoisCheck.available && $domainTransfer}

	<h6 style="color: red;">{$domainName} {if $PUNYcode} - <small>{$PUNYcode}</small>{/if} {$smarty.const.TRANS_ORDERFORM_DOMAIN_TRANSFER_NOT_AVAILABLE}</h6>
	{$smarty.const.TRANS_ORDERFORM_DOMAIN_TRANSFER_NOT_AVAILABLE_DESC}

{else}

	<h6 style="color: red;">{$domainName} {if $PUNYcode} - <small>{$PUNYcode}</small>{/if} {$smarty.const.TRANS_ORDERFORM_DOMAIN_NOT_AVAILABLE}</h6>

{/if}


{else}

<table width="100%" class="box09">
{if $whoisCheck.available && !$domainTransfer}
	<tr>
		<td valign="top"><h1 style="color: green;">{$domainName} {if $PUNYcode} - <small>{$PUNYcode}</small>{/if} {$smarty.const.TRANS_ORDERFORM_DOMAIN_AVAILABLE}</h1>
			{if $PUNYcode}
			{$smarty.const.TRANS_ORDERFORM_SELECT_DOMAIN_LANGUAGE}:<br />
			<select name="domainLanguage">
				{html_options options=$idnLanguageList selected=$selectedLanguage}
			</select>
			{/if}
		</td>
	</tr>
	<tr>
		<td valign="top" align="right">
			<select name="domainCycle">
				{html_options options=$priceSelectArray}
			</select>
		<input class="button" type="button" onclick="currentdomainform=this.form;addDomainProduct(this.form.domainCycle.options[this.form.domainCycle.selectedIndex].value, '{$domainName}');" value="{$smarty.const.TRANS_ORDERFORM_ADD_DOMAIN_TO_ORDER}"></td>
	</tr>
{elseif $whoisCheck.available && $domainTransfer}
	<tr>
		<td><h1 style="color: green;">{$domainName} {if $PUNYcode} - <small>{$PUNYcode}</small>{/if} {$smarty.const.TRANS_ORDERFORM_DOMAIN_TRANSFER_AVAILABLE}</h1></td>
	</tr>
	<tr>
		<td align="right">{$domainTransfer}
		<input class="button" type="button" onclick="currentdomainform=this.form;addDomainProduct('-2|{$domainProdID}|{$productVariantID}|{$shoppingItemID}', '{$domainName}');" value="{$smarty.const.TRANS_ORDERFORM_ADD_DOMAIN_TO_ORDER}"></td>
	</tr>
{elseif !$whoisCheck.available && $domainTransfer}
	<tr>
		<td><h3 style="color: red;">{$domainName} {if $PUNYcode} - <small>{$PUNYcode}</small>{/if} {$smarty.const.TRANS_ORDERFORM_DOMAIN_TRANSFER_NOT_AVAILABLE}</h3>
		{$smarty.const.TRANS_ORDERFORM_DOMAIN_TRANSFER_NOT_AVAILABLE_DESC}</td>
	</tr>
{else}
	<tr>
		<td><h1 style="color: red;">{$domainName} {if $PUNYcode} - <small>{$PUNYcode}</small>{/if} {$smarty.const.TRANS_ORDERFORM_DOMAIN_NOT_AVAILABLE}</h1></td>
	</tr>
{/if}
</table>

{/if}
