{* $Id: CheckoutFailure.tpl,v 1.1 2006/04/11 17:09:30 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{include file="$tplDirectory/shopping/header.tpl"}

{t c="TRANS_ADD_DOMAIN" d="Add Domain"}
{t c="TRANS_DONE" d="Done"}
{t c="TRANS_LOADING" d="Loading..."}
{t c="TRANS_REALLY_REMOVE_FROM_ORDER" d="Would you really like to remove this item from your order?"}
{t c="TRANS_CART_CONTENTS" d="Order Contents"}
{t c="TRANS_ITEM_NAME" d="Goods or Services"}
{t c="TRANS_DISCOUNT_PRICE" d="Price Total"}
{t c="TRANS_NO_ITEMS_IN_CART" d="Sorry, your order is empty."}
{t c="TRANS_ASSOCIATED_DOMAINS" d="Domains"}
{t c="TRANS_REALLY_DISSASSOCIATE_FROM_ORDER" d="Are you sure you want to disassociate this domain from this Item?"}
{t c="TRANS_CONFIGURE" d="Configure"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_PLUS_SETUP" d="+ Setup"}
{t c="TRANS_PLUS_ADDONS" d="+ Addons"}
{t c="TRANS_CHANGE" d="Change"}
{t c="TRANS_CLEAR_CART" d="Clear Cart"}
{t c="TRANS_CONTINUE_SHOPPING" d="Continue Shopping"}
{t c="TRANS_PROCEED_WITH_PURCHASE" d="Proceed with Purchase"}
{t c="TRANS_ADD_COUPON_TO_ORDER" d="Add Coupon To Order"}
{t c="TRANS_COUPON_CODE" d="Coupon Code"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_COUPON_SAVINGS" d="Coupon Savings"}
{t c="TRANS_MINUS_COUPON" d="-Coupon"}
{t c="TRANS_REALLY_CLEAR_CART" d="Are you sure you want to clear all of the items from your order?"}
{t c="TRANS_SIGNED_IN_AS" d="Signed In As"}
{t c="TRANS_NOT_SIGNED_IN" d="Not Signed In"}
{t c="TRANS_SIGN_IN_NOW" d="Sign In"}
{t c="TRANS_LOGIN_INCORRECT" d="Login Incorrect."}
{t c="TRANS_SIGNOUT" d="Sign Out"}
{t c="TRANS_MUST_ADD_DOMAIN_TO_ITEM" d="Sorry, an item you are ordering requires that you associate a domain with it.\\nPlease add a domain."}
{t c="TRANS_MUST_ADD_ADDON_TO_ITEM" d="Sorry, an item you are ordering requires that you choose an addon to go with it.\\nPlease choose an addon."}
{t c="TRANS_ORDER_SUBTOTAL" d="Order Subtotal"}
{t c="TRANS_CART_SUMMARY" d="Order Summary"}
{t c="TRANS_CONFIRM_CHECKOUT" d="Confirm Checkout"}
{t c="TRANS_PROCESS_PAYMENT_AND_PLACE_ORDER" d="Process Payment And Place Order"}
{t c="TRANS_SPECIAL_GOOGLE_OFFER" d="Google Adsense Offer"}
{t c="TRANS_ITEM" d="Item"}
{t c="TRANS_TAX_DESCRIPTION" d="Tax Description"}
{t c="TRANS_TAX_CHARGE" d="Tax Charge"}
{t c="TRANS_TAX_AMOUNT" d="Tax Amount"}
{t c="TRANS_INVOICE_DETAILS" d="Invoice Details"}
{t c="TRANS_ITEM_TAXES" d="Applied Taxes"}
{t c="TRANS_PAYMENT_FAILURE" d="Payment Failure"}
{t c="TRANS_CHARGE_DECLINED" d="Sorry, your payment has failed."}
{t c="TRANS_PLEASE_CORRECT_OR_CHANGE_PAYMENT" d="The charge to your account has failed.  Please correct or change your payment information to proceed."}
{t c="TRANS_CORRECT_PAYMENT_INFORMATION" d="Correct Payment Information"}
{t c="TRANS_FAILURE_DESCRIPTION" d="Error Message"}

<div align="center" class="box07">

	<input type="hidden" name="action" value="{getActionID action="ProcessCartCheckout"}">

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_PAYMENT_FAILURE}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr>
			<td style="padding: 10px; text-align: left;"><strong>{$smarty.const.TRANS_CHARGE_DECLINED}</strong><br />
			{$smarty.const.TRANS_PLEASE_CORRECT_OR_CHANGE_PAYMENT}<br /><br />
			<h6>{$smarty.const.TRANS_FAILURE_DESCRIPTION}: <strong>{$transaction.transactionNotes}</strong></h6>
			<br />
			<input type="button" class="button" value="{$smarty.const.TRANS_CORRECT_PAYMENT_INFORMATION}" onclick="document.location.href='cart.php?sid={$sid}&action={getActionID action="ShowCartCheckoutForm"}';">
			</td>
		</tr>

	</table>

</div>
</div>
</div>


</div>
{include file="$tplDirectory/shopping/footer.tpl"}