{* $Id: CheckoutSuccess.tpl,v 1.3 2006/04/19 02:53:20 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{include file="$tplDirectory/shopping/header.tpl"}

{t c="TRANS_PAYMENT_SUCCESS" d="Payment Success"}
{t c="TRANS_CHARGE_SUCCESSFUL" d="Your account has been charged successfully."}
{t c="TRANS_AUTHORIZATION_NUMBER" d="Authorization Number"}
{t c="TRANS_CHARGE_AMOUNT" d="Charge Amount"}
{t c="TRANS_YOUR_ORDER_HAS_BEEN_RECEIVED" d="Your order has been received and will be processed as soon as possible.  Further information, if necessary, will be e-mailed to you."}
{t c="TRANS_PAYMENT_INSTRUCTIONS" d="Payment Instructions"}
{t c="TRANS_PLEASE_USE_THE_FOLLOWING_LINKS" d="Please use each of the following links to complete your payment."}
{t c="TRANS_YOUR_INVOICE_HAS_BEEN_GENERATED" d="Your order is complete and your invoice has been generated and sent."}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_INVOICE_AMOUNT" d="Invoice Amount"}
{t c="TRANS_ORDER_SUCCESSFUL" d="Your Order Has Been Placed"}
{t c="TRANS_ONCE_YOU_HAVE_SUBSCRIBED" d="Once you have paid for or subscribed to each of these items your order will be complete."}


<div align="center" class="box07">


{if $transaction.paymentType==1 || $transaction.paymentType==9999 || $transaction.paymentType==4}

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_PAYMENT_SUCCESS}</h1>
<div style="padding: 5px; background-color: #fff; text-align: left;">

	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr>
			<td style="padding: 10px; text-align: left;"><strong>{$smarty.const.TRANS_CHARGE_SUCCESSFUL}</strong><br />
			{$smarty.const.TRANS_YOUR_INVOICE_HAS_BEEN_GENERATED}<br />
			<table border="0" class="tab01">
				<tr>
					<th>{$smarty.const.TRANS_INVOICE_AMOUNT}: </th>
					<td>{$invoiceInfo.invoiceAmount|getAmount:$invoiceInfo.currencyID}</td>
				</tr>
				<tr>
					<th>{$smarty.const.TRANS_INVOICE_NUMBER}: </th>
					<td>{$invoiceInfo.invoiceNumber}</td>
				</tr>
			</table>
			<br />

			<table border="0" class="tab01">
				<tr>
					<th>{$smarty.const.TRANS_CHARGE_AMOUNT}: </th>
					<td>{$transaction.transactionAmount|getAmount:$transaction.currencyID}</td>
				</tr>
				<tr>
					<th>{$smarty.const.TRANS_AUTHORIZATION_NUMBER}: </th>
					<td>{$transaction.transactionCode}</td>
				</tr>
			</table>

			<br />
			{$smarty.const.TRANS_YOUR_ORDER_HAS_BEEN_RECEIVED}

			</td>
		</tr>

	</table>

</div>
</div>
</div>

{elseif $transaction.paymentType==50 || $transaction.paymentType==3 || $transaction.paymentType==5}

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_ORDER_SUCCESSFUL}</h1>
<div style="padding: 5px; background-color: #fff; text-align: left;">

	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr>
			<td style="padding: 10px; text-align: left;"><strong>{$smarty.const.TRANS_ORDER_SUCCESSFUL}</strong><br />
			{$smarty.const.TRANS_YOUR_INVOICE_HAS_BEEN_GENERATED}<br />
			<table border="0" class="tab01">
				<tr>
					<th>{$smarty.const.TRANS_INVOICE_AMOUNT}: </th>
					<td>{$invoiceInfo.invoiceAmount|getAmount:$invoiceInfo.currencyID}</td>
				</tr>
				<tr>
					<th>{$smarty.const.TRANS_INVOICE_NUMBER}: </th>
					<td>{$invoiceInfo.invoiceNumber}</td>
				</tr>
			</table>

			<br />
			{$smarty.const.TRANS_YOUR_ORDER_HAS_BEEN_RECEIVED}

			</td>
		</tr>

	</table>

</div>
</div>
</div>

{elseif $transaction.paymentType==2}


<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_PAYMENT_INSTRUCTIONS}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr>
			<td style="padding: 10px; text-align: left;">
			{$smarty.const.TRANS_YOUR_INVOICE_HAS_BEEN_GENERATED}<br />
			<table border="0" class="tab01">
				<tr>
					<th>{$smarty.const.TRANS_INVOICE_AMOUNT}: </th>
					<td>{$invoiceInfo.invoiceAmount|getAmount:$invoiceInfo.currencyID}</td>
				</tr>
				<tr>
					<th>{$smarty.const.TRANS_INVOICE_NUMBER}: </th>
					<td>{$invoiceInfo.invoiceNumber}</td>
				</tr>
			</table><br />

			{$smarty.const.TRANS_PLEASE_USE_THE_FOLLOWING_LINKS}<br /><br />

			{section name="i" loop=$transaction.secondary.0.form}

				{$transaction.secondary.0.form[i]|html_entity_decode}<br />

			{/section}

			<br />{$smarty.const.TRANS_ONCE_YOU_HAVE_SUBSCRIBED}

			</td>
		</tr>

	</table>

</div>
</div>
</div>


{/if}


</div>
{include file="$tplDirectory/shopping/footer.tpl"}