{* $Id: ShowCartCheckoutForm.tpl,v 1.13 2006/06/06 01:28:26 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{include file="$tplDirectory/shopping/header.tpl"}

{t c="TRANS_ADD_DOMAIN" d="Add Domain"}
{t c="TRANS_DONE" d="Done"}
{t c="TRANS_LOADING" d="Loading..."}
{t c="TRANS_REALLY_REMOVE_FROM_ORDER" d="Would you really like to remove this item from your order?"}
{t c="TRANS_CART_CONTENTS" d="Order Contents"}
{t c="TRANS_ITEM_NAME" d="Goods or Services"}
{t c="TRANS_DISCOUNT_PRICE" d="Price Total"}
{t c="TRANS_NO_ITEMS_IN_CART" d="Sorry, your order is empty."}
{t c="TRANS_ASSOCIATED_DOMAINS" d="Domains"}
{t c="TRANS_REALLY_DISSASSOCIATE_FROM_ORDER" d="Are you sure you want to disassociate this domain from this Item?"}
{t c="TRANS_CONFIGURE" d="Configure"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_PLUS_SETUP" d="+ Setup"}
{t c="TRANS_PLUS_ADDONS" d="+ Addons"}
{t c="TRANS_CHANGE" d="Change"}
{t c="TRANS_CLEAR_CART" d="Clear Cart"}
{t c="TRANS_CONTINUE_SHOPPING" d="Continue Shopping"}
{t c="TRANS_PROCEED_WITH_PURCHASE" d="Proceed with Purchase"}
{t c="TRANS_ADD_COUPON_TO_ORDER" d="Add Coupon To Order"}
{t c="TRANS_COUPON_CODE" d="Coupon Code"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_COUPON_SAVINGS" d="Coupon Savings"}
{t c="TRANS_MINUS_COUPON" d="-Coupon"}
{t c="TRANS_REALLY_CLEAR_CART" d="Are you sure you want to clear all of the items from your order?"}
{t c="TRANS_SIGNED_IN_AS" d="Signed In As"}
{t c="TRANS_NOT_SIGNED_IN" d="Not Signed In"}
{t c="TRANS_SIGN_IN_NOW" d="Sign In"}
{t c="TRANS_LOGIN_INCORRECT" d="Login Incorrect."}
{t c="TRANS_SIGNOUT" d="Sign Out"}
{t c="TRANS_MUST_ADD_DOMAIN_TO_ITEM" d="Sorry, an item you are ordering requires that you associate a domain with it.\\nPlease add a domain."}
{t c="TRANS_MUST_ADD_ADDON_TO_ITEM" d="Sorry, an item you are ordering requires that you choose an addon to go with it.\\nPlease choose an addon."}
{t c="TRANS_ORDER_SUBTOTAL" d="Order Subtotal"}
{t c="TRANS_CART_SUMMARY" d="Order Summary"}
{t c="TRANS_CART_REQUIRED" d="Sorry, you have neglected to provide some necessary information.\\nThe required information has been highlighted, please review the form."}
{t c="TRANS_ACCOUNT_WILL_NOT_BE_CHARGED_UNTIL_CONFIRMATION" d="Your account will not be charged until you confirm the final checkout amount."}

<script language="JavaScript" type="text/javascript" charset="utf-8">
{literal}
function continueWithOrder(){
	document.location.href = 'cart.php?sid={/literal}{$sid}{literal}&action={/literal}{getActionID action="ShowCartCheckoutConfirmForm"}{literal}';
}
{/literal}
// list your required checkout fields here
var requiredCheckoutFields = new Array();

requiredCheckoutFields["clientFirstName"] = 1;
requiredCheckoutFields["clientLastName"] = 1;
requiredCheckoutFields["contactAddress1"] = 1;
requiredCheckoutFields["contactCity"] = 1;
requiredCheckoutFields["contactState"] = 1;
requiredCheckoutFields["contactZip"] = 1;
requiredCheckoutFields["clientEmail"] = 1;
requiredCheckoutFields["contactPhone1"] = 1;

requiredCheckoutFields["registrantFirstName"] = 1;
requiredCheckoutFields["registrantLastName"] = 1;
requiredCheckoutFields["registrantAddress1"] = 1;
requiredCheckoutFields["registrantCity"] = 1;
requiredCheckoutFields["registrantStateProvince"] = 1;
requiredCheckoutFields["registrantPostalCode"] = 1;
requiredCheckoutFields["registrantEmail"] = 1;
requiredCheckoutFields["registrantPhone"] = 1;


{literal}

function checkCheckoutFields(){
	var checkoutRequiredCanGo = true;
	var tf = document.checkoutForm.elements;
	XKselectAllOptionsInMultiSelects(document.checkoutForm);
	if (typeof document.checkoutForm.contactUsername!="undefined"){
		//document.checkoutForm.contactUsername.focus();
		//document.checkoutForm.contactUsername.blur();
	}
	if (typeof document.checkoutForm.contactPassword!="undefined"){
		document.checkoutForm.contactPassword.focus();
		document.checkoutForm.contactPassword.blur();
	}

	for (i=0; i<tf.length; i++){
		if (typeof requiredCheckoutFields[tf[i].name]!="undefined"){
			if (requiredCheckoutFields[tf[i].name]>0 && XKstripWhitespace(tf[i].value)==""){
				tf[i].className = "formFieldHighlight";
				checkoutRequiredCanGo = false;
			}
		}
	}

	if (checkoutRequiredCanGo==false){
		alert("{/literal}{$smarty.const.TRANS_CART_REQUIRED}{literal}");
		return false;
	} else {
		if (checkState(document.checkoutForm)){
			if (cango1==true){
				if (cango2==true){
					return true;
				} else {
					alert("{/literal}{$smarty.const.TRANS_INVALID_USERNAME}{literal}");
					return false;
				}
			} else {
				alert("{/literal}{$smarty.const.TRANS_INVALID_PASSWORD}{literal}");
				return false;
			}
		} else {
			return false;
		}
	}

}

function checkCheckoutFormElementChange(element){
	if (XKstripWhitespace(element.value)!=""){
		element.className = "";
	}
}

function initCopy(){
	var tf = document.checkoutForm;
	XKcopyRegisterConditionalField('checkbox', tf.useContactInfo);

	XKcopyRegisterCopyField(tf.clientFirstName);
	XKcopyRegisterCopyToField('clientFirstName', tf.registrantFirstName, 'useContactInfo');
	XKcopyRegisterCopyField(tf.clientLastName);
	XKcopyRegisterCopyToField('clientLastName', tf.registrantLastName, 'useContactInfo');
	XKcopyRegisterCopyField(tf.clientCompany);
	XKcopyRegisterCopyToField('clientCompany', tf.registrantOrganizationName, 'useContactInfo');
	XKcopyRegisterCopyField(tf.contactAddress1);
	XKcopyRegisterCopyToField('contactAddress1', tf.registrantAddress1, 'useContactInfo');
	XKcopyRegisterCopyField(tf.contactAddress2);
	XKcopyRegisterCopyToField('contactAddress2', tf.registrantAddress2, 'useContactInfo');
	XKcopyRegisterCopyField(tf.contactCity);
	XKcopyRegisterCopyToField('contactCity', tf.registrantCity, 'useContactInfo');
	XKcopyRegisterCopyField(tf.contactState);
	XKcopyRegisterCopyToField('contactState', tf.registrantStateProvince, 'useContactInfo');
	XKcopyRegisterCopyField(tf.countriesID);
	XKcopyRegisterCopyToField('countriesID', tf.registrantCountry, 'useContactInfo');
	XKcopyRegisterCopyField(tf.contactZip);
	XKcopyRegisterCopyToField('contactZip', tf.registrantPostalCode, 'useContactInfo');
	XKcopyRegisterCopyField(tf.clientEmail);
	XKcopyRegisterCopyToField('clientEmail', tf.registrantEmail, 'useContactInfo');
	XKcopyRegisterCopyField(tf.contactPhone1);
	XKcopyRegisterCopyToField('contactPhone1', tf.registrantPhone, 'useContactInfo');
	XKcopyRegisterCopyField(tf.contactFax);
	XKcopyRegisterCopyToField('contactFax', tf.registrantFax, 'useContactInfo');
}

{/literal}
{if $suppressFields}
	var cango1 = true;
	var cango2 = true;
{else}
	var cango1 = false;
	var cango2 = false;
{/if}
{literal}
	function checkpassword(min, max, field1, field2, div){
		if (field1.value!=field2.value){
			div.innerHTML = "{/literal}<span style=\"color: red;\">{$smarty.const.TRANS_PASSWORDS_DONT_MATCH}</span>{literal}";
			cango1 = false;
		} else {
			if (field1.value.length<min || field1.value.length>max){
				div.innerHTML = "{/literal}<span style=\"color: red;\">{$smarty.const.TRANS_PASSWORD_LENGTH_NOT_ALLOWED}</span>{literal}";
				cango1 = false;
			} else {
				cango1 = true;
				div.innerHTML = "{/literal}<span style=\"color: green;\">{$smarty.const.TRANS_PASSWORD_ACCEPTED}</span>{literal}";
			}
		}
	}

	function minmax(min, max, field, div){
			if (field.value.length<min || field.value.length>max){
				div.innerHTML = "{/literal}<span style=\"color: red;\">{$smarty.const.TRANS_USERNAME_LENGTH_NOT_ALLOWED}</span>{literal}";
				cango2 = false;
			} else {
				cango2 = true;
				div.innerHTML = "{/literal}<span style=\"color: green;\">{$smarty.const.TRANS_USERNAME_ACCEPTED}</span>{literal}";
			}
	}
	var USStateCodeDelimiter = "|";
	var USStateCodes = "AL|AK|AS|AZ|AR|CA|CO|CT|DE|DC|FM|FL|GA|GU|HI|ID|IL|IN|IA|KS|KY|LA|ME|MH|MD|MA|MI|MN|MS|MO|MT|NE|NV|NH|NJ|NM|NY|NC|ND|MP|OH|OK|OR|PW|PA|PR|RI|SC|SD|TN|TX|UT|VT|VI|VA|WA|WV|WI|WY|AE|AA|AE|AE|AP|AB|BC|MB|NB|NL|NT|NS|NU|ON|PE|QC|SK|YT";
	function checkState(orderform) {
		if (orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '37' || orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '224'){
		   if (orderform.contactState.value == ''){
				alert({/literal}"{$smarty.const.TRANS_ORDER_STATE_REQUIRED}"{literal});
				return false;
			}else{
				if (orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '37' || orderform.countriesID.options[orderform.countriesID.selectedIndex].value == '224'){
					orderform.contactState.value = orderform.contactState.value.toUpperCase();
					if ( (USStateCodes.indexOf(orderform.contactState.value) != -1) && (orderform.contactState.value.indexOf(USStateCodeDelimiter) == -1) && (orderform.contactState.value.length == 2) ){
						return true;
					}else{
						alert({/literal}"{$smarty.const.TRANS_ORDER_STATE_REQUIRED}"{literal});
					}
			   }
			}
		}else{
			return true;
		}
	}
{/literal}
//-->
</script>

<div align="center" class="box07">


{include file="$tplDirectory/shopping/InlineCartSummary.tpl"}

<form method="post" action="cart.php" name="checkoutForm" onsubmit="return checkCheckoutFields();">

	<input type="hidden" name="sid" value="{$sid}">
	<input type="hidden" name="action" value="{getActionID action="ProcessCartRegister"}">

{if $inputErrors}
<div style="margin-right: 10px; margin-left: 10px; margin-bottom: 10px; border: 1px solid red; font-size: 10pt;">
{section name="i" loop=$inputErrors}
{$inputErrors[i]}<br />
{/section}
</div>
{/if}

{include file="$tplDirectory/shopping/CustomerInfo.tpl"}

{include file="$tplDirectory/shopping/CustomerAttributes.tpl"}

{if $hasDomain==1}
	{include file="$tplDirectory/shopping/DomainInfo.tpl"}
{/if}

{include file="$tplDirectory/shopping/ProductAttributes.tpl"}

{include file="$tplDirectory/shopping/PaymentInfo.tpl"}

<table border="0" width="95%" class="tab01">

	<tr>
		<td align="right"><input class="submit" type="submit" value="{$smarty.const.TRANS_CONTINUE}"></td>
	</tr>

</table>

</form>

</div>

<script language="JavaScript" type="text/javascript" charset="utf-8">
initCopy();
</script>

{include file="$tplDirectory/shopping/footer.tpl"}
