{* $Id: ShowCartProductAddons.tpl,v 1.5 2006/07/06 01:02:34 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_PLEASE_CHOOSE_YOUR_ADDONS" d="Choose Product Addons"}
{t c="TRANS_NO_ADDONS" d="There are no addons available for this product and cycle."}
{t c="TRANS_SAVE_CART_ADDONS" d="Save Add-ons"}
{t c="TRANS_CHOOSE_ADDON_OPTION" d=" -- CHOOSE -- "}

<form method="post" action="cart.php" name="addonForm{$shoppingItemID}">
<input type="hidden" name="sid" value="{$sid}">
<input type="hidden" name="actionID" value="{getActionID action="AddCartProductResponse"}">
<input type="hidden" name="shoppingItemID" value="{$shoppingItemID}">
<input type="hidden" name="addType" value="addons">

<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab00">
		<tr>
			<td class="box09"><h1>{$smarty.const.TRANS_PLEASE_CHOOSE_YOUR_ADDONS}</h1></td>
		</tr>
		<tr>
			<td  class="box010">
				<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab08">
				{assign var="firsttime" value="1"}
				{foreach key="id" item="addons" from=$products}
					<tr>
						<td class="td05"><h2>{assign var="group" value=$addonGroups.$id}{$group.productAddonGroupName}</h2></td>
						<td class="td05">{if $firsttime==1}<input class="button" type="button" onclick="addAddons(this.form);" value="{$smarty.const.TRANS_SAVE_CART_ADDONS}">{/if}</td>
					</tr>
					{assign var="firsttime" value=0}
					{if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r"}
						{section name="i" loop=$addons}
							{assign var="pid" value=$addons[i].productID}
							{if $addons[i].productIsAddon==1}
								<tr>
									<td class="td05"><input type="radio" name="addons_{$id}" value="{$addons[i].productID}"{if $selectedAddons.$pid>0} checked="checked"{/if}>&nbsp; - {$addons[i].productName|constant}</td>
									<td class="td05"><strong>{$addons[i].prices.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
								</tr>
							{else}
								{foreach key="thisCycle" item="prices" from=$addons[i].prices}
									<tr>
										<td class="td05"><input type="radio" name="addons_{$id}" value="{$addons[i].productID}|{$thisCycle}"{if $selectedAddons.$pid>0} checked="checked"{/if}>&nbsp; - {$addons[i].productName|constant} {* - {$cycleList.$thisCycle*}</td>
										<td class="td05"><strong>{$addons[i].prices.$thisCycle.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.$thisCycle.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.$thisCycle.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
									</tr>
								{/foreach}
							{/if}
						{/section}
							<tr>
								<td class="td05"><input type="radio" name="addons_{$id}" value="0">&nbsp; - {$smarty.const.TRANS_NONE}</td>
								<td class="td05"></td>
							</tr>
					{elseif $group.productAddonGroupInputType=="s"}
							<tr>
								<td class="td05" colspan="2"><select name="addons_{$id}">
											<option value="0">{$smarty.const.TRANS_CHOOSE_ADDON_OPTION}</option>
										{section name="i" loop=$addons}
											{assign var="pid" value=$addons[i].productID}
											{if $addons[i].productIsAddon==1}
												<option value="{$addons[i].productID}"{if $selectedAddons.$pid>0} selected="selected"{/if}>{$addons[i].productName|constant} >> {$addons[i].prices.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount}{/if}</option>
											{else}
												{foreach key="thisCycle" item="prices" from=$addons[i].prices}
													<option value="{$addons[i].productID}|{$thisCycle}"{if $selectedAddons.$pid>0} selected="selected"{/if}>{$addons[i].productName|constant} {* - {$cycleList.$thisCycle*} >> {$addons[i].prices.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount}{/if}</option>
												{/foreach}
											{/if}
										{/section}
								</select></td>
							</tr>
					{elseif $group.productAddonGroupInputType=="c"}
						{section name="i" loop=$addons}
							{assign var="pid" value=$addons[i].productID}
							{if $addons[i].productIsAddon==1}
								<tr>
									<td class="td05"><input type="checkbox" name="addons_{$id}_{$smarty.section.i.index}" value="{$addons[i].productID}"{if $selectedAddons.$pid>0} checked="checked"{/if}>&nbsp; - {$addons[i].productName|constant}</td>
									<td class="td05"><strong>{$addons[i].prices.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
								</tr>
							{else}
								{foreach key="thisCycle" item="prices" from=$addons[i].prices}
									<tr>
										<td class="td05"><input type="checkbox" name="addons_{$id}_{$smarty.section.i.index}" value="{$addons[i].productID}|{$thisCycle}"{if $selectedAddons.$pid>0} checked="checked"{/if}>&nbsp; - {$addons[i].productName|constant} {* - {$cycleList.$thisCycle*}</td>
										<td class="td05"><strong>{$addons[i].prices.$thisCycle.0.productVariantPriceAmount|getAmount} {if $addons[i].prices.$thisCycle.1.productVariantPriceAmount>0} {$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.$thisCycle.1.productVariantPriceAmount|getAmount}{/if}</strong></td>
									</tr>
								{/foreach}
							{/if}
						{/section}
					
					{/if}
				{foreachelse}
					<tr>
						<td class="td05">{$smarty.const.TRANS_NO_ADDONS}</td>
					</tr>
				{/foreach}
					{if $firsttime==0}
					<tr>
						<td></td>
						<td><input class="button" type="button" onclick="addAddons(this.form);" value="{$smarty.const.TRANS_SAVE_CART_ADDONS}"></td>
					</tr>
					{/if}
				</table>
			</td>
		</tr>
</table>
</form>
