{* $Id: ShowClientDetails.tpl,v 1.3 2006/05/10 20:06:57 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a single client record and a summary of all client information.
 *
 * Smarty Variables:
 *	$client (array of client information that matches input criteria)
 *		clientID
 *		clientFirstName
 *		clientLastName
 *		clientEmail
 *		clientCompany
 *		clientBillingMethod
 *		clientComments
 *		clientStatus
 *		contactUsername
 *		applyTax
 *		taxIDNumber
 *		languageID
 *		countriesID
 *		themeID
 *		clientActive
 *		clientDateCreated
 *	$contacts (array of all client contacts for this client)
 *		clientContactID
 *		clientID
 *		contactFirstName
 *		contactLastName
 *		contactEmail
 *		contactCompany
 *		contactAddress1
 *		contactAddress2
 *		contactCity
 *		contactState
 *		contactZip
 *		countriesID
 *		contactPhone1
 *		contactPhone2
 *		contactFax
 *		contactDateCreated
 *		contactPrimary
 *	$primaryContact (array of this clients' primary contact information)
 *		(same elements available as the $contacts array above)
 *  $packageStatuses (counted array of package statuses)
 *		0 = # NONE
 *		1 = # PENDING
 *		2 = # CANCELLED
 *		3 = # FRAUDULENT
 *		4 = # COLLECTIONS
 *		5 = # WORKINPROGRESS
 *		6 = # SUSPENDED
 *		7 = # FAILED
 *  $domainStatuses (counted array of domain statuses)
 *		0 = # NONE
 *		1 = # PENDING
 *		2 = # PENDINGRENEWAL
 *		3 = # EXPIRED
 *  $certStatuses (counted array of cert statuses)
 *		0 = # NONE
 *		1 = # STARTED
 *		2 = # SUBMITTED
 *		3 = # COMPLETED
 *		4 = # CANCELED
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACCOUNT_BALANCE" d="Account Balance"}
{t c="TRANS_ACCOUNTS_RECEIVABLE" d="Accounts Receivable"}
{t c="TRANS_ACCOUNTING_INFORMATION" d="Accounting Information"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_ADDRESS_1" d="Address 1"}
{t c="TRANS_ADDRESS_2" d="Address 2"}
{t c="TRANS_CITY" d="City"}
{t c="TRANS_CLIENTID" d="Client ID"}
{t c="TRANS_CLIENT_INFORMATION" d="Client Information"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_PERSONAL" d="Personal"}
{t c="TRANS_COMPANY_INFORMATION" d="Company Information"}
{t c="TRANS_CONTACTID" d="ContactID"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_DOMAIN_SUMMARY" d="Domain Summary"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FAX" d="Fax"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_PACKAGE_SUMMARY" d="Package Summary"}
{t c="TRANS_PRODUCTS_AND_SERVICES" d="Products and Services"}
{t c="TRANS_PRIMARY_CONTACT" d="Primary Contact"}
{t c="TRANS_PRIMARY_PHONE" d="Primary Phone"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SECONDARY_PHONE" d="Secondary Phone"}
{t c="TRANS_SHOW_CLIENT_SUMMARY" d="Show Client Summary"}
{t c="TRANS_SSLCERT_SUMMARY" d="SSL Certificate Summary"}
{t c="TRANS_STATE_OR_REGION" d="State or Region"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_TOTAL" d="Total"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_ZIP_OR_POSTALCODE" d="Zip or Postal Code"}
{t c="TRANS_BILLING_METHOD" d="Billing Method"}
{t c="TRANS_YES" d="Yes"}
{t c="TRANS_NO" d="No"}
{t c="TRANS_ACCOUNT" d="Account"}
{t c="TRANS_THEME" d="Theme"}
{t c="TRANS_LANGUAGE" d="Language"}
{t c="TRANS_BILLING" d="Billing"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_APPLIED" d="Applied"}
{t c="TRANS_NOT_APPLIED" d="Not Applied"}
{t c="TRANS_TAX_ID_NUMBER" d="Tax ID Number"}
{t c="TRANS_LOGIN" d="Login"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_SHOW_BILLING_ACCOUNTS" d="Show Billing Accounts"}
{t c="TRANS_ADD_BILLING_ACCOUNT" d="Add Billing Account"}
{t c="TRANS_MERGE" d="Merge"}
{t c="TRANS_BILLING_ACCOUNT_SUMMARY" d="Billing Account Summary"}
{t c="TRANS_ADD_NEW_ACCOUNT" d="Add New Account"}
{t c="TRANS_ADD_NEW_PACKAGE" d="Add New Package"}
{t c="TRANS_ADD_NEW_DOMAIN" d="Add New Domain"}
{t c="TRANS_ADD_NEW_CERT" d="Add New Cert"}
{t c="TRANS_ADD_CREDIT" d="Add Credit"}
{t c="TRANS_NEW_INVOICE" d="New Invoice"}
{t c="TRANS_GENERATE" d="Generate"}
{t c="TRANS_INVOICE_STATS" d="Invoice Stats"}
{t c="TRANS_DUE_IN_FULL" d="Due in Full"}
{t c="TRANS_PARTIAL_DUE" d="Partial Due"}
{t c="TRANS_PAID_IN_FULL" d="Paid in Full"}
{t c="TRANS_ADD_NEW" d="Add New"}
{t c="TRANS_ADD_NEW_TO_PRIMARY" d="Add New to Primary"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_CLIENT_NOTE_SUMMARY" d="Client Note Summary"}
{t c="TRANS_LAST_5_NOTES" d="Last 5 Notes"}
{t c="TRANS_NOTE" d="Note"}
{t c="TRANS_GROUPS" d="Groups"}
{t c="TRANS_EDIT_PRIMARY" d="Edit Primary"}
{t c="TRANS_CLIENT_ACCOUNTING_TOTALS" d="Accounting Totals"}
{t c="TRANS_CLIENT_ACCOUNTING_CURRENCY" d="Currency"}
{t c="TRANS_BALANCE" d="Balance"}
{t c="TRANS_CLIENT_ACCOUNTING_TOTALS_AR" d="Accounts Receivable"}
{t c="TRANS_CLIENT_ACCOUNTING_TOTALS_CC" d="Credit"}
{t c="TRANS_CLIENT_ACCOUNTING_TOTALS_IN" d="Revenue"}
{t c="TRANS_CLIENT_ACCOUNTING_TOTALS_AP" d="Accounts Payable"}
{t c="TRANS_CLIENT_ACCOUNTING_TOTALS_CG" d="Cost of Goods Sold"}
{t c="TRANS_CLIENT_ACCOUNTING_TOTALS_EX" d="Expenses"}
{t c="TRANS_CLIENT_ACCOUNTING_TOTALS_RF" d="Refunds"}
{t c="TRANS_CLIENT_ACCOUNTING_TOTALS_AU" d="Authorized"}
{t c="TRANS_NONE" d="None"}
{t c="TRANS_READ_ADD_NOTES" d="Read/Add Notes"}
{t c="TRANS_ACCOUNTING_ACCOUNTS_LABEL" d="Accounts"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_SHOW_CLIENT_SUMMARY"
	sideNavMajor="clients"
	sideNavMinor="clients"
	useMenu="clients"}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client}


<table  border="1" width="98%" cellpadding="0" cellspacing="12"  class="tab04">
<tr>
	<td width="30%">
		<h1 class="st01">{$smarty.const.TRANS_CLIENT_INFORMATION}</h1>

		<table width="98%"  border="0" cellspacing="2" cellpadding="0" class="tab05">
		<tr>
			<th scope="col" colspan="2"><h1>{$smarty.const.TRANS_ACCOUNT}</h1></th>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_ACTIVE}</th>
			<td>{if $client.clientActive}{$smarty.const.TRANS_YES}{else}{$smarty.const.TRANS_NO}{/if}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_STATUS}</th>
			<td>{$client.clientStatus|getStatusName:"client"}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_EMAIL}</th>
			<td>
			{$client.clientEmail}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_LANGUAGE}</th>
			<td>{$client.languageISO2} - {$client.languageName}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_COUNTRY}</th>
			<td>{$clientCountry}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_THEME}</th>
			{assign var="clientTheme" value=$client.themeID}
			<td>{$themeList.$clientTheme}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_GROUPS}</th>
			<td>
				{section name="group" loop=$clientGroups}
					{if $smarty.section.group.index > 0}, {/if}
					{$clientGroups[group].clientGroupName}
				{/section}
			</td>
		</tr>
		<tr>
			<th scope="col" colspan="2"><h1>{$smarty.const.TRANS_BILLING}</h1></th>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_COMPANY}</th>
			<td>{$client.clientCompany}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_TAX}</th>
			<td>{if $client.applyTax}{$smarty.const.TRANS_APPLIED}{else}{$smarty.const.TRANS_NOT_APPLIED}{/if}</td>
		</tr>
		{if $client.taxIDNumber}
		<tr>
			<th scope="row">{$smarty.const.TRANS_TAX_ID_NUMBER}</th>
			<td>{$client.taxIDNumber}</td>
		</tr>
		{/if}
		</table>
		<br />
		<!-- <div class="box06">
			&raquo;<a href="#">{$smarty.const.TRANS_LOGIN}</a>
			&nbsp;
			&raquo;<a href="clients.php?action={getActionID action="EditClient"}&clientID={$client.clientID}&sid={$sid}">{$smarty.const.TRANS_EDIT}</a>
			&nbsp;
			&raquo;<a href="#">{$smarty.const.TRANS_MERGE}</a>
			&nbsp;
			&raquo;<a href="#"><a href="clients.php?action={getActionID action="RemoveClient"}&clientID={$client.clientID}&sid={$sid}">{$smarty.const.TRANS_REMOVE}</a></a>
		</div> -->

		<table width="98%"  border="0" cellspacing="2" cellpadding="0" class="tab05">
		<tr>
			<th scope="col" colspan="2"><h1>{$smarty.const.TRANS_PRIMARY_CONTACT}</h1></th>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_CONTACTID}</th>
			<td>{$primaryContact.clientContactID}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_FIRST_NAME}</th>
			<td>{$primaryContact.contactFirstName}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_LAST_NAME}</th>
			<td>{$primaryContact.contactLastName}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_EMAIL}</th>
			<td>
				<a href="{getHREF page="clients.php" actionName="SendClientEmail" args="clientID=$clientID"}">
				{$primaryContact.contactEmail}</a></td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_COMPANY}</th>
			<td>{$primaryContact.contactCompany}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_ADDRESS_1}</th>
			<td>{$primaryContact.contactAddress1}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_ADDRESS_2}</th>
			<td>{$primaryContact.contactAddress2}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_CITY}</th>
			<td>{$primaryContact.contactCity}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_STATE_OR_REGION}</th>
			<td>{$primaryContact.contactState}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_ZIP_OR_POSTALCODE}</th>
			<td>{$primaryContact.contactZip}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_COUNTRY}</th>
			<td>{$primaryContactCountry}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_PRIMARY_PHONE}</th>
			<td>{$primaryContact.contactPhone1}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_SECONDARY_PHONE}</th>
			<td>{$primaryContact.contactPhone2}</td>
		</tr>
		<tr>
			<th scope="row">{$smarty.const.TRANS_FAX}</th>
			<td>{$primaryContact.contactFax}</td>
		</tr>
		</table>

		<div class="box06">
			<div class="rm"><a href="clients.php?action={getActionID action="EditClientContact"}&clientContactID={$primaryContact.clientContactID}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_EDIT_PRIMARY}</a></div>
			<div class="rm"><a href="clients.php?action={getActionID action="AddClientContact"}&clientID={$client.clientID}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ADD_NEW}</a></div>
			<div class="rm"><a href="clients.php?action={getActionID action="ShowClientContacts"}&clientID={$client.clientID}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_SHOW_ALL}</a></div>
			<div style="clear:both"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" /></div>
		</div>

		<br />

	</td>
	<td width="30%">
		<h1 class="st03">{$smarty.const.TRANS_ACCOUNTING_INFORMATION}</h1>


		<div class="box07" align="center">
			<div class="st01" align="left"><h1>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS}</h1></div>
            <br />
			<table width="90%" border="0" cellspacing="2" cellpadding="3" class="ledger">
            <tr>
                <th class="green" align="left">{$smarty.const.TRANS_ACCOUNTING_ACCOUNTS_LABEL}</th>
                <th align="right">{$smarty.const.TRANS_BALANCE}</th>
            </tr>

        {* accounts receivables rows *}

            {assign var="firstTime" value="1"}
            {assign var="rowClass" value="total"}
            {foreach key="currencyID" item="totals" from=$accountingAccountsReceivable}
                <tr class="{$rowClass}">
                    <td width="60%" align="left" class="green">
                        {if $firstTime}
                            {assign var="firstTime" value="0"}
                            {assign var="rowClass" value=""}
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AR}</strong>
                        {/if}
                    </td>
                    <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
                </tr>
            {foreachelse}
                <tr class="total">
                    <td width="60%" align="left" class="green">
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AR}</strong>
                    </td>
                    <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
                </tr>
            {/foreach}

        {* accounts receivables rows *}

            {assign var="firstTime" value="1"}
            {assign var="rowClass" value="total"}
            {foreach key="currencyID" item="totals" from=$accountingAuthorized}
                <tr class="{$rowClass}">
                    <td width="60%" align="left" class="green">
                        {if $firstTime}
                            {assign var="firstTime" value="0"}
                            {assign var="rowClass" value=""}
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AU}</strong>
                        {/if}
                    </td>
                    <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
                </tr>
            {foreachelse}
                <tr class="total">
                    <td width="60%" align="left" class="green">
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AU}</strong>
                    </td>
                    <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
                </tr>
            {/foreach}

        {* customer credits rows *}

            {assign var="firstTime" value="1"}
            {assign var="rowClass" value="total"}
            {foreach key="currencyID" item="totals" from=$accountingCustomerCredits}
                <tr class="{$rowClass}">
                    <td width="60%" align="left" class="green">
                        {if $firstTime}
                            {assign var="firstTime" value="0"}
                            {assign var="rowClass" value=""}
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_CC}</strong>
                        {/if}
                    </td>
                    <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
                </tr>
            {foreachelse}
                <tr class="total">
                    <td width="60%" align="left" class="green">
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_CC}</strong>
                    </td>
                    <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
                </tr>
            {/foreach}

        {* revenue rows *}

            {assign var="firstTime" value="1"}
            {assign var="rowClass" value="total"}
            {foreach key="currencyID" item="totals" from=$accountingRevenue}
                <tr class="{$rowClass}">
                    <td width="60%" align="left" class="green">
                        {if $firstTime}
                            {assign var="firstTime" value="0"}
                            {assign var="rowClass" value=""}
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_IN}</strong>
                        {/if}
                    </td>
                    <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
                </tr>
            {foreachelse}
                <tr class="total">
                    <td width="60%" align="left" class="green">
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_IN}</strong>
                    </td>
                    <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
                </tr>
            {/foreach}

        {* accounts payable rows *}

            {assign var="firstTime" value="1"}
            {assign var="rowClass" value="total"}
            {foreach key="currencyID" item="totals" from=$accountingPayables}
                <tr class="{$rowClass}">
                    <td width="60%" align="left" class="green">
                        {if $firstTime}
                            {assign var="firstTime" value="0"}
                            {assign var="rowClass" value=""}
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AP}</strong>
                        {/if}
                    </td>
                    <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
                </tr>
            {foreachelse}
                <tr class="total">
                    <td width="60%" align="left" class="green">
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_AP}</strong>
                    </td>
                    <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
                </tr>
            {/foreach}

        {* cost of goods rows *}

            {assign var="firstTime" value="1"}
            {assign var="rowClass" value="total"}
            {foreach key="currencyID" item="totals" from=$accountingCogs}
                <tr class="{$rowClass}">
                    <td width="60%" align="left" class="green">
                        {if $firstTime}
                            {assign var="firstTime" value="0"}
                            {assign var="rowClass" value=""}
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_CG}</strong>
                        {/if}
                    </td>
                    <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
                </tr>
            {foreachelse}
                <tr class="total">
                    <td width="60%" align="left" class="green">
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_CG}</strong>
                    </td>
                    <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
                </tr>
            {/foreach}

        {* refunds rows *}

            {assign var="firstTime" value="1"}
            {assign var="rowClass" value="total"}
            {foreach key="currencyID" item="totals" from=$accountingRefunds}
                <tr class="{$rowClass}">
                    <td width="60%" align="left" class="green">
                        {if $firstTime}
                            {assign var="firstTime" value="0"}
                            {assign var="rowClass" value=""}
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_RF}</strong>
                        {/if}
                    </td>
                    <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
                </tr>
            {foreachelse}
                <tr class="total">
                    <td width="60%" align="left" class="green">
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_RF}</strong>
                    </td>
                    <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
                </tr>
            {/foreach}

        {* expense rows *}

            {assign var="firstTime" value="1"}
            {assign var="rowClass" value="total"}
            {foreach key="currencyID" item="totals" from=$accountingExpenses}
                <tr class="{$rowClass}">
                    <td width="60%" align="left" class="green">
                        {if $firstTime}
                            {assign var="firstTime" value="0"}
                            {assign var="rowClass" value=""}
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_EX}</strong>
                        {/if}
                    </td>
                    <td width="40%" align="right"><strong>{$totals|getAmount:$currencyID}</strong></td>
                </tr>
            {foreachelse}
                <tr class="total">
                    <td width="60%" align="left" class="green">
                            <strong>{$smarty.const.TRANS_CLIENT_ACCOUNTING_TOTALS_EX}</strong>
                    </td>
                    <td width="40%" align="right"><i>{$smarty.const.TRANS_NONE}</i></td>
                </tr>
            {/foreach}



			</table>
				{include file="$tplDirectory/widgets/quickAddCredit.tpl"
					actionName="AddClientCreditResponse"
					clientID=$clientID
					formName="quickcreditform"
					currencyIDs=$currencyIDs
					sid=$sid
					localeArray=$localeArray
					currencyID=$currencyID
					ledgerAccountNames=$ledgerAccountNames
					redirectURL="clients.php"
					redirectAction="ShowClientDetails"
					redirectArgs="clientID=`$clientID`"}
			<div style="clear:both"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" /></div>
		</div>{* box07 *}

		<br />

		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_BILLING_ACCOUNT_SUMMARY}</h1></div>
			<table width="90%"  border="0" cellspacing="2" cellpadding="0" class="tab06">
			{section name=typeID loop=$billingAccountTypes}
				<tr>
					<td width="50%">{$smarty.section.typeID.index|getTypeName:"billingAccount"}</td>
					<td width="50%">{$billingAccountTypes[typeID]}</td>
				</tr>
			{/section}
			<tr>
				<td><strong>{$smarty.const.TRANS_TOTAL}</strong></td>
				<td>{array_sum array=$billingAccountTypes}</td>
			</tr>
			</table>
			<div class="rm"><a href="clients.php?action={getActionID action="AddBillingAccount"}&clientID={$client.clientID}&clientContactID={$primaryContact.clientContactID}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ADD_NEW_TO_PRIMARY}</a></div>
			<div class="rm"><a href="clients.php?action={getActionID action="ShowBillingAccounts"}&clientID={$client.clientID}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_SHOW_ALL}</a></div>
			<div style="clear:both"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" /></div>
		</div>{* box07 *}

		<br />

		<div class="box07">{* Note: to change which notes are displayed, just alter the GetNoteData parameter in the GetClients query in the ShowClientsDetails action *}
			<div class="st01"><h1>{$smarty.const.TRANS_LAST_5_NOTES}</h1></div>
				{section name="j" loop=$noteList}
					<div class="note" style="margin: 1px 5%;">
						<div class="floatright">
							{assign var="noteAdminID" value=$noteList[j].adminID}
							<a href="{getHREF page="admins.php" actionName="ShowAdminDetails" args="adminID=$noteAdminID"}">
								{$noteList[j].adminUsername}
							</a>
						</div>
						{$noteList[j].clientNoteText|nl2br}
					</div>
				{sectionelse}
				{/section}
			<div class="rm"><a href="clients.php?action={getActionID action="ManageClientNotes"}&clientID={$client.clientID}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_READ_ADD_NOTES}</a></div>
			<div style="clear:both"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" /></div>
		</div>{* box07 *}
	</td>
	<td width="30%">
		<h1 class="st02">{$smarty.const.TRANS_PRODUCTS_AND_SERVICES}</h1>

		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_PACKAGE_SUMMARY}</h1></div>
			<table width="90%"  border="0" cellspacing="2" cellpadding="0" class="tab06">
			{section name=statusID loop=$packageStatuses}
				<tr>
					<td width="50%">{$smarty.section.statusID.index|getStatusName:"package"}</td>
					<td width="50%">{$packageStatuses[statusID]}</td>
				</tr>
			{/section}
			<tr>
				<td><strong>{$smarty.const.TRANS_TOTAL}</strong></td>
				<td>{array_sum array=$packageStatuses}</td>
			</tr>
			</table>
			{* <div class="rm"><a href="packages.php?action={getActionID action="AddPackage"}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ADD_NEW}</a></div> *}
			<div class="rm"><a href="packages.php?action={getActionID action="ShowPackages"}&clientID={$client.clientID}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_SHOW_ALL}</a></div>
			<div style="clear:both"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" /></div>
		</div>{* box07 *}

		<br />

		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_DOMAIN_SUMMARY}</h1></div>
			<table width="90%"  border="0" cellspacing="2" cellpadding="0" class="tab06">
			{section name=statusID loop=$domainStatuses}
				<tr>
					<td width="50%">{$smarty.section.statusID.index|getStatusName:"domain"}</td>
					<td width="50%">{$domainStatuses[statusID]}</td>
				</tr>
			{/section}
			<tr>
				<td><strong>{$smarty.const.TRANS_TOTAL}</strong></td>
				<td>{array_sum array=$domainStatuses}</td>
			</tr>
			</table>
			<!-- <div class="rm"><a href="domains.php?action={getActionID action="AddDomain"}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ADD_NEW}</a></div> -->
			<div class="rm"><a href="domains.php?action={getActionID action="ShowDomains"}&clientID={$client.clientID}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_SHOW_ALL}</a></div>
			<div style="clear:both"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" /></div>
		</div>{* box07 *}

		<br />

		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_SSLCERT_SUMMARY}</h1></div>
			<table width="90%"  border="0" cellspacing="2" cellpadding="0" class="tab06">
			{section name=statusID loop=$certStatuses}
				<tr>
					<td width="50%">{$smarty.section.statusID.index|getStatusName:"cert"}</td>
					<td width="50%">{$certStatuses[statusID]}</td>
				</tr>
			{/section}
			<tr>
				<td><strong>{$smarty.const.TRANS_TOTAL}</strong></td>
				<td>{array_sum array=$certStatuses}</td>
			</tr>
			</table>
			<!-- <div class="rm"><a href="certs.php?action={getActionID action="AddCert"}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ADD_NEW}</a></div> -->
			<div class="rm"><a href="certs.php?action={getActionID action="ShowCerts"}&sid={$sid}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_SHOW_ALL}</a></div>
			<div style="clear:both"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" /></div>
		</div>{* box07 *}

		<br />
		
	</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}