{* $Id: ProvisionGoogleCodeContinue.tpl,v 1.1 2006/04/11 19:36:31 mfountain Exp $
 * --------------------------------------------------------------
 * This template displays a form to provision a google code.
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_RESELLERS" d="Resellers"}
{t c="TRANS_MANAGE_RESELLERS" d="Manage Resellers"}
{t c="TRANS_ADD" d="Add"}
{t c="TRANS_ADD_RESELLER" d="Add Reseller"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_BILLING_METHOD" d="Billing Method"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_PASSWORD" d="New Password"}
{t c="TRANS_CONFIRM_PASSWORD" d="Confirm Password"}
{t c="TRANS_TAX_ID_NUMBER" d="Tax ID Number"}
{t c="TRANS_APPLY" d="Apply"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_ACCOUNT" d="Account"}
{t c="TRANS_PERSONAL" d="Personal"}
{t c="TRANS_BILLING" d="Billing"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_LANGUAGE" d="Language"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_THEME" d="Theme"}
{t c="TRANS_ADDRESS" d="Street Address"}
{t c="TRANS_ADDRESS2" d="Suite/Apartment"}
{t c="TRANS_CITY" d="City"}
{t c="TRANS_STATE" d="State"}
{t c="TRANS_ZIP" d="Zip"}
{t c="TRANS_PRIMARY_PHONE" d="Primary Phone"}
{t c="TRANS_SECONDARY_PHONE" d="Secondary Phone"}
{t c="TRANS_FAX" d="Fax"}
{t c="TRANS_GO_BACK" d="Go Back"}
{t c="TRANS_PROVISION" d="Provision"}
{t c="TRANS_PROVISIONING_ERROR" d="Provisioning Error"}
{t c="TRANS_CUSTOMER_KEY" d="Customer Key"}
{t c="TRANS_CUSTOMER_NAME" d="Customer Name"}
{t c="TRANS_CUSTOMER_EMAIL" d="Customer Email"}
{t c="TRANS_CUSTOMER_COUNTRY" d="Customer Country"}
{t c="TRANS_ORDER_AMOUNT" d="Order Amount"}
{t c="TRANS_PRODUCT_KEY" d="Product Key"}
{t c="TRANS_PRODUCT_PRICE" d="Product Price"}

{t c="TRANS_SELECT_RESELLER" d="Select the customer's reseller."}
{t c="TRANS_ENTER_CUSTOMER_INFORMATION" d="Enter the customer's information."}
{t c="TRANS_ENTER_ORDER_INFORMATION" d="Enter the order details."}

{t c="TRANS_GOOGLE_CODE" d="Google Code"}
{t c="TRANS_CODE_VALUE" d="Code Value"}
{t c="TRANS_CODE_EXPIRES" d="Expiration Date"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_GOOGLE_CODES"
	sideNavMajor="ppc"
	sideNavMinor="add"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="ppc.php">
<input type="hidden" name="action" value="{getActionID action="ProvisionGoogleCodeContinue"}" />
<input type="hidden" name="sid" value="{$sid}" />

<table border="0" width="100%" cellpadding="0" cellspacing="12"  class="tab01">
<tr>
    <td>
		<div class="box07">
			<div class="st01">
                <h1>
                    {$smarty.const.TRANS_GOOGLE_CODES} &gt; {$smarty.const.TRANS_PROVISION} &gt; {$smarty.const.TRANS_RESULTS}
                    {if $provisionErrors}
                        &gt; <b class="red">{$smarty.const.TRANS_PROVISIONING_ERROR}</b>
                        [<a href="javascript:history.go(-1);">{$smarty.const.TRANS_GO_BACK}</a>]
                    {/if}
                </h1>
            </div>

            {section name=i loop=$provisionErrors}

                <ul>
                    <li>{$provisionErrors[i].message}</li>
                </ul>

            {sectionelse}
                <table width="100%"  border="0" cellspacing="2" cellpadding="0" class="tab01">
                <tbody>
                <tr class="alt2">
	                <th class="nowrap" scope="row" style="text-align:right;">{$smarty.const.TRANS_CUSTOMER_NAME}:</th>
	                <td width="100%">{$codeData.customerName}</td>
                </tr>
                <tr class="alt2">
	                <th class="nowrap" scope="row" style="text-align:right;">{$smarty.const.TRANS_CUSTOMER_EMAIL}:</th>
	                <td width="100%">{$codeData.customerEmail}</td>
                </tr>
                <tr class="alt2">
	                <th class="nowrap" scope="row" style="text-align:right;">{$smarty.const.TRANS_GOOGLE_CODE}:</th>
	                <td width="100%">{$codeData.googleCode.codeToUse}</td>
                </tr>
                <tr class="alt2">
	                <th class="nowrap" scope="row" style="text-align:right;">{$smarty.const.TRANS_CODE_VALUE}:</th>
	                <td width="100%">{$codeData.googleCode.codeValue} {$codeData.googleCode.codeCurrencyID}</td>
                </tr>
                <tr class="alt2">
	                <th class="nowrap" scope="row" style="text-align:right;">{$smarty.const.TRANS_CODE_EXPIRES}:</th>
	                <td width="100%">{$codeData.googleCode.codeDateExpires|getDate}</td>
                </tr>
                </table>
            {/section}

		</div>{* box07 *}

    </td>
</tr>

</table>

</form>

{include file="$tplDirectory/footer.tpl"}
