{* $Id: ShowResellerDetails.tpl,v 1.1 2006/04/11 20:07:39 mfountain Exp $
 * --------------------------------------------------------------
 * This template displays a reseller's details.
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACCOUNT_BALANCE" d="Account Balance"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_ADD_NEW_CONTACT" d="Add new contact"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_RESELLER_ID" d="Client ID"}
{t c="TRANS_LAST_NOTE" d="Last Note"}
{t c="TRANS_NOTE" d="Note"}
{t c="TRANS_NO_NOTES" d="No Notes"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_MANAGE_RESELLERS" d="Manage Clients"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_PRIMARY_CONTACT" d="Primary Contact"}
{t c="TRANS_PHONE" d="Phone"}
{t c="TRANS_LAST_ACCESS" d="Last Access"}
{t c="TRANS_LAST_TICKET" d="Last Ticket"}
{t c="TRANS_ONLINE" d="Online"}
{t c="TRANS_OFFLINE" d="Offline"}
{t c="TRANS_SHOW_ALL_ADD_NEW" d="Show All/Add New"}
{t c="TRANS_ADD_NEW" d="Add New"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_ADDITIONAL_INFORMATION" d="Additional Information"}
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}

{assign var="filterArgs" value="resellerActive=$resellerActive&resellerStatus=$resellerStatus"}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_RESELLERS"
	sideNavMajor="resellers"
	sideNavMinor="resellers"}

<table  border="0" width="98%" cellpadding="0" cellspacing="12"  class="tab01">
<tr>
    <td colspan="2">
		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_RESELLERS} &gt; {$smarty.const.TRANS_DETAILS}</h1></div>

            <table border="0" cellspacing="2" cellpadding="0" class="tab01">
            <tr class="{cycle values="alt1,alt2"}">
                <td><strong>{$smarty.const.TRANS_ID}:</strong></td>
	            <td>{$resellerID}</td>
            </tr>
            <tr class="{cycle values="alt1,alt2"}">
                <td><strong>{$smarty.const.TRANS_COMPANY}:</strong></td>
	            <td>{$reseller.resellerCompany|default:$smarty.const.TRANS_EMPTY|stripslashes}</td>
            </tr>
            <tr class="{cycle values="alt1,alt2"}">
                <td><strong>{$smarty.const.TRANS_NAME}:</strong></td>
	            <td>{$reseller.resellerLastName|stripslashes}, {$reseller.resellerFirstName|stripslashes}</td>
            </tr>
            <tr class="{cycle values="alt1,alt2"}">
                <td><strong>{$smarty.const.TRANS_EMAIL}:</strong></td>
	            <td>{mailto address=$reseller.resellerEmail}</td>
            </tr>
            <tr class="{cycle values="alt1,alt2"}">
                <td><strong>{$smarty.const.TRANS_STATUS}:</strong></td>
	            <td>{$reseller.resellerStatus|getStatusName:"reseller"}</td>
            </tr>
            <tr class="{cycle values="alt1,alt2"}">
                <td><strong>{$smarty.const.TRANS_USERNAME}:</strong></td>
	            <td>{$reseller.resellerUsername}</td>
            </tr>
            <tr class="{cycle values="alt1,alt2"}">
	            <td>&nbsp;</td>
	            <td>
		            {strip}
		            <a href="{getHREF page="resellers.php" actionName="EditReseller" args="resellerID=$resellerID"}">
			            <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		            </a>
		            &nbsp;
		            <a href="{getHREF page="resellers.php" actionName="RemoveReseller" args="resellerID=$resellerID"}">
			            <img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		            </a>
		            {/strip}
	            </td>
            </tr>
            </tbody>

            </table>
		</div>{* box07 *}

    </td>
</tr>

</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}
