<?php
// $Id: AddAdminResponse.php,v 1.15 2006/05/08 20:50:26 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");

class AddAdminResponse extends AddResponseAction {

	function AddAdminResponse() {
		parent::AddResponseAction();
		$this->stringRep = "AddAdminResponse";
		$this->setDataSource(new DataSource("admins"));
		$this->params[] = "adminGroups";
	}

	function addResponseValidationHandler() {
		$this->validateParam("adminGroups", 0);
		return true;
	}

	function addResponseParamHandler() {
        $adminID = (int) $_REQUEST["adminID"];

		$currentAdminGroupIDs = array();
		$selectedAdminGroupIDs = isset($_REQUEST["adminGroups"]) && is_array($_REQUEST["adminGroups"]) ? $_REQUEST["adminGroups"] : array();
		$params = $this->getRelationParams($selectedAdminGroupIDs, $currentAdminGroupIDs, "adminGroupIDs", "adminGroupID");
		
		$params["adminRemoteAccessHash"] = sha1(microtime(1) + mt_rand(1,1000000000));
		$this->d->mergeParams($params);
		
		return true;
	}
	
}
?>
