<?php
// $Id: EditMyProfileResponse.php,v 1.8 2006/05/08 23:12:15 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");

class EditMyProfileResponse extends EditResponseAction {
	function EditMyProfileResponse() {
		global $CONF;
		parent::EditResponseAction();
		$this->stringRep = "EditMyProfileResponse";
		$this->setDataSource(new DataSource("admins"));
		
		$description = $this->d->getDescription();
		
		$description["names"]["singular"] = "MyProfile";
		$description["display"]["detailsAction"] = "EditMyProfile";
		$description["display"]["editTemplate"] = "admins/EditMyProfile";
		
		$this->d->setDescription($description);
		
		$_REQUEST["adminID"] = $CONF["user"]["id"];
	}

	function editResponseParamHandler() {
        // only update the accessHash if set
		$params = array();
		if(!empty($_REQUEST["accessHash"])) {
			$params["adminRemoteAccessHash"] = sha1(microtime(1) + mt_rand(1,1000000000));
		}
		$this->d->mergeParams($params);
		
		return true;
	}
	
}
?>
