<?php
// $Id: ShowGenerateInvoiceMenu.php,v 1.5 2006/03/22 20:41:02 kbailey Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This class is a child class of MB_Action. It will display the generate invoice menu.
 *
 * @author  Michael Fountain
 */
class ShowGenerateInvoiceMenu extends MB_Action {
	/**
	 * The constructor for a ShowGenerateInvoiceMenu action object. This merely calls the parent constructor,
	 * and sets the string representation of this object. This method also sets up $this->params and
	 * $this->sortColumns for use in $this->getMBAPIQuery().
	 */
	function ShowGenerateInvoiceMenu() {
		parent::MB_Action();
		$this->stringRep = "ShowGenerateInvoiceMenu";
	}

	/**
	 * The main method of this class that executes the ShowGenerateInvoiceMenu action, and returns success or failure.
	 *
	 * @return  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();

		/*$cmdArgs = array
		(
			"countInvoicesToBeGeneratedOnly" => 1,
		);
		$query = $this->getMBAPIQuery("ProcessInvoices", "", $cmdArgs);
		$CONF["debug"]->add("Action Command", htmlentities($query), __FILE__, __LINE__);
		$data = dispatchMBAPI($query, 1);
		$CONF["debug"]->add("Action Result", $data, __FILE__, __LINE__);

		if($this->addMBAPIErrors($data) === 0) {
			$s = array();
			$s["numInovicesToBeGenerated"] = $data["mbapi"][0]["header"][0]["numInvoicesGenerated"][0];
            $this->addTemplate("invoices/ShowGenerateInvoiceMenu", collapseArrayElements($s));
		}*/ // counting how many invoices are to be generated isn't neccessary to display the menu only




        $this->addTemplate("invoices/ShowGenerateInvoiceMenu", $this->smartyVars);

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	} // execute
} // MB_Action
?>