<?php
// $Id: ForgottenPasswordResponse.php,v 1.2 2006/06/08 17:50:29 bsmith Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");
require_once mb_path("/lib-tk/include/crypt/crypt.php");


class ForgottenPasswordResponse extends MB_Action {

	function ForgottenPasswordResponse() {
		parent::MB_Action();
		$this->stringRep = "ForgottenPasswordResponse";
		$this->params = array("adminEmail", "adminRemoteAccessHash");
	}

	function execute() {
		global $CONF;
		parent::execute();

		$this->setReferralActionID( getActionID("ShowForgottenPassword") );
                $this->setReferralActionFile( "login.php" );

                $success = $this->validateMultiInputs(array(
                			"adminEmail" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED));

		if ($success) {
			$query = $this->getMBAPIQuery("ProcessAdminForgottenPassword");
			$data = dispatchMBAPI( $query, 1 );
			
			if ($this->addMBAPIErrors($data) === 0 && !$this->getNumErrors()) {
				$results = grabSimpleMBAPIResults($data);
				
				if (is_array( $results["adminIDs"][0] ) && notZero( $results["adminIDs"][0]["adminID"] )) {
					redirect("login.php", "ShowLogin", array("msg"=>"TRANS_PASSWORD_RESET"));
				} else {
					$this->addError( TRANS_ACTIONERROR, "User/Email doesn't exists." );
				}
			}
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}

}
