<?php
// $Id: ShowForgottenPassword.php,v 1.1 2006/06/07 22:26:12 bsmith Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once mb_path("/lib-action/action.php");


class ShowForgottenPassword extends MB_Action {

	function ShowForgottenPassword() {
		parent::MB_Action();
		$this->stringRep = "ShowForgottenPassword";
	}
	function execute() {
		global $CONF;
		parent::execute();

		// force usage of the admin login template since we are not logged in yet
		$CONF["theme"]["type"] = "admin";

		// We allow for action redirects here, so if someone's session expired, they can at least get to the same 
		// page immediately
		if($_REQUEST["redirectActionID"] && $_REQUEST["redirectActionFile"]) {
			$smartyVars = array("redirectActionID" => $_REQUEST["redirectActionID"],
				"redirectActionFile" => $_REQUEST["redirectActionFile"], "redirectArgs" => $_REQUEST["redirectArgs"]);
		}

		$this->mergeFormState();
		
		$this->hasExecutedSuccessfully = (int) $this->addTemplate("login/ShowForgottenPassword");
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
}