<?php
// $Id: EditEmailConfig.php,v 1.1 2006/06/12 21:30:24 bsmith Exp $
// +------------------------------------------------------------------------------+
// | MBAPI [TM] .:. Client Billing Engine                                         |
// +------------------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                                  |
// +------------------------------------------------------------------------------+
// | This source file is subject to the ModernGigabyte End User License Agreement |
// | (EULA), that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at http://www.mbapi.com/eula.php     |
// |                                                                              |
// | If you did not receive a copy of the MBAPI license and are unable to obtain  |
// | it through the world-wide-web, please send a note to license@mbapi.com so we |
// | can email you a copy immediately.                                            |
// +------------------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>                       |
// | Support: http://www.modernsupport.com/                                       |
// +------------------------------------------------------------------------------+
// | ModernGigabyte, ModernBill, and MBAPI are trademarks of ModernGigabyte, LLC. |
// +------------------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This will pull system info and push it to a template
 */
class EditEmailConfig extends MB_Action {

	function EditEmailConfig() {
		parent::MB_Action();
		$this->stringRep = "EditEmailConfig";
	}

	function execute() {
		global $CONF;

        	$configGroupID = (int) $_REQUEST["configGroupID"];
		
		if(!$configGroupID) {
			$this->addError(TRANS_ACTIONERROR, "No ID given for EditEmailConfig.");
		} else {
			if ((int)$_REQUEST["saved"] == 1) {
				$this->smartyVars["displaySaved"] = 1;
			}
			
			$this->smartyVars["configGroupID"] = $configGroupID;
			$this->smartyVars["methodsAvailable"] = array("php" => "PHP Internal", "sendmail" => "Sendmail", "smtp" => "SMTP");
			
			$this->mergeFormState( $CONF["system"]["emailSettings"] );
			
				
			$this->addTemplate("modules/EditEmailConfig");
		}
		
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();

	}
} // EditEmailConfig
?>
