<?php
// $Id: AddNewsGroup.php,v 1.7 2006/06/23 23:05:39 bsmith Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");

/**
 * This action displays a form to add a new news group, that will eventually contain news articles. 
 * The template it displays should post to the AddNewsGroup option; this action is pretty straight 
 * forward. It also is incapable of failing under control, so execute() always returns 1 for 
 * successful execution.
 *
 * @author  Vic Fryzel
 */
class AddNewsGroup extends MB_Action {
	/**
	 * The constructor for an AddNewsGroup action object. This calls the parent constructor, 
	 * and sets the string representation of this object.
	 */
	function AddNewsGroup() {
		parent::MB_Action();
		$this->stringRep = "AddNewsGroup";
	}

	/**
	 * The main method of this class that executes the AddNewsGroup action, and returns success or failure.
	 * Since this object is pretty much incapable of failing, this method always returns 1 for success.
	 *
	 * @return  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();
		

		$this->mergeFormState();
		$this->addTemplate("news/AddNewsGroup");
		
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // AddNewsGroup
?>