<?php
// $Id: AddGenericAttribute.php,v 1.1 2006/08/02 16:55:51 kbailey Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


require_once dirname(__FILE__)."/../../../../lib-tk/shield.php";
require_once mb_path("/lib-action/sourceaction.php");
require_once mb_path("/lib-action/include/wizard/WizardResolver.php");

class AddGenericAttribute extends MB_Action {
	/**
	 * The constructor for a AddGenericAttribute action object. This merely calls the parent constructor, 
	 * and sets the string representation of this object.
	 */
	function AddGenericAttribute() {
		parent::MB_Action();
		$this->stringRep = "AddGenericAttribute";
	}

	/**
	 * The main method of this class that executes the class.
	 */
	function execute() {
		parent::execute();
		
		
		$this->addTemplate("orderforms/AddGenericAttribute", array(), 1);
		
		
		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // AddGenericAttribute
?>
