<?php
// $Id: EditProductVariantResponse.php,v 1.3 2006/03/22 20:40:52 kbailey Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");
require_once mb_path("/lib-tk/toolkit.php");

class EditProductVariantResponse extends MB_Action {
	function EditProductVariantResponse() {
		parent::MB_Action();
		$this->stringRep = "EditProductVariantResponse";
		$this->params = array(
			"productVariantID",
			"productVariantDisplayName",
			"productVariantActive",
			"productID",
			"tldID",
		);
	}

	function execute() {
		global $CONF;
		parent::execute();
		
		do {
			$this->setReferralActionID(getActionID("ShowProductVariants"));
			$this->setReferralActionFile("products.php");
			if(!$this->validateMultiInputs(
				array(
					"productVariantID" => INPUT_RESTRICTION_POSITIVE_INT|INPUT_RESTRICTION_REQUIRED,
					"productVariantDisplayName" => INPUT_RESTRICTION_STRING|INPUT_RESTRICTION_REQUIRED,
					"productVariantActive" => INPUT_RESTRICTION_BOOL|INPUT_RESTRICTION_REQUIRED,
					"productID" => INPUT_RESTRICTION_POSITIVE_INT|INPUT_RESTRICTION_REQUIRED,
					"tldID" => INPUT_RESTRICTION_POSITIVE_INT|INPUT_RESTRICTION_REQUIRED,
				),
				array(),
				array(),
				1
			)) break;
			
			$productVariantID = (int) $_REQUEST["productVariantID"];
			$productID = (int) $_REQUEST["productID"];
			
 			$params = array();
			$this->applyRequestTo($params);
			$setQuery =& new MBQuery(
				"SetProducts", "update",
				array(
					//"productID" => $productID,
					"productVariants" => array(
						"productVariant" => $params,
					),
				)
			);
			
			if(!$this->addErrorsFromResult($setResult =& $setQuery->getResult())) break;
			//echo '<pre>';
			//echo htmlentities($setQuery->getXMLQuery());
			//echo '</pre>';
			//exit;
			if(!$this->goBack()) {
				redirect("products.php", getActionID("ShowProductVariants"), array("productVariantID"=>$productVariantID));
			}
		} while(false);
	}
}
?>