<?php
// $Id: EditWebsiteWidgetResponse.php,v 1.1 2006/05/23 20:57:13 bsmith Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2005 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+


if(!$CONF || $_REQUEST["CONF"]) {
	if (!defined("MB_LIBPATH")){
		define("MB_LIBPATH", realpath(dirname(__FILE__)."/../../../.."));
		require_once(MB_LIBPATH."/lib-pkg/parsefunction.php");
	}
	require_once mb_path("/lib-tk/include/common.php");
}
require_once mb_path("/lib-action/action.php");
require_once mb_path("/lib-mbapi/mbapi.php");

/**
 * This action object takes the input from the form that submitted to it and creates a website widget with that info.
 *
 * @author  Kris Bailey
 */
class EditWebsiteWidgetResponse extends MB_Action {
	/**
	 * The constructor for an EditWebsiteWidgetResponse action object. This merely calls the parent constructor,
	 * and sets the string representation of this object. It also sets up $this->params.
	 */
	function EditWebsiteWidgetResponse() {
		parent::MB_Action();
		$this->stringRep = "EditWebsiteWidgetResponse";
	}

	/**
	 * The main method of this class that executes the AddWebsiteWidgetResponse action, and returns success or failure.
	 *
	 * @return  1 if this action executed successfully, or 0 if otherwise.
	 */
	function execute() {
		global $CONF;
		parent::execute();

		if ($_REQUEST["websiteWidgetName"]==""){
		 	$_REQUEST["websiteWidgetName"] = "TRANS_NO_NAME";
		}

		$websiteWidgetID = (int)$_REQUEST["websiteWidgetID"];
		if (!$websiteWidgetID){

		} else {
			$setWebsiteWidgetXML = "	<mbapi>
											<command>SetWebsiteWidget</command>
											<subCommand>update</subCommand>
											<params>
												<websiteWidgetID>".$websiteWidgetID."</websiteWidgetID>
												<websiteWidgetName>".secureInput($_REQUEST["websiteWidgetName"])."</websiteWidgetName>
												<websiteWidgetTpl>".secureInput($_REQUEST["websiteWidgetTpl"])."</websiteWidgetTpl>
												<products>";
			if (count($_REQUEST["products"])){
			 	foreach ($_REQUEST["products"] as $pid){
					$setWebsiteWidgetXML .= "<product>".(int)$pid."</product>";
				}
			}
			$setWebsiteWidgetXML .= "
												</products>
											</params>
										</mbapi>";
			dbg(dispatchMBAPI($setWebsiteWidgetXML, 1));

			redirect("websitewidgets.php",getActionID("ShowWebsiteWidgets"),array());
		}

		$this->addErrorTemplates();
		return $this->hasExecutedSuccessfully();
	}
} // EditWebsiteWidgetResponse
?>