<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

/**
 * Smarty {toggleTbody} function plugin
 *
 * Type:     function<br>
 * Name:     toggleTbody<br>
 * Purpose:  Display the javascript to show or hide a toggled tbody<br>
 * @param array
 * @return string
 * @author Michael Fountain
 */
function smarty_function_toggleTbody($params)
{
	// $params["id"]
	// $params["var"]
	// $params["value"]

	$retval = "<script type=\"text/JavaScript\">toggle('".$params["id"]."');</script>";
	if ($params["var"] != "" && ($params["var"] == $params["value"])) {
		$retval = "";
	}
	return $retval;

}
?>