<?php
// $Id: attributeMappings.php,v 1.5 2006/05/26 22:23:59 bwoolley Exp $
// +----------------------------------------------------------------------+
// | ModernBill [TM] .:. Client Billing System                            |
// +----------------------------------------------------------------------+
// | Copyright (c) 2001-2006 ModernGigabyte, LLC                          |
// +----------------------------------------------------------------------+
// | This source file is subject to the ModernBill End User License       |
// | Agreement (EULA), that is bundled with this package in the file      |
// | LICENSE, and is available at through the world-wide-web at           |
// | http://www.modernbill.com/extranet/LICENSE.txt                       |
// | If you did not receive a copy of the ModernBill license and are      |
// | unable to obtain it through the world-wide-web, please send a note   |
// | to license@modernbill.com so we can email you a copy immediately.    |
// +----------------------------------------------------------------------+
// | Authors: ModernGigabyte, LLC <info@moderngigabyte.com>               |
// | Support: http://www.modernsupport.com/modernbill/                    |
// +----------------------------------------------------------------------+
// | ModernGigabyte and ModernBill are trademarks of ModernGigabyte, LLC. |
// +----------------------------------------------------------------------+

require_once dirname(__FILE__)."/../../../../../lib-tk/shield.php";
require_once mb_path("/lib-tk/mbapimap.php");

$CONF['sources']['attributeMappings'] = array(
	"names" => array(
		"singular" => "attributeMapping",
		"plural" => "attributeMappings",
		"file" => "orderforms",
	),
	"request" => array(
		'command' => "GetAttributeMappings",
		'subCommand' => "",
		'params' => array(),
	),
	"response" => array(
		'path' => array("attributes", "attribute"),
	),
	"insert" => array(
		"command" => "SetAttributeMappings",
		"subCommand" => "insert",
		"params" => array(), //$allParamsRoot,
	),
	"update" => array(
		"command" => "SetAttributeMappings",
		"subCommand" => "update",
		"params" => array(), //$allParamsRoot,
	),
	"delete" => array(
		"command" => "SetAttributeMappings",
		"subCommand" => "delete",
		"params" => array(), //new Params(new Param("attributeMappingID")),
	),
	"table" => "attribute_mappings",
	"columns" => array(
		"attributeMappingID" => COLUMN_PRIMARY_KEY,
		"attributeID" => COLUMN_ID,
		"attributeMatchValue" => COLUMN_PRIMARY_NAME,
		"attributeNomatchValue" => COLUMN_TEXT,
	),
	"relations" => array(
		"attributeMaps" => array("attribute_map_mapping_rel", "attributeMapIDs", "attributeMapID"),
	),
	"display" => array(
		"showTemplate" => "orderforms/ShowAttributeMappings",
		"addTemplate" => "orderforms/AddAttributeMapping",
		"editTemplate" => "orderforms/EditAttributeMapping",
		"removeTemplate" => "orderforms/RemoveAttributeMapping",
		"options" => array("attributes"),
		"context" => array(
			"attributeID" => "attributes",
		),
	),
);
