{* $Id: ShowGeneralJournal.tpl,v 1.5 2006/07/06 16:30:12 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$entries (array of journal entries data)
 *		generalJournalID
 *		generalDateCreated
 *		generalDescription
 * 		generalDebitAmount
 *		generalCreditAmount
 *      currencyID
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}
{t c="TRANS_LEDGER_ACCOUNT_DETAILS" d="Ledger Account Details"}
{t c="TRANS_NO_LEDGER_ACCOUNTS_FOUUND" d="No ledger accounts found."}
{t c="TRANS_ACCOUNTING" d="Accounting"}
{t c="TRANS_ACCOUNTS_RECEIVABLE" d="Accounts Receivable"}
{t c="TRANS_ACCOUNTS_PAYABLE" d="Accounts Payable"}
{t c="TRANS_CERTS_PAYABLE" d="Certs Payable"}
{t c="TRANS_CASH" d="Cash 1"}
{t c="TRANS_CASH_1" d="Cash 2"}
{t c="TRANS_CASH_2" d="Cash 3"}
{t c="TRANS_HARDWARE_ASSETS" d="Hardware Assets"}
{t c="TRANS_EQUITY" d="Owner Equity"}
{t c="TRANS_REVENUE" d="Revenue"}
{t c="TRANS_DOMAINS_PAYABLE" d="Domains Payable"}
{t c="TRANS_GL_NUMBER" d="GL Number"}
{t c="TRANS_LEDGER_ACCOUNTS" d="Ledger Accounts"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_TAXES_PAYABLE" d="Taxes Payable"}
{t c="TRANS_ACTIONS" d="Actions"}

{t c="TRANS_COGS" d="Misc Cost of Goods Sold"}
{t c="TRANS_DOMAIN_COGS" d="Domain COGS"}
{t c="TRANS_CERTS_COGS" d="Certificates COGS"}
{t c="TRANS_SETUP_COGS" d="Setup COGS"}
{t c="TRANS_USAGE_COGS" d="Usage COGS"}
{t c="TRANS_CUSTOMER_CREDITS" d="Client Credits"}

{t c="TRANS_EXPENSE" d="Misc Expense"}
{t c="TRANS_REFUND_EXPENSE" d="Refund Expense"}
{t c="TRANS_CUSTOMER_EXPENSE" d="Customer Relations Expense"}
{t c="TRANS_WAGES_EXPENSE" d="Wages Expense"}
{t c="TRANS_ENTERTAINMENT_EXPENSE" d="Entertainment/Meals Expense"}
{t c="TRANS_RENT_EXPENSE" d="Rent/Lease Expense"}
{t c="TRANS_TRAVEL_EXPENSE" d="Travel Expense"}
{t c="TRANS_COMMISSIONS_EXPENSE" d="Commissions Expense"}
{t c="TRANS_INCOME_TAX_EXPENSE" d="Income Tax Expense"}
{t c="TRANS_DEPRECIATION_EXPENSE" d="Depreciation Expense"}
{t c="TRANS_HARDWARE_LEASE_EXPENSE" d="Hardware Lease Expense"}
{t c="TRANS_COLOCATION_EXPENSE" d="Colocation Expense"}



{t c="TRANS_ASSET_ACCOUNTS" d="Asset Accounts"}
{t c="TRANS_LIABILITY_ACCOUNTS" d="Liability Accounts"}
{t c="TRANS_EQUITY_ACCOUNTS" d="Equity Accounts"}
{t c="TRANS_REVENUE_ACCOUNTS" d="Revenue Accounts"}
{t c="TRANS_COGS_ACCOUNTS" d="Cost of Goods Sold Accounts"}
{t c="TRANS_EXPENSE_ACCOUNTS" d="Expense Accounts"}
{t c="TRANS_OTHER_REVENUE_ACCOUNTS" d="Other Revenue Accounts"}
{t c="TRANS_OTHER_EXPENSE_ACCOUNTS" d="Other Expense Accounts"}

{t c="TRANS_BALANCE_SHEET_ACCOUNTS" d="Balance Sheet Accounts"}
{t c="TRANS_GL_TYPE" d="Account Group"}
{t c="TRANS_FINANCIAL_STATEMENT_ACCOUNTS" d="Financial Statement Accounts"}

{t c="TRANS_CLIENT_NAME" d="Client"}
{t c="TRANS_DATE" d="Date"}
{t c="TRANS_INVOICE_NUMBER" d="Inv. #"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_DEBITS" d="Debits"}
{t c="TRANS_CREDITS" d="Credits"}
{t c="TRANS_CURRENCY_SHORT" d="Curr."}
{t c="TRANS_GL_TRANSACTIONS" d="Ledger Transactions"}
{t c="TRANS_NO_TRANSACTIONS" d="No transaction returned for this query."}
{t c="TRANS_EDIT" d="Edit"}

{t c="TRANS_GENERAL_JOURNAL_ENTRIES" d="General Journal Entries"}
{t c="TRANS_GENERAL_JOURNAL" d="General Journal"}
{t c="TRANS_CREATE_GENERAL_JOURNAL_ENTRY" d="Create New General Journal Entry"}

{t c="TRANS_GENERAL_JOURNAL_ID" d="ID"}
{t c="TRANS_GENERAL_JOURNAL_DESCRIPTION" d="Description"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_ACCOUNTING"
	grandchildName="TRANS_GENERAL_JOURNAL"
	sideNavMajor="finances"
	sideNavMinor="accounting"}

<div class="rm" style="float: right; margin-right: 7px;"><a href="{getHREF page="accounting.php" actionName="AddGeneralJournalEntry"}">{$smarty.const.TRANS_CREATE_GENERAL_JOURNAL_ENTRY}</a></div>
<h2>{$smarty.const.TRANS_GENERAL_JOURNAL_ENTRIES}</h2>

<table width="770" border="0" cellspacing="0" cellpadding="0" class="tab07">
  <tr>
     <td>
        <table width="98%" border="0" cellpadding="0" cellspacing="0" class="list">
            <tr class="headerRow">
                {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerClass="firstTD" headerName="TRANS_GENERAL_JOURNAL_ID" sortColumn="generalJournalID"}
                {include file="$tplDirectory/widgets/table/listHeaderSortDate.tpl" headerName="TRANS_DATE" sortColumn="generalDateCreated"}
                {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_GENERAL_JOURNAL_DESCRIPTION" sortColumn="generalDescription"}
                {include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_CURRENCY_ID" sortColumn="currencyID"}
                {include file="$tplDirectory/widgets/table/listHeaderSortAmount.tpl" headerAlign="right" headerName="TRANS_DEBITS" sortColumn="generalDebitAmount"}
                {include file="$tplDirectory/widgets/table/listHeaderSortAmount.tpl" headerAlign="right" headerName="TRANS_CREDITS" sortColumn="generalCreditAmount"}
                {include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerClass="lastTD" headerName="TRANS_EDIT" headerAlign="left"}
            </tr>

        {section name=i loop=$entries}
            {if $className=="alt1"}
                {assign var="className" value="alt2"}
            {else}
                {assign var="className" value="alt1"}
            {/if}

            <tr class="{cycle values="alt1,alt2"}"
                    onmouseover="this.className='althover';"
                    onmouseout="this.className='{$className}';">
                <td>{$entries[i].generalJournalID}</td>
                <td>{$entries[i].generalDateCreated|getDate:short}</td>
                <td>{$entries[i].generalDescription}</td>
                <td>{$entries[i].currencyID}</td>
                <td align="right">{$entries[i].generalDebitAmount|getAmount:$entries[i].currencyID:false}</td>
                <td align="right">{$entries[i].generalCreditAmount|getAmount:$entries[i].currencyID:false}</td>
                <td>
                    <a href="{getHREF page="accounting.php" actionName="EditGeneralJournalEntry" args="generalJournalID=`$entries[i].generalJournalID`"}">
                        <img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
                    </a>
                </td>
            </tr>

        {sectionelse}

            <tr class="alt1">
                <td colspan="7">{$smarty.const.TRANS_NO_TRANSACTIONS}</td>
            </tr>

        {/section}

        </table>

        {include file="$tplDirectory/widgets/paginationLinks.tpl"}

     </td>
  </tr>

</table>

{include file="$tplDirectory/footer.tpl"}