{* $Id: ShowAdminDetails.tpl,v 1.12 2006/07/10 16:10:11 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays a single admin details record.
 *
 * Smarty Variables:
 *	$admin (array of this admin's data)
 *
 *}
{strip}
{t c="TRANS_ADMIN_ID" d="Admin ID"}
{t c="TRANS_ADMIN_PROFILE" d="Admin Profile"}
{t c="TRANS_ASSIGNED_ADMIN_GROUPS" d="Assigned Admin Groups"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_REMOTE_ACCESS_HASH" d="Remote Access Hash"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LANGUAGE" d="Language"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_ENTER_PASSWORD_AGAIN" d="Enter Password Again"}
{t c="TRANS_THEME" d="Theme"}
{t c="TRANS_UPDATE_PROFILE" d="Update Profile"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_SAVED_SUCCESSFULLY" d="Saved Successfully"}
{t c="TRANS_GENERATE_NEW" d="Generate New"}

{t c="TRANS_CLONE_BOOKMARK" d="Clone Bookmark"}
{t c="TRANS_LOAD_BOOKMARK_MAIN_PAGE" d="Load Bookmark in main page"}
{t c="TRANS_LOAD_BOOKMARK_NEW_PAGE" d="Load Bookmark in new page"}

{assign var="adminID" value=$admin.adminID}
{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_MANAGE_ADMINS"
	grandchildName="TRANS_ADMIN_PROFILE"
	sideNavMajor="system"
	sideNavMinor="admins"}

{if $saved}
    {include
	    file="$tplDirectory/widgets/showInvalidCustom.tpl"
	    duration="4"
	    message=$smarty.const.TRANS_SAVED_SUCCESSFULLY}
{/if}

<table  width="770" border="0" cellpadding="0" cellspacing="0">
<tr>
    {***************** LEFT COLUMN *****************}
    <td width="70%" valign="top">

        <table width="100%" border="0" cellpadding="0" cellspacing="3" class="tab01" >
        <tbody>
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_ADMIN_ID}</th>
	        <td width="100%">{$adminID}</td>
        </tr>
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_FIRST_NAME}</th>
	        <td width="100%">
		        {include
			        file="$tplDirectory/widgets/quickEditLink.tpl"
                    useEditIcon=1
			        editID=$adminID
			        editActionName="EditAdminResponse"
                    editKey="adminID"
                    editName="TRANS_FIRST_NAME"
			        editColumn="adminFirstName"
			        editValue=$admin.adminFirstName}
                &nbsp;
                {$admin.adminFirstName}
            </td>
        </tr>
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_LAST_NAME}</th>
	        <td width="100%">
		        {include
			        file="$tplDirectory/widgets/quickEditLink.tpl"
                    useEditIcon=1
			        editID=$adminID
			        editActionName="EditAdminResponse"
                    editKey="adminID"
                    editName="TRANS_LAST_NAME"
			        editColumn="adminLastName"
			        editValue=$admin.adminLastName}
                &nbsp;
                {$admin.adminLastName}
            </td>
        </tr>
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_USERNAME}</th>
	        <td width="100%">
		        {include
			        file="$tplDirectory/widgets/quickEditLink.tpl"
                    useEditIcon=1
			        editID=$adminID
			        editActionName="EditAdminResponse"
                    editKey="adminID"
                    editName="TRANS_USERNAME"
			        editColumn="adminUsername"
			        editValue=$admin.adminUsername}
                &nbsp;
                {$admin.adminUsername}
            </td>
        </tr>
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_EMAIL}</th>
	        <td width="100%">
		        {include
			        file="$tplDirectory/widgets/quickEditLink.tpl"
                    useEditIcon=1
			        editID=$adminID
			        editActionName="EditAdminResponse"
                    editKey="adminID"
                    editName="TRANS_EMAIL"
			        editColumn="adminEmail"
			        editValue=$admin.adminEmail}
                &nbsp;
                {if $admin.adminEmail}{mailto address=$admin.adminEmail}{/if}
            </td>
        </tr>
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_REMOTE_ACCESS_HASH}</th>
	        <td width="100%">
		        <a href="{getHREF page="admins.php" actionName="EditAdminResponse" args="adminID=$adminID&accessHash=1"}">
			        <img src="{$imageDirectory}/ico/data_new.gif" width="16" height="16" border="0" title="{$smarty.const.TRANS_GENERATE_NEW}" alt="{$smarty.const.TRANS_GENERATE_NEW}" />
		        </a>
                &nbsp;
                {$admin.adminRemoteAccessHash}
            </td>
        </tr>
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_THEME}</th>
			{assign var=themeID value=$admin.themeID}
	        <td width="100%">{$themeList.$themeID}</td>
        </tr>
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_LANGUAGE}</th>
			{assign var=languageID value=$admin.languageID}
	        <td width="100%">{$languageList.$languageID}</td>
        </tr>
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_COUNTRY}</th>
			{assign var=countriesID value=$admin.countriesID}
	        <td width="100%">{$countryList.$countriesID}</td>
        </tr>
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_ASSIGNED_ADMIN_GROUPS}</th>
	        <td width="100%">
                {section name=j loop=$adminGroups}
                    {assign var="adminGroupID" value=$adminGroups[j].adminGroupID}
                    {assign var="adminGroupName" value=$adminGroups[j].adminGroupName}
                    <a href="{getHREF page="admins.php" actionName="ShowAdminGroupDetails" args="adminGroupID=$adminGroupID"}">{$adminGroupName}</a>&nbsp;
                {sectionelse}
                    {$smarty.const.TRANS_NONE}
                {/section}
            </td>
        </tr>
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_HELPDESK_DEPARTMENTS}</th>
	        <td width="100%">
                {section name=j loop=$helpdeskDepartments}
                    {assign var="hdDepartmentID" value=$helpdeskDepartments[j].hdDepartmentID}
                    {assign var="hdDepartmentName" value=$helpdeskDepartments[j].hdDepartmentName}
                    <a href="{getHREF page="helpdesk.php" actionName="ShowHelpdesk" args=""}">{$hdDepartmentName}</a>&nbsp;
                {sectionelse}
                    {$smarty.const.TRANS_NONE}
                {/section}
            </td>
        </tr>
        <!--
		<tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_HELPDESK_BUCKETS}</th>
	        <td width="100%">
                {section name=j loop=$helpdeskBuckets}
                    {assign var="hdBucketID" value=$helpdeskBuckets[j].hdBucketID}
                    {assign var="hdBucketName" value=$helpdeskBuckets[j].hdBucketName}
                    <a href="{getHREF page="helpdesk.php" actionName="ShowHelpdesk" args=""}">{$hdBucketName}</a>&nbsp;
                {sectionelse}
                    {$smarty.const.TRANS_NONE}
                {/section}
            </td>
        </tr>
		<tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_HELPDESK_ASSIGNED_TICKETS}</th>
	        <td width="100%">
                {section name=j loop=$helpdeskAssignedTickets}
                    {assign var="hdTicketID" value=$helpdeskAssignedTickets[j].hdTicketID}
                    {assign var="hdTicketSubject" value=$helpdeskAssignedTickets[j].hdTicketSubject}
                    <a href="{getHREF page="helpdesk.php" actionName="ShowHelpdesk" args=""}">{$hdTicketSubject}</a>&nbsp;
                {sectionelse}
                    {$smarty.const.TRANS_NONE}
                {/section}
            </td>
        </tr>
		-->
        <tr class="{cycle values="alt1,alt2"}">
	        <th class="nowrap" scope="row">{$smarty.const.TRANS_BOOKMARKS}</th>
	        <td width="100%">
	        	<table border="0" cellpadding="0" cellspacing="0" width="90%" class="list">
			{foreach from=$bookmarkList item=bk}
				{strip}
				<tr class="{cycle values="alt1,alt2"}">
					<td>
						<a href="{getHREF page=$bk.bookmarkURL actionName=$bk.bookmarkAction args=$bk.bookmarkArgs}" target="{$bk.bookmarkTarget}">
							{$bk.bookmarkName}
						</a>
					</td>
					<td>
						{strip}
						{if $bk.bookmarkTarget == "_top"}
							{assign var=transValue value=$bk.bookmarkTarget}
						{else}
							{assign var=transValue value="_blank"}
						{/if}
						
						{assign var=transValue value=$bookmarkTargets.$transValue}
						{if $smarty.const.$transValue}
							{$smarty.const.$transValue}
						{else}
							{$transValue}
						{/if}
						{/strip}
						
					</td>
					<td>
						{strip}
						<a href="{getHREF page="bookmarks.php" actionName="CloneBookmark" args="bookmarkID=`$bk.bookmarkID`&adminID=$adminID"}">
							<img src="{$imageDirectory}/ico/client_add.gif" height="16" width="16" border="0" title="{$smarty.const.TRANS_CLONE_BOOKMARK}" alt="{$smarty.const.TRANS_CLONE_BOOKMARK}" />
						</a>
						{/strip}
					</td>
					<td>
						<a href="{getHREF page="bookmarks.php" actionName="RemoveBookmark" args="bookmarkID=`$bk.bookmarkID`"}">
							<img src="{$imageDirectory}/ico/data_delete.gif" height="16" width="16" border="0" title="{$smarty.const.TRANS_REMOVE}" alt="{$smarty.const.TRANS_REMOVE}" />
						</a>
					</td>
				</tr>
				{/strip}
			{foreachelse}
				{$smarty.const.TRANS_NONE}
			{/foreach}
			</table>
            	</td>
        </tr>
        </tbody>
        </table>

    </td>

    {***************** RIGHT COLUMN *****************}
    <td width="30%" valign="top">
        <center>
            <h3>{$smarty.const.TRANS_ACTIONS}:</h3>
            <br />
            <a href="{getHREF page="admins.php" actionName="EditAdmin" args="adminID=$adminID"}">{$smarty.const.TRANS_EDIT}</a>
            &nbsp;
            <a href="{getHREF page="admins.php" actionName="RemoveAdmin" args="adminID=$adminID"}">{$smarty.const.TRANS_REMOVE}</a>
        </center>
    </td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}