{* $Id: ShowClientContacts.tpl,v 1.18 2006/05/10 20:06:57 mgarrett Exp $
 * --------------------------------------------------------------
 * This template shows all contacts for a particular client.
 *
 * Smarty Variables:
 * $client					Array of client information
 * $contacts				Array of all associated contact information
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Ben Woolley
 *}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_CONTACTS" d="Contacts"}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_CONTACT" d="Contact"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_ADDRESS" d="Street Address"}
{t c="TRANS_ADDRESS2" d="Suite/Apartment"}
{t c="TRANS_CITY" d="City"}
{t c="TRANS_STATE" d="State"}
{t c="TRANS_ZIP" d="Zip"}
{t c="TRANS_PRIMARY_PHONE" d="Primary Phone"}
{t c="TRANS_SECONDARY_PHONE" d="Secondary Phone"}
{t c="TRANS_FAX" d="Fax"}
{t c="TRANS_PRIMARY" d="Primary"}
{t c="TRANS_SET_PRIMARY" d="Set this person as the primary contact"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_CONTACT" d="Contact"}
{t c="TRANS_PRIMARY_CONTACT" d="Primary Contact"}
{t c="TRANS_ALTERNATE_CONTACTS" d="Alternate Contacts"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_PHONE" d="Phone"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_ADD_CONTACT" d="Add Contact"}
{t c="TRANS_CONTACT_DETAILS" d="Contact Details"}
{t c="TRANS_SECONDARY_PHONE" d="Secondary Phone"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_ALL_CONTACTS" d="All Contacts"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CONTACTS"
	grandchildName="TRANS_SHOW_ALL"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client}
{assign var="clientID" value=$client.clientID}

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<thead>
<tr>
	<td colspan="7">
		<div class="rm" style="float: right;"><a href="{getHREF page="clients.php" actionName="AddClientContact" args="clientID=$clientID"}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ADD_CONTACT}</a></div>
		<h6>{$smarty.const.TRANS_ALL_CONTACTS}</h6>
	</td>
</tr>
<tr>
	<td colspan="7" style="cursor: pointer;" onclick="{strip} {section name=iter loop=$contacts}
		toggle('row_{$contacts[iter].clientContactID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
<tr>
	<th scope="col" colspan="7">{$smarty.const.TRANS_PRIMARY_CONTACT}</th>
</tr>
<tr>
	<th scope="col">{$smarty.const.TRANS_ID}</th>
	<th scope="col">{$smarty.const.TRANS_FIRST_NAME}</th>
	<th scope="col">{$smarty.const.TRANS_LAST_NAME}</th>
	<th scope="col">{$smarty.const.TRANS_COMPANY}</th>
	<th scope="col">{$smarty.const.TRANS_EMAIL}</th>
	<th scope="col">{$smarty.const.TRANS_PHONE}</th>
{*	<th scope="col">{$smarty.const.TRANS_PRIMARY}</th> *}
	<th scope="col">{$smarty.const.TRANS_ACTIONS}</th>
{*
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_ID" sortColumn="clientContactID" queryArgs="clientID=$clientID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_FIRST_NAME" sortColumn="contactFirstName" queryArgs="clientID=$clientID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_LAST_NAME" sortColumn="contactLastName" queryArgs="clientID=$clientID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_COMPANY" sortColumn="contactCompany" queryArgs="clientID=$clientID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_EMAIL" sortColumn="contactEmail" queryArgs="clientID=$clientID"}
	*}{* include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PHONE" sortColumn="contactPhone1" queryArgs="clientID=$clientID" *}{*
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_PRIMARY" sortColumn="contactPrimary" queryArgs="clientID=$clientID"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
*}
</tr>
</thead>
{section name="i" loop="$contacts"}
{if $lastWasPrimary}
<tbody>
<tr>
	<th scope="col" colspan="7">
		{$smarty.const.TRANS_ALTERNATE_CONTACTS}
	</th>
</tr>
<tr>
	<th scope="col">{$smarty.const.TRANS_ID}</th>
	<th scope="col">{$smarty.const.TRANS_FIRST_NAME}</th>
	<th scope="col">{$smarty.const.TRANS_LAST_NAME}</th>
	<th scope="col">{$smarty.const.TRANS_COMPANY}</th>
	<th scope="col">{$smarty.const.TRANS_EMAIL}</th>
	<th scope="col">{$smarty.const.TRANS_PHONE}</th>
{*	<th scope="col">{$smarty.const.TRANS_PRIMARY}</th> *}
	<th scope="col">{$smarty.const.TRANS_ACTIONS}</th>
</tr>
</tbody>
{/if}
{assign var="clientContactID" value=$contacts[i].clientContactID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}"
	onmouseover="this.className='althover';"
	onmouseout="this.className='{$className}';">
	<td onmouseover="this.style.cursor='hand'" onclick="return toggle('row_{$clientContactID}');">
		<a name="c{$clientContactID}"></a> <a href="#c{$clientContactID}">{$clientContactID}</a>
	</td>
	<td>
		{$contacts[i].contactFirstName}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$clientContactID
			editKey="clientContactID"
			editActionName="EditClientContactResponse"
			editName="TRANS_FIRST_NAME"
			editColumn="contactFirstName"
			editValue=$contacts[i].contactFirstName}
	</td>
	<td>
		{$contacts[i].contactLastName}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$clientContactID
			editKey="clientContactID"
			editActionName="EditClientContactResponse"
			editName="TRANS_LAST_NAME"
			editColumn="contactFirstName"
			editValue=$contacts[i].contactLastName}
	</td>
	<td>
		{$contacts[i].contactCompany}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$clientContactID
			editKey="clientContactID"
			editActionName="EditClientContactResponse"
			editName="TRANS_COMPANY"
			editColumn="contactCompany"
			editValue=$contacts[i].contactCompany}
	</td>
	<td>
		{$contacts[i].contactEmail}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$clientContactID
			editKey="clientContactID"
			editActionName="EditClientContactResponse"
			editName="TRANS_EMAIL"
			editColumn="contactEmail"
			editValue=$contacts[i].contactEmail}
	</td>
	<td>
		{$contacts[i].contactPhone1}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$clientContactID
			editKey="clientContactID"
			editActionName="EditClientContactResponse"
			editName="TRANS_PHONE"
			editColumn="contactPhone1"
			editValue=$contacts[i].contactPhone1}
	</td>
{*
	<td>
		{if $contacts[i].contactPrimary}Yes{else}No{/if}
	</td>
*}
	<td align="center" class="nowrap">
		{strip}
		<a href="#c{$clientContactID}" onclick="return toggle('row_{$clientContactID}');">
			<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		</a>
		&nbsp;
		<a href="{getHREF page="clients.php" actionName="EditClientContact" args="clientID=$clientID&clientContactID=$clientContactID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		&nbsp;
		<a href="{getHREF page="clients.php" actionName="RemoveClientContact" args="clientID=$clientID&clientContactID=$clientContactID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>

</tr>
</tbody>
<tbody id="row_{$clientContactID}"{if !$contacts[i].contactPrimary} class="off"{/if}>
<tr class="comments">
	<td colspan="7">
		<table summary="{$smarty.const.TRANS_CONTACT_DETAILS}" width="100%" class="small">
			<tr>
				<th>{$smarty.const.TRANS_SECONDARY_PHONE}</th>
				<th>{$smarty.const.TRANS_FAX}</th>
				<th>{$smarty.const.TRANS_ADDRESS}</th>
				<th>{$smarty.const.TRANS_ADDRESS2}</th>
				<th>{$smarty.const.TRANS_CITY}</th>
				<th>{$smarty.const.TRANS_STATE}</th>
				<th>{$smarty.const.TRANS_ZIP}</th>
				<th>{$smarty.const.TRANS_COUNTRY}</th>
			</tr>
			<tr class="alt1">
				<td>{$contacts[i].contactPhone2}</td>
				<td>{$contacts[i].contactFax}</td>
				<td>{$contacts[i].contactAddress1}</td>
				<td>{$contacts[i].contactAddress2}</td>
				<td>{$contacts[i].contactCity}</td>
				<td>{$contacts[i].contactState}</td>
				<td>{$contacts[i].contactZip}</td>
				<td>{$contactCountries.$clientContactID}</td>
			</tr>
		</table>
	</td>
</tr>
</tbody>
{if $contacts[i].contactPrimary}{assign var="lastWasPrimary" value=1}{else}{assign var="lastWasPrimary" value=0}{/if}
{sectionelse}
<tr class="alt1">
	<td colspan="7">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
<tr>
	{assign var="clientID" value=$client.clientID}
	<td><a href="{getHREF page="clients.php" actionName="AddClientContact" args="clientID=$clientID"}">{$smarty.const.TRANS_ADD_CONTACT}</a></td>
</tr>
{/section}
</table>

{* include file="$tplDirectory/widgets/paginationLinks.tpl" *}
{include file="$tplDirectory/footer.tpl"}