{* $Id: EditDomainRenewTypeOptions.tpl,v 1.4 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a single domain's auto-renewal options for editing.
 * This data is fetched from the registrar DIRECTLY! ModernBill does not store
 * this data!
 *
 * Smarty Variables:
 *	$domain (array of this domain's data in ModernBill)
 *	$domainRenewType
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_AUTO_RENEW_OPTIONS" d="Auto-Renew Options"}
{t c="TRANS_AUTO_RENEW_MSG" d="Attempt to automatically renew the registration of this domain name 30 days before it expires."}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_DOMAIN_DETAILS" d="Domain Details"}
{t c="TRANS_EMAIL_ADDRESS" d="Email Address"}
{t c="TRANS_FIRST" d="First"}
{t c="TRANS_LAST" d="Last"}
{t c="TRANS_MANAGE_DOMAINS" d="Manage Domains"}
{t c="TRANS_SAVE_CHANGES" d="Save Changes"}

{assign var="domainID" value=$domain.domainID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_DOMAINS"
	childName="TRANS_AUTO_RENEW_OPTIONS"
	sideNavMajor="clients"
    sideNavMinor="domains"
    includeDomainJS=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
{include file="$tplDirectory/widgets/context/client.tpl" client=$domain}
<hr size="1" color="#CCCCCC" />

<h2><a href="{getHREF page="domains.php" actionName="ShowDomainDetails" args="domainID=$domainID"}">{$domain.domainSLD}.{$domain.domainTLD}</a></h2>

<form method="post" action="domains.php" name="EditDomainRenewTypeOptions">
<input type="hidden" name="action" value="{getActionID action="EditDomainRenewTypeOptionsResponse"}" />
<input type="hidden" name="domainID" value="{$domainID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="770" border="0" cellpadding="3" cellspacing="3" bgcolor="#FFFFFF">
<tr bgcolor="#3A6CA2">
	<td colspan="2" align="center">
		<hr size="1" color="#CCCCCC" />
		<h1><font color="#FFFFFF">{$smarty.const.TRANS_AUTO_RENEW_OPTIONS}</font></h1>
		<hr size="1" color="#CCCCCC" />
	</td>
</tr>
<tr>
	<td colspan="2">&nbsp;</td>
</tr>
<tr>
	<td width="50" align="center"><input type="checkbox" name="domainRenewType" value="1" {if $domainRenewType}checked{/if}></td>
	<td align="left">{$smarty.const.TRANS_AUTO_RENEW_MSG}</td>
</tr>
<tr>
	<td colspan="2">&nbsp;</td>
</tr>
</table>

<br /><br />

<center>
<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE_CHANGES}" />
</center>

<br />

</form>

{include file="$tplDirectory/footer.tpl"}