{* $Id: EditFAQCategory.tpl,v 1.9 2006/05/19 20:58:44 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a FAQ category. The form must post to faqs.php,
 * with the action ID for the EditFAQCategoryResponse action, so that the POST data can
 * be handled by the server. This template takes the $categorytypes smarty variable, used to display
 * the options for the type of the FAQ category.
 *
 * Smarty Variables:
 *	$faqCategoryTypes -- array of this FAQ category types
 *
 *}

{t c="TRANS_MANAGE_HELPDESK" d="Manage Helpdesk"}
{t c="TRANS_EDIT_FAQ_CATEGORY" d="Edit FAQ Category"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_TYPE" d="Type"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_EDIT_FAQ_CATEGORY"
	sideNavMajor="helpdesk"
	sideNavMinor="faqs"}

<form method="post" action="faqs.php">
<input type="hidden" name="action" value="{getActionID action="EditFAQCategoryResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="faqCategoryID" value="{$faqCategory.faqCategoryID}" />

<table  width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
	<tr class="headerRow">
		<td scope="col" colspan="2">{$smarty.const.TRANS_EDIT_FAQ_CATEGORY}</td>
	</tr>
</thead>
<tbody>
	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row">{$smarty.const.TRANS_NAME}:</th>
		<td width="100%">
			<input type="text" name="faqCategoryName" size="50" maxlength="50" value="{$faqCategory.faqCategoryName}">
		</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row">{$smarty.const.TRANS_TYPE}:</th>
		<td width="100%">
			<select id="faqCategoryType" name="faqCategoryType">
				{foreach from=$faqCategoryTypes key="typeID" item="type"}
				<option value="{$typeID}" {strip}
				{if $typeID == $faqCategory.faqCategoryType}
					selected
				{/if}{/strip}>{$type}</option>
			{/foreach}
			</select>
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EDIT_FAQ_CATEGORY}">
		</td>
	</tr>
</table>
</tbody>
</form>

{include file="$tplDirectory/footer.tpl"}