{* $Id: ProcessTransactionRefund.tpl,v 1.7 2006/06/19 21:48:58 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Invoice.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

 {t c="TRANS_REFUND_MONEY_TO_CUSTOMER" d="Refund Money To Customer"}
 {t c="TRANS_EDIT_INVOICE" d="Edit Invoice"}
 {t c="TRANS_MANAGE_INVOICES" d="Manage Invoices"}
 {t c="TRANS_INVOICE_DATE_DUE" d="Invoice Due Date"}
 {t c="TRANS_INVOICE_COMMENTS" d="Invoice Comments"}
 {t c="TRANS_INVOICE_STATUS" d="Invoice Status"}
 {t c="TRANS_PROCESS_TRANSACTION_REFUND" d="Process Refund"}

 {t c="TRANS_PROCESS_REFUND_CONFIRM_MESSAGE" d="Are you sure you want to refund this transaction?  This will return the funds to the customer and you will not be able to undo this."}

 {t c="TRANS_PROCESS_REFUND_CONFIRM_YES" d="Yes, process this refund"}
 {t c="TRANS_PROCESS_REFUND_CONFIRM_NO" d="No, do not process this refund"}

 {t c="TRANS_PROCESS_REFUND_AMOUNT" d="Refund Amount"}

 {t c="TRANS_INVOICE_ID" d="Invoice ID"}
 {t c="TRANS_TRANSACTION_ID" d="Transaction ID"}

{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_FINANCES"
    childName="TRANS_MANAGE_INVOICES"
    grandchildName="TRANS_PROCESS_TRANSACTION_REFUND"
    sideNavMajor="finances"
    sideNavMinor="invoices"
    useMenu="finances"}


<form method="post" action="invoices.php">
<input type="hidden" name="action" value="{getActionID action="ProcessTransactionRefundResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="invoiceID" value="{$invoiceID}" />
<input type="hidden" name="transactionID" value="{$transaction.transactionID}" />
<input type="hidden" name="redirectURL" value="invoices.php" />
<input type="hidden" name="redirectAction" value="ShowInvoiceDetails" />
<input type="hidden" name="redirectArgs" value="invoiceID={$invoiceID}" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
    <tbody>
        <tr>
            <td align="center">
                <table width="400" cellpadding="3" cellspacing="3">
                    <tr>
                        <td>{$smarty.const.TRANS_PROCESS_REFUND_CONFIRM_MESSAGE}</td>
                    </tr>
                    <tr>
                        <td>{$smarty.const.TRANS_INVOICE_ID}: <strong>{$invoiceID}</strong></td>
                    </tr>
                    <tr>
                        <td>{$smarty.const.TRANS_TRANSACTION_ID}: <strong>{$transaction.transactionID}</strong></td>
                    </tr>
                    <tr>
                        <td>{$smarty.const.TRANS_PROCESS_REFUND_AMOUNT}: <strong>{$transaction.transactionAmount|getAmount:$transaction.currencyID}</strong></td>
                    </tr>
                    <tr>
                        <td>{$smarty.const.TRANS_ENCRYPTION_KEY}: <input type="password" name="key" value="" /></td>
                    </tr>
                    <tr>
                        <td><input class="submit" type="submit" value="{$smarty.const.TRANS_PROCESS_REFUND_CONFIRM_YES}"> <input class="button" type="button" value="{$smarty.const.TRANS_PROCESS_REFUND_CONFIRM_NO}" onclick="history.go(-1);"></td>
                    </tr>
                </table>
            </td>
        </tr>
    </tbody>
</table>

</form>




{include file="$tplDirectory/footer.tpl"}