{* $Id: ShowInvoiceDetails.tpl,v 1.41 2006/07/27 15:52:27 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a list of invoice records.
 *
 * Smarty Variables:
 *	$invoices (array of invoices that match input criteria)
 *		invoiceID			A unique invoice ID
 *		invoiceNumber		An invoice's number
 *		invoiceAmount		An invoice's amount
 *		invoiceDateEntered	An invoice's generation date
 *		invoiceDateDue		An invoice's due date
 *		invoiceStatus		The status of an invoice
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_AMOUNT_PAID" d="Amount Paid"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_QUICK_LINKS" d="Quick Links: "}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_INVOICEID" d="Invoice ID"}
{t c="TRANS_INVOICE_TOTAL" d="Total"}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DUE" d="Due"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_ENTERED" d="Entered"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_MANAGE_INVOICES" d="Manage Invoices"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_INVOICES" d="Show Invoices"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_TAX_ID_NUMBER" d="Tax ID Number"}


{t c="TRANS_QUANTITY_ABBR" d="Qty"}
{t c="TRANS_PACKAGE_ID" d="PID"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_BEGIN" d="Begin"}
{t c="TRANS_CURRENT" d="Current"}
{t c="TRANS_NEXT" d="Next"}
{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_TOTALS" d="Totals"}

{t c="TRANS_TAX_ZONE_ID" d="Tax Zone ID"}
{t c="TRANS_TAX_ZONE_NAME" d="Name"}
{t c="TRANS_TAX_ZONE_DESCRIPTION" d="Description"}
{t c="TRANS_TAX_ZONE_TYPE" d="Type"}
{t c="TRANS_TAX_ZONE_RATE" d="Rate"}
{t c="TRANS_TAX_ZONE_TOTAL" d="Total Tax Charge"}

{t c="TRANS_ADDONS" d="Addons"}
{t c="TRANS_ADDON_ID" d="Addon ID"}

{t c="TRANS_TRANSACTIONS" d="Transactions"}
{t c="TRANS_TRANSACTION_ID" d="ID"}
{t c="TRANS_TRANSACTION_STATUS" d="Status"}
{t c="TRANS_TRANSACTION_CODE" d="Code"}
{t c="TRANS_TRANSACTION_NOTES" d="Notes"}
{t c="TRANS_TRANSACTION_DATE" d="Date"}
{t c="TRANS_TRANSACTION_AMOUNT" d="Amount"}
{t c="TRANS_TRANSACTION_GATEWAY" d="Gateway"}

{t c="TRANS_SET_AMOUNT" d="Set Amount"}
{t c="TRANS_PERCENTAGE" d="Percentage"}

{t c="TRANS_SUCCESSFUL_CHARGE" d="Successful Charge"}
{t c="TRANS_DECLINED_CHARGE" d="Declined Charge"}
{t c="TRANS_SUB_TOTAL" d="Sub Total"}
{t c="TRANS_ERRORED_CHARGE" d="Errored Charge"}
{t c="TRANS_AUTOFAILED_CHARGE" d="Autofailed (previously declined)"}
{t c="TRANS_MANUALLY_APPLIED" d="Manually Applied Payment"}
{t c="TRANS_PAID_WITH_CREDIT" d="Paid with credit"}
{t c="TRANS_CHARGE_REFUNDED" d="Charged but Refunded"}
{t c="TRANS_TRANSACTION_PAYMENT_METHOD" d="Method"}
{t c="TRANS_AUTHORIZED_CHARGE" d="Authorized Only"}
{t c="TRANS_CAPTURE" d="Capture"}
{t c="TRANS_X_CANCEL" d="X"}
{t c="TRANS_AUTH_CANCELLED_CHARGE" d="Cancelled Auth"}

{t c="TRANS_REFUND" d="Refund"}
{t c="TRANS_CLIENT_CURRENT_CREDIT_BALANCE" d="Client has credit on file of"}
{t c="TRANS_PRINT" d="Print"}

{assign var="filterArgs" value="invoiceStatus=$invoiceStatus"}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_MANAGE_INVOICES"
	grandchildName="TRANS_SHOW_INVOICES"
	sideNavMajor="finances"
	sideNavMinor="invoices"
	useMenu="finances"}


{t c="TRANS_TO" d="To"}
{t c="TRANS_FROM" d="From"}
{t c="TRANS_PAYMENT_TERMS" d="Payment Terms"}
{t c="TRANS_APPLY_MANUAL_PAYMENT" d="Apply Manual Payment"}
{t c="TRANS_QUICK_PAYMENT" d="Quick Payment"}
{t c="TRANS_TAX_ZONES" d="Tax Zones"}
{t c="TRANS_CREATE_CREDIT_NOTE" d="Create Credit Note"}
{t c="TRANS_ARE_YOU_SURE_FINALIZE" d="Are you sure you wish to capture the funds of this transaction?"}
{t c="TRANS_ARE_YOU_SURE_CANCEL" d="Are you sure you want to CANCEL this transaction?\\nYou will be unable to capture these funds without running another transaction if you do."}
{t c="TRANS_CAPTURED_CHARGE" d="Captured Charge"}
{t c="TRANS_TAKE_CREDIT_CARD_PAYMENT" d="Take Credit Card Payment"}

{assign var="lineItems" value=$invoice.lineItems}
<script language="javascript" type="text/javascript">
<!--
{literal}
function checkSure(url){
	if (confirm("{/literal}{$smarty.const.TRANS_ARE_YOU_SURE_FINALIZE}{literal}")){
		document.location.href = url;
	}
}
function checkSure2(url){
	if (confirm("{/literal}{$smarty.const.TRANS_ARE_YOU_SURE_CANCEL}{literal}")){
		document.location.href = url;
	}
}
{/literal}
//-->
</script>
<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
    {if $invoice.invoiceAmount>-0.0001 && $invoice.invoiceStatus!=2}
<tr>
    <td colspan="4">


        {strip}
        {$smarty.const.TRANS_QUICK_LINKS}
        &nbsp;
        &nbsp;
        &nbsp;
        &nbsp;
        &nbsp;
        <a style="text-decoration: none;" href="{getHREF page="invoices.php" actionName="EditInvoice" args="invoiceID=`$invoice.invoiceID`&redirectArgs=$bookmarkArgs"}">
            <img align="middle" src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" /> {$smarty.const.TRANS_EDIT}
        </a>
        &nbsp;
        &nbsp;
        &nbsp;
        &nbsp;
        &nbsp;
        <a style="text-decoration: none;" href="{getHREF page="paymentgroups.php" actionName="ShowVirtualTerminals" args="invoiceID=`$invoice.invoiceID`"}">
            <img align="middle" src="{$imageDirectory}/ico/019.gif" border="0" alt="{$smarty.const.TRANS_TAKE_CREDIT_CARD_PAYMENT}" title="{$smarty.const.TRANS_TAKE_CREDIT_CARD_PAYMENT}" /> {$smarty.const.TRANS_TAKE_CREDIT_CARD_PAYMENT}
        </a>
        &nbsp;
        &nbsp;
        &nbsp;
        &nbsp;
        &nbsp;
        {include file="$tplDirectory/widgets/quickApplyPayment.tpl"
            actionName="ProcessManualPayment"
            lineItems=$lineItems
            sid=$sid
            invoiceID=$invoice.invoiceID
            billingAccounts=$billingAccountOptions
            localeArray=$localeArray
            currencyID=$invoice.currencyID
            defaultAmount=$invoice.invoiceAmount-$invoice.invoiceAmountPaid
            formName="quickPayment"
            paymentTypes=$paymentMethods
            redirectURL="invoices.php"
            redirectAction="ShowInvoiceDetails"
            redirectArgs="invoiceID=`$invoice.invoiceID`"}

        {assign var="currencyID" value=$invoice.currencyID}
            {* if $clientCredits.$currencyID *}
                &nbsp;
                &nbsp;
                &nbsp;
                &nbsp;
                &nbsp;
                {include file="$tplDirectory/widgets/quickApplyCredit.tpl"
                    actionName="ProcessManualPayment"
                    lineItems=$lineItems
                    sid=$sid
                    invoiceID=$invoice.invoiceID
                    defaultCreditAmount=$clientCredits.$currencyID
                    localeArray=$localeArray
                    currencyID=$invoice.currencyID
                    defaultAmount=$clientCredits.$currencyID
                    formName="quickPayments"
                    redirectURL="invoices.php"
                    redirectAction="ShowInvoiceDetails"
                    redirectArgs="invoiceID=`$invoice.invoiceID`"}
            {* /if *}
        &nbsp;
        &nbsp;
        &nbsp;
        &nbsp;
        &nbsp;
        <a style="text-decoration: none;" href="{getHREF page="invoices.php" actionName="ConfirmCreditNote" args="invoiceID=`$invoice.invoiceID`"}">
            <img align="middle" src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_CREATE_CREDIT_NOTE}" title="{$smarty.const.TRANS_CREATE_CREDIT_NOTE}" /> {$smarty.const.TRANS_CREATE_CREDIT_NOTE}
        </a>

        &nbsp;
        &nbsp;
        &nbsp;
        &nbsp;
        &nbsp;
		<a target="_blank" href="{getHREF page="invoices.php" actionName="ShowInvoiceDetails" args="invoiceID=`$invoice.invoiceID`&print=1&redirectArgs=$bookmarkArgs"}">
			<img src="{$imageDirectory}/ico/printer_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_PRINT}" title="{$smarty.const.TRANS_PRINT}" />
		</a>

        {/strip}
    </td>
</tr>
    {/if}

<tr>
	<td align="right" valign="top"><strong>{$smarty.const.TRANS_TO}:</strong></td>
	<td align="left" valign="top">
		<table width="80%" bgcolor="#FFFFFF">
		<tr>
			<td>
                <strong><a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=`$clientID`"}">{$clientData.contactFirstName} {$clientData.contactLastName}</a></strong><br />
                {$contactData.contactAddress1}<br />
                {if $contactData.contactAddress2!=""}
                    {$contactData.contactAddress2}<br />
                {/if}
                {$contactData.contactCity}, {$contactData.contactState} {$contactData.contactZip}<br />
                {$contactData.contactPhone1} {if $contactData.contactPhone2!=''}- {$contactData.contactPhone2}{/if}
                {if $contactData.taxIDNumber!=''}
                <br />{$smarty.const.TRANS_TAX_ID_NUMBER}: {$contactData.taxIDNumber}
                {/if}
			</td>
		</tr>
		</table>
	</td>
	<td align="right" valign="top"><strong>{$smarty.const.TRANS_FROM}:</strong></td>
	<td align="left" valign="top">
		<table width="80%" bgcolor="#FFFFFF">
		<tr>
			<td>
				<strong>{$companyData.companyName}</strong><br />
				{$companyData.companyAddress1}<br />
                {if $companyData.companyAddress2!=""}
                    {$companyData.companyAddress2}<br />
                {/if}
                {$companyData.companyCity}, {$companyData.companyState} {$companyData.companyZip}<br />
                {$companyData.companyPhone1} {if $companyData.companyPhone2!=''}- {$companyData.companyPhone2}{/if}
                {if $companyData.companyTaxIDNumber!=''}
                <br />{$smarty.const.TRANS_TAX_ID_NUMBER}: {$companyData.companyTaxIDNumber}
                {/if}

			</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td colspan="4" align="center">
		<table width="100%" bgcolor="#FFFFFF">
		<tr>
			<th scope="col">
				<strong>{$smarty.const.TRANS_INVOICE_NUMBER}:</strong>
            </th>
			<th scope="col">
            	<strong>{$smarty.const.TRANS_ENTERED}:</strong>
			</th>
			<th scope="col">
				<strong>{$smarty.const.TRANS_DUE}:</strong>
			</th>
            <th scope="col">
                <strong>{$smarty.const.TRANS_PAYMENT_TERMS}:</strong>
            </th>
            <th scope="col" align="right">
                <strong>{$smarty.const.TRANS_INVOICE_TOTAL}:</strong>
            </th>
            <th scope="col" align="right">
                <strong>{$smarty.const.TRANS_AMOUNT_PAID}:</strong>
            </th>
		</tr>

        <tr>
            <td>{$invoice.invoiceNumber}</td>
            <td>{$invoice.invoiceDateEntered|getDate:"short"}</td>
            <td>{$invoice.invoiceDateDue|getDate:"short"}</td>
            <td>Due By Due Date</td>
            <td align="right">{$invoice.invoiceAmount|getAmount:$invoice.currencyID}</td>
            <td align="right">{$invoice.invoiceAmountPaid|getAmount:$invoice.currencyID}</td>
        </tr>

		</table>
	</td>
</tr>
<tr>
	<td colspan="4" align="center">
		<table width="100%" bgcolor="#FFFFFF" class="ledger">
		<tr>
            <th class="green" style="white-space: nowrap;">{$smarty.const.TRANS_PACKAGE_ID}</th>
			<th class="green" colspan="2">{$smarty.const.TRANS_DESCRIPTION}</th>
			<th class="green">{$smarty.const.TRANS_BEGIN}</th>
			<th class="green">{$smarty.const.TRANS_CURRENT}</th>
			<th class="green">{$smarty.const.TRANS_NEXT}</th>
            <th>{$smarty.const.TRANS_QUANTITY_ABBR}</th>
            <th align="right">{$smarty.const.TRANS_PRICE}</th>
			<th align="right">{$smarty.const.TRANS_DISCOUNT}</th>
			<th align="right">{$smarty.const.TRANS_SETUP}</th>
			<th align="right">{$smarty.const.TRANS_TAX}</th>
            <th align="right">{$smarty.const.TRANS_SUB_TOTAL}</th>
			<th align="right">{$smarty.const.TRANS_TOTALS}</th>
		</tr>
        {assign var="inaddons" value="no"}
        {assign var="currencyID" value=$lineItems.0.currencyID}
		{section name="j" loop=$lineItems}
			{assign var="tpid" value=$lineItems[j].packageID}
                {if $lineItems[j].packageAddonID>0}
                    {if $inaddons=="no"}
                        {assign var="inaddons" value="yes"}
                        <tr class="alt1">
                            <td class="green" align="right"><i>{$smarty.const.TRANS_ADDONS}</i></td>
                            <td class="green" colspan="5"><i>{$smarty.const.TRANS_DESCRIPTION}</i></td>
                            <td><i>{$smarty.const.TRANS_QUANTITY_ABBR}</i></td>
                            <td><i>{$smarty.const.TRANS_PRICE}</i></td>
                            <td><i>{$smarty.const.TRANS_DISCOUNT}</i></td>
                            <td><i>{$smarty.const.TRANS_SETUP}</i></td>
                            <td><i>{$smarty.const.TRANS_TAX}</i></td>
                            <td><i>{$smarty.const.TRANS_SUB_TOTAL}</i></td>
                            <td><i>{$smarty.const.TRANS_TOTALS}</i></td>
                        </tr>
                    {/if}
                        <tr>
                            <td class="green" align="right">{$lineItems[j].packageAddonID}</td>
                            <td class="green" colspan="5">{$lineItems[j].lineItemDescription}</td>
                            <td>{$lineItems[j].lineItemQuantity}</td>
                            <td>{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
                            <td>{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}</td>
                            <td>{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
                            <td>{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                            <td>{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                            <td>{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
                        </tr>


                {else}
                {assign var="inaddons" value="no"}
                <tr class="alt1 total">
                    <td class="green">{$lineItems[j].packageID}</td>
                    <td class="green" colspan="2">{$lineItems[j].lineItemDescription}
		    {if $domains.$tpid}
		    <br />{$smarty.const.TRANS_DOMAIN}: <strong>{$domains.$tpid.domainName}</strong>
		    {/if}</td>
                    <td class="green">{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
                    <td class="green">{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
                    <td class="green">{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
                    <td>{$lineItems[j].lineItemQuantity}</td>
                    <td>{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
                    <td>{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}</td>
                    <td>{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
                    <td>{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                    <td>{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                    <td>{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
                </tr>
                {/if}
		{/section}
		</table>
	</td>
</tr>

<tr>
    <td colspan="4" align="center">

{if $taxZones.0.taxZoneID}
        <div align="left">
            <h2>{$smarty.const.TRANS_TAX_ZONES}</h2>
        <table width="100%" bgcolor="#FFFFFF">
            <tr>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_ID}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_NAME}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_DESCRIPTION}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_TYPE}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_RATE}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TAX_ZONE_TOTAL}</th>
            </tr>
        {section name="j" loop=$taxZones}
            {if $className=="alt1"}
                {assign var="className" value="alt2"}
            {else}
                {assign var="className" value="alt1"}
            {/if}
            <tr class="{cycle values="alt1,alt2"}">
                <td>{$taxZones[j].taxZoneID}</td>
                <td>{$taxZones[j].taxZoneName}</td>
                <td>{$taxZones[j].taxZoneDescription}</td>
                <td>{if $taxZones[j].lineItemTaxAmountType==0}
                    {$smarty.const.TRANS_PERCENTAGE}
                {else}
                    {$smarty.const.TRANS_SET_AMOUNT}
                {/if}</td>
                <td align="right">{if $taxZones[j].lineItemTaxAmountType==0}
                    {$taxZones[j].lineItemTaxAmount}%
                {else}
                    {$taxZones[j].lineItemTaxAmount|getAmount:$currencyID}
                {/if}</td>
                <td align="right">{$taxZones[j].taxTotal|getAmount:$currencyID}</td>
            </tr>
        {/section}
        </table>
        </div>
{/if}


        {if $transactions}
        <div align="left">
            <h2>{$smarty.const.TRANS_TRANSACTIONS}</h2>
            <table width="100%" bgcolor="#FFFFFF">
            <tr>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_ID}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_PAYMENT_METHOD}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_STATUS}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_CODE}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_NOTES}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_DATE}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_GATEWAY}</th>
                <th scope="col" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSACTION_AMOUNT}</th>
				<th scope="col">{$smarty.const.TRANS_ACTION}</th>
            </tr>
            {section name="j" loop=$transactions}
                {if $className=="alt1"}
                    {assign var="className" value="alt2"}
                {else}
                    {assign var="className" value="alt1"}
                {/if}
                <tr class="{cycle values="alt1,alt2"}">
                    <td>{$transactions[j].transactionID}</td>
                    {assign var="tkey" value=$transactions[j].transactionPaymentMethod|getArrayValueByID:$paymentMethods}
                    <td>{$smarty.const.$tkey|default:$tkey}</td>
                    {assign var="tkey" value=$transactions[j].authReturn|getArrayValueByID:$transactionStatuses}
                    <td>{strip}
                    {if $transactions[j].canRefund==1}
                        <div style="float: right;" class="rm"><a class="st01" href="{getHREF page="invoices.php" actionName="ProcessTransactionRefund" args="transactionID=`$transactions[j].transactionID`"}&invoiceID={$invoice.invoiceID}">{$smarty.const.TRANS_REFUND}</a></div>
                    {/if}
					{if $transactions[j].canFinalize==1}{* I added the div around the other div so it wouldnt wrap when I didn't want it to.  This width will have to be changed if you change translations. *}
                        <div style="float: right; width: 90px;">
                        <div style="float: right;" class="rm07" title="Cancel"><a class="st01" href="javascript:checkSure2('{getHREF page="invoices.php" actionName="CancelAuthTransaction" args="transactionID=`$transactions[j].transactionID`"}&invoiceID={$invoice.invoiceID}');">{$smarty.const.TRANS_X_CANCEL}</a></div>
                        <div style="float: right;">&nbsp;</div>
                        <div style="float: right;" class="rm"><a class="st01" href="javascript:checkSure('{getHREF page="paymentqueue.php" actionName="CaptureFunds" args="captureIDs[`$transactions[j].transactionID`]=y"}&invoiceID={$invoice.invoiceID}');">{$smarty.const.TRANS_CAPTURE}</a></div>
                        </div>
					{/if}{$smarty.const.$tkey|default:$tkey}{/strip}</td>
                    <td>{$transactions[j].transactionCode}</td>
                    <td>{$transactions[j].transactionNotes}</td>
                    <td>{$transactions[j].transactionDateCreated|getDate:short}</td>
                    {assign var="tkey" value=$transactions[j].configGroupTransKey}
                    <td>{$smarty.const.$tkey|default:$tkey}</td>
                    <td align="right">{$transactions[j].transactionAmount|getAmount:$transactions[j].currencyID}</td>
					<td>
						{include file="$tplDirectory/widgets/actionLink.tpl"
								page="invoices.php"
								actionName="RemoveInvoiceTransaction"
								args="invoiceID=`$invoice.invoiceID`&transactionID=`$transactions[j].transactionID`"
								icoImage="remove"
								icoWidth=""
								icoHeight=""
								icoStyle=""
								altText="TRANS_REMOVE"
								titleText=""
								linkText=""
								noSpace="1"
						}
					</td>
                </tr>
            {/section}
            </table>

        </div>
        {/if}

    </td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}
