{* $Id: ShowInvoiceStats.tpl,v 1.6 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a mini invoice stats report.
 *
 * Smarty Variables:
 *	$invoiceStats (array of invoice status and their count)
 *		invoiceStatus
 *		numInovices
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_INVOICES" d="Invoices"}
{t c="TRANS_INVOICE_STATS" d="Invoice Stats"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_INVOICES"
	grandchildName="TRANS_QUICK_STATS"
	sideNavMajor="finances"
	sideNavMinor="invoices"}

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
        <img src="{getHREF page="graphs.php" actionName="ShowFinancialGraph"}&{strip}
            type=pie&
            dataSource=InvoiceStats&
			title={$smarty.const.TRANS_INVOICE_STATS|urlencode}&
			titleBold=1
			{/strip}" />

		<br />

		numInovicesToBeGenerated: {$numInovicesToBeGenerated}
		<a href="{getHREF page="invoices.php" actionName="GenerateInvoices"}">generate these invoices</a>

	</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}