{t c="TRANS_MANAGE_MIGRATIONS" d="Manage Migrations"}
{t c="TRANS_INTRODUCTION" d="Introduction"}

{t c="TRANS_ASSOCIATE_IDS" d="Associate IDs"}

{t c="TRANS_LEK_OR_PASSPHRASE" d="LEK PIN or encryption passphrase"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_MIGRATION"
	childName="TRANS_ASSOCIATE_IDS"
	sideNavMajor="migrate"
	sideNavMinor="migrate"}
	
	<form method="post" action="migrate.php">
	<input type="hidden" name="sid" value="{$sid}" />
	<input type="hidden" name="action" value="{getActionID action="MigrateConfigAssociateResponse"}" />
	<input type="hidden" name="migrationConfigID" value="{$migrationConfig.migrationConfigID}" />

	<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
	<caption>{$smarty.const.TRANS_ASSOCIATE_IDS}</caption>
	<tbody>

	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row"><label for="products">{$smarty.const.TRANS_PRODUCTS}</label></th>
	 	<td>
			<table border="0" cellpadding="0" cellspacing="3" class="tab01">
				<tr>
					<th scope="col">{$smarty.const.TRANS_FROM}</th>
					<th scope="col">{$smarty.const.TRANS_TO}</th>
				</tr>
				<tbody>
					{foreach from=$productOptions key="productID" item="productName"}
						{if $productID == 1}
							{assign var="limitedToProductOptions" value=$toDomainProductOptions}
						{else}
							{assign var="limitedToProductOptions" value=$toProductOptions}
						{/if}
						<tr class="{cycle values="alt1,alt2"}">
							<td>[{$productID}] {$productName}</td>
							<td>
								<select name="product:{$productID}" id="products">
									{foreach from=$limitedToProductOptions key="toProductID" item="toProductName"}
										<option value="{$toProductID}">[{$toProductID}] {$toProductName}</option>
									{/foreach}
								</select>
							</td>
						</tr>
					{foreachelse}
						<tr class="{cycle values="alt1,alt2"}"><td>{$smarty.const.TRANS_NONE}</td></tr>
					{/foreach}
				</tbody>
			</table>
		</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row"><label for="panels">{$smarty.const.TRANS_PANELS}</label></th>
	 	<td>
			<table border="0" cellpadding="0" cellspacing="3" class="tab01">
				<tr>
					<th scope="col">{$smarty.const.TRANS_FROM}</th>
					<th scope="col">{$smarty.const.TRANS_TO}</th>
				</tr>
				<tbody>
					{foreach from=$panelOptions key="panelID" item="panelName"}
						<tr class="{cycle values="alt1,alt2"}">
							<td>{$panelName}</td>
							<td>
								<select name="panel:{$panelID}" id="panels">
									{foreach from=$toPanelOptions key="toPanelID" item="toPanelName"}
										<option value="{$toPanelID}">[{$toPanelID}] {$toPanelName}</option>
									{/foreach}
								</select>
							</td>
						</tr>
					{foreachelse}
						<tr class="{cycle values="alt1,alt2"}"><td>{$smarty.const.TRANS_NONE}</td></tr>
					{/foreach}
				</tbody>
			</table>
		</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row"><label for="registrars">{$smarty.const.TRANS_REGISTRARS}</label></th>
	 	<td>
			<table border="0" cellpadding="0" cellspacing="3" class="tab01">
				<tr>
					<th scope="col">{$smarty.const.TRANS_FROM}</th>
					<th scope="col">{$smarty.const.TRANS_TO}</th>
				</tr>
				<tbody>
					{foreach from=$registrarOptions key="registrarID" item="registrarName"}
						<tr class="{cycle values="alt1,alt2"}">
							<td>[{$registrarID}] {$registrarName}</td>
							<td>
								<select name="registrar:{$registrarID}" id="registrars">
									{foreach from=$toRegistrarOptions key="toRegistrarID" item="toRegistrarName"}
										<option value="{$toRegistrarID}">[{$toRegistrarID}] {$toRegistrarName}</option>
									{/foreach}
								</select>
							</td>
						</tr>
					{foreachelse}
						<tr class="{cycle values="alt1,alt2"}"><td>{$smarty.const.TRANS_NONE}</td></tr>
					{/foreach}
				</tbody>
			</table>
		</td>
	</tr>
	
	<tr class="{cycle values="alt1,alt2"}">
		<th class="nowrap" scope="row"><label for="lek_passphrase">{$smarty.const.TRANS_LEK_OR_PASSPHRASE}</label></th>
	 	<td>
			<input type="text" size="50" id="lek_passphrase" name="lek_passphrase" value="" />
		</td>
	</tr>

	</tbody>
	</table>

	<input type="submit" class="submit" value="{$smarty.const.TRANS_ASSOCIATE_IDS}" />
	
	</form>
{include file="$tplDirectory/footer.tpl"}
