{* $Id: ChargeVirtualTerminal.tpl,v 1.2 2006/07/18 21:34:18 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a list of paymentgroups.
 *
 * Smarty Variables:
 *	$paymentgroups (array of paymentgroups that match criteria)
 *
 *}
{t c="TRANS_PAYMENTGROUPID" d="Payment Group ID"}
{t c="TRANS_PAYMENTGROUPNAME" d="Payment Group Name"}
{t c="TRANS_PAYMENTGROUPCURRENCY" d="Payment Group Currency"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_PRIMARYGATEWAY" d="Primary Gateway"}
{t c="TRANS_SECONDARYGATEWAY" d="Secondary Gateway"}
{t c="TRANS_NOGATEWAYS" d="No Gateways for this Payment Group. Edit the Payment Group to Add a Gateway."}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_MERGE" d="Merge"}
{t c="TRANS_MANAGE_PAYMENTGROUPS" d="Manage Payment Groups"}
{t c="TRANS_SHOW_PAYMENTGROUPS" d="Show Payment Groups"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_ADD_PAYMENT_GROUP" d="Add Payment Group"}
{t c="TRANS_CHOOSE_GATEWAY" d="Choose Gateway"}
{t c="TRANS_VIRTUAL_TERMINALS" d="Virtual Terminals"}
{t c="TRANS_INVOICE_AMOUNT_PAID" d="Amount Paid"}
{t c="TRANS_CREATE_INCOME_ACCOUNTING_ENTRIES" d="Create Income Accounting Entries"}
{t c="TRANS_CUSTOMER_FIRST_NAME" d="First Name"}
{t c="TRANS_CUSTOMER_LAST_NAME" d="Last Name"}
{t c="TRANS_CUSTOMER_ADDRESS" d="Address"}
{t c="TRANS_CUSTOMER_CITY" d="City"}
{t c="TRANS_CUSTOMER_STATE" d="State"}
{t c="TRANS_CUSTOMER_ZIP" d="Zip"}
{t c="TRANS_CUSTOMER_PHONE" d="Phone"}
{t c="TRANS_CUSTOMER_FAX" d="Fax"}
{t c="TRANS_PAYMENT_INFORMATION" d="Payment Information"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_VIRTUAL_TERMINALS"
	childName="TRANS_CHOOSE_GATEWAY"
	sideNavMajor="system"
	parentConfigGroupID=0}

<h6>{$smarty.const.TRANS_PAYMENT_INFORMATION}</h6>

{assign var="formName" value="chargeForm"}

<form method="post" name="{$formName}" action="paymentgroups.php">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="ChargeVirtualTerminalResponse"}" />
<input type="hidden" name="invoiceID" value="{$invoiceInfo.invoiceID}" />
<input type="hidden" name="gateway" value="{$gatewayInfo.configGroupID}" />
<input type="hidden" name="doaccounting" value="{$doaccounting}" />


<table width="100%"  border="0" cellspacing="2" cellpadding="0" class="list">

{if $errorMessage}
	<tr class="highlight">
		<td colspan="2" align="center">{$smarty.const.$errorMessage|default:$errorMessage}</td>
	</tr>
{/if}

{if $invoiceInfo.invoiceID}
	<tr class="nowrap {cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_INVOICE_NUMBER}</th>
		<td>{$invoiceInfo.invoiceNumber}</td>
	</tr>
	<tr class="nowrap {cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_CLIENT}</th>
		<td><a href="clients.php?clientID={$clientInfo.clientID}&action={getActionID action="ShowClientDetails"}&sid={$sid}">{$clientInfo.contactFirstName} {$clientInfo.contactLastName}</a></td>
	</tr>

{* ****************** *}
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_FIRST_NAME} </th>
			<td><input type="text" name="contactFirstName" value="{$formValues.contactFirstName}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_LAST_NAME} </th>
			<td><input type="text" name="contactLastName" value="{$formValues.contactLastName}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_ADDRESS} </th>
			<td><input type="text" name="contactAddress" value="{$formValues.contactAddress}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_CITY} </th>
			<td><input type="text" name="contactCity" value="{$formValues.contactCity}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_STATE} </th>
			<td><input type="text" name="contactState" value="{$formValues.contactState}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_ZIP} </th>
			<td><input type="text" name="contactZip" value="{$formValues.contactZip}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_PHONE} </th>
			<td><input type="text" name="contactPhone" value="{$formValues.contactPhone}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_FAX} </th>
			<td><input type="text" name="contactFax" value="{$formValues.contactFax}" /></td>
		</tr>

	{assign var="lineItems" value=$invoiceInfo.lineItems}

					<tr class="nowrap {cycle values="alt1,alt2"}">
						<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_APPLY_MANUAL_PAYMENT_TO}</th>
						<td><input type="radio" name="applyPaymentTo" {if $formValues.applyPaymentTo!="lineitems"}checked="checked"{/if} value="invoice" onmouseup="toggleOff('{$formName}_lineitems');toggleOn('{$formName}_amount');" /> {$smarty.const.TRANS_MANUAL_PAYMENT_ENTIRE_INVOICE} &nbsp;&nbsp;&nbsp;
						<input type="radio" name="applyPaymentTo" {if $formValues.applyPaymentTo=="lineitems"}checked="checked"{/if} value="lineitems" onmouseup="toggleOn('{$formName}_lineitems');toggleOff('{$formName}_amount');" /> {$smarty.const.TRANS_MANUAL_PAYMENT_SELECTED_LINEITEMS}</td>
					</tr>
					<tbody id='{$formName}_lineitems' {if $formValues.applyPaymentTo!="lineitems"}class='off'{/if}>
					<tr class="nowrap {cycle values="alt1,alt2"}">
						<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_LINE_ITEMS}</th>
						<td>
							<table cellpadding="3" cellspacing="2" class="ledger" border="0">
								<tr>
										<th class="green" > {$smarty.const.TRANS_PACKAGE_ID} </th>
										<th class="green" > {$smarty.const.TRANS_DESCRIPTION} </th>
										<th class="green" > {$smarty.const.TRANS_LINE_ITEM_BALANCE} </th>
										<th > {$smarty.const.TRANS_AMOUNT_TO_PAY} </th>
								</tr>
						{section name="j" loop=$lineItems}
								{assign var="iter" value=$smarty.section.j.index}
									<tr class="{if $didfirst==''}{assign var="didfirst" value="yes"} total{/if}">
								{if $lineItems[j].packageAddonID>0}
										<td style="white-space: nowrap;" valign="top">{$smarty.const.TRANS_ADDON_PREFIX}{$lineItems[j].packageAddonID}</td>
								{else}
										<td valign="top">{$lineItems[j].packageID}</td>
								{/if}
										<td valign="top">{$lineItems[j].lineItemDescription}</td>
										{assign var="liAmountDue" value=$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemPaymentAmount}
										<td align="right" valign="top">{$liAmountDue|getAmount:$currencyID|escape:html}</td>
										<td valign="top"><input type=text onkeyup="document.getElementById('{$formName}_totaldiv').innerHTML=XKformatNumber('{$currencyID} {$javascript_pattern_currency}', XKgetFormFieldTotals(document.{$formName}, 'lineItemPayments'), '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" onblur="this.value=XKformatNumber('{$currencyID} {$javascript_pattern_currency}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" size="13" name="lineItemPayments[{$lineItems[j].lineItemID}]" value="{$formValues.lineItemPayments.$iter|getAmount:$currencyID}" /></td>
								</tr>
						{/section}
								<tr class="total">
										<td> </td>
										<td> </td>
										<td align="right"> <strong>{$smarty.const.TRANS_LINEITEM_ADDUP_TOTAL}: </strong></td>
										<td><div id="{$formName}_totaldiv"> </div> </td>
								</tr>
							</table>
						</td>
					</tr>
					</tbody>
					<tbody id='{$formName}_amount' {if $formValues.applyPaymentTo=="lineitems"}class='off'{/if}>
					<tr class="nowrap alt2">
						<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_QUICKPAYMENT_INVOICE_AMOUNT} </th>
						<td>
							<input type="text" onblur="this.value=XKformatNumber('{$currencyID} {$javascript_pattern_currency}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" name="paymentAmount" size="25" value="{$formValues.paymentAmount|getAmount:$currencyID}" />
						</td>
					</tr>
					</tbody>

{* ****************** *}

{else}
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_FIRST_NAME} </th>
			<td><input type="text" name="contactFirstName" value="{$formValues.contactFirstName}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_LAST_NAME} </th>
			<td><input type="text" name="contactLastName" value="{$formValues.contactLastName}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_ADDRESS} </th>
			<td><input type="text" name="contactAddress" value="{$formValues.contactAddress}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_CITY} </th>
			<td><input type="text" name="contactCity" value="{$formValues.contactCity}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_STATE} </th>
			<td><input type="text" name="contactState" value="{$formValues.contactState}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_ZIP} </th>
			<td><input type="text" name="contactZip" value="{$formValues.contactZip}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_PHONE} </th>
			<td><input type="text" name="contactPhone" value="{$formValues.contactPhone}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_CUSTOMER_FAX} </th>
			<td><input type="text" name="contactFax" value="{$formValues.contactFax}" /></td>
		</tr>
		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_QUICKPAYMENT_INVOICE_AMOUNT} </th>
			<td>
				<input type="text" onblur="this.value=XKformatNumber('{$currencyID} {$javascript_pattern_currency}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');" name="paymentAmount" size="25" value="{$formValues.paymentAmount|getAmount:$currencyID}" />
			</td>
		</tr>
{/if}

		<tr class="nowrap {cycle values="alt1,alt2"}">
			<th  style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_QUICKPAYMENT_COMMENTS} </th>
			<td>
				<input type="text" name="paymentComments" size="25" value="{$formValues.paymentComments}" />
			</td>
		</tr>



{* ************ charge stuff ************ *}

					<tr class="nowrap {cycle values="alt1,alt2"}">
						<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_APPLY_MANUAL_PAYMENT_TO}</th>
						<td><input type="radio" name="paymentMethod" {if $formValues.paymentMethod!="echeck"}checked="checked"{/if} value="card" onclick="toggleOff('{$formName}_echeck');toggleOn('{$formName}_card');" /> {$smarty.const.TRANS_CREDIT_CARD} &nbsp;&nbsp;&nbsp;
						<input type="radio" name="paymentMethod" {if $formValues.paymentMethod=="echeck"}checked="checked"{/if} value="echeck" onclick="toggleOn('{$formName}_echeck');toggleOff('{$formName}_card');" /> {$smarty.const.TRANS_ECHECK}</td>
					</tr>
					<tbody id='{$formName}_card' {if $formValues.paymentMethod!="card"}class="off"{/if}>
					<tr class="nowrap {cycle values="alt1,alt2"}">
						<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_CREDIT_CARD}</th>
						<td>
							<table width="100%">
								<tbody>
									<tr>
										<td colspan="2">{$smarty.const.TRANS_ORDERFORM_NAME_ON_CARD}<br /><input name="billingCardNameOnCard" value="{$billingCardNameOnCard}"{if $invalidFields.billingCardNameOnCard==1} class="formFieldHighlight"{/if} style="width: 150px;" type="text"></td>
										<td>{$smarty.const.TRANS_ORDERFORM_CC_TYPE}<br />
											<select id="billingCardType" style="width: 100px;" name="billingCardType">
												{html_options options=$cardTypes selected=$billingCardType}
											</select></td>
									</tr>
									<tr>
										<td>{$smarty.const.TRANS_ORDERFORM_CC_NUMBER}<br /><input name="billingCardNum" value="{$billingCardNum}"{if $invalidFields.billingCardNum==1} class="formFieldHighlight"{/if} type="text"></td>
										<td>{$smarty.const.TRANS_ORDERFORM_CC_EXP_DATE}<br />
											<select name="billingCardExpMonth" style="width: 40px;">
											{html_options options=$billingCardExpMonth selected=$formValues.billingCardExpMonth}
											</select>
											<select name="billingCardExpYear" style="width: 60px;">
											{html_options options=$billingCardExpYear selected=$formValues.billingCardExpYear}
											</select>
										</td>
										<td><a href="" title="{$smarty.const.TRANS_ORDERFORM_WHATS_THIS}">{$smarty.const.TRANS_ORDERFORM_CC_CVV2}</a><br />
											<input name="cardCVV2" value="{$cardCVV2}" style="width: 50px;" type="text"></td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
					</tbody>
					<tbody id='{$formName}_echeck' {if $formValues.paymentMethod=="card"}class="off"{/if}>
					<tr class="nowrap alt2">
						<th style="text-align: right;" scope="row" width="25%"> {$smarty.const.TRANS_ECHECK} </th>
						<td>
							<table width="100%">
								<tbody>
									<tr>
										<td>{$smarty.const.TRANS_BANK_NAME}<br /><input name="billingBankName" value="{$billingBankName}"{if $invalidFields.billingBankName==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text"></td>
										<td>{$smarty.const.TRANS_BANK_STATE}<br /><input name="billingBankState" value="{$billingBankState}"{if $invalidFields.billingBankState==1} class="formFieldHighlight"{/if} style="width: 70px;" type="text" value="{$clientInfo.contactState}"></td>
										<td>{$smarty.const.TRANS_TYPE}<br />
											<select style="width: 120px;" id="billingCardType" name="billingBankType">
												{html_options options=$accounttypes selected=$formValues.billingBankType}
											</select>
										</td>
									</tr>
									<tr>
										<td>{$smarty.const.TRANS_ROUTING_NUMBER}<br /><span style="white-space: nowrap;"><img src="{$orderThemeDirectory}/images/checkfirst.gif" /><input name="billingBankAbaCode" value="{$formValues.billingBankAbaCode}" style="width: 100px;" type="text"><img src="{$orderThemeDirectory}/images/checkfirst.gif" /></span></td>
										<td colspan="2">{$smarty.const.TRANS_ACCOUNT_NUMBER}<br /><span style="white-space: nowrap;"><input name="billingBankAccountNum" value="{$formValues.billingBankAccountNum}" style="width: 90px;" type="text"><img src="{$orderThemeDirectory}/images/checksecond.gif" /></span></td>
									</tr>
									<tr>
										<td>{$smarty.const.TRANS_LICENSE_NUMBER}<br /><input name="billingBankLicenseNum" value="{$formValues.billingBankLicenseNum}" style="width: 60px;" type="text"></td>
										<td>{$smarty.const.TRANS_LICENSE_STATE}<br /><input name="billingBankLicenseState" value="{$formValues.billingBankLicenseState}" style="width: 70px;" type="text" value="{$formValues.billingBankLicenseState}"></td>
										<td>{$smarty.const.TRANS_DOB}<br /><input name="billingBankDob" value="{$formValues.billingBankDob}" style="width: 60px;" type="text"> {$smarty.const.TRANS_EXAMPLE}: {$smarty.now|date_format:"%d-%m-%Y"}
										</td>
									</tr>
								</tbody>
							</table>
						</td>
					</tr>
					</tbody>

{* ************************** *}







	<tr class="nowrap {cycle values="alt1,alt2"}">
		<th width="25%"></th>
		<td>
			<input class="submit" type="submit" value="{$smarty.const.TRANS_CHARGE}" />
		</td>
	</tr>

</table>

</form>

{include file="$tplDirectory/footer.tpl"}