{* $Id: EditEmailConfig.tpl,v 1.2 2006/06/13 14:57:30 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays a list of config groups
 *
 * Smarty Variables:
 *	$configParams (array of config group data)
 *
 *}
{t c="TRANS_EDIT_EMAIL_OPTIONS" d="Edit Email Options"}

{t c="TRANS_EMAIL_METHOD" d="Email Method"}
{t c="TRANS_SENDMAIL_LOCATION" d="Sendmail Location"}
{t c="TRANS_SMTP_SERVER" d="SMTP Server"}
{t c="TRANS_SMTP_REQUIRE_AUTH" d="SMTP Require Authentication"}
{t c="TRANS_SMTP_USERNAME" d="SMTP Username"}
{t c="TRANS_SMTP_PASSWORD" d="SMTP Password"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_EDIT_EMAIL_OPTIONS"
	sideNavMajor="system"}

{if $displaySaved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}
<script language="javascript" type="text/javascript">
//<![[CDATA][
{literal}

function methodChosen( theSelector ) {
	switch( theSelector.options[ theSelector.selectedIndex ].value ) {
	case "php":
		toggleOff( "brow_sendmail" );
		toggleOff( "brow_smtp" );
		toggleOff( "brow_smtpAuth" );
	break;

	case "sendmail":
		toggleOn( "brow_sendmail" );
		
		toggleOff( "brow_smtp" );
		toggleOff( "brow_smtpAuth" );
	break;

	case "smtp":
		toggleOn( "brow_smtp" );

		toggleOff( "brow_sendmail" );
	break;
	}

	return true;
}

function enableSMTPAuth() {
	toggleOn( "brow_smtpAuth" );
}

function disableSMTPAuth() {
	toggleOff( "brow_smtpAuth" );
}

{/literal}
//]]>
</script>

<form action="modules.php" method="post">
<input type="hidden" name="action" value="{getActionID action="EditEmailConfigResponse"}" />
<input type="hidden" name="configGroupID" value="{$configGroupID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_EDIT_EMAIL_OPTIONS" class="firstTD" colWidth="20%"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="&nbsp;" class="lastTD"}
</tr>
</thead>

<tr class="{if $invalid.emailMethod}highlight{/if} {cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_EMAIL_METHOD}:</td>
	<td>
		<select name="emailMethod" onChange="javascript:methodChosen( this );">
		{html_options options=$methodsAvailable selected=$formValues.emailMethod}
		</select>
		{$invalid.emailMethod}
	</td>
</tr>

<tbody id="brow_sendmail">
<tr class="{if $invalid.emailSendmailLocation}highlight{/if} {cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_SENDMAIL_LOCATION}:</td>
	<td><input type="text" name="emailSendmailLocation" value="{$formValues.emailSendmailLocation}" /> {$invalid.emailSendmailLocation}</td>
</tr>
</tbody>
{if $formValues.emailMethod != "sendmail"}
<script language="javascript" type="text/javascript">
//<![[CDATA][
toggle( "brow_sendmail" );
//]]>
</script>
{/if}

<tbody id="brow_smtp">
<tr class="{if $invalid.emailSMTPServer}highlight{/if} {cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_SMTP_SERVER}:</td>
	<td><input type="text" name="emailSMTPServer" value="{$formValues.emailSMTPServer}" /> {$invalid.emailSMTPServer}</td>
</tr>
<tr class="{if $invalid.emailSMTPAuth}highlight{/if} {cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_SMTP_REQUIRE_AUTH}:</td>
	<td>
		<input type="radio" class="radio" name="emailSMTPAuth" value="1" {if $formValues.emailSMTPAuth == 1}checked="checked"{/if} onClick="javascript:enableSMTPAuth();" /> {$smarty.const.TRANS_YES}
		<input type="radio" class="radio" name="emailSMTPAuth" value="0" {if !$formValues.emailSMTPAuth}checked="checked"{/if} onClick="javascript:disableSMTPAuth();" /> {$smarty.const.TRANS_NO}
		{$invalid.emailSMTPAuth}
	</td>
</tr>
</tbody>
{if $formValues.emailMethod != "smtp"}
<script language="javascript" type="text/javascript">
//<![[CDATA][
toggle( "brow_smtp" );
//]]>
</script>
{/if}

<tbody id="brow_smtpAuth">
<tr class="{if $invalid.emailSMTPUsername}highlight{/if} {cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_SMTP_USERNAME}:</td>
	<td><input type="text" name="emailSMTPUsername" value="{$formValues.emailSMTPUsername}" /> {$invalid.emailSMTPUsername}</td>
</tr>
<tr class="{if $invalid.emailSMTPPassword}highlight{/if} {cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_SMTP_PASSWORD}:</td>
	<td><input type="password" name="emailSMTPPassword" /> {$invalid.emailSMTPPassword}</td>
</tr>
</tbody>
{if $formValues.emailSMTPAuth != "1"}
<script language="javascript" type="text/javascript">
//<![[CDATA][
toggle( "brow_smtpAuth" );
//]]>
</script>
{/if}

<tr>
	<td align="right"><input type="submit" class="submit" value="{$smarty.const.TRANS_SAVE}" /></td>
	<td><input type="reset" class="reset" value="{$smarty.const.TRANS_RESET}" /></td>
</tr>

</table>
</form>

{include file="$tplDirectory/footer.tpl"}

