{* $Id: EditPanelConfig.tpl,v 1.17 2006/07/01 01:52:20 mfountain Exp $
 * --------------------------------------------------------------
 * This template displays a list of config groups
 *
 * Smarty Variables:
 *	$configParams (array of config group data)
 *
 *}
{t c="TRANS_SAVE" d="Save"}
{t c="TRANS_LIST_SERVER_GROUPS" d="Back To Server Groups List"}

{t c="TRANS_USERNAME_RULES" d="Username Rules"}
{t c="TRANS_PASSWORD_RULES" d="Password Rules"}
{t c="TRANS_NAMESERVERS" d="Nameservers"}
{t c="TRANS_ACCOUNT_LIMITS" d="Account Limits"}
{t c="TRANS_EDIT_PANEL_OPTIONS" d="Edit Panel Options"}
{t c="TRANS_GET_IP" d="&darr; Get IP &darr;"}
{t c="TRANS_GETTING_IP" d="Getting IP..."}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_EDIT_PANEL_OPTIONS"
	sideNavMajor="system"
	includeAjaxJS=1}

{if $displaySaved}
{include
	file="$tplDirectory/widgets/showInvalidCustom.tpl"
	message=$smarty.const.TRANS_SETTINGS_SAVED_SUCCESSFULLY}
{/if}
<div style="float:right; margin-right: 30px;" class="rm"><a href="servergroups.php?action={getActionID action="ShowServerGroups"}&sid={$sid}">{$smarty.const.TRANS_LIST_SERVER_GROUPS}</a></div>
<h2>{$smarty.const.TRANS_EDIT_PANEL_OPTIONS}</h2>

<form method="post" action="modules.php">
<input type="hidden" name="action" value="{getActionID action="EditPanelConfig"}" />
<input type="hidden" name="configGroupID" value="{$configGroupID}" />
<input type="hidden" name="redirectURL" value="{$fileName}" />
<input type="hidden" name="redirectAction" value="{$actionName}" />
<input type="hidden" name="redirectArgs" value="{$bookmarkArgs}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="770" border="0" cellpadding="0" cellspacing="0" class="list">
{section name="i" loop="$configParams"}
{assign var="configParamID" value=$configParams[i].configParamID}
{assign var="configParamName" value=$configParams[i].configParamName}
{assign var="configParamTransKey" value=$configParams[i].configParamTransKey}
{assign var="configParamDescription" value=$configParams[i].configParamDescription}
{if !$results}
	{assign var="results" value=1}
	<thead>
	<tr class="headerRow">
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="30%" addEmptyTD=1 headerClass="firstTD" headerName="TRANS_CONFIGURATION_PARAMETERS"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="40%" addEmptyTD=1 headerName="TRANS_VALUES"}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" colWidth="30%" headerClass="lastTD" headerName="TRANS_DESCRIPTION"}
	</tr>
	</thead>
{/if}
{if $className=="alt1"}
	{assign var="className" value="alt2"}
{else}
	{assign var="className" value="alt1"}
{/if}
<tr class="{cycle values="alt1,alt2"}">
	{if $configParams[i].configParamInputType=="h"}
		<td colspan="5">
			<strong>
				{$configParamTransKey}
			</strong>
		</td>
	{else}
		<td align="right" valign="top">
			<strong>
				{if $configParamTransKey!="" && defined($configParamTransKey) && $configParams[i].configParamInputType!="h"}
					{$smarty.const.$configParamTransKey}:
				{else}
					{$configParamTransKey}:
				{/if}
			</strong>
		</td>
		<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>				
		<td class="nowrap">
			{* the ID must be passed as well! *}
			<input type="hidden" name="configParams[{$configParamName}][configParamID]" value="{$configParams[i].configParamID}" />
			{if !$configParams[i].configParamInputType || $configParams[i].configParamInputType=="t"}
				<input style="width: 100%;" type="text" name="configParams[{$configParamName}][configParamValue]" value="{$configParams[i].configParamValue}" />
			{elseif $configParams[i].configParamInputType=="p"}
				<input style="width: 100%;" type="password" name="configParams[{$configParamName}][configParamValue]" value="{$configParams[i].configParamValue}" />
			{elseif $configParams[i].configParamInputType=="a"}
				<textarea style="width: 100%;" name="configParams[{$configParamName}][configParamValue]" cols="40" rows="10">{$configParams[i].configParamValue}</textarea>
			{elseif $configParams[i].configParamInputType=="s"}
				<select name="configParams[{$configParamName}][configParamValue]">
					{html_options options=$configParamValues[$configParamID] selected=$configParams[i].configParamValue}
				</select>
			{elseif $configParams[i].configParamInputType=="m"}
				<select name="configParams[{$configParamName}][configParamValue]" multiple="multiple">
					{html_options options=$configParamValues[$configParamID] selected=$configParams[i].configParamValue}
				</select>
			{elseif $configParams[i].configParamInputType=="c"}
				{html_checkboxes
					name="configParams[$configParamName][configParamValue]"
					options=$configParamValues[$configParamID]
					selected=$configParams[i].configParamValue
					separator="<br />"}
			{elseif $configParams[i].configParamInputType=="r"}
				{html_radios
					name="configParams[$configParamName][configParamValue]"
					options=$configParamValues[$configParamID]
					selected=$configParams[i].configParamValue
					separator="<br />"}
			{else}
				<input type="text" name="configParam[{$configParamName}][configParamValue]" value="{$configParams[i].configParamValue}" />
			{/if}
		</td>
		<td class="spacer"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" /></td>
		<td>
			{if $configParamDescription!="" && defined($configParamDescription)}
				{assign var="caption" value=$smarty.const.TRANS_DESCRIPTION}
				{assign var="text" value=$smarty.const.$configParamDescription}
				{assign var="closetext" value=$smarty.const.TRANS_CLOSE}
				{strip}
				<a href="javascript:void(0);" onclick="return overlib('{$text|addslashes}',
	            	STICKY,
					BGCLASS, 'popupBG',
					FGCLASS, 'popupFG',
					CAPTIONFONTCLASS, 'popupCaption',
	            	CAPTION,'{$caption}: {$configTitle}',
	            	CLOSECLICK, CLOSETEXT, '&lt;img src={$imageDirectory}/ico/remove.gif width=13 height=13 border=0 style=\'padding:2px;\' /&gt;',
	            	SNAPX,0,
	            	SNAPY,0,
	            	WIDTH,300);" onmouseout="nd();">
					<img src="{$imageDirectory}/ico/help.gif" width="16" height="16" style="vertical-align:text-bottom;" />
				</a>
				{/strip}
			{else}
				<i>{$configParamDescription|default:$smarty.const.TRANS_NONE}</i>
			{/if}					
		</td>
	{/if}
</tr>
{sectionelse}
	{assign var="results" value=0}
	<tr>
		<td colspan="5">
			{$smarty.const.TRANS_NO_CONFIG_PARAMS_FOUND}
		</td>
	</tr>
{/section}
{if $results==1}
	<tr>
		<td colspan="5">&nbsp;</td>
	</tr>
{/if}
</table>

{* start generic panel items *}
<table width="770" border="0" cellpadding="0" cellspacing="0" class="list">
{if $genericParams.panelMaxAccounts.configParamID}
	<tr class="subHeaderRow">
		<td colspan="4" style="text-align:center;font-size:110%;" >{$smarty.const.TRANS_USERNAME_RULES}</td>
	</tr>
	<tr class="alt1">
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_MIN_USERNAME_LENGTH}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelMinUsernameLength.configParamName}][configParamID]" value="{$genericParams.panelMaxAccounts.configParamID}" />
			<input style="width:20px;" type="text" name="configParams[{$genericParams.panelMinUsernameLength.configParamName}][configParamValue]" size="10" value="{$genericParams.panelMinUsernameLength.configParamValue}" />
		</td>
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_MAX_USERNAME_LENGTH}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelMaxUsernameLength.configParamName}][configParamID]" value="{$genericParams.panelMaxUsernameLength.configParamID}" />
			<input style="width:20px;" type="text" name="configParams[{$genericParams.panelMaxUsernameLength.configParamName}][configParamValue]" size="10" value="{$genericParams.panelMaxUsernameLength.configParamValue}" />
		</td>
	</tr>
	<tr class="alt2"><td colspan="4">&nbsp;</td></tr>
{/if}
{if $genericParams.panelMinPasswordLength.configParamID}
	<tr class="subHeaderRow">
		<td colspan="4" style="text-align:center;font-size:110%;" >{$smarty.const.TRANS_PASSWORD_RULES}</td>
	</tr>
	<tr class="alt1">
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_MIN_PASSWORD_LENGTH}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelMinPasswordLength.configParamName}][configParamID]" value="{$genericParams.panelMinPasswordLength.configParamID}" />
			<input style="width:20px;" type="text" name="configParams[{$genericParams.panelMinPasswordLength.configParamName}][configParamValue]" size="10" value="{$genericParams.panelMinPasswordLength.configParamValue}" />
		</td>
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_MAX_PASSWORD_LENGTH}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelMaxPasswordLength.configParamName}][configParamID]" value="{$genericParams.panelMaxPasswordLength.configParamID}" />
			<input style="width:20px;" type="text" name="configParams[{$genericParams.panelMaxPasswordLength.configParamName}][configParamValue]" size="10" value="{$genericParams.panelMaxPasswordLength.configParamValue}" />
		</td>
	</tr>
	<tr class="alt2"><td colspan="4">&nbsp;</td></tr>
{/if}
{if $genericParams.panelMaxAccounts.configParamID}
	<tr class="subHeaderRow">
		<td colspan="4" style="text-align:center;font-size:110%;" >{$smarty.const.TRANS_ACCOUNT_LIMITS}</td>
	</tr>
	<tr class="alt1">
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_MAX_ACCOUNTS}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelMaxAccounts.configParamName}][configParamID]" value="{$genericParams.panelMaxAccounts.configParamID}" />
			<input style="width:30px;" type="text" name="configParams[{$genericParams.panelMaxAccounts.configParamName}][configParamValue]" size="10" value="{$genericParams.panelMaxAccounts.configParamValue}" />
		</td>
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_CURRENT_ACCOUNTS}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelCurrentAccounts.configParamName}][configParamID]" value="{$genericParams.panelCurrentAccounts.configParamID}" />
			<input style="width:30px;" type="text" name="configParams[{$genericParams.panelCurrentAccounts.configParamName}][configParamValue]" size="10" value="{$genericParams.panelCurrentAccounts.configParamValue}" />
		</td>
	</tr>
	<tr class="alt2"><td colspan="4">&nbsp;</td></tr>
{/if}
{if $genericParams.panelNameserver1.configParamID}
	<tr class="subHeaderRow">
		<td colspan="4" style="text-align:center;font-size:110%;" >{$smarty.const.TRANS_NAMESERVERS}</td>
	</tr>
	<tr class="alt1">
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_NAMESERVER_1}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelNameserver1.configParamName}][configParamID]" value="{$genericParams.panelNameserver1.configParamID}" />
			<input type="text" id="ns1field" onchange="ns1FetchContent()" name="configParams[{$genericParams.panelNameserver1.configParamName}][configParamValue]" size="30" value="{$genericParams.panelNameserver1.configParamValue}" />
		</td>
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_NAMESERVER_2}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelNameserver2.configParamName}][configParamID]" value="{$genericParams.panelNameserver2.configParamID}" />
			<input type="text" id="ns2field" onchange="ns2FetchContent()" name="configParams[{$genericParams.panelNameserver2.configParamName}][configParamValue]" size="30" value="{$genericParams.panelNameserver2.configParamValue}" />
		</td>
	</tr>
	<tr class="alt1">	
		<td style="text-align:center;">
			{include file="$tplDirectory/widgets/ajaxContentFetcher.tpl"
				tdid="ns1"
				linkText="TRANS_GET_IP"
				linkWorkingText="TRANS_GETTING_IP"
				url="../lib-modernbill/ipfromhost.php"
				argSourceID="ns1field"
				outputFieldID="ns1output"
				outputType="textfield"}
		</td>
		<td>&nbsp;</td>	
		<td style="text-align:center;">
			{include file="$tplDirectory/widgets/ajaxContentFetcher.tpl"
				tdid="ns2"
				linkText="TRANS_GET_IP"
				linkWorkingText="TRANS_GETTING_IP"
				url="../lib-modernbill/ipfromhost.php"
				argSourceID="ns2field"
				outputFieldID="ns2output"
				outputType="textfield"}
		</td>
		<td>&nbsp;</td>	
	</tr>
	<tr class="alt1">
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_NAMESERVER_1_IP}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelNameserver1IP.configParamName}][configParamID]" value="{$genericParams.panelNameserver1IP.configParamID}" />
			<input type="text" id="ns1output" name="configParams[{$genericParams.panelNameserver1IP.configParamName}][configParamValue]" size="30" value="{$genericParams.panelNameserver1IP.configParamValue}" />
		</td>
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_NAMESERVER_2_IP}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelNameserver2IP.configParamName}][configParamID]" value="{$genericParams.panelNameserver2IP.configParamID}" />
			<input type="text" id="ns2output" name="configParams[{$genericParams.panelNameserver2IP.configParamName}][configParamValue]" size="30" value="{$genericParams.panelNameserver2IP.configParamValue}" />
		</td>
	</tr>
	<tr class="alt2"><td colspan="4">&nbsp;</td></tr>
	<tr class="alt1">
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_NAMESERVER_3}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelNameserver3.configParamName}][configParamID]" value="{$genericParams.panelNameserver3.configParamID}" />
			<input type="text" id="ns3field" onchange="ns3FetchContent()" name="configParams[{$genericParams.panelNameserver3.configParamName}][configParamValue]" size="30" value="{$genericParams.panelNameserver3.configParamValue}" />
		</td>
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_NAMESERVER_4}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelNameserver4.configParamName}][configParamID]" value="{$genericParams.panelNameserver4.configParamID}" />
			<input type="text" id="ns4field" onchange="ns4FetchContent()" name="configParams[{$genericParams.panelNameserver4.configParamName}][configParamValue]" size="30" value="{$genericParams.panelNameserver4.configParamValue}" />
		</td>
	</tr>
	<tr class="alt1">	
		<td style="text-align:center;">
			{include file="$tplDirectory/widgets/ajaxContentFetcher.tpl"
				tdid="ns3"
				linkText="TRANS_GET_IP"
				linkWorkingText="TRANS_GETTING_IP"
				url="../lib-modernbill/ipfromhost.php"
				argSourceID="ns3field"
				outputFieldID="ns3output"
				outputType="textfield"}
		</td>
		<td>&nbsp;</td>	
		<td style="text-align:center;">
			{include file="$tplDirectory/widgets/ajaxContentFetcher.tpl"
				tdid="ns4"
				linkText="TRANS_GET_IP"
				linkWorkingText="TRANS_GETTING_IP"
				url="../lib-modernbill/ipfromhost.php"
				argSourceID="ns4field"
				outputFieldID="ns4output"
				outputType="textfield"}
		</td>
		<td>&nbsp;</td>	
	</tr>	
	<tr class="alt1">
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_NAMESERVER_3_IP}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelNameserver3IP.configParamName}][configParamID]" value="{$genericParams.panelNameserver3IP.configParamID}" />
			<input type="text" id="ns3output" name="configParams[{$genericParams.panelNameserver3IP.configParamName}][configParamValue]" size="30" value="{$genericParams.panelNameserver3IP.configParamValue}" />
		</td>
		<td style="text-align:right;width:25%;">
			<b>{$smarty.const.TRANS_PANEL_NAMESERVER_4_IP}:</b>
		</td>
		<td style="text-align:left;width:25%;">
			<input type="hidden" name="configParams[{$genericParams.panelNameserver4IP.configParamName}][configParamID]" value="{$genericParams.panelNameserver4IP.configParamID}" />
			<input type="text" id="ns4output" name="configParams[{$genericParams.panelNameserver4IP.configParamName}][configParamValue]" size="30" value="{$genericParams.panelNameserver4IP.configParamValue}" />
		</td>
	</tr>
	<tr class="alt2"><td colspan="4">&nbsp;</td></tr>	
{/if}
<tr>
	<td colspan="4" style="text-align:center;">
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE}" />
	</td>
</tr>
</table>
{* end generic items *}
	
</form>

{include file="$tplDirectory/footer.tpl"}