{* $Id: ShowVirtualTerminals.tpl,v 1.1 2006/07/03 22:31:30 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a list of paymentgroups.
 *
 * Smarty Variables:
 *	$paymentgroups (array of paymentgroups that match criteria)
 *
 *}
{t c="TRANS_PAYMENTGROUPID" d="Payment Group ID"}
{t c="TRANS_PAYMENTGROUPNAME" d="Payment Group Name"}
{t c="TRANS_PAYMENTGROUPCURRENCY" d="Payment Group Currency"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_PRIMARYGATEWAY" d="Primary Gateway"}
{t c="TRANS_SECONDARYGATEWAY" d="Secondary Gateway"}
{t c="TRANS_NOGATEWAYS" d="No Gateways for this Payment Group. Edit the Payment Group to Add a Gateway."}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_MERGE" d="Merge"}
{t c="TRANS_MANAGE_PAYMENTGROUPS" d="Manage Payment Groups"}
{t c="TRANS_SHOW_PAYMENTGROUPS" d="Show Payment Groups"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_ADD_PAYMENT_GROUP" d="Add Payment Group"}
{t c="TRANS_CHOOSE_GATEWAY" d="Choose Gateway"}
{t c="TRANS_VIRTUAL_TERMINALS" d="Virtual Terminals"}
{t c="TRANS_INVOICE_AMOUNT_PAID" d="Amount Paid"}
{t c="TRANS_CREATE_INCOME_ACCOUNTING_ENTRIES" d="Create Income Accounting Entries"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_VIRTUAL_TERMINALS"
	childName="TRANS_CHOOSE_GATEWAY"
	sideNavMajor="system"
	parentConfigGroupID=0}

<h6>{$smarty.const.TRANS_CHOOSE_GATEWAY}</h6>

<form method="post" action="paymentgroups.php">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="ChargeVirtualTerminal"}" />
<input type="hidden" name="invoiceID" value="{$invoiceInfo.invoiceID}">

<table width="100%"  border="0" cellspacing="2" cellpadding="0" class="list">

{if $invoiceInfo.invoiceID}
	<tr class="nowrap {cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_INVOICE_NUMBER}</th>
		<td>{$invoiceInfo.invoiceNumber}</td>
	</tr>
	<tr class="nowrap {cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_AMOUNT}</th>
		<td>{$invoiceInfo.invoiceAmount|getAmount:$invoiceInfo.currencyID}</td>
	</tr>
	<tr class="nowrap {cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_INVOICE_AMOUNT_PAID}</th>
		<td>{$invoiceInfo.invoiceAmountPaid|getAmount:$invoiceInfo.currencyID}</td>
	</tr>
	<tr class="nowrap {cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_CLIENT}</th>
		<td><a href="clients.php?clientID={$clientInfo.clientID}&action={getActionID action="ShowClientDetails"}&sid={$sid}">{$clientInfo.contactFirstName} {$clientInfo.contactLastName}</a></td>
	</tr>
{else}
	<tr class="nowrap {cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_CREATE_INCOME_ACCOUNTING_ENTRIES}</th>
		<td><input type="checkbox" name="doaccounting" value="1" checked="checked" /></td>
	</tr>
{/if}

	<tr class="nowrap {cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_GATEWAY}</th>
		<td>
			{section name="i" loop=$paymentGroups}
				{section name="j" loop=$paymentGroups[i].gateways}
					{if $paymentGroups[i].gateways[j].gatewayType==1}
						{if $invoiceInfo.currencyID==$paymentGroups[i].paymentGroupCurrencyID || $invoiceInfo.invoiceID<1}
							<div style="padding: 3px;"><input type="radio" name="gateway" value="{$paymentGroups[i].gateways[j].configGroupID}" {if $smarty.section.i.index==0 && $smarty.section.j.index==0}checked="checked"{/if} /> <strong>{$paymentGroups[i].paymentGroupCurrencyID}</strong> {$paymentGroups[i].gateways[j].configGroupTransKey|constant} (<em>{$paymentGroups[i].paymentGroupName}</em>)</div>
						{/if}
					{/if}
				{/section}
			{/section}
		</td>
	</tr>

	<tr class="nowrap {cycle values="alt1,alt2"}">
		<th width="25%"></th>
		<td>
			<input class="submit" type="submit" value="{$smarty.const.TRANS_NEXT}" />
		</td>
	</tr>

</table>

</form>

{include file="$tplDirectory/footer.tpl"}