{* $Id: EditOrderForm.tpl,v 1.19 2006/07/28 16:44:24 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a list of config groups
 *
 * Smarty Variables:
 *	$orderFormGroups (array of config group data)
 *
 *}

{t c="TRANS_NO_CHILDREN_FOUND" d="No children found."}

{t c="TRANS_ORDERFORM_PARAMETERS" d="Order Form Parameters"}

{t c="TRANS_LANGUAGE" d="Language"}

{t c="TRANS_ORDERFORM_LANGUAGE_DESC" d="This is the default language for the order form. This can be overriden along with the default country by using <b>set_locale=en_US</b> where the first two characters as the language, and the last two the country. You must use ISO 639-2 abbreviations for the language."} 
{t c="TRANS_COUNTRY" d="Country"} 
{t c="TRANS_ORDERFORM_COUNTRY_DESC" d="This is the default country for the order form. This can be overriden along with the default country by using <b>set_locale=en_US</b> where the first two characters as the language, and the last two the country. You must use ISO 3166 abbreviations for the country. This, along with the currency of the payment group selected, determines how currency symbols will be displayed."} 
{t c="TRANS_ORDERFORM" d="Order Form"} 
{t c="TRANS_SUBMIT" d="Submit"} 
{t c="TRANS_ORDERFORM_NAME" d="Order Form Name"} 
{t c="TRANS_ORDERFORM_NAME_DESC" d="This name will be displayed at the top of the order form by default."}
{t c="TRANS_ORDERFORM_PAYMENT_GROUP" d="Payment Group"} 
{t c="TRANS_ORDERFORM_PAYMENT_GROUP_DESC" d="This payment groups will be used to process all transactions for packages purchased with this order form. Setting a payment group also defines currency that will be sued to charge for those packages. You should have prices defined for the product, in this currency, before you relate them to this order form."} 
{t c="TRANS_ORDERFORM_COMPANY" d="Company"} 
{t c="TRANS_ORDERFORM_COMPANY_DESC" d="Customers ordering through this order form will be associated with this company that you have set up in ModernBill."} 
{t c="TRANS_SO_PRICE" d="Lock Saved Order Prices"} 
{t c="TRANS_SO_PRICE_DESC" d="Select <b>Yes</b> to lock the prices of the Saved Orders to the price when the customer created that Saved Order. That price would then be used if the customer were to purchase the contents of that Order."} 
{t c="TRANS_SO_DURATION" d="Saved Order Duration"}
{t c="TRANS_SO_DURATION_DESC" d="Days. This is the number of days that a customer may retain a Saved Order before it is removed from the system. This will remove the temporary order customer and all related information. Saved Orders are removed immediately if they are purchased."}
{t c="TRANS_ORDERFORM_CONTINUE_SHOPPING_URL" d="Continue Shopping URL"}
{t c="TRANS_ORDERFORM_CONTINUE_SHOPPING_URL_DESC" d="Input the URL that you want your customers to be sent to when they click the continue shopping button in the cart."}

{t c="TRANS_ORDER_DOMAIN_OPTIONS" d="Domain Options"} 
{t c="TRANS_ORDER_WHOIS_LOOKUP" d="Perform WHOIS lookups for prospective domains."} 
{t c="TRANS_ORDER_DOMAIN_REGISTRATION" d="Allow purchase of new domains."} 
{t c="TRANS_ORDER_EXISTING_DOMAIN" d="Transfer a domain."} 
{t c="TRANS_ORDER_SKIP_DOMAIN" d="Allow the customer to skip this step."} 
{t c="TRANS_ORDER_DOMAIN_OPTIONS_DESC" d="These options control what the customer can purchase."}


{t c="TRANS_ORDER_EMAIL_BANNING" d="'Free' Email Banning"} 
{t c="TRANS_ORDER_EMAIL_BANNING_DESC" d="Set to <b>Yes</b> to ban orders that use free email addresses. This will also ban the use of 'free' email addresses in Saved Orders."} 
{t c="TRANS_ORDER_EMAIL_BANNING_TEXT" d="Email Banning Message"} 
{t c="TRANS_ORDER_EMAIL_BANNING_TEXT_DESC" d="This is the default mesasge that will display when a new client tries to register with a banned email address."}


{t c="TRANS_ORDER_ENABLE_CHECK" d="Enable Check Option"} 
{t c="TRANS_ORDER_ENABLE_CHECK_DESC" d="Display the option to allow customers to pay by check."} 
{t c="TRANS_ORDER_ENABLE_INVOICE" d="Enable Invoice Option"} 
{t c="TRANS_ORDER_ENABLE_INVOICE_DESC" d="Display the option to allow customers to pay by invoice."}


{t c="TRANS_ORDER_FORM_PRODUCT_SETTINGS" d="Product Settings"} 
{t c="TRANS_ORDER_FORM_PRODUCT_SETTINGS_DESC" d="Move products to the Assigned Products column to have them display on the order form. If you do not include a Domain Registration Product, the above Domain Options will not appear on the order form. Move products using the up and down arrow to determine their display order on the order form. Product prices are determined by the currency used in this order form's Payment Group assigned above."}


{t c="TRANS_ASSIGNED_PRODUCTS" d="Assigned Products"} 
{t c="TRANS_UNASSIGNED_PRODUCTS" d="Unassigned Products"}


{t c="TRANS_ORDER_FORM_PRODUCT_ADDON_SETTINGS" d="Product Addon Settings"} 
{t c="TRANS_ORDER_FORM_PRODUCT_ADDON_SETTINGS_DESC" d="Move product addons to the Assigned Product Addons column to have them display on the order form. This is used to display or not dispaly addons on a per order form basis. Only addons that have been prevoiusly associated with products that appear on the order form will display. Move product addons using the up and down arrow to determine their display order on the order form. Product addon prices are determined by the currency used in this order form's Payment Group assigned above."}


{t c="TRANS_ASSIGNED_PRODUCT_ADDONS" d="Assigned&nbsp;Product&nbsp;Addons"} 
{t c="TRANS_UNASSIGNED_PRODUCT_ADDONS" d="Unassigned&nbsp;Product&nbsp;Addons"}


{t c="TRANS_ORDER_FORM_COUPON_SETTINGS" d="Coupon Settings"} 
{t c="TRANS_ORDER_FORM_COUPON_SETTINGS_DESC" d="Move coupons to the Assigned Coupons column to have them available for use on the order form. Coupons will only be applied to the applicable products."}


{t c="TRANS_ASSIGNED_COUPONS" d="Assigned Coupons"} 
{t c="TRANS_UNASSIGNED_COUPONS" d="Unassigned Coupons"}

{t c="TRANS_EXPLAIN_ORDER_FORMS" d="Explain Order Forms"}
{t c="TRANS_ORDER_FORM_EXPLANATION" d="<p>Since order forms are the only part of the system which significantly faces the general public, <dfn>order forms</dfn>, in this system, therefore must be related to all data that is required by the system to place an order. However, products and payment groups carry most of that burdern.</p><ul><li>Create the payment group to be assign to this order form first, otherwise another payment group will have to be temporarily assigned.</li><li>For configuring products in one go, edit order forms before products. This makes it possible to edit all pricing at once, since all of the possible currencies for pricing are the total set of currencies assigned to the payment groups assigned to each order form.</li></ul>"}



{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_ORDERFORMS"
	useMenu="system"
	sideNavMajor="system"}

<table width="97%" border="0" cellspacing="0" cellpadding="0" class="tab07">
<tr>
	<td>
    	{include file="$tplDirectory/widgets/showTips.tpl"
        	title="TRANS_EXPLAIN_ORDER_FORMS"
        	msg="TRANS_ORDER_FORM_EXPLANATION"
        	width="100%"
        	align="center"}
	</td>
</tr>
<tr>
	<td>
		<form method="post" action="orderforms.php" name="editOrderForm">
		<input type="hidden" name="action" value="{getActionID action="EditOrderFormResponse"}" />
		<input type="hidden" name="orderFormID" value="{$orderForm.orderFormID}" />
		<input type="hidden" name="sid" value="{$sid}" />
		<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tab01">
				<tr class="althover">
					<td colspan="3">
						<strong>
						{$smarty.const.TRANS_ORDER_FORM_SETTINGS}
						:&nbsp;{$smarty.const.TRANS_ORDERFORM} {$orderForm.orderFormID}
						</strong>
					</td>
				</tr>
				<tr class="alt2">
					<td class="nowrap">{$smarty.const.TRANS_ORDERFORM_NAME}</td>
					<td><input type="text" name="orderFormName" value="{$orderForm.orderFormName}" /></td>
					<td>{$smarty.const.TRANS_ORDERFORM_NAME_DESC}</td>
				</tr>
				<tr class="alt1">
					<td class="nowrap">{$smarty.const.TRANS_ORDERFORM_PAYMENT_GROUP}</td>
					<td><select name="paymentGroupID">
							{html_options options=$paymentgroups selected=$orderForm.paymentGroupID}
						</select>
					</td>
					<td>{$smarty.const.TRANS_ORDERFORM_PAYMENT_GROUP_DESC}</td>
				</tr>
				<tr class="alt2">
					<td class="nowrap">{$smarty.const.TRANS_ORDERFORM_COMPANY}</td>
					<td><select name="companyID">
							{html_options options=$companies selected=$orderForm.companyID}
						</select>
					</td>
					<td>{$smarty.const.TRANS_ORDERFORM_COMPANY_DESC}</td>
				</tr>
				<tr class="alt1">
					<td>{$smarty.const.TRANS_LANGUAGE}</td>
					<td><select id="languageID" name="languageID"> {html_options options=$languageList selected=$orderForm.languageID} </select></td>
					<td>{$smarty.const.TRANS_ORDERFORM_LANGUAGE_DESC}</td>
				</tr>
				<tr class="alt2">
					<td>{$smarty.const.TRANS_COUNTRY}</td>
					<td><select id="countriesID" name="countriesID"> {html_options options=$countryList selected=$orderForm.countriesID} </select><br /></td>
					<td>{$smarty.const.TRANS_ORDERFORM_COUNTRY_DESC}</td>
				</tr>
				
				<tr class="alt1">
					<td>{$smarty.const.TRANS_VERIFY_VAT_NUMBERS}</td>
					<td><input type="checkbox" name="orderFormVerifyVat" value="1"{if $orderForm.orderFormVerifyVat==1} checked="checked"{/if} /></td>
					<td>{$smarty.const.TRANS_VERIFY_VAT_NUMBERS_DESC}</td>
				</tr>

				{section name="i" loop="$orderFormParams"}
				{assign var="orderFormParamID" value=$orderFormParams[i].orderFormParamID}
				{assign var="orderFormParamName" value=$orderFormParams[i].orderFormParamName}
				{assign var="orderFormParamTransKey" value=$orderFormParams[i].orderFormParamTransKey}
				{assign var="orderFormParamDescription" value=$orderFormParams[i].orderFormParamDescription}
				{if !$results}
					{assign var="results" value=1}
				{/if}
				{if $className=="alt1"}
					{assign var="className" value="alt2"}
				{else}
					{assign var="className" value="alt1"}
				{/if}
				<tr class="{cycle values="alt1,alt2"}">
					{if $orderFormParams[i].orderFormParamInputType=="h"}
						<td colspan=3>
							<strong>
								{$orderFormParamTransKey}
							</strong>
						</td>
					{else}
						<td class="nowrap">
							{if $orderFormParamTransKey!="" && defined($orderFormParamTransKey) && $orderFormParams[i].orderFormParamInputType!="h"}
								{$smarty.const.$orderFormParamTransKey}
							{else}
								{$orderFormParamTransKey}
							{/if}
						</td>
						<td class="nowrap">
							{* the ID must be passed as well! *}
							<input type="hidden" name="orderFormParams[{$orderFormParamName}][orderFormParamID]" value="{$orderFormParams[i].orderFormParamID}" />
							{if !$orderFormParams[i].orderFormParamInputType || $orderFormParams[i].orderFormParamInputType=="t"}
								<input type="text" name="orderFormParams[{$orderFormParamName}][orderFormParamValue]" value="{$orderFormParams[i].orderFormParamValue}" />
							{elseif $orderFormParams[i].orderFormParamInputType=="a"}
								<textarea name="orderFormParams[{$orderFormParamName}][orderFormParamValue]" cols="40" rows="3">{$orderFormParams[i].orderFormParamValue}</textarea>
							{elseif $orderFormParams[i].orderFormParamInputType=="s"}
								<select name="orderFormParams[{$orderFormParamName}][orderFormParamValue]">
									{html_options options=$orderFormValues[$orderFormParamID] selected=$orderFormParams[i].orderFormParamValue}
								</select>
							{elseif $orderFormParams[i].orderFormParamInputType=="m"}
								<select name="orderFormParams[{$orderFormParamName}][orderFormParamValue]" multiple="multiple">
									{html_options options=$orderFormValues[$orderFormParamID] selected=$orderFormParams[i].orderFormParamValue}
								</select>
							{elseif $orderFormParams[i].orderFormParamInputType=="c"}
								{html_checkboxes
									name="orderFormParams[$orderFormParamName][orderFormParamValue]"
									options=$orderFormValues[$orderFormParamID]
									selected=$orderFormParams[i].orderFormParamValue
									separator="<br />"}
							{elseif $orderFormParams[i].orderFormParamInputType=="r"}
								{html_radios
									name="orderFormParams[$orderFormParamName][orderFormParamValue]"
									options=$orderFormValues[$orderFormParamID]
									selected=$orderFormParams[i].orderFormParamValue
									separator="<br />"}
							{else}
								<input type="text" name="orderFormParam[{$orderFormParamName}][orderFormParamValue]" value="{$orderFormParams[i].orderFormParamValue}" />
							{/if}
						</td>
						<td>
							{if $orderFormParamDescription!="" && defined($orderFormParamDescription)}
								{$smarty.const.$orderFormParamDescription}
							{else}
								{$orderFormParamDescription}
							{/if}
						</td>
					{/if}
				</tr>
				{/section}
				<tr class="althover">
					<td colspan="3">
						<strong>
						{$smarty.const.TRANS_ORDER_FORM_PRODUCT_SETTINGS}
						</strong>
					</td>
				</tr>			
				<tr class="alt1">
					<td align="center" colspan="2">
					{include file="$tplDirectory/widgets/comboBox.tpl"
						comboTitleLeft="TRANS_ASSIGNED_PRODUCTS"
						comboNameLeft="addProductIDs"
						comboOptionsLeft=$productsInForm
						comboTitleRight="TRANS_UNASSIGNED_PRODUCTS"
						comboNameRight="removeProductIDs"
						comboOptionsRight=$productsNotInForm
						formName="editOrderForm"
						submitName="suppress"
						}
					</td>
					<td>
						{$smarty.const.TRANS_ORDER_FORM_PRODUCT_SETTINGS_DESC}
					</td>
				</tr>
				<tr class="althover">
					<td colspan="3">
						<strong>
						{$smarty.const.TRANS_ORDER_FORM_COUPON_SETTINGS}
						</strong>
					</td>
				</tr>			
				<tr class="alt1">
					<td align="center" colspan="2">
					{include file="$tplDirectory/widgets/comboBox.tpl"
						comboTitleLeft="TRANS_ASSIGNED_COUPONS"
						comboNameLeft="addCouponIDs"
						comboOptionsLeft=$couponsInForm
						comboTitleRight="TRANS_UNASSIGNED_COUPONS"
						comboNameRight="removeCouponIDs"
						comboOptionsRight=$couponsNotInForm
						formName="editOrderForm"
						submitName="suppress"}
					</td>
					<td>
						{$smarty.const.TRANS_ORDER_FORM_COUPON_SETTINGS_DESC}
					</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SUBMIT}" 
								 onclick="selectAllOptions(document.editOrderForm.elements['addProductIDs[]']);
										 selectAllOptions(document.editOrderForm.elements['addProductAddonIDs[]']);
										 selectAllOptions(document.editOrderForm.elements['addCouponIDs[]']);" /></td>
					<td>&nbsp;</td>
				</tr>
			</table>
		</form>
	</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}
