{* $Id: RunPaymentQueueResponse.tpl,v 1.1 2006/05/26 19:33:44 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a mini payment queue stats report.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_PAYMENT_QUEUE" d="Payment Queue"}
{t c="TRANS_RUN_PAYMENT_QUEUE" d="Run Payment Queue"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}

{t c="TRANS_STARTING_RUNNING" d="Initiating Payment Queue.... Please Wait."}
{t c="TRANS_RUN_QUEUE_ITEM_CREATED" d="Run Payment Queue Action Scheduled Successfully!"}
{t c="TRANS_RUN_DATE" d="Date to run: "}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_FINANCES"
	childName="TRANS_PAYMENT_QUEUE"
	grandchildName="TRANS_RUN_PAYMENT_QUEUE"
	sideNavMajor="finances"
	sideNavMinor="billing"}

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tr>
	<td>
		<h1 class="st01">{$smarty.const.TRANS_RUN_PAYMENT_QUEUE}</h1>
{if $showStatus=='yes'}
        <iframe scrolling="no" style="border: none;" height="400" width="100%" name="runqueue" id="runqueue"
         src="{getHREF page="paymentqueue.php" actionName="CheckRunPaymentQueue" args="queueRunTime=`$queueRunTime`"}&amp;XRAN"></iframe>
{else}

    {if $runWhen==1}

        <br /><br />
        <a style="text-decoration: none;" onclick="return false;" id="runlink" href="{getHREF page="events.php" actionName="RunEvents" args="systemQueueID=$systemQueueID&redirectURL=paymentqueue.php&redirectAction=RunPaymentQueueResponse"}">{$smarty.const.TRANS_STARTING_RUNNING}</a>
        <script language="javascript">
        <!--
        //                                   http://10.10.10.21/cvs/modernbill5-trunk/admin/events.php?action=353&amp;systemQueueID=75&amp;redirectURL=paymentqueue.php&amp;redirectAction=RunPaymentQueue&amp;sid=c34fda019b0a35308fa3c2a2a4f30607
        setTimeout("document.location.href = document.getElementById('runlink').href;", 1000);
        //-->
        </script>

    {else}

        {$smarty.const.TRANS_RUN_QUEUE_ITEM_CREATED}<br />
        {$smarty.const.TRANS_RUN_DATE} {$runDate|getDate}

    {/if}

{/if}
	</td>
</tr>
</table>

{if $showStatus=='yes'}
<script language="javascript">
<!--
{literal}
    var timeVar;
    function startQueue(){
        timeVar = setInterval("document.getElementById('runqueue').src='{/literal}{getHREF page="paymentqueue.php" actionName="CheckRunPaymentQueue" args="queueRunTime=`$queueRunTime`"}{literal}&amp;'+Math.random();", 10*1000);
    }
    function stopRunning(){
        alert("Payment queue execution has finished.");
        cancelInterval(timeVar);
    }
{/literal}
//    setTimeout("startQueue();", 5000);
//-->
</script>
{/if}

{include file="$tplDirectory/footer.tpl"}
