{* $Id: ShowTLDs.tpl,v 1.18 2006/06/23 19:16:17 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays a list of products.
 *
 * Smarty Variables:
 *	$products (array of products that match criteria)
 *
 *}

{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_SHOW_TLDS" d="Show TLDs"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_EXTENSION" d="Extension"}
{t c="TRANS_WHOIS_SERVER" d="Whois Server"}
{t c="TRANS_WHOIS_RESPONSE" d="Whois Response"}
{t c="TRANS_ACCEPTED" d="Accepted"}
{t c="TRANS_ACCEPTABLE" d="Acceptable"}
{t c="TRANS_UNACCEPTABLE" d="Unacceptable"}
{t c="TRANS_AUTO_SEARCH" d="Auto Search"}
{t c="TRANS_TRANSFER_MINIMUM_CYCLE" d="Transfer Minimum Term"}
{t c="TRANS_MINIMUM_TERM" d="Minimum Term"}
{t c="TRANS_MAXIMUM_TERM" d="Maximum Term"}
{t c="TRANS_LOCAL_RENEW_TYPE" d="Local Renew Type"}
{t c="TRANS_IS_TRANSFERABLE" d="Is Transferable"}
{t c="TRANS_TRANSFER_TYPE" d="Transfer Type"}
{t c="TRANS_IDN_SUPPORT" d="IDN Support"}
{t c="TRANS_IDN_TYPE" d="IDN Type"}
{t c="TRANS_REMOTE_LOCK_ENABLED" d="Remote Lock Enabled"}
{t c="TRANS_REMOTE_AUTORENEW_ENABLED" d="Remote Autorenew Enabled"}
{t c="TRANS_ACTIONS" d="Actions"}

{t c="TRANS_YEAR" d="Year"}

{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_ORDER_FORM_ID" d="Order Form ID"}
{t c="TRANS_ORDER_FORM_NAME" d="Order Form Name"}

{t c="TRANS_CYCLES" d="Cycles"}
{t c="TRANS_CYCLE_ID" d="Cycle ID"}
{t c="TRANS_CYCLE_NAME" d="Cycle Name"}

{t c="TRANS_REMOVE_TLD_SUCCESSFUL" d="TLD Removed Successfully"}


{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_SHOW_TLDS"
	sideNavMajor="products"
	sideNavMinor="tlds"}

{if $smarty.request.removedTLD}
	{include
		file="$tplDirectory/widgets/showInvalidCustom.tpl"
		message=$smarty.const.TRANS_REMOVE_TLD_SUCCESSFUL}
{/if}

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<thead>
<tr>
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
	<td colspan="7" onmouseover="this.style.cursor='hand'" onclick="{strip} {section name=iter loop=$TLDs} 
		toggle('row_{$TLDs[iter].tldID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
<tr>
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_ID" sortColumn="tldID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_NAME" sortColumn="tldName"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_EXTENSION" sortColumn="tldExtension"}
	{include file="$tplDirectory/widgets/table/tableFilterHeader.tpl" filterName="TRANS_ACTIVE" filterColumn="tldActive" filterOptions="$activeInactive"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_WHOIS_SERVER" sortColumn="tldWhoisServer"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_WHOIS_RESPONSE" sortColumn="tldWhoisResp"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$TLDs"}
{assign var="tldID" value=$TLDs[i].tldID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}"
	onmouseover="this.className='althover';"
	onmouseout="this.className='{$className}';">
	<td onmouseover="this.style.cursor='hand'" onclick="return toggle('row_{$tldID}');">
		<a name="c{$tldID}"></a> <a href="#c{$tldID}">{$tldID}</a>
	</td>
	<td>
		{$TLDs[i].tldName}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$tldID
			editKey="tldID"
			editActionName="EditTLD"
			editName="TRANS_NAME"
			editColumn="tldName"
			editValue=$TLDs[i].tldName}
	</td>
	<td>
		{$TLDs[i].tldExtension}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$tldID
			editKey="tldID"
			editActionName="EditTLD"
			editName="TRANS_EXTENSION"
			editColumn="tldExtension"
			editValue=$TLDs[i].tldExtension}
	</td>
	<td>
		{$TLDs[i].tldActive|getArrayValueByID:$activeInactive}		
		{include
			file="$tplDirectory/widgets/quickEditSelectLink.tpl"
			editID=$tldID
			editKey="tldID"
			editActionName="EditTLD"
			editName="TRANS_ACTIVE"
			editColumn="tldActive"
			editOptions=$activeInactive
			editSelected=$TLDs[i].tldActive}
	</td>
	<td>
		{$TLDs[i].tldWhoisServer}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$tldID
			editKey="tldID"
			editActionName="EditTLD"
			editName="TRANS_WHOIS_SERVER"
			editColumn="tldWhoisServer"
			editValue=$TLDs[i].tldWhoisServer}
	</td>
	<td>
		{$TLDs[i].tldWhoisResp}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$tldID
			editKey="tldID"
			editActionName="EditTLD"
			editName="TRANS_WHOIS_RESPONSE"
			editColumn="tldWhoisResp"
			editValue=$TLDs[i].tldWhoisResp}
	</td>
	<td align="center" class="nowrap">
		{strip}
		<a href="{getHREF page="products.php" actionName="EditTLD" args="tldID=$tldID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		&nbsp;
		<a href="{getHREF page="products.php" actionName="RemoveTLD" args="tldID=$tldID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$tldID}">
<tr class="comments">
	<td colspan="7">
		<table width="100%" class="small">
			<tr class="{cycle name="orderAttrs$tldID" values="alt1,alt2"}">
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_AUTO_SEARCH}</th>
				<td width="100%">
					{$TLDs[i].tldAutoSearch|getArrayValueByID:$enabledDisabled}
					{include
						file="$tplDirectory/widgets/quickEditSelectLink.tpl"
						editID=$tldID
						editKey="tldID"
						editActionName="EditTLD"
						editName="TRANS_AUTO_SEARCH"
						editColumn="tldAutoSearch"
						editOptions=$enabledDisabled
						editSelected=$TLDs[i].tldAutoSearch}
				</td>
			</tr>
			<tr class="{cycle name="orderAttrs$tldID" values="alt1,alt2"}">			
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSFER_MINIMUM_CYCLE}</th>
				<td width="100%">
					{$TLDs[i].tldTransferMinimumCycleID|getArrayValueByID:$cycleList}
					{include
						file="$tplDirectory/widgets/quickEditSelectLink.tpl"
						editID=$tldID
						editKey="tldID"
						editActionName="EditTLD"
						editName="TRANS_TRANSFER_MINIMUM_CYCLE"
						editColumn="tldTransferMinimumCycleID"
						editOptions=$cycleList
						editSelected=$TLDs[i].tldTransferMinimumCycleID}
				</td>
			</tr>
			<tr class="{cycle name="orderAttrs$tldID" values="alt1,alt2"}">			
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_MINIMUM_TERM}</th>
				<td width="100%">
					{$TLDs[i].tldMinimumCycleID|getArrayValueByID:$cycleList}
					{include
						file="$tplDirectory/widgets/quickEditSelectLink.tpl"
						editID=$tldID
						editKey="tldID"
						editActionName="EditTLD"
						editName="TRANS_MINIMUM_TERM"
						editColumn="tldMinimumCycleID"
						editOptions=$cycleList
						editSelected=$TLDs[i].tldMinimumCycleID}
				</td>
			</tr>
			<tr class="{cycle name="orderAttrs$tldID" values="alt1,alt2"}">			
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_MAXIMUM_TERM}</th>
				<td width="100%">
					{$TLDs[i].tldMaximumCycleID|getArrayValueByID:$cycleList}
					{include
						file="$tplDirectory/widgets/quickEditSelectLink.tpl"
						editID=$tldID
						editKey="tldID"
						editActionName="EditTLD"
						editName="TRANS_MAXIMUM_TERM"
						editColumn="tldMaximumCycleID"
						editOptions=$cycleList
						editSelected=$TLDs[i].tldMaximumCycleID}
				</td>
			</tr>
			<tr class="{cycle name="orderAttrs$tldID" values="alt1,alt2"}">			
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_LOCAL_RENEW_TYPE}</th>
				<td width="100%">
					{$TLDs[i].tldRenewType|getTypeName:"tldRenew"}		
					{include
						file="$tplDirectory/widgets/quickEditSelectLink.tpl"
						editID=$tldID
						editKey="tldID"
						editActionName="EditTLD"
						editName="TRANS_LOCAL_RENEW_TYPE"
						editColumn="tldRenewType"
						editOptions=$tldRenewTypes
						editSelected=$TLDs[i].tldRenewType}
				</td>
			</tr>
			<tr class="{cycle name="orderAttrs$tldID" values="alt1,alt2"}">			
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_REMOTE_LOCK_ENABLED}</th>
				<td width="100%">
					{$TLDs[i].tldRemoteLockEnabled|getArrayValueByID:$enabledDisabled}
					{include
						file="$tplDirectory/widgets/quickEditSelectLink.tpl"
						editID=$tldID
						editKey="tldID"
						editActionName="EditTLD"
						editName="TRANS_REMOTE_LOCK_ENABLED"
						editColumn="tldRemoteLockEnabled"
						editOptions=$enabledDisabled
						editSelected=$TLDs[i].tldRemoteLockEnabled}
				</td>
			</tr>
			<tr class="{cycle name="orderAttrs$tldID" values="alt1,alt2"}">			
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_IS_TRANSFERABLE}</th>
				<td width="100%">
					{$TLDs[i].tldIsTransferable|getArrayValueByID:$yesNo}
					{include
						file="$tplDirectory/widgets/quickEditSelectLink.tpl"
						editID=$tldID
						editKey="tldID"
						editActionName="EditTLD"
						editName="TRANS_IS_TRANSFERABLE"
						editColumn="tldIsTransferable"
						editOptions=$yesNo
						editSelected=$TLDs[i].tldIsTransferable}
				</td>
			</tr>
			<tr class="{cycle name="orderAttrs$tldID" values="alt1,alt2"}">			
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_TRANSFER_TYPE}</th>
				<td width="100%">
					{$TLDs[i].tldTransferType|getTypeName:"tldTransfer"}		
					{include
						file="$tplDirectory/widgets/quickEditSelectLink.tpl"
						editID=$tldID
						editKey="tldID"
						editActionName="EditTLD"
						editName="TRANS_TRANSFER_TYPE"
						editColumn="tldTransferType"
						editOptions=$transferTypes
						editSelected=$TLDs[i].tldTransferType}
				</td>
			</tr>
			<tr class="{cycle name="orderAttrs$tldID" values="alt1,alt2"}">			
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_IDN_SUPPORT}</th>
				<td width="100%">
					{$TLDs[i].tldIDNSupport|getArrayValueByID:$yesNo}		
					{include
						file="$tplDirectory/widgets/quickEditSelectLink.tpl"
						editID=$tldID
						editKey="tldID"
						editActionName="EditTLD"
						editName="TRANS_IDN_SUPPORT"
						editColumn="tldIDNSupport"
						editOptions=$yesNo
						editSelected=$TLDs[i].tldIDNSupport}
				</td>
			</tr>
			<tr class="{cycle name="orderAttrs$tldID" values="alt1,alt2"}">			
				<th scope="row" style="white-space: nowrap;">{$smarty.const.TRANS_IDN_TYPE}</th>
				<td width="100%">
					{$TLDs[i].tldIDNType|getTypeName:"tldIDN"}
					{include
						file="$tplDirectory/widgets/quickEditSelectLink.tpl"
						editID=$tldID
						editKey="tldID"
						editActionName="EditTLD"
						editName="TRANS_IDN_TYPE"
						editColumn="tldIDNType"
						editOptions=$IDNTypes
						editSelected=$TLDs[i].tldIDNType}
				</td>
			</tr>
		</table>
		
		<script type="text/javascript">toggle('row_{$TLDs[i].tldID}');</script>
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="7">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>
 
 
{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}