{* $Id: ShowWizardSteps.tpl,v 1.5 2006/03/22 00:48:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a list of products.
 *
 * Smarty Variables:
 *	$products (array of products that match criteria)
 *
 *}

{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_SHOW_WIZARD_STEPS" d="Show Wizard Steps"}
{t c="TRANS_ID" d="ID"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_STEP" d="Step"}
{t c="TRANS_STEP_NAME" d="Step Name"}
{t c="TRANS_QUESTIONS" d="Questions"}
{t c="TRANS_ACTIONS" d="Actions"}


{assign var="filterArgs" value="steps=$steps"}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_SHOW_WIZARD_STEPS"
	sideNavMajor="products"
	sideNavMinor="addons"}
 
 <table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<thead>
<tr>
{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
	<td colspan="7" onmouseover="this.style.cursor='hand'" onclick="{strip} {section name=iter loop=$steps} 
		toggle('row_{$steps[iter].stepID}'); {/section} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" alt="" title="" border="0" /></a> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>
<tr>
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_ID" sortColumn="stepID"}
	{include file="$tplDirectory/widgets/table/tableSortHeader.tpl" headerName="TRANS_NAME" sortColumn="stepName"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_QUESTIONS"}
	{include file="$tplDirectory/widgets/table/tableHeader.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>
{section name=i loop="$steps"}
{assign var="stepID" value=$steps[i].stepID}
{if $className=="alt1"}
    {assign var="className" value="alt2"}
{else}
    {assign var="className" value="alt1"}
{/if}
<tbody>
<tr class="{cycle values="alt1,alt2"}"
	onmouseover="this.className='althover';"
	onmouseout="this.className='{$className}';">
	<td onmouseover="this.style.cursor='hand'" onclick="return toggle('row_{$stepID}');">
		<a name="c{$stepID}"></a> <a href="#c{$stepID}">{$stepID}</a>
	</td>
	<td>
		{$steps[i].stepName}
		{include
			file="$tplDirectory/widgets/quickEditLink.tpl"
			editID=$stepID
			editKey="stepID"
			editActionName="AddWizardStep"
			editName="TRANS_NAME"
			editColumn="stepName"
			editValue=$steps[i].stepName}
	</td>
	<td>
		{$steps[i].questionCount}
	</td>
	<td align="center" class="nowrap">
		{strip}
		<a href="{getHREF page="products.php" actionName="RemoveWizardStep" args="stepID=$stepID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</tbody>
<tbody id="row_{$stepID}">
<tr class="comments">
	<td colspan="7">
		{$steps[i].preview}		
		<script type="text/javascript">toggle('row_{$steps[i].stepID}');</script>
	</td>
</tr>
</tbody>
{sectionelse}
<tr class="alt1">
	<td colspan="7">{$smarty.const.TRANS_NORESULTS}</td>
</tr>
{/section}
</table>
 
 
{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}