{* $Id: ShowIPLog.tpl,v 1.8 2006/06/19 21:48:58 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a list of IP Log Records.
 *
 * Smarty Variables:
 *	$ips (array of IPs that match criteria)
 *
 *}

{t c="TRANS_LIST_IPLOG" d="List IP Log"}
{t c="TRANS_ADD_IPLOG" d="Add IP Log"}
{t c="TRANS_IP_ADDRESS" d="IP Address"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_LIST_IPLOG"
	sideNavMajor="system"}

<table width="770" cellpadding="0" cellspacing="0" border="0" class="list">
<thead>
<tr>
	<td colspan="3" align="right">
		<form action="servers.php" method="post">
		<input type="hidden" name="action" value="{getActionID action="AddIPLog"}" />
		<input type="hidden" name="sid" value="{$sid}" />
		<input type="submit" class="submit" value="{$smarty.const.TRANS_ADD_IPLOG}" />
		</form>
	</td>
</tr>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_IP_ADDRESS" headerClass="firstTD" sortColumn="ip"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_GROUPS" sortColumn="configGroupID"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ACTIONS" headerClass="firstTD"}
</tr>
</thead>

<tbody>
{foreach from=$ips item=ip}
	<tr class="{cycle values="alt1,alt2"}">
		<td>{$ip.ip}</td>
		<td>{$ip.configGroupName}</td>
		<td>
			<a href="{getHREF page="servers.php" actionName="EditIPLog" args="ip=`$ip.ip`"}">
				<img src="{$imageDirectory}/ico/data_edit.gif" height="16" width="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
			</a>
			<a href="{getHREF page="servers.php" actionName="RemoveIPLog" args="ip=`$ip.ip`"}">
				<img src="{$imageDirectory}/ico/data_delete.gif" height="16" width="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
			</a>
		</td>
	</tr>
{foreachelse}
	<tr class="{cycle values="alt1,alt2"}">
		<td colspan="3">{$smarty.const.TRANS_NORESULTS}</td>
	</tr>
{/foreach}
</tbody>
</table>

{include file="$tplDirectory/widgets/paginationLinks.tpl"}

{include file="$tplDirectory/footer.tpl"}