{* $Id: EditTheme.tpl,v 1.8 2006/05/31 20:40:40 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Theme.
 *
 * Smarty Variables:
 * $formValues
 *
 *}
{t c="TRANS_EDIT_THEME" d="Edit Theme"}

{t c="TRANS_THEMES" d="Theme"}
{t c="TRANS_THEME_NAME" d="Theme Directory Name"}
{t c="TRANS_THEME_DISPLAY_NAME" d="Theme Name"}
{t c="TRANS_THEME_ACTIVE" d="Theme Active"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_EDIT_THEME"
	childName="TRANS_THEMES"
	grandchildName="TRANS_EDIT"
	sideNavMajor="system"
	sideNavMinor="themes"}

<form method="post" action="themes.php">
<input type="hidden" name="themeID" value="{$formValues.themeID}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="EditThemeResponse"}">

<table  width="770" border="0" cellpadding="0" cellspacing="0" class="list" >
<thead>
<tr class="headerRow">
	<td colspan="2">{$smarty.const.TRANS_EDIT_THEME}</td>
</tr>
</thead>

<tbody>
<tr class="{if $invalid.themeName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="themeName">{$smarty.const.TRANS_THEME_NAME}</label></th>
	<td width="100%"><input type="text" name="themeName" size="20" value="{$formValues.themeName}" /> {$invalid.themeName}</td>
</tr>
<tr class="{if $invalid.themeDisplayName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="themeDisplayName">{$smarty.const.TRANS_THEME_DISPLAY_NAME}</label></th>
	<td width="100%"><input type="text" name="themeDisplayName" size="20" value="{$formValues.themeDisplayName}" /> {$invalid.themeDisplayName}</td>
</tr>
<tr class="{if $invalid.themeActive}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="themeActive">{$smarty.const.TRANS_THEME_ACTIVE}</label></th>
	<td width="100%">{html_radios name="themeActive" options=$yesNo selected=$formValues.themeActive} {$invalid.themeActive}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
	<td class="nowrap" scope="row"></td>
	<td width="100%"><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SUBMIT}"></td>
</tr>

</table>
</tbody>
</form>

{include file="$tplDirectory/footer.tpl"}