{* $Id: package.tpl,v 1.8 2006/06/28 04:30:46 kbailey Exp $
 * --------------------------------------------------------------
 * This widget template is used to display the client context bar.
 *
 * Smarty Variables:
 *	$client		array of client information
 * $contact		array of contact information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/package.tpl" package=$package types=$types activeInactive=$activeInactive}
 *}
{t c="TRANS_PACKAGE_ID" d="Package ID"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}

{assign var="packageID" value=$package.packageID}

<table  width="770" border="0" cellpadding="0" cellspacing="0" class="list" >
<tbody>
<tr class="headerRow">
	<td scope="col">{$smarty.const.TRANS_PACKAGE_ID}</td>
	<td scope="col">{$smarty.const.TRANS_NAME}</td>
	<td scope="col">{$smarty.const.TRANS_TYPE}</td>
	<td scope="col">{$smarty.const.TRANS_STATUS}</td>
	<td scope="col" align="center">{$smarty.const.TRANS_ACTIONS}</td>
</tr>
<tr class="alt1"}">
	<td>{$package.packageID}</td>
	<td>{$package.packageName}</td>
	<td>{assign var="thisType" value=$package.packageType} {$types.$thisType}</td>
	<td>{assign var="thisStatus" value=$package.packageActive} {$activeInactive.$thisStatus}</td>
	<td align="left" class="nowrap">
		{strip}
		<a href="{getHREF page="packages.php" actionName="ShowPackages" args="packageID=$packageID"}">
			<img src="{$imageDirectory}/ico/view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		</a>
		&nbsp;
		<a href="{getHREF page="packages.php" actionName="EditPackage" args="packageID=$packageID"}">
			<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
		</a>
		&nbsp;
		<a href="{getHREF page="packages.php" actionName="ShowPackageAttributes" args="packageID=$packageID"}">
			<img src="{$imageDirectory}/ico/cube_molecule.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_SHOW_ATTRIBUTES}" title="{$smarty.const.TRANS_SHOW_ATTRIBUTES}" />
		</a>
		&nbsp;
		<a href="{getHREF page="packages.php" actionName="UpgradePackage" args="packageID=$packageID"}">
			<img src="{$imageDirectory}/ico/arrow_up_blue.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_UPGRADE}" title="{$smarty.const.TRANS_UPGRADE}" />
		</a>
		&nbsp;
		<a href="{getHREF page="packages.php" actionName="DowngradePackage" args="packageID=$packageID"}">
			<img src="{$imageDirectory}/ico/arrow_down_blue.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DOWNGRADE}" title="{$smarty.const.TRANS_DOWNGRADE}" />
		</a>
		&nbsp;
		<a href="{getHREF page="packages.php" actionName="ShowPackageAddons" args="packageID=$packageID"}">
			<img src="{$imageDirectory}/ico/cubes_other.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT_ADDONS}" title="{$smarty.const.TRANS_EDIT_ADDONS}" />
		</a>
		{/strip}
	</td>
</tr>
</table>
