{* $Id: product.tpl,v 1.6 2006/06/19 22:16:40 bsmith Exp $
 * --------------------------------------------------------------
 * This widget template is used to display the client context bar.
 *
 * Smarty Variables:
 *	$client		array of client information
 * $contact		array of contact information
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/context/product.tpl" product=$product types=$types activeInactive=$activeInactive}
 *}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_REMOVE" d="Remove"}

{assign var="productID" value=$product.productID}

<table  width="750" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr>
	<th scope="col">{$smarty.const.TRANS_PRODUCTID}</th>
	<th scope="col">{$smarty.const.TRANS_NAME}</th>
	<th scope="col">{$smarty.const.TRANS_TYPE}</th>
	<th scope="col">{$smarty.const.TRANS_STATUS}</th>
	<th scope="col">{$smarty.const.TRANS_ACTIONS}</th>
</tr>
<tr class="alt1"}">
	<td>{$product.productID}</td>
	<td>{$product.productName}</td>
	<td>{assign var="thisType" value=$product.productType} {$types.$thisType}</td>
	<td>{assign var="thisStatus" value=$product.productActive} {$activeInactive.$thisStatus}</td>
	<td align="center" class="nowrap">
		{strip}
		<a href="{getHREF page="products.php" actionName="ShowProductDetails" args="productID=$productID"}">
			<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
		</a>
		&nbsp;
		<a href="{getHREF page="products.php" actionName="RemoveProduct" args="productID=$productID"}">
			<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</a>
		{/strip}
	</td>
</tr>
</table>