{* $Id: sideMenuMajor_clients.tpl,v 1.10 2006/03/22 23:31:05 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the side navigation when the client's menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/header.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ADD_NEW_CLIENT" d="Add New Client"}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_CALENDAR" d="Calendar"}
{t c="TRANS_SSLCERTS" d="SSL Certs"}
{t c="TRANS_DOMAINS" d="Domains"}
{t c="TRANS_FILTER_BY" d="Filter By"}
{t c="TRANS_FIND" d="Find"}
{t c="TRANS_PACKAGES" d="Packages"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_SHOW_HIDE" d="Show/Hide"}
{t c="TRANS_VIEW" d="View"}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}

{* system side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_CLIENTS}</h1>
	<div class="lbox01b">
		<div class="lbox01c">
			<a href="javascript:void(0);" onclick="{strip}
					toggle('TRANS_CLIENTS');toggle('TRANS_CLIENTS');{* default *}
					toggle('TRANS_PACKAGES');
					toggle('TRANS_DOMAINS');
					toggle('TRANS_SSLCERTS');
					return false;{/strip}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_EXPAND_ALL}</a>
		</div>{* lbox01c *}
		<a href="javascript:void(0);" onclick="return toggle('TRANS_CLIENTS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_CLIENTS}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_PACKAGES');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_PACKAGES}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_DOMAINS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_DOMAINS}
		</a>
        <!--
		<a href="javascript:void(0);" onclick="return toggle('TRANS_SSLCERTS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_SSLCERTS}
		</a>
        -->
	</div>{* lbox01b *}
</div>{* lbox01 *}

{* clients side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_clients.tpl"}

{* packages side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_packages.tpl"}

{* domains side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_domains.tpl"}

{* certs side menu *}
{* include file="$tplDirectory/widgets/menus/sideMenuMinor_certs.tpl" *}

{* calendar side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_calendar.tpl"}