{* $Id: sideMenuMajor_helpdesk.tpl,v 1.5 2006/06/23 23:05:39 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays the side navigation when the helpdesk menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/sideMenuMajor_helpdesk.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_DEPARTMENTS" d="Departments"}
{t c="TRANS_EDIT_DEPARTMENTS" d="Edit Departments"}
{t c="TRANS_EDIT_BUCKETS" d="Edit Buckets"}
{t c="TRANS_EDIT_EMAIL_TEMPLATES" d="Edit Email Templates"}
{t c="TRANS_HELPDESK" d="Helpdesk"}
{t c="TRANS_HELPDESK_SETUP" d="Helpdesk Setup"}
{t c="TRANS_FAQS" d="FAQs"}
{t c="TRANS_NEWS" d="News"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}

{* system side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_HELPDESK}</h1>
	<div class="lbox01b">
		<div class="lbox01c">
			<a href="javascript:void(0);" onclick="{strip}
					toggle('TRANS_HELPDESK');toggle('TRANS_HELPDESK');
					toggle('TRANS_HELPDESK_SETUP');toggle('TRANS_FAQS');
					toggle('TRANS_NEWS');
					return false;{/strip}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_EXPAND_ALL}</a>
		</div>{* lbox01c *}
		<a href="javascript:void(0);" onclick="return toggle('TRANS_HELPDESK');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_HELPDESK}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_HELPDESK_SETUP');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_HELPDESK_SETUP}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_FAQS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />
				{$smarty.const.TRANS_FAQS}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_NEWS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />
				{$smarty.const.TRANS_NEWS}
		</a>
	</div>{* lbox01b *}
</div>{* lbox01 *}

{* helpdesk side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_helpdesk.tpl"}

{* helpdesk setup side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_helpdesksetup.tpl"}

{* helpdesk responseTemplates side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_helpdesk_responseTemplates.tpl"}

{* helpdesk bucket details side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_helpdesk_buckets.tpl"}

{* FAQs side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_faqs.tpl"}

{* News side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_news.tpl"}

{* calendar side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_calendar.tpl"}