{* $Id: sideMenuMajor_products.tpl,v 1.6 2006/06/27 03:49:25 bwoolley Exp $
 * --------------------------------------------------------------
 * This template widget displays the side navigation when the products's menu is selected.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMajor_products.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_WEBSITE_WIDGETS" d="Website Widgets"}
{t c="TRANS_PRODUCTS" d="Products"}
{t c="TRANS_VARIANTS" d="Variants"}
{t c="TRANS_PPC" d="PPC"}
{t c="TRANS_CALENDAR" d="Calendar"}
{t c="TRANS_ADDONS" d="Add-ons"}
{t c="TRANS_TLDS" d="TLDs"}
{t c="TRANS_COUPONS" d="Coupons"}
{t c="TRANS_TIME_CYCLES" d="Time Cycles"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}
{t c="TRANS_PRODUCT_RELATIONS" d="Product Relations"}


{* system side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_PRODUCTS}</h1>
	<div class="lbox01b">
		<div class="lbox01c">
			<a href="javascript:void(0);" onclick="{strip}
					toggle('TRANS_PRODUCTS');
					toggle('TRANS_VARIANTS');
					toggle('TRANS_TLDS');
					toggle('TRANS_TIME_CYCLES');
					toggle('TRANS_PPC');
					toggle('TRANS_WEBSITE_WIDGETS');
					return false;{/strip}"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_EXPAND_ALL}</a>
		</div>{* lbox01c *}
		<a href="javascript:void(0);" onclick="return toggle('TRANS_PRODUCTS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_PRODUCTS}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_VARIANTS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_VARIANTS}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_TLDS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_TLDS}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_COUPONS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_COUPONS}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_TIME_CYCLES');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_TIME_CYCLES}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_WEBSITE_WIDGETS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_WEBSITE_WIDGETS}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_PPC');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_PPC}
		</a>
		<a href="javascript:void(0);" onclick="return toggle('TRANS_PRODUCT_RELATIONS');">
			<img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_PRODUCT_RELATIONS}
		</a>
	</div>{* lbox01b *}
</div>{* lbox01 *}

{* products side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_products.tpl"}

{* variants side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_variants.tpl"}

{* tlds side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_tlds.tpl"}

{* coupons side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_coupons.tpl"}

{* time cycles side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_cycles.tpl"}

{* products side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_websitewidgets.tpl"}

{* products side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_ppc.tpl"}

{* products side menu *}
{include file="$tplDirectory/widgets/menus/sideMenuMinor_productrelations.tpl"}
