{* $Id: sideMenuMinor_clients.tpl,v 1.17 2006/05/16 03:49:26 mfountain Exp $
 * --------------------------------------------------------------
 * This template widget displays the minor side navigation for clients.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMinor_clients.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ADD_NEW_CLIENT" d="Add New Client"}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_FILTER_BY" d="Filter By"}
{t c="TRANS_FIND" d="Find"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_KEYWORD_OR_ID" d="Keyword/ID"}
{t c="TRANS_SEARCH_BY" d="Search By"}
{t c="TRANS_SHOW_ALL_CLIENTS" d="Show All Clients"}

<div id="TRANS_CLIENTS">
	<div class="lbox01">
		<h1><a href="javascript:void(0);" onclick="return toggle('TRANS_CLIENTS');">X</a> - {$smarty.const.TRANS_CLIENTS}</h1>
		<div class="lbox01a">
			<a href="{getHREF page="clients.php" actionName="ShowClients"}"><img src="{$imageDirectory}/ico/clients.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_SHOW_ALL_CLIENTS}</a>
			<a href="{getHREF page="clients.php" actionName="ShowClientStats"}"><img src="{$imageDirectory}/ico/line_chart.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_QUICK_STATS}</a>
			<a href="{getHREF page="clients.php" actionName="AddClient"}"><img src="{$imageDirectory}/ico/client_add.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_ADD_NEW_CLIENT}</a>
			<div>
				<form method="get" action="clients.php">
				<input type="hidden" name="action" value="{getActionID action="ShowClients"}" />
                <input type="hidden" name="clientStatus" value="{$smarty.request.clientStatus}" />
				<table border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td><img src="{$imageDirectory}/ico/funnel.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_ACTIVE}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td>
					    <select name="clientActive" class="select">
					    <optgroup label="{$smarty.const.TRANS_ACTIVE}">
					        <option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
					    </optgroup>
					    <optgroup label="{$smarty.const.TRANS_FILTER_BY}">
							{html_options options=$activeInactive selected=$smarty.request.clientActive}
					    </optgroup>
					    </select>
					</td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>{* null *}
			<div>
				<form method="get" action="clients.php">
				<input type="hidden" name="action" value="{getActionID action="ShowClients"}" />
                <input type="hidden" name="clientActive" value="{$smarty.request.clientActive}" />
				<table border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td><img src="{$imageDirectory}/ico/funnel.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_STATUS}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td>
					    <select name="clientStatus" class="select">
					    <optgroup label="{$smarty.const.TRANS_STATUS}">
					        <option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
					    </optgroup>
					    <optgroup label="{$smarty.const.TRANS_FILTER_BY}">
							{html_options options=$clientStatusList selected=$smarty.request.clientStatus}
					    </optgroup>
					    </select>
					</td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>{* null *}
			<div>
				<form method="get" action="clients.php">
				<input type="hidden" name="action" value="{getActionID action="ShowClients"}" />
				<table border="0" cellspacing="0" cellpadding="0">
                <tr>
                    <td><img src="{$imageDirectory}/ico/data_find.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_SEARCH_BY}: {$smarty.const.TRANS_KEYWORD_OR_ID}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td><input type="text" name="query" value="" class="input" /></td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>{* null *}
		</div>{* lbox01a *}
	</div>{* lbox01 *}
</div>{* TRANS_CLIENTS *}
{toggleDiv id="TRANS_CLIENTS" var="clients" value=$sideNavMinor}