{* $Id: sideMenuMinor_domains.tpl,v 1.16 2006/07/27 21:27:57 achrist Exp $
 * --------------------------------------------------------------
 * This template widget displays the minor side navigation for domains.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMinor_domains.tpl"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_DOMAINS" d="Domains"}
{t c="TRANS_FILTER_BY" d="Filter By"}
{t c="TRANS_FIND" d="Find"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_REGISTER_NEW_DOMAIN" d="Register New Domain"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TRANSFER_EXISTING_DOMAIN" d="Transfer Existing Domain"}

<div id="TRANS_DOMAINS">
	<div class="lbox01">
		<h1><a href="javascript:void(0);" onclick="return toggle('TRANS_DOMAINS');">X</a> - {$smarty.const.TRANS_DOMAINS}</h1>
		<div class="lbox01a">
            <!--
			<a href="{getHREF page="domains.php" actionName="ShowDomainStats"}"><img src="{$imageDirectory}/ico/line_chart.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_QUICK_STATS}</a>
            -->
			<!--
			<a href="{getHREF page="domains.php" actionName="ShowRegisterDomainForm"}"><img src="{$imageDirectory}/ico/data_new.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_REGISTER_NEW_DOMAIN}</a>
			-->
			<!--
            <a href="{getHREF page="domains.php" actionName="ShowTransferDomainForm"}"><img src="{$imageDirectory}/ico/data_new.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_TRANSFER_EXISTING_DOMAIN}</a>
			-->
            <div>
				<form method="get" action="domains.php">
				<input type="hidden" name="action" value="{getActionID action="ShowDomains"}" />
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_STATUS}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td>
                        <select name="domainStatus" class="select">
					    <optgroup label="{$smarty.const.TRANS_STATUS}">
					        <option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
					    </optgroup>
					    <optgroup label="{$smarty.const.TRANS_FILTER_BY}">
							{html_options options=$activeInactive selected=$smarty.request.domainStatus}
					    </optgroup>
					    </select>
					</td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>{* null *}
			<div>
				<form method="get" action="domains.php">
				<input type="hidden" name="action" value="{getActionID action="ShowDomains"}" />
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td><img src="{$imageDirectory}/ico/data_find.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_SEARCH_BY}: {$smarty.const.TRANS_KEYWORD_OR_ID}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td><input type="text" name="query" value="" class="input" /></td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>{* null *}
		</div>{* lbox01a *}
	</div>{* lbox01 *}
</div>{* TRANS_DOMAINS *}
{toggleDiv id="TRANS_DOMAINS" var="domains" value=$sideNavMinor}