{* $Id: sideMenuMinor_events.tpl,v 1.17 2006/04/27 23:59:23 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays an events quick management tab, generally to be used in major side menus.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/header.tpl"}
 *
 * Author: Vic Fryzel
 *}
{t c="TRANS_MANAGE_EVENTS" d="Manage Events"}
{t c="TRANS_MENU" d="Menu"}
{t c="TRANS_RUN_EVENTS" d="Run Events"}
{t c="TRANS_STOP_EVENTS" d="Stop Events"}
{t c="TRANS_FILTER_BY" d="Filter By"}
{t c="TRANS_FIND" d="Find"}
{t c="TRANS_QUICK_STATS" d="Quick Stats"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_VIEW" d="View"}
{t c="TRANS_KEYWORD_OR_ID" d="Keyword/ID"}
{t c="TRANS_SEARCH_BY" d="Search By"}
{t c="TRANS_DESTINATION" d="Destination"}

{* events side menu *}
<div id="TRANS_EVENTS">
	<div class="lbox01">
		<h1><a href="javascript:void(0);" onclick="return toggle('TRANS_EVENTS');">X</a> - {$smarty.const.TRANS_MANAGE_EVENTS}</h1>
		<div class="lbox01a">
            <!--
			<a href="{getHREF page="events.php" actionName="ShowEventsStats"}"><img src="{$imageDirectory}/ico/010.gif"
				width="14" height="14" alt="" title="" />{$smarty.const.TRANS_QUICK_STATS}</a>
            -->
			{if $systemQueueRunning}
			<a href="{getHREF page="events.php" actionName="StopEvents"}"><img src="{$imageDirectory}/ico/data_stop.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_STOP_EVENTS}</a>
			{else}
			<a href="{getHREF page="events.php" actionName="RunEvents" args="$redirectArgs"}"><img src="{$imageDirectory}/ico/data_new.gif" width="16" height="16" alt="" title="" />{$smarty.const.TRANS_RUN_EVENTS}</a>
			{/if}
			<div>
				<form method="get" action="events.php">
				<input type="hidden" name="action" value="{getActionID action="ShowEvents"}" />
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
                    <td><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_STATUS}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td>
						<select name="systemQueueStatus" class="select">
						<optgroup label="{$smarty.const.TRANS_STATUS}">
							<option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
						</optgroup>
						<optgroup label="{$smarty.const.TRANS_FILTER_BY}">
							{html_options options=$statuses selected=$smarty.request.systemQueueStatus}
						</optgroup>
						</select>
					</td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				<tr>
                    <td><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_DESTINATION}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td>
						<select name="configGroupID" class="select">
						<optgroup label="{$smarty.const.TRANS_FILTER_BY}">
							<option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
						</optgroup>
						<optgroup label="{$smarty.const.TRANS_REGISTRAR}">
							{html_options options=$registrars selected=$smarty.request.configGroupID}
						</optgroup>
						<optgroup label="{$smarty.const.TRANS_PANEL}">
							{html_options options=$panels selected=$smarty.request.configGroupID}
						</optgroup>
						</select>
					</td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				<tr>
                    <td><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2" style="white-space: nowrap;">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_SERVER_GROUP}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td>
						<select name="serverGroupID" class="select">
						<optgroup label="{$smarty.const.TRANS_SERVER_GROUP}">
							<option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
						</optgroup>
						<optgroup label="{$smarty.const.TRANS_FILTER_BY}">
							{html_options options=$serverGroupList selected=$smarty.request.serverGroupID}
						</optgroup>
						</select>
					</td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				<tr>
                    <td><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2" style="white-space: nowrap;">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_RECURRING}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td>
						<select name="systemQueueIsRecurring" class="select">
						<optgroup label="{$smarty.const.TRANS_RECURRING}">
							<option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
						</optgroup>
						<optgroup label="{$smarty.const.TRANS_FILTER_BY}">
							{html_options options=$yesNo selected=$smarty.request.systemQueueIsRecurring}
						</optgroup>
						</select>
					</td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>
			<div>
				<form method="get" action="events.php">
				<input type="hidden" name="action" value="{getActionID action="ShowEvents"}" />
				<table border="0" cellspacing="0" cellpadding="0">
				<tr>
                    <td><img src="{$imageDirectory}/ico/data_find.gif" width="16" height="16" alt="" title="" style="margin:0px;" /></td>
                    <td colspan="2">
                        &nbsp;&nbsp;<strong>{$smarty.const.TRANS_SEARCH_BY}: {$smarty.const.TRANS_KEYWORD_OR_ID}</strong>
                    </td>
                </tr>
				<tr>
                    <td>&nbsp;</td>
					<td><input type="text" name="query" value="" class="input" /></td>
					<td width="13"><input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" /></td>
				</tr>
				</table>
				<input type="hidden" name="sid" value="{$sid}" />
				</form>
			</div>
		</div>{* lbox01a *}
	</div>{* lbox01 *}
</div>{* TRANS_EVENTS *}
{toggleDiv id="TRANS_EVENTS" var="events" value=$sideNavMinor}
