{* $Id: EditDetails.tpl,v 1.9 2006/08/02 05:58:39 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_USAGE_PRICING" d="Usage Pricing"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}
{t c="TRANS_SAVE_USAGE_PRICING" d="Save Usage Pricing"}
{t c="TRANS_EXPLAIN_USAGE_PRICING" d="Explain Usage Pricing"}
{t c="TRANS_USAGE_PRICING_EXPLAINATION" d="<p>Usage pricing depends on the unit that you use to charge for the usage of this product.  If you charge X amount per GigaByte used over Y limit, then your price here would be what you would charge for each GigaByte over the limit that they go in the specified time cycle."}
{t c="TRANS_EDIT_PRODUCT_DETAILS" d="Edit Product Details"}
{t c="TRANS_ADDON_GROUP" d="Addon Group"}
{t c="TRANS_ATTRIBUTE" d="Attribute"}
{t c="TRANS_PRODUCT_ADDON_CHOICE" d="This product is an addon choice."}
{t c="TRANS_ONLY_USED_FOR_ADDON_PURPOSES" d="Only use for products being used as addons."}
{t c="TRANS_ADDON_GROUP" d="Addon Group"}
{t c="TRANS_IS_OPTION" d="Is Option"}
{t c="TRANS_NUMBER_OF_CYCLES" d="Number of Cycles"}

{include file="$tplDirectory/widgets/products/header.tpl"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="products.php">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="EditProductResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}">

<table width="100%"  border="0" cellspacing="2" cellpadding="0" class="list">
	<tr class="nowrap {cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row" width="25%">{$smarty.const.TRANS_TYPE}</th>
		<td>
			{if $product.productAddonGroupID>0}
				<strong>{$smarty.const.TRANS_PRODUCT_ADDON_CHOICE}</strong><br />
			{/if}
			{if $advanced==1}
				<select name="productType">
					{html_options options=$productTypes selected=$product.productType}
				</select>
			{else}
				<strong>{$productTypes[$product.productType]}</strong>
			{/if}
		</td>
	</tr>

	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_NAME}</th>
		<td><input type="text" name="productName" style="width: 70%;" value="{$product.productName|escape:quotes}"></td>
	</tr>

	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_COMMENTS}</th>
		<td><input type="text" name="productComments" style="width: 100%;" value="{$product.productComments|escape:quotes}"></td>
	</tr>

	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_BILLING_PLAN}</th>
		<td><select name="billingPlan">
			{html_options options=$billingPlans selected=$billingPlan}
		</select></td>
	</tr>

{if $billingPlan == 3}
	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_NUMBER_OF_CYCLES}</th>
		<td><input type="text" name="productStopNumCycles" size="5" value="{$product.productStopNumCycles}"></td>
	</tr>
{/if}

	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_IS_ACTIVE}</th>
		<td><select name="productActive">
			{html_options options=$yesNo selected=$product.productActive}
		</select></td>
	</tr>

	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_IS_PRORATABLE}</th>
		<td><select name="productProratable">
			{html_options options=$yesNo selected=$product.productProratable}
		</select></td>
	</tr>
{if $product.productAddonGroupID>0 || $advanced==1}
	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_IS_OPTION}</th>
		<td><select name="productIsAddon">
			{html_options options=$yesNo selected=$product.productIsAddon}
		</select></td>
	</tr>

	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_ADDON_GROUP}</th>
		<td>{if $advanced==1}<select name="productAddonGroupID">
			{html_options options=$chooseGroups selected=$product.productAddonGroupID}
		</select>{else}
		{assign var="key" value=$product.productAddonGroupID}
		{$chooseGroups.$key}
		{/if}
		</td>
	</tr>

	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_QUESTION}</th>
		<td><select name="addonAttribute">
			<option value="-1"></option>
			{if $selectedAttribute!=""}
				<option value="0" selected="selected">{$chooseAttributes.$selectedAttribute}</option>
			{/if}
			{html_options options=$chooseAttributes}
		</select> ({$smarty.const.TRANS_ONLY_USED_FOR_ADDON_PURPOSES})</td>
	</tr>

{/if}

{if $product.productIsAddon!=1}
	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_ADDON_RULES}</th>
		<td><select name="productAddonRequired">
			{html_options options=$productdependencyrules selected=$product.productAddonRequired}
		</select></td>
	</tr>
{/if}

	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_DOMAIN_RULES}</th>
		<td><select name="productDomainRequired">
			{html_options options=$productdependencyrules selected=$product.productDomainRequired}
		</select></td>
	</tr>

	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_CANCELLATION_RULES}</th>
		<td><select name="productCancellationType">
			{html_options options=$productCancellationRules selected=$product.productCancellationType}
		</select></td>
	</tr>

	<tr class="{cycle values="alt1,alt2"}">
		<th style="text-align: right;" scope="row">{$smarty.const.TRANS_DATE_CREATED}</th>
		<td>{$product.productDateCreated|getDateTime:"long"}</td>
	</tr>

	<tr>
		<td>&nbsp;</td>
		<td><input class="submit" type="submit" value="{$smarty.const.TRANS_SAVE}"></td>
	</tr>
</table>
</form>


{include file="$tplDirectory/widgets/products/footer.tpl"}