{* $Id: EditProductPrices.tpl,v 1.10 2006/06/19 22:16:40 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_EDIT_PRODUCT_PRICES" d="Edit Product Prices"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}
{t c="TRANS_STOP_NUM_CYCLES" d="Last Cycle"}
{t c="TRANS_PRORATABLE" d="Proratable"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_SIGNUP_EMAIL" d="Signup Email"}
{t c="TRANS_WELCOME_EMAIL" d="Welcome Email"}
{t c="TRANS_CHILDREN" d="Children"}
{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_CYCLES" d="Cycles"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}

{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_COGS" d="Cost of Goods"}
{t c="TRANS_GENERAL" d="General"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TRANSFER" d="Transfer"}


{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" name="EditProduct" action="products.php">
<input type="hidden" name="action" value="{getActionID action="EditProductPricesResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="productType" value="{$product.productType}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="750" border="0" cellpadding="0" cellspacing="3" class="tab01">
<tbody>
{assign var=domain value=$smarty.const.TRANS_DOMAIN_PRODUCT}
{assign var=general value=$smarty.const.TRANS_GENERAL}
{assign var=setup value=$smarty.const.TRANS_SETUP}
{assign var=transfer value=$smarty.const.TRANS_TRANSFER}

{* {$product.productType} == {$productTypeIndex.$domain} *}
{if $product.productType == $productTypeIndex.$domain}
	{foreach from=$questions key=tldID item=tldPrices}
	<tr class="{cycle values="alt1,alt2"}">
		<th scope="row" class="nowrap">{$TLDs.$tldID}</th>
		<td style="width: 100%">
			<table border="0" cellpadding="0" cellspacing="3" class="tab01" width="100%">
		
		{foreach from=$tldPrices key=currencyID item=cyclePrices}

				<tr class="{cycle values="alt1,alt2"}">
					<th scope="row" class="nowrap">{$currencyID}</th>
					<td style="width: 100%">
						<table border="0" cellpadding="0" cellspacing="3" class="tab01" width="100%">
						
			{foreach from=$cyclePrices key=cycleIDorType item=prices}
			
				{if $cycleIDorType == "setup"}
					{assign var="priceName" value=$smarty.const.TRANS_SETUP}
				{elseif $cycleIDorType == "transfer"}
					{assign var="priceName" value=$smarty.const.TRANS_TRANSFER}
				{else}
					{assign var="priceName" value=$cycles.$cycleIDorType}
				{/if}
							
							<tr class="{cycle values="alt1,alt2"}">
								<th scope="col" colspan="4">{$priceName}
									{assign var=inputname value="id_`$tldID`_`$currencyID`_`$cycleIDorType`"}
									<input type="hidden" name="{$inputname}" value="{$prices.2}" />
									{assign var=inputname value="gid_`$tldID`_`$currencyID`_`$cycleIDorType`"}
									<input type="hidden" name="{$inputname}" value="{$prices.3}" />
									{assign var=inputname value="vid_`$tldID`_`$currencyID`_`$cycleIDorType`"}
									<input type="hidden" name="{$inputname}" value="{$prices.4}" />
								</th>
							</tr>
							<tr class="alt1">
								{assign var=inputname value="price_`$tldID`_`$currencyID`_`$cycleIDorType`"}
								<th scope="row" class="nowrap"><label for="{$inputname}">{$smarty.const.TRANS_PRICE}</label></th><td style="width: 50%"><input name="{$inputname}" id="{$inputname}" size="18" type="text" value="{$prices.0|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /></td>
								{assign var=inputname value="cogs_`$tldID`_`$currencyID`_`$cycleIDorType`"}
								<th scope="row" class="nowrap"><label for="{$inputname}">{$smarty.const.TRANS_COGS}</label></th><td style="width: 50%"><input name="{$inputname}" id="{$inputname}" size="18" type="text" value="{$prices.1|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /></td>
							</tr>

			{/foreach}
							
						</table>
					</td>
				</tr>
		
		{/foreach}
		
			</table>
		</td>
	</tr>
	
	{/foreach}
{else}
	{foreach from=$questions key=currencyID item=cyclePrices}

	<tr class="{cycle values="alt1,alt2"}">
		<th scope="row" class="nowrap">{$currencyID}</th>
		<td style="width: 100%">
			<table border="0" cellpadding="0" cellspacing="3" class="tab01" width="100%">

		{foreach from=$cyclePrices key=cycleID item=typePrices}
		
				<tr class="{cycle values="alt1,alt2"}">
					<th scope="row" class="nowrap">{$cycles.$cycleID}</th>
					<td style="width: 100%">
						<table border="0" cellpadding="0" cellspacing="3" class="tab01" width="100%">
					
			{foreach from=$typePrices key=priceType item=prices}
		
							<tr class="{cycle values="alt1,alt2"}">
								<th scope="col" colspan="4">{$priceTypes.$priceType}
									{assign var=inputname value="id_`$currencyID`_`$cycleID`_`$priceType`"}
									<input type="hidden" name="{$inputname}" value="{$prices.2}" />
									{assign var=inputname value="gid_`$currencyID`_`$cycleID`_`$priceType`"}
									<input type="hidden" name="{$inputname}" value="{$prices.3}" />
									{assign var=inputname value="vid_`$currencyID`_`$cycleID`_`$priceType`"}
									<input type="hidden" name="{$inputname}" value="{$prices.4}" />
								</th>
							</tr>
							<tr class="alt1">
								{assign var=inputname value="price_`$currencyID`_`$cycleID`_`$priceType`"}
								<th scope="row" class="nowrap"><label for="{$inputname}">{$smarty.const.TRANS_PRICE}</label></th><td style="width: 50%"><input name="{$inputname}" id="{$inputname}" size="18" type="text" value="{$prices.0|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /></td>
								{assign var=inputname value="cogs_`$currencyID`_`$cycleID`_`$priceType`"}
								<th scope="row" class="nowrap"><label for="{$inputname}">{$smarty.const.TRANS_COGS}</label></th><td style="width: 50%"><input name="{$inputname}" id="{$inputname}" size="18" type="text" value="{$prices.1|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /></td>
							</tr>
		
			{/foreach}
		
						</table>
					</td>
				</tr>
		
		{/foreach}
	
			</table>
		</td>
	</tr>
	
	{/foreach}

</tbody>
{/if}
</table>

<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EDIT_PRODUCT_PRICES}" />
</form>