{* $Id: EditProductVariantPrices.tpl,v 1.4 2006/07/06 05:23:31 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}
{t c="TRANS_EDIT_PRODUCT_VARIANT_PRICES" d="Edit Product Variant Prices"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_TYPE" d="Type"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_PRODUCTID" d="Product ID"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DETAILS" d="Details"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_MANAGE_PRODUCTS" d="Manage Products"}
{t c="TRANS_NORESULTS" d="No Results"}
{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_SHOW_PRODUCTS" d="Show Products"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_TIMESTAMP" d="TimeStamp"}
{t c="TRANS_UNDEFINED" d="Undefined"}
{t c="TRANS_REGULAR" d="Regular"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_CERT" d="Cert"}
{t c="TRANS_EDIT_PRODUCT" d="Edit Product"}
{t c="TRANS_COMMENTS" d="Comments"}
{t c="TRANS_DISPLAY_ORDER" d="Display Order"}
{t c="TRANS_STOP_NUM_CYCLES" d="Last Cycle"}
{t c="TRANS_PRORATABLE" d="Proratable"}
{t c="TRANS_DATE_CREATED" d="Date Created"}
{t c="TRANS_SIGNUP_EMAIL" d="Signup Email"}
{t c="TRANS_WELCOME_EMAIL" d="Welcome Email"}
{t c="TRANS_CHILDREN" d="Children"}
{t c="TRANS_ORDER_FORMS" d="Order Forms"}
{t c="TRANS_SERVER_GROUPS" d="Server Groups"}
{t c="TRANS_CYCLES" d="Cycles"}
{t c="TRANS_SELECTED" d="Selected"}
{t c="TRANS_SELECTABLE" d="Selectable"}

{t c="TRANS_PRICE" d="Price"}
{t c="TRANS_COGS" d="Cost of Goods"}
{t c="TRANS_GENERAL" d="General"}
{t c="TRANS_SETUP" d="Setup"}
{t c="TRANS_TRANSFER" d="Transfer"}

{t c="TRANS_TAX_ZONE_GROUP" d="Tax Zone Group"}

{t c="TRANS_EXPLAIN_PRICES" d="Explain Prices"}
{t c="TRANS_PRICES_EXPLANATION" d="<p>A <dfn>price</dfn> must be set for each combination of cycles and currencies which you would like to appear on the order form.</p><p>To set domain transfer prices, the transfer cycle of the TLD must be associated with the product; then it will be asked here along with other types of prices of the transfer cycle.</p><ul><li>Order forms must be associated with a product to determine which currencies are needed. All of the possible currencies for pricing are the total set of currencies assigned to the payment groups assigned to each order form.</li><li>Cycles must be associated with a product before editing prices for the cycles. Also, domain products need to have cycles in the cycle range specified by the TLD.</li></ul>"}
{t c="TRANS_NEED_ORDER_FORMS" d="<p><strong>Warning:</strong> Order forms must be associated with a product to determine which currencies are needed. All of the possible currencies for pricing are the total set of currencies assigned to the payment groups assigned to each order form.</p>"}
{t c="TRANS_NEED_CYCLES" d="<p><strong>Warning:</strong> Cycles must be associated with a product before editing prices for the cycles. Also, domain products need to have cycles in the cycle range specified by the TLD.</p>"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_PRODUCTS"
	childName="TRANS_EDIT_PRODUCT_VARIANT_PRICES"
	sideNavMajor="products"
	sideNavMinor="variants"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

    	{include file="$tplDirectory/widgets/showTips.tpl"
        	title="TRANS_EXPLAIN_PRICES"
        	msg="TRANS_PRICES_EXPLANATION"
        	width="100%"
        	align="center"}

{include file="$tplDirectory/widgets/context/product.tpl" types=$productTypes}
{if $TLD}{include file="$tplDirectory/widgets/context/tld.tpl"}{/if}

<form method="post" name="EditProduct" action="products.php">
<input type="hidden" name="action" value="{getActionID action="EditProductVariantPricesResponse"}" />
<input type="hidden" name="productID" value="{$product.productID}" />
<input type="hidden" name="productVariantID" value="{$productVariant.productVariantID}" />
<input type="hidden" name="productType" value="{$product.productType}" />
<input type="hidden" name="sid" value="{$sid}" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01">
<tbody>
{assign var=domain value=$smarty.const.TRANS_DOMAIN_PRODUCT}
{assign var=general value=$smarty.const.TRANS_GENERAL}
{assign var=setup value=$smarty.const.TRANS_SETUP}
{assign var=transfer value=$smarty.const.TRANS_TRANSFER}

{* {$product.productType} == {$productTypeIndex.$domain} *}
{if $product.productType == $productTypeIndex.$domain}
	{assign var="isDomain" value=1}
{else}
	{assign var="isDomain" value=0}
{/if}

	<tr>
		<th colspan="2" valign="top">{$smarty.const.TRANS_TAX_ZONE_GROUP}: <select name="taxZoneGroupID" style="width: 200px;">
																<option value="0">{$smarty.const.TRANS_NONE}</option>
																{html_options options=$selectableTaxZoneGroups selected=$productVariant.taxZoneGroupID}
															  </select></th>
	</tr>


	{foreach from=$questions key=currencyID item=cyclePrices}

	<tr class="{cycle values="alt1,alt2"}">
		<th scope="row" class="nowrap">{$currencyID}</th>
		<td style="width: 100%">
			<table border="0" cellpadding="0" cellspacing="3" class="tab01" width="100%">

		{foreach from=$cyclePrices key=cycleID item=typePrices}
		
				<tr class="{cycle values="alt1,alt2"}">
					<th scope="row" class="nowrap">{$cycles.$cycleID}</th>
					<td style="width: 100%">
						<table border="0" cellpadding="0" cellspacing="3" class="tab01">
					
			{foreach from=$typePrices key=priceType item=prices}
		
							{if $priceType != $transferPriceType || $priceType == $transferPriceType && $cycleID == $TLD.tldTransferMinimumCycleID}
							<tr class="{cycle values="alt1,alt2"}">
								<th scope="row">{$priceTypes.$priceType}
									{assign var=inputname value="id_`$currencyID`_`$cycleID`_`$priceType`"}
									<input type="hidden" name="{$inputname}" value="{$prices.1}" />
								</th>
								{assign var=inputname value="price_`$currencyID`_`$cycleID`_`$priceType`"}
								<td><input name="{$inputname}" id="{$inputname}" size="18" type="text" value="{$prices.0|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeArray.locale_separator_decimal}', '{$localeArray.locale_separator_grouping}');" /></td>
							</tr>
							{/if}
		
			{/foreach}
		
						</table>
					</td>
				</tr>
		
		{foreachelse}
		{$smarty.const.TRANS_NEED_CYCLES}
		{/foreach}
	
			</table>
		</td>
	</tr>
	{foreachelse}
	{$smarty.const.TRANS_NEED_ORDER_FORMS}
	{/foreach}

</tbody>
</table>

<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EDIT_PRODUCT_VARIANT_PRICES}" />
</form>


{include file="$tplDirectory/footer.tpl"}