{* $Id: ShowProductAddons.tpl,v 1.10 2006/08/02 04:57:06 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Product.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_CREATE_ADDONS" d="Create New Addons"}
{t c="TRANS_GROUP" d="Group"}
{t c="TRANS_ASSOCIATE_ADDONS" d="Associate Addons"}
{t c="TRANS_ASSOCIATE_ADDON_GROUPS" d="Associate Addon Groups"}
{t c="TRANS_YOU_MUST_SET_THE_ATTRIBUTES_FOR_THIS_PRODUCT_BEFORE_ADDING_ADDONS" d="You must set the attributes for this product before you can administer addons for it."}

{t c="TRANS_ADDON_OPTION" d="Addon Option"}
{t c="TRANS_INTERNAL_ATTRIBUTE_NAME" d="Internal Attribute Name"}
{t c="TRANS_INTERNAL_ATTRIBUTE_VALUE" d="Internal Attribute Value"}

{t c="TRANS_ASSOCIATE_EXISTING_OPTION" d="Associate Existing Option"}
{t c="TRANS_CREATE_NEW_OPTION" d="Create New Option"}

{include file="$tplDirectory/widgets/products/header.tpl"}

{if $canDoAddons==0}

<h1>{$smarty.const.TRANS_YOU_MUST_SET_THE_ATTRIBUTES_FOR_THIS_PRODUCT_BEFORE_ADDING_ADDONS}</h1>

{else}

	{include file="$tplDirectory/widgets/products/AddonsHeader.tpl" suppressShowAddons=1}
	
	<table width="750" border="0" cellpadding="0" cellspacing="3" class="list" >
	<tbody>
	{foreach key="k" item="products" from=$addons}
	
		{assign var="addonGroup" value=$addonGroups.$k}
	
		{if $addonGroup.productAddonGroupID>0}
			<tr class="headerRow" xclass="comments altinner">
				<th colspan="2" valign="middle" align="left">
					<form method="post" action="products.php">
					<input type="hidden" name="sid" value="{$sid}" />
					<input type="hidden" name="action" value="{getActionID action="EditProductAddonGroupResponse"}" />
 					<input type="hidden" name="productAddonGroupID" value="{$k}" />
					<input type="hidden" name="redirectURL" value="products.php" />
					<input type="hidden" name="redirectAction" value="ShowProductAddons" />
					<input type="hidden" name="redirectArgs" value="productID={$product.productID}&sid={$sid}" />
				
						{$smarty.const.TRANS_ADDON}: <input type="text" name="productAddonGroupName" size="15" value="{$addonGroup.productAddonGroupName|escape:html}" />
						<select name="productAddonGroupInputType">
							{html_options options=$addoninputs selected=$addonGroup.productAddonGroupInputType}
						</select>
						
						<input type="checkbox" name="productAddonGroupActive" value="1" {if $addonGroup.productAddonGroupActive==1}checked="checked"{/if} /> {$smarty.const.TRANS_ACTIVE} 
						<input type="submit" value="{$smarty.const.TRANS_SAVE}" />
				
				
					</form>
				</th>
			</tr>
	
	
			<tr class="comments altinner">
				<td colspan="2">
				<table width="100%" class="tab01">
					<tr>
						<th>{$smarty.const.TRANS_ADDON_OPTION}</th>
						<th>{$smarty.const.TRANS_SERVER_GROUP}</th>
						<th>{$smarty.const.TRANS_INTERNAL_ATTRIBUTE_NAME}</th>
						<th>{$smarty.const.TRANS_INTERNAL_ATTRIBUTE_VALUE}</th>
						<th>{$smarty.const.TRANS_ACTION}</th>
					</tr>
				{section name="i" loop=$products}
					{assign var="serverGroupID" value=$products[i].productAttributes.0.serverGroupID}
					{assign var="serverGroup" value=$serverGroups.$serverGroupID}
				<tr class="{cycle values="alt1,alt2"}">
					<td valign="top"><a href="{getHREF actionName="ShowProductDetails" args="productID=`$products[i].productID`"}">{$products[i].productName}</a></td>
					<td valign="top">{$serverGroup.serverGroupName}</td>
					<td valign="top">{section name="j" loop=$products[i].productAttributes}
						{if $smarty.section.j.index>0}
						<br />
						{/if}
						{$products[i].productAttributes[j].productAttributeName}
					{/section}</td>
					<td valign="top">{section name="j" loop=$products[i].productAttributes}
						{if $smarty.section.j.index>0}
						<br />
						{/if}
						{$products[i].productAttributes[j].productAttributeValue}
					{/section}</td>
					<td>
						
{strip}
{include file="$tplDirectory/widgets/actionLink.tpl"
	page="products.php"
	actionName="ShowProductDetails"
	args="productID=`$products[i].productID`"
	icoImage="view"
	icoWidth=""
	icoHeight=""
	icoStyle=""
	altText="TRANS_DETAILS"
	titleText=""
	linkText="TRANS_DETAILS"
	noSpace="1"
}	
		&nbsp;
{include file="$tplDirectory/widgets/actionLink.tpl"
	page="products.php"
	actionName="EditProductChildrenResponse"
	args="productID=`$product.productID`&disassociateID=`$products[i].productID`"
	icoImage="remove"
	icoWidth=""
	icoHeight=""
	icoStyle=""
	altText="TRANS_SUPPRESS"
	titleText=""
	linkText="TRANS_SUPPRESS"
	noSpace="1"
}
		&nbsp;
{assign var="redirectArg" value="productID=`$product.productID`"|escape:url}
{include file="$tplDirectory/widgets/actionLink.tpl"
	page="products.php"
	actionName="RemoveProduct"
	args="productID=`$products[i].productID`&redirectURL=products.php&redirectAction=ShowProductAddons&redirectArgs=`$redirectArg`"
	icoImage="remove"
	icoWidth=""
	icoHeight=""
	icoStyle=""
	altText="TRANS_REMOVE"
	titleText=""
	linkText="TRANS_REMOVE"
	noSpace="1"
}
{/strip}

					</td>
				</tr>
	
				{/section}
	
				</table>
				<div>
					<div style="float: left; margin-right: 3px;" class="rm"><a href="products.php?sid={$sid}&action={getActionID action="AddProductAddon"}&addonGroupID={$k}&productID={$product.productID}&advanced={$advanced}">{$smarty.const.TRANS_CREATE_NEW_OPTION}</a></div>
					<div style="float: left; margin-right: 3px;" class="rm"><a href="products.php?sid={$sid}&action={getActionID action="EditProductChildren"}&productAddonGroupID={$k}&productID={$product.productID}&advanced={$advanced}">{$smarty.const.TRANS_ASSOCIATE_EXISTING_OPTION}</a></div>
				</div>
				</td>
			</tr>
			<tr>
				<td><br /></td>
			</tr>
		{/if}
	
	{/foreach}
	
	
	</tbody>
	</table>
{/if}

{include file="$tplDirectory/widgets/products/footer.tpl"}

