{* $Id: quickAddCredit.tpl,v 1.3 2006/05/10 20:06:57 mgarrett Exp $
 * --------------------------------------------------------------
 * This widget template is used to display the quick manual payment popup div.
 *
 *
 * Smarty Variables:
 *	$actionName     The action name to get the action id for.
 *	$clientID 	    The primary key column name of the record to add.
 *  $sid            The current sessionID
 *  $lineItems      The line items they can pay for in an array
 *  $redirectURL    The php script to redirect to
 *  $redirectAction The action name for the redirect
 *  $redirectArgs   The args to send through the url to the redirectURL BESIDES the sid and actionID
 *
 * Example Usage:
 * {include file="$tplDirectory/widgets/quickAddCredit.tpl"
 *            actionName="AddClientCreditResponse"
 *			  clientID=$clientID
 *            formName="quickcreditform"
 *            currencyIDs=$currencyIDs
 *            sid=$sid
 *            localeArray=$localeArray
 *            currencyID=$currencyID
 *            ledgerAccountNames=$ledgerAccountNames
 *            redirectURL="clients.php"
 *            redirectAction="ShowClientDetails"
 *            redirectArgs="clientID=`$clientID`"}
 *}

{t c="TRANS_CLOSE" d="Close"}
{t c="TRANS_QUICK_ADD_CREDIT" d="Add Credit"}
{t c="TRANS_ADD_CREDIT_LEGEND" d="Add Credit"}
{t c="TRANS_ADD_CREDIT_CURRENCY" d="Currency"}
{t c="TRANS_CREDIT_ADD" d="Add Credit"}
{t c="TRANS_APPLY_TO_GL" d="Apply To Account"}
{t c="TRANS_QUICK_ADD_CREDIT_AMOUNT" d="Credit Amount"}
{t c="TRANS_ADD_CREDIT_DESCRIPTION_DEFAULT" d="Customer Relations Expense"}
{t c="TRANS_ADD_CREDIT_DESCRIPTION" d="Explaination"}

{assign var="defaultCreditAmount" value="0"}

<div class="rm">
<a style="text-decoration: none;" href="javascript:void(0);"
{strip}
onclick="return overlib('&lt;form method=\'post\' action=\'clients.php\' name=\'{$formName}\' id=\'{$formName}\'&gt;
                        &lt;input type=\'hidden\' name=\'action\' value=\'{getActionID action=$actionName}\' /&gt;
                        &lt;input type=\'hidden\' name=\'sid\' value=\'{$sid}\'&gt;
                        &lt;input type=\'hidden\' name=\'clientID\' value=\'{$clientID}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectURL\' value=\'{$redirectURL}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectAction\' value=\'{$redirectAction}\'&gt;
                        &lt;input type=\'hidden\' name=\'redirectArgs\' value=\'{$redirectArgs}\'&gt;

                        &lt;fieldset&gt;
                            &lt;legend&gt;{$smarty.const.TRANS_ADD_CREDIT_LEGEND}&lt;/legend&gt;
                            &lt;table width=\'350\'&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {$smarty.const.TRANS_QUICK_ADD_CREDIT_AMOUNT} &lt;/td&gt;
                                &lt;td&gt;
{* $localeArray.locale_pattern_currency *}
                                    &lt;input type=&quot;text&quot; onblur=&quot;this.value=XKformatNumber(\'{1000|getAmount:$currencyID:true:true};({1000|getAmount:$currencyID:true:true})\', this.value, \'{$localeArray.locale_separator_decimal}\', \'{$localeArray.locale_separator_grouping}\');&quot; name=&quot;creditAmount&quot; size=&quot;9&quot; value=&quot;0{$localeArray.locale_separator_decimal}00&quot; /&gt;

                                &lt;/td&gt;

                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {$smarty.const.TRANS_ADD_CREDIT_CURRENCY} &lt;/td&gt;
                                &lt;td&gt;
                                    &lt;select name=\'creditCurrencyID\' style=\'width: 50px;\' &gt;
                                    	{mb_html_options encodeoutput="yes" options=$currencyIDs}
                                    &lt;/select&gt;
                                &lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {$smarty.const.TRANS_ADD_CREDIT_DESCRIPTION} &lt;/td&gt;
                                &lt;td&gt;
                                    &lt;input type=&quot;text&quot; name=&quot;creditComments&quot; size=&quot;25&quot; value=&quot;{$smarty.const.TRANS_ADD_CREDIT_DESCRIPTION_DEFAULT}&quot; /&gt;
                                &lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; {$smarty.const.TRANS_APPLY_TO_GL} &lt;/td&gt;
                                &lt;td&gt;
                                    &lt;select name=\'ledgerAccountName\' &gt;
                                    	{mb_html_options encodeoutput="yes" options=$ledgerAccountNames}
                                    &lt;/select&gt;
                                &lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;tr&gt;
                                &lt;td&gt; &lt;/td&gt;
                                &lt;td&gt;&lt;input type=\'submit\' value=\'{$smarty.const.TRANS_CREDIT_ADD}\' /&gt;&lt;/td&gt;
                            &lt;/tr&gt;

                            &lt;/table&gt;
                        &lt;/fieldset&gt;
                    &lt;/form&gt;',
                        BGCLASS,
                        'popupBG',
                        FGCLASS,
                        'popupFG',
                        CENTER,
                        STICKY,
                        CAPTION,
                        '{$smarty.const.TRANS_QUICK_ADD_CREDIT}',
                        CLOSECLICK,
                        CLOSETEXT,
                        '&lt;img src={$imageDirectory}/ico/remove.gif width=13 height=13 border=0 /&gt;');"
                        onmouseout="return nd();"> {/strip}
                        <img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" />{$smarty.const.TRANS_ADD_CREDIT}</a></div>