{* $Id: showEventOutputDetails.tpl,v 1.2 2006/01/06 04:08:40 mfountain Exp $
 * --------------------------------------------------------------
 * This widget displays the details of a system event.
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_RAW_MBAPI_XML_RESULTS" d="Raw MBAPI XML Results"}
{t c="TRANS_CLEANED_MBAPI_XML_RESULTS" d="Cleaned MBAPI XML Results"}
{t c="TRANS_PARSED_MBAPI_XML_RESULTS" d="Parsed MBAPI XML Results"}
{t c="TRANS_NUM_ERRORS" d="Number of errors"}
{t c="TRANS_TIMESTAMP" d="Timestamp"}
{t c="TRANS_LEVEL1" d="Level 1"}
{t c="TRANS_LEVEL2" d="Level 2"}
{t c="TRANS_LEVEL3" d="Level 3"}
{t c="TRANS_LEVEL4" d="Level 4"}
{t c="TRANS_LEVEL5" d="Level 5"}
{t c="TRANS_LEVEL6" d="Level 6"}
{t c="TRANS_LEVEL7" d="Level 7"}
{t c="TRANS_LEVEL8" d="Level 8"}
{t c="TRANS_LEVEL9" d="Level 9"}
{t c="TRANS_MBAPI_COMMAND_INPUT" d="MBAPI Command Input"}
{t c="TRANS_MBAPI_COMMAND_OUTPUT" d="MBAPI Command Output"}

<table width="100%" border="0" cellpadding="1" cellspacing="1" class="addData">
<tr>
	<th>
		{$smarty.const.TRANS_MBAPI_COMMAND_OUTPUT}:
	</th>
</tr>
<tr>
	<td>

<table width="100%">
{section name=i loop=$eventLogs}
<tr>
	<td colspan="2" align="center">
		{$smarty.const.TRANS_NUM_ERRORS}: {$eventLogs[i].systemQueueNumErrors}
		|
		{$smarty.const.TRANS_TIMESTAMP}: {$eventLogs[i].systemQueueLogDateCreated|getDateTime:full}
	</td>
</tr>
<tr>
	<td colspan="2" align="left">
		<h3>{$smarty.const.TRANS_RAW_MBAPI_XML_RESULTS}</h3>
		<div class="mbapiWindowRawXML"><pre>{$eventLogs[i].systemQueueLogMessage}</pre></div>
	</td
</tr>
<tr>
	<td width="50%">
		<h3>{$smarty.const.TRANS_CLEANED_MBAPI_XML_RESULTS}</h3>
		<div class="mbapiWindowPrettyXML"><pre>{foreach key=key1 item=value1 from=$eventLogs[i].systemQueueLogMessageParsed}. &lt;<tt class="name">{$key1}</tt>&gt;{if !is_array($value1)}<tt class="value">{$value1}</tt>&lt;/<tt class="name">{$key1}</tt>&gt;
{else} [{$smarty.const.TRANS_LEVEL1}]
{foreach key=key2 item=value2 from=$value1}. . &lt;<tt class="name">{$key2}</tt>&gt;{if !is_array($value2)}<tt class="value">{$value2}</tt>&lt;/<tt class="name">{$key2}</tt>&gt;
{else} [{$smarty.const.TRANS_LEVEL2}]
{foreach key=key3 item=value3 from=$value2}. . . &lt;<tt class="name">{$key3}</tt>&gt;{if !is_array($value3)}<tt class="value">{$value3}</tt>&lt;/<tt class="name">{$key3}</tt>&gt;
{else} [{$smarty.const.TRANS_LEVEL3}]
{foreach key=key4 item=value4 from=$value3}. . . . &lt;<tt class="name">{$key4}</tt>&gt;{if !is_array($value4)}<tt class="value">{$value4}</tt>&lt;/<tt class="name">{$key4}</tt>&gt;
{else} [{$smarty.const.TRANS_LEVEL4}]
{foreach key=key5 item=value5 from=$value4}. . . . . &lt;<tt class="name">{$key5}</tt>&gt;{if !is_array($value5)}<tt class="value">{$value5}</tt>&lt;/<tt class="name">{$key5}</tt>&gt;
{else} [{$smarty.const.TRANS_LEVEL5}]
{foreach key=key6 item=value6 from=$value5}. . . . . . &lt;<tt class="name">{$key6}</tt>&gt;{if !is_array($value6)}<tt class="value">{$value6}</tt>&lt;/<tt class="name">{$key6}</tt>&gt;
{else} [{$smarty.const.TRANS_LEVEL6}]
{foreach key=key7 item=value7 from=$value6}. . . . . . . &lt;<tt class="name">{$key7}</tt>&gt;{if !is_array($value7)}<tt class="value">{$value7}</tt>&lt;/<tt class="name">{$key7}</tt>&gt;
{else} [{$smarty.const.TRANS_LEVEL7}]
{foreach key=key8 item=value8 from=$value7}. . . . . . . . &lt;<tt class="name">{$key8}</tt>&gt;{if !is_array($value8)}<tt class="value">{$value8}</tt>&lt;/<tt class="name">{$key8}</tt>&gt;
{else} [{$smarty.const.TRANS_LEVEL8}]
. . . . . . . . &lt;/<tt class="name">{$key8}</tt>&gt;
{/if}{/foreach}
. . . . . . . &lt;/<tt class="name">{$key7}</tt>&gt;
{/if}{/foreach}
. . . . . . &lt;/<tt class="name">{$key6}</tt>&gt;
{/if}{/foreach}
. . . . . &lt;/<tt class="name">{$key5}</tt>&gt;
{/if}{/foreach}
. . . . &lt;/<tt class="name">{$key4}</tt>&gt;
{/if}{/foreach}
. . . &lt;/<tt class="name">{$key3}</tt>&gt;
{/if}{/foreach}
. . &lt;/<tt class="name">{$key2}</tt>&gt;
{/if}{/foreach}
. &lt;/<tt class="name">{$key1}</tt>&gt;
{/if}{/foreach}</pre></div>
	</td>
	<td width="50%">
		<h3>{$smarty.const.TRANS_PARSED_MBAPI_XML_RESULTS}</h3>
		<div class="mbapiWindowPrettyXML"><pre>{foreach key=key1 item=value1 from=$eventLogs[i].systemQueueLogMessageParsed}. <tt class="name">{$key1}</tt>{if !is_array($value1)}=<tt class="value">{$value1}</tt>
{else} [{$smarty.const.TRANS_LEVEL1}]
{foreach key=key2 item=value2 from=$value1}. . <tt class="name">{$key2}</tt>{if !is_array($value2)}=<tt class="value">{$value2}</tt>
{else} [{$smarty.const.TRANS_LEVEL2}]
{foreach key=key3 item=value3 from=$value2}. . . <tt class="name">{$key3}</tt>{if !is_array($value3)}=<tt class="value">{$value3}</tt>
{else} [{$smarty.const.TRANS_LEVEL3}]
{foreach key=key4 item=value4 from=$value3}. . . . <tt class="name">{$key4}</tt>{if !is_array($value4)}=<tt class="value">{$value4}</tt>
{else} [{$smarty.const.TRANS_LEVEL4}]
{foreach key=key5 item=value5 from=$value4}. . . . . <tt class="name">{$key5}</tt>{if !is_array($value5)}=<tt class="value">{$value5}</tt>
{else} [{$smarty.const.TRANS_LEVEL5}]
{foreach key=key6 item=value6 from=$value5}. . . . . . <tt class="name">{$key6}</tt>{if !is_array($value6)}=<tt class="value">{$value6}</tt>
{else} [{$smarty.const.TRANS_LEVEL6}]
{foreach key=key7 item=value7 from=$value6}. . . . . . . <tt class="name">{$key7}</tt>{if !is_array($value7)}=<tt class="value">{$value7}</tt>
{else} [{$smarty.const.TRANS_LEVEL7}]
{foreach key=key8 item=value8 from=$value7}. . . . . . . . <tt class="name">{$key8}</tt>{if !is_array($value8)}=<tt class="value">{$value8}</tt>
{else} [{$smarty.const.TRANS_LEVEL8}]
{/if}{/foreach}{/if}{/foreach}{/if}{/foreach}{/if}{/foreach}{/if}{/foreach}{/if}{/foreach}{/if}{/foreach}{/if}{/foreach}</pre></div>
	</td>
</tr>
{/section}
</table>

	</td>
</tr>
</table>
