{* $Id: contactInfo.tpl,v 1.1 2006/07/24 22:19:43 bsmith Exp $
 * --------------------------------------------------------------
 * This bookmark template displays the admin's bookmarks.
 *
 * Smarty Variables:
 *	$title			The title of the ouput
 *	$message		The main body of the element
 *	$actionName		The current action name
 *  $sid			The current sessionID
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/showBookmarks.tpl"}
 *
 * Author: Brian Smith
 *}
{strip}
{if $title==""}
	{assign var=title value=$data.title}
{/if}

{/strip}

<div style="border:1px solid black;width:600px;padding:5px;margin:5px;" class="alt2">
	{if $title}
		{strip}
		<h2>
			{if $smarty.const.$title}
				{$smarty.const.$title}
			{else}
				{$title}
			{/if}
		</h2>
		{/strip}
	{/if}
	
	{strip}
	{if $data.message.name}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title=$smarty.const.TRANS_NAME message=$data.message.name}
	{/if}

	{if $data.message.address1}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title=$smarty.const.TRANS_ADDRESS message=$data.message.address1}
	{/if}
	
	{if $data.message.phone1}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title=$smarty.const.TRANS_PHONE message=$data.message.phone1}
	{/if}

	{if $data.message.email}
		{include file="$tplDirectory/widgets/tabbedTable/simpleOutput.tpl" title=$smarty.const.TRANS_EMAIL message=$data.message.email}
	{/if}
	{/strip}
</div>

