{* $Id: wizardQuestionInputCheckbox.tpl,v 1.3 2006/06/06 01:26:44 kbailey Exp $
 * --------------------------------------------------------------
 * This widget template displays a list of checkboxes.
 *
 * Smarty Variables:
 *	$question		The question.
 *  $inputName		The name of the select menu.
 *  $inputValue		The value of the input.
 *  $inputOptions	The array of checkbox options as defined here: http://smarty.php.net/manual/en/language.function.html.checkboxes.php
 *  $appendText		The appended text messege.
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/widgets/wizard/questionInputCheckbox.tpl" question="Some Question" inputName="" inputValue="" inputOptions="" appendText=""}
 *}
 
{if $smarty.const.WIZARD_CART_DISPLAY==1}

	<tr class="{if $questionErrorMesgs}highlight{else}{cycle values="alt1,alt2"}{/if}">
		<td align="right" valign="top"><label for="{$questionID}">{$question}</label></td>
		<td>
			{section name="i" loop=$questionAnswers}
				{assign var=inputid value="`$questionID`_`$smarty.section.i.index`"}
				<input id="{$inputid}" type="checkbox" name="{$questionID}[]" value="{if ($questionAnswers[i].value != "")}{$questionAnswers[i].value}{/if}"
				{if ($questionAnswers[i].selected)}checked="checked"{/if}>
				<label for="{$inputid}"> {$questionAnswers[i].answer}</label>
				<br />
			{/section}
			{$questionDescription} {$questionErrorMesgs}
		</td>
	</tr>

{elseif $smarty.const.WIZARD_ADMIN_ADDON_DISPLAY==1}

			{section name="i" loop=$questionAnswers}
				{assign var=inputid value="`$questionID`_`$smarty.section.i.index`"}
				<input id="{$inputid}_{literal}{ID}{/literal}" type="checkbox" name="addonValues[{literal}{ID}{/literal}][{$questionID}][]" value="{if ($questionAnswers[i].value != "")}{$questionAnswers[i].value}{/if}"
				{if ($questionAnswers[i].selected)}checked="checked"{/if}>
				<label for="{$inputid}_{literal}{ID}{/literal}"> {$questionAnswers[i].answer}</label>
				<br />
			{/section}
			{$questionDescription} {$questionErrorMesgs}

{else}
 
	<tr class="{if $questionErrorMesgs}highlight{else}{cycle values="alt1,alt2"}{/if}">
		<th class="nowrap" scope="row"><label for="{$questionID}">{$question}</label></th>
		<td width="100%">
			<input type="hidden" name="{$questionID}" value="" />
			{section name="i" loop=$questionAnswers}
				{assign var=inputid value="`$questionID`_`$smarty.section.i.index`"}
				<input id="{$inputid}" type="checkbox" name="{$questionID}[]" value="{if ($questionAnswers[i].value != "")}{$questionAnswers[i].value}{/if}"
				{if ($questionAnswers[i].selected)}checked="checked"{/if}>
				<label for="{$inputid}"> {$questionAnswers[i].answer}</label>
				<br />
			{/section}
			{$questionDescription} {$questionErrorMesgs}
		</td>
	</tr>

{/if}
