{* $Id: wizardQuestionInputPassword.tpl,v 1.2 2006/05/12 23:36:54 kbailey Exp $
 * --------------------------------------------------------------
 * This widget template displays a question input password field.
 *
 * Smarty Variables:
 *	$question		The question.
 *  $inputName		The name of the select menu.
 *  $inputValue		The value of the input.
 *  $inputSize		The size of the input field.
 *  $inputMaxlength	The maxlength of the input field.
 *  $appendText		The appended text messege.
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/widgets/wizard/questionInputPassword.tpl" question="Some Question" inputName="" inputValue="" inputSize="" inputMaxlength="" appendText=""}
 *}
 
{if $smarty.const.WIZARD_CART_DISPLAY==1}

	<tr class="{if $questionErrorMesgs}highlight{else}{cycle values="alt1,alt2"}{/if}">
		<td align="right" valign="top"><label for="{$questionID}">{$question}</label></td>
		<td>
			<input type="password" name="{$questionID}" {if ($questionSize)}size="{$questionSize}"{else}size="6"{/if} {if $questionMaxLength}maxlength="{$questionMaxLength}"{/if} /> {$questionDescription} {$questionErrorMesgs}
		</td>
	</tr>

{else}
 
	<tr class="{if $questionErrorMesgs}highlight{else}{cycle values="alt1,alt2"}{/if}">
		<th class="nowrap" scope="row"><label for="{$questionID}">{$question}</label></th>
		<td width="100%">
			<input type="password" name="{$questionID}" {if ($questionSize)}size="{$questionSize}"{else}size="6"{/if} {if $questionMaxLength}maxlength="{$questionMaxLength}"{/if} /> {$questionDescription} {$questionErrorMesgs}
		</td>
	</tr>

{/if}
