{* $Id: wizardQuestionInputText.tpl,v 1.3 2006/06/06 01:26:44 kbailey Exp $
 * --------------------------------------------------------------
 * This widget template displays a question input text field.
 *
 * Smarty Variables:
 *	$question		The question.
 *  $inputName		The name of the select menu.
 *  $inputValue		The value of the input.
 *  $inputSize		The size of the input field.
 *  $inputMaxlength	The maxlength of the input field.
 *  $appendText		The appended text messege.
 *
 * Example Usage:
 *  {include file="$tplDirectory/admin/widgets/wizard/questionInputText.tpl" question="Some Question" inputName="" inputValue="" inputSize="" inputMaxlength="" appendText=""}
 *}

{if $smarty.const.WIZARD_CART_DISPLAY==1}

	<tr class="{if $questionErrorMesgs}highlight{else}{cycle values="alt1,alt2"}{/if}">
		<td align="right"><label for="{$questionID}">{$question}</label></td>
		<td>
			<input type="text" name="{$questionID}" {if ($questionSize)}size="{$questionSize}"{else}size="6"{/if} {if $questionMaxLength}maxlength="{$questionMaxLength}"{/if} value="{$questionAnswers.0.answer}" /> {$questionDescription} {$questionErrorMesgs}
		</td>
	</tr>

{elseif $smarty.const.WIZARD_ADMIN_ADDON_DISPLAY==1}

	<input type="text" name="addonValues[{literal}{ID}{/literal}][{$questionID}]" {if ($questionSize)}size="{$questionSize}"{else}size="6"{/if} {if $questionMaxLength}maxlength="{$questionMaxLength}"{/if} value="{$questionAnswers.0.answer}" /> {$questionDescription} {$questionErrorMesgs}

{else}

	<tr class="{if $questionErrorMesgs}highlight{else}{cycle values="alt1,alt2"}{/if}">
		<th class="nowrap" scope="row"><label for="{$questionID}">{$question}</label></th>
		<td width="100%">
			<input type="text" name="{$questionID}" {if ($questionSize)}size="{$questionSize}"{else}size="6"{/if} {if $questionMaxLength}maxlength="{$questionMaxLength}"{/if} value="{$questionAnswers.0.answer}" /> {$questionDescription} {$questionErrorMesgs}
		</td>
	</tr>

{/if}
