{* $Id: EditDomainRegistrarLockOptions.tpl,v 1.4 2006/06/08 01:25:56 kbailey Exp $
 * --------------------------------------------------------------
 * This template edit's the domain's registrar lock setting.
 *
 * Smarty Variables:
 *  $domainRegistrarLock (1 = locked)
 *
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *	$tplDirectory	The relative path to the theme's template directory
 *
 * Author: Andy Christ
 *}

{t c="TRANS_DOMAIN_REGISTRAR_LOCK" d="Lock"}
{t c="TRANS_DOMAIN_REGISTRAR_LOCK_DESC" d="If checked, the domain cannot be transfered to another registrar until it is unlocked"}
{t c="TRANS_UPDATE" d="Update"}


{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="domains"}

<table  border="0" width="98%" cellpadding="0" cellspacing="12"  class="tab01">
<form method="post" action="domains.php" name="EditRenewTypeOption">
<input type="hidden" name="action" value="{getActionID action="EditDomainRegistrarLockOptionsResponse"}">
<input type="hidden" name="domainID" value="{$domain.domainID}">
<input type="hidden" name="sid" value="{$sid}">

<tr>
    <td colspan="2">
		<div class="box07">
			<div class="st01"><h1>{$domain.domainSLD}.{$domain.domainTLD}</h1></div>
			<table width="95%"  border="0" cellspacing="2" cellpadding="0" class="tab06">
			<tr>
				<td style="text-align: right;">
					{$smarty.const.TRANS_DOMAIN_REGISTRAR_LOCK}
				</td>
				<td style="text-align: left;">
					<input type="checkbox" {if $domainRegistrarLock} checked="checked" {/if} name=domainRegistrarLock value="1">
					{$smarty.const.TRANS_DOMAIN_REGISTRAR_LOCK_DESC}
				</td>
			</tr>
			<tr>
				<td style="text-align: right;">
				</td>
				<td style="text-align: left;">
					<input type="submit" name="updateLock" value="{$smarty.const.TRANS_UPDATE}">
				</td>
			</tr>
			</table>
		</div>{* box07 *}
        <br />


    </td>
</tr>
</form>
</table>

{include file="$tplDirectory/footer.tpl"}
