{* $Id: DowngradePackage.tpl,v 1.3 2006/06/30 22:09:27 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}

{t c="TRANS_DOWNGRADE_PACKAGE" d="Downgrade Package"}
{t c="TRANS_COUPON_CYCLES" d="Coupon Cycles"}
{t c="TRANS_DOWNGRADE_AT_END_OF_CYCLE" d="End of current cycle"}
{t c="TRANS_DOWNGRADE_NOW" d="Now"}
{t c="TRANS_PROVISION_THE_CHANGES" d="Provision to the Panel"}
{t c="TRANS_PACKAGE_DOWNGRADE_TIME" d="When should this downgrade take place"}
{t c="TRANS_ORDER_DOWNGRADE" d="Order Downgrade"}
{t c="TRANS_DOWNGRADED_FROM" d="Downgraded From"}
{t c="TRANS_DOWNGRADE_NOW_WITH_PRORATION_CREDITS" d="Downgrade now and apply proration credits"}
{t c="TRANS_DOWNGRADE_NOW_WITHOUT_PRORATION_CREDITS" d="Downgrade now and DO NOT apply proration credits"}
{t c="TRANS_UPGRADE_DOWNGRADE_PACKAGES" d="Upgrade/Downgrade Packages"}

{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="packages"}

{assign var="currencyID" value=$packageInfo.paymentGroupCurrencyID}

<div class="box07">
	<div class="st01"><h1>{$smarty.const.TRANS_DOWNGRADE_PACKAGE}</h1></div>
	<table width="100%" border="0" cellpadding="0" cellspacing="2" class="list">

		<tr class="subHeaderRow" bgcolor="#CCCCCC">
			<td class="firstTD" style="text-align: center;"> </td>
			<td style="text-align: center; white-space: nowrap;">{$smarty.const.TRANS_PRODUCT}</td>
			<td style="text-align: center; white-space: nowrap;">{$smarty.const.TRANS_PRICE}</td>
			<td style="text-align: center; white-space: nowrap;">{$smarty.const.TRANS_SETUP_PRICE}</td>
			<td style="text-align: center; white-space: nowrap;"> </td>
		</tr>

		{foreach key="id" item="product" from=$downgradeProducts}

		<form method="post" action="packages.php">
		<input type="hidden" name="sid" value="{$sid}">
		<input type="hidden" name="action" value="{getActionID action="DowngradePackageResponse"}">
		<input type="hidden" name="packageID" value="{$packageInfo.packageID}">
		<input type="hidden" name="productID" value="{$product.productID}" />
		<input type="hidden" name="productVariantID" value="{$product.productVariantID}" />


		<tr class="{cycle values="alt1,alt2"}">
			<td><input class="button" type="button" name="configure" value="{$smarty.const.TRANS_CONFIGURE}" onclick="toggle('configureRow{$product.productID}');" /></td>
			<td>{$product.productName}{if $product.productVariantName}<br /><strong>{$product.productVariantName}</strong>{/if}</td>
			<td valign="top">{$product.prices.0.productVariantPriceAmount|getAmount:$currencyID}</td>
			<td valign="top">{$product.prices.1.productVariantPriceAmount|getAmount:$currencyID}</td>
			<td align="right"><input type="submit" class="submit" value="{$smarty.const.TRANS_ORDER_DOWNGRADE}" /></td>
		</tr>
		<tbody class="off" id="configureRow{$product.productID}">
			<tr>
				<td></td>
				<td colspan="4" class="box07">

					<table width="100%">

					{*****************************************************************************}

					{assign var="firsttime" value="1"}
					{foreach key="id" item="addons" from=$product.addons}
						<tr class="alt1">
							<td class="td05" colspan="2"><h1>{assign var="group" value=$product.addonGroups.$id}{$group.productAddonGroupName}</h1></td>
						</tr>
						{assign var="firsttime" value=0}
						{if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r"}
							{section name="i" loop=$addons}
								{assign var="pid" value=$addons[i].productID}
								<tr class="alt2">
									<td class="td05"><input type="radio" name="addons[{$id}][]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}</td>
									<td class="td05" align="right">
									{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}
									{if $addons[i].prices.1.productVariantPriceAmount}
										{$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}
									{/if}
									</td>
								</tr>
							{/section}
								<tr class="alt2">
									<td class="td05" colspan="2"><input type="radio" name="addons[{$id}][]" value="0" />&nbsp; - {$smarty.const.TRANS_NONE}</td>
								</tr>
						{elseif $group.productAddonGroupInputType=="s"}
								<tr class="alt2">
									<td class="td05"><select name="addons[{$id}][]">
										<option value=""> </option>
									{section name="i" loop=$addons}
										{assign var="pid" value=$addons[i].productID}
										{$addons[i].productName|constant} - 
										{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}
										{if $addons[i].prices.1.productVariantPriceAmount}
											{$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}
										{/if}
									{/section}
									</select>
									</td>
								</tr>
						{elseif $group.productAddonGroupInputType=="c"}
							{section name="i" loop=$addons}
								{assign var="pid" value=$addons[i].productID}
								<tr class="alt2">
									<td class="td05"><input type="checkbox" name="addons[{$id}][]" value="{$pid}" />&nbsp; - {$addons[i].productName|constant}</td>
									<td class="td05" align="right">
									{$addons[i].prices.0.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}
									{if $addons[i].prices.1.productVariantPriceAmount}
										{$smarty.const.TRANS_PLUS_SETUP} {$addons[i].prices.1.productVariantPriceAmount|getAmount:$packageInfo.paymentGroupCurrencyID}
									{/if}
									</td>
								</tr>
							{/section}

						{/if}
					{foreachelse}
						<tr class="alt2">
							<th class="td05">{$smarty.const.TRANS_NO_ADDONS}</th>
						</tr>
					{/foreach}
						<tr class="alt1">
							<th colspan="2" align="right"><input type="submit" class="submit" value="{$smarty.const.TRANS_ORDER_DOWNGRADE}" /></th>
						</tr>
					</table><br />

					{*****************************************************************************}
				</td>
			</tr>
		</tbody>


		</form>

		{foreachelse}
		
			<tr>
				<td colspan="5">{$smarty.const.TRANS_NO_ELIGIBLE_PRODUCTS_FOUND}</td>
			</tr>
		
		{/foreach}


	</table>

</div>


{include file="$tplDirectory/footer.tpl"}



