{* $Id: ShowPanelOptions.tpl,v 1.4 2006/07/03 23:42:54 bsmith Exp $
 * --------------------------------------------------------------
 * This template displays a list of packages.
 *
 * Smarty Variables:
 *	$packages (array of packages that match criteria)
 *
 *}
{strip}
{t c="TRANS_SERVER_GROUP" d="Server Group"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_NO_PANELS_FOUND" d="No Panels Found"}
{t c="TRANS_PANEL_NAME" d="Panel Name"}
{t c="TRANS_PANEL_OPTIONS" d="Panel Options"}
{t c="TRANS_AVAILABLE_PANELS" d="Available Panels"}
{t c="TRANS_PANEL_LOGIN" d="Panel Login"}
{/strip}
{include file="$tplDirectory/header.tpl" tabMajor="packages" tabMinor="packages"}
{assign var="packageID" value=$package.packageID}
<div class="box07">
	<div class="st01"><h1>{$smarty.const.TRANS_PACKAGE_DETAILS}</h1></div>
	<table width="100%" border="0" cellpadding="0" cellspacing="2" class="list">
	<tbody>
	<tr class="subHeaderRow" bgcolor="#CCCCCC">
		<td class="firstTD" style="text-align: center;">{$smarty.const.TRANS_PACKAGE_ID}</td>
		<td style="text-align: center; white-space: nowrap;">{$smarty.const.TRANS_NAME}</td>
		<td style="text-align: center; white-space: nowrap;">{$smarty.const.TRANS_TYPE}</td>
		<td class="lastTD" style="text-align: center; white-space: nowrap;">{$smarty.const.TRANS_STATUS}</td>
	</tr>
	<tr class="alt1"}">
		<td>{$package.packageID}</td>
		<td>{$package.packageName}</td>
		<td>{assign var="thisType" value=$package.packageType} {$types.$thisType}</td>
		<td>{assign var="thisStatus" value=$package.packageActive} {$activeInactive.$thisStatus}</td>
	</tr>
	</table>
</div>
<br />
{if !$numConfigGroups}
	<h6>{$smarty.const.TRANS_NO_PANELS_FOUND}</h6>
{else}
	<div class="box07">
		<div class="st01"><h1>{$smarty.const.TRANS_AVAILABLE_PANELS}</h1></div>
		<table width="100%" border="0" cellpadding="0" cellspacing="2" class="list">
		<tr class="subHeaderRow" bgcolor="#CCCCCC">
			<td class="firstTD" style="text-align: center;">
				{$smarty.const.TRANS_ID}
			</td>
			<td style="text-align: center; white-space: nowrap;">
				{$smarty.const.TRANS_SERVER_GROUP}
			</td>
			<td style="text-align: center; white-space: nowrap;">
				{$smarty.const.TRANS_PANEL_NAME}
			</td>
			<td style="text-align: center; white-space: nowrap;">
				{$smarty.const.TRANS_USERNAME}
			</td>
			<td class="lastTD" style="text-align: center; white-space: nowrap;">
				{$smarty.const.TRANS_ACTIONS}
			</td>
		</tr>
	{foreach from=$configGroups item=configGroup key=configGroupID}
		<tr class="{cycle values="alt1,alt2"}">
			<td style="text-align: center;">
				{$configGroupID}
			</td>
			<td>
				{$configGroup.serverGroup.0.serverGroupName}
			</td>
			<td>
				{assign var=tempTransKey value=$configGroup.configGroupTransKey}
				{if $smarty.const.$tempTransKey}
					{$smarty.const.$tempTransKey}
				{else}
					{$configGroup.configGroupTransKey}
				{/if}
			</td>

			<td>
				{$configGroup.panelUsername}
			</td>
			<td>
				{if $configGroup.panelCapabilities.PANEL_CLIENTLOGIN && $configGroup.panelConfig.allowClientLogin}
					{include file="$tplDirectory/widgets/actionLink.tpl"
						page="packages.php"
						actionName="ShowPanelClientLogin"
						args="packageID=$packageID&configGroupID=$configGroupID"
						icoImage="view"
						icoWidth=""
						icoHeight=""
						icoStyle=""
						altText="TRANS_PANEL_LOGIN"
						titleText="TRANS_PANEL_LOGIN"
						linkText="TRANS_PANEL_LOGIN"
						noSpace="1"
						}
				{/if}
			</td>
		</tr>
	{/foreach}
		</table>
	</div>
{/if}

{include file="$tplDirectory/footer.tpl"}
