{* $Id: yourOrder.tpl,v 1.7 2006/02/24 21:59:24 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays a mini client stats report.
 *
 * Smarty Variables:
 *	$clientStats (array of client status and their count)
 *		clientStatus
 *		numClients
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Mark Garrett
 *}
<table width="750"  border="0" cellspacing="0" cellpadding="0" class="tab00">
	<tr>
		<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_ORDER_DETAILS}:</h1></td>
	</tr>
	<tr>
		<td  class="box010">
			<table width="100%"  border="0" cellspacing="2" cellpadding="0" class="tab09">
				<tbody>
				<tr>
					<td class="td09"></td>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_ITEM_NAME}</strong></td>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_DOMAIN}</strong></td>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_CYCLE_NAME}</strong></td>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_PRODUCT_PRICE}</strong></td>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_COUPON}</strong></td>
					<td class="td09"><strong>{$smarty.const.TRANS_ORDERFORM_PRODUCT_TOTAL}</strong></td>
				</tr>
				</tbody>					
				{section name=i loop="$orderItems"}
				<tbody>
				<tr class="{cycle values="alt1,alt2"}">
					<td align="center"><a name="$orderItems[i].productID" onclick="removeProduct('{$orderItems[i].productID}','{$orderItems[i].cycleID}','{$orderItems[i].domainName}');"><img src="{$imageDirectory}/ico/delete.gif" alt="Remove Product from Order" id="Remove Product from Order" name="Remove Product from Order" width="16" height="16" hspace="2" vspace="2" border="0" align="middle" /></a></td>
					<td>{$orderItems[i].productName}</td>
					<td>{if $orderItems[i].domainName}{$orderItems[i].domainName}{/if}</td>
					<td>{$orderItems[i].cycleDisplayName}</td>
					<td>{$smarty.const.TRANS_ORDERFORM_PRODUCT_PRICE}: {$orderItems[i].prices.price|getAmount:$currency}
					{if $orderItems[i].prices.setup}
						+ {$smarty.const.TRANS_ORDERFORM_SETUP}: {$orderItems[i].prices.setup|getAmount:$currency}
					{else}
						&nbsp;
					{/if}
					</td>
					<td>
					{if $orderItems[i].coupon} {$smarty.const.TRANS_ORDERFORM_COUPON}: 
					  {foreach key=key item=item from=$orderItems[i].couponDisplay}
						{$item}<br />
					  {/foreach}
					{/if}
					</td>
					<td>{$orderItems[i].finalPrice|getAmount:$currency}</td>
				</tr>
				</tbody>
					{/section}
				<tbody>
				<tr>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td class="td09" colspan="2"><strong>{$smarty.const.TRANS_ORDERFORM_TOTAL}:</strong></td>
					<td class="td09"><strong>{$grandTotal|getAmount:$currency}</strong></td>
				</tr>
				</tbody>					
			</table>
		</td>
	</tr>
</table>
{if $extraData}
{assign var="tmpname" value="interface-response"}
{foreach key=domainName item=domInfo from=$extraData}
<table width="750" border="0" cellspacing="0" cellpadding="0" class="tab00">
	<tr>
		<td class="box09"><h1>{$smarty.const.TRANS_ORDERFORM_ADDITIONAL_DOMAIN_INFO} - {$domainName}</h1></td>
	</tr>
	<tr>
		<td class="box010">
			<table width="100%" border="0" class="tab013">
				{assign var="loop" value=$domInfo.$tmpname.attributes.attribute}
				{section name=a loop=$loop}
				{assign var="attribute" value=$loop[a]}
				<tr class="w350">
					<td align="right" valign="top">{$attribute.description}:</td>
					{if $attribute.userdefined != "True"}
						<td style="width: 75%;">
						{assign var="divs" value=""}
						{foreach key=key item=option from=$attribute.options.option}
							{assign var=opvalue value=$option.value}
							{assign var="new" value="toggleOff('$opvalue:$domainName'); "}
							{assign var="divs" value="$divs$new"}
						{/foreach}

						<select id="extAttrib[{$domainName}][{$attribute.name}]" name="extAttrib[{$domainName}][{$attribute.name}]" onchange="{$divs}toggleOn(this.options[this.selectedIndex].value+':'+'{$domainName}');">
							{foreach key=key item=option from=$attribute.options.option}
								<option label="{$option.title}" value="{$option.value}">{$option.title}</option>
							{/foreach}
						</select>
						{foreach key=key item=option from=$attribute.options.option name=lame}
							{if $smarty.foreach.lame.first}
							<div id="{$option.value}:{$domainName}">
								<em>{$option.description|html_entity_decode}</em>
							</div>
							{else}
							<div id="{$option.value}:{$domainName}" class="off">
								<em>{$option.description|html_entity_decode}</em>
							</div>
							{/if}
						{/foreach}
						</td>
					{else}
						<td><input id="extAttrib[{$domainName}][{$attribute.name}]" name="extAttrib[{$domainName}][{$attribute.name}]" type="text" /></td>
					{/if}
				</tr>
				{/section}
			</table>
		</td>
	</tr>
</table>
{/foreach}
{/if}