{* $Id: CheckoutLoader.tpl,v 1.3 2006/04/14 18:33:06 mfountain Exp $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{include file="$tplDirectory/shopping/header.tpl"}

{t c="TRANS_PAYMENT_SUCCESS" d="Payment Success"}
{t c="TRANS_CHARGE_SUCCESSFUL" d="Your account has been charged successfully."}
{t c="TRANS_AUTHORIZATION_NUMBER" d="Authorization Number"}
{t c="TRANS_CHARGE_AMOUNT" d="Charge Amount"}
{t c="TRANS_YOUR_ORDER_HAS_BEEN_RECEIVED" d="Your order has been received and will be processed as soon as possible.  Further information, if necessary, will be e-mailed to you."}
{t c="TRANS_PAYMENT_INSTRUCTIONS" d="Payment Instructions"}
{t c="TRANS_PLEASE_USE_THE_FOLLOWING_LINKS" d="Please use each of the following links to complete your payment."}
{t c="TRANS_YOUR_INVOICE_HAS_BEEN_GENERATED" d="Your order is complete and your invoice has been generated and sent."}
{t c="TRANS_INVOICE_NUMBER" d="Invoice Number"}
{t c="TRANS_INVOICE_AMOUNT" d="Invoice Amount"}
{t c="TRANS_ORDER_SUCCESSFUL" d="Your Order Has Been Placed"}
{t c="TRANS_ONCE_YOU_HAVE_SUBSCRIBED" d="Once you have paid for or subscribed to each of these items your order will be complete."}
{t c="TRANS_PROCESSING_ORDER" d="Processing Order"}
{t c="TRANS_PLEASE_WAIT_WHILE_YOUR_ORDER_IS_PROCESSED" d="Please wait while your order is processed."}
{t c="TRANS_CLICK_HERE_TO_PROCESS_YOUR_ORDER" d="Click here to process your order."}

<div align="center" class="box07">

<script language="javascript">
<!--
{literal}
function processFinalCheckout(){
	document.checkoutForm.submit();
}
{/literal}
// -->
</script>

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_PROCESSING_ORDER}</h1>
<div style="padding: 5px; background-color: #fff; text-align: left;">

	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr>
			<td style="padding: 10px; text-align: center;">
				<strong>{$smarty.const.TRANS_PLEASE_WAIT_WHILE_YOUR_ORDER_IS_PROCESSED}</strong><br />
				<img src="{$imageDirectory}/loadingdots.gif" width="188" height="25" hspace="20" vspace="20">

				<form name="checkoutForm" method="post" action="cart.php">
					<input type="hidden" name="sid" value="{$sid}" />
					<input type="hidden" name="action" value="{getActionID action="ProcessCartCheckout"}" />
                    <input type="hidden" name="passVar" value="{$passVar}" />
					<input type="hidden" name="termAgreement" value="{$termAgreement}" />
					<input type="hidden" name="awo" value="{$awo}" />
					<input type="hidden" name="awid" value="{$awid}" />
					<noscript>
					<br /><input type="submit" class="submit" value="{$smarty.const.TRANS_CLICK_HERE_TO_PROCESS_YOUR_ORDER}" />
					</noscript>
				</form>

				<script language="javascript">
				<!--
				setTimeout("processFinalCheckout();", 1000);
				//-->
				</script>

			</td>
		</tr>

	</table>

</div>
</div>
</div>

</div>
{include file="$tplDirectory/shopping/footer.tpl"}
