{* $Id: InlineCartSummary.tpl,v 1.12 2006/06/30 18:45:38 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}


{t c="TRANS_ADD_DOMAIN" d="Add Domain"}
{t c="TRANS_DONE" d="Done"}
{t c="TRANS_LOADING" d="Loading..."}
{t c="TRANS_REALLY_REMOVE_FROM_ORDER" d="Would you really like to remove this item from your order?"}
{t c="TRANS_CART_CONTENTS" d="Order Contents"}
{t c="TRANS_ITEM_NAME" d="Goods or Services"}
{t c="TRANS_DISCOUNT_PRICE" d="Price Total"}
{t c="TRANS_NO_ITEMS_IN_CART" d="Sorry, your order is empty."}
{t c="TRANS_ASSOCIATED_DOMAINS" d="Domains"}
{t c="TRANS_REALLY_DISSASSOCIATE_FROM_ORDER" d="Are you sure you want to disassociate this domain from this Item?"}
{t c="TRANS_CONFIGURE" d="Configure"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_PLUS_SETUP" d="+ Setup"}
{t c="TRANS_PLUS_ADDONS" d="+ Addons"}
{t c="TRANS_CHANGE" d="Change"}
{t c="TRANS_CLEAR_CART" d="Clear Cart"}
{t c="TRANS_CONTINUE_SHOPPING" d="Continue Shopping"}
{t c="TRANS_PROCEED_WITH_PURCHASE" d="Proceed with Purchase"}
{t c="TRANS_ADD_COUPON_TO_ORDER" d="Add Coupon To Order"}
{t c="TRANS_COUPON_CODE" d="Coupon Code"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_COUPON_SAVINGS" d="Coupon Savings"}
{t c="TRANS_MINUS_COUPON" d="-Coupon"}
{t c="TRANS_REALLY_CLEAR_CART" d="Are you sure you want to clear all of the items from your order?"}
{t c="TRANS_SIGNED_IN_AS" d="Signed In As"}
{t c="TRANS_NOT_SIGNED_IN" d="Not Signed In"}
{t c="TRANS_SIGN_IN_NOW" d="Sign In"}
{t c="TRANS_LOGIN_INCORRECT" d="Login Incorrect."}
{t c="TRANS_SIGNOUT" d="Sign Out"}
{t c="TRANS_MUST_ADD_DOMAIN_TO_ITEM" d="Sorry, an item you are ordering requires that you associate a domain with it.\\nPlease add a domain."}
{t c="TRANS_MUST_ADD_ADDON_TO_ITEM" d="Sorry, an item you are ordering requires that you choose an addon to go with it.\\nPlease choose an addon."}
{t c="TRANS_ORDER_SUBTOTAL" d="Order Subtotal"}
{t c="TRANS_CART_SUMMARY" d="Order Summary"}
{t c="TRANS_TAX_WILL_BE_CALCULATED_NEXT" d="Appropriate tax will be applied to your invoice total before your payment confirmation."}


<script language="JavaScript" type="text/javascript" charset="utf-8">
{literal}
function initiateLogin(){
	document.getElementById('innerlogindiv').innerHTML = document.getElementById('loginHTML').innerHTML;
	XKsmoothSize('outerlogindiv', 'innerlogindiv');
}

function cancelLogin(){
	document.getElementById('innerlogindiv').innerHTML = '<span style="font-size: 1pt;">&nbsp;</span>';
	XKsmoothSize('outerlogindiv', 'innerlogindiv');
}

{/literal}

</script>


{assign var="orderTotal" value=0}


<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_CART_SUMMARY}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

<table border="0" width="100%" class="tab01">

{if !$suppressLoginHeader}
	<tr>
		<td>
			<div class="rm" style="float: right; margin-right: 5px; margin-top: 5px;"><a href="{$continueShoppingURL}">{$smarty.const.TRANS_CONTINUE_SHOPPING}</a></div>
			{if $userShoppingSession}
				<div><div style="text-align: left; margin-bottom: 2px;" class="st03"><h1 class="box07"><span style="font-weight: normal;">{$smarty.const.TRANS_SIGNED_IN_AS}:</span> {$userShoppingSession.firstName} {$userShoppingSession.lastName}, <em><a href="cart.php?sid={$sid}&action={getActionID action="ProcessCartLoginResponse"}&logout=1">{$smarty.const.TRANS_SIGNOUT}</a></em></h1></div></div>
			{else}
				<div><div style="text-align: left;" class="st03"><h1 class="box07"><span style="font-weight: normal;">{$smarty.const.TRANS_NOT_SIGNED_IN},</span> <em><a href="javascript:initiateLogin();">{$smarty.const.TRANS_SIGN_IN_NOW}</a></em></h1></div></div>
				<div align="left" id="outerlogindiv" style="padding: 2px; {if $incorrectLogin=="yes"}height: 30px;{else}height: 1px;{/if} overflow: hidden;">
					<div align="left" id="innerlogindiv">{if $incorrectLogin=="yes"}<table border="0" cellpadding="0" cellspacing="0" width="100%"><tr class="highlight"><td>{$smarty.const.TRANS_LOGIN_INCORRECT}</td></tr></table>{else}<span style="font-size: 1pt;">&nbsp;</span>{/if}</div>
				</div>
			{/if}
		</td>
	</tr>
{/if}

{if $shoppingItems.0.shoppingItemID}

	<tr>
		<td align="left">
		<div id="cartcontentdiv"><div id="innercartcontentdiv">
		<table border="0" width="100%" cellpadding="3" cellspacing="0" class="tab01">
			<tr>
				<th>{$smarty.const.TRANS_ITEM_NAME}</th>
				<th>{$smarty.const.TRANS_CYCLE}</th>
				<th>{$smarty.const.TRANS_PRICE}</th>
				<th>{$smarty.const.TRANS_DISCOUNT_PRICE}</th>
			</tr>

		{section name="i" loop=$shoppingItems}

			{assign var="productID" value=$shoppingItems[i].productID}
			{assign var="shoppingItemID" value=$shoppingItems[i].shoppingItemID}
			{assign var="cycleID" value=$shoppingItems[i].cycleID}
			{assign var="thisdomains" value=$shoppingItems[i].domains}

			{if $thisdomains.0.shoppingItemsDomainsRelID || $shoppingItems[i].shoppingItemSLD!="" || $shoppingItems[i].children.0.shoppingItemID>0}
				{assign var="rowspan" value="2"}
			{else}
				{assign var="rowspan" value="1"}
			{/if}

			<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
				<td valign="top" align="left">
					<strong>{$products.$productID.productName|constant}</strong> <small>({$smarty.const.TRANS_ID}: {$shoppingItems[i].productID})</small>
					<br />{$products.$productID.productComments|constant}
				</td>
				<td valign="top" align="left">
					{if $products.$productID.numCycles<2 && $products.$productID.productStopNumCycles==1}
					{else}
						{$cycleList.$cycleID}
					{/if}
				</td>
				<td rowspan="{$rowspan}" valign="top" align="right" style="border-bottom: 1px solid #999;">
					<div align="right" style="white-space: nowrap;"><strong>{$shoppingItems[i].shoppingItemPrice|getAmount:$shoppingItems[i].currencyID}</strong></div>
					{if $shoppingItems[i].shoppingItemSetupPrice>0}
						<div align="right" style="white-space: nowrap;">{$smarty.const.TRANS_PLUS_SETUP}: <strong>{$shoppingItems[i].shoppingItemSetupPrice|getAmount:$shoppingItems[i].currencyID}</strong></div>
					{/if}
					{if $shoppingItems[i].addonPrice>0}
						<div align="right" style="white-space: nowrap;">{$smarty.const.TRANS_PLUS_ADDONS}: <strong>{$shoppingItems[i].addonPrice|getAmount:$shoppingItems[i].currencyID}</strong></div>
					{/if}
					{if $shoppingItems[i].appliedCoupons.0.couponID>0}
						{section name="c" loop=$shoppingItems[i].appliedCoupons}
							{assign var="mcp" value=$shoppingItems[i].appliedCoupons[c].negdiscount}
							<div align="right" style="white-space: nowrap;">{$smarty.const.TRANS_COUPON}: <strong>{$mcp|getAmount:$shoppingItems[i].currencyID}</strong><br /><em>({$shoppingItems[i].appliedCoupons[c].couponCode})</em></div>
						{/section}
					{/if}

				</td>
				<td rowspan="{$rowspan}" valign="top" align="right" style="border-bottom: 1px solid #999;">
					{assign var="orderTotal" value=$orderTotal+$shoppingItems[i].shoppingItemPrice+$shoppingItems[i].shoppingItemSetupPrice+$shoppingItems[i].addonPrice-$shoppingItems[i].couponTotal}
					<strong>{$shoppingItems[i].shoppingItemPrice+$shoppingItems[i].shoppingItemSetupPrice+$shoppingItems[i].addonPrice-$shoppingItems[i].couponTotal|getAmount:$shoppingItems[i].currencyID}</strong>
				</td>
			</tr>
            {if $thisdomains.0.shoppingItemsDomainsRelID || $shoppingItems[i].shoppingItemSLD!="" || $shoppingItems[i].children.0.shoppingItemID>0}
			<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
				<td colspan="2" style="border-bottom: 1px solid #999;">
					<table border="0" cellspacing="0" width="95%" class="tab04">
            {/if}
            		{if $thisdomains.0.shoppingItemsDomainsRelID}
						<tr id="domainrow{$thisdomains.0.shoppingItemsDomainsRelID}"> <td colspan="2">{$smarty.const.TRANS_DOMAIN}: <strong>{$thisdomains.0.domainSLD}.{$thisdomains.0.domainTLD}</strong></td></tr>
					{/if}
					{if $shoppingItems[i].shoppingItemSLD!=""}
						<tr><td colspan="2"> {$smarty.const.TRANS_DOMAIN}: <strong>{$shoppingItems[i].shoppingItemSLD}.{$shoppingItems[i].shoppingItemTLD}</strong></td></tr>
					{/if}
					{if $shoppingItems[i].children.0.shoppingItemID>0}
						{section name="j" loop=$shoppingItems[i].children}
							{assign var="addon" value=$shoppingItems[i].children[j]}
							{assign var="addonID" value=$addon.productID}
							<tr>
								<td valign="top" align="left">{$products.$addonID.productName|constant}</td>
								<td valign="top" align="right"><div align="right"><strong>{$addon.shoppingItemPrice|getAmount:$addon.currencyID}</strong></div>
								{if $addon.shoppingItemSetupPrice>0}
									<div align="right"><strong>{$smarty.const.TRANS_PLUS_SETUP}: {$addon.shoppingItemSetupPrice|getAmount:$addon.currencyID}</strong></div>
								{/if}
								{if $addon.appliedCoupons.0.couponID>0}
									{section name="c" loop=$addon.appliedCoupons}
										{assign var="mcp" value=$addon.appliedCoupons[c].negdiscount}
										<div align="right" style="white-space: nowrap;">{$smarty.const.TRANS_COUPON} <em>({$addon.appliedCoupons[c].couponCode})</em>: <strong>{$mcp|getAmount:$addon.currencyID}</strong></div>
									{/section}
								{/if}
								</td>
							</tr>
						{/section}
					{/if}
            {if $thisdomains.0.shoppingItemsDomainsRelID || $shoppingItems[i].shoppingItemSLD!="" || $shoppingItems[i].children.0.shoppingItemID>0}
					</table>
				</td>
			</tr>
            {/if}


		{/section}
			<tr class="alt1">
				<th colspan="4" style="text-align: right; font-weight: normal;">{$smarty.const.TRANS_ORDER_SUBTOTAL}: <strong>{$orderTotal|getAmount:$currencyID}</strong><br />
																				({$smarty.const.TRANS_TAX_WILL_BE_CALCULATED_NEXT})</th>
			</tr>
{*
			<tr class="alt1">
				<td colspan="4">

					<div align="left">
					<table border="0" xwidth="95%" class="tab01">

						{if $coupons.0.couponID>0}
							<tr>
								<th>{$smarty.const.TRANS_COUPON_CODE}</th>
								<th>{$smarty.const.TRANS_DISCOUNT}</th>
								<th>{$smarty.const.TRANS_COUPON_SAVINGS}</th>
							</tr>
						{/if}

						{section name="i" loop=$coupons}
							<tr class="{cycle values="alt1,alt2"}">
								<td>{$coupons[i].couponCode}</td>
								<td><strong>{if $coupons[i].couponType==0}
										{$coupons[i].couponDiscount}%
									{else}
										{$coupons[i].couponDiscount|getAmount:$currencyID}
									{/if}</strong>
									</td>
								<td align="right"><strong>{$coupons[i].discountTotal|getAmount:$currencyID}</strong></td>
							</tr>
						{/section}
					</table>
					</div>

				</td>
			</tr> *}

		</table></div></div>

		</td>
	</tr>

{else}

			<tr><td><div class="alt2"><strong>{$smarty.const.TRANS_NO_ITEMS_IN_CART}</strong></div></td></tr>

{/if}


</table>

</div></div></div>


{if !$suppressLoginHeader}

<div id="loginHTML" class="off">
					<form method="post" action="cart.php">
					<input type="hidden" name="sid" value="{$sid}">
					<input type="hidden" name="action" value="{getActionID action="ProcessCartLoginResponse"}">
					<input type="hidden" name="gotoCheckout" value="1">
					<table xwidth="95%" class="tab01">
						<tbody>
						<tr>
							<th>{$smarty.const.TRANS_USERNAME}: </th>
							<td><input type="text" name="contactUsername" size="10"></td>
						</tr>
						<tr>
							<th>{$smarty.const.TRANS_PASSWORD}</th>
							<td><input type="password" name="contactPassword" size="10"></td>
						</tr>
						<tr>
							<td></td>
							<td><input class="submit" type="submit" value="{$smarty.const.TRANS_LOGIN}"> <input class="button" type="button" value="{$smarty.const.TRANS_CANCEL}" onclick="cancelLogin();"></td>
						</tr>
						</tbody>
					</table>
					</form>
</div>

{/if}
