{* $Id: PaymentInfo.tpl,v 1.6 2006/05/19 22:07:24 mgarrett Exp $
 * --------------------------------------------------------------
 * This template displays the form elements for domain registration.
 *
 * Author: Kris Bailey
 *}

{t c="TRANS_ORDERFORM_PAYMENT_METHOD" d="Payment Method"}
{t c="TRANS_BILLING_ACCOUNT_TO_USE" d="Billing Account To Use"}

<script language="JavaScript" type="text/javascript" charset="utf-8">
{literal}
function selectPaymentType(x){
	toggleOff('cc');
	toggleOff('secondary');
	toggleOff('echeck');
	toggleOff('check');
	toggleOff('invoice');
	toggleOff('draft');
	toggleOff('billAcct');
	toggleOn(x);
	selectSelectorRow(x);
}
function selectSelectorRow(x){
	{/literal}
	{if $paymentOptions.cc}
	document.getElementById('ccSROW').className = '';
	{/if}
	{if $paymentOptions.check}
	document.getElementById('checkSROW').className = '';
	{/if}
	{if $paymentOptions.invoice}
	document.getElementById('invoiceSROW').className = '';
	{/if}
	{if $paymentOptions.draft}
	document.getElementById('draftSROW').className = '';
	{/if}
	{if $paymentOptions.echeck}
	document.getElementById('echeckSROW').className = '';
	{/if}
	{if $billingAccounts}
	document.getElementById('billAcctSROW').className = '';
	{/if}

							{if $paymentOptions.secondary}
							{foreach from=$paymentOptions.secondary key=cgid item=name}
	document.getElementById('secondary{$name}SROW').className = '';
							{/foreach}
							{/if}
	{literal}
	if (x=="secondary"){
		document.getElementById('secondary'+secondary+'SROW').className = 'paymentTypeSelected';
	} else {
		document.getElementById(x+'SROW').className = 'paymentTypeSelected';
	}
}
var secondary = '';
function setSecondary(xy){
	secondary = xy;
}
{/literal}
</script>

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_ORDERFORM_PAYMENT_METHOD}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

		<table width="100%" border="0" cellspacing="0" cellpadding="3">

				<tr>
					<td valign="top" style="width: 115px; text-align: left; padding: 10px; border-right: 1px solid #999;">
						<table border="0" cellspacing="0" cellpadding="0">
							{if $paymentOptions.cc}
							<tr id="ccSROW"{if $paymentType==1 || !$paymentType} class="paymentTypeSelected"{/if}>
								<td style="padding: 3px;"><input name="paymentType" id="payCC" type="radio" value="1"{if $paymentType==1 || !$paymentType} checked="checked"{/if} onclick="selectPaymentType('cc');" /></td>
								<td style="padding: 3px; white-space: nowrap; cursor: pointer;"><label for="payCC">{$smarty.const.TRANS_CREDIT_CARD}</label></td>
							</tr>
							{/if}
							{if $paymentOptions.secondary}
							{foreach from=$paymentOptions.secondary key=cgid item=name}
								{assign var="test" value="2|$cgid"}
								<tr id="secondary{$name}SROW"{if $paymentType==$test}{assign var="isSecondary" value="1"} class="paymentTypeSelected"{/if}>
									<td style="padding: 3px;"><input name="paymentType" id="label{$name}" type="radio" value="2|{$cgid}"{if $paymentType==$test} checked="checked"{/if} onclick="setSecondary('{$name}');selectPaymentType('secondary');" /></td>
									<td style="padding: 3px; white-space: nowrap; cursor: pointer;"><label for="label{$name}">{$name}</label></td>
								</tr>
							{/foreach}
							{/if}
							{if $paymentOptions.echeck}
							<tr id="echeckSROW"{if $paymentType==4} class="paymentTypeSelected"{/if}>
								<td style="padding: 3px;"><input name="paymentType" id="payECHECK" type="radio" value="4"{if $paymentType==4} checked="checked"{/if} onclick="selectPaymentType('echeck');" /></td>
								<td style="padding: 3px; white-space: nowrap; cursor: pointer;"><label for="payECHECK">{$smarty.const.TRANS_ECHECK}</label></td>
							</tr>
							{/if}
							{if $paymentOptions.check}
							<tr id="checkSROW"{if $paymentType==3} class="paymentTypeSelected"{/if}>
								<td style="padding: 3px;"><input name="paymentType" id="payCHECK" type="radio" value="3"{if $paymentType==3} checked="checked"{/if} onclick="selectPaymentType('check');" /></td>
								<td style="padding: 3px; white-space: nowrap; cursor: pointer;"><label for="payCHECK">{$smarty.const.TRANS_CHECK}</label></td>
							</tr>
							{/if}
							{if $paymentOptions.draft}
							<tr id="draftSROW"{if $paymentType==5} class="paymentTypeSelected"{/if}>
								<td style="padding: 3px;"><input name="paymentType" id="payDRAFT" type="radio" value="5"{if $paymentType==5} checked="checked"{/if} onclick="selectPaymentType('draft');" /></td>
								<td style="padding: 3px; white-space: nowrap; cursor: pointer;"><label for="payDRAFT">{$smarty.const.TRANS_BANK_DRAFT}</label></td>
							</tr>
							{/if}
							{if $paymentOptions.invoice}
							<tr id="invoiceSROW"{if $paymentType==50} class="paymentTypeSelected"{/if}>
								<td style="padding: 3px;"><input name="paymentType" id="payINVOICE" type="radio" value="50"{if $paymentType==50} checked="checked"{/if} onclick="selectPaymentType('invoice');" /></td>
								<td style="padding: 3px; white-space: nowrap; cursor: pointer;"><label for="payINVOICE">{$smarty.const.TRANS_INVOICE}</label></td>
							</tr>
							{/if}
							{if $billingAccounts}
							<tr id="billAcctSROW"{if $paymentType==9999} class="paymentTypeSelected"{/if}>
								<td style="padding: 3px;"><input name="paymentType" id="payEXISTING" type="radio" value="9999"{if $paymentType==9999} checked="checked"{/if} onclick="selectPaymentType('billAcct');" /></td>
								<td style="padding: 3px; white-space: nowrap; cursor: pointer;"><label for="payEXISTING">{$smarty.const.TRANS_EXISTING_ACCOUNT}</label></td>
							</tr>
							{/if}
						</table>
					</td>
					<td style="text-align: left; padding: 10px;" valign="top">
						<table width="100%" border="0" cellspacing="2" cellpadding="0">
							<tbody id="cc"{if $paymentType==1 || !$paymentType}{else} class="off"{/if}>
								<tr>
									<td colspan="2">{$smarty.const.TRANS_ORDERFORM_NAME_ON_CARD}<br /><input name="billingCardNameOnCard" value="{$billingCardNameOnCard}"{if $invalidFields.billingCardNameOnCard==1} class="formFieldHighlight"{/if} style="width: 150px;" type="text"></td>
									<td>{$smarty.const.TRANS_ORDERFORM_CC_TYPE}<br />
										<select id="billingCardType" style="width: 100px;" name="billingCardType">
											{html_options options=$paymentOptions.cardTypes selected=$billingCardType}
										</select></td>
								</tr>
								<tr>
									<td>{$smarty.const.TRANS_ORDERFORM_CC_NUMBER}<br /><input name="billingCardNum" value="{$billingCardNum}"{if $invalidFields.billingCardNum==1} class="formFieldHighlight"{/if} type="text"></td>
									<td>{$smarty.const.TRANS_ORDERFORM_CC_EXP_DATE}<br />
										<select name="billingCardExpMonth" style="width: 40px;">
											<option label="01" value="01">01</option>
											<option label="02" value="02">02</option>
											<option label="03" value="03">03</option>
											<option label="04" value="04">04</option>
											<option label="05" value="05">05</option>
											<option label="06" value="06">06</option>
											<option label="07" value="07">07</option>
											<option label="08" value="08">08</option>
											<option label="09" value="09">09</option>
											<option label="10" value="10">10</option>
											<option label="11" value="11">11</option>
											<option label="12" value="12">12</option>
										</select>
										<select name="billingCardExpYear" style="width: 50px;">
										{html_options options=$cardYears selected=$billingCardExpYear}
										</select>
									</td>
									<td><a href="" title="{$smarty.const.TRANS_ORDERFORM_WHATS_THIS}">{$smarty.const.TRANS_ORDERFORM_CC_CVV2}</a><br />
											<input name="cardCVV2" value="{$cardCVV2}"{if $invalidFields.cardCVV2==1} class="formFieldHighlight"{/if} style="width: 50px;" type="text"></td>
								</tr>
							</tbody>
							<tbody id="secondary"{if $isSecondary==1}{else} class="off"{/if}>
								<tr>
									<td><table width="100%" border="0"><tr><td>{$smarty.const.TRANS_ORDERFORM_PAY_BY_SECONDARY}</td></tr></table></td>
								</tr>
							</tbody>
							<tbody id="invoice"{if $paymentType==50}{else} class="off"{/if}>
								<tr>
									<td><table width="100%" border="0"><tr><td>{$smarty.const.TRANS_ORDERFORM_PAY_BY_INVOICE}</td></tr></table></td>
								</tr>
							</tbody>
							<tbody id="check"{if $paymentType==3}{else} class="off"{/if}>
								<tr>
									<td><table width="100%" border="0"><tr><td>{$smarty.const.TRANS_ORDERFORM_PAY_BY_CHECK}</td></tr></table></td>
								</tr>
							</tbody>
							{if $paymentOptions.echeck || $paymentOptions.draft}
							<tbody id="draft"{if $paymentType==5}{else} class="off"{/if}>
								<tr>
									<td>{$smarty.const.TRANS_BANK_NAME}<br /><input name="billingBankName" value="{$billingBankName}"{if $invalidFields.billingBankName==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text"></td>
									<td>{$smarty.const.TRANS_BANK_STATE}<br /><input name="billingBankState" value="{$billingBankState}"{if $invalidFields.billingBankState==1} class="formFieldHighlight"{/if} style="width: 70px;" type="text" value="{$clientInfo.contactState}"></td>
									<td>{$smarty.const.TRANS_TYPE}<br />
										<select style="width: 120px;" id="billingCardType" name="billingBankType">
											{html_options options=$accounttypes selected=$billingBankType}
										</select>
									</td>
								</tr>
								<tr>
									<td>{$smarty.const.TRANS_ROUTING_NUMBER}<br /><span style="white-space: nowrap;"><img src="{$orderThemeDirectory}/images/checkfirst.gif" /><input name="billingBankAbaCode" value="{$billingBankAbaCode}"{if $invalidFields.billingBankAbaCode==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text"><img src="{$orderThemeDirectory}/images/checkfirst.gif" /></span></td>
									<td colspan="2">{$smarty.const.TRANS_ACCOUNT_NUMBER}<br /><span style="white-space: nowrap;"><input name="billingBankAccountNum" value="{$billingBankAccountNum}"{if $invalidFields.billingBankAccountNum==1} class="formFieldHighlight"{/if} style="width: 90px;" type="text"><img src="{$orderThemeDirectory}/images/checksecond.gif" /></span></td>
								</tr>
								<tr>
									<td>{$smarty.const.TRANS_LICENSE_NUMBER}<br /><input name="billingBankLicenseNum" value="{$billingBankLicenseNum}"{if $invalidFields.billingBankLicenseNum==1} class="formFieldHighlight"{/if} style="width: 60px;" type="text"></td>
									<td>{$smarty.const.TRANS_LICENSE_STATE}<br /><input name="billingBankLicenseState" value="{$billingBankLicenseState}"{if $invalidFields.billingBankLicenseState==1} class="formFieldHighlight"{/if} style="width: 70px;" type="text" value="{$clientInfo.contactState}"></td>
									<td>{$smarty.const.TRANS_DOB}<br /><input name="billingBankDob" value="{$billingBankDob}"{if $invalidFields.billingBankDob==1} class="formFieldHighlight"{/if} style="width: 60px;" type="text"> {$smarty.const.TRANS_EXAMPLE}: {$smarty.now|date_format:"%d-%m-%Y"}
									</td>
								</tr>
							</tbody>
							<tbody id="echeck"{if $paymentType==4}{else} class="off"{/if}>
								<tr>
									<td>{$smarty.const.TRANS_BANK_NAME}<br /><input name="billingBankName" value="{$billingBankName}"{if $invalidFields.billingBankName==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text"></td>
									<td>{$smarty.const.TRANS_BANK_STATE}<br /><input name="billingBankState" value="{$billingBankState}"{if $invalidFields.billingBankState==1} class="formFieldHighlight"{/if} style="width: 70px;" type="text" value="{$clientInfo.contactState}"></td>
									<td>{$smarty.const.TRANS_TYPE}<br />
										<select style="width: 120px;" id="billingCardType" name="billingBankType">
											{html_options options=$accounttypes selected=$billingBankType}
										</select>
									</td>
								</tr>
								<tr>
									<td>{$smarty.const.TRANS_ROUTING_NUMBER}<br /><span style="white-space: nowrap;"><img src="{$orderThemeDirectory}/images/checkfirst.gif" /><input name="billingBankAbaCode" value="{$billingBankAbaCode}"{if $invalidFields.billingBankAbaCode==1} class="formFieldHighlight"{/if} style="width: 100px;" type="text"><img src="{$orderThemeDirectory}/images/checkfirst.gif" /></span></td>
									<td colspan="2">{$smarty.const.TRANS_ACCOUNT_NUMBER}<br /><span style="white-space: nowrap;"><input name="billingBankAccountNum" value="{$billingBankAccountNum}"{if $invalidFields.billingBankAccountNum==1} class="formFieldHighlight"{/if} style="width: 90px;" type="text"><img src="{$orderThemeDirectory}/images/checksecond.gif" /></span></td>
								</tr>
								<tr>
									<td>{$smarty.const.TRANS_LICENSE_NUMBER}<br /><input name="billingBankLicenseNum" value="{$billingBankLicenseNum}"{if $invalidFields.billingBankLicenseNum==1} class="formFieldHighlight"{/if} style="width: 60px;" type="text"></td>
									<td>{$smarty.const.TRANS_LICENSE_STATE}<br /><input name="billingBankLicenseState" value="{$billingBankLicenseState}"{if $invalidFields.billingBankLicenseState==1} class="formFieldHighlight"{/if} style="width: 70px;" type="text" value="{$clientInfo.contactState}"></td>
									<td>{$smarty.const.TRANS_DOB}<br /><input name="billingBankDob" value="{$billingBankDob}"{if $invalidFields.billingBankDob==1} class="formFieldHighlight"{/if} style="width: 60px;" type="text"> {$smarty.const.TRANS_EXAMPLE}: {$smarty.now|date_format:"%d-%m-%Y"}
									</td>
								</tr>
							</tbody>
							{/if}
							{if $billingAccounts}
							<tbody id="billAcct"{if $paymentType==50}{else} class="off"{/if}>
								<tr>
									<td>{$smarty.const.TRANS_SELECT_EXISTING_ACCOUNT}<br /><br />
										<select style="width: 350px;" id="billingAccountID" name="billingAccountID">
											{html_options options=$billingAccounts selected=$billingAccountID}
										</select>
									</td>
								</tr>
							</tbody>
							{/if}
						</table>

					</td>
				</tr>
				<tr>
					<td colspan="2" style="text-align: center; padding: 10px;">({$smarty.const.TRANS_ACCOUNT_WILL_NOT_BE_CHARGED_UNTIL_CONFIRMATION})</td>
				</tr>



		</table>



</div></div></div>
