{* $Id: ShowCartCheckoutConfirmForm.tpl,v 1.11 2006/06/16 18:34:01 kbailey Exp $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Kris Bailey
 *}

{include file="$tplDirectory/shopping/header.tpl"}

{t c="TRANS_ADD_DOMAIN" d="Add Domain"}
{t c="TRANS_DONE" d="Done"}
{t c="TRANS_LOADING" d="Loading..."}
{t c="TRANS_REALLY_REMOVE_FROM_ORDER" d="Would you really like to remove this item from your order?"}
{t c="TRANS_CART_CONTENTS" d="Order Contents"}
{t c="TRANS_ITEM_NAME" d="Goods or Services"}
{t c="TRANS_DISCOUNT_PRICE" d="Price Total"}
{t c="TRANS_NO_ITEMS_IN_CART" d="Sorry, your order is empty."}
{t c="TRANS_ASSOCIATED_DOMAINS" d="Domains"}
{t c="TRANS_REALLY_DISSASSOCIATE_FROM_ORDER" d="Are you sure you want to disassociate this domain from this Item?"}
{t c="TRANS_CONFIGURE" d="Configure"}
{t c="TRANS_DOMAIN" d="Domain"}
{t c="TRANS_PLUS_SETUP" d="+ Setup"}
{t c="TRANS_PLUS_ADDONS" d="+ Addons"}
{t c="TRANS_CHANGE" d="Change"}
{t c="TRANS_CLEAR_CART" d="Clear Cart"}
{t c="TRANS_CONTINUE_SHOPPING" d="Continue Shopping"}
{t c="TRANS_PROCEED_WITH_PURCHASE" d="Proceed with Purchase"}
{t c="TRANS_ADD_COUPON_TO_ORDER" d="Add Coupon To Order"}
{t c="TRANS_COUPON_CODE" d="Coupon Code"}
{t c="TRANS_DISCOUNT" d="Discount"}
{t c="TRANS_COUPON_SAVINGS" d="Coupon Savings"}
{t c="TRANS_MINUS_COUPON" d="-Coupon"}
{t c="TRANS_REALLY_CLEAR_CART" d="Are you sure you want to clear all of the items from your order?"}
{t c="TRANS_SIGNED_IN_AS" d="Signed In As"}
{t c="TRANS_NOT_SIGNED_IN" d="Not Signed In"}
{t c="TRANS_SIGN_IN_NOW" d="Sign In"}
{t c="TRANS_LOGIN_INCORRECT" d="Login Incorrect."}
{t c="TRANS_SIGNOUT" d="Sign Out"}
{t c="TRANS_MUST_ADD_DOMAIN_TO_ITEM" d="Sorry, an item you are ordering requires that you associate a domain with it.\\nPlease add a domain."}
{t c="TRANS_MUST_ADD_ADDON_TO_ITEM" d="Sorry, an item you are ordering requires that you choose an addon to go with it.\\nPlease choose an addon."}
{t c="TRANS_ORDER_SUBTOTAL" d="Order Subtotal"}
{t c="TRANS_CART_SUMMARY" d="Order Summary"}
{t c="TRANS_CONFIRM_CHECKOUT" d="Confirm Checkout"}
{t c="TRANS_PROCESS_PAYMENT_AND_PLACE_ORDER" d="Process Payment And Place Order"}
{t c="TRANS_SPECIAL_GOOGLE_OFFER" d="Google Adwords&#8482 Offer"}
{t c="TRANS_ITEM" d="Item"}
{t c="TRANS_TAX_DESCRIPTION" d="Tax Description"}
{t c="TRANS_TAX_CHARGE" d="Tax Charge"}
{t c="TRANS_TAX_AMOUNT" d="Tax Amount"}
{t c="TRANS_INVOICE_DETAILS" d="Invoice Details"}
{t c="TRANS_ITEM_TAXES" d="Applied Taxes"}
{t c="TRANS_YOU_MUST_AGREE_TO_THE_TERMS" d="You must agree to the terms of service before continuing."}
{t c="TRANS_ORDER_DETAILS" d="Order Details"}
{t c="TRANS_ORDER_TOTAL" d="Order Total"}
{t c="TRANS_PLACE_ORDER" d="Place Order"}

<div align="center" class="box07">

<script language="JavaScript" type="text/javascript" charset="utf-8">
<!--
{literal}
function checkTermsAgree(){
	if (document.paymentForm.termAgreement.checked){
		return true;
	} else {
		alert("{/literal}{$smarty.const.TRANS_YOU_MUST_AGREE_TO_THE_TERMS}{literal}");
		return false;
	}
}
{/literal}
//-->
</script>

<form method="post" action="" name="paymentForm" onsubmit="return checkTermsAgree();">
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="action" value="{getActionID action="ProcessCartCheckoutLoader"}" />
<input type="hidden" name="passVar" value="{$passVar}" />

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_ORDER_DETAILS}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

	<table width="100%" cellpadding="4" cellspacing="0" border="0">

		<tr class="alt1">
			<th colspan="2" align="left">{$smarty.const.TRANS_ITEM}</th>
            <th align="right">{$smarty.const.TRANS_PRICE}</th>
			<th align="right">{$smarty.const.TRANS_DISCOUNT}</th>
			<th align="right">{$smarty.const.TRANS_SETUP}</th>
			<th style="border-right: 1px solid #ccc; padding-right: 5px;" align="right">{$smarty.const.TRANS_TAX}</th>
			<th align="right">{$smarty.const.TRANS_TOTALS}</th>
		</tr>

	{section name="i" loop=$invoice.packages}

		<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
			<td style="border-top: 1px solid #ccc;" align="left" colspan="2"><strong>{$invoice.packages[i].packageName}
			{assign var="tpid" value=$invoice.packages[i].packageID}
			{if $domains.$tpid}
				<br />{$smarty.const.TRANS_DOMAIN}: {$domains.$tpid.domainName}
			{/if}
			</strong></td>
            <td style="border-top: 1px solid #ccc;" align="right"><strong>{$invoice.packages[i].packagePrice|getAmount:$currencyID:false}</strong></td>
			<td style="border-top: 1px solid #ccc;" align="right"><strong>{$invoice.packages[i].packageDiscountAmount|getAmount:$currencyID:false}</strong></td>
			<td style="border-top: 1px solid #ccc;" align="right"><strong>{$invoice.packages[i].packageSetupAmount|getAmount:$currencyID:false}</strong></td>
			<td style="border-top: 1px solid #ccc; border-right: 1px solid #ccc; padding-right: 5px;" align="right"><strong>{$invoice.packages[i].packageTaxAmount|getAmount:$currencyID:false}</strong></td>
			<td style="border-top: 1px solid #ccc;" align="right"><strong>{$invoice.packages[i].packageTotalAmount|getAmount:$currencyID}</strong></td>
		</tr>
		{if $invoice.packages[i].taxZones.0.amount}
			{assign var="firstTaxZone" value="1"}
			{section name="j" loop=$invoice.packages[i].taxZones}
				{if $invoice.packages[i].taxZones[j].amount>0}
		<tr class="{if $smarty.section.i.index%2==0}alt1{else}alt2{/if}">
			<td align="right">{if $firstTaxZone==1}{assign var="firstTaxZone" value="0"}{$smarty.const.TRANS_ITEM_TAXES}: {/if}</td>
			<td align="left">{$invoice.packages[i].taxZones[j].tax_zone_description}</td>
			<td align="right">{if $invoice.packages[i].taxZones[j].tax_zone_amount_type==0}
					{$invoice.packages[i].taxZones[j].tax_zone_amount}%
					{else}
					{$invoice.packages[i].taxZones[j].tax_zone_amount|getAmount:$currencyID}
					{/if}</td>
			<td></td>
			<td></td>
			<td align="right" style=" border-right: 1px solid #ccc; padding-right: 5px;">{$invoice.packages[i].taxZones[j].amount|getAmount:$currencyID}</td>
			<td></td>
		</tr>
				{/if}
			{/section}
		{/if}

	{/section}

	</table>
<br />
	<table width="100%" cellpadding="4" cellspacing="0" border="0">
		<tr>
			<td align="right" style="border-top: 2px solid #ccc;">
				<table align="right" cellpadding="4" cellspacing="0" border="0">
					<tr>
						<td style="padding: 2px; text-align: right; font-size: 11pt;">{$smarty.const.TRANS_SUB_TOTAL}:</td>
						<td style="padding: 2px; text-align: right; font-size: 11pt;"> {$invoice.invoiceSubTotalAmount|getAmount:$currencyID}</td>
					</tr>
					<tr>
						<td style="padding: 2px; text-align: right; font-size: 11pt;">{$smarty.const.TRANS_TAX}: </td>
						<td style="padding: 2px; text-align: right; font-size: 11pt;"> {$invoice.invoiceTax|getAmount:$currencyID}</td>
					</tr>
					<tr>
						<td style="padding: 2px; text-align: right; font-size: 11pt;">{$smarty.const.TRANS_ORDER_TOTAL}: </td>
						<td style="padding: 2px; text-align: right; font-size: 11pt;"><strong>{$invoice.invoiceTotalAmount|getAmount:$currencyID}</strong></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</div>
</div>
</div>

{** DO NOT CHANGE MESSAGE AS PER PPCFACTORY & GOOGLE TERMS **}
{** DO NOT CHANGE MESSAGE AS PER PPCFACTORY & GOOGLE TERMS **}
{if $showAdWordsOffer}
<input type="hidden" name="awid" value="{$adWordsOffer.codeID}" />
<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_SPECIAL_GOOGLE_OFFER}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">
	<table border="0" cellspacing="4" cellpadding="3" width="100%">
		<tr class="alt1">
			<td style="text-align: left;">
                <center>
                <img src="{$imageDirectory}/logos/AdWords.gif" width="143" height="59" border="0" alt="Google AdWords" />
                </center>
                <br />
                <b>Congratulations!</b> When you order is approved, you will receive <b>{$adWordsOffer.codeValue|getAmount:$adWordsOffer.codeCurrencyID}</b> worth of targeted
                advertising and customer leads for you to try Google AdWords&#8482;!
                <br />
                <br />
                <span style="border:1px solid red;"><input type="checkbox" name="awo" value="1" /></span>
                &nbsp;
                Check here to <b>accept</b> the Google AdWords&#8482; credit and <b>agree</b> to abide by the <b><a href="https://www.google.com/adsense/policies" target="_blank">terms and conditions</a></b> of the Google AdWords&#8482; offer.
                <br />
            </td>
		</tr>
	</table>
</div>
</div>
</div>
{/if}
{** DO NOT CHANGE MESSAGE AS PER PPCFACTORY & GOOGLE TERMS **}
{** DO NOT CHANGE MESSAGE AS PER PPCFACTORY & GOOGLE TERMS **}

<div class="st01 st03 box07" style="margin-right: 10px; margin-top: 10px; margin-bottom: 10px; margin-left: 10px;">
<div style="text-align: left; margin-bottom: 2px;">
<h1>{$smarty.const.TRANS_CONFIRM_CHECKOUT}</h1>
<div style="padding: 5px; background-color: #fff; text-align: center;">

	<table border="0" cellspacing="0" cellpadding="3" width="100%">
		<tr>
			<td style="text-align: right;">

			<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="tab014">
				<tr>
  					<td colspan="2" valign="top" style="text-align: center;">
                        <div style="margin-bottom: 3px;">
                            {if $termAgreement}
                                <div class="formFieldHighlight">{$smarty.const.TRANS_YOU_MUST_AGREE_TO_THE_TERMS}</div>
                            {/if}
                            <span style="border:1px solid red;"><input type="checkbox" value="1" name="termAgreement"></span>
                            &nbsp;
                            <a href="{$paymentOptions.termsURL}" id="terms" name="terms" title="Terms and Conditions URL" target="_blank">
                                {$smarty.const.TRANS_ORDERFORM_READ_TERMS}
                            </a>
                        </div>
                    </td>
				</tr>
				<tr>
					<td valign="top" xclass="td07" style="text-align: left; margin-bottom: 3px;"><h2>{$smarty.const.TRANS_ORDERFORM_VERIFY_FOLLOWING}</h2>
					<ul>
						<li>{$smarty.const.TRANS_ORDERFORM_NECESSARY_INFO}</li>
						<li>{$smarty.const.TRANS_ORDERFORM_ERROR_FREE}</li>
						<li>{$smarty.const.TRANS_ORDERFORM_FRAUD_FREE}</li>
					</ul>

					</td>
					<td valign="top" class="td07" style="text-align: left; margin-bottom: 3px;"><h2>{$smarty.const.TRANS_ORDERFORM_FRAUD_INFO_RECORDED}</h2>
						<ul>
							<li>{$smarty.const.TRANS_ORDERFORM_FRAUD_IP_ADDRESS}: {$ip}</li>
							<li>{$smarty.const.TRANS_ORDERFORM_SUMBIT_TIME}</li>
						</ul>
					</td>
				</tr>
			</table>

			<input class="submit" type="submit" value="{$smarty.const.TRANS_PLACE_ORDER}"></td>
		</tr>
	</table>
</div>
</div>
</div>

</form>

</div>
{include file="$tplDirectory/shopping/footer.tpl"}
