{* $Id: ShowDashboard.tpl,v 1.2 2006/03/28 03:21:19 mfountain Exp $
 * --------------------------------------------------------------
 * This template displays the dashboard.
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_RESELLER_STATS" d="Reseller Stats"}
{t c="TRANS_GOOGLE_CODE_STATS" d="Google Code Stats"}
{t c="TRANS_NONE" d="None"}
{t c="TRANS_ACTION" d="Action"}
{t c="TRANS_AMOUNT" d="Amount"}
{t c="TRANS_AVAILABLE" d="Available"}
{t c="TRANS_RESERVED" d="Reserved"}
{t c="TRANS_USED" d="Used"}

{include file="$tplDirectory/header.tpl" sideNavMajor="dashboard"}

<table  border="0" width="98%" cellpadding="0" cellspacing="12"  class="tab01">
<tr>
    <td width="50%" valign="top">
		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_GOOGLE_CODE_STATS}</h1></div>
			<table width="95%"  border="0" cellspacing="2" cellpadding="0" class="tab06">
            <tr>
                <th style="text-align: center;">{$smarty.const.TRANS_CURRENCY}</th>
                <th style="text-align: center;">{$smarty.const.TRANS_VALUE}</th>
                <th style="text-align: center;">{$smarty.const.TRANS_STATUS}</th>
                <th style="text-align: center;">{$smarty.const.TRANS_COUNT}</th>
            </tr>
            {section name=i loop=$googleCodes}
                <tr>
                    <td style="text-align: center;">
                        {$googleCodes[i].codeCurrencyID}
                    </td>
                    <td style="text-align: center;">
                        {$googleCodes[i].codeValue}
                    </td>
                    <td style="text-align: center;">
                        {$googleCodes[i].codeStatus|getStatusName:"ppcCodeStatus"}
                    </td>
                    <td style="text-align: center;">
                        {$googleCodes[i].numCodes}
                    </td>
                </tr>
            {/section}
			</table>
		</div>{* box07 *}
    </td>
    <td width="50%" valign="top">
		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_RESELLER_STATS}</h1></div>
			<table width="95%" border="1" cellspacing="2" cellpadding="0" class="tab06">
            {section name=i loop=$resellers}
                <tr>
                    <td style="text-align: right;" width="45%">
                        <strong>{$resellers[i].resellerStatus|getStatusName:"reseller"}:</strong>
                    </td>
                    <td style="text-align: left;">
                        {$resellers[i].numResellers}
                    </td>
                </tr>
            {/section}
			</table>
		</div>{* box07 *}
    </td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}
