{* $Id: ShowLicenseDetails.tpl,v 1.4 2006/07/06 02:14:20 mfountain Exp $
 * --------------------------------------------------------------
 *}

{assign var="statuses" value=$statuses.licenseStatus}
{assign var="licenseID" value=$license.licenseID}
{assign var="resellerID" value=$licenses[0].reseller[0].resellerID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_LICENSES"
	tabMajor="licenses"
	sideNavMinor="details"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<img src="{$imageDirectory}/ico/license.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
<b>{$smarty.const.TRANS_LICENSE_DETAILS}</b>
<hr size="1" color="#6F005A" />

<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
<tbody>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right" width="25%"><b>{$smarty.const.TRANS_RESELLER}:</b></td>
	<td>
        <a href="{getHREF page="resellers.php" actionName="ShowResellerDetails" args="resellerID=$resellerID"}" style="font-size: 100%;">
            {$licenses[0].reseller[0].resellerCompany}
        </a>
    </td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_LICENSE}:</b></td>
	<td>{$licenses[0].licenseDef[0].licenseDefName}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_REMOTE_PACKAGE_ID}:</b></td>
	<td>{$licenses[0].remotePackageID|default:$smarty.const.TRANS_NONE}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_LICENSEE}:</b></td>
	<td>{$licenses[0].licenseLicenseeCompany}; {$licenses[0].licenseLicenseeName}; {$licenses[0].licenseLicenseeEmail}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_LOCATION}:</b></td>
	<td>{$licenses[0].licenseLocation|default:$smarty.const.TRANS_UNKNOWN}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_LICENSE_INSTALL_TOKEN}:</b></td>
	<td>{$licenses[0].licenseFingerPrint|default:$smarty.const.TRANS_UNKNOWN}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_LICENSE_RENEW_TOKEN}:</b></td>
	<td>{$licenses[0].licenseToken|default:$smarty.const.TRANS_UNKNOWN}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_STATUS}:</b></td>
	<td>{$licenses[0].licenseStatus|getStatusName:"license"}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_COMMENTS}:</b></td>
	<td>{$licenses[0].licenseComments|default:$smarty.const.TRANS_NONE}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
	<td align="right"><b>{$smarty.const.TRANS_ACTIONS}:</b></td>
	<td>
		{strip}
		{if $licenses[0].licenseStatus == 0}
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="licenses.php"
		    actionName="ShowEncodedLicense"
		    args="licenseID=$licenseID"
		    icoImage="license.gif"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_GENERATE"
		    titleText=""
		    linkText="TRANS_GENERATE"
		    noSpace="1"
		}
		&nbsp;        
        {/if}
		{if $licenses[0].licenseStatus != 0}
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="licenses.php"
		    actionName="EnableLicenseResponse"
		    args="licenseID=$licenseID"
		    icoImage="enable.gif"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_ENABLE"
		    titleText=""
		    linkText="TRANS_ENABLE"
		    noSpace="1"
		}
		&nbsp;
		{/if}
		{if $licenses[0].licenseStatus == 0}
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="licenses.php"
		    actionName="SuspendLicenseResponse"
		    args="licenseID=$licenseID"
		    icoImage="suspend.gif"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_SUSPEND"
		    titleText=""
		    linkText="TRANS_SUSPEND"
		    noSpace="1"
		}
		&nbsp;
		{/if}
		{if $licenses[0].licenseStatus != 2}
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="licenses.php"
		    actionName="TerminateLicenseResponse"
		    args="licenseID=$licenseID"
		    icoImage="cancel.gif"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_CANCEL"
		    titleText=""
		    linkText="TRANS_CANCEL"
		    noSpace="1"
		}
		&nbsp;
		{/if}
		{/strip}
	</td>
</tr>
</tbody>
</table>

<br clear="all" />

<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
	<td width="75%" valign="top">
		<img src="{$imageDirectory}/ico/attributes.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
		<b>{$smarty.const.TRANS_LICENSE_ATTRIBUTES}</b>
		<hr size="1" color="#6F005A" />

		<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
		<thead>
		<tr class="subHeaderRow" bgcolor="#CCCCCC">
			<td class="firstTD" style="text-align: center;" width="30%">
				{$smarty.const.TRANS_ATTRIBUTE_INTERNAL_NAME}
			</td>
			<td style="text-align: center;">
				{$smarty.const.TRANS_ATTRIBUTE_INTERNAL_VALUE}
			</td>
		</tr>
		</thead>
		<tbody>
		{section name=i loop=$licenses[0].licenseAttributes}
		{assign var="licenseAttributeName" value=$licenses[0].licenseAttributes[i].licenseAttributeName}
		{assign var="licenseAttributeValue" value=$licenses[0].licenseAttributes[i].licenseAttributeValue}
		<tr class="alt1">
			<td style="text-align: center;">{$licenseAttributeName|default:$smarty.const.TRANS_EMPTY}</td>
			<td style="text-align: center;">{$licenseAttributeValue|default:$smarty.const.TRANS_EMPTY}</td>
		</tr>
		{sectionelse}
		<tr class="alt1">
			<td colspan="2"><i>{$smarty.const.TRANS_NONE}</i></td>
		</tr>
		{/section}
		</tbody>
		</table>
	</td>
	<td width="25%" valign="top">
		<img src="{$imageDirectory}/ico/registry_groups.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
		<b>{$smarty.const.TRANS_REGISTRY_GROUPS}</b>
		<hr size="1" color="#6F005A" />

		<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
		<thead>
		<tr class="subHeaderRow" bgcolor="#CCCCCC">
			<td class="firstTD" style="text-align: center;" width="33%">
				{$smarty.const.TRANS_REGISTRY_GROUP}
			</td>
		</tr>
		</thead>
		<tbody>
		{section name=i loop=$licenses[0].licenseDef[0].registryGroups}
		{assign var="registryGroupName" value=$licenses[0].licenseDef[0].registryGroups[i].registryGroupName}
		<tr class="alt1">
			<td style="text-align: center;">{$registryGroupName|default:$smarty.const.TRANS_EMPTY}</td>
		</tr>
		{sectionelse}
		<tr class="alt1">
			<td colspan="2"><i>{$smarty.const.TRANS_NONE}</i></td>
		</tr>
		{/section}
		</tbody>
		</table>
	</td>
</tr>
</table>

<br clear="all" />
{include file="$tplDirectory/footer.tpl"}