{* $Id: ShowResellerDetails.tpl,v 1.5 2006/07/14 05:29:19 mfountain Exp $
 * --------------------------------------------------------------
 *}

{assign var="statuses" value=$statuses.resellerStatus}
{assign var="resellerID" value=$reseller.resellerID}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_RESELLERS"
	tabMajor="resellers"
	sideNavMinor="details"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<img src="{$imageDirectory}/ico/reseller.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
<b>{$smarty.const.TRANS_RESELLER_DETAILS}</b>
<hr size="1" color="#6F005A" />

<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
<tbody>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right" width="30%"><b>{$smarty.const.TRANS_REMOTE_CLIENT_ID}:</b></td>
	<td>
		{if $reseller.remoteClientID == 0}
			({$smarty.const.TRANS_ROOT_RESELLER})
		{else}
			{$reseller.remoteClientID}
		{/if}
	</td>
</tr>
{if $reseller.remoteClientID}
	<tr class="{cycle values="alt1,alt2"}">
		<td align="right"><b>{$smarty.const.TRANS_REMOTE_ORDER_FORM_ID}:</b></td>
		<td>
			{strip}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="resellers.php"
				actionName="EditResellerOrderFormID"
				args="resellerID=$resellerID"
				icoImage="edit"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SET"
				titleText=""
				linkText="TRANS_SET"
				noSpace="1"
			}
			{/strip}
			{$reseller.remoteOrderFormID}
		</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<td align="right"><b>{$smarty.const.TRANS_REMOTE_BILLING_ACCOUNT_ID}:</b></td>
		<td>
			{strip}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="resellers.php"
				actionName="EditResellerBillingAccountID"
				args="resellerID=$resellerID"
				icoImage="edit"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SET"
				titleText=""
				linkText="TRANS_SET"
				noSpace="1"
			}
			{/strip}
			{$reseller.remoteBillingAccountID}
		</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<td align="right"><b>{$smarty.const.TRANS_MAX_ALLOWED_AGING_STATUS}:</b></td>
		<td>
			{strip}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="resellers.php"
				actionName="EditResellerMaxAllowedAging"
				args="resellerID=$resellerID"
				icoImage="edit"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SET"
				titleText=""
				linkText="TRANS_SET"
				noSpace="1"
			}
			{/strip}
			{$reseller.resellerMaxAgingStatus|getStatusName:"aging"}
		</td>
	</tr>
	<tr class="{cycle values="alt1,alt2"}">
		<td align="right"><b>{$smarty.const.TRANS_DISCOUNT_PERCENTAGE}:</b></td>
		<td>
			{strip}
			{include file="$tplDirectory/widgets/actionLink.tpl"
				page="resellers.php"
				actionName="EditResellerDiscount"
				args="resellerID=$resellerID"
				icoImage="edit"
				icoWidth=""
				icoHeight=""
				icoStyle=""
				altText="TRANS_SET"
				titleText=""
				linkText="TRANS_SET"
				noSpace="1"
			}
			{/strip}
			{$reseller.resellerDiscount} %
		</td>
	</tr>
{/if}
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_COMPANY}:</b></td>
	<td>{$reseller.resellerCompany|default:$smarty.const.TRANS_EMPTY|stripslashes}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_NAME}:</b></td>
	<td>{$reseller.resellerLastName|stripslashes}, {$reseller.resellerFirstName|stripslashes}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_EMAIL}:</b></td>
	<td>{$reseller.resellerEmail}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_STATUS}:</b></td>
	<td>{$reseller.resellerStatus|getStatusName:"reseller"}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_USERNAME}:</b></td>
	<td>{$reseller.resellerUsername}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
    <td align="right"><b>{$smarty.const.TRANS_LICENSES}:</b></td>
	<td>
		{assign var="statusID" value=0}
		{$statusID|getStatusName:"license"}:
		<a href="{getHREF page="licenses.php" actionName="ShowLicenses" args="resellerID=$resellerID&licenseStatus=0"}" style="font-size:100%;">{$numLicenses[0]|default:0}</a>
		{assign var="statusID" value=1}
		{$statusID|getStatusName:"license"}:
		<a href="{getHREF page="licenses.php" actionName="ShowLicenses" args="resellerID=$resellerID&licenseStatus=1"}" style="font-size:100%;">{$numLicenses[1]|default:0}</a>
		{assign var="statusID" value=2}
		{$statusID|getStatusName:"license"}:
		<a href="{getHREF page="licenses.php" actionName="ShowLicenses" args="resellerID=$resellerID&licenseStatus=2"}" style="font-size:100%;">{$numLicenses[2]|default:0}</a>
	</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
	<td align="right"><b>{$smarty.const.TRANS_ACTIONS}:</b></td>
	<td>
		{strip}
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="resellers.php"
		    actionName="EditReseller"
		    args="resellerID=$resellerID"
		    icoImage="edit"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_EDIT"
		    titleText=""
		    linkText="TRANS_EDIT"
		    noSpace="1"
		}
		&nbsp;
        {include file="$tplDirectory/widgets/actionLink.tpl"
		    page="resellers.php"
		    actionName="RemoveReseller"
		    args="resellerID=$resellerID"
		    icoImage="remove"
		    icoWidth=""
		    icoHeight=""
		    icoStyle=""
		    altText="TRANS_REMOVE"
		    titleText=""
		    linkText="TRANS_REMOVE"
		    noSpace="1"
		}
		{/strip}
	</td>
</tr>
</tbody>
</table>

<br clear="all" />

<img src="{$imageDirectory}/ico/cd_add.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
<b>{$smarty.const.TRANS_SELECT_LICENSES_ASSIGNED}</b>
<hr size="1" color="#6F005A" />

<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
<tbody>
<tr class="alt1">
	<td align="center">
		<form action="resellers.php" method="post" name="license_combo_box">
		<input type="hidden" name="action" value="{getActionID action="EditResellerResponse"}" />
		<input type="hidden" name="resellerID" value="{$reseller.resellerID}" />
		<input type="hidden" name="redirectURL" value="resellers.php" />
		<input type="hidden" name="redirectAction" value="ShowResellerDetails" />
		<input type="hidden" name="redirectArgs" value="resellerID={$reseller.resellerID}" />
		<input type="hidden" name="editForm" value="license_combo_box" />
		<input type="hidden" name="sid" value="{$sid}" />
	 	{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft="TRANS_AVAILABLE"
			comboNameLeft="addLicenseDefIDs"
			comboOptionsLeft=$resellerLicenseDefs
			comboTitleRight="TRANS_NOT_AVAILABLE"
			comboNameRight="removeLicenseDefIDs"
			comboOptionsRight=$availableLicenseDefs
			formName="license_combo_box"
			submitName="TRANS_SAVE" }
		</form>
</tr>
</tbody>
</table>

<br clear="all" />

{if count($resellerLicenseDefs)}
	<img src="{$imageDirectory}/ico/license.gif" width="16" height="16" alt="" title="" style="vertical-align:middle;" />
	<b>{$smarty.const.TRANS_GENERATE_A_LICENSE_KEY}</b>
	<hr size="1" color="#6F005A" />
	<table width="100%" border="0" cellspacing="2" cellpadding="0" class="list">
	<tbody>
	<tr class="alt1">
		<td align="center">
			<br />
			<form action="licenses.php" method="get" name="license_select_box">
			<input type="hidden" name="action" value="{getActionID action="ShowLicenseKeyDataForm"}" />
			<input type="hidden" name="resellerID" value="{$reseller.resellerID}" />
			<input type="hidden" name="sid" value="{$sid}" />
		    <select id="licenseDefID" name="licenseDefID">
	            {html_options options=$resellerLicenseDefs selected=""}
		    </select>
			&nbsp;
			<input type="submit" name="submit" value="{$smarty.const.TRANS_NEXT}" />
			</form>
			<br />
		</td>
	</tr>
	</tbody>
	</table>
{/if}

{include file="$tplDirectory/footer.tpl"}
